=== modified file 'CHANGES'
--- CHANGES	2010-08-12 08:20:48 +0000
+++ CHANGES	2010-10-18 11:13:17 +0000
@@ -6,6 +6,1133 @@
 
                                   Changelog
 
+Version 7.21.2 (12 Oct 2010)
+
+Daniel Stenberg (12 Oct 2010)
+- RELEASE-NOTES: synced with ecd624b8e774a85
+
+- [Julien Chaffraix brought this change]
+
+  CMake: Build fix.
+  
+  Do not match the trailing '\n' in the regular expression as this would
+  make us dump a ) parenthesis on a new line.
+  
+  This fixes the following error:
+  
+  would get transformed into:
+  
+  )
+  
+  Bug: http://curl.haxx.se/mail/lib-2010-10/0065.html
+  Reported by: Dimitre Dimitrov
+
+- header_callback: strip off file path separated with backslashes
+  
+  If the filename contains a backslash, only use filename portion. The
+  idea is that even systems that don't handle backslashes as path
+  separators probably want that path removed for convenience.
+  
+  This flaw is considered a security problem, see the curl security
+  vulnerability http://curl.haxx.se/docs/adv_20101013.html
+
+Dan Fandrich (12 Oct 2010)
+- Get the curl source files for Amiga from Makefile.inc
+  
+  This is similar to how it's done in the lib directory.
+  The Amiga build appears to have been broken for a year because
+  of a missing homedir.c
+
+- Added section on server-supplied names to security considerations
+
+Guenter Knauf (12 Oct 2010)
+- Fixed Watcom makefile.
+
+- Added build bits for librtmp / libssh2 to Watcom makefiles.
+
+- Added build bits for librtmp to NetWare makefiles.
+
+Daniel Stenberg (12 Oct 2010)
+- SFTP: more ignoring negative file sizes
+  
+  As the change in 5f0ae7a0626cbe709 added a precaution against negative
+  file sizes that for some reason managed to get returned, this change now
+  introduces the same check at the second place in the code where the file
+  size from the libssh2 stat call is used.
+  
+  This check might not be suitable for a 32 bit curl_off_t, but libssh2.h
+  assumes long long to work and to be 64 bit so I believe such a small
+  curl_off_t will be very unlikely to occur in the wild.
+
+- SMTP: debug output for no known auth mechanisms supported
+  
+  ... and some minor source code whitespace edits
+
+- test: urlglob error messages have no extra newline anymore
+
+Guenter Knauf (11 Oct 2010)
+- Added build bits for librtmp to MingW32 makefiles.
+
+Daniel Stenberg (8 Oct 2010)
+- RELEASE-NOTES: synced with 61f4cdb73ae4
+
+- globbing: fix crash on unballanced open brace
+  
+  Having an open brace without a closing brace caused a segfault.
+  
+  Having a closing brace too many caused a silent error to occur, which
+  caused curl to bail out and return an error code but no error message
+  was shown. It does now!
+  
+  All error message outputs no longer wrongly get _two_ newlines written
+  after the error message.
+  
+  Reported by: Vlad Ureche
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3083942
+
+- [Dan Locks brought this change]
+
+  libcurl.m4: AC_PATH_PROG fixes
+  
+  The invocation of autoconf's AC_PATH_PROG( ) is not quite right for
+  finding curl-config. This fix corrects the negative case (where
+  curl-config is not found).
+
+- FAQ: added "How do I submit my patch?"
+
+- examples: use example.com in example URLs
+
+- TODO-RELEASE: libidn problem not repeatable
+  
+  "261 - configure and libidn" is removed from the list since Julien
+  Chaffraix tried to repeat it but failed and the reporter did not return
+  to provide further details.
+  
+  Reported by: Lyndon Hill
+  Bug: http://curl.haxx.se/mail/lib-2010-07/0029.html
+
+- libcurl.m4: mention argument is PREFIX
+  
+  The macro provides a --with-libcurl option that expects a PREFIX to be
+  specified and not actually a "directory" in which libcurl will be found.
+  This now spells that out more clearly.
+  
+  Reported by: Dan Locks
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3079891
+
+Guenter Knauf (3 Oct 2010)
+- Some NetWare makefile tweaks.
+  
+  Renamed SDK_* to NDK_*; made NDK_* defines overwriteable from
+  environment; removed now obsolete YACC macro;
+  moved some curl_config.h defines to IPv6 section since they
+  are only needed when IPv6 is enabled - this makes libcurl compile
+  with older NDKs too which were not IPv6-aware.
+
+Daniel Stenberg (2 Oct 2010)
+- TODO-RELEASE: 416 error fixed
+  
+  "3076808 Requests fail silently following a 416 error" done
+
+Julien Chaffraix (2 Oct 2010)
+- krb5-gssapi: Removed a memory leak in krb5_auth.
+  
+  We forgot to release the buffer passed to gss_init_sec_context.
+  
+  The previous logic was difficult to read as we were reusing the same
+  variable (gssbuf) for both input buffer and output buffer. Splitted the
+  logic in 2 variables to better underline who needs to be released.
+  Also made the code break at 80 lines.
+
+- krb5-gssapi: Made the function always return a value.
+  
+  kr5_auth missed a final 'return' statement. This is not an error in
+  gcc but can lead to potential bugs.
+
+- krb5-gssapi: Delete the GSS-API context.
+  
+  This fixes a memory leak related to the GSS-API code.
+  
+  Added a krb5_init and krb5_end functions. Also removed a work-around
+  the lack of proper initialization of the GSS-API context.
+
+Daniel Stenberg (2 Oct 2010)
+- HTTP: remove special case for 416
+  
+  It was pointed out that the special case libcurl did for 416 was
+  incorrect and wrong. 416 is not really different to other errors so the
+  response body must be handled like for other errors/http responses.
+  
+  Reported by: Chris Smowton
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3076808
+
+- [Dan Fandrich brought this change]
+
+  sws: Added writedelay HTTP server command
+  
+  This delays between write operations, hopefully making it easier
+  to spot problems where libcurl doesn't flush the socket properly
+  before waiting for the next response.
+
+- TODO-RELEASE: no bug in ftp_nextconnect
+  
+  The issue named "266 - Bug in ftp_nextconnect?" was deemed to not be a
+  bug and instead resulted in clarified docs.
+
+- curl_easy_setopt.3: CURLOPT_DIRLISTONLY implies dir list
+  
+  Make it explicit that setting CURLOPT_DIRLISTONLY to 1 will make libcurl
+  to list the directory.
+
+- RELEASE-NOTES: synced up to 588402585bae
+
+- TODO-RELEASE: move new features to next release
+
+- README.ares: we know require c-ares 1.6.0
+
+- SFTP: avoid downloading negative sizes!
+  
+  It is still not clarified exactly why this happens, but libssh2
+  sometimes report a negative file size for the remote SFTP file and that
+  deeply confuses libcurl (or crashes it) so this precaution is added to
+  avoid badness.
+  
+  Reported by: Ernest Beinrohr
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3076430
+
+- TODO-RELEASE: drop curl_easy_setoptv
+  
+  I haven't read any really convincing arguments for adding it
+
+- [Dirk Manske brought this change]
+
+  multi & hiper examples: updates and cleanups
+  
+  all multi and hiper examples:
+  
+  * don't loop curl_multi_perform calls, that was <7.20.0 style, currently
+    the exported multi functions will not return CURLM_CALL_MULTI_PERFORM
+  
+  all hiper examples:
+  * renamed check_run_count to check_multi_info
+  * don't  compare current running handle count with previous value, this
+    was the wrong way to check for finished requests, simply call
+    curl_multi_info_read
+  * it's also safe to call curl_multi_remove_handle inside the
+    curl_multi_info_read loop.
+  
+  ghiper.c:
+  * replaced curl_multi_socket (that function is marked as obsolete) calls
+    with curl_multi_socket_action calls (as in hiperfifo.c and
+    evhiperfifo.c)
+  
+  ghiper.c and evhiperfifo.c:
+  * be smart as hiperfifo.c, don't do uncessary curl_multi_* calls in
+    new_conn and main
+
+- TODO-RELEASE: one fixed, one postponed, one added
+  
+  As we're already in feature freeze, I pushed the feature onwards.
+
+Dan Fandrich (29 Sep 2010)
+- Renamed test1204 to test1117 to move it into the normal range
+
+Patrick Monnerat (29 Sep 2010)
+- Add gopher protocol definition to ILE/RPG binding.
+  OS400 compile script in test dir updated for chkhostname.
+
+Julien Chaffraix (28 Sep 2010)
+- krb5-gssapi: Remove several memory leaks.
+  
+  Remove a leak seen on Kerberos/MIT (gss_OID is copied internally and
+  we were leaking it). Now we just pass NULL as advised in RFC2744.
+  
+  |tmp| was never set back to buf->data.
+  
+  Cleaned up Curl_sec_end to take into account failure in Curl_sec_login
+  (where conn->mech would be NULL but not conn->app_data or
+  conn->in_buffer->data).
+
+- security.c: Remove Curl_sec_fflush_fd.
+  
+  The current implementation would make us send wrong data on a closed
+  socket. We don't buffer our data so the method can be safely removed.
+
+- security.c: We should always register the socket handler.
+  
+  Following a change in the way socket handler are registered, the custom
+  recv and send method were conditionaly registered.
+  We need to register them everytime to handle the ftp security
+  extensions.
+  
+  Re-added the clear text handling in sec_recv.
+
+- security.c: Fix Curl_sec_login after rewrite.
+  
+  Curl_sec_login was returning the opposite result that the code in ftp.c
+  was expecting. Simplified the return code (using a CURLcode) so to see
+  more clearly what is going on.
+
+- security.c: Readd the '\n' to the infof() calls.
+  
+  They are not automatically added and make the output of the verbose
+  mode a lot more readable.
+
+- security.c: Fix typo (PSBZ -> PBSZ)
+
+- security.c: Fix ftp_send_command.
+  
+  My use of va_args was completely wrong. Fixed the usage so that
+  we send the right commands!
+
+Daniel Stenberg (28 Sep 2010)
+- curl_easy_escape: don't escape "unreserved" characters
+  
+  According to RFC3986 section 2.3 the letters -, ., _ and ~ should not be
+  percent-encoded.
+  
+  Reported by: Miguel Diaz
+  Bug: http://curl.haxx.se/mail/lib-2010-09/0227.html
+
+- multi: don't expire timeouts at disonnect or done
+  
+  The functions Curl_disconnect() and Curl_done() are both used within the
+  scope of a single request so they cannot be allowed to use
+  Curl_expire(... 0) to kill all timeouts as there are some timeouts that
+  are set before a request that are supposed to remain until the request
+  is done.
+  
+  The timeouts are now instead cleared at curl_easy_cleanup() and when the
+  multi state machine changes a handle to the complete state.
+
+Dan Fandrich (27 Sep 2010)
+- Changed the TPF make file to get source files from Makefile.inc
+  
+  Patch was fixed and validated by David McCreedy.
+
+- Added test case 1204 to test HTTP range failure
+  
+  This is an attempt to reproduce bug #3076808
+
+Daniel Stenberg (27 Sep 2010)
+- [Dirk Manske brought this change]
+
+  multi_runsingle: set timeout error messages
+  
+  With the latest changes to fix the timeout handling with multi interface
+  we lost the timeout error messages. This patch brings them back.
+
+- TODO-RELEASE: updated list of issues to work on
+
+- parsedate: allow time specified without seconds
+  
+  The date format in RFC822 allows that the seconds part of HH:MM:SS is
+  left out, but this function didn't allow it. This change also includes a
+  modified test case that makes sure that this now works.
+  
+  Reported by: Matt Ford
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3076529
+
+- TFTP: re-indented the source code
+  
+  Just made sure that the good old curl indentation style is used all over
+  this file.
+
+- [Tim Newsome brought this change]
+
+  TFTP: Work around tftpd-hpa upload bug
+  
+  tftpd-hpa has a bug where it will send an incorrect ack when the block
+  counter wraps and tftp options have been sent. Work around that by
+  accepting an ack for 65535 when we're expecting one for 0.
+
+- Revert "security.c: buffer_read various fixes."
+  
+  This reverts commit fbb38de415b7bb7d743e53a7b4b887ffb12b3e5b.
+
+- security.c: removed superfluous parentheses
+  
+  And also removed the FIXME where memory was zeroed just before freed,
+  and some other minor whitespace changes.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: Update the #include statements after the rewrite.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: sec_write tweaks
+  
+  - |fd| is now a curl_socket_t and |len| a size_t to avoid conversions.
+  - Added 2 FIXMEs about the 2 unsigned -> signed conversions.
+  - Included 2 minor changes to Curl_sec_end.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: _sec_send tweaks
+  
+  - Renamed the method to sec_send now that we
+    renamed sec_send to do_sec_send.
+  - Some more variable renaming.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: sec_read tweaks
+  
+  - Renamed the function to sec_recv.
+  - Renamed the parameters and variable to match the rest of the code.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: Curl_sec_fflush_fd tweaks
+  
+  - Use an early return as it makes the code more readable.
+  - Added a FIXME about a conversion.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: sec_send tweaks
+  
+  - Renamed it to do_sec_send as it is the function doing the actual
+    transfer.
+  - Do not return any values as no one was checking it and it never
+    reported a failure (added a FIXME about checking for errors).
+  - Renamed the variables to make their use more specific.
+  - Removed some casts (int -> curl_socket_t, ...)
+  - Avoid doing the htnl <-> nthl twice by caching the 2 results.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: Curl_sec_read_msg tweaks
+  
+  - Renamed the variables name to better match their intend.
+  - Unified the |decoded_len| checks.
+  - Added some FIXMEs to flag some improvement that did not go in this
+    change.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: Curl_sec_set_protection_level tweaking
+  
+  - Removed sec_prot_internal as it is now inlined in the function (this removed
+    a redundant check).
+  - Changed the prototype to return an error code.
+  - Updated the method to use the new ftp_send_command function.
+  - Added a level_to_char helper method to avoid relying on the compiler's
+    bound checks. This default to the maximum security we have in case of a
+    wrong input.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: factored the logic from Curl_sec_login into a dedicated method that better reflect its intent.
+  
+  Introduced a helper method ftp_send_command that synchronously send
+  an FTP query.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: Remove out_buffer as it was never written into.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: buffer_read various fixes.
+  
+  Tighten the type of the |data| parameter to avoid a cast. Also made
+  it const as we should not modify it.
+  
+  Added a DEBUGASSERT on the size to be written while changing it.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: Made block_write return a CURLcode.
+  
+  While doing so, renamed it to socket_write to better match its
+  function.
+
+- [Julien Chaffraix brought this change]
+
+  security.c: Made block_read and sec_get_data return CURLcode.
+  
+  To do so, made block_read call Curl_read_plain instead of read.
+  
+  While changing them renamed block_read to socket_read and sec_get_data
+  to read_data to better match their function.
+  
+  Also fixed a potential memory leak in block_read.
+
+- [Julien Chaffraix brought this change]
+
+  Security.c: Fix headers guard to match the rest of the code.
+
+- [Julien Chaffraix brought this change]
+
+  configure: Fix the LDAPS disable message
+  
+  ... for example when LDAP is not compiled.
+  
+  Fixed the logic to match the rest of the options' message that is we
+  update the default message only if the option is not disabled after the
+  different checks.
+  
+  Reported by: Guenter Knauf
+
+- RELEASE-NOTES: sync with 8665d4e5 and c-ares >= 1.6.0 note
+
+- parse_remote_port: ignore colons without port number
+  
+  Obviously, browsers ignore a colon without a following port number. Both
+  Firefox and Chrome just removes the colon for such URLs. This change
+  does not remove the colon for URLs sent over a HTTP proxy, so we should
+  consider doing that change as well.
+  
+  Reported by: github user 'kreshano'
+
+- RELEASE-NOTES: in sync with 19f45eaa799
+
+- duphandle: use ares_dup()
+  
+  curl_easy_duphandle() was not properly duping the ares channel. The
+  ares_dup() function was introduced in c-ares 1.6.0 so by starting to use
+  this function we also raise the bar and require c-ares >= 1.6.0
+  (released Dec 9, 2008) for such builds.
+  
+  Reported by: Ning Dong
+  Bug: http://curl.haxx.se/mail/lib-2010-08/0318.html
+
+- [Hendrik Visage brought this change]
+
+  MacOSX-Framework: updates for Snowleopard
+  
+  1) PPC64 appears to be an 10.5 only supported architecture, so I
+  forced 10.5 for 64bit if there is a need for PPC64, else 64bit only
+  does x86_64
+  
+  2) proper "make clean" after every ./configure. fixes a bug where
+  subsequent runs the 32bit do not get compiled
+  
+  3) Added a version numbering curl-$VERSION} rather than the "stock standard" A
+
+- RELEASE-NOTES: synced with 5fcc4332d62fe
+  
+  Removed the duplicate entry of Kamil in the credits.
+
+- configure: don't enable RTMP if the lib detect fails
+  
+  librtmp is often statically linked and using sub dependencies like
+  OpenSSL, so we need to make sure we can actually link with it properly
+  before enabling it. Otherwise we easily end up trying to link with a
+  RTMP lib that fails.
+
+- TODO: added 8.4 non-gcrypt under GnuTLS
+  
+  We must not assume gcrypt just because of GnuTLS
+
+- configure: check for gcrypt if using GnuTLS
+  
+  1 - libcurl assumes that there are gcrypt functions available when
+  GnuTLS is.
+  
+  2 - GnuTLS can be built to use libnettle instead as crypto library,
+  which breaks assumption (1)
+  
+  This change makes configure make sure that if GnuTLS is requested and
+  detected, it also makes sure that gcrypt is present or it errors
+  out. This is mostly a way to make the user more aware of this flaw, the
+  correct fix would be to detect which crypto layer that is in use and
+  adapt our code to use that instead of blindly assuming gcrypt.
+  
+  Reported by: Michal Gorny
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3071038
+
+- RELEASE-NOTES: sync from d2a7fd2fe65b to HEAD
+
+- FTP: fix bad check of Curl_timeleft() return code
+  
+  When it returns 0 it means no timeout. Only a negative value means that
+  we're out of time.
+
+- LDAP: moved variable declaration to avoid compiler warn
+  
+  If built without HTTP or proxy support it would cause a compiler warning
+  due to the unused variable. I moved the declaration of it into the only
+  scope it is used.
+
+Tor Arntsen (18 Sep 2010)
+- LDAP: Use FALSE instead of bool_false when setting bits.close
+  
+  bool_false is the internal name used in the setup_once.h definition
+  we fall back to for non-C99 non-stdbool systems, it's not the actual
+  name to use in assignments (we use bool_false, bool_true there to
+  avoid global namespace problems, see comment in setup_once.h).
+  The correct C99 value to use is 'false', but let's use FALSE as
+  used elsewhere when assigning to bits.close. FALSE is set equal
+  to 'false' in setup_once.h when possible.
+  
+  This fixes a build problem on C99 targets.
+
+- LDAP: Add missing declaration for 'result'
+
+Daniel Stenberg (18 Sep 2010)
+- [Mauro Iorio brought this change]
+
+  LDAP: Support for tunnelling queries through HTTP proxy
+  
+  As of curl-7.21.1 tunnelling ldap queries through HTTP Proxies is not
+  supported. Actually if --proxytunnel command-line option (or equivalent
+  CURLOPT_HTTPPROXYTUNNEL) is used for ldap queries like
+  ldap://ldap.my.server.com/... You are unable to successfully execute the
+  query. In facts ldap_*_bind is executed directly against the ldap server
+  and proxy is totally ignored. This is true for both openLDAP and
+  Microsoft LDAP API.
+  
+  Step to reproduce the error:
+  Just launch "curl --proxytunnel --proxy 192.168.1.1:8080
+  ldap://ldap.my.server.com/dc=... "
+  
+  This fix adds an invocation to Curl_proxyCONNECT against the provided
+  proxy address and on successful "CONNECT" it tunnels ldap query to the
+  final ldap server through the HTTP proxy. As far as I know Microsoft
+  LDAP APIs don't permit tunnelling in any way so the patch provided is
+  for OpenLDAP only.  The patch has been developed against OpenLDAP 2.4.23
+  and has been tested with Microsoft ISA Server 2006 and works properly
+  with basic, digest and NTLM authentication.
+
+- timeout: use the correct start value as offset
+  
+  Rodric provide an awesome recipe that proved libcurl didn't timeout at
+  the requested time - it instead often timed out at [connect time] +
+  [timeout time] instead of the documented and intended [timeout time]
+  only. This bug was due to the code using the wrong base offset when
+  comparing against "now". I could also take the oppurtinity to simplify
+  the code by properly using of the generic help function for this:
+  Curl_timeleft.
+  
+  Reported by: Rodric Glaser
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3061535
+
+- Curl_timeleft: avoid returning "no timeout" by mistake
+  
+  As this function uses return code 0 to mean that there is no timeout, it
+  needs to check that it doesn't return a time left value that is exactly
+  zero. It could lead to libcurl doing an extra 1000 ms select() call and
+  thus not timing out as accurately as it should.
+  
+  I fell over this bug when working on the bug 3061535 but this fix does
+  not correct that problem alone, although this is a problem that needs to
+  be fixed.
+  
+  Reported by: Rodric Glaser
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3061535
+
+- whitespace: unified source
+  
+  if ( => if(
+  while ( => while(
+  
+  and some other changes in the similar spirit, trying to make the
+  whole file use the same style
+
+- remote-header-name: don't output filename when NULL
+
+- [James Bursa brought this change]
+
+  TheArtOfHttpScripting: use long options
+
+- [James Bursa brought this change]
+
+  getinmemory: make the example easier to follow
+  
+  1. Remove the comment warning that it's "not been verified to work". It
+     works with no problems in my testing.
+  
+  2. Remove 2 unnecessary includes.
+  
+  3. Remove the myrealloc(). Initialize chunk.memory with malloc() instead
+     of NULL. The comments for these two parts contradicted each other.
+  
+  4. Handle out of memory from realloc() instead of continuing.
+  
+  5. Print a brief status message at the end.
+
+- multi: don't do extra expire calls for the connection
+  
+  The timeout is set for the connect phase already at the start of the
+  request so we should not add a new one, and we MUST not set expire to 0
+  as that will remove any other potentially existing timeouts.
+
+- [Peter Pentchev brought this change]
+
+  Fix a bashism: test a = b is more portable than ==.
+
+- glob_word: remove a check that is always false
+
+- inflate_stream: remove redundant check that is always true
+
+- digest: make it clear the condition is always true
+
+- ssluse: removed redundant check that is always true
+
+Dan Fandrich (11 Sep 2010)
+- Link curl and the test apps with -lrt explicitly when necessary
+  
+  When curl calls a function from that library then it needs to
+  explicitly link to the library instead of piggybacking on
+  libcurl's own dependency.  Without this, GNU ld with the
+  --no-add-needed flag fails when linking (which Fedora now does
+  by default).
+  
+  Reported by: Quanah Gibson-Mount
+  Bug: http://curl.haxx.se/mail/lib-2010-09/0085.html
+
+- Mention the Debian Popularity Contest
+
+Tor Arntsen (9 Sep 2010)
+- test565: Don't hardcode IP:PORT
+  
+  Use %HOSTIP:%HTTPPORT instead of 127.0.0.1:8990 so that
+  verification works if the baseport change option is used
+  when executing runtests.pl.
+
+Daniel Stenberg (9 Sep 2010)
+- curl.1: updated protocols and polished language
+
+- FAQ: CURL_STATICLIB for visual studio users
+  
+  Clarified as it isn't used with a -D option for them.
+  
+  Reported by: Artfunkel
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3060381
+
+- FAQ: updated and added host with custom IP question
+  
+  Added "3.19 How do I get HTTP from a host using a specific IP address?"
+  and updated some stuff about certs etc.
+
+- chunky parser: only rewind if needed
+  
+  The code reading chunked encoding attempts to rewind the code if it had
+  read more data than the chunky parser consumes. The rewinding can fail
+  and it will then cause an error. This change now makes the rewinding
+  only happen if pipelining is in use - as that's the only time it really
+  needs to be done.
+  
+  Bug: http://curl.haxx.se/mail/lib-2010-08/0297.html
+  Reported by: Ron Parker
+
+Kamil Dudka (6 Sep 2010)
+- rtsp: avoid SIGSEGV on malformed header
+
+- rtsp: avoid SIGSEGV on malformed header
+
+Daniel Stenberg (6 Sep 2010)
+- warning: fix conversion to 'int' from 'size_t'
+
+- portabilty: use proper variable type to hold sockets
+  
+  Curl_getconnectinfo() is changed to return a proper curl_socket_t for
+  the last socket so that it'll work more portably (and cause less
+  compiler warnings).
+
+Guenter Knauf (3 Sep 2010)
+- Trial to fix another compiler warning with braces.
+
+Dan Fandrich (2 Sep 2010)
+- Use checkprefix() to compare protocol-specific strings
+  
+  Otherwise, there could be problems running in certain locales.
+
+Guenter Knauf (2 Sep 2010)
+- Moved S_ISREG define to setup as suggested by Dan.
+
+- Use own typedef as workaround for broken sspi.h header (f.e. Watcom).
+
+- Added some hacks in order to build with VC from git.
+  
+  Adam Light posted this patch to the list which enables builds from
+  git with VC versions other than vc6; also he added a vc10 target.
+
+- Added S_ISREG define for Win32.
+
+Daniel Stenberg (1 Sep 2010)
+- multi: fixes for timing out handles
+  
+  Add a timeout check for handles in the state machine so that they will
+  timeout in all states disregarding what actions that may or may not
+  happen.
+  
+  Fixed a bug in socket_action introduced recently when looping over timed
+  out handles: it wouldn't assign the 'data' variable and thus it wouldn't
+  properly take care of handles.
+  
+  In the update_timer function, the code now checks if the timeout has
+  been removed and then it tells the application. Previously it would
+  always let the remaining timeout(s) just linger to expire later on.
+
+- threaded resolver: no more expire 0 calls
+  
+  Curl_expire() set to 0 expires ALL timeouts so it should only be called
+  if we truly and really want to remove all timeouts for the handle.
+
+- resolve_server: simplify code
+  
+  Make use of the helper function Curl_timeleft() instead of duplicating
+  code.
+
+- multi: make sure the next timeout is used when one expires
+  
+  Each easy handle has a list of timeouts, so as soon as the main timeout
+  for a handle expires, we must make sure to get the next entry from the
+  list and re-add the handle to the splay tree.
+  
+  This was attempted previously but was done poorly in my commit
+  232ad6549a68450.
+
+Dan Fandrich (30 Aug 2010)
+- Added proxy keyword to allow skipping test in proxyless configs
+
+Daniel Stenberg (29 Aug 2010)
+- multi: set timeouts when transfer begins
+  
+  When a new transfer is about to start we now set the proper timeouts to
+  expire for the multi interface if they are set for the handle. This is a
+  follow-up bugfix to make sure that easy handles timeout properly when
+  the times expire and the multi interface is used. This also improves
+  curl_multi_timeout().
+
+- CURLOPT_DIRLISTONLY: don't use with CURLOPT_WILDCARDMATCH
+
+- FAQ: update list of supported protocols
+
+- [Fabian Keil brought this change]
+
+  In the m4 detection line, factor out the 2>dev/null
+
+- [Fabian Keil brought this change]
+
+  If m4 doesn't support --version, try if gm4 does.
+
+- [Fabian Keil brought this change]
+
+  If the m4 version isn't recognized at all, just say so
+  
+  'm4 version  found. You need a GNU m4 installed!' is a bit confusing.
+
+- HISTORY: mention the gopher story
+
+Dan Fandrich (25 Aug 2010)
+- Tweaked some test data files
+  
+  Fixed some issues that caused xmllint failures, added features
+  and keywords, fixed some quotes and removed some <strip> sections
+  that unnecessarily limited test checking.
+
+- Added new source files to Symbian and TPF makefiles
+
+Daniel Stenberg (25 Aug 2010)
+- RELEASE-NOTES: sync from b980c9a02 to HEAD
+
+- Makefile: add gopher.c file to build
+  
+  As the VC and RISCOS makefiles don't use the .inc file
+
+- runtests: fix uninitialized variable warning
+
+- gopher tests: revert parts of gopher in the pingpong server
+  
+  Introduced in the initial gopher commits, there was added logic to do
+  GOPHER test serving in the pingpong server but as it resembles HTTP much
+  more than FTP or SMTP, the gopher testing has been moved over to instead
+  use the sws (HTTP) server. This change simply removes unused code.
+
+- gopher tests: use sws and adjusted to more standard style
+
+- sws: added basic gopher support
+
+- gopher: enable the header callback/verbosity
+
+- gopher: fix test case line endings
+  
+  Patches over email very easily lose CRLF line endings in files otherwise
+  LF-only so I had to put them back where needed.
+
+- gopher: fix memory leak and busyloop
+  
+  The fix for the busyloop really only is a temporary work-around.  It
+  causes a BLOCKING behavior which is a NO-NO. This function should rather
+  be split up in a do and a doing piece where the pieces that aren't
+  possible to send now will be sent in the doing function repeatedly until
+  the entire request is sent.
+
+- [Cameron Kaiser brought this change]
+
+  Gopher using Curl_write; test suite (4 tests)
+
+- [Cameron Kaiser brought this change]
+
+  Remove url.c test
+
+- [Cameron Kaiser brought this change]
+
+  Forgot gopher.h in Makefile.inc
+
+- [Cameron Kaiser brought this change]
+
+  Gopher protocol support (initial release)
+
+- http: handle trailer headers in all chunked responses
+  
+  HTTP allows that a server sends trailing headers after all the chunks
+  have been sent WITHOUT signalling their presence in the first response
+  headers. The "Trailer:" header is only a SHOULD there and as we need to
+  handle the situation even without that header I made libcurl ignore
+  Trailer: completely.
+  
+  Test case 1116 was added to verify this and to make sure we handle more
+  than one trailer header properly.
+  
+  Reported by: Patrick McManus
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3052450
+
+- TODO: we now support RTMP
+
+- TODO: done "NTLM with other crypto functions"
+  
+  Since NTLM was made to work with the NSS API as well, the primary SSL
+  alternatives will be built with NTLM support in libcurl.
+
+- TODO: fixed "Make curl_multi_info_read faster"
+  
+  It is really fast now
+
+Dan Fandrich (24 Aug 2010)
+- Fixed a NULL pointer dereference in form posting
+  
+  It was introduced in commit eeb2cb05 along with the -F type=
+  change. Also fixed a typo in the name of the magic filename=
+  parameter. Tweaked tests 39 and 173 to better test this path.
+
+Daniel Stenberg (24 Aug 2010)
+- [Ben Greear brought this change]
+
+  multi:  Fix compile warning on 64-bit systems
+
+Dan Fandrich (23 Aug 2010)
+- Mention PolarSSL in tutorial & add some URLs to INSTALL
+
+Daniel Stenberg (23 Aug 2010)
+- RESUME_FROM: clarify what ftp uploads do
+  
+  The numerical value passed to CURLOPT_RESUME_FROM for FTP uploads is
+  interpreted and used as position where to resume the _reading_ of the
+  local file and it will "blindly" append that data on the remote
+  file. This was certainly not clear in the docs previously.
+  
+  Reported by: catalin
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3048174
+
+- [Dirk Manske brought this change]
+
+  Curl_is_connected: use correct errno
+  
+  The correctly extracted errno contents were mistakenly overwritten by a newer
+  value that wasn't the correct error value.
+  
+  Bug: http://curl.haxx.se/mail/lib-2010-08/0242.html
+
+- cmdline: make -F type= accept ;charset=
+  
+  The -F option allows some custom parameters within the given string, and
+  those strings are separated with semicolons. You can for example specify
+  "name=daniel;type=text/plain" to set content-type for the
+  field. However, the use of semicolons like that made it not work fine if
+  you specified one within the content-type, like for:
+  "name=daniel;type=text/plain;charset=UTF-8"
+  ... as the second one would be seen as a separator and "charset" is no
+  parameter curl knows anything about so it was just silently discarded.
+  
+  The new logic now checks if the semicolon and following keyword looks
+  like a parameter it knows about and if it isn't it is assumed to be
+  meant to be used within the content-type string itself.
+  
+  I modified test case 186 to verify that this works as intended.
+  
+  Reported by: Larry Stone
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3048988
+
+Guenter Knauf (20 Aug 2010)
+- Added mk-ca-bundle.vbs script.
+  
+  The script works exactly same as the Perl one except for one thing:
+  when the text descriptions generated with openssl are included then
+  the md5 fingerprints are missing; seems openssl has either a bug or
+  a feature which prints the md5 fingerprint output to stdout instead
+  of writing them to specified file; this script could here do the same
+  as what the Perl scripr does (redirect stdout into file) but this
+  makes the script take up double the time because it needs to launch
+  cmd.exe 140 times (fo each openssl call). So I think for now we just
+  ommit the md5 fingerprints, and see if openssl will be fixed.
+
+- Trial to fix win32 autobuilds.
+  
+  It seems that its time to look at some better ideas for the win32
+  non-configure builds; probably a prebuild target which copies
+  config-win32.h to curl_config.h and appends also then feature
+  defines like USE_ARES.
+
+Dan Fandrich (19 Aug 2010)
+- Use the S_ISREG macro to determine what is a regular file
+
+Kamil Dudka (19 Aug 2010)
+- AC_INIT: avoid a warning with autoconf 2.66
+  
+  It was complaining about the '=>' operator, introduced in e3fc0d5.
+
+Dan Fandrich (18 Aug 2010)
+- Fixed a memory leak during OOM in the multi timeout code
+
+- Removed a C99ism & made an array const
+
+Daniel Stenberg (19 Aug 2010)
+- [Julien Chaffraix brought this change]
+
+  test: added test 579 to verify progress callback for chunked post
+  
+  The 66 bytes checked are those 38 bytes with the chunked encoding
+  headers added: 8+8+10+35+5 = 66
+  
+  The three-letter words become 8 bytes on the wire because they are sent
+  like: "3\r\none\r\n"
+  
+  ... and there's the trailing 5 bytes write after the four lines since
+  the final chunk is sent (which is "0\r\n\r\n").
+
+- multi: avoid sending multiple complete messages
+  
+  I fell over this bug report that mentioned that libcurl could wrongly
+  send more than one complete messages at the end of a transfer. Reading
+  the code confirmed this, so I've added a new multi state to make it not
+  happen. The mentioned bug report was made by Brad Jorsch but is (oddly
+  enough) filed in Debian's bug tracker for the "wmweather+" tool.
+  
+  Bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=593390
+
+- FAQ: update the list of supported protocols
+
+- FAQ: added blurb about ECCN
+  
+  "1.13 curl's ECCN number" is a new section mostly made up from
+  Alessandro Vesely's very informative ML post on the subject:
+  http://curl.haxx.se/mail/lib-2008-03/0251.html
+
+Guenter Knauf (18 Aug 2010)
+- It is sufficient to pipe stderr to NUL to get rid of the nasty messages.
+
+- Added SSPI build to Watcom makefile.
+
+Daniel Stenberg (16 Aug 2010)
+- [Julien Chaffraix brought this change]
+
+  progress: callback for POSTs less than MAX_INITIAL_POST_SIZE
+  
+  Add a call to Curl_pgrsSetUploadSize in this case valided by a test
+  case.
+  
+  Reported by: Никита Дорохин.
+  Bug: http://curl.haxx.se/mail/lib-2010-04/0173.html
+
+Dan Fandrich (16 Aug 2010)
+- Make the LD_PRELOAD path absolute in the tests that use it
+  
+  In some situations, libtool will change directories and perform
+  a link step before executing the libtest test app. Since
+  LD_PRELOAD is in effect for this entire process, the path to the
+  binary must be absolute so it will be valid no matter in which
+  directory the app is running.
+
+Daniel Stenberg (16 Aug 2010)
+- negotiation: Wrong proxy authorization
+  
+  There's an error in http_negotiation.c where a mistake is using only
+  userpwd even for proxy requests. Ludek provided a patch, but I decided
+  to write the fix slightly different using his patch as inspiration.
+  
+  Reported by: Ludek Finstrle
+  Bug: http://curl.haxx.se/bug/view.cgi?id=3046066
+
+Dan Fandrich (16 Aug 2010)
+- Clear stdout and stderr files on each test run
+  
+  This allows a test to be run several times in the same test
+  session even when the -k option is given.
+
+Guenter Knauf (15 Aug 2010)
+- Syncroniszed vclean target; fixed some comments.
+
+Daniel Stenberg (15 Aug 2010)
+- THANKS: added contributors from 7.21.1
+
+- multi: two fixes done
+
+- multi: use timeouts properly for MAX_RECV/SEND_SPEED
+  
+  When detecting that the send or recv speed, the multi interface changes
+  state to TOOFAST and previously there was no timeout set that would
+  force a recheck but it would rely on the application to somehow call
+  libcurl anyway. This now sets a timeout for a suitable future time to
+  check again if the average transfer speed is then below the threshold
+  again.
+
+- multi: support timeouts
+  
+  Curl_expire() is now expanded to hold a list of timeouts for each easy
+  handle. Only the closest in time will be the one used as the primary
+  timeout for the handle and will be used for the splay tree (which sorts
+  and lists all handles within the multi handle).
+  
+  When the main timeout has triggered/expired, the next timeout in time
+  that is kept in the list will be moved to the main timeout position and
+  used as the key to splay with. This way, all timeouts that are set with
+  Curl_expire() internally will end up as a proper timeout. Previously any
+  Curl_expire() that set a _later_ timeout than what was already set was
+  just silently ignored and thus missed.
+  
+  Setting Curl_expire() with timeout 0 (zero) will cancel all previously
+  added timeouts.
+  
+  Corrects known bug #62.
+
+- Curl_llist_insert_next: allow insertion first in the list
+  
+  When we specify the "insert after" entry as NULL, this function now
+  inserts the new entry first in the list.
+
+- multi: make curl_multi_info_read perform O(1)
+  
+  Instead of looping over all attached easy handles, this now keeps a list
+  of messages in the multi handle. It allows curl_multi_info_read() to
+  perform O(1) no matter how many easy handles that are handled. This is
+  of importance since this function may be polled very frequently by apps
+  using the multi interface.
+
+Kamil Dudka (15 Aug 2010)
+- curl -T: ignore file size of special files
+  
+  original bug report at https://bugzilla.redhat.com/622520
+
+Dan Fandrich (13 Aug 2010)
+- Reset environment variables before starting servers
+  
+  Otherwise, variables from tests could affect the servers
+  themselves.
+
+Kamil Dudka (12 Aug 2010)
+- typecheck-gcc: work around gcc upstream bug #32061
+  
+  original bug report at https://bugzilla.redhat.com/617757
+
+Daniel Stenberg (11 Aug 2010)
+- release cycle loop: start over toward 7.21.2
+
 Version 7.21.1 (11 Aug 2010)
 
 Daniel Stenberg (11 Aug 2010)
@@ -3353,639 +4480,3 @@
 - Attempt to enhance stunnel 3.X logging
 
 - Prevent running stunnel unless its version can be determined.
-
-- Log sws IPv version, port and pid when exiting due to SIGINT or SIGTERM.
-
-- To allow remote log inspection avoid redirecting messages to stderr.
-  
-  Set 0600 file permissions on certificate pem files.
-
-- Preserve empty line following last target
-
-- Log info for start up failures.
-
-Daniel Stenberg (26 Nov 2009)
--  - Extended and fixed the change I did on Dec 11 for the the progress
-     meter/callback during FTP command/response sequences. It turned out it was
-     really lame before and now the progress meter SHOULD get called at least
-     once per second.
-
-Yang Tse (26 Nov 2009)
-- Only attempt to clear the server-logs lock when previously set by this same server.
-
-- signal handling to cleanup on SIGINT and SIGTERM
-
-- - Larry Lansing fixed ares_parse_srv_reply to properly parse replies
-    which might contain non-SRV answers, skipping over potential non-SRV
-    ones such as CNAMEs.
-
-- When using icc, compile with -fpic and link with intel dynamic libraries.
-
-Daniel Stenberg (24 Nov 2009)
-- clarify what a modern version of libcurl means
-
-Yang Tse (24 Nov 2009)
-- Added 'currently' in italics to insist on transient situation.
-
-- Fix language
-
-Daniel Stenberg (24 Nov 2009)
-- refreshed
-
-Yang Tse (23 Nov 2009)
-- - David Byron modified Makefile.dist vc8 and vc9 targets in order to allow
-    finer granularity control when generating src and lib makefiles.
-
-- Enhance some debug messages for initialization failures.
-  
-  Fix compiler warning: conditional expression is constant.
-
-Daniel Stenberg (23 Nov 2009)
-- - Bjorn Augustsson reported a bug which made curl not report any problems even
-    though it failed to write a very small download to disk (done in a single
-    fwrite call). It turned out to be because fwrite() returned success, but
-    there was insufficient error-checking for the fclose() call which tricked
-    curl to believe things were fine.
-
-Yang Tse (23 Nov 2009)
-- Daniel wants upcoming release to be 1.7.0
-
-- Mention last changes
-
-- - Removed from external interface preprocessor symbol definition for
-    CARES_HAVE_ARES_FREE_DATA. Current functionality of ares_free_data()
-    makes it unnecessary.
-
-- Added README.msvc
-
-- Changed c-ares naming conventions when using MSVC as described in README.msvc
-
-Daniel Stenberg (23 Nov 2009)
-- fixed CURLOPT_TFTP_BLKSIZE typo
-
-Yang Tse (23 Nov 2009)
-- - Mention other recent changes
-
-- - Jakub Hrozek renamed addrttl and addr6ttl structs to ares_addrttl and
-    ares_addr6ttl in order to prevent name space pollution, along with
-    necessary changes to code base and man pages.This change does not break
-    ABI, there is no need to recompile existing applications. But existing
-    applications using these structs with the old name will need source code
-    adjustments when recompiled using c-ares 1.6.1.
-
-- - Jakub Hrozek fixed more function prototypes in man pages to sync them
-    with the ones declared in ares.h
-
-- Make configure remove the curlbuild.h file included in distribution tarballs
-  for use by non-configure systems. As intended, configure would overwrite the
-  distributed one when doing in-tree builds. But VPATH builds would end having
-  two curlbuild.h files, one in the source tree and another in the build tree.
-
-- Make configure remove the ares_build.h file included in distribution tarballs.
-
-- Fix macro redefinition.
-
-- Fix name space pollution.
-
-- Allow using different extra import libraries for debug and release builds.
-
-- Add manifest stuff to msvc makefile
-
-Daniel Stenberg (20 Nov 2009)
-- - Constantine Sapuntzakis identified a write after close, as the sockets were
-    closed by libcurl before the SSL lib were shutdown and they may write to its
-    socket. Detected to at least happen with OpenSSL builds.
-
-Yang Tse (20 Nov 2009)
-- Sync man page with reality
-
-- Add missing external API decoration for ares_set_socket_callback()
-
-Daniel Stenberg (20 Nov 2009)
-- - Jad Chamcham pointed out a bug with connection re-use. If a connection had
-    CURLOPT_HTTPPROXYTUNNEL enabled over a proxy, a subsequent request using the
-    same proxy with the tunnel option disabled would still wrongly re-use that
-    previous connection and the outcome would only be badness.
-
-Yang Tse (20 Nov 2009)
-- Add ares_free_data() man page.
-
-- - Provide in external interface preprocessor symbol definitions for
-    CARES_HAVE_ARES_FREE_DATA as an indication of function availability.
-
-- Remove typecast
-
-- Fix comment
-
-- Add ares_data.c and ares_data.h
-
-- Jakub Hrozek modified ares_parse_srv_reply() and ares_parse_txt_reply() API
-  to return a linked lists of results. These were also modified to internally
-  use the ares_data memory struct and as such its result must be free'ed with
-  ares_free_data().
-
-- Initial support for the generic ares_free_data() function that will allow
-  applications to free memory allocated and returned by some c-ares funtions.
-
-- Explicit initialization of all FTP struct members in ftp_init()
-
-- Fix compiler warning: ISO C90 forbids mixed declarations and code
-
-- Make memory tracking system intolerant with zero sized malloc(),
-  calloc() and realloc() function calls.
-
-- Make usage of calloc()'s arguments consistent with rest of code base
-
-- workaround icc 9.1 optimizer issue
-
-Daniel Stenberg (17 Nov 2009)
-- - Constantine Sapuntzakis provided another fix for the DNS cache that could
-    end up with entries that wouldn't time-out:
-  
-    1. Set up a first web server that redirects (307) to a http://server:port
-       that's down
-    2. Have curl connect to the first web server using curl multi
-  
-    After the curl_easy_cleanup call, there will be curl dns entries hanging
-    around with in_use != 0.
-  
-    (http://curl.haxx.se/bug/view.cgi?id=2891591)
-
-- - Marc Kleine-Budde fixed: curl saved the LDFLAGS set during configure into
-    its pkg-config file.  So -Wl stuff ended up in the .pc file, which is really
-    bad, and breaks if there are multiple -Wl in our LDFLAGS (which are in
-    PTXdist). bug #2893592 (http://curl.haxx.se/bug/view.cgi?id=2893592)
-
-Yang Tse (16 Nov 2009)
-- Add icc fvisibility bug test
-
-- Fix icc 9.0 compiler warning: external definition with no prior declaration
-
-- Update serial number
-
-- Fix three var names
-
-- Add check for assert.h header file
-
-Kamil Dudka (15 Nov 2009)
-- - David Byron improved the configure script to use pkg-config to find OpenSSL
-    (and in particular the list of required libraries) even if a path is given
-    as argument to --with-ssl
-
-Yang Tse (15 Nov 2009)
-- getaddrinfo is fully thread safe on solaris versions which
-  implement the function even when h_errno is not a macro.
-  
-  The h_errno macro test now only done on systems for which there
-  is no hard coded knowledge about getaddrinfo's thread safeness.
-
-- Client certificate ENG file type requires OpenSSL 0.9.7 or newer
-
-- Remove files generated on previous buildconf/configure run
-
-- Add a couple of renamed files to the removal list
-
-- Remove enable-thread / disable-thread configure option. These were only placebo
-  options. The library is always built as thread safe as possible on every system.
-
-Claes Jakobsson (14 Nov 2009)
-- Added '--configure' option to curl-config to display original configure arguments when curl was built
-
-Yang Tse (14 Nov 2009)
-- Refactor how preprocessor symbol _THREAD_SAFE definition is done.
-
-- OpenSSL 0.9.7 or newer required for ENGINE_CTRL_GET_CMD_FROM_NAME definition
-
-Daniel Stenberg (14 Nov 2009)
-- - Claes Jakobsson restored the configure functionality to detect NSS when
-    --with-nss is set but not "yes".
-  
-    I think we can still improve that to check for pkg-config in that path etc,
-    but at least this patch brings back the same functionality we had before.
-
-- - Camille Moncelier added support for the file type SSL_FILETYPE_ENGINE for
-    the client certificate. It also disable the key name test as some engines
-    can select a private key/cert automatically (When there is only one key
-    and/or certificate on the hardware device used by the engine)
-
-Yang Tse (14 Nov 2009)
-- - Constantine Sapuntzakis provided the fix that ensures that an SSL connection
-    won't be reused unless protection level for peer and host verification match.
-
-- Assume that getaddrinfo is thread safe, unless hard coded
-  knowledge says the contrary or h_errno is not defined.
-
-- Related with the threadsafe capability of getaddrinfo:
-  
-  - Constantine Sapuntzakis reported that Darwin 6.0 a.k.a. MAC OS X 10.2
-    and newer have a threadsafe getaddrinfo.
-  
-  - Fix Dragonfly BSD triplet detection.
-  
-  - In case the hard-coded knowledge says that getaddrinfo is threadsafe,
-    an additional check is done to verify that h_errno is also defined.
-    If h_errno isn't defined, we finally assume that it isn't threadsafe.
-    Jamie Lokier provided the inspiration for this extra check.
-
-- AIX 5.2 and newer have threadsafe getaddrinfo.
-  
-  Add some comments to better understand what the regex's pretend to achieve.
-
-- HP-UX 11.11 and later have threadsafe getaddrinfo
-
-- Constantine Sapuntzakis patch for hostip.c
-  
-  No need for a separate variable ndns.
-  
-  The memory leak detection will detect code that fails to release a dns reference.
-  
-  The DEBUGASSERT will detect code that releases too many references.
-
-- Check if getaddrinfo is threadsafe when function check allows it to be used
-
-- Add missing variable initialization
-
-Kamil Dudka (12 Nov 2009)
-- - libcurl-NSS now tries to reconnect with TLS disabled in case it detects
-    a broken TLS server. However it does not happen if SSL version is selected
-    manually. The approach was originally taken from PSM. Kaspar Brand helped me
-    to complete the patch. Original bug reports:
-    https://bugzilla.redhat.com/525496
-    https://bugzilla.redhat.com/527771
-
-- - Kevin Baughman provided a fix preventing libcurl-NSS from crash on doubly
-    closed NSPR descriptor. The issue was hard to find, reported several times
-    before and always closed unresolved. More info at the RH bug:
-    https://bugzilla.redhat.com/534176
-
-Yang Tse (12 Nov 2009)
-- Make hostip.c compile again
-
-Dan Fandrich (11 Nov 2009)
-- Made the path to the binaries absolute
-
-Yang Tse (11 Nov 2009)
-- Add last change credit
-
-- - Marco Maggi reported that compilation failed when configured --with-gssapi
-    and GNU GSS installed due to a missing mutual exclusion of header files in
-    the Kerberos 5 code path. He also verified that my patch worked for him.
-
-Daniel Stenberg (11 Nov 2009)
-- NSS SSL connections are also blocking
-
-- - Constantine Sapuntzakis posted bug #2891595
-    (http://curl.haxx.se/bug/view.cgi?id=2891595) which identified how an entry
-    in the DNS cache would linger too long if the request that added it was in
-    use that long. He also provided the patch that now makes libcurl capable of
-    still doing a request while the DNS hash entry may get timed out.
-
-- - Christian Schmitz noticed that the progress meter/callback was not properly
-    used during the FTP connection phase (after the actual TCP connect), while
-    it of course should be. I also made the speed check get called correctly so
-    that really slow servers will trigger that properly too.
-
-Yang Tse (11 Nov 2009)
-- Renamed fpGetNetworkParams and fpSystemFunction036 to avoid namespace pollution with static library
-
-- Add kernel32.lib
-
-- Mention last changes
-
-- Reinstate copyright symbol lost in previous commit
-
-- Make some strings different in resource file for debug or release builds
-
-- Ignore more subdirs
-
-- Fix compiler warning: conditional expression is constant
-
-- Sync linker and resource compiler options with Makefile.msvc
-
-- Follow Makefile.msvc subdirectory naming scheme, and sync compiler options
-
-- Updated MSVC makefile that allows building dynamic and static
-  c-ares libraries in debug and release flavours.
-  
-  Additionally each of the three sample programs is built against
-  each of the four possible c-ares libraries, generating all this
-  a total number of 12 executables and 4 libraries.
-
-- Test for USE_WINSOCK since it is more restrictive than WIN32
-
-- Make header inclusion depend on HAVE_*_H definition
-
-- Remove unneeded preprocessor directives
-
-Daniel Stenberg (7 Nov 2009)
-- Joshua Kwan added paragraph 4.18 about file:// URLs on windows etc
-
-Yang Tse (5 Nov 2009)
-- Adjust c-ares include paths for memory tracking enabled (--enable-curldebug) builds
-
-Kamil Dudka (5 Nov 2009)
-- - Dropped misleading timeouts in libcurl-NSS and made sure the SSL socket works
-    in non-blocking mode.
-
-Yang Tse (5 Nov 2009)
-- I removed leading 'curl' path on the 'curlbuild.h' include statement in
-  curl.h, adjusting auto-makefiles include path, to enhance portability to
-  OS's without an orthogonal directory tree structure such as OS/400.
-
-- avoid division by zero
-
-Daniel Stenberg (4 Nov 2009)
-- - I fixed several problems with the transfer progress meter. It showed the
-    wrong percentage for small files, most notable for <1000 bytes and could
-    easily end up showing more than 100% at the end. It also didn't show any
-    percentage, transfer size or estimated transfer times when transferring
-    less than 100 bytes.
-
-Yang Tse (4 Nov 2009)
-- source files used by sample programs
-
-Daniel Stenberg (4 Nov 2009)
-- start over towards 7.19.8
-
-- updated with names from the 7.19.7 release notes
-
-Version 7.19.7 (4 Nov 2009)
-
-Daniel Stenberg (4 Nov 2009)
-- fix the find command line
-
-- avoid fiddling in the ares subdir since that isn't part of the release
-  tarball
-
-- release coming up
-
-- syntax
-
-- I have next to no hope of fixing more bugs before 7.19.7 so all are now
-  moved to 7.19.8. I removed the bugs already in KNOWN_BUGS (but they should
-  of course still get fixed).
-  
-  Added three recent bugs. 7.19.8 is targetted to get shipped in Janurary 2010
-
-Dan Fandrich (4 Nov 2009)
-- Put the Symbian binaries into the more modern locations in ROM
-
-- Updated systems, bindings, NTLM support
-
-- Export the Symbian .iby files to make it easier to build a ROM
-
-Daniel Stenberg (2 Nov 2009)
-- strerror() => curl_easy_strerror()
-
-Yang Tse (2 Nov 2009)
-- include progress.h for Curl_pgrsSetDownloadCounter function prototype
-
-Daniel Stenberg (2 Nov 2009)
-- - As reported independent by both Stan van de Burgt and Didier Brisebourg,
-    CURLINFO_SIZE_DOWNLOAD (the -w variable size_download) didn't work when
-    getting data from ldap!
-
-- describe the cmake situation
-
-Yang Tse (2 Nov 2009)
-- Renamed c-ares setup.h to ares_setup.h
-
-- Adjust include paths to take in account that currently:
-  
-  c-ares with --enable-curldebug uses memdebug.h from libcurl's lib subdirectory.
-  
-  memdebug.h needs access to libcurl's setup.h from libcurl's lib subdirectory
-  and also needs access to libcurl's generated curl_config.h
-
-- Undo old temporary change once used for testing purposes
-
-Daniel Stenberg (31 Oct 2009)
-- - Gabriel Kuri reported a problem with CURLINFO_CONTENT_LENGTH_DOWNLOAD if the
-    download was 0 bytes, as libcurl would then return the size as unknown (-1)
-    and not 0. I wrote a fix and test case 566 to verify it.
-
-Yang Tse (31 Oct 2009)
-- Mention many changes
-
-- Mention --enable-symbol-hiding configure option
-
-- Symbol hiding configure options renamed to the hopefully less ambiguous
-  --enable-symbol-hiding and --disable-symbol-hiding as well as related
-  macro names and some internal variables used for them.
-  
-  Related configuration file preprocessor symbols named to
-  CARES_SYMBOL_HIDING and CARES_SYMBOL_SCOPE_EXTERN.
-
-Daniel Stenberg (30 Oct 2009)
-- Added test case 566 in an attempt to repeat bug 2884561
-  (http://curl.haxx.se/bug/view.cgi?id=2884561) but it seems to work for me...
-
-- - Liza Alenchery mentioned a problem with re-used SCP connection when a bad
-    auth is used, as it caused a crash. I failed to repeat the issue, but still
-    made a change that now forces the TCP connection used for a freed SCP
-    session to get closed and not be re-used.
-
-- - "Tom" posted a bug report that mentioned how libcurl did wrong when doing a
-    POST using a read callback, with Digest authentication and
-    "Transfer-Encoding: chunked" enforced.  I would then cause the first request
-    to be wrongly sent and then basically hang until the server closed the
-    connection. I fixed the problem and added test case 565 to verify it.
-
-Yang Tse (30 Oct 2009)
-- Header inclusion depending on HAVE_* symbol.
-  Fix two typos.
-
-- Comparison of the Initial revision of this file with ares_parse_a_reply.c
-  shows that this one is actually a modified copy of ares_parse_a_reply.c.
-  
-  In order to comply with ares_parse_a_reply.c's M.I.T. license, the old
-  1998 M.I.T. copyright notice is now also preserved in this file the same
-  as it is done in other ares_parse_*.c files.
-
-- Add CVS Id tag.
-  Fix identation of some license lines.
-
-- Add CVS Id tag.
-
-- Fix comment
-
-- In no particular order, changed/fixed all of the following in
-  ares_parse_txt_reply() current version:
-  
-  - Fixed a couple of potential double free's.
-  
-  - Fixed memory leaks upon out of memory condition.
-  
-  - Fixed pointer arithmetic.
-  
-  - Setting ntxtreply to zero upon entry for all failure cases.
-  
-  - Changed data type to size_t for variables substr_len, str_len and
-    the length member of ares_txt_reply struct.
-  
-  - Avoided a couple of memcpy() calls.
-  
-  - Changed i data type to unsigned int to prevent compiler warnings.
-  
-  - Adjusted a comment.
-  
-  - Use ARES_SUCCESS literal for successfull completion.
-  
-  - Added CVS Id tag.
-
-- Add c-ares DLL resource file to distribution archive
-
-- ignore files
-
-- Empty subdir
-
-- Updated MSVC 6.0 workspace and project files that allows building
-  dynamic and static c-ares libraries in debug and release flavours.
-  
-  Additionally each of the three sample programs is built against
-  each of the four possible c-ares libraries, generating all this
-  a total number of 12 executables and 4 libraries.
-
-Daniel Stenberg (29 Oct 2009)
-- no need to check for NULL pointers before dereferencing, as the pointers
-  MUST be valid and they are dereferenced further down in the function
-  unconditionally!
-
-- shorten the descriptions somewhat
-
-- update to the new struct name
-
-- Jakub Hrozek added ares_parse_txt_reply() for TXT parsing
-
-- use 'ares_srv_reply' for proper name-spacing
-
-Yang Tse (29 Oct 2009)
-- Fix compiler warning: control reaches end of non-void function
-
-- Take in account c-ares 1.6.1 will use __declspec function decoration
-  for Win32 and Symbian unless CARES_STATICLIB is defined to use static
-  library linkage.
-
-- Add reference for ares_parse_srv_reply.pdf
-
-- Add reference for ares_parse_srv_reply docs
-
-- External API function linkage decoration adjustment
-
-- External API function linkage decoration adjustment
-
-Daniel Stenberg (28 Oct 2009)
-- Since the NSS lib closes the socket the memory tracking system wrongly gets a
-  false positive on a leaked socket, so this introduces a way to tell the system
-  that the socket is indeed closed without explicitly closing it!
-
-Yang Tse (28 Oct 2009)
-- Initial step towards the ability to reduce c-ares exported symbols
-  based on the 'visibility' attribute for GNUC and __global for Sun
-  compilers, taking also in account __declspec function decoration
-  for Win32 and Symbian DLL's.
-  
-  Introducing configure options --enable-hidden-symbols and
-  --disable-hidden-symbols following libcurl's naming.
-
-- libssh2 detection changes mentioned in http://curl.haxx.se/mail/lib-2009-10/0343.html
-
-- Fix comment
-
-- Fix spelling
-
-- Fix Pelles C Win32 target compilation issues
-
-Daniel Stenberg (26 Oct 2009)
-- grrr, removed the conflict markers
-
-- spell fix by Michael Wood
-
-- - Dima Barsky made the curl cookie parser accept cookies even with blank or
-    unparsable expiry dates and then treat them as session cookies - previously
-    libcurl would reject cookies with a date format it couldn't parse. Research
-    shows that the major browser treat such cookies as session cookies. I
-    modified test 8 and 31 to verify this.
-
-Dan Fandrich (24 Oct 2009)
-- Mention that Android works
-
-Daniel Stenberg (24 Oct 2009)
-- Fabian Keil's suggested wording
-
-Yang Tse (23 Oct 2009)
-- John Engelhart noticed an unreleased problem relative to a duplicate
-  ARES_ECANCELLED error code value and missing error code description.
-
-Patrick Monnerat (23 Oct 2009)
-- OS400 install: Duplicate H include file to file CURL to support more include path forms.
-
-Daniel Stenberg (22 Oct 2009)
-- update the company sponsors part, as one company is no longer sponsoring
-  and another is sponsoring more
-
-Yang Tse (21 Oct 2009)
-- Update MSVC 6 caveats section
-
-- Update memory tracking/debugging reference
-
-Daniel Stenberg (21 Oct 2009)
-- - Attempt to use pkg-config for finding out libssh2 installation details
-    during configure.
-
-- mention bug 2848436 in regard to the TFTP problems
-
-- s/koresh/Johan van Selst/
-
-- add --crlfile to the man page
-
-- - A patch in bug report #2883177 (http://curl.haxx.se/bug/view.cgi?id=2883177)
-    by user 'koresh' introduced the --crlfile option to curl, which makes curl
-    tell libcurl about a file with CRL (certificate revocation list) data to
-    read.
-
-- spelling corrections
-
-Yang Tse (21 Oct 2009)
-- Detect when msvc 6.0 is in use without PSDK installed, intentionally
-  fail to build when this happens, and show an appropriate error.
-  
-  The brave of heart can circumvect this. Defining ALLOW_MSVC6_WITHOUT_PSDK
-  in lib/config-win32.h, although absolutely discouraged and unsupported,
-  this will allow the die hard MSVC hacker to build in such a discouraged
-  environment.
-  
-  The actually supported 'fix' is to install 'February 2003 Platform SDK'
-  a.k.a. 'Windows Server 2003 PSDK' which can be freely downloaded from
-  http://www.microsoft.com/msdownload/platformsdk/sdkupdate/psdk-full.htm
-
-Gunter Knauf (19 Oct 2009)
-- added cast macros to silent compiler warnings with 64-bit systems.
-
-Yang Tse (19 Oct 2009)
-- Fix compiler warning: local variable may be used without having been initialized
-
-- Use *_CHECK_PATH_SEPARATOR_REQUIRED to ensure that *_CHECK_PATH_SEPARATOR
-  is only expanded and included once in the configure script.
-
-- Our _AS_PATH_SEPARATOR_PREPARE override is now m4_defun'd instead of m4_define'd
-  due to autoconf 2.64 m4_require'ing it in _AS_SHELL_SANITIZE indirectly through
-  _AS_PATH_WALK.
-
-Daniel Stenberg (18 Oct 2009)
-- - Ray Dassen provided a patch in Debian's bug tracker (bug number #551461)
-    that now makes curl_getdate(3) actually handles RFC 822 formatted dates that
-    use the "single letter military timezones".
-    http://www.rfc-ref.org/RFC-TEXTS/822/chapter5.html has the details.
-
-Yang Tse (18 Oct 2009)
-- Check for basename() is now done the same as other function checks
-
-Daniel Stenberg (18 Oct 2009)
-- - Fixed memory leak in the SCP/SFTP code as it never freed the knownhosts
-    data!
-
-- John Dennis filed bug report #2873666
-  (http://curl.haxx.se/bug/view.cgi?id=2873666) which identified a problem which
-  made libcurl loop infinitely when given incorrect credentials when using HTTP
-  GSS negotiate authentication.

=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2010-06-16 19:25:37 +0000
+++ CMakeLists.txt	2010-10-18 11:13:17 +0000
@@ -831,7 +831,7 @@
   string(REPLACE "$(top_builddir)" "\${CURL_BINARY_DIR}" MAKEFILE_INC_TEXT ${MAKEFILE_INC_TEXT})
 
   string(REGEX REPLACE "\\\\\n" "!" MAKEFILE_INC_TEXT ${MAKEFILE_INC_TEXT})
-  string(REGEX REPLACE "([a-zA-Z_][a-zA-Z0-9_]*)[\t ]*=[\t ]*([^\n]*\n)" "SET(\\1 \\2)\n" MAKEFILE_INC_TEXT ${MAKEFILE_INC_TEXT})
+  string(REGEX REPLACE "([a-zA-Z_][a-zA-Z0-9_]*)[\t ]*=[\t ]*([^\n]*)" "SET(\\1 \\2)" MAKEFILE_INC_TEXT ${MAKEFILE_INC_TEXT})
   string(REPLACE "!" "\n" MAKEFILE_INC_TEXT ${MAKEFILE_INC_TEXT})
 
   string(REGEX REPLACE "\\$\\(([a-zA-Z_][a-zA-Z0-9_]*)\\)" "\${\\1}" MAKEFILE_INC_TEXT ${MAKEFILE_INC_TEXT})    # Replace $() with ${}

=== modified file 'MacOSX-Framework'
--- MacOSX-Framework	2010-04-28 18:40:27 +0000
+++ MacOSX-Framework	2010-10-18 11:13:17 +0000
@@ -1,26 +1,76 @@
 #!/bin/bash
 # This script performs all of the steps needed to build a
 # universal binary libcurl.framework for Mac OS X 10.4 or greater.
+#
+# Hendrik Visage:
+#  Generalizations added since  Snowleopard (10.6) do not include
+# the 10.4u SDK.
+#
+# Also note:
+# 10.5 is the *ONLY* SDK that support PPC64 :( -- 10.6 do not have ppc64 support
+#If you need to have PPC64 support then change below to 1
+PPC64_NEEDED=0
+
+# For me the default is to develop for the platform I am on, and if you
+#desire compatibility with older versions then change USE_OLD to 1 :)
+USE_OLD=0
 
 VERSION=`/usr/bin/sed -ne 's/^#define LIBCURL_VERSION "\(.*\)"/\1/p' include/curl/curlver.h`
-
-SDK32='/Developer/SDKs/MacOSX10.4u.sdk'
-
-MINVER32='-mmacosx-version-min=10.4'
-
-ARCHES32='-arch ppc -arch i386'
-
-SDK64='/Developer/SDKs/MacOSX10.5.sdk'
-
-MINVER64='-mmacosx-version-min=10.5'
-
-ARCHES64='-arch ppc64 -arch x86_64'
-
-if test -d $SDK32; then
+FRAMEWORK_VERSION=Versions/Release-$VERSION
+
+#I also wanted to "copy over" the system, and thus the reason I added the
+# version to Versions/Release-7.20.1 etc.
+# now a simple rsync -vaP libcurl.framework /Library/Frameworks will install it
+# and setup the right paths to this version, leaving the system version
+# "intact", so you can "fix" it later with the links to Versions/A/...
+
+
+OLD_SDK=`ls  /Developer/SDKs|head -1`
+NEW_SDK=`ls -r /Developer/SDKs|head -1`
+
+if test "0"$USE_OLD -gt 0
+then
+ SDK32=$OLD_SDK
+else
+ SDK32=$NEW_SDK
+fi
+
+MACVER=`echo $SDK32|sed -e s/[a-zA-Z]//g -e s/.\$//`
+
+SDK32_DIR='/Developer/SDKs/'$SDK32
+MINVER32='-mmacosx-version-min='$MACVER
+ARCHES32='-arch i386 -arch ppc'
+
+
+if test $PPC64_NEEDED -gt 0
+then
+  SDK64=10.5
+  ARCHES64='-arch x86_64 -arch ppc64'
+  SDK64=`ls  /Developer/SDKs|grep 10.5|head -1`
+else
+ ARCHES64='-arch x86_64'
+ #We "know" that 10.4 and earlier do not support 64bit
+ OLD_SDK64=`ls  /Developer/SDKs|egrep -v "10.[0-4]"|head -1`
+ NEW_SDK64=`ls -r /Developer/SDKs|egrep -v "10.[0-4]"|head -1`
+ if test $USE_OLD -gt 0
+  then
+   SDK64=$OLD_SDK64
+  else
+   SDK64=$NEW_SDK64
+  fi
+fi
+
+SDK64_DIR='/Developer/SDKs/'$SDK64
+MACVER64=`echo $SDK64|sed -e s/[a-zA-Z]//g -e s/.\$//`
+
+MINVER64='-mmacosx-version-min='$MACVER64
+
+if test ! -z $SDK32; then
   echo "----Configuring libcurl for 32 bit universal framework..."
+  make clean
   ./configure --disable-dependency-tracking --disable-static --with-gssapi \
-    CFLAGS="-Os -isysroot $SDK32 $ARCHES32 $MINVER32" \
-    LDFLAGS="-Wl,-syslibroot,$SDK32 $ARCHES32 $MINVER32 -Wl,-headerpad_max_install_names" \
+    CFLAGS="-Os -isysroot $SDK32_DIR $ARCHES32 $MINVER32" \
+    LDFLAGS="-Wl,-syslibroot,$SDK32_DIR $ARCHES32 $MINVER32 -Wl,-headerpad_max_install_names" \
     CC=$CC
 
   echo "----Building 32 bit libcurl..."
@@ -28,40 +78,43 @@
 
   echo "----Creating 32 bit framework..."
   rm -r libcurl.framework
-  mkdir -p libcurl.framework/Versions/A/Resources
-  cp lib/.libs/libcurl.dylib libcurl.framework/Versions/A/libcurl
-  install_name_tool -id @executable_path/../Frameworks/libcurl.framework/Versions/A/libcurl libcurl.framework/Versions/A/libcurl
-  /usr/bin/sed -e "s/7\.12\.3/$VERSION/" lib/libcurl.plist >libcurl.framework/Versions/A/Resources/Info.plist
-  mkdir -p libcurl.framework/Versions/A/Headers/curl
-  cp include/curl/*.h libcurl.framework/Versions/A/Headers/curl
+  mkdir -p libcurl.framework/${FRAMEWORK_VERSION}/Resources
+  cp lib/.libs/libcurl.dylib libcurl.framework/${FRAMEWORK_VERSION}/libcurl
+  install_name_tool -id @executable_path/../Frameworks/libcurl.framework/${FRAMEWORK_VERSION}/libcurl libcurl.framework/${FRAMEWORK_VERSION}/libcurl
+  /usr/bin/sed -e "s/7\.12\.3/$VERSION/" lib/libcurl.plist >libcurl.framework/${FRAMEWORK_VERSION}/Resources/Info.plist
+  mkdir -p libcurl.framework/${FRAMEWORK_VERSION}/Headers/curl
+  cp include/curl/*.h libcurl.framework/${FRAMEWORK_VERSION}/Headers/curl
   pushd libcurl.framework
-  ln -fs Versions/A/libcurl libcurl
-  ln -fs Versions/A/Resources Resources
-  ln -fs Versions/A/Headers Headers
+  ln -fs ${FRAMEWORK_VERSION}/libcurl libcurl
+  ln -fs ${FRAMEWORK_VERSION}/Resources Resources
+  ln -fs ${FRAMEWORK_VERSION}/Headers Headers
   cd Versions
-  ln -fs A Current
+  ln -fs ${FRAMEWORK_VERSION} Current
 
-  if test -d $SDK64; then
+  echo TEsting for SDK64
+  if test -d $SDK64_DIR; then
+  echo entering...
     popd
     make clean
     echo "----Configuring libcurl for 64 bit universal framework..."
     ./configure --disable-dependency-tracking --disable-static --with-gssapi \
-      CFLAGS="-Os -isysroot $SDK64 $ARCHES64 $MINVER64" \
-      LDFLAGS="-Wl,-syslibroot,$SDK64 $ARCHES64 $MINVER64 -Wl,-headerpad_max_install_names" \
+      CFLAGS="-Os -isysroot $SDK64_DIR $ARCHES64 $MINVER64" \
+      LDFLAGS="-Wl,-syslibroot,$SDK64_DIR $ARCHES64 $MINVER64 -Wl,-headerpad_max_install_names" \
       CC=$CC
 
     echo "----Building 64 bit libcurl..."
     make
 
     echo "----Appending 64 bit framework to 32 bit framework..."
-    cp lib/.libs/libcurl.dylib libcurl.framework/Versions/A/libcurl64
-    install_name_tool -id @executable_path/../Frameworks/libcurl.framework/Versions/A/libcurl libcurl.framework/Versions/A/libcurl64
-    cp libcurl.framework/Versions/A/libcurl libcurl.framework/Versions/A/libcurl32
-    lipo libcurl.framework/Versions/A/libcurl32 libcurl.framework/Versions/A/libcurl64 -create -output libcurl.framework/Versions/A/libcurl
-    rm libcurl.framework/Versions/A/libcurl32 libcurl.framework/Versions/A/libcurl64
-    cp libcurl.framework/Versions/A/Headers/curl/curlbuild.h libcurl.framework/Versions/A/Headers/curl/curlbuild32.h
-    cp include/curl/curlbuild.h libcurl.framework/Versions/A/Headers/curl/curlbuild64.h
-    cat >libcurl.framework/Versions/A/Headers/curl/curlbuild.h <<EOF
+    cp lib/.libs/libcurl.dylib libcurl.framework/${FRAMEWORK_VERSION}/libcurl64
+    install_name_tool -id @executable_path/../Frameworks/libcurl.framework/${FRAMEWORK_VERSION}/libcurl libcurl.framework/${FRAMEWORK_VERSION}/libcurl64
+    cp libcurl.framework/${FRAMEWORK_VERSION}/libcurl libcurl.framework/${FRAMEWORK_VERSION}/libcurl32
+    pwd
+    lipo libcurl.framework/${FRAMEWORK_VERSION}/libcurl32 libcurl.framework/${FRAMEWORK_VERSION}/libcurl64 -create -output libcurl.framework/${FRAMEWORK_VERSION}/libcurl
+    rm libcurl.framework/${FRAMEWORK_VERSION}/libcurl32 libcurl.framework/${FRAMEWORK_VERSION}/libcurl64
+    cp libcurl.framework/${FRAMEWORK_VERSION}/Headers/curl/curlbuild.h libcurl.framework/${FRAMEWORK_VERSION}/Headers/curl/curlbuild32.h
+    cp include/curl/curlbuild.h libcurl.framework/${FRAMEWORK_VERSION}/Headers/curl/curlbuild64.h
+    cat >libcurl.framework/${FRAMEWORK_VERSION}/Headers/curl/curlbuild.h <<EOF
 #ifdef __LP64__
 #include "curl/curlbuild64.h"
 #else
@@ -70,9 +123,10 @@
 EOF
   fi
 
-  lipo -info libcurl.framework/Versions/A/libcurl
+  pwd
+  lipo -info libcurl.framework/${FRAMEWORK_VERSION}/libcurl
   echo "libcurl.framework is built and can now be included in other projects."
   echo "Copy libcurl.framework to your bundle's Contents/Frameworks folder, ~/Library/Frameworks or /Library/Frameworks."
 else
-  echo "Building libcurl.framework requires Mac OS X 10.4 or later with the MacOSX10.4u SDK installed."
+  echo "Building libcurl.framework requires Mac OS X 10.4 or later with the MacOSX10.4/5/6 SDK installed."
 fi

=== modified file 'Makefile'
--- Makefile	2010-08-12 08:20:48 +0000
+++ Makefile	2010-10-18 11:13:17 +0000
@@ -96,13 +96,13 @@
 	$(MAKE) -C lib -f Makefile.m32 clean
 	$(MAKE) -C src -f Makefile.m32 clean
 
-vc-clean:
+vc-clean: $(VC)
 	cd lib
 	nmake -f Makefile.$(VC) clean
 	cd ..\src
 	nmake -f Makefile.$(VC) clean
 
-vc-all:
+vc-all: $(VC)
 	cd lib
 	nmake -f Makefile.$(VC) cfg=release
 	nmake -f Makefile.$(VC) cfg=release-ssl
@@ -127,85 +127,85 @@
 	nmake -f Makefile.$(VC) cfg=debug-dll-zlib-dll
 	nmake -f Makefile.$(VC) cfg=debug-dll-ssl-dll-zlib-dll
 
-vc:
+vc: $(VC)
 	cd lib
 	nmake /f Makefile.$(VC) cfg=release
 	cd ..\src
 	nmake /f Makefile.$(VC)
 
-vc-x64:
-	cd lib
-	nmake /f Makefile.$(VC) MACHINE=x64 cfg=release
-	cd ..\src
-	nmake /f Makefile.$(VC) MACHINE=x64 cfg=release
-
-vc-zlib:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-zlib
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-zlib
-
-vc-ssl:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-ssl
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-ssl
-
-vc-ssl-zlib:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-ssl-zlib
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-ssl-zlib
-
-vc-x64-ssl-zlib:
-	cd lib
-	nmake /f Makefile.$(VC) MACHINE=x64 cfg=release-ssl-zlib
-	cd ..\src
-	nmake /f Makefile.$(VC) MACHINE=x64 cfg=release-ssl-zlib
-
-vc-ssl-dll:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-ssl-dll
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-ssl-dll
-
-vc-dll-ssl-dll:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll
-
-vc-dll:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-dll
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-dll
-
-vc-dll-zlib-dll:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-dll-zlib-dll
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-dll-zlib-dll
-
-vc-dll-ssl-dll-zlib-dll:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll-zlib-dll
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll-zlib-dll
-
-vc-ssl-dll-zlib-dll:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-ssl-dll-zlib-dll
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-ssl-dll-zlib-dll
-
-vc-zlib-dll:
-	cd lib
-	nmake /f Makefile.$(VC) cfg=release-zlib-dll
-	cd ..\src
-	nmake /f Makefile.$(VC) cfg=release-zlib-dll
-
-vc-sspi:
+vc-x64: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) MACHINE=x64 cfg=release
+	cd ..\src
+	nmake /f Makefile.$(VC) MACHINE=x64 cfg=release
+
+vc-zlib: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-zlib
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-zlib
+
+vc-ssl: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-ssl
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-ssl
+
+vc-ssl-zlib: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-ssl-zlib
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-ssl-zlib
+
+vc-x64-ssl-zlib: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) MACHINE=x64 cfg=release-ssl-zlib
+	cd ..\src
+	nmake /f Makefile.$(VC) MACHINE=x64 cfg=release-ssl-zlib
+
+vc-ssl-dll: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-ssl-dll
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-ssl-dll
+
+vc-dll-ssl-dll: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll
+
+vc-dll: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-dll
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-dll
+
+vc-dll-zlib-dll: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-dll-zlib-dll
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-dll-zlib-dll
+
+vc-dll-ssl-dll-zlib-dll: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll-zlib-dll
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-dll-ssl-dll-zlib-dll
+
+vc-ssl-dll-zlib-dll: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-ssl-dll-zlib-dll
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-ssl-dll-zlib-dll
+
+vc-zlib-dll: $(VC)
+	cd lib
+	nmake /f Makefile.$(VC) cfg=release-zlib-dll
+	cd ..\src
+	nmake /f Makefile.$(VC) cfg=release-zlib-dll
+
+vc-sspi: $(VC)
 	cd lib
 	nmake /f Makefile.$(VC) cfg=release WINDOWS_SSPI=1
 	cd ..\src
@@ -267,6 +267,8 @@
 
 linux-ssl: ssl
 
+# We don't need to do anything for vc6.
+vc6:
 
 vc8: lib/Makefile.vc8 src/Makefile.vc8
 
@@ -289,6 +291,17 @@
 	@echo "generate $@"
 	@sed -e "s#/GX /DWIN32 /YX#/EHsc /DWIN32#" -e "s#/GZ#/RTC1#" -e "s/ws2_32.lib/ws2_32.lib/g" -e "s/vc6/vc9/g" -e "s/VC6/VC9/g" src/Makefile.vc6 > src/Makefile.vc9
 
+# VC10 makefiles are for use with VS2010
+vc10: lib/Makefile.vc10 src/Makefile.vc10
+
+lib/Makefile.vc10: lib/Makefile.vc6
+	@echo "generate $@"
+	@sed -e "s#/GX /DWIN32 /YX#/EHsc /DWIN32#" -e "s#/GZ#/RTC1#" -e "s/ws2_32.lib/ws2_32.lib/g" -e "s/vc6/vc10/g" -e "s/VC6/VC10/g" lib/Makefile.vc6 > lib/Makefile.vc10
+
+src/Makefile.vc10: src/Makefile.vc6
+	@echo "generate $@"
+	@sed -e "s#/GX /DWIN32 /YX#/EHsc /DWIN32#" -e "s#/GZ#/RTC1#" -e "s/ws2_32.lib/ws2_32.lib/g" -e "s/vc6/vc10/g" -e "s/VC6/VC10/g" src/Makefile.vc6 > src/Makefile.vc10
+
 ca-bundle: lib/mk-ca-bundle.pl
 	@echo "generate a fresh ca-bundle.crt"
 	@perl $< -b -l -u lib/ca-bundle.crt

=== modified file 'Makefile.in'
--- Makefile.in	2010-08-12 08:20:48 +0000
+++ Makefile.in	2010-10-18 11:13:17 +0000
@@ -143,6 +143,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'RELEASE-NOTES'
--- RELEASE-NOTES	2010-08-12 08:20:48 +0000
+++ RELEASE-NOTES	2010-10-18 11:13:17 +0000
@@ -1,58 +1,61 @@
-Curl and libcurl 7.21.1
+Curl and libcurl 7.21.2
 
- Public curl releases:         117
+ Public curl releases:         118
  Command line options:         138
  curl_easy_setopt() options:   180
  Public functions in libcurl:  58
  Known libcurl bindings:       39
- Contributors:                 808
+ Contributors:                 817
 
 This release includes the following changes:
 
- o maketgz: produce CHANGES automatically
- o added support for NTLM authentication when compiled with NSS
- o build: Enable configure --enable-werror
- o curl-config: --built-shared returns shared info
+ o curl -T: ignore file size of special files
+ o Added GOPHER protocol support
+ o Added mk-ca-bundle.vbs script
+ o c-ares build now requires c-ares >= 1.6.0
 
 This release includes the following bugfixes:
 
- o configure: spell --disable-threaded-resolver correctly
- o multi: call the progress callback in all states
- o multi: unmark handle as used when no longer head of pipeline
- o sendrecv: treat all negative values from send/recv as errors
- o ftp-wildcard: avoid tight loop when used without any pattern
- o multi_socket: re-use of same socket without notifying app
- o ftp wildcard: FTP LIST parser FIX
- o urlglobbing backslash escaping bug
- o build: add enable IPV6 option for the VC makefiles
- o multi: CURLINFO_LASTSOCKET doesn't work after remove_handle
- o --libcurl: use *_LARGE options with typecasted constants
- o --libcurl: hide setopt() calls setting default options
- o curl: avoid setting libcurl options to its default
- o --libcurl: list the tricky options instead of using [REMARK]
- o http: don't enable chunked during authentication negotiations
- o upload: warn users trying to upload from stdin with anyauth
- o configure: allow environments variable to override internals
- o threaded resolver: fix timeout issue
- o multi: fix condition that remove timers before trigger
- o examples: add curl_multi_timeout
- o --retry: access violation with URL part sets continued
- o ssh: Fix compile error on 64-bit systems.
- o remote-header-name: chop filename at next semicolon
- o ftp: response timeout bug in "quote" sending
- o CUSTOMREQUEST: shouldn't be disabled when HTTP is disabled
- o Watcom makefiles overhaul.
- o NTLM tests: boost coverage by forcing the hostname
- o multi: fix FTPS connecting the data connection with OpenSSL
- o retry: consider retrying even if -f is used
- o fix SOCKS problem when using multi interface
- o typecheck-gcc: add checks for recently added options
- o SCP: send large files properly with new enough libssh2
- o multi_socket: set timeout for 100-continue
- o ";type=" URL suffix over HTTP proxy
- o acknowledge progress callback error returns during connect
- o Watcom makefile fixes
- o runtests: clear old setenv remainders before test
+ o --remote-header-name security vulnerability fixed:
+   http://curl.haxx.se/docs/adv_20101013.html
+
+ o multi: support the timeouts correctly, fixes known bug #62
+ o multi: use timeouts properly for MAX_RECV/SEND_SPEED
+ o negotiation: Wrong proxy authorization
+ o multi: avoid sending multiple complete messages
+ o cmdline: make -F type= accept ;charset=
+ o RESUME_FROM: clarify what ftp uploads do
+ o http: handle trailer headers in all chunked responses
+ o Curl_is_connected: use correct errno
+ o Added SSPI build to Watcom makefile
+ o progress: callback for POSTs less than MAX_INITIAL_POST_SIZE
+ o linking problem on Fedora 13
+ o Link curl and the test apps with -lrt explicitly when necessary
+ o chunky parser: only rewind stream internally if needed
+ o remote-header-name: don't output filename when NULL
+ o Curl_timeleft: avoid returning "no timeout" by mistake
+ o timeout: use the correct start value as offset
+ o FTP: fix wrong timeout trigger
+ o buildconf got better output on failures
+ o rtsp: avoid SIGSEGV on malformed header
+ o LDAP: Support for tunnelling queries through HTTP proxy
+ o configure's --enable-werror had a bashism
+ o test565: Don't hardcode IP:PORT
+ o configure: check for gcrypt if using GnuTLS
+ o configure: don't enable RTMP if the lib detect fails
+ o curl_easy_duphandle: clone the c-ares handle correctly
+ o MacOSX-Framework: updates for Snowleopard
+ o support URL containing colon without trailing port number
+ o parsedate: allow time specified without seconds
+ o curl_easy_escape: don't escape "unreserved" characters
+ o SFTP: avoid downloading negative sizes
+ o Lots of GSS/KRB FTP fixes
+ o TFTP: Work around tftpd-hpa upload bug
+ o libcurl.m4: several fixes
+ o HTTP: remove special case for 416
+ o examples: use example.com in example URLs
+ o globbing: fix crash on unballanced open brace
+ o cmake: build fixed
 
 This release includes the following known bugs:
 
@@ -61,11 +64,10 @@
 This release would not have looked like this without help, code, reports and
 advice from friends like these:
 
- Dan Fandrich, Kamil Dudka, Krister Johansen, Pavel Raiskup, Jon Sargeant,
- Pierre Joye, Tor Arntsen, Constantine Sapuntzakis, Sidney San Martin,
- Jeff Pohlmeyer, Jan Van Boghout, Ben Greear, Guenter Knauf, Adam Light,
- Georg Lippitsch, Mike Power, Robin Cornelius, Mikael Johansson,
- Yang Tse, Ben Darnell
-
+ Kamil Dudka, Ben Greear, Cameron Kaiser, Dan Fandrich, Dirk Manske,
+ Guenter Knauf, Julien Chaffraix, Quanah Gibson-Mount, Tor Arntsen,
+ Peter Pentchev, James Bursa, Fabian Keil, Michal Gorny, Mauro Iorio,
+ Hendrik Visage, Ning Dong, David McCreedy, Patrick Monnerat,
+ Tim Newsome, Dan Locks, Vlad Ureche, Dimitre Dimitrov
 
         Thanks! (and sorry if I forgot to mention someone)

=== modified file 'acinclude.m4'
--- acinclude.m4	2010-04-28 18:40:27 +0000
+++ acinclude.m4	2010-10-18 11:13:17 +0000
@@ -2145,6 +2145,7 @@
         else
           LIBS="$curl_cv_gclk_LIBS $curl_cv_save_LIBS"
         fi
+        CURL_LIBS="$CURL_LIBS $curl_cv_gclk_LIBS"
         AC_MSG_RESULT([$curl_cv_gclk_LIBS])
         ac_cv_func_clock_gettime="yes"
         ;;

=== modified file 'buildconf'
--- buildconf	2010-06-16 19:25:37 +0000
+++ buildconf	2010-10-18 11:13:17 +0000
@@ -248,13 +248,17 @@
 #--------------------------------------------------------------------------
 # m4 check
 #
-m4=`${M4:-m4} --version 2>/dev/null|head -n 1`;
+m4=`(${M4:-m4} --version || ${M4:-gm4} --version) 2>/dev/null | head -n 1`;
 m4_version=`echo $m4 | sed -e 's/^.* \([0-9]\)/\1/' -e 's/[a-z]* *$//'`
 
 if { echo $m4 | grep "GNU" >/dev/null 2>&1; } then
   echo "buildconf: GNU m4 version $m4_version (ok)"
 else
-  echo "buildconf: m4 version $m4 found. You need a GNU m4 installed!"
+  if test -z "$m4"; then
+    echo "buildconf: m4 version not recognized. You need a GNU m4 installed!"
+  else
+    echo "buildconf: m4 version $m4 found. You need a GNU m4 installed!"
+  fi
   exit 1
 fi
 

=== modified file 'configure'
--- configure	2010-08-12 08:20:48 +0000
+++ configure	2010-10-18 11:13:17 +0000
@@ -2,7 +2,7 @@
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.67 for curl -.
 #
-# Report bugs to <a suitable curl mailing list => http://curl.haxx.se/mail/>.
+# Report bugs to <a suitable curl mailing list: http://curl.haxx.se/mail/>.
 #
 #
 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -265,7 +265,7 @@
     $as_echo "$0: be upgraded to zsh 4.3.4 or later."
   else
     $as_echo "$0: Please tell bug-autoconf@gnu.org and a suitable curl
-$0: mailing list => http://curl.haxx.se/mail/ about your
+$0: mailing list: http://curl.haxx.se/mail/ about your
 $0: system, including any error possibly output before this
 $0: message. Then install a modern shell, or manually run
 $0: the script under such a shell if you do have one."
@@ -737,7 +737,7 @@
 PACKAGE_TARNAME='curl'
 PACKAGE_VERSION='-'
 PACKAGE_STRING='curl -'
-PACKAGE_BUGREPORT='a suitable curl mailing list => http://curl.haxx.se/mail/'
+PACKAGE_BUGREPORT='a suitable curl mailing list: http://curl.haxx.se/mail/'
 PACKAGE_URL=''
 
 ac_unique_file="lib/urldata.h"
@@ -821,6 +821,7 @@
 PKGCONFIG
 KRB4_ENABLED
 USE_OPENLDAP
+CURL_DISABLE_GOPHER
 CURL_DISABLE_SMTP
 CURL_DISABLE_IMAP
 CURL_DISABLE_POP3
@@ -991,6 +992,7 @@
 enable_pop3
 enable_imap
 enable_smtp
+enable_gopher
 enable_manual
 enable_libgcc
 with_ldap_lib
@@ -1701,6 +1703,8 @@
   --disable-imap          Disable IMAP support
   --enable-smtp           Enable SMTP support
   --disable-smtp          Disable SMTP support
+  --enable-gopher         Enable Gopher support
+  --disable-gopher        Disable Gopher support
   --enable-manual         Enable built-in manual
   --disable-manual        Disable built-in manual
   --enable-libgcc         use libgcc when linking
@@ -1792,7 +1796,7 @@
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
 
-Report bugs to <a suitable curl mailing list => http://curl.haxx.se/mail/>.
+Report bugs to <a suitable curl mailing list: http://curl.haxx.se/mail/>.
 _ACEOF
 ac_status=$?
 fi
@@ -2360,9 +2364,9 @@
 $as_echo "$as_me: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&2;}
     { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
 $as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
-( $as_echo "## ------------------------------------------------------------------------ ##
-## Report this to a suitable curl mailing list => http://curl.haxx.se/mail/ ##
-## ------------------------------------------------------------------------ ##"
+( $as_echo "## ---------------------------------------------------------------------- ##
+## Report this to a suitable curl mailing list: http://curl.haxx.se/mail/ ##
+## ---------------------------------------------------------------------- ##"
      ) | sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
@@ -2992,7 +2996,7 @@
 
 
 CURL_CFLAG_EXTRAS=""
-if test X"$want_werror" == Xyes; then
+if test X"$want_werror" = Xyes; then
   CURL_CFLAG_EXTRAS="-Werror"
 fi
 
@@ -7902,13 +7906,13 @@
 else
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:7905: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:7909: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:7908: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:7912: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:7911: output\"" >&5)
+  (eval echo "\"\$as_me:7915: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -9110,7 +9114,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 9113 "configure"' > conftest.$ac_ext
+  echo '#line 9117 "configure"' > conftest.$ac_ext
   if { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_compile\""; } >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -10368,11 +10372,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10371: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10375: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10375: \$? = $ac_status" >&5
+   echo "$as_me:10379: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10707,11 +10711,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10710: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10714: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10714: \$? = $ac_status" >&5
+   echo "$as_me:10718: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -10812,11 +10816,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10815: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10819: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10819: \$? = $ac_status" >&5
+   echo "$as_me:10823: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10867,11 +10871,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10870: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10874: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10874: \$? = $ac_status" >&5
+   echo "$as_me:10878: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13233,7 +13237,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 13236 "configure"
+#line 13240 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13329,7 +13333,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 13332 "configure"
+#line 13336 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -16615,7 +16619,6 @@
 
          HAVE_LDAP_SSL=1
 
-         curl_ldaps_msg="enabled"
        fi
        ;;
   esac
@@ -16637,7 +16640,6 @@
 
          HAVE_LDAP_SSL=1
 
-         curl_ldaps_msg="enabled"
        fi
 
 fi
@@ -16854,6 +16856,31 @@
 fi
 
 
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether to support gopher" >&5
+$as_echo_n "checking whether to support gopher... " >&6; }
+# Check whether --enable-gopher was given.
+if test "${enable_gopher+set}" = set; then :
+  enableval=$enable_gopher;  case "$enableval" in
+  no)
+       { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+$as_echo "no" >&6; }
+
+$as_echo "#define CURL_DISABLE_GOPHER 1" >>confdefs.h
+
+       CURL_DISABLE_GOPHER=1
+
+       ;;
+  *)   { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+$as_echo "yes" >&6; }
+       ;;
+  esac
+else
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
+$as_echo "yes" >&6; }
+
+fi
+
+
 
 
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether to provide built-in manual" >&5
@@ -17784,6 +17811,7 @@
         else
           LIBS="$curl_cv_gclk_LIBS $curl_cv_save_LIBS"
         fi
+        CURL_LIBS="$CURL_LIBS $curl_cv_gclk_LIBS"
         { $as_echo "$as_me:${as_lineno-$LINENO}: result: $curl_cv_gclk_LIBS" >&5
 $as_echo "$curl_cv_gclk_LIBS" >&6; }
         ac_cv_func_clock_gettime="yes"
@@ -18515,6 +18543,10 @@
   fi
 fi
 
+if test x$CURL_DISABLE_LDAPS != x1 ; then
+    curl_ldaps_msg="enabled"
+fi
+
 
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether to enable ipv6" >&5
 $as_echo_n "checking whether to enable ipv6... " >&6; }
@@ -20239,6 +20271,56 @@
   fi
 fi
 
+if test "$GNUTLS_ENABLED" = "1"; then
+  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for gcry_control in -lgcrypt" >&5
+$as_echo_n "checking for gcry_control in -lgcrypt... " >&6; }
+if test "${ac_cv_lib_gcrypt_gcry_control+set}" = set; then :
+  $as_echo_n "(cached) " >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lgcrypt  $LIBS"
+cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+
+
+#ifdef __cplusplus
+extern "C"
+#endif
+char gcry_control ();
+int main (void)
+{
+return gcry_control ();
+ ;
+ return 0;
+}
+_ACEOF
+if ac_fn_c_try_link "$LINENO"; then :
+  ac_cv_lib_gcrypt_gcry_control=yes
+else
+  ac_cv_lib_gcrypt_gcry_control=no
+fi
+rm -f core conftest.err conftest.$ac_objext \
+    conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_gcrypt_gcry_control" >&5
+$as_echo "$ac_cv_lib_gcrypt_gcry_control" >&6; }
+if test "x$ac_cv_lib_gcrypt_gcry_control" = x""yes; then :
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBGCRYPT 1
+_ACEOF
+
+  LIBS="-lgcrypt $LIBS"
+
+else
+
+      as_fn_error $? "need GnuTLS built with gcrypt to function with GnuTLS" "$LINENO" 5
+
+fi
+
+fi
+
+
 OPT_POLARSSL=no
 
 _cppflags=$CPPFLAGS
@@ -21178,7 +21260,8 @@
 
     ;;
   off)
-        ;;
+        LIB_RTMP="-lrtmp"
+    ;;
   *)
         PREFIX_RTMP=$OPT_LIBRTMP
     ;;
@@ -21228,16 +21311,8 @@
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_rtmp_RTMP_Init" >&5
 $as_echo "$ac_cv_lib_rtmp_RTMP_Init" >&6; }
 if test "x$ac_cv_lib_rtmp_RTMP_Init" = x""yes; then :
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBRTMP 1
-_ACEOF
-
-  LIBS="-lrtmp $LIBS"
-
-fi
-
-
-  for ac_header in librtmp/rtmp.h
+
+     for ac_header in librtmp/rtmp.h
 do :
   ac_fn_c_check_header_mongrel "$LINENO" "librtmp/rtmp.h" "ac_cv_header_librtmp_rtmp_h" "$ac_includes_default"
 if test "x$ac_cv_header_librtmp_rtmp_h" = x""yes; then :
@@ -21245,11 +21320,11 @@
 #define HAVE_LIBRTMP_RTMP_H 1
 _ACEOF
  curl_rtmp_msg="enabled (librtmp)"
-    LIBRTMP_ENABLED=1
+        LIBRTMP_ENABLED=1
 
 $as_echo "#define USE_LIBRTMP 1" >>confdefs.h
 
-    USE_LIBRTMP=1
+        USE_LIBRTMP=1
 
 
 fi
@@ -21257,16 +21332,19 @@
 done
 
 
+else
+        LDFLAGS=$CLEANLDFLAGS
+      CPPFLAGS=$CLEANCPPFLAGS
+      LIBS=$CLEANLIBS
+
+fi
+
+
   if test X"$OPT_LIBRTMP" != Xoff &&
      test "$LIBRTMP_ENABLED" != "1"; then
     as_fn_error $? "librtmp libs and/or directories were not found where specified!" "$LINENO" 5
   fi
 
-  if test "$LIBRTMP_ENABLED" != "1"; then
-        LDFLAGS=$CLEANLDFLAGS
-    CPPFLAGS=$CLEANCPPFLAGS
-    LIBS=$CLEANLIBS
-  fi
 fi
 
 
@@ -34176,6 +34254,7 @@
           ares_channel channel;
           ares_cancel(channel); /* added in 1.2.0 */
           ares_process_fd(channel, 0, 0); /* added in 1.4.0 */
+          ares_dup(&channel, channel); /* added in 1.6.0 */
 
  ;
  return 0;
@@ -34608,6 +34687,9 @@
 if test "x$CURL_DISABLE_TFTP" != "x1"; then
   SUPPORT_PROTOCOLS="$SUPPORT_PROTOCOLS TFTP"
 fi
+if test "x$CURL_DISABLE_GOPHER" != "x1"; then
+  SUPPORT_PROTOCOLS="$SUPPORT_PROTOCOLS GOPHER"
+fi
 if test "x$CURL_DISABLE_POP3" != "x1"; then
   SUPPORT_PROTOCOLS="$SUPPORT_PROTOCOLS POP3"
   if test "x$SSL_ENABLED" = "x1"; then
@@ -35277,7 +35359,7 @@
 Configuration commands:
 $config_commands
 
-Report bugs to <a suitable curl mailing list => http://curl.haxx.se/mail/>."
+Report bugs to <a suitable curl mailing list: http://curl.haxx.se/mail/>."
 
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1

=== modified file 'configure.ac'
--- configure.ac	2010-08-12 08:20:48 +0000
+++ configure.ac	2010-10-18 11:13:17 +0000
@@ -24,7 +24,7 @@
 AC_PREREQ(2.57)
 
 dnl We don't know the version number "statically" so we use a dash here
-AC_INIT([curl], [-], [a suitable curl mailing list => http://curl.haxx.se/mail/])
+AC_INIT([curl], [-], [a suitable curl mailing list: http://curl.haxx.se/mail/])
 
 CURL_OVERRIDE_AUTOCONF
 
@@ -53,7 +53,7 @@
 AC_SUBST(CONFIGURE_OPTIONS)
 
 CURL_CFLAG_EXTRAS=""
-if test X"$want_werror" == Xyes; then
+if test X"$want_werror" = Xyes; then
   CURL_CFLAG_EXTRAS="-Werror"
 fi
 AC_SUBST(CURL_CFLAG_EXTRAS)
@@ -416,7 +416,6 @@
          AC_MSG_RESULT(yes)
          AC_DEFINE(HAVE_LDAP_SSL, 1, [Use LDAPS implementation])
          AC_SUBST(HAVE_LDAP_SSL, [1])
-         curl_ldaps_msg="enabled"
        fi
        ;;
   esac ],[
@@ -428,7 +427,6 @@
          AC_MSG_RESULT(yes)
          AC_DEFINE(HAVE_LDAP_SSL, 1, [Use LDAPS implementation])
          AC_SUBST(HAVE_LDAP_SSL, [1])
-         curl_ldaps_msg="enabled"
        fi ]
 )
 
@@ -570,6 +568,22 @@
        AC_MSG_RESULT(yes)
 )
 
+AC_MSG_CHECKING([whether to support gopher])
+AC_ARG_ENABLE(gopher,
+AC_HELP_STRING([--enable-gopher],[Enable Gopher support])
+AC_HELP_STRING([--disable-gopher],[Disable Gopher support]),
+[ case "$enableval" in
+  no)
+       AC_MSG_RESULT(no)
+       AC_DEFINE(CURL_DISABLE_GOPHER, 1, [to disable Gopher])
+       AC_SUBST(CURL_DISABLE_GOPHER, [1])
+       ;;
+  *)   AC_MSG_RESULT(yes)
+       ;;
+  esac ],
+       AC_MSG_RESULT(yes)
+)
+
 
 dnl **********************************************************************
 dnl Check for built-in manual
@@ -876,6 +890,10 @@
   fi
 fi
 
+if test x$CURL_DISABLE_LDAPS != x1 ; then
+    curl_ldaps_msg="enabled"
+fi
+
 dnl **********************************************************************
 dnl Checks for IPv6
 dnl **********************************************************************
@@ -1718,6 +1736,20 @@
 
 fi dnl OPENSSL != 1
 
+dnl ---
+dnl If GnuTLS is enabled, we MUST verify that it uses libgcrypt since
+dnl curl code relies on that but recent GnuTLS versions can in fact build
+dnl with different crypto libraries which curl right now cannot handle
+dnl ---
+
+if test "$GNUTLS_ENABLED" = "1"; then
+  AC_CHECK_LIB(gcrypt,
+               gcry_control, ,
+    [
+      AC_MSG_ERROR([need GnuTLS built with gcrypt to function with GnuTLS])
+    ])
+fi
+
 dnl ----------------------------------------------------
 dnl check for PolarSSL
 dnl ----------------------------------------------------
@@ -2035,6 +2067,7 @@
     ;;
   off)
     dnl no --with-librtmp option given, just check default places
+    LIB_RTMP="-lrtmp"
     ;;
   *)
     dnl use the given --with-librtmp spot
@@ -2053,13 +2086,19 @@
   CPPFLAGS="$CPPFLAGS $CPP_RTMP"
   LIBS="$LIBS $LIB_RTMP"
 
-  AC_CHECK_LIB(rtmp, RTMP_Init)
-
-  AC_CHECK_HEADERS(librtmp/rtmp.h,
-    curl_rtmp_msg="enabled (librtmp)"
-    LIBRTMP_ENABLED=1
-    AC_DEFINE(USE_LIBRTMP, 1, [if librtmp is in use])
-    AC_SUBST(USE_LIBRTMP, [1])
+  AC_CHECK_LIB(rtmp, RTMP_Init,
+    [
+     AC_CHECK_HEADERS(librtmp/rtmp.h,
+        curl_rtmp_msg="enabled (librtmp)"
+        LIBRTMP_ENABLED=1
+        AC_DEFINE(USE_LIBRTMP, 1, [if librtmp is in use])
+        AC_SUBST(USE_LIBRTMP, [1])
+     )
+    ],
+      dnl not found, revert back to clean variables
+      LDFLAGS=$CLEANLDFLAGS
+      CPPFLAGS=$CLEANCPPFLAGS
+      LIBS=$CLEANLIBS
   )
 
   if test X"$OPT_LIBRTMP" != Xoff &&
@@ -2067,12 +2106,6 @@
     AC_MSG_ERROR([librtmp libs and/or directories were not found where specified!])
   fi
 
-  if test "$LIBRTMP_ENABLED" != "1"; then
-    dnl no librtmp, revert back to clean variables
-    LDFLAGS=$CLEANLDFLAGS
-    CPPFLAGS=$CLEANCPPFLAGS
-    LIBS=$CLEANLIBS
-  fi
 fi
 
 dnl **********************************************************************
@@ -2738,6 +2771,9 @@
 if test "x$CURL_DISABLE_TFTP" != "x1"; then
   SUPPORT_PROTOCOLS="$SUPPORT_PROTOCOLS TFTP"
 fi
+if test "x$CURL_DISABLE_GOPHER" != "x1"; then
+  SUPPORT_PROTOCOLS="$SUPPORT_PROTOCOLS GOPHER"
+fi
 if test "x$CURL_DISABLE_POP3" != "x1"; then
   SUPPORT_PROTOCOLS="$SUPPORT_PROTOCOLS POP3"
   if test "x$SSL_ENABLED" = "x1"; then

=== modified file 'docs/FAQ'
--- docs/FAQ	2010-08-12 08:20:48 +0000
+++ docs/FAQ	2010-10-18 11:13:17 +0000
@@ -1,4 +1,4 @@
-Updated: June 30, 2010 (http://curl.haxx.se/docs/faq.html)
+Updated: October 6, 2010 (http://curl.haxx.se/docs/faq.html)
                                   _   _ ____  _
                               ___| | | |  _ \| |
                              / __| | | | |_) | |
@@ -20,6 +20,8 @@
   1.10 How many are using curl?
   1.11 Why don't you update ca-bundle.crt
   1.12 I have a problem who can I chat with?
+  1.13 curl's ECCN number?
+  1.14 How do I submit my patch?
 
  2. Install Related Problems
   2.1 configure doesn't find OpenSSL even when it is installed
@@ -48,6 +50,7 @@
   3.16 What certificates do I need when I use SSL?
   3.17 How do I list the root dir of an FTP server?
   3.18 Can I use curl to send a POST/PUT and not wait for a response?
+  3.19 How do I get HTTP from a host using a specific IP address?
 
  4. Running Problems
   4.1 Problems connecting to SSL servers.
@@ -123,8 +126,10 @@
 
   libcurl
 
-    A free and easy-to-use client-side URL transfer library, supporting FTP,
-    FTPS, HTTP, HTTPS, SCP, SFTP, TFTP, TELNET, DICT, FILE, LDAP and LDAPS.
+    A free and easy-to-use client-side URL transfer library, supporting DICT,
+    FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3,
+    POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
+
     libcurl supports HTTPS certificates, HTTP POST, HTTP PUT, FTP uploading,
     kerberos, HTTP form based upload, proxies, cookies, user+password
     authentication, file transfer resume, http proxy tunneling and more!
@@ -142,9 +147,8 @@
 
     A command line tool for getting or sending files using URL syntax.
 
-    Since curl uses libcurl, it supports a range of common Internet protocols,
-    currently including HTTP, HTTPS, FTP, FTPS, SCP, SFTP, TFTP, LDAP, LDAPS,
-    DICT, TELNET and FILE.
+    Since curl uses libcurl, curl supports the same wide range of common
+    Internet protocols that libcurl does.
 
   We pronounce curl and cURL with an initial k sound: [kurl].
 
@@ -308,9 +312,9 @@
   as used by numerous applications that include libcurl binaries in their
   distribution packages (like Adobe Acrobat Reader and Google Earth).
 
-  More than 90 known named companies use curl in commercial environments and
-  products. More than 100 known named open source projects depend on
-  (lib)curl.
+  More than a hundred known named companies use curl in commercial
+  environments and products and more than a hundred known named open source
+  projects depend on (lib)curl.
 
   In a poll on the curl web site mid-2005, more than 50% of the 300+ answers
   estimated a user base of one million users or more.
@@ -320,6 +324,12 @@
   based web servers. A guess is that a fair amount of these Linux
   installations have curl installed.
 
+  The Debian project maintains statistics on packages installed by people
+  who have voluntarily run their package counting application.  In mid-2010,
+  libcurl3 was installed on over 55000 such systems (62% of reporting systems)
+  and was one of the 320 most popular installed packages (out of about 107000
+  possible packages).
+
   All this taken together, there is no doubt that there are millions of
   (lib)curl users.
 
@@ -328,6 +338,7 @@
   http://curl.haxx.se/libcurl/using/apps.html
   http://counter.li.org/estimates.php
   http://news.netcraft.com/archives/2005/03/14/fedora_makes_rapid_progress.html
+  http://qa.debian.org/popcon.php?package=curl
 
   1.11 Why don't you update ca-bundle.crt
 
@@ -358,6 +369,41 @@
   IRC network irc.freenode.net. If you're polite and nice, chances are big
   that you can get -- or provide -- help instantly.
 
+  1.13 curl's ECCN number?
+
+  The US government restricts exports of software that contains or uses
+  cryptography. When doing so, the Export Control Classification Number (ECCN)
+  is used to identify the level of export control etc.
+
+  ASF gives a good explanation at http://www.apache.org/dev/crypto.html
+
+  We believe curl's number might be ECCN 5D002, another possibility is
+  5D992. It seems necessary to write them, asking to confirm.
+
+  Comprehensible explanations of the meaning of such numbers and how to
+  obtain them (resp.) are here
+
+  http://www.bis.doc.gov/licensing/exportingbasics.htm
+  http://www.bis.doc.gov/licensing/do_i_needaneccn.html
+
+  An incomprehensible description of the two numbers above is here
+  http://www.access.gpo.gov/bis/ear/pdf/ccl5-pt2.pdf
+
+  1.14 How do I submit my patch?
+
+  When you have made a patch or a change of whatever sort, and want to submit
+  that to the project, there are a few different ways we prefer:
+
+  o send a patch to the curl-library mailing list. We're many subscribers
+    there and there are lots of people who can review patches, comment on them
+    and "receive" them properly.
+
+  o if your patch changes or fixes a bug, you can also opt to submit a bug
+    report in the bug tracker and attach your patch there. There are less
+    people involved there.
+
+  Lots of more details are found in the CONTRIBUTE and INTERNALS docs.
+
 
 2. Install Related Problems
 
@@ -615,6 +661,9 @@
     provide this in order to prove that you actually are who you claim to be.
     If the server doesn't require this, you don't need a client certificate.
 
+    A client certificate is always used together with a private key, and the
+    private key has a pass phrase that protects it.
+
   - Server certificate. The server you communicate with has a server
     certificate. You can and should verify this certificate to make sure that
     you are truly talking to the real server and not a server impersonating
@@ -622,8 +671,9 @@
 
   - Certificate Authority certificate ("CA cert"). You often have several CA
     certs in a CA cert bundle that can be used to verify a server certificate
-    that was signed by one of the authorities in the bundle. curl comes with a
-    default CA cert bundle. You can override the default.
+    that was signed by one of the authorities in the bundle. curl does not
+    come with a CA cert bundle but most curl installs provide one. You can
+    also override the default.
 
     The server certificate verification process is made by using a Certificate
     Authority certificate ("CA cert") that was used to sign the server
@@ -654,6 +704,17 @@
 
   But you could easily write your own program using libcurl to do such stunts.
 
+  3.19 How do I get HTTP from a host using a specific IP address?
+
+  For example, you may be trying out a web site installation that isn't yet in
+  the DNS. Or you have a site using multiple IP addresses for a given host
+  name and you want to address a specific one out of the set.
+
+  Set a custom Host: header that identifies the server name you want to reach
+  but use the target IP address in the URL:
+
+    curl --header "Host: www.example.com" http://127.0.0.1/
+
 
 4. Running Problems
 
@@ -802,10 +863,8 @@
 
   4.9 Curl can't authenticate to the server that requires NTLM?
 
-  This is supported in curl 7.10.6 or later. No earlier curl version knows
-  of this magic. Later versions require the OpenSSL, GnuTLS or Microsoft
-  Windows libraries to provide this functionality. Using the NSS library
-  will not provide NTLM authentication functionality in curl.
+  NTLM support requires OpenSSL, GnuTLS, NSS or Microsoft Windows libraries at
+  build-time to provide this functionality.
 
   NTLM is a Microsoft proprietary protocol. Proprietary formats are evil. You
   should not use such ones.
@@ -1070,11 +1129,14 @@
 
   When building an application that uses the static libcurl library, you must
   add -DCURL_STATICLIB to your CFLAGS. Otherwise the linker will look for
-  dynamic import symbols. If you get linker error like "unknown symbol
-  __imp__curl_easy_init ..." you have linked against the wrong (static)
-  library.  If you want to use the libcurl.dll and import lib, you don't need
-  any extra CFLAGS, but use one of the import libraries below. These are the
-  libraries produced by the various lib/Makefile.* files:
+  dynamic import symbols. If you're using Visual Studio, you need to instead
+  add CURL_STATICLIB in the "Preprocessor Definitions" section.
+
+  If you get linker error like "unknown symbol __imp__curl_easy_init ..." you
+  have linked against the wrong (static) library.  If you want to use the
+  libcurl.dll and import lib, you don't need any extra CFLAGS, but use one of
+  the import libraries below. These are the libraries produced by the various
+  lib/Makefile.* files:
 
   Target:          static lib.   import lib for libcurl*.dll.
   -----------------------------------------------------------

=== modified file 'docs/HISTORY'
--- docs/HISTORY	2010-08-12 08:20:48 +0000
+++ docs/HISTORY	2010-10-18 11:13:17 +0000
@@ -161,6 +161,12 @@
 
  security vulnerability: libcurl URL Buffer Overflow
 
+January 2006:
+
+ We dropped support for Gopher. We found bugs in the implementation that
+ turned out having been introduced years ago, so with the conclusion that
+ nobody had found out in all this time we removed it instead of fixing it.
+
 March 2006:
 
  security vulnerability: libcurl TFTP Packet Buffer Overflow
@@ -235,3 +241,4 @@
  Known libcurl bindings:       39
  Contributors:                 808
 
+ Gopher support added (re-added actually)

=== modified file 'docs/INSTALL'
--- docs/INSTALL	2010-08-12 08:20:48 +0000
+++ docs/INSTALL	2010-10-18 11:13:17 +0000
@@ -980,10 +980,17 @@
 Useful URLs
 ===========
 
-OpenSSL   http://www.openssl.org
+c-ares    http://daniel.haxx.se/projects/c-ares/license.html
+GNU GSS   http://www.gnu.org/software/gss/
+GnuTLS    http://www.gnu.org/software/gnutls/
+Heimdal   http://www.pdc.kth.se/heimdal/
+libidn    http://www.gnu.org/software/libidn/
+libssh2   http://www.libssh2.org
 MingW     http://www.mingw.org
+MIT Kerberos http://web.mit.edu/kerberos/www/dist/
+NSS       http://www.mozilla.org/projects/security/pki/nss/
 OpenLDAP  http://www.openldap.org
+OpenSSL   http://www.openssl.org
+PolarSSL  http://polarssl.org
+yassl     http://www.yassl.com/
 Zlib      http://www.gzip.org/zlib/
-libssh2   http://www.libssh2.org
-
-

=== modified file 'docs/INTERNALS'
--- docs/INTERNALS	2010-06-16 19:25:37 +0000
+++ docs/INTERNALS	2010-10-18 11:13:17 +0000
@@ -37,7 +37,7 @@
  GnuTLS       1.2
  zlib         1.1.4
  libssh2      0.16
- c-ares       1.5.0
+ c-ares       1.6.0
  libidn       0.4.1
  *yassl       1.4.0 (http://curl.haxx.se/mail/lib-2008-02/0093.html)
  openldap     2.0

=== modified file 'docs/KNOWN_BUGS'
--- docs/KNOWN_BUGS	2010-08-12 08:20:48 +0000
+++ docs/KNOWN_BUGS	2010-10-18 11:13:17 +0000
@@ -54,11 +54,6 @@
   handle with curl_easy_cleanup() and create a new. Some more details:
   http://curl.haxx.se/mail/lib-2009-04/0300.html
 
-62. CURLOPT_TIMEOUT does not work properly with the regular multi and
-  multi_socket interfaces. The work-around for apps is to simply remove the
-  easy handle once the time is up. See also:
-  http://curl.haxx.se/bug/view.cgi?id=2501457
-
 61. If an upload using Expect: 100-continue receives an HTTP 417 response,
   it ought to be automatically resent without the Expect:.  A workaround is
   for the client application to redo the transfer after disabling Expect:.

=== modified file 'docs/Makefile.in'
--- docs/Makefile.in	2010-08-12 08:20:48 +0000
+++ docs/Makefile.in	2010-10-18 11:13:17 +0000
@@ -102,6 +102,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'docs/THANKS'
--- docs/THANKS	2010-08-12 08:20:48 +0000
+++ docs/THANKS	2010-10-18 11:13:17 +0000
@@ -6,6 +6,7 @@
 
 Aaron Oneal
 Adam D. Moss
+Adam Light
 Adam Piggott
 Adrian Schuur
 Akos Pasztory
@@ -72,6 +73,7 @@
 Balint Szilakszi
 Bart Whiteley
 Bas Mevissen
+Ben Darnell
 Ben Greear
 Ben Madsen
 Ben Van Hof
@@ -339,6 +341,7 @@
 Jamie Newton
 Jamie Wilkinson
 Jan Kunder
+Jan Van Boghout
 Jared Lundell
 Jari Sundell
 Jason McDonald
@@ -389,6 +392,7 @@
 Johnny Luong
 Jon Grubbs
 Jon Nelson
+Jon Sargeant
 Jon Travis
 Jon Turner
 Jonas Forsman
@@ -535,11 +539,13 @@
 Michal Marek
 Michele Bini
 Mihai Ionescu
+Mikael Johansson
 Mikael Sennerholm
 Mike Bytnar
 Mike Crowe
 Mike Dobbs
 Mike Hommey
+Mike Power
 Mike Protts
 Mike Revi
 Miklos Nemeth
@@ -621,6 +627,7 @@
 Philippe Vaucher
 Pierre
 Pierre Brico
+Pierre Joye
 Pooyan McSporran
 Pramod Sharma
 Puneet Pawaia
@@ -665,6 +672,7 @@
 Robert Iakobashvili
 Robert Olson
 Robert Weaver
+Robin Cornelius
 Robin Johnson
 Robin Kay
 Robson Braga Araujo
@@ -705,6 +713,7 @@
 Shawn Poulson
 Shmulik Regev
 Siddhartha Prakash Jain
+Sidney San Martin
 Siegfried Gyuricsko
 Simon Dick
 Simon Josefsson

=== modified file 'docs/TODO'
--- docs/TODO	2010-06-16 19:25:37 +0000
+++ docs/TODO	2010-10-18 11:13:17 +0000
@@ -22,7 +22,6 @@
  2.2 Remove easy interface internally
  2.3 Avoid having to remove/readd handles
  2.4 Fix HTTP Pipelining for PUT
- 2.5 Make curl_multi_info_read faster
 
  3. Documentation
  3.1  More and better
@@ -56,18 +55,17 @@
  7.7 Support other SSL libraries
  7.8  Support SRP on the TLS layer
  7.9 improve configure --with-ssl
- 7.10 Make NTLM work with other crypto functions
 
  8. GnuTLS
  8.1 SSL engine stuff
  8.2 SRP
  8.3 check connection
+ 8.4 non-gcrypt
 
  9. Other protocols
 
  10. New protocols
  10.1 RSYNC
- 10.2 RTMP
 
  11. Client
  11.1 sync
@@ -185,11 +183,6 @@
  serial requests and currently libcurl only supports that for HEAD and GET
  requests but it should also be possible for PUT.
 
-2.5 Make curl_multi_info_read faster
-
- When checking if there's info to return, this function scans over ALL added
- easy handles every time. That makes this function unnecessary heavy and slow.
-
 3. Documentation
 
 3.1  More and better
@@ -342,14 +335,6 @@
  make the configure --with-ssl option first check for OpenSSL, then GnuTLS,
  then NSS...
 
-7.10 Make NTLM work with other crypto functions
-
- Get NTLM working using the functions provided by NSS etc. Not strictly
- SSL/TLS related, but hey... Another option is to get available DES and MD4
- source code from the cryptopp library. They are fine license-wise, but are
- C++. NTLM currenly only works when libcurl is built with OpenSSL or GnuTLS
- support.
-
 8. GnuTLS
 
 8.1 SSL engine stuff
@@ -366,6 +351,17 @@
  Add a way to check if the connection seems to be alive, to correspond to the
  SSL_peak() way we use with OpenSSL.
 
+8.4 non-gcrypt
+
+ libcurl assumes that there are gcrypt functions available when
+ GnuTLS is.
+
+ GnuTLS can be built to use libnettle instead as crypto library,
+ which breaks the previously mentioned assumption
+
+ The correct fix would be to detect which crypto layer that is in use and
+ adapt our code to use that instead of blindly assuming gcrypt.
+
 9. Other protocols
 
 10. New protocols
@@ -375,12 +371,6 @@
  There's no RFC for protocol nor URI/URL format.  An implementation should
  most probably use an existing rsync library, such as librsync.
 
-10.2 RTMP
-
- There exists a patch that claims to introduce this protocol:
- http://osdir.com/ml/gnu.gnash.devel2/2006-11/msg00278.html, further details
- in the feature-request: http://curl.haxx.se/bug/feature.cgi?id=1843469
-
 11. Client
 
 11.1 sync

=== modified file 'docs/TheArtOfHttpScripting'
--- docs/TheArtOfHttpScripting	2010-04-28 18:40:27 +0000
+++ docs/TheArtOfHttpScripting	2010-10-18 11:13:17 +0000
@@ -38,10 +38,10 @@
  request a particular action, and then the server replies a few text lines
  before the actual requested content is sent to the client.
 
- Using curl's option -v will display what kind of commands curl sends to the
- server, as well as a few other informational texts. -v is the single most
- useful option when it comes to debug or even understand the curl<->server
- interaction.
+ Using curl's option --verbose (-v as a short option) will display what kind of
+ commands curl sends to the server, as well as a few other informational texts. 
+ --verbose is the single most useful option when it comes to debug or even
+ understand the curl<->server interaction.
 
 2. URL
 
@@ -62,9 +62,9 @@
  that that URL holds.
 
  All HTTP replies contain a set of headers that are normally hidden, use
- curl's -i option to display them as well as the rest of the document. You can
- also ask the remote server for ONLY the headers by using the -I option (which
- will make curl issue a HEAD request).
+ curl's --include (-i) option to display them as well as the rest of the
+ document. You can also ask the remote server for ONLY the headers by using the
+ --head (-I) option (which will make curl issue a HEAD request).
 
 4. Forms
 
@@ -103,7 +103,7 @@
   To make curl do the GET form post for you, just enter the expected created
   URL:
 
-        curl "www.hotmail.com/when/junk.cgi?birthyear=1905&press=OK"
+        curl "http://www.hotmail.com/when/junk.cgi?birthyear=1905&press=OK"
 
  4.2 POST
 
@@ -127,7 +127,7 @@
   And to use curl to post this form with the same data filled in as before, we
   could do it like:
 
-        curl -d "birthyear=1905&press=%20OK%20" www.hotmail.com/when/junk.cgi
+        curl --data "birthyear=1905&press=%20OK%20" http://www.hotmail.com/when/junk.cgi
 
   This kind of POST will use the Content-Type
   application/x-www-form-urlencoded and is the most widely used POST kind.
@@ -139,7 +139,7 @@
 
   Recent curl versions can in fact url-encode POST data for you, like this:
 
-        curl --data-urlencode "name=I am Daniel" www.example.com
+        curl --data-urlencode "name=I am Daniel" http://www.example.com
 
  4.3 File Upload POST
 
@@ -160,7 +160,7 @@
 
   To post to a form like this with curl, you enter a command line like:
 
-        curl -F upload=@localfilename -F press=OK [URL]
+        curl --form upload=@localfilename --form press=OK [URL]
 
  4.4 Hidden Fields
 
@@ -181,7 +181,7 @@
   To post this with curl, you won't have to think about if the fields are
   hidden or not. To curl they're all the same:
 
-        curl -d "birthyear=1905&press=OK&person=daniel" [URL]
+        curl --data "birthyear=1905&press=OK&person=daniel" [URL]
 
  4.5 Figure Out What A POST Looks Like
 
@@ -204,7 +204,7 @@
 
  Put a file to a HTTP server with curl:
 
-        curl -T uploadfile www.uploadhttp.com/receive.cgi
+        curl --upload-file uploadfile http://www.uploadhttp.com/receive.cgi
 
 6. HTTP Authentication
 
@@ -217,7 +217,7 @@
 
  To tell curl to use a user and password for authentication:
 
-        curl -u name:password www.secrets.com
+        curl --user name:password http://www.secrets.com
 
  The site might require a different authentication method (check the headers
  returned by the server), and then --ntlm, --digest, --negotiate or even
@@ -228,7 +228,7 @@
  may require its own user and password to allow the client to get through to
  the Internet. To specify those with curl, run something like:
 
-        curl -U proxyuser:proxypassword curl.haxx.se
+        curl --proxy-user proxyuser:proxypassword curl.haxx.se
 
  If your proxy requires the authentication to be done using the NTLM method,
  use --proxy-ntlm, if it requires Digest use --proxy-digest.
@@ -257,7 +257,7 @@
 
  Use curl to set the referer field with:
 
-        curl -e http://curl.haxx.se daniel.haxx.se
+        curl --referer http://curl.haxx.se http://daniel.haxx.se
 
 8. User Agent
 
@@ -275,11 +275,11 @@
 
  To make curl look like Internet Explorer on a Windows 2000 box:
 
-        curl -A "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)" [URL]
+        curl --user-agent "Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)" [URL]
 
  Or why not look like you're using Netscape 4.73 on a Linux (PIII) box:
 
-        curl -A "Mozilla/4.73 [en] (X11; U; Linux 2.2.15 i686)" [URL]
+        curl --user-agent "Mozilla/4.73 [en] (X11; U; Linux 2.2.15 i686)" [URL]
 
 9. Redirects
 
@@ -294,11 +294,12 @@
 
  To tell curl to follow a Location:
 
-        curl -L www.sitethatredirects.com
+        curl --location http://www.sitethatredirects.com
 
  If you use curl to POST to a site that immediately redirects you to another
- page, you can safely use -L and -d/-F together. Curl will only use POST in
- the first request, and then revert to GET in the following operations.
+ page, you can safely use --location (-L) and --data/--form together. Curl will
+ only use POST in the first request, and then revert to GET in the following
+ operations.
 
 10. Cookies
 
@@ -320,16 +321,16 @@
  The simplest way to send a few cookies to the server when getting a page with
  curl is to add them on the command line like:
 
-        curl -b "name=Daniel" www.cookiesite.com
+        curl --cookie "name=Daniel" http://www.cookiesite.com
 
  Cookies are sent as common HTTP headers. This is practical as it allows curl
  to record cookies simply by recording headers. Record cookies with curl by
- using the -D option like:
-
-        curl -D headers_and_cookies www.cookiesite.com
-
- (Take note that the -c option described below is a better way to store
- cookies.)
+ using the --dump-header (-D) option like:
+
+        curl --dump-header headers_and_cookies http://www.cookiesite.com
+
+ (Take note that the --cookie-jar option described below is a better way to
+ store cookies.)
 
  Curl has a full blown cookie parsing engine built-in that comes to use if you
  want to reconnect to a server and use cookies that were stored from a
@@ -337,24 +338,24 @@
  believing you had a previous connection). To use previously stored cookies,
  you run curl like:
 
-        curl -b stored_cookies_in_file www.cookiesite.com
-
- Curl's "cookie engine" gets enabled when you use the -b option. If you only
- want curl to understand received cookies, use -b with a file that doesn't
- exist. Example, if you want to let curl understand cookies from a page and
- follow a location (and thus possibly send back cookies it received), you can
- invoke it like:
-
-        curl -b nada -L www.cookiesite.com
+        curl --cookie stored_cookies_in_file http://www.cookiesite.com
+
+ Curl's "cookie engine" gets enabled when you use the --cookie option. If you
+ only want curl to understand received cookies, use --cookie with a file that
+ doesn't exist. Example, if you want to let curl understand cookies from a page 
+ and follow a location (and thus possibly send back cookies it received), you
+ can invoke it like:
+
+        curl --cookie nada --location http://www.cookiesite.com
 
  Curl has the ability to read and write cookie files that use the same file
  format that Netscape and Mozilla do. It is a convenient way to share cookies
- between browsers and automatic scripts. The -b switch automatically detects
- if a given file is such a cookie file and parses it, and by using the
- -c/--cookie-jar option you'll make curl write a new cookie file at the end of
+ between browsers and automatic scripts. The --cookie (-b) switch automatically
+ detects if a given file is such a cookie file and parses it, and by using the
+ --cookie-jar (-c) option you'll make curl write a new cookie file at the end of
  an operation:
 
-        curl -b cookies.txt -c newcookies.txt www.cookiesite.com
+        curl --cookie cookies.txt --cookie-jar newcookies.txt http://www.cookiesite.com
 
 11. HTTPS
 
@@ -381,13 +382,13 @@
   can be specified on the command line or if not, entered interactively when
   curl queries for it. Use a certificate with curl on a HTTPS server like:
 
-        curl -E mycert.pem https://that.secure.server.com
+        curl --cert mycert.pem https://that.secure.server.com
 
   curl also tries to verify that the server is who it claims to be, by
   verifying the server's certificate against a locally stored CA cert
   bundle. Failing the verification will cause curl to deny the connection. You
-  must then use -k in case you want to tell curl to ignore that the server
-  can't be verified.
+  must then use --insecure (-k) in case you want to tell curl to ignore that
+  the server can't be verified.
 
   More about server certificate verification and ca cert bundles can be read
   in the SSLCERTS document, available online here:
@@ -402,17 +403,17 @@
  For example, you can change the POST request to a PROPFIND and send the data
  as "Content-Type: text/xml" (instead of the default Content-Type) like this:
 
-        curl -d "<xml>" -H "Content-Type: text/xml" -X PROPFIND url.com
+        curl --data "<xml>" --header "Content-Type: text/xml" --request PROPFIND url.com
 
  You can delete a default header by providing one without content. Like you
  can ruin the request by chopping off the Host: header:
 
-        curl -H "Host:" http://mysite.com
+        curl --header "Host:" http://mysite.com
 
  You can add headers the same way. Your server may want a "Destination:"
  header, and you can add it:
 
-        curl -H "Destination: http://moo.com/nowhere" http://url.com
+        curl --header "Destination: http://moo.com/nowhere" http://url.com
 
 13. Web Login
 
@@ -456,8 +457,8 @@
  * Use the --trace-ascii option to store fully detailed logs of the requests
    for easier analyzing and better understanding
 
- * Make sure you check for and use cookies when needed (both reading with -b
-   and writing with -c)
+ * Make sure you check for and use cookies when needed (both reading with
+   --cookie and writing with --cookie-jar)
 
  * Set user-agent to one like a recent popular browser does
 

=== modified file 'docs/curl-config.pdf'
Binary files docs/curl-config.pdf and docs/curl-config.pdf differ
=== modified file 'docs/curl.1'
--- docs/curl.1	2010-06-16 19:25:37 +0000
+++ docs/curl.1	2010-10-18 11:13:17 +0000
@@ -29,8 +29,9 @@
 .SH DESCRIPTION
 .B curl
 is a tool to transfer data from or to a server, using one of the supported
-protocols (HTTP, HTTPS, FTP, FTPS, SCP, SFTP, TFTP, DICT, TELNET, LDAP or
-FILE).  The command is designed to work without user interaction.
+protocols (DICT, FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP,
+LDAPS, POP3, POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP).  The
+command is designed to work without user interaction.
 
 curl offers a busload of useful tricks like proxy support, user
 authentication, FTP upload, HTTP post, SSL connections, cookies, file transfer
@@ -55,16 +56,16 @@
  ftp://ftp.numericals.com/file[001-100].txt    (with leading zeros)
  ftp://ftp.letters.com/file[a-z].txt
 
-No nesting of the sequences is supported at the moment, but you can use
-several ones next to each other:
+Nested sequences are not supported, but you can use several ones next to each
+other:
 
  http://any.org/archive[1996-1999]/vol[1-4]/part{a,b,c}.html
 
 You can specify any amount of URLs on the command line. They will be fetched
 in a sequential manner in the specified order.
 
-Since curl 7.15.1 you can also specify a step counter for the ranges, so that
-you can get every Nth number or letter:
+You can specify a step counter for the ranges to get every Nth number or
+letter:
 
  http://www.numericals.com/file[1-100:10].txt
  http://www.letters.com/file[a-z:2].txt
@@ -87,8 +88,8 @@
 curl normally displays a progress meter during operations, indicating the amount
 of transferred data, transfer speeds and estimated time left, etc.
 
-However, since curl displays this data to the terminal by default, if you invoke
-curl to do an operation and it is about to write data to the terminal, it
+curl displays this data to the terminal by default, so if you invoke curl to
+do an operation and it is about to write data to the terminal, it
 \fIdisables\fP the progress meter as otherwise it would mess up the output
 mixing progress meter and response data.
 
@@ -300,8 +301,8 @@
 on all servers, but they enable more functionality in a better way than the
 traditional PORT command.
 
-Since curl 7.19.0, \fB--eprt\fP can be used to explicitly enable EPRT again
-and \fB--no-eprt\fP is an alias for \fB--disable-eprt\fP.
+\fB--eprt\fP can be used to explicitly enable EPRT again and \fB--no-eprt\fP
+is an alias for \fB--disable-eprt\fP.
 
 Disabling EPRT only changes the active behavior. If you want to switch to
 passive mode you need to not use \fI-P/--ftp-port\fP or force it with
@@ -311,8 +312,8 @@
 transfers. Curl will normally always first attempt to use EPSV before PASV,
 but with this option, it will not try using EPSV.
 
-Since curl 7.19.0, \fB--epsv\fP can be used to explicitly enable EPRT again
-and \fB--no-epsv\fP is an alias for \fB--disable-epsv\fP.
+\fB--epsv\fP can be used to explicitly enable EPRT again and \fB--no-epsv\fP
+is an alias for \fB--disable-epsv\fP.
 
 Disabling EPSV only changes the passive behavior. If you want to switch to
 active mode you need to use \fI-P/--ftp-port\fP.

=== modified file 'docs/curl.html'
--- docs/curl.html	2010-06-16 19:25:37 +0000
+++ docs/curl.html	2010-10-18 11:13:17 +0000
@@ -46,7 +46,7 @@
 <p class="level0"><a name="NAME"></a><h2 class="nroffsh">NAME</h2>
 <p class="level0">curl - transfer a URL <a name="SYNOPSIS"></a><h2 class="nroffsh">SYNOPSIS</h2>
 <p class="level0"><span Class="bold">curl [options]</span> <a class="emphasis" href="#URL">[URL...]</a> <a name="DESCRIPTION"></a><h2 class="nroffsh">DESCRIPTION</h2>
-<p class="level0"><span Class="bold">curl</span> is a tool to transfer data from or to a server, using one of the supported protocols (HTTP, HTTPS, FTP, FTPS, SCP, SFTP, TFTP, DICT, TELNET, LDAP or FILE).  The command is designed to work without user interaction. 
+<p class="level0"><span Class="bold">curl</span> is a tool to transfer data from or to a server, using one of the supported protocols (DICT, FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP).  The command is designed to work without user interaction. 
 <p class="level0">curl offers a busload of useful tricks like proxy support, user authentication, FTP upload, HTTP post, SSL connections, cookies, file transfer resume and more. As you will see below, the number of features will make your head spin! 
 <p class="level0">curl is powered by libcurl for all transfer-related features. See <span Class="manpage">libcurl (3)</span> for details. <a name="URL"></a><h2 class="nroffsh">URL</h2>
 <p class="level0">The URL syntax is protocol-dependent. You'll find a detailed description in RFC 3986. 
@@ -54,16 +54,16 @@
 <p class="level0">&nbsp;<a href="http://site">http://site</a>.{one,two,three}.com 
 <p class="level0">or you can get sequences of alphanumeric series by using [] as in: 
 <p class="level0">&nbsp;<a href="ftp://ftp.numericals.com/file">ftp://ftp.numericals.com/file</a>[1-100].txt &nbsp;<a href="ftp://ftp.numericals.com/file">ftp://ftp.numericals.com/file</a>[001-100].txt    (with leading zeros) &nbsp;<a href="ftp://ftp.letters.com/file">ftp://ftp.letters.com/file</a>[a-z].txt 
-<p class="level0">No nesting of the sequences is supported at the moment, but you can use several ones next to each other: 
+<p class="level0">Nested sequences are not supported, but you can use several ones next to each other: 
 <p class="level0">&nbsp;<a href="http://any.org/archive">http://any.org/archive</a>[1996-1999]/vol[1-4]/part{a,b,c}.html 
 <p class="level0">You can specify any amount of URLs on the command line. They will be fetched in a sequential manner in the specified order. 
-<p class="level0">Since curl 7.15.1 you can also specify a step counter for the ranges, so that you can get every Nth number or letter: 
+<p class="level0">You can specify a step counter for the ranges to get every Nth number or letter: 
 <p class="level0">&nbsp;<a href="http://www.numericals.com/file">http://www.numericals.com/file</a>[1-100:10].txt &nbsp;<a href="http://www.letters.com/file">http://www.letters.com/file</a>[a-z:2].txt 
 <p class="level0">If you specify URL without protocol:// prefix, curl will attempt to guess what protocol you might want. It will then default to HTTP but try other protocols based on often-used host name prefixes. For example, for host names starting with "ftp." curl will assume you want to speak FTP. 
 <p class="level0">curl will do its best to use what you pass to it as a URL. It is not trying to validate it as a syntactically correct URL by any means but is instead <span Class="bold">very</span> liberal with what it accepts. 
 <p class="level0">Curl will attempt to re-use connections for multiple file transfers, so that getting many files from the same server will not do multiple connects / handshakes. This improves speed. Of course this is only done on files specified on a single command line and cannot be used between separate curl invokes. <a name="PROGRESS"></a><h2 class="nroffsh">PROGRESS METER</h2>
 <p class="level0">curl normally displays a progress meter during operations, indicating the amount of transferred data, transfer speeds and estimated time left, etc. 
-<p class="level0">However, since curl displays this data to the terminal by default, if you invoke curl to do an operation and it is about to write data to the terminal, it <span Class="emphasis">disables</span> the progress meter as otherwise it would mess up the output mixing progress meter and response data. 
+<p class="level0">curl displays this data to the terminal by default, so if you invoke curl to do an operation and it is about to write data to the terminal, it <span Class="emphasis">disables</span> the progress meter as otherwise it would mess up the output mixing progress meter and response data. 
 <p class="level0">If you want a progress meter for HTTP POST or PUT requests, you need to redirect the response output to a file, using shell redirect (&gt;), -o [file] or similar. 
 <p class="level0">It is not the same case for FTP upload as that operation does not spit out any response data to the terminal. 
 <p class="level0">If you prefer a progress "bar" instead of the regular meter, <a class="emphasis" href="#-">-#</a> is your friend. <a name="OPTIONS"></a><h2 class="nroffsh">OPTIONS</h2>
@@ -140,11 +140,11 @@
 <p class="level1">If this option is used several times, the following occurrences make no difference. 
 <p class="level0"><a name="--disable-eprt"></a><span class="nroffip">--disable-eprt</span> 
 <p class="level1">(FTP) Tell curl to disable the use of the EPRT and LPRT commands when doing active FTP transfers. Curl will normally always first attempt to use EPRT, then LPRT before using PORT, but with this option, it will use PORT right away. EPRT and LPRT are extensions to the original FTP protocol, and may not work on all servers, but they enable more functionality in a better way than the traditional PORT command. 
-<p class="level1">Since curl 7.19.0, <span Class="bold">--eprt</span> can be used to explicitly enable EPRT again and <span Class="bold">--no-eprt</span> is an alias for <a class="bold" href="#--disable-eprt">--disable-eprt</a>. 
+<p class="level1"><span Class="bold">--eprt</span> can be used to explicitly enable EPRT again and <span Class="bold">--no-eprt</span> is an alias for <a class="bold" href="#--disable-eprt">--disable-eprt</a>. 
 <p class="level1">Disabling EPRT only changes the active behavior. If you want to switch to passive mode you need to not use <a class="emphasis" href="#-P--ftp-port">-P/--ftp-port</a> or force it with <a class="emphasis" href="#--ftp-pasv">--ftp-pasv</a>. 
 <p class="level0"><a name="--disable-epsv"></a><span class="nroffip">--disable-epsv</span> 
 <p class="level1">(FTP) Tell curl to disable the use of the EPSV command when doing passive FTP transfers. Curl will normally always first attempt to use EPSV before PASV, but with this option, it will not try using EPSV. 
-<p class="level1">Since curl 7.19.0, <span Class="bold">--epsv</span> can be used to explicitly enable EPRT again and <span Class="bold">--no-epsv</span> is an alias for <a class="bold" href="#--disable-epsv">--disable-epsv</a>. 
+<p class="level1"><span Class="bold">--epsv</span> can be used to explicitly enable EPRT again and <span Class="bold">--no-epsv</span> is an alias for <a class="bold" href="#--disable-epsv">--disable-epsv</a>. 
 <p class="level1">Disabling EPSV only changes the passive behavior. If you want to switch to active mode you need to use <a class="emphasis" href="#-P--ftp-port">-P/--ftp-port</a>. 
 <p class="level0"><a name="-D--dump-header"></a><span class="nroffip">-D/--dump-header &lt;file&gt;</span> 
 <p class="level1">Write the protocol headers to the specified file. 

=== modified file 'docs/curl.pdf'
Binary files docs/curl.pdf and docs/curl.pdf differ
=== modified file 'docs/examples/10-at-a-time.c'
--- docs/examples/10-at-a-time.c	2010-04-28 18:40:27 +0000
+++ docs/examples/10-at-a-time.c	2010-10-18 11:13:17 +0000
@@ -119,7 +119,7 @@
   }
 
   while (U) {
-    while (CURLM_CALL_MULTI_PERFORM == curl_multi_perform(cm, &U));
+    curl_multi_perform(cm, &U);
 
     if (U) {
       FD_ZERO(&R);

=== modified file 'docs/examples/Makefile.in'
--- docs/examples/Makefile.in	2010-08-12 08:20:48 +0000
+++ docs/examples/Makefile.in	2010-10-18 11:13:17 +0000
@@ -253,6 +253,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'docs/examples/cacertinmem.c'
--- docs/examples/cacertinmem.c	2010-04-28 18:40:27 +0000
+++ docs/examples/cacertinmem.c	2010-10-18 11:13:17 +0000
@@ -111,7 +111,7 @@
   rv=curl_easy_setopt(ch,CURLOPT_WRITEHEADER, stderr);
   rv=curl_easy_setopt(ch,CURLOPT_SSLCERTTYPE,"PEM");
   rv=curl_easy_setopt(ch,CURLOPT_SSL_VERIFYPEER,1L);
-  rv=curl_easy_setopt(ch, CURLOPT_URL, "https://www.cacert.org/");
+  rv=curl_easy_setopt(ch, CURLOPT_URL, "https://www.example.com/");
 
   /* first try: retrieve page without cacerts' certificate -> will fail
    */

=== modified file 'docs/examples/certinfo.c'
--- docs/examples/certinfo.c	2009-04-02 23:35:45 +0000
+++ docs/examples/certinfo.c	2010-10-18 11:13:17 +0000
@@ -20,7 +20,7 @@
 
   curl = curl_easy_init();
   if(curl) {
-    curl_easy_setopt(curl, CURLOPT_URL, "https://www.networking4all.com/");
+    curl_easy_setopt(curl, CURLOPT_URL, "https://www.example.com/");
 
     curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, wrfu);
 

=== modified file 'docs/examples/cookie_interface.c'
--- docs/examples/cookie_interface.c	2010-04-28 18:40:27 +0000
+++ docs/examples/cookie_interface.c	2010-10-18 11:13:17 +0000
@@ -53,7 +53,7 @@
   if (curl) {
     char nline[256];
 
-    curl_easy_setopt(curl, CURLOPT_URL, "http://www.google.com/"); /* google.com sets "PREF" cookie */
+    curl_easy_setopt(curl, CURLOPT_URL, "http://www.example.com/");
     curl_easy_setopt(curl, CURLOPT_VERBOSE, 1L);
     curl_easy_setopt(curl, CURLOPT_COOKIEFILE, ""); /* just to start the cookie engine */
     res = curl_easy_perform(curl);

=== modified file 'docs/examples/debug.c'
--- docs/examples/debug.c	2010-04-28 18:40:27 +0000
+++ docs/examples/debug.c	2010-10-18 11:13:17 +0000
@@ -118,7 +118,7 @@
     /* the DEBUGFUNCTION has no effect until we enable VERBOSE */
     curl_easy_setopt(curl, CURLOPT_VERBOSE, 1L);
 
-    curl_easy_setopt(curl, CURLOPT_URL, "curl.haxx.se");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/");
     res = curl_easy_perform(curl);
 
     /* always cleanup */

=== modified file 'docs/examples/evhiperfifo.c'
--- docs/examples/evhiperfifo.c	2010-04-28 18:40:27 +0000
+++ docs/examples/evhiperfifo.c	2010-10-18 11:13:17 +0000
@@ -68,7 +68,6 @@
   struct ev_io fifo_event;
   struct ev_timer timer_event;
   CURLM *multi;
-  int prev_running;
   int still_running;
   FILE* input;
 } GlobalInfo;
@@ -122,7 +121,6 @@
     switch ( code )
     {
     case CURLM_CALL_MULTI_PERFORM: s="CURLM_CALL_MULTI_PERFORM"; break;
-    case CURLM_OK:                 s="CURLM_OK";                 break;
     case CURLM_BAD_HANDLE:         s="CURLM_BAD_HANDLE";         break;
     case CURLM_BAD_EASY_HANDLE:    s="CURLM_BAD_EASY_HANDLE";    break;
     case CURLM_OUT_OF_MEMORY:      s="CURLM_OUT_OF_MEMORY";      break;
@@ -144,54 +142,33 @@
 
 
 /* Check for completed transfers, and remove their easy handles */
-static void check_run_count(GlobalInfo *g)
+static void check_multi_info(GlobalInfo *g)
 {
-  DPRINT("%s prev %i still %i\n", __PRETTY_FUNCTION__,
-         g->prev_running, g->still_running);
-  if ( g->prev_running > g->still_running )
-  {
-    char *eff_url=NULL;
-    CURLMsg *msg;
-    int msgs_left;
-    ConnInfo *conn=NULL;
-    CURL*easy;
-    CURLcode res;
-
-    fprintf(MSG_OUT, "REMAINING: %d\n", g->still_running);
-    /*
-      I am still uncertain whether it is safe to remove an easy
-      handle from inside the curl_multi_info_read loop, so here I
-      will search for completed transfers in the inner "while"
-      loop, and then remove them in the outer "do-while" loop...
-    */
-    do
-    {
-      easy=NULL;
-      while ( (msg = curl_multi_info_read(g->multi, &msgs_left)) )
-      {
-        if ( msg->msg == CURLMSG_DONE )
-        {
-          easy=msg->easy_handle;
-          res=msg->data.result;
-        }
-
-        if ( easy )
-        {
-          curl_easy_getinfo(easy, CURLINFO_PRIVATE, &conn);
-          curl_easy_getinfo(easy, CURLINFO_EFFECTIVE_URL, &eff_url);
-          fprintf(MSG_OUT, "DONE: %s => (%d) %s\n", eff_url, res, conn->error);
-          curl_multi_remove_handle(g->multi, easy);
-          free(conn->url);
-          curl_easy_cleanup(easy);
-          free(conn);
-        }
-      }
-    } while ( easy );
+  char *eff_url;
+  CURLMsg *msg;
+  int msgs_left;
+  ConnInfo *conn;
+  CURL *easy;
+  CURLcode res;
+
+  fprintf(MSG_OUT, "REMAINING: %d\n", g->still_running);
+  while ((msg = curl_multi_info_read(g->multi, &msgs_left))) {
+    if (msg->msg == CURLMSG_DONE) {
+      easy = msg->easy_handle;
+      res = msg->data.result;
+      curl_easy_getinfo(easy, CURLINFO_PRIVATE, &conn);
+      curl_easy_getinfo(easy, CURLINFO_EFFECTIVE_URL, &eff_url);
+      fprintf(MSG_OUT, "DONE: %s => (%d) %s\n", eff_url, res, conn->error);
+      curl_multi_remove_handle(g->multi, easy);
+      free(conn->url);
+      curl_easy_cleanup(easy);
+      free(conn);
+    }
   }
-  g->prev_running = g->still_running;
 }
 
 
+
 /* Called by libevent when we get action on a multi socket */
 static void event_cb(EV_P_ struct ev_io *w, int revents)
 {
@@ -201,12 +178,9 @@
 
   int action = (revents&EV_READ?CURL_POLL_IN:0)|
     (revents&EV_WRITE?CURL_POLL_OUT:0);
-  do
-  {
-    rc = curl_multi_socket_action(g->multi, w->fd, action, &g->still_running);
-  } while ( rc == CURLM_CALL_MULTI_PERFORM );
-  mcode_or_die("event_cb: curl_multi_socket", rc);
-  check_run_count(g);
+  rc = curl_multi_socket_action(g->multi, w->fd, action, &g->still_running);
+  mcode_or_die("event_cb: curl_multi_socket_action", rc);
+  check_multi_info(g);
   if ( g->still_running <= 0 )
   {
     fprintf(MSG_OUT, "last transfer done, kill timeout\n");
@@ -222,12 +196,9 @@
   GlobalInfo *g = (GlobalInfo *)w->data;
   CURLMcode rc;
 
-  do
-  {
-    rc = curl_multi_socket_action(g->multi, CURL_SOCKET_TIMEOUT, 0, &g->still_running);
-  } while ( rc == CURLM_CALL_MULTI_PERFORM );
-  mcode_or_die("timer_cb: curl_multi_socket", rc);
-  check_run_count(g);
+  rc = curl_multi_socket_action(g->multi, CURL_SOCKET_TIMEOUT, 0, &g->still_running);
+  mcode_or_die("timer_cb: curl_multi_socket_action", rc);
+  check_multi_info(g);
 }
 
 /* Clean up the SockInfo structure */
@@ -364,11 +335,11 @@
 
   fprintf(MSG_OUT,
           "Adding easy %p to multi %p (%s)\n", conn->easy, g->multi, url);
-  rc =curl_multi_add_handle(g->multi, conn->easy);
+  rc = curl_multi_add_handle(g->multi, conn->easy);
   mcode_or_die("new_conn: curl_multi_add_handle", rc);
 
-  mcode_or_die("new_conn: curl_multi_socket_all", rc);
-  check_run_count(g);
+  /* note that the add_handle() will set a time-out to trigger very soon so
+     that the necessary socket_action() call will be called by this app */
 }
 
 /* This gets called whenever data is received from the fifo */
@@ -448,10 +419,9 @@
   curl_multi_setopt(g.multi, CURLMOPT_SOCKETDATA, &g);
   curl_multi_setopt(g.multi, CURLMOPT_TIMERFUNCTION, multi_timer_cb);
   curl_multi_setopt(g.multi, CURLMOPT_TIMERDATA, &g);
-  do
-  {
-    rc = curl_multi_socket_all(g.multi, &g.still_running);
-  } while ( CURLM_CALL_MULTI_PERFORM == rc );
+
+  /* we don't call any curl_multi_socket*() function yet as we have no handles
+     added! */
 
   ev_loop(g.loop, 0);
   curl_multi_cleanup(g.multi);

=== modified file 'docs/examples/fopen.c'
--- docs/examples/fopen.c	2010-08-12 08:20:48 +0000
+++ docs/examples/fopen.c	2010-10-18 11:13:17 +0000
@@ -184,12 +184,7 @@
 
         default:
             /* timeout or readable/writable sockets */
-            /* note we *could* be more efficient and not wait for
-             * CURLM_CALL_MULTI_PERFORM to clear here and check it on re-entry
-             * but that gets messy */
-            while(curl_multi_perform(multi_handle, &file->still_running) ==
-                  CURLM_CALL_MULTI_PERFORM);
-
+            curl_multi_perform(multi_handle, &file->still_running);
             break;
         }
     } while(file->still_running && (file->buffer_pos < want));
@@ -260,8 +255,7 @@
         curl_multi_add_handle(multi_handle, file->handle.curl);
 
         /* lets start the fetch */
-        while(curl_multi_perform(multi_handle, &file->still_running) ==
-              CURLM_CALL_MULTI_PERFORM );
+        curl_multi_perform(multi_handle, &file->still_running);
 
         if((file->buffer_pos == 0) && (!file->still_running))
         {

=== modified file 'docs/examples/ftp-wildcard.c'
--- docs/examples/ftp-wildcard.c	2010-08-12 08:20:48 +0000
+++ docs/examples/ftp-wildcard.c	2010-10-18 11:13:17 +0000
@@ -67,8 +67,7 @@
   if(argc == 2)
     curl_easy_setopt(handle, CURLOPT_URL, argv[1]);
   else
-    curl_easy_setopt(handle, CURLOPT_URL,
-      "ftp://curltest.howto.cz:123456@curltest.howto.cz/test/*");
+    curl_easy_setopt(handle, CURLOPT_URL, "ftp://example.com/test/*");
 
   /* and start transfer! */
   rc = curl_easy_perform(handle);

=== modified file 'docs/examples/ftpget.c'
--- docs/examples/ftpget.c	2010-04-28 18:40:27 +0000
+++ docs/examples/ftpget.c	2010-10-18 11:13:17 +0000
@@ -52,12 +52,10 @@
   curl = curl_easy_init();
   if(curl) {
     /*
-     * Get curl 7.9.2 from sunet.se's FTP site. curl 7.9.2 is most likely not
-     * present there by the time you read this, so you'd better replace the
-     * URL with one that works!
+     * You better replace the URL with one that works!
      */
     curl_easy_setopt(curl, CURLOPT_URL,
-                     "ftp://ftp.sunet.se/pub/www/utilities/curl/curl-7.9.2.tar.gz");
+                     "ftp://ftp.example.com/pub/www/utilities/curl/curl-7.9.2.tar.gz");
     /* Define our callback to get called when there's data to be written */
     curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, my_fwrite);
     /* Set a pointer to our struct to pass to the callback */

=== modified file 'docs/examples/ftpgetinfo.c'
--- docs/examples/ftpgetinfo.c	2010-04-28 18:40:27 +0000
+++ docs/examples/ftpgetinfo.c	2010-10-18 11:13:17 +0000
@@ -28,8 +28,7 @@
 
 int main(void)
 {
-  /* Check for binutils 2.19.1 from ftp.gnu.org's FTP site. */
-  char ftpurl[] = "ftp://ftp.gnu.org/gnu/binutils/binutils-2.19.1.tar.bz2";
+  char ftpurl[] = "ftp://ftp.example.com/gnu/binutils/binutils-2.19.1.tar.bz2";
   CURL *curl;
   CURLcode res;
   const time_t filetime;

=== modified file 'docs/examples/ftpgetresp.c'
--- docs/examples/ftpgetresp.c	2010-04-28 18:40:27 +0000
+++ docs/examples/ftpgetresp.c	2010-10-18 11:13:17 +0000
@@ -43,7 +43,7 @@
   curl = curl_easy_init();
   if(curl) {
     /* Get a file listing from sunet */
-    curl_easy_setopt(curl, CURLOPT_URL, "ftp://ftp.sunet.se/");
+    curl_easy_setopt(curl, CURLOPT_URL, "ftp://ftp.example.com/");
     curl_easy_setopt(curl, CURLOPT_WRITEDATA, ftpfile);
     /* If you intend to use this on windows with a libcurl DLL, you must use
        CURLOPT_WRITEFUNCTION as well */

=== modified file 'docs/examples/ftpupload.c'
--- docs/examples/ftpupload.c	2010-04-28 18:40:27 +0000
+++ docs/examples/ftpupload.c	2010-10-18 11:13:17 +0000
@@ -30,7 +30,7 @@
 
 #define LOCAL_FILE      "/tmp/uploadthis.txt"
 #define UPLOAD_FILE_AS  "while-uploading.txt"
-#define REMOTE_URL      "ftp://localhost/"  UPLOAD_FILE_AS
+#define REMOTE_URL      "ftp://example.com/"  UPLOAD_FILE_AS
 #define RENAME_FILE_TO  "renamed-and-fine.txt"
 
 /* NOTE: if you want this example to work on Windows with libcurl as a

=== modified file 'docs/examples/ftpuploadresume.c'
--- docs/examples/ftpuploadresume.c	2010-04-28 18:40:27 +0000
+++ docs/examples/ftpuploadresume.c	2010-10-18 11:13:17 +0000
@@ -32,7 +32,8 @@
 
 
 /* parse headers for Content-Length */
-size_t getcontentlengthfunc(void *ptr, size_t size, size_t nmemb, void *stream) {
+size_t getcontentlengthfunc(void *ptr, size_t size, size_t nmemb, void *stream)
+{
   int r;
   long len = 0;
 
@@ -46,7 +47,8 @@
 }
 
 /* discard downloaded data */
-size_t discardfunc(void *ptr, size_t size, size_t nmemb, void *stream) {
+size_t discardfunc(void *ptr, size_t size, size_t nmemb, void *stream)
+{
   return size * nmemb;
 }
 
@@ -143,13 +145,14 @@
   }
 }
 
-int main(int c, char **argv) {
+int main(int c, char **argv)
+{
   CURL *curlhandle = NULL;
 
   curl_global_init(CURL_GLOBAL_ALL);
   curlhandle = curl_easy_init();
 
-  upload(curlhandle, "ftp://user:pass@host/path/file", "C:\\file", 0, 3);
+  upload(curlhandle, "ftp://user:pass@example.com/path/file", "C:\\file", 0, 3);
 
   curl_easy_cleanup(curlhandle);
   curl_global_cleanup();

=== modified file 'docs/examples/getinfo.c'
--- docs/examples/getinfo.c	2010-04-28 18:40:27 +0000
+++ docs/examples/getinfo.c	2010-10-18 11:13:17 +0000
@@ -19,7 +19,7 @@
   curl = curl_easy_init();
   if(curl) {
     /* http://curl.haxx.se/libcurl/c/curl_easy_setopt.html#CURLOPTURL */
-    curl_easy_setopt(curl, CURLOPT_URL, "curl.haxx.se");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://www.example.com/");
     /* http://curl.haxx.se/libcurl/c/curl_easy_perform.html */
     res = curl_easy_perform(curl);
 

=== modified file 'docs/examples/getinmemory.c'
--- docs/examples/getinmemory.c	2010-04-28 18:40:27 +0000
+++ docs/examples/getinmemory.c	2010-10-18 11:13:17 +0000
@@ -8,8 +8,6 @@
  *
  * Example source code to show how the callback function can be used to
  * download data into a chunk of memory instead of storing it in a file.
- *
- * This exact source code has not been verified to work.
  */
 
 #include <stdio.h>
@@ -17,25 +15,12 @@
 #include <string.h>
 
 #include <curl/curl.h>
-#include <curl/types.h>
-#include <curl/easy.h>
 
 struct MemoryStruct {
   char *memory;
   size_t size;
 };
 
-static void *myrealloc(void *ptr, size_t size);
-
-static void *myrealloc(void *ptr, size_t size)
-{
-  /* There might be a realloc() out there that doesn't like reallocing
-     NULL pointers, so we take care of it here */
-  if(ptr)
-    return realloc(ptr, size);
-  else
-    return malloc(size);
-}
 
 static size_t
 WriteMemoryCallback(void *ptr, size_t size, size_t nmemb, void *data)
@@ -43,22 +28,28 @@
   size_t realsize = size * nmemb;
   struct MemoryStruct *mem = (struct MemoryStruct *)data;
 
-  mem->memory = myrealloc(mem->memory, mem->size + realsize + 1);
-  if (mem->memory) {
-    memcpy(&(mem->memory[mem->size]), ptr, realsize);
-    mem->size += realsize;
-    mem->memory[mem->size] = 0;
+  mem->memory = realloc(mem->memory, mem->size + realsize + 1);
+  if (mem->memory == NULL) {
+    /* out of memory! */
+    printf("not enough memory (realloc returned NULL)\n");
+    exit(EXIT_FAILURE);
   }
+
+  memcpy(&(mem->memory[mem->size]), ptr, realsize);
+  mem->size += realsize;
+  mem->memory[mem->size] = 0;
+
   return realsize;
 }
 
+
 int main(int argc, char **argv)
 {
   CURL *curl_handle;
 
   struct MemoryStruct chunk;
 
-  chunk.memory=NULL; /* we expect realloc(NULL, size) to work */
+  chunk.memory = malloc(1);  /* will be grown as needed by the realloc above */
   chunk.size = 0;    /* no data at this point */
 
   curl_global_init(CURL_GLOBAL_ALL);
@@ -67,7 +58,7 @@
   curl_handle = curl_easy_init();
 
   /* specify URL to get */
-  curl_easy_setopt(curl_handle, CURLOPT_URL, "http://cool.haxx.se/");
+  curl_easy_setopt(curl_handle, CURLOPT_URL, "http://www.example.com/");
 
   /* send all data to this function  */
   curl_easy_setopt(curl_handle, CURLOPT_WRITEFUNCTION, WriteMemoryCallback);
@@ -96,6 +87,8 @@
    * you're done with it, you should free() it as a nice application.
    */
 
+  printf("%lu bytes retrieved\n", chunk.size);
+
   if(chunk.memory)
     free(chunk.memory);
 

=== modified file 'docs/examples/ghiper.c'
--- docs/examples/ghiper.c	2010-04-28 18:40:27 +0000
+++ docs/examples/ghiper.c	2010-10-18 11:13:17 +0000
@@ -58,10 +58,7 @@
 typedef struct _GlobalInfo {
   CURLM *multi;
   guint timer_event;
-  int prev_running;
   int still_running;
-  int requested; /* count: curl_easy_init() */
-  int completed; /* count: curl_easy_cleanup() */
 } GlobalInfo;
 
 
@@ -95,7 +92,6 @@
     const char *s;
     switch (code) {
       case     CURLM_CALL_MULTI_PERFORM: s="CURLM_CALL_MULTI_PERFORM"; break;
-      case     CURLM_OK:                 s="CURLM_OK";                 break;
       case     CURLM_BAD_HANDLE:         s="CURLM_BAD_HANDLE";         break;
       case     CURLM_BAD_EASY_HANDLE:    s="CURLM_BAD_EASY_HANDLE";    break;
       case     CURLM_OUT_OF_MEMORY:      s="CURLM_OUT_OF_MEMORY";      break;
@@ -113,62 +109,43 @@
 
 
 /* Check for completed transfers, and remove their easy handles */
-static void check_run_count(GlobalInfo *g)
+static void check_multi_info(GlobalInfo *g)
 {
-  if (g->prev_running > g->still_running) {
-    char *eff_url=NULL;
-    CURLMsg *msg;
-    int msgs_left;
-    ConnInfo *conn=NULL;
-    CURL*easy;
-    CURLcode res;
+  char *eff_url;
+  CURLMsg *msg;
+  int msgs_left;
+  ConnInfo *conn;
+  CURL *easy;
+  CURLcode res;
 
-    MSG_OUT("REMAINING: %d\n", g->still_running);
-    /*
-      I am still uncertain whether it is safe to remove an easy handle
-      from inside the curl_multi_info_read loop, so here I will search
-      for completed transfers in the inner "while" loop, and then remove
-      them in the outer "do-while" loop...
-   */
-    do {
-      easy=NULL;
-      while ((msg = curl_multi_info_read(g->multi, &msgs_left))) {
-        if (msg->msg == CURLMSG_DONE) {
-          easy=msg->easy_handle;
-          res=msg->data.result;
-          break;
-        }
-      }
-      if (easy) {
-          curl_easy_getinfo(easy, CURLINFO_PRIVATE, &conn);
-          curl_easy_getinfo(easy, CURLINFO_EFFECTIVE_URL, &eff_url);
-          MSG_OUT("DONE: %s => (%d) %s\n", eff_url, res, conn->error);
-          curl_multi_remove_handle(g->multi, easy);
-          g_free(conn->url);
-          curl_easy_cleanup(easy);
-          g_free(conn);
-          g->completed++;
-      }
-    } while ( easy );
-    MSG_OUT("Requested: %d Completed:%d\n", g->requested, g->completed);
+  MSG_OUT("REMAINING: %d\n", g->still_running);
+  while ((msg = curl_multi_info_read(g->multi, &msgs_left))) {
+    if (msg->msg == CURLMSG_DONE) {
+      easy = msg->easy_handle;
+      res = msg->data.result;
+      curl_easy_getinfo(easy, CURLINFO_PRIVATE, &conn);
+      curl_easy_getinfo(easy, CURLINFO_EFFECTIVE_URL, &eff_url);
+      MSG_OUT("DONE: %s => (%d) %s\n", eff_url, res, conn->error);
+      curl_multi_remove_handle(g->multi, easy);
+      free(conn->url);
+      curl_easy_cleanup(easy);
+      free(conn);
+    }
   }
-  g->prev_running = g->still_running;
 }
 
 
 
-
 /* Called by glib when our timeout expires */
 static gboolean timer_cb(gpointer data)
 {
   GlobalInfo *g = (GlobalInfo *)data;
   CURLMcode rc;
 
-  do {
-    rc = curl_multi_socket(g->multi, CURL_SOCKET_TIMEOUT, &g->still_running);
-  } while (rc == CURLM_CALL_MULTI_PERFORM);
-  mcode_or_die("timer_cb: curl_multi_socket", rc);
-  check_run_count(g);
+  rc = curl_multi_socket_action(g->multi,
+                                  CURL_SOCKET_TIMEOUT, 0, &g->still_running);
+  mcode_or_die("timer_cb: curl_multi_socket_action", rc);
+  check_multi_info(g);
   return FALSE;
 }
 
@@ -198,11 +175,15 @@
   GlobalInfo *g = (GlobalInfo*) data;
   CURLMcode rc;
   int fd=g_io_channel_unix_get_fd(ch);
-  do {
-    rc = curl_multi_socket(g->multi, fd, &g->still_running);
-  } while (rc == CURLM_CALL_MULTI_PERFORM);
-  mcode_or_die("event_cb: curl_multi_socket", rc);
-  check_run_count(g);
+
+  int action =
+    (condition & G_IO_IN ? CURL_CSELECT_IN : 0) |
+    (condition & G_IO_OUT ? CURL_CSELECT_OUT : 0);
+
+  rc = curl_multi_socket_action(g->multi, fd, action, &g->still_running);
+  mcode_or_die("event_cb: curl_multi_socket_action", rc);
+
+  check_multi_info(g);
   if(g->still_running) {
     return TRUE;
   } else {
@@ -338,12 +319,9 @@
   MSG_OUT("Adding easy %p to multi %p (%s)\n", conn->easy, g->multi, url);
   rc =curl_multi_add_handle(g->multi, conn->easy);
   mcode_or_die("new_conn: curl_multi_add_handle", rc);
-  g->requested++;
-  do {
-    rc = curl_multi_socket_all(g->multi, &g->still_running);
-  } while (CURLM_CALL_MULTI_PERFORM == rc);
-  mcode_or_die("new_conn: curl_multi_socket_all", rc);
-  check_run_count(g);
+
+  /* note that the add_handle() will set a time-out to trigger very soon so
+     that the necessary socket_action() call will be called by this app */
 }
 
 
@@ -451,9 +429,10 @@
   curl_multi_setopt(g->multi, CURLMOPT_SOCKETDATA, g);
   curl_multi_setopt(g->multi, CURLMOPT_TIMERFUNCTION, update_timeout_cb);
   curl_multi_setopt(g->multi, CURLMOPT_TIMERDATA, g);
-  do {
-    rc = curl_multi_socket_all(g->multi, &g->still_running);
-  } while (CURLM_CALL_MULTI_PERFORM == rc);
+
+  /* we don't call any curl_multi_socket*() function yet as we have no handles
+     added! */
+
   g_main_loop_run(gmain);
   curl_multi_cleanup(g->multi);
   return 0;

=== modified file 'docs/examples/hiperfifo.c'
--- docs/examples/hiperfifo.c	2010-04-28 18:40:27 +0000
+++ docs/examples/hiperfifo.c	2010-10-18 11:13:17 +0000
@@ -62,7 +62,6 @@
   struct event fifo_event;
   struct event timer_event;
   CURLM *multi;
-  int prev_running;
   int still_running;
   FILE* input;
 } GlobalInfo;
@@ -110,7 +109,6 @@
     const char *s;
     switch (code) {
       case     CURLM_CALL_MULTI_PERFORM: s="CURLM_CALL_MULTI_PERFORM"; break;
-      case     CURLM_OK:                 s="CURLM_OK";                 break;
       case     CURLM_BAD_HANDLE:         s="CURLM_BAD_HANDLE";         break;
       case     CURLM_BAD_EASY_HANDLE:    s="CURLM_BAD_EASY_HANDLE";    break;
       case     CURLM_OUT_OF_MEMORY:      s="CURLM_OUT_OF_MEMORY";      break;
@@ -132,44 +130,29 @@
 
 
 /* Check for completed transfers, and remove their easy handles */
-static void check_run_count(GlobalInfo *g)
+static void check_multi_info(GlobalInfo *g)
 {
-  if (g->prev_running > g->still_running) {
-    char *eff_url=NULL;
-    CURLMsg *msg;
-    int msgs_left;
-    ConnInfo *conn=NULL;
-    CURL*easy;
-    CURLcode res;
+  char *eff_url;
+  CURLMsg *msg;
+  int msgs_left;
+  ConnInfo *conn;
+  CURL *easy;
+  CURLcode res;
 
-    fprintf(MSG_OUT, "REMAINING: %d\n", g->still_running);
-    /*
-      I am still uncertain whether it is safe to remove an easy handle
-      from inside the curl_multi_info_read loop, so here I will search
-      for completed transfers in the inner "while" loop, and then remove
-      them in the outer "do-while" loop...
-   */
-    do {
-      easy=NULL;
-      while ((msg = curl_multi_info_read(g->multi, &msgs_left))) {
-        if (msg->msg == CURLMSG_DONE) {
-          easy=msg->easy_handle;
-          res=msg->data.result;
-          break;
-        }
-      }
-      if (easy) {
-          curl_easy_getinfo(easy, CURLINFO_PRIVATE, &conn);
-          curl_easy_getinfo(easy, CURLINFO_EFFECTIVE_URL, &eff_url);
-          fprintf(MSG_OUT, "DONE: %s => (%d) %s\n", eff_url, res, conn->error);
-          curl_multi_remove_handle(g->multi, easy);
-          free(conn->url);
-          curl_easy_cleanup(easy);
-          free(conn);
-      }
-    } while ( easy );
+  fprintf(MSG_OUT, "REMAINING: %d\n", g->still_running);
+  while ((msg = curl_multi_info_read(g->multi, &msgs_left))) {
+    if (msg->msg == CURLMSG_DONE) {
+      easy = msg->easy_handle;
+      res = msg->data.result;
+      curl_easy_getinfo(easy, CURLINFO_PRIVATE, &conn);
+      curl_easy_getinfo(easy, CURLINFO_EFFECTIVE_URL, &eff_url);
+      fprintf(MSG_OUT, "DONE: %s => (%d) %s\n", eff_url, res, conn->error);
+      curl_multi_remove_handle(g->multi, easy);
+      free(conn->url);
+      curl_easy_cleanup(easy);
+      free(conn);
+    }
   }
-  g->prev_running = g->still_running;
 }
 
 
@@ -181,16 +164,13 @@
   CURLMcode rc;
 
   int action =
-    (kind&EV_READ?CURL_CSELECT_IN:0)|
-    (kind&EV_WRITE?CURL_CSELECT_OUT:0);
-
-  do {
-    rc = curl_multi_socket_action(g->multi, fd, action, &g->still_running);
-  } while (rc == CURLM_CALL_MULTI_PERFORM);
-
+    (kind & EV_READ ? CURL_CSELECT_IN : 0) |
+    (kind & EV_WRITE ? CURL_CSELECT_OUT : 0);
+
+  rc = curl_multi_socket_action(g->multi, fd, action, &g->still_running);
   mcode_or_die("event_cb: curl_multi_socket_action", rc);
 
-  check_run_count(g);
+  check_multi_info(g);
   if ( g->still_running <= 0 ) {
     fprintf(MSG_OUT, "last transfer done, kill timeout\n");
     if (evtimer_pending(&g->timer_event, NULL)) {
@@ -209,12 +189,10 @@
   (void)fd;
   (void)kind;
 
-  do {
-    rc = curl_multi_socket_action(g->multi,
+  rc = curl_multi_socket_action(g->multi,
                                   CURL_SOCKET_TIMEOUT, 0, &g->still_running);
-  } while (rc == CURLM_CALL_MULTI_PERFORM);
   mcode_or_die("timer_cb: curl_multi_socket_action", rc);
-  check_run_count(g);
+  check_multi_info(g);
 }
 
 
@@ -340,7 +318,7 @@
   curl_easy_setopt(conn->easy, CURLOPT_PROGRESSDATA, conn);
   fprintf(MSG_OUT,
           "Adding easy %p to multi %p (%s)\n", conn->easy, g->multi, url);
-  rc =curl_multi_add_handle(g->multi, conn->easy);
+  rc = curl_multi_add_handle(g->multi, conn->easy);
   mcode_or_die("new_conn: curl_multi_add_handle", rc);
 
   /* note that the add_handle() will set a time-out to trigger very soon so

=== modified file 'docs/examples/https.c'
--- docs/examples/https.c	2010-04-28 18:40:27 +0000
+++ docs/examples/https.c	2010-10-18 11:13:17 +0000
@@ -17,7 +17,7 @@
 
   curl = curl_easy_init();
   if(curl) {
-    curl_easy_setopt(curl, CURLOPT_URL, "https://sourceforge.net/");
+    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
 
 #ifdef SKIP_PEER_VERIFICATION
     /*

=== modified file 'docs/examples/multi-app.c'
--- docs/examples/multi-app.c	2010-08-12 08:20:48 +0000
+++ docs/examples/multi-app.c	2010-10-18 11:13:17 +0000
@@ -43,9 +43,9 @@
       handles[i] = curl_easy_init();
 
   /* set the options (I left out a few, you'll get the point anyway) */
-  curl_easy_setopt(handles[HTTP_HANDLE], CURLOPT_URL, "http://website.com");
+  curl_easy_setopt(handles[HTTP_HANDLE], CURLOPT_URL, "http://example.com");
 
-  curl_easy_setopt(handles[FTP_HANDLE], CURLOPT_URL, "ftp://ftpsite.com");
+  curl_easy_setopt(handles[FTP_HANDLE], CURLOPT_URL, "ftp://example.com");
   curl_easy_setopt(handles[FTP_HANDLE], CURLOPT_UPLOAD, 1L);
 
   /* init a multi stack */
@@ -56,8 +56,7 @@
       curl_multi_add_handle(multi_handle, handles[i]);
 
   /* we start some action by calling perform right away */
-  while(CURLM_CALL_MULTI_PERFORM ==
-        curl_multi_perform(multi_handle, &still_running));
+  curl_multi_perform(multi_handle, &still_running);
 
   while(still_running) {
     struct timeval timeout;
@@ -108,8 +107,7 @@
     default:
       /* one or more of curl's file descriptors say there's data to read
          or write */
-      while(CURLM_CALL_MULTI_PERFORM ==
-            curl_multi_perform(multi_handle, &still_running));
+      curl_multi_perform(multi_handle, &still_running);
       break;
     }
   }

=== modified file 'docs/examples/multi-debugcallback.c'
--- docs/examples/multi-debugcallback.c	2010-08-12 08:20:48 +0000
+++ docs/examples/multi-debugcallback.c	2010-10-18 11:13:17 +0000
@@ -118,7 +118,7 @@
   http_handle = curl_easy_init();
 
   /* set the options (I left out a few, you'll get the point anyway) */
-  curl_easy_setopt(http_handle, CURLOPT_URL, "http://www.haxx.se/");
+  curl_easy_setopt(http_handle, CURLOPT_URL, "http://www.example.com/");
 
   curl_easy_setopt(http_handle, CURLOPT_DEBUGFUNCTION, my_trace);
   curl_easy_setopt(http_handle, CURLOPT_VERBOSE, 1L);
@@ -130,8 +130,7 @@
   curl_multi_add_handle(multi_handle, http_handle);
 
   /* we start some action by calling perform right away */
-  while(CURLM_CALL_MULTI_PERFORM ==
-        curl_multi_perform(multi_handle, &still_running));
+  curl_multi_perform(multi_handle, &still_running);
 
   while(still_running) {
     struct timeval timeout;
@@ -181,8 +180,7 @@
     case 0:
     default:
       /* timeout or readable/writable sockets */
-      while(CURLM_CALL_MULTI_PERFORM ==
-            curl_multi_perform(multi_handle, &still_running));
+      curl_multi_perform(multi_handle, &still_running);
       break;
     }
   }

=== modified file 'docs/examples/multi-double.c'
--- docs/examples/multi-double.c	2010-08-12 08:20:48 +0000
+++ docs/examples/multi-double.c	2010-10-18 11:13:17 +0000
@@ -34,7 +34,7 @@
   http_handle2 = curl_easy_init();
 
   /* set options */
-  curl_easy_setopt(http_handle, CURLOPT_URL, "http://www.haxx.se/");
+  curl_easy_setopt(http_handle, CURLOPT_URL, "http://www.example.com/");
 
   /* set options */
   curl_easy_setopt(http_handle2, CURLOPT_URL, "http://localhost/");
@@ -47,8 +47,7 @@
   curl_multi_add_handle(multi_handle, http_handle2);
 
   /* we start some action by calling perform right away */
-  while(CURLM_CALL_MULTI_PERFORM ==
-        curl_multi_perform(multi_handle, &still_running));
+  curl_multi_perform(multi_handle, &still_running);
 
   while(still_running) {
     struct timeval timeout;
@@ -96,8 +95,7 @@
     case 0:
     default:
       /* timeout or readable/writable sockets */
-      while(CURLM_CALL_MULTI_PERFORM ==
-            curl_multi_perform(multi_handle, &still_running));
+      curl_multi_perform(multi_handle, &still_running);
       break;
     }
   }

=== modified file 'docs/examples/multi-post.c'
--- docs/examples/multi-post.c	2010-08-12 08:20:48 +0000
+++ docs/examples/multi-post.c	2010-10-18 11:13:17 +0000
@@ -58,8 +58,7 @@
   if(curl && multi_handle) {
 
     /* what URL that receives this POST */
-    curl_easy_setopt(curl, CURLOPT_URL,
-                     "http://www.fillinyoururl.com/upload.cgi");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://www.example.com/upload.cgi");
     curl_easy_setopt(curl, CURLOPT_VERBOSE, 1L);
 
     curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headerlist);
@@ -67,8 +66,7 @@
 
     curl_multi_add_handle(multi_handle, curl);
 
-    while(CURLM_CALL_MULTI_PERFORM ==
-          curl_multi_perform(multi_handle, &still_running));
+    curl_multi_perform(multi_handle, &still_running);
 
     while(still_running) {
       struct timeval timeout;
@@ -118,8 +116,7 @@
       default:
         /* timeout or readable/writable sockets */
         printf("perform!\n");
-        while(CURLM_CALL_MULTI_PERFORM ==
-              curl_multi_perform(multi_handle, &still_running));
+        curl_multi_perform(multi_handle, &still_running);
         printf("running: %d!\n", still_running);
         break;
       }

=== modified file 'docs/examples/multi-single.c'
--- docs/examples/multi-single.c	2010-08-12 08:20:48 +0000
+++ docs/examples/multi-single.c	2010-10-18 11:13:17 +0000
@@ -32,7 +32,7 @@
   http_handle = curl_easy_init();
 
   /* set the options (I left out a few, you'll get the point anyway) */
-  curl_easy_setopt(http_handle, CURLOPT_URL, "http://www.haxx.se/");
+  curl_easy_setopt(http_handle, CURLOPT_URL, "http://www.example.com/");
 
   /* init a multi stack */
   multi_handle = curl_multi_init();
@@ -41,8 +41,7 @@
   curl_multi_add_handle(multi_handle, http_handle);
 
   /* we start some action by calling perform right away */
-  while(CURLM_CALL_MULTI_PERFORM ==
-        curl_multi_perform(multi_handle, &still_running));
+  curl_multi_perform(multi_handle, &still_running);
 
   while(still_running) {
     struct timeval timeout;
@@ -92,8 +91,7 @@
     case 0:
     default:
       /* timeout or readable/writable sockets */
-      while(CURLM_CALL_MULTI_PERFORM ==
-            curl_multi_perform(multi_handle, &still_running));
+      curl_multi_perform(multi_handle, &still_running);
       break;
     }
   }

=== modified file 'docs/examples/persistant.c'
--- docs/examples/persistant.c	2010-04-28 18:40:27 +0000
+++ docs/examples/persistant.c	2010-10-18 11:13:17 +0000
@@ -24,12 +24,12 @@
     curl_easy_setopt(curl, CURLOPT_HEADER, 1L);
 
     /* get the first document */
-    curl_easy_setopt(curl, CURLOPT_URL, "http://curl.haxx.se/");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/");
     res = curl_easy_perform(curl);
 
     /* get another document from the same server using the same
        connection */
-    curl_easy_setopt(curl, CURLOPT_URL, "http://curl.haxx.se/docs/");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/docs/");
     res = curl_easy_perform(curl);
 
     /* always cleanup */

=== modified file 'docs/examples/post-callback.c'
--- docs/examples/post-callback.c	2010-04-28 18:40:27 +0000
+++ docs/examples/post-callback.c	2010-10-18 11:13:17 +0000
@@ -51,8 +51,8 @@
   curl = curl_easy_init();
   if(curl) {
     /* First set the URL that is about to receive our POST. */
-    curl_easy_setopt(curl, CURLOPT_URL,
-                     "http://receivingsite.com.pooh/index.cgi");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/index.cgi");
+
     /* Now specify we want to POST data */
     curl_easy_setopt(curl, CURLOPT_POST, 1L);
 

=== modified file 'docs/examples/postit2.c'
--- docs/examples/postit2.c	2010-04-28 18:40:27 +0000
+++ docs/examples/postit2.c	2010-10-18 11:13:17 +0000
@@ -67,7 +67,7 @@
   headerlist = curl_slist_append(headerlist, buf);
   if(curl) {
     /* what URL that receives this POST */
-    curl_easy_setopt(curl, CURLOPT_URL, "http://curl.haxx.se/examplepost.cgi");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/examplepost.cgi");
     if ( (argc == 2) && (!strcmp(argv[1], "noexpectheader")) )
       /* only disable 100-continue header if explicitly requested */
       curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headerlist);

=== modified file 'docs/examples/sampleconv.c'
--- docs/examples/sampleconv.c	2010-04-28 18:40:27 +0000
+++ docs/examples/sampleconv.c	2010-10-18 11:13:17 +0000
@@ -75,7 +75,7 @@
 
   curl = curl_easy_init();
   if(curl) {
-    curl_easy_setopt(curl, CURLOPT_URL, "curl.haxx.se");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
 
     /* use platform-specific functions for codeset conversions */
     curl_easy_setopt(curl, CURLOPT_CONV_FROM_NETWORK_FUNCTION,

=== modified file 'docs/examples/sendrecv.c'
--- docs/examples/sendrecv.c	2010-04-28 18:40:27 +0000
+++ docs/examples/sendrecv.c	2010-10-18 11:13:17 +0000
@@ -48,13 +48,13 @@
   CURL *curl;
   CURLcode res;
   /* Minimalistic http request */
-  const char *request = "GET / HTTP/1.0\r\nHost: curl.haxx.se\r\n\r\n";
+  const char *request = "GET / HTTP/1.0\r\nHost: example.com\r\n\r\n";
   int sockfd; /* socket */
   size_t iolen;
 
   curl = curl_easy_init();
   if(curl) {
-    curl_easy_setopt(curl, CURLOPT_URL, "curl.haxx.se");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
     /* Do not do the transfer - only connect to host */
     curl_easy_setopt(curl, CURLOPT_CONNECT_ONLY, 1L);
     res = curl_easy_perform(curl);

=== modified file 'docs/examples/sepheaders.c'
--- docs/examples/sepheaders.c	2010-04-28 18:40:27 +0000
+++ docs/examples/sepheaders.c	2010-10-18 11:13:17 +0000
@@ -35,7 +35,7 @@
   curl_handle = curl_easy_init();
 
   /* set URL to get */
-  curl_easy_setopt(curl_handle, CURLOPT_URL, "http://curl.haxx.se");
+  curl_easy_setopt(curl_handle, CURLOPT_URL, "http://example.com");
 
   /* no progress meter please */
   curl_easy_setopt(curl_handle, CURLOPT_NOPROGRESS, 1L);

=== modified file 'docs/examples/simple.c'
--- docs/examples/simple.c	2010-04-28 18:40:27 +0000
+++ docs/examples/simple.c	2010-10-18 11:13:17 +0000
@@ -17,7 +17,7 @@
 
   curl = curl_easy_init();
   if(curl) {
-    curl_easy_setopt(curl, CURLOPT_URL, "curl.haxx.se");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
     res = curl_easy_perform(curl);
 
     /* always cleanup */

=== modified file 'docs/examples/simplepost.c'
--- docs/examples/simplepost.c	2010-04-28 18:40:27 +0000
+++ docs/examples/simplepost.c	2010-10-18 11:13:17 +0000
@@ -20,7 +20,7 @@
 
   curl = curl_easy_init();
   if(curl) {
-    curl_easy_setopt(curl, CURLOPT_URL, "http://posthere.com");
+    curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");
     curl_easy_setopt(curl, CURLOPT_POSTFIELDS, postthis);
 
     /* if we don't provide POSTFIELDSIZE, libcurl will strlen() by

=== modified file 'docs/examples/threaded-ssl.c'
--- docs/examples/threaded-ssl.c	2010-04-28 18:40:27 +0000
+++ docs/examples/threaded-ssl.c	2010-10-18 11:13:17 +0000
@@ -91,10 +91,10 @@
 
 /* List of URLs to fetch.*/
 const char * const urls[]= {
-  "https://www.sf.net/",
-  "https://www.openssl.org/",
-  "https://www.sf.net/",
-  "https://www.openssl.org/",
+  "https://www.example.com/",
+  "https://www2.example.com/",
+  "https://www3.example.com/",
+  "https://www4.example.com/",
 };
 
 static void *pull_one_url(void *url)

=== modified file 'docs/libcurl/Makefile.in'
--- docs/libcurl/Makefile.in	2010-08-12 08:20:48 +0000
+++ docs/libcurl/Makefile.in	2010-10-18 11:13:17 +0000
@@ -92,6 +92,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'docs/libcurl/curl_easy_cleanup.pdf'
--- docs/libcurl/curl_easy_cleanup.pdf	2010-08-12 08:20:48 +0000
+++ docs/libcurl/curl_easy_cleanup.pdf	2010-10-18 11:13:17 +0000
@@ -68,12 +68,12 @@
 <?adobe-xap-filters esc="CRLF"?>
 <x:xmpmeta xmlns:x='adobe:ns:meta/' x:xmptk='XMP toolkit 2.9.1-13, framework 1.6'>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#' xmlns:iX='http://ns.adobe.com/iX/1.0/'>
-<rdf:Description rdf:about='faf6d689-ddac-11ea-0000-9c35251a72c0' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
-<rdf:Description rdf:about='faf6d689-ddac-11ea-0000-9c35251a72c0' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-08-11T23:35:59+02:00</xmp:ModifyDate>
-<xmp:CreateDate>2010-08-11T23:35:59+02:00</xmp:CreateDate>
+<rdf:Description rdf:about='307e475a-0e69-11eb-0000-9c35251a72c0' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
+<rdf:Description rdf:about='307e475a-0e69-11eb-0000-9c35251a72c0' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-10-13T00:04:10+02:00</xmp:ModifyDate>
+<xmp:CreateDate>2010-10-13T00:04:10+02:00</xmp:CreateDate>
 <xmp:CreatorTool>groff version 1.20.1</xmp:CreatorTool></rdf:Description>
-<rdf:Description rdf:about='faf6d689-ddac-11ea-0000-9c35251a72c0' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='faf6d689-ddac-11ea-0000-9c35251a72c0'/>
-<rdf:Description rdf:about='faf6d689-ddac-11ea-0000-9c35251a72c0' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
+<rdf:Description rdf:about='307e475a-0e69-11eb-0000-9c35251a72c0' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='307e475a-0e69-11eb-0000-9c35251a72c0'/>
+<rdf:Description rdf:about='307e475a-0e69-11eb-0000-9c35251a72c0' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
 </rdf:RDF>
 </x:xmpmeta>
                                                                         
@@ -83,8 +83,8 @@
 endobj
 2 0 obj
 <</Producer(GPL Ghostscript 8.71)
-/CreationDate(D:20100811233559+02'00')
-/ModDate(D:20100811233559+02'00')
+/CreationDate(D:20101013000410+02'00')
+/ModDate(D:20101013000410+02'00')
 /Creator(groff version 1.20.1)>>endobj
 xref
 0 15
@@ -105,7 +105,7 @@
 0000001890 00000 n 
 trailer
 << /Size 15 /Root 1 0 R /Info 2 0 R
-/ID [<D286342FAE7CCDB62589F61C33A1D117><D286342FAE7CCDB62589F61C33A1D117>]
+/ID [<E7522C5BE970D796C6D360310C7DBFF5><E7522C5BE970D796C6D360310C7DBFF5>]
 >>
 startxref
 3442

=== modified file 'docs/libcurl/curl_easy_duphandle.pdf'
Binary files docs/libcurl/curl_easy_duphandle.pdf and docs/libcurl/curl_easy_duphandle.pdf differ
=== modified file 'docs/libcurl/curl_easy_escape.pdf'
Binary files docs/libcurl/curl_easy_escape.pdf and docs/libcurl/curl_easy_escape.pdf differ
=== modified file 'docs/libcurl/curl_easy_getinfo.pdf'
Binary files docs/libcurl/curl_easy_getinfo.pdf and docs/libcurl/curl_easy_getinfo.pdf differ
=== modified file 'docs/libcurl/curl_easy_init.pdf'
Binary files docs/libcurl/curl_easy_init.pdf and docs/libcurl/curl_easy_init.pdf differ
=== modified file 'docs/libcurl/curl_easy_pause.pdf'
Binary files docs/libcurl/curl_easy_pause.pdf and docs/libcurl/curl_easy_pause.pdf differ
=== modified file 'docs/libcurl/curl_easy_perform.pdf'
Binary files docs/libcurl/curl_easy_perform.pdf and docs/libcurl/curl_easy_perform.pdf differ
=== modified file 'docs/libcurl/curl_easy_recv.pdf'
Binary files docs/libcurl/curl_easy_recv.pdf and docs/libcurl/curl_easy_recv.pdf differ
=== modified file 'docs/libcurl/curl_easy_reset.pdf'
Binary files docs/libcurl/curl_easy_reset.pdf and docs/libcurl/curl_easy_reset.pdf differ
=== modified file 'docs/libcurl/curl_easy_send.pdf'
Binary files docs/libcurl/curl_easy_send.pdf and docs/libcurl/curl_easy_send.pdf differ
=== modified file 'docs/libcurl/curl_easy_setopt.3'
--- docs/libcurl/curl_easy_setopt.3	2010-08-12 08:20:48 +0000
+++ docs/libcurl/curl_easy_setopt.3	2010-10-18 11:13:17 +0000
@@ -1259,9 +1259,15 @@
 directory, instead of doing a full directory listing that would include file
 sizes, dates etc. This works for FTP and SFTP URLs.
 
-This causes an FTP NLST command to be sent on an FTP server.  Beware
-that some FTP servers list only files in their response to NLST; they
-might not include subdirectories and symbolic links.
+This causes an FTP NLST command to be sent on an FTP server.  Beware that some
+FTP servers list only files in their response to NLST; they might not include
+subdirectories and symbolic links.
+
+Setting this option to 1 also implies a directory listing even if the URL
+doesn't end with a slash, which otherwise is necessary.
+
+Do NOT use this option if you also use \fICURLOPT_WILDCARDMATCH\fP as it will
+effectively break that feature then.
 
 (This option was known as CURLOPT_FTPLISTONLY up to 7.16.4)
 .IP CURLOPT_APPEND
@@ -1539,6 +1545,10 @@
 start from the beginning (effectively disabling resume). For FTP, set this
 option to -1 to make the transfer start from the end of the target file
 (useful to continue an interrupted upload).
+
+When doing uploads with FTP, the resume position is where in the local/source
+file libcurl should try to resume the upload from and it will then append the
+source file to the remote target file.
 .IP CURLOPT_RESUME_FROM_LARGE
 Pass a curl_off_t as parameter. It contains the offset in number of bytes that
 you want the transfer to start from. (Added in 7.11.0)

=== modified file 'docs/libcurl/curl_easy_setopt.html'
--- docs/libcurl/curl_easy_setopt.html	2010-08-12 08:20:48 +0000
+++ docs/libcurl/curl_easy_setopt.html	2010-10-18 11:13:17 +0000
@@ -464,6 +464,8 @@
 <p class="level0"><a name="CURLOPTDIRLISTONLY"></a><span class="nroffip">CURLOPT_DIRLISTONLY</span> 
 <p class="level1">A parameter set to 1 tells the library to just list the names of files in a directory, instead of doing a full directory listing that would include file sizes, dates etc. This works for FTP and SFTP URLs. 
 <p class="level1">This causes an FTP NLST command to be sent on an FTP server.  Beware that some FTP servers list only files in their response to NLST; they might not include subdirectories and symbolic links. 
+<p class="level1">Setting this option to 1 also implies a directory listing even if the URL doesn't end with a slash, which otherwise is necessary. 
+<p class="level1">Do NOT use this option if you also use <a class="emphasis" href="#CURLOPTWILDCARDMATCH">CURLOPT_WILDCARDMATCH</a> as it will effectively break that feature then. 
 <p class="level1">(This option was known as CURLOPT_FTPLISTONLY up to 7.16.4) 
 <p class="level0"><a name="CURLOPTAPPEND"></a><span class="nroffip">CURLOPT_APPEND</span> 
 <p class="level1">A parameter set to 1 tells the library to append to the remote file instead of overwrite it. This is only useful when uploading to an FTP site. 
@@ -586,6 +588,7 @@
 <p class="level1">Ranges work on HTTP, FTP, FILE (since 7.18.0), and RTSP (since 7.20.0) transfers only. 
 <p class="level0"><a name="CURLOPTRESUMEFROM"></a><span class="nroffip">CURLOPT_RESUME_FROM</span> 
 <p class="level1">Pass a long as parameter. It contains the offset in number of bytes that you want the transfer to start from. Set this option to 0 to make the transfer start from the beginning (effectively disabling resume). For FTP, set this option to -1 to make the transfer start from the end of the target file (useful to continue an interrupted upload). 
+<p class="level1">When doing uploads with FTP, the resume position is where in the local/source file libcurl should try to resume the upload from and it will then append the source file to the remote target file. 
 <p class="level0"><a name="CURLOPTRESUMEFROMLARGE"></a><span class="nroffip">CURLOPT_RESUME_FROM_LARGE</span> 
 <p class="level1">Pass a curl_off_t as parameter. It contains the offset in number of bytes that you want the transfer to start from. (Added in 7.11.0) 
 <p class="level0"><a name="CURLOPTCUSTOMREQUEST"></a><span class="nroffip">CURLOPT_CUSTOMREQUEST</span> 

=== modified file 'docs/libcurl/curl_easy_setopt.pdf'
Binary files docs/libcurl/curl_easy_setopt.pdf and docs/libcurl/curl_easy_setopt.pdf differ
=== modified file 'docs/libcurl/curl_easy_strerror.pdf'
--- docs/libcurl/curl_easy_strerror.pdf	2010-08-12 08:20:48 +0000
+++ docs/libcurl/curl_easy_strerror.pdf	2010-10-18 11:13:17 +0000
@@ -65,12 +65,12 @@
 <?adobe-xap-filters esc="CRLF"?>
 <x:xmpmeta xmlns:x='adobe:ns:meta/' x:xmptk='XMP toolkit 2.9.1-13, framework 1.6'>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#' xmlns:iX='http://ns.adobe.com/iX/1.0/'>
-<rdf:Description rdf:about='ffbb8a89-ddac-11ea-0000-1db77fb63b0c' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
-<rdf:Description rdf:about='ffbb8a89-ddac-11ea-0000-1db77fb63b0c' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-08-11T23:36:07+02:00</xmp:ModifyDate>
-<xmp:CreateDate>2010-08-11T23:36:07+02:00</xmp:CreateDate>
+<rdf:Description rdf:about='3542fb5a-0e69-11eb-0000-1db77fb63b0c' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
+<rdf:Description rdf:about='3542fb5a-0e69-11eb-0000-1db77fb63b0c' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-10-13T00:04:18+02:00</xmp:ModifyDate>
+<xmp:CreateDate>2010-10-13T00:04:18+02:00</xmp:CreateDate>
 <xmp:CreatorTool>groff version 1.20.1</xmp:CreatorTool></rdf:Description>
-<rdf:Description rdf:about='ffbb8a89-ddac-11ea-0000-1db77fb63b0c' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='ffbb8a89-ddac-11ea-0000-1db77fb63b0c'/>
-<rdf:Description rdf:about='ffbb8a89-ddac-11ea-0000-1db77fb63b0c' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
+<rdf:Description rdf:about='3542fb5a-0e69-11eb-0000-1db77fb63b0c' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='3542fb5a-0e69-11eb-0000-1db77fb63b0c'/>
+<rdf:Description rdf:about='3542fb5a-0e69-11eb-0000-1db77fb63b0c' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
 </rdf:RDF>
 </x:xmpmeta>
                                                                         
@@ -80,8 +80,8 @@
 endobj
 2 0 obj
 <</Producer(GPL Ghostscript 8.71)
-/CreationDate(D:20100811233607+02'00')
-/ModDate(D:20100811233607+02'00')
+/CreationDate(D:20101013000418+02'00')
+/ModDate(D:20101013000418+02'00')
 /Creator(groff version 1.20.1)>>endobj
 xref
 0 14
@@ -101,7 +101,7 @@
 0000001429 00000 n 
 trailer
 << /Size 14 /Root 1 0 R /Info 2 0 R
-/ID [<D83BD2C18B9C7003311E0FC20D069938><D83BD2C18B9C7003311E0FC20D069938>]
+/ID [<EEB2A5763C0B6FFAD180418B9853F3B5><EEB2A5763C0B6FFAD180418B9853F3B5>]
 >>
 startxref
 2981

=== modified file 'docs/libcurl/curl_easy_unescape.pdf'
Binary files docs/libcurl/curl_easy_unescape.pdf and docs/libcurl/curl_easy_unescape.pdf differ
=== modified file 'docs/libcurl/curl_escape.pdf'
Binary files docs/libcurl/curl_escape.pdf and docs/libcurl/curl_escape.pdf differ
=== modified file 'docs/libcurl/curl_formadd.pdf'
Binary files docs/libcurl/curl_formadd.pdf and docs/libcurl/curl_formadd.pdf differ
=== modified file 'docs/libcurl/curl_formfree.pdf'
Binary files docs/libcurl/curl_formfree.pdf and docs/libcurl/curl_formfree.pdf differ
=== modified file 'docs/libcurl/curl_formget.pdf'
--- docs/libcurl/curl_formget.pdf	2010-08-12 08:20:48 +0000
+++ docs/libcurl/curl_formget.pdf	2010-10-18 11:13:17 +0000
@@ -66,12 +66,12 @@
 <?adobe-xap-filters esc="CRLF"?>
 <x:xmpmeta xmlns:x='adobe:ns:meta/' x:xmptk='XMP toolkit 2.9.1-13, framework 1.6'>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#' xmlns:iX='http://ns.adobe.com/iX/1.0/'>
-<rdf:Description rdf:about='00ecb789-ddad-11ea-0000-deef7655b667' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
-<rdf:Description rdf:about='00ecb789-ddad-11ea-0000-deef7655b667' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-08-11T23:36:09+02:00</xmp:ModifyDate>
-<xmp:CreateDate>2010-08-11T23:36:09+02:00</xmp:CreateDate>
+<rdf:Description rdf:about='370cbeda-0e69-11eb-0000-deef7655b667' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
+<rdf:Description rdf:about='370cbeda-0e69-11eb-0000-deef7655b667' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-10-13T00:04:21+02:00</xmp:ModifyDate>
+<xmp:CreateDate>2010-10-13T00:04:21+02:00</xmp:CreateDate>
 <xmp:CreatorTool>groff version 1.20.1</xmp:CreatorTool></rdf:Description>
-<rdf:Description rdf:about='00ecb789-ddad-11ea-0000-deef7655b667' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='00ecb789-ddad-11ea-0000-deef7655b667'/>
-<rdf:Description rdf:about='00ecb789-ddad-11ea-0000-deef7655b667' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
+<rdf:Description rdf:about='370cbeda-0e69-11eb-0000-deef7655b667' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='370cbeda-0e69-11eb-0000-deef7655b667'/>
+<rdf:Description rdf:about='370cbeda-0e69-11eb-0000-deef7655b667' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
 </rdf:RDF>
 </x:xmpmeta>
                                                                         
@@ -81,8 +81,8 @@
 endobj
 2 0 obj
 <</Producer(GPL Ghostscript 8.71)
-/CreationDate(D:20100811233609+02'00')
-/ModDate(D:20100811233609+02'00')
+/CreationDate(D:20101013000421+02'00')
+/ModDate(D:20101013000421+02'00')
 /Creator(groff version 1.20.1)>>endobj
 xref
 0 14
@@ -102,7 +102,7 @@
 0000002073 00000 n 
 trailer
 << /Size 14 /Root 1 0 R /Info 2 0 R
-/ID [<E711EAEC7715908CBFC99C6AB5538160><E711EAEC7715908CBFC99C6AB5538160>]
+/ID [<0D2AB7CBA64367EEF05A06AE766E6F89><0D2AB7CBA64367EEF05A06AE766E6F89>]
 >>
 startxref
 3625

=== modified file 'docs/libcurl/curl_free.pdf'
Binary files docs/libcurl/curl_free.pdf and docs/libcurl/curl_free.pdf differ
=== modified file 'docs/libcurl/curl_getdate.pdf'
Binary files docs/libcurl/curl_getdate.pdf and docs/libcurl/curl_getdate.pdf differ
=== modified file 'docs/libcurl/curl_getenv.pdf'
Binary files docs/libcurl/curl_getenv.pdf and docs/libcurl/curl_getenv.pdf differ
=== modified file 'docs/libcurl/curl_global_cleanup.pdf'
Binary files docs/libcurl/curl_global_cleanup.pdf and docs/libcurl/curl_global_cleanup.pdf differ
=== modified file 'docs/libcurl/curl_global_init.pdf'
Binary files docs/libcurl/curl_global_init.pdf and docs/libcurl/curl_global_init.pdf differ
=== modified file 'docs/libcurl/curl_global_init_mem.pdf'
Binary files docs/libcurl/curl_global_init_mem.pdf and docs/libcurl/curl_global_init_mem.pdf differ
=== modified file 'docs/libcurl/curl_mprintf.pdf'
Binary files docs/libcurl/curl_mprintf.pdf and docs/libcurl/curl_mprintf.pdf differ
=== modified file 'docs/libcurl/curl_multi_add_handle.pdf'
Binary files docs/libcurl/curl_multi_add_handle.pdf and docs/libcurl/curl_multi_add_handle.pdf differ
=== modified file 'docs/libcurl/curl_multi_assign.pdf'
--- docs/libcurl/curl_multi_assign.pdf	2010-08-12 08:20:48 +0000
+++ docs/libcurl/curl_multi_assign.pdf	2010-10-18 11:13:17 +0000
@@ -73,12 +73,12 @@
 <?adobe-xap-filters esc="CRLF"?>
 <x:xmpmeta xmlns:x='adobe:ns:meta/' x:xmptk='XMP toolkit 2.9.1-13, framework 1.6'>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#' xmlns:iX='http://ns.adobe.com/iX/1.0/'>
-<rdf:Description rdf:about='00ecb789-ddad-11ea-0000-cb573b64c622' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
-<rdf:Description rdf:about='00ecb789-ddad-11ea-0000-cb573b64c622' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-08-11T23:36:09+02:00</xmp:ModifyDate>
-<xmp:CreateDate>2010-08-11T23:36:09+02:00</xmp:CreateDate>
+<rdf:Description rdf:about='370cbeda-0e69-11eb-0000-cb573b64c622' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
+<rdf:Description rdf:about='370cbeda-0e69-11eb-0000-cb573b64c622' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-10-13T00:04:21+02:00</xmp:ModifyDate>
+<xmp:CreateDate>2010-10-13T00:04:21+02:00</xmp:CreateDate>
 <xmp:CreatorTool>groff version 1.20.1</xmp:CreatorTool></rdf:Description>
-<rdf:Description rdf:about='00ecb789-ddad-11ea-0000-cb573b64c622' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='00ecb789-ddad-11ea-0000-cb573b64c622'/>
-<rdf:Description rdf:about='00ecb789-ddad-11ea-0000-cb573b64c622' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
+<rdf:Description rdf:about='370cbeda-0e69-11eb-0000-cb573b64c622' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='370cbeda-0e69-11eb-0000-cb573b64c622'/>
+<rdf:Description rdf:about='370cbeda-0e69-11eb-0000-cb573b64c622' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
 </rdf:RDF>
 </x:xmpmeta>
                                                                         
@@ -88,8 +88,8 @@
 endobj
 2 0 obj
 <</Producer(GPL Ghostscript 8.71)
-/CreationDate(D:20100811233609+02'00')
-/ModDate(D:20100811233609+02'00')
+/CreationDate(D:20101013000421+02'00')
+/ModDate(D:20101013000421+02'00')
 /Creator(groff version 1.20.1)>>endobj
 xref
 0 15
@@ -110,7 +110,7 @@
 0000002565 00000 n 
 trailer
 << /Size 15 /Root 1 0 R /Info 2 0 R
-/ID [<EF44F6937CDF3E126BD8DF1FF7B94884><EF44F6937CDF3E126BD8DF1FF7B94884>]
+/ID [<EC7A968ED9EE001D56172FED80DF0731><EC7A968ED9EE001D56172FED80DF0731>]
 >>
 startxref
 4117

=== modified file 'docs/libcurl/curl_multi_cleanup.pdf'
Binary files docs/libcurl/curl_multi_cleanup.pdf and docs/libcurl/curl_multi_cleanup.pdf differ
=== modified file 'docs/libcurl/curl_multi_fdset.pdf'
Binary files docs/libcurl/curl_multi_fdset.pdf and docs/libcurl/curl_multi_fdset.pdf differ
=== modified file 'docs/libcurl/curl_multi_info_read.pdf'
Binary files docs/libcurl/curl_multi_info_read.pdf and docs/libcurl/curl_multi_info_read.pdf differ
=== modified file 'docs/libcurl/curl_multi_init.pdf'
Binary files docs/libcurl/curl_multi_init.pdf and docs/libcurl/curl_multi_init.pdf differ
=== modified file 'docs/libcurl/curl_multi_perform.pdf'
Binary files docs/libcurl/curl_multi_perform.pdf and docs/libcurl/curl_multi_perform.pdf differ
=== modified file 'docs/libcurl/curl_multi_remove_handle.pdf'
Binary files docs/libcurl/curl_multi_remove_handle.pdf and docs/libcurl/curl_multi_remove_handle.pdf differ
=== modified file 'docs/libcurl/curl_multi_setopt.pdf'
Binary files docs/libcurl/curl_multi_setopt.pdf and docs/libcurl/curl_multi_setopt.pdf differ
=== modified file 'docs/libcurl/curl_multi_socket.pdf'
Binary files docs/libcurl/curl_multi_socket.pdf and docs/libcurl/curl_multi_socket.pdf differ
=== modified file 'docs/libcurl/curl_multi_socket_action.pdf'
Binary files docs/libcurl/curl_multi_socket_action.pdf and docs/libcurl/curl_multi_socket_action.pdf differ
=== modified file 'docs/libcurl/curl_multi_strerror.pdf'
Binary files docs/libcurl/curl_multi_strerror.pdf and docs/libcurl/curl_multi_strerror.pdf differ
=== modified file 'docs/libcurl/curl_multi_timeout.pdf'
Binary files docs/libcurl/curl_multi_timeout.pdf and docs/libcurl/curl_multi_timeout.pdf differ
=== modified file 'docs/libcurl/curl_share_cleanup.pdf'
Binary files docs/libcurl/curl_share_cleanup.pdf and docs/libcurl/curl_share_cleanup.pdf differ
=== modified file 'docs/libcurl/curl_share_init.pdf'
Binary files docs/libcurl/curl_share_init.pdf and docs/libcurl/curl_share_init.pdf differ
=== modified file 'docs/libcurl/curl_share_setopt.pdf'
Binary files docs/libcurl/curl_share_setopt.pdf and docs/libcurl/curl_share_setopt.pdf differ
=== modified file 'docs/libcurl/curl_share_strerror.pdf'
Binary files docs/libcurl/curl_share_strerror.pdf and docs/libcurl/curl_share_strerror.pdf differ
=== modified file 'docs/libcurl/curl_slist_append.pdf'
Binary files docs/libcurl/curl_slist_append.pdf and docs/libcurl/curl_slist_append.pdf differ
=== modified file 'docs/libcurl/curl_slist_free_all.pdf'
--- docs/libcurl/curl_slist_free_all.pdf	2010-08-12 08:20:48 +0000
+++ docs/libcurl/curl_slist_free_all.pdf	2010-10-18 11:13:17 +0000
@@ -64,12 +64,12 @@
 <?adobe-xap-filters esc="CRLF"?>
 <x:xmpmeta xmlns:x='adobe:ns:meta/' x:xmptk='XMP toolkit 2.9.1-13, framework 1.6'>
 <rdf:RDF xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#' xmlns:iX='http://ns.adobe.com/iX/1.0/'>
-<rdf:Description rdf:about='fcc09a09-ddac-11ea-0000-0d90648fa894' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
-<rdf:Description rdf:about='fcc09a09-ddac-11ea-0000-0d90648fa894' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-08-11T23:36:02+02:00</xmp:ModifyDate>
-<xmp:CreateDate>2010-08-11T23:36:02+02:00</xmp:CreateDate>
+<rdf:Description rdf:about='32480ada-0e69-11eb-0000-0d90648fa894' xmlns:pdf='http://ns.adobe.com/pdf/1.3/' pdf:Producer='GPL Ghostscript 8.71'/>
+<rdf:Description rdf:about='32480ada-0e69-11eb-0000-0d90648fa894' xmlns:xmp='http://ns.adobe.com/xap/1.0/'><xmp:ModifyDate>2010-10-13T00:04:13+02:00</xmp:ModifyDate>
+<xmp:CreateDate>2010-10-13T00:04:13+02:00</xmp:CreateDate>
 <xmp:CreatorTool>groff version 1.20.1</xmp:CreatorTool></rdf:Description>
-<rdf:Description rdf:about='fcc09a09-ddac-11ea-0000-0d90648fa894' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='fcc09a09-ddac-11ea-0000-0d90648fa894'/>
-<rdf:Description rdf:about='fcc09a09-ddac-11ea-0000-0d90648fa894' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
+<rdf:Description rdf:about='32480ada-0e69-11eb-0000-0d90648fa894' xmlns:xapMM='http://ns.adobe.com/xap/1.0/mm/' xapMM:DocumentID='32480ada-0e69-11eb-0000-0d90648fa894'/>
+<rdf:Description rdf:about='32480ada-0e69-11eb-0000-0d90648fa894' xmlns:dc='http://purl.org/dc/elements/1.1/' dc:format='application/pdf'><dc:title><rdf:Alt><rdf:li xml:lang='x-default'>Untitled</rdf:li></rdf:Alt></dc:title></rdf:Description>
 </rdf:RDF>
 </x:xmpmeta>
                                                                         
@@ -79,8 +79,8 @@
 endobj
 2 0 obj
 <</Producer(GPL Ghostscript 8.71)
-/CreationDate(D:20100811233602+02'00')
-/ModDate(D:20100811233602+02'00')
+/CreationDate(D:20101013000413+02'00')
+/ModDate(D:20101013000413+02'00')
 /Creator(groff version 1.20.1)>>endobj
 xref
 0 14
@@ -100,7 +100,7 @@
 0000001255 00000 n 
 trailer
 << /Size 14 /Root 1 0 R /Info 2 0 R
-/ID [<2F7F869DBBB754B862CBE1B52BF755C3><2F7F869DBBB754B862CBE1B52BF755C3>]
+/ID [<A9D90A968C5A2CABC7D7A610A03C900F><A9D90A968C5A2CABC7D7A610A03C900F>]
 >>
 startxref
 2807

=== modified file 'docs/libcurl/curl_strequal.pdf'
Binary files docs/libcurl/curl_strequal.pdf and docs/libcurl/curl_strequal.pdf differ
=== modified file 'docs/libcurl/curl_unescape.pdf'
Binary files docs/libcurl/curl_unescape.pdf and docs/libcurl/curl_unescape.pdf differ
=== modified file 'docs/libcurl/curl_version.pdf'
Binary files docs/libcurl/curl_version.pdf and docs/libcurl/curl_version.pdf differ
=== modified file 'docs/libcurl/curl_version_info.pdf'
Binary files docs/libcurl/curl_version_info.pdf and docs/libcurl/curl_version_info.pdf differ
=== modified file 'docs/libcurl/libcurl-easy.pdf'
Binary files docs/libcurl/libcurl-easy.pdf and docs/libcurl/libcurl-easy.pdf differ
=== modified file 'docs/libcurl/libcurl-errors.pdf'
Binary files docs/libcurl/libcurl-errors.pdf and docs/libcurl/libcurl-errors.pdf differ
=== modified file 'docs/libcurl/libcurl-multi.pdf'
Binary files docs/libcurl/libcurl-multi.pdf and docs/libcurl/libcurl-multi.pdf differ
=== modified file 'docs/libcurl/libcurl-share.pdf'
Binary files docs/libcurl/libcurl-share.pdf and docs/libcurl/libcurl-share.pdf differ
=== modified file 'docs/libcurl/libcurl-tutorial.3'
--- docs/libcurl/libcurl-tutorial.3	2010-04-28 18:40:27 +0000
+++ docs/libcurl/libcurl-tutorial.3	2010-10-18 11:13:17 +0000
@@ -275,6 +275,10 @@
 
  is claimed to be thread-safe already without anything required.
 
+PolarSSL
+
+ Required actions unknown.
+
 yassl
 
  Required actions unknown.
@@ -1233,6 +1237,15 @@
 returns or ampersands could allow the user to create additional headers or
 fields that could cause malicious transactions.
 
+.IP "Server-supplied Names"
+A server can supply data which the application may, in some cases, use as
+a file name. The curl command-line tool does this with --remote-header-name,
+using the Content-disposition: header to generate a file name.  An application
+could also use CURLINFO_EFFECTIVE_URL to generate a file name from a
+server-supplied redirect URL. Special care must be taken to sanitize such
+names to avoid the possibility of a malicious server supplying one like
+"/etc/passwd", "\autoexec.bat" or even ".bashrc".
+
 .IP "Server Certificates"
 A secure application should never use the CURLOPT_SSL_VERIFYPEER option to
 disable certificate validation. There are numerous attacks that are enabled

=== modified file 'docs/libcurl/libcurl-tutorial.html'
--- docs/libcurl/libcurl-tutorial.html	2010-04-28 18:40:27 +0000
+++ docs/libcurl/libcurl-tutorial.html	2010-10-18 11:13:17 +0000
@@ -125,6 +125,8 @@
 <p class="level0">&nbsp;<a href="http://www.gnu.org/software/gnutls/manual/html_node/">http://www.gnu.org/software/gnutls/manual/html_node/</a>Multi_002dthreaded-applications.html 
 <p class="level0">NSS 
 <p class="level0">&nbsp;is claimed to be thread-safe already without anything required. 
+<p class="level0">PolarSSL 
+<p class="level0">&nbsp;Required actions unknown. 
 <p class="level0">yassl 
 <p class="level0">&nbsp;Required actions unknown. 
 <p class="level0">When using multiple threads you should set the CURLOPT_NOSIGNAL option to 1 for all handles. Everything will or might work fine except that timeouts are not honored during the DNS lookup - which you can work around by building libcurl with c-ares support. c-ares is a library that provides asynchronous name resolves. On some platforms, libcurl simply will not function properly multi-threaded unless this option is set. 
@@ -502,6 +504,9 @@
 <p class="level0"><a name="Arbitrary"></a><span class="nroffip">Arbitrary Headers</span> 
 <p class="level1">User-supplied data must be sanitized when used in options like CURLOPT_USERAGENT, CURLOPT_HTTPHEADER, CURLOPT_POSTFIELDS and others that are used to generate structured data. Characters like embedded carriage returns or ampersands could allow the user to create additional headers or fields that could cause malicious transactions. 
 <p class="level1">
+<p class="level0"><a name="Server-supplied"></a><span class="nroffip">Server-supplied Names</span> 
+<p class="level1">A server can supply data which the application may, in some cases, use as a file name. The curl command-line tool does this with --remote-header-name, using the Content-disposition: header to generate a file name.  An application could also use CURLINFO_EFFECTIVE_URL to generate a file name from a server-supplied redirect URL. Special care must be taken to sanitize such names to avoid the possibility of a malicious server supplying one like "/etc/passwd", "autoexec.bat" or even ".bashrc". 
+<p class="level1">
 <p class="level0"><a name="Server"></a><span class="nroffip">Server Certificates</span> 
 <p class="level1">A secure application should never use the CURLOPT_SSL_VERIFYPEER option to disable certificate validation. There are numerous attacks that are enabled by apps that fail to properly validate server TLS/SSL certificates, thus enabling a malicious server to spoof a legitimate one. HTTPS without validated certificates is potentially as insecure as a plain HTTP connection. 
 <p class="level1">

=== modified file 'docs/libcurl/libcurl-tutorial.pdf'
Binary files docs/libcurl/libcurl-tutorial.pdf and docs/libcurl/libcurl-tutorial.pdf differ
=== modified file 'docs/libcurl/libcurl.m4'
--- docs/libcurl/libcurl.m4	2010-04-28 18:40:27 +0000
+++ docs/libcurl/libcurl.m4	2010-10-18 11:13:17 +0000
@@ -61,7 +61,7 @@
   AH_TEMPLATE([LIBCURL_PROTOCOL_SMTP],[Defined if libcurl supports SMTP])
 
   AC_ARG_WITH(libcurl,
-     AC_HELP_STRING([--with-libcurl=DIR],[look for the curl library in DIR]),
+     AC_HELP_STRING([--with-libcurl=PREFIX],[look for the curl library in PREFIX/lib and headers in PREFIX/include]),
      [_libcurl_with=$withval],[_libcurl_with=ifelse([$1],,[yes],[$1])])
 
   if test "$_libcurl_with" != "no" ; then
@@ -75,10 +75,10 @@
      if test -d "$_libcurl_with" ; then
         LIBCURL_CPPFLAGS="-I$withval/include"
         _libcurl_ldflags="-L$withval/lib"
-        AC_PATH_PROG([_libcurl_config],[curl-config],["$withval/bin"],
+        AC_PATH_PROG([_libcurl_config],[curl-config],[],
                      ["$withval/bin"])
      else
-        AC_PATH_PROG([_libcurl_config],[curl-config])
+        AC_PATH_PROG([_libcurl_config],[curl-config],[],[$PATH])
      fi
 
      if test x$_libcurl_config != "x" ; then

=== modified file 'docs/libcurl/libcurl.pdf'
Binary files docs/libcurl/libcurl.pdf and docs/libcurl/libcurl.pdf differ
=== modified file 'include/Makefile.in'
--- include/Makefile.in	2010-08-12 08:20:48 +0000
+++ include/Makefile.in	2010-10-18 11:13:17 +0000
@@ -95,6 +95,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'include/curl/Makefile.in'
--- include/curl/Makefile.in	2010-08-12 08:20:48 +0000
+++ include/curl/Makefile.in	2010-10-18 11:13:17 +0000
@@ -96,6 +96,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'include/curl/curl.h'
--- include/curl/curl.h	2010-06-16 19:25:37 +0000
+++ include/curl/curl.h	2010-10-18 11:13:17 +0000
@@ -722,6 +722,7 @@
 #define CURLPROTO_RTMPTE (1<<22)
 #define CURLPROTO_RTMPS  (1<<23)
 #define CURLPROTO_RTMPTS (1<<24)
+#define CURLPROTO_GOPHER (1<<25)
 #define CURLPROTO_ALL    (~0) /* enable everything */
 
 /* long may be 32 or 64 bits, but we should never depend on anything else

=== modified file 'include/curl/curlver.h'
--- include/curl/curlver.h	2010-08-12 08:20:48 +0000
+++ include/curl/curlver.h	2010-10-18 11:13:17 +0000
@@ -30,13 +30,13 @@
 
 /* This is the version number of the libcurl package from which this header
    file origins: */
-#define LIBCURL_VERSION "7.21.1"
+#define LIBCURL_VERSION "7.21.2"
 
 /* The numeric version number is also available "in parts" by using these
    defines: */
 #define LIBCURL_VERSION_MAJOR 7
 #define LIBCURL_VERSION_MINOR 21
-#define LIBCURL_VERSION_PATCH 1
+#define LIBCURL_VERSION_PATCH 2
 
 /* This is the numeric version of the libcurl version number, meant for easier
    parsing and comparions by programs. The LIBCURL_VERSION_NUM define will
@@ -53,7 +53,7 @@
    and it is always a greater number in a more recent release. It makes
    comparisons with greater than and less than work.
 */
-#define LIBCURL_VERSION_NUM 0x071501
+#define LIBCURL_VERSION_NUM 0x071502
 
 /*
  * This is the date and time when the full source package was created. The
@@ -64,6 +64,6 @@
  *
  * "Mon Feb 12 11:35:33 UTC 2007"
  */
-#define LIBCURL_TIMESTAMP "Wed Aug 11 21:35:21 UTC 2010"
+#define LIBCURL_TIMESTAMP "Tue Oct 12 22:03:31 UTC 2010"
 
 #endif /* __CURL_CURLVER_H */

=== modified file 'include/curl/typecheck-gcc.h'
--- include/curl/typecheck-gcc.h	2010-08-12 08:20:48 +0000
+++ include/curl/typecheck-gcc.h	2010-10-18 11:13:17 +0000
@@ -25,11 +25,16 @@
 /* wraps curl_easy_setopt() with typechecking */
 
 /* To add a new kind of warning, add an
- *   if(_curl_is_sometype_option(_curl_opt) && ! _curl_is_sometype(value))
- *     _curl_easy_setopt_err_sometype();
+ *   if(_curl_is_sometype_option(_curl_opt))
+ *     if(!_curl_is_sometype(value))
+ *       _curl_easy_setopt_err_sometype();
  * block and define _curl_is_sometype_option, _curl_is_sometype and
  * _curl_easy_setopt_err_sometype below
  *
+ * NOTE: We use two nested 'if' statements here instead of the && operator, in
+ *       order to work around gcc bug #32061.  It affects only gcc 4.3.x/4.4.x
+ *       when compiling with -Wlogical-op.
+ *
  * To add an option that uses the same type as an existing option, you'll just
  * need to extend the appropriate _curl_*_option macro
  */
@@ -37,51 +42,66 @@
 __extension__ ({                                                              \
   __typeof__ (option) _curl_opt = option;                                     \
   if (__builtin_constant_p(_curl_opt)) {                                      \
-    if (_curl_is_long_option(_curl_opt) && !_curl_is_long(value))             \
-      _curl_easy_setopt_err_long();                                           \
-    if (_curl_is_off_t_option(_curl_opt) && !_curl_is_off_t(value))           \
-      _curl_easy_setopt_err_curl_off_t();                                     \
-    if (_curl_is_string_option(_curl_opt) && !_curl_is_string(value))         \
-      _curl_easy_setopt_err_string();                                         \
-    if (_curl_is_write_cb_option(_curl_opt) && !_curl_is_write_cb(value))     \
-      _curl_easy_setopt_err_write_callback();                                 \
-    if ((_curl_opt) == CURLOPT_READFUNCTION && !_curl_is_read_cb(value))      \
-      _curl_easy_setopt_err_read_cb();                                        \
-    if ((_curl_opt) == CURLOPT_IOCTLFUNCTION && !_curl_is_ioctl_cb(value))    \
-      _curl_easy_setopt_err_ioctl_cb();                                       \
-    if ((_curl_opt) == CURLOPT_SOCKOPTFUNCTION && !_curl_is_sockopt_cb(value))\
-      _curl_easy_setopt_err_sockopt_cb();                                     \
-    if ((_curl_opt) == CURLOPT_OPENSOCKETFUNCTION &&                          \
-            !_curl_is_opensocket_cb(value))                                   \
-      _curl_easy_setopt_err_opensocket_cb();                                  \
-    if ((_curl_opt) == CURLOPT_PROGRESSFUNCTION &&                            \
-            !_curl_is_progress_cb(value))                                     \
-      _curl_easy_setopt_err_progress_cb();                                    \
-    if ((_curl_opt) == CURLOPT_DEBUGFUNCTION && !_curl_is_debug_cb(value))    \
-      _curl_easy_setopt_err_debug_cb();                                       \
-    if ((_curl_opt) == CURLOPT_SSL_CTX_FUNCTION &&                            \
-            !_curl_is_ssl_ctx_cb(value))                                      \
-      _curl_easy_setopt_err_ssl_ctx_cb();                                     \
-    if (_curl_is_conv_cb_option(_curl_opt) && !_curl_is_conv_cb(value))       \
-      _curl_easy_setopt_err_conv_cb();                                        \
-    if ((_curl_opt) == CURLOPT_SEEKFUNCTION && !_curl_is_seek_cb(value))      \
-      _curl_easy_setopt_err_seek_cb();                                        \
-    if (_curl_is_cb_data_option(_curl_opt) && !_curl_is_cb_data(value))       \
-      _curl_easy_setopt_err_cb_data();                                        \
-    if ((_curl_opt) == CURLOPT_ERRORBUFFER && !_curl_is_error_buffer(value))  \
-      _curl_easy_setopt_err_error_buffer();                                   \
-    if ((_curl_opt) == CURLOPT_STDERR && !_curl_is_FILE(value))               \
-      _curl_easy_setopt_err_FILE();                                           \
-    if (_curl_is_postfields_option(_curl_opt) && !_curl_is_postfields(value)) \
-      _curl_easy_setopt_err_postfields();                                     \
-    if ((_curl_opt) == CURLOPT_HTTPPOST &&                                    \
-            !_curl_is_arr((value), struct curl_httppost))                     \
-      _curl_easy_setopt_err_curl_httpost();                                   \
-    if (_curl_is_slist_option(_curl_opt) &&                                   \
-            !_curl_is_arr((value), struct curl_slist))                        \
-      _curl_easy_setopt_err_curl_slist();                                     \
-    if ((_curl_opt) == CURLOPT_SHARE && !_curl_is_ptr((value), CURLSH))       \
-      _curl_easy_setopt_err_CURLSH();                                         \
+    if (_curl_is_long_option(_curl_opt))                                      \
+      if (!_curl_is_long(value))                                              \
+        _curl_easy_setopt_err_long();                                         \
+    if (_curl_is_off_t_option(_curl_opt))                                     \
+      if (!_curl_is_off_t(value))                                             \
+        _curl_easy_setopt_err_curl_off_t();                                   \
+    if (_curl_is_string_option(_curl_opt))                                    \
+      if (!_curl_is_string(value))                                            \
+        _curl_easy_setopt_err_string();                                       \
+    if (_curl_is_write_cb_option(_curl_opt))                                  \
+      if (!_curl_is_write_cb(value))                                          \
+        _curl_easy_setopt_err_write_callback();                               \
+    if ((_curl_opt) == CURLOPT_READFUNCTION)                                  \
+      if (!_curl_is_read_cb(value))                                           \
+        _curl_easy_setopt_err_read_cb();                                      \
+    if ((_curl_opt) == CURLOPT_IOCTLFUNCTION)                                 \
+      if (!_curl_is_ioctl_cb(value))                                          \
+        _curl_easy_setopt_err_ioctl_cb();                                     \
+    if ((_curl_opt) == CURLOPT_SOCKOPTFUNCTION)                               \
+      if (!_curl_is_sockopt_cb(value))                                        \
+        _curl_easy_setopt_err_sockopt_cb();                                   \
+    if ((_curl_opt) == CURLOPT_OPENSOCKETFUNCTION)                            \
+      if (!_curl_is_opensocket_cb(value))                                     \
+        _curl_easy_setopt_err_opensocket_cb();                                \
+    if ((_curl_opt) == CURLOPT_PROGRESSFUNCTION)                              \
+      if (!_curl_is_progress_cb(value))                                       \
+        _curl_easy_setopt_err_progress_cb();                                  \
+    if ((_curl_opt) == CURLOPT_DEBUGFUNCTION)                                 \
+      if (!_curl_is_debug_cb(value))                                          \
+        _curl_easy_setopt_err_debug_cb();                                     \
+    if ((_curl_opt) == CURLOPT_SSL_CTX_FUNCTION)                              \
+      if (!_curl_is_ssl_ctx_cb(value))                                        \
+        _curl_easy_setopt_err_ssl_ctx_cb();                                   \
+    if (_curl_is_conv_cb_option(_curl_opt))                                   \
+      if (!_curl_is_conv_cb(value))                                           \
+        _curl_easy_setopt_err_conv_cb();                                      \
+    if ((_curl_opt) == CURLOPT_SEEKFUNCTION)                                  \
+      if (!_curl_is_seek_cb(value))                                           \
+        _curl_easy_setopt_err_seek_cb();                                      \
+    if (_curl_is_cb_data_option(_curl_opt))                                   \
+      if (!_curl_is_cb_data(value))                                           \
+        _curl_easy_setopt_err_cb_data();                                      \
+    if ((_curl_opt) == CURLOPT_ERRORBUFFER)                                   \
+      if (!_curl_is_error_buffer(value))                                      \
+        _curl_easy_setopt_err_error_buffer();                                 \
+    if ((_curl_opt) == CURLOPT_STDERR)                                        \
+      if (!_curl_is_FILE(value))                                              \
+        _curl_easy_setopt_err_FILE();                                         \
+    if (_curl_is_postfields_option(_curl_opt))                                \
+      if (!_curl_is_postfields(value))                                        \
+        _curl_easy_setopt_err_postfields();                                   \
+    if ((_curl_opt) == CURLOPT_HTTPPOST)                                      \
+      if (!_curl_is_arr((value), struct curl_httppost))                       \
+        _curl_easy_setopt_err_curl_httpost();                                 \
+    if (_curl_is_slist_option(_curl_opt))                                     \
+      if (!_curl_is_arr((value), struct curl_slist))                          \
+        _curl_easy_setopt_err_curl_slist();                                   \
+    if ((_curl_opt) == CURLOPT_SHARE)                                         \
+      if (!_curl_is_ptr((value), CURLSH))                                     \
+        _curl_easy_setopt_err_CURLSH();                                       \
   }                                                                           \
   curl_easy_setopt(handle, _curl_opt, value);                                 \
 })
@@ -92,15 +112,18 @@
 __extension__ ({                                                              \
   __typeof__ (info) _curl_info = info;                                        \
   if (__builtin_constant_p(_curl_info)) {                                     \
-    if (_curl_is_string_info(_curl_info) && !_curl_is_arr((arg), char *))     \
-      _curl_easy_getinfo_err_string();                                        \
-    if (_curl_is_long_info(_curl_info) && !_curl_is_arr((arg), long))         \
-      _curl_easy_getinfo_err_long();                                          \
-    if (_curl_is_double_info(_curl_info) && !_curl_is_arr((arg), double))     \
-      _curl_easy_getinfo_err_double();                                        \
-    if (_curl_is_slist_info(_curl_info) &&                                    \
-           !_curl_is_arr((arg), struct curl_slist *))                         \
-      _curl_easy_getinfo_err_curl_slist();                                    \
+    if (_curl_is_string_info(_curl_info))                                     \
+      if (!_curl_is_arr((arg), char *))                                       \
+        _curl_easy_getinfo_err_string();                                      \
+    if (_curl_is_long_info(_curl_info))                                       \
+      if (!_curl_is_arr((arg), long))                                         \
+        _curl_easy_getinfo_err_long();                                        \
+    if (_curl_is_double_info(_curl_info))                                     \
+      if (!_curl_is_arr((arg), double))                                       \
+        _curl_easy_getinfo_err_double();                                      \
+    if (_curl_is_slist_info(_curl_info))                                      \
+      if (!_curl_is_arr((arg), struct curl_slist *))                          \
+        _curl_easy_getinfo_err_curl_slist();                                  \
   }                                                                           \
   curl_easy_getinfo(handle, _curl_info, arg);                                 \
 })

=== modified file 'lib/Makefile.Watcom'
--- lib/Makefile.Watcom	2010-08-12 08:20:48 +0000
+++ lib/Makefile.Watcom	2010-10-18 11:13:17 +0000
@@ -34,12 +34,12 @@
 !endif
 
 !if $(__VERSION__) < 1250                                                                                                           
-RM = del /q /f >NUL 2>&1
+RM = del /q /f 2>NUL
 !else                                                                                                                               
 RM = rm -f                                                                                                                          
 !endif
 MD = mkdir
-RD = rmdir /q /s >NUL 2>&1
+RD = rmdir /q /s 2>NUL
 CP = copy
 
 CFLAGS = -3r -mf -hc -zff -zgf -zq -zm -zc -s -fr=con -w2 -fpi -oilrtfm &
@@ -57,6 +57,10 @@
 CFLAGS += -d_WIN32_WINNT=0x0501 -dENABLE_IPV6
 !endif
 
+!ifdef %use_sspi
+CFLAGS += -dUSE_WINDOWS_SSPI
+!endif
+
 #
 # Change to suite.
 #
@@ -66,6 +70,18 @@
 ZLIB_ROOT = ..\..\zlib-1.2.5
 !endif
 
+!ifdef %libssh2_root
+LIBSSH2_ROOT = $(%libssh2_root)
+!else
+LIBSSH2_ROOT = ..\..\libssh2-1.2.7
+!endif
+
+!ifdef %librtmp_root
+LIBRTMP_ROOT = $(%librtmp_root)
+!else
+LIBRTMP_ROOT = ..\..\librtmp-2.3
+!endif
+
 !ifdef %openssl_root
 OPENSSL_ROOT = $(%openssl_root)
 !else
@@ -82,6 +98,14 @@
 CFLAGS += -dHAVE_ZLIB_H -dHAVE_LIBZ -I$(ZLIB_ROOT)
 !endif
 
+!ifdef %use_rtmp
+CFLAGS += -dUSE_LIBRTMP -I$(LIBRTMP_ROOT)
+!endif
+
+!ifdef %use_ssh2
+CFLAGS += -DUSE_LIBSSH2 -DHAVE_LIBSSH2_H -I$(LIBSSH2_ROOT)\include -I$(LIBSSH2_ROOT)\win32
+!endif
+
 !ifdef %use_ssl
 CFLAGS += -wcd=138 -dUSE_OPENSSL -dUSE_SSLEAY -I$(OPENSSL_ROOT)\inc32
 !endif
@@ -128,7 +152,7 @@
 	-$(RM) $(OBJS_DYN)
 	-$(RM) $(RESOURCE) $(LINK_ARG) $(LIB_ARG)
 
-vclean realclean: clean .SYMBOLIC
+vclean distclean: clean .SYMBOLIC
 	-$(RM) $(TARGETS) $(LIBNAME).map $(LIBNAME).sym
 	-$(RD) $(OBJ_BASE)\stat
 	-$(RD) $(OBJ_BASE)\dyn
@@ -179,6 +203,12 @@
 !ifdef %use_zlib
 	@%append $^@ library $(ZLIB_ROOT)\zlib.lib
 !endif
+!ifdef %use_rtmp
+	@%append $^@ library $(LIBRTMP_ROOT)\librtmp\librtmp.lib
+!endif
+!ifdef %use_ssh2
+	@%append $^@ library $(LIBSSH2_ROOT)\win32\libssh2.lib
+!endif
 !ifdef %use_ssl
 	@%append $^@ library $(OPENSSL_ROOT)\out32\libeay32.lib, $(OPENSSL_ROOT)\out32\ssleay32.lib
 !endif

=== modified file 'lib/Makefile.am'
--- lib/Makefile.am	2010-08-12 08:20:48 +0000
+++ lib/Makefile.am	2010-10-18 11:13:17 +0000
@@ -37,7 +37,8 @@
  Makefile.netware nwlib.c nwos.c libcurl.imp msvcproj.head msvcproj.foot   \
  config-win32ce.h config-os400.h setup-os400.h config-symbian.h		   \
  Makefile.Watcom config-tpf.h $(DOCS) $(VCPROJ) mk-ca-bundle.pl		   \
- firefox-db2pem.sh $(CMAKE_DIST) config-vxworks.h Makefile.vxworks
+ mk-ca-bundle.vbs firefox-db2pem.sh $(CMAKE_DIST) config-vxworks.h	   \
+ Makefile.vxworks
 
 CLEANFILES = $(DSP) $(VCPROJ)
 

=== modified file 'lib/Makefile.in'
--- lib/Makefile.in	2010-08-12 08:20:48 +0000
+++ lib/Makefile.in	2010-10-18 11:13:17 +0000
@@ -90,7 +90,8 @@
 	socks_gssapi.lo socks_sspi.lo curl_sspi.lo slist.lo \
 	nonblock.lo curl_memrchr.lo imap.lo pop3.lo smtp.lo \
 	pingpong.lo rtsp.lo curl_threads.lo warnless.lo hmac.lo \
-	polarssl.lo curl_rtmp.lo openldap.lo curl_gethostname.lo
+	polarssl.lo curl_rtmp.lo openldap.lo curl_gethostname.lo \
+	gopher.lo
 am__objects_2 =
 am_libcurl_la_OBJECTS = $(am__objects_1) $(am__objects_2)
 libcurl_la_OBJECTS = $(am_libcurl_la_OBJECTS)
@@ -139,6 +140,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
@@ -330,7 +332,8 @@
  Makefile.netware nwlib.c nwos.c libcurl.imp msvcproj.head msvcproj.foot   \
  config-win32ce.h config-os400.h setup-os400.h config-symbian.h		   \
  Makefile.Watcom config-tpf.h $(DOCS) $(VCPROJ) mk-ca-bundle.pl		   \
- firefox-db2pem.sh $(CMAKE_DIST) config-vxworks.h Makefile.vxworks
+ mk-ca-bundle.vbs firefox-db2pem.sh $(CMAKE_DIST) config-vxworks.h	   \
+ Makefile.vxworks
 
 CLEANFILES = $(DSP) $(VCPROJ)
 lib_LTLIBRARIES = libcurl.la
@@ -407,7 +410,8 @@
   strdup.c socks.c ssh.c nss.c qssl.c rawstr.c curl_addrinfo.c		\
   socks_gssapi.c socks_sspi.c curl_sspi.c slist.c nonblock.c		\
   curl_memrchr.c imap.c pop3.c smtp.c pingpong.c rtsp.c curl_threads.c	\
-  warnless.c hmac.c polarssl.c curl_rtmp.c openldap.c curl_gethostname.c
+  warnless.c hmac.c polarssl.c curl_rtmp.c openldap.c curl_gethostname.c\
+  gopher.c
 
 HHEADERS = arpa_telnet.h netrc.h file.h timeval.h qssl.h hostip.h	\
   progress.h formdata.h cookie.h http.h sendf.h ftp.h url.h dict.h	\
@@ -421,7 +425,8 @@
   tftp.h sockaddr.h splay.h strdup.h setup_once.h socks.h ssh.h nssg.h	\
   curl_base64.h rawstr.h curl_addrinfo.h curl_sspi.h slist.h nonblock.h	\
   curl_memrchr.h imap.h pop3.h smtp.h pingpong.h rtsp.h curl_threads.h	\
-  warnless.h curl_hmac.h polarssl.h curl_rtmp.h curl_gethostname.h
+  warnless.h curl_hmac.h polarssl.h curl_rtmp.h curl_gethostname.h      \
+  gopher.h
 
 
 # Makefile.inc provides the CSOURCES and HHEADERS defines
@@ -539,6 +544,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ftplistparser.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getenv.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getinfo.Plo@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gopher.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gtls.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hmac.Plo@am__quote@

=== modified file 'lib/Makefile.inc'
--- lib/Makefile.inc	2010-08-12 08:20:48 +0000
+++ lib/Makefile.inc	2010-10-18 11:13:17 +0000
@@ -20,7 +20,8 @@
   strdup.c socks.c ssh.c nss.c qssl.c rawstr.c curl_addrinfo.c		\
   socks_gssapi.c socks_sspi.c curl_sspi.c slist.c nonblock.c		\
   curl_memrchr.c imap.c pop3.c smtp.c pingpong.c rtsp.c curl_threads.c	\
-  warnless.c hmac.c polarssl.c curl_rtmp.c openldap.c curl_gethostname.c
+  warnless.c hmac.c polarssl.c curl_rtmp.c openldap.c curl_gethostname.c\
+  gopher.c
 
 HHEADERS = arpa_telnet.h netrc.h file.h timeval.h qssl.h hostip.h	\
   progress.h formdata.h cookie.h http.h sendf.h ftp.h url.h dict.h	\
@@ -34,5 +35,6 @@
   tftp.h sockaddr.h splay.h strdup.h setup_once.h socks.h ssh.h nssg.h	\
   curl_base64.h rawstr.h curl_addrinfo.h curl_sspi.h slist.h nonblock.h	\
   curl_memrchr.h imap.h pop3.h smtp.h pingpong.h rtsp.h curl_threads.h	\
-  warnless.h curl_hmac.h polarssl.h curl_rtmp.h curl_gethostname.h
+  warnless.h curl_hmac.h polarssl.h curl_rtmp.h curl_gethostname.h      \
+  gopher.h
 

=== modified file 'lib/Makefile.m32'
--- lib/Makefile.m32	2010-08-12 08:20:48 +0000
+++ lib/Makefile.m32	2010-10-18 11:13:17 +0000
@@ -4,7 +4,7 @@
 ## and optionally OpenSSL (0.9.8), libssh2 (1.2), zlib (1.2.5)
 ##
 ## Usage:
-## mingw32-make -f Makefile.m32 [SSL=1] [SSH2=1] [ZLIB=1] [IDN=1] [SSPI=1] [IPV6=1] [LDAPS=1] [DYN=1]
+## mingw32-make -f Makefile.m32 [SSL=1] [SSH2=1] [ZLIB=1] [IDN=1] [SSPI=1] [IPV6=1] [LDAPS=1] [RTMP=1] [DYN=1]
 ##
 ## Hint: you can also set environment vars to control the build, f.e.:
 ## set ZLIB_PATH=c:/zlib-1.2.5
@@ -24,12 +24,16 @@
 endif
 # Edit the path below to point to the base of your LibSSH2 package.
 ifndef LIBSSH2_PATH
-LIBSSH2_PATH = ../../libssh2-1.2.6
+LIBSSH2_PATH = ../../libssh2-1.2.7
 endif
 # Edit the path below to point to the base of your libidn package.
 ifndef LIBIDN_PATH
 LIBIDN_PATH = ../../libidn-1.18
 endif
+# Edit the path below to point to the base of your librtmp package.
+ifndef LIBRTMP_PATH
+LIBRTMP_PATH = ../../librtmp-2.3
+endif
 # Edit the path below to point to the base of your Novell LDAP NDK.
 ifndef LDAP_SDK
 LDAP_SDK = c:/novell/ndk/cldapsdk/win32
@@ -47,7 +51,7 @@
 RANLIB = ranlib
 RC = windres
 RCFLAGS = --include-dir=../include -DDEBUGBUILD=0 -O COFF -i
-RM = del /q /f > NUL 2>&1
+RM = del /q /f 2>NUL
 STRIP = strip -g
 
 ########################################################
@@ -61,6 +65,11 @@
   DLL_LIBS += -L$(LIBCARES_PATH) -lcares
   libcurl_dll_DEPENDENCIES = $(LIBCARES_PATH)/libcares.a
 endif
+ifdef RTMP
+  INCLUDES += -I"$(LIBRTMP_PATH)"
+  CFLAGS += -DUSE_LIBRTMP
+  DLL_LIBS += -L"$(LIBRTMP_PATH)/librtmp" -lrtmp -lwinmm
+endif
 ifdef SSH2
   INCLUDES += -I"$(LIBSSH2_PATH)/include" -I"$(LIBSSH2_PATH)/win32"
   CFLAGS += -DUSE_LIBSSH2 -DHAVE_LIBSSH2_H
@@ -148,7 +157,7 @@
 clean:
 	-$(RM) $(libcurl_a_OBJECTS) $(RESOURCE)
 
-distrib: clean
+distclean vclean: clean
 	-$(RM) $(libcurl_a_LIBRARY) $(libcurl_dll_LIBRARY) $(libcurl_dll_a_LIBRARY)
 
 FORCE: ;
@@ -156,4 +165,3 @@
 $(LIBCARES_PATH)/libcares.a:
 	$(MAKE) -C $(LIBCARES_PATH) -f Makefile.m32
 
-

=== modified file 'lib/Makefile.netware'
--- lib/Makefile.netware	2010-08-12 08:20:48 +0000
+++ lib/Makefile.netware	2010-10-18 11:13:17 +0000
@@ -24,7 +24,7 @@
 
 # Edit the path below to point to the base of your LibSSH2 package.
 ifndef LIBSSH2_PATH
-LIBSSH2_PATH = ../../libssh2-1.2.6
+LIBSSH2_PATH = ../../libssh2-1.2.7
 endif
 
 # Edit the path below to point to the base of your libidn package.
@@ -32,6 +32,11 @@
 LIBIDN_PATH = ../../libidn-1.18
 endif
 
+# Edit the path below to point to the base of your librtmp package.
+ifndef LIBRTMP_PATH
+LIBRTMP_PATH = ../../librtmp-2.3
+endif
+
 # Edit the path below to point to the base of your c-ares package.
 ifndef LIBCARES_PATH
 LIBCARES_PATH = ../ares
@@ -84,14 +89,13 @@
 	CC = gcc
 endif
 PERL	= perl
-# a native win32 awk can be downloaded from here:
+# Here you can find a native Win32 binary of the original awk:
 # http://www.gknw.net/development/prgtools/awk-20070501.zip
 AWK	= awk
-YACC	= bison -y
 CP	= cp -afv
 MKDIR	= mkdir
 # RM	= rm -f
-# if you want to mark the target as MTSAFE you will need a tool for
+# If you want to mark the target as MTSAFE you will need a tool for
 # generating the xdc data for the linker; here's a minimal tool:
 # http://www.gknw.net/development/prgtools/mkxdc.zip
 MPKXDC	= mkxdc
@@ -117,13 +121,13 @@
 #CFLAGS	+= -w on
 ifeq ($(LIBARCH),LIBC)
 ifeq ($(POSIXFL),1)
-	PRELUDE = $(SDK_LIBC)/imports/posixpre.o
+	PRELUDE = $(NDK_LIBC)/imports/posixpre.o
 else
-	PRELUDE = $(SDK_LIBC)/imports/libcpre.o
+	PRELUDE = $(NDK_LIBC)/imports/libcpre.o
 endif
 	CFLAGS += -align 4
 else
-	# PRELUDE = $(SDK_CLIB)/imports/clibpre.o
+	# PRELUDE = $(NDK_CLIB)/imports/clibpre.o
 	# to avoid the __init_* / __deinit_* whoes dont use prelude from NDK
 	PRELUDE = "$(MWCW_PATH)/libraries/runtime/prelude.obj"
 	# CFLAGS += -include "$(MWCW_PATH)/headers/nlm_clib_prefix.h"
@@ -140,12 +144,12 @@
 CFLAGS	+= -Wall # -pedantic
 ifeq ($(LIBARCH),LIBC)
 ifeq ($(POSIXFL),1)
-	PRELUDE = $(SDK_LIBC)/imports/posixpre.gcc.o
+	PRELUDE = $(NDK_LIBC)/imports/posixpre.gcc.o
 else
-	PRELUDE = $(SDK_LIBC)/imports/libcpre.gcc.o
+	PRELUDE = $(NDK_LIBC)/imports/libcpre.gcc.o
 endif
 else
-	PRELUDE = $(SDK_CLIB)/imports/clibpre.gcc.o
+	PRELUDE = $(NDK_CLIB)/imports/clibpre.gcc.o
 	# to avoid the __init_* / __deinit_* whoes dont use prelude from NDK
 	# http://www.gknw.net/development/mk_nlm/gcc_pre.zip
 	# PRELUDE = $(NDK_ROOT)/pre/prelude.o
@@ -154,9 +158,15 @@
 endif
 
 NDK_ROOT = $(NDKBASE)/ndk
-SDK_CLIB = $(NDK_ROOT)/nwsdk
-SDK_LIBC = $(NDK_ROOT)/libc
-SDK_LDAP = $(NDK_ROOT)/cldapsdk/netware
+ifndef NDK_CLIB
+NDK_CLIB = $(NDK_ROOT)/nwsdk
+endif
+ifndef NDK_LIBC
+NDK_LIBC = $(NDK_ROOT)/libc
+endif
+ifndef NDK_LDAP
+NDK_LDAP = $(NDK_ROOT)/cldapsdk/netware
+endif
 CURL_INC = ../include
 CURL_LIB = ../lib
 
@@ -175,6 +185,10 @@
 	IMPORTS += @$(LIBSSH2_PATH)/nw/libssh2.imp
 endif
 endif
+ifdef WITH_RTMP
+	INCLUDES += -I$(LIBRTMP_PATH)
+	LDLIBS += $(LIBRTMP_PATH)/librtmp/librtmp.$(LIBEXT)
+endif
 ifdef WITH_SSL
 	INCLUDES += -I$(OPENSSL_PATH)/outinc_nw_$(LIBARCH_L)
 	LDLIBS += $(OPENSSL_PATH)/out_nw_$(LIBARCH_L)/ssl.$(LIBEXT)
@@ -197,17 +211,17 @@
 endif
 
 ifeq ($(LIBARCH),LIBC)
-	INCLUDES += -I$(SDK_LIBC)/include
-	# INCLUDES += -I$(SDK_LIBC)/include/nks
-	# INCLUDES += -I$(SDK_LIBC)/include/winsock
+	INCLUDES += -I$(NDK_LIBC)/include
+	# INCLUDES += -I$(NDK_LIBC)/include/nks
+	# INCLUDES += -I$(NDK_LIBC)/include/winsock
 	CFLAGS += -D_POSIX_SOURCE
 else
-	INCLUDES += -I$(SDK_CLIB)/include/nlm
-	# INCLUDES += -I$(SDK_CLIB)/include/nlm/obsolete
-	# INCLUDES += -I$(SDK_CLIB)/include
+	INCLUDES += -I$(NDK_CLIB)/include/nlm
+	# INCLUDES += -I$(NDK_CLIB)/include/nlm/obsolete
+	# INCLUDES += -I$(NDK_CLIB)/include
 endif
 ifndef DISABLE_LDAP
-	INCLUDES += -I$(SDK_LDAP)/$(LIBARCH_L)/inc
+	INCLUDES += -I$(NDK_LDAP)/$(LIBARCH_L)/inc
 endif
 CFLAGS	+= $(INCLUDES)
 
@@ -269,7 +283,7 @@
 	-$(RM) curl_config.h
 	-$(RM) -r $(OBJDIR)
 
-distclean: clean
+distclean vclean: clean
 	-$(RM) $(TARGET).$(LIBEXT) $(TARGET).nlm
 	-$(RM) certdata.txt ca-bundle.crt
 
@@ -323,15 +337,15 @@
 ifeq ($(LIBARCH),CLIB)
 	@echo $(DL)start _Prelude$(DL) >> $@
 	@echo $(DL)exit _Stop$(DL) >> $@
-	@echo $(DL)import @$(SDK_CLIB)/imports/clib.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_CLIB)/imports/threads.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_CLIB)/imports/nlmlib.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_CLIB)/imports/socklib.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_CLIB)/imports/clib.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_CLIB)/imports/threads.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_CLIB)/imports/nlmlib.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_CLIB)/imports/socklib.imp$(DL) >> $@
 	@echo $(DL)module clib$(DL) >> $@
 ifndef DISABLE_LDAP
-	@echo $(DL)import @$(SDK_LDAP)/clib/imports/ldapsdk.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_LDAP)/clib/imports/ldapssl.imp$(DL) >> $@
-#	@echo $(DL)import @$(SDK_LDAP)/clib/imports/ldapx.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LDAP)/clib/imports/ldapsdk.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LDAP)/clib/imports/ldapssl.imp$(DL) >> $@
+#	@echo $(DL)import @$(NDK_LDAP)/clib/imports/ldapx.imp$(DL) >> $@
 	@echo $(DL)module ldapsdk ldapssl$(DL) >> $@
 endif
 else
@@ -348,13 +362,13 @@
 	@echo $(DL)exit _LibCPostlude$(DL) >> $@
 	@echo $(DL)check _LibCCheckUnload$(DL) >> $@
 endif
-	@echo $(DL)import @$(SDK_LIBC)/imports/libc.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_LIBC)/imports/netware.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LIBC)/imports/libc.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LIBC)/imports/netware.imp$(DL) >> $@
 	@echo $(DL)module libc$(DL) >> $@
 ifndef DISABLE_LDAP
-	@echo $(DL)import @$(SDK_LDAP)/libc/imports/lldapsdk.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_LDAP)/libc/imports/lldapssl.imp$(DL) >> $@
-#	@echo $(DL)import @$(SDK_LDAP)/libc/imports/lldapx.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LDAP)/libc/imports/lldapsdk.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LDAP)/libc/imports/lldapssl.imp$(DL) >> $@
+#	@echo $(DL)import @$(NDK_LDAP)/libc/imports/lldapx.imp$(DL) >> $@
 	@echo $(DL)module lldapsdk lldapssl$(DL) >> $@
 endif
 endif
@@ -425,13 +439,6 @@
 	@echo $(DL)#define HAVE_SYS_PARAM_H 1$(DL) >> $@
 	@echo $(DL)#define HAVE_SYS_SELECT_H 1$(DL) >> $@
 	@echo $(DL)#define HAVE_TERMIOS_H 1$(DL) >> $@
-	@echo $(DL)#define HAVE_AF_INET6 1$(DL) >> $@
-	@echo $(DL)#define HAVE_PF_INET6 1$(DL) >> $@
-	@echo $(DL)#define HAVE_FREEADDRINFO 1$(DL) >> $@
-	@echo $(DL)#define HAVE_GETADDRINFO 1$(DL) >> $@
-	@echo $(DL)#define HAVE_SOCKADDR_IN6_SIN6_SCOPE_ID 1$(DL) >> $@
-	@echo $(DL)#define HAVE_STRUCT_IN6_ADDR 1$(DL) >> $@
-	@echo $(DL)#define HAVE_STRUCT_SOCKADDR_IN6 1$(DL) >> $@
 	@echo $(DL)#define RECV_TYPE_ARG1 int$(DL) >> $@
 	@echo $(DL)#define RECV_TYPE_ARG2 void *$(DL) >> $@
 	@echo $(DL)#define RECV_TYPE_ARG3 size_t$(DL) >> $@
@@ -451,11 +458,19 @@
 	@echo $(DL)#define SEND_TYPE_ARG3 size_t$(DL) >> $@
 	@echo $(DL)#define SEND_TYPE_ARG4 int$(DL) >> $@
 	@echo $(DL)#define SEND_TYPE_RETV ssize_t$(DL) >> $@
-	@echo $(DL)#define SIZEOF_STRUCT_IN6_ADDR 16$(DL) >> $@
 	@echo $(DL)#define SIZEOF_OFF_T 8$(DL) >> $@
 	@echo $(DL)#define _LARGEFILE 1$(DL) >> $@
 ifdef ENABLE_IPV6
 	@echo $(DL)#define ENABLE_IPV6 1$(DL) >> $@
+	@echo $(DL)#define HAVE_AF_INET6 1$(DL) >> $@
+	@echo $(DL)#define HAVE_PF_INET6 1$(DL) >> $@
+	@echo $(DL)#define HAVE_FREEADDRINFO 1$(DL) >> $@
+	@echo $(DL)#define HAVE_GETADDRINFO 1$(DL) >> $@
+	@echo $(DL)#define HAVE_SOCKADDR_IN6_SIN6_SCOPE_ID 1$(DL) >> $@
+	@echo $(DL)#define HAVE_STRUCT_ADDRINFO 1$(DL) >> $@
+	@echo $(DL)#define HAVE_STRUCT_IN6_ADDR 1$(DL) >> $@
+	@echo $(DL)#define HAVE_STRUCT_SOCKADDR_IN6 1$(DL) >> $@
+	@echo $(DL)#define SIZEOF_STRUCT_IN6_ADDR 16$(DL) >> $@
 endif
 endif
 	@echo $(DL)#define USE_MANUAL 1$(DL) >> $@
@@ -491,7 +506,6 @@
 	@echo $(DL)#define HAVE_STRFTIME 1$(DL) >> $@
 	@echo $(DL)#define HAVE_STRING_H 1$(DL) >> $@
 	@echo $(DL)#define HAVE_STRSTR 1$(DL) >> $@
-	@echo $(DL)#define HAVE_STRUCT_ADDRINFO 1$(DL) >> $@
 	@echo $(DL)#define HAVE_STRUCT_TIMEVAL 1$(DL) >> $@
 	@echo $(DL)#define HAVE_SYS_IOCTL_H 1$(DL) >> $@
 	@echo $(DL)#define HAVE_SYS_STAT_H 1$(DL) >> $@
@@ -556,6 +570,9 @@
 	@echo $(DL)#define HAVE_LIBIDN 1$(DL) >> $@
 	@echo $(DL)#define HAVE_TLD_H 1$(DL) >> $@
 endif
+ifdef WITH_RTMP
+	@echo $(DL)#define USE_LIBRTMP 1$(DL) >> $@
+endif
 	@echo $(DL)#ifdef __GNUC__$(DL) >> $@
 	@echo $(DL)#define HAVE_VARIADIC_MACROS_GCC 1$(DL) >> $@
 	@echo $(DL)#else$(DL) >> $@

=== modified file 'lib/Makefile.riscos'
--- lib/Makefile.riscos	2010-08-12 08:20:48 +0000
+++ lib/Makefile.riscos	2010-10-18 11:13:17 +0000
@@ -3,7 +3,7 @@
 # Project objects:
 objs =	o.base64 o.connect o.cookie o.dict \
 	o.dllinit o.easy o.escape o.file \
-	o.formdata o.ftp o.getenv \
+	o.formdata o.ftp o.getenv o.gopher \
 	o.getinfo o.getpass o.hostip \
 	o.hostip4 o.hostsyn o.http \
 	o.http_chunks o.inet_ntop o.inet_pton o.if2ip o.krb4 o.ldap \
@@ -84,6 +84,9 @@
 o.getpass:	c.getpass
 		gcc $(compileropts) -c -o getpass.o c.getpass
 
+o.gopher:	c.gopher
+		gcc $(compileropts) -c -o gopher.o c.gopher
+
 o.hmac:		c.hmac
 		gcc $(compileropts) -c -o hmac.o c.hmac
 

=== added file 'lib/Makefile.vc10'
--- lib/Makefile.vc10	1970-01-01 00:00:00 +0000
+++ lib/Makefile.vc10	2010-10-18 11:13:17 +0000
@@ -0,0 +1,571 @@
+#***************************************************************************
+#                                  _   _ ____  _
+#  Project                     ___| | | |  _ \| |
+#                             / __| | | | |_) | |
+#                            | (__| |_| |  _ <| |___
+#                             \___|\___/|_| \_\_____|
+#
+# Copyright (C) 1999 - 2010, Daniel Stenberg, <daniel@haxx.se>, et al.
+#
+# This software is licensed as described in the file COPYING, which
+# you should have received as part of this distribution. The terms
+# are also available at http://curl.haxx.se/docs/copyright.html.
+#
+# You may opt to use, copy, modify, merge, publish, distribute and/or sell
+# copies of the Software, and permit persons to whom the Software is
+# furnished to do so, under the terms of the COPYING file.
+#
+# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
+# KIND, either express or implied.
+#
+###########################################################################
+#
+# Makefile for building libcurl with MSVC10
+#
+# Usage: see usage message below
+#        Should be invoked from \lib directory
+#        Edit the paths and desired library name
+#        SSL path is only required if you intend compiling
+#        with SSL.
+#
+# This make file leaves the result either a .lib or .dll file
+# in the \lib directory. It should be called from the \lib
+# directory.
+#
+# An option would have been to allow the source directory to
+# be specified, but I saw no requirement.
+#
+# Another option would have been to leave the .lib and .dll
+# files in the "cfg" directory, but then the make file
+# in \src would need to be changed.
+#
+##############################################################
+
+#
+# Stem for static libs and DLLs
+#
+LIB_NAME       = libcurl
+LIB_NAME_DEBUG = libcurld
+
+#
+# Stem for DLL import libs
+#
+IMPLIB_NAME       = libcurl_imp
+IMPLIB_NAME_DEBUG = libcurld_imp
+
+!IFNDEF OPENSSL_PATH
+OPENSSL_PATH   = ../../openssl-0.9.8o
+!ENDIF
+
+!IFNDEF ZLIB_PATH
+ZLIB_PATH  = ../../zlib-1.2.5
+!ENDIF
+
+!IFNDEF MACHINE
+MACHINE  = X86
+!ENDIF
+
+# USE_WINDOWS_SSPI uses windows libraries to allow NTLM authentication
+# without an openssl installation and offers the ability to authenticate
+# using the "current logged in user". Since at least with MSVC10 the sspi.h
+# header is broken it is either required to install the Windows SDK,
+# or to fix sspi.h with adding this define at the beginning of sspi.h:
+# #define FreeCredentialHandle FreeCredentialsHandle
+#
+# If, for some reason the Windows SDK is installed but not installed
+# in the default location, you can specify WINDOWS_SDK_PATH.
+# It can be downloaded from:
+# http://www.microsoft.com/msdownload/platformsdk/sdkupdate/
+
+# WINDOWS_SSPI = 1
+
+!IFDEF WINDOWS_SSPI
+!IFNDEF WINDOWS_SDK_PATH
+WINDOWS_SDK_PATH = "C:\Program Files\Microsoft SDK"
+!ENDIF
+!ENDIF
+
+#############################################################
+## Nothing more to do below this line!
+
+CCNODBG    = cl.exe /O2 /DNDEBUG
+CCDEBUG    = cl.exe /Od /Gm /Zi /D_DEBUG /RTC1
+CFLAGSSSL  = /DUSE_SSLEAY /I "$(OPENSSL_PATH)/inc32" /I "$(OPENSSL_PATH)/inc32/openssl"
+CFLAGSZLIB = /DHAVE_ZLIB_H /DHAVE_ZLIB /DHAVE_LIBZ /I "$(ZLIB_PATH)"
+CFLAGS     = /I. /I../include /nologo /W3 /EHsc /DWIN32 /FD /c /DBUILDING_LIBCURL
+CFLAGSLIB  = /DCURL_STATICLIB
+LNKDLL     = link.exe /DLL
+LNKLIB     = link.exe /lib
+LFLAGS     = /nologo /machine:$(MACHINE)
+SSLLIBS    = libeay32.lib ssleay32.lib
+ZLIBLIBSDLL= zdll.lib
+ZLIBLIBS   = zlib.lib
+WINLIBS    = ws2_32.lib wldap32.lib
+CFLAGS     = $(CFLAGS)
+
+CFGSET     = FALSE
+
+!IFDEF WINDOWS_SSPI
+CFLAGS = $(CFLAGS) /DUSE_WINDOWS_SSPI /I$(WINDOWS_SDK_PATH)\include
+!ENDIF
+
+!IFDEF USE_IPV6
+CFLAGS = $(CFLAGS) /DUSE_IPV6
+!ENDIF
+
+##############################################################
+# Runtime library configuration
+
+RTLIB   = /MD
+RTLIBD  = /MDd
+
+!IF "$(RTLIBCFG)" == "static"
+RTLIB  = /MT
+RTLIBD = /MTd
+!ENDIF
+
+
+######################
+# release
+
+!IF "$(CFG)" == "release"
+TARGET = $(LIB_NAME).lib
+DIROBJ = $(CFG)
+LNK    = $(LNKLIB) /out:$(DIROBJ)\$(TARGET)
+CC     = $(CCNODBG) $(RTLIB) $(CFLAGSLIB)
+CFGSET = TRUE
+!ENDIF
+
+######################
+# release-zlib
+
+!IF "$(CFG)" == "release-zlib"
+TARGET   = $(LIB_NAME).lib
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LNK      = $(LNKLIB) $(ZLIBLIBS) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSZLIB) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# release-dll
+
+!IF "$(CFG)" == "release-dll"
+TARGET = $(LIB_NAME).dll
+DIROBJ = $(CFG)
+LNK    = $(LNKDLL) $(WINLIBS) /out:$(DIROBJ)\$(TARGET) /IMPLIB:$(DIROBJ)\$(IMPLIB_NAME).lib
+CC     = $(CCNODBG) $(RTLIB)
+CFGSET = TRUE
+RESOURCE = $(DIROBJ)\libcurl.res
+!ENDIF
+
+######################
+# release-ssl
+
+!IF "$(CFG)" == "release-ssl"
+TARGET   = $(LIB_NAME).lib
+DIROBJ   = $(CFG)
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32"
+LNK      = $(LNKLIB) $(LFLAGSSSL) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSSSL) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# release-ssl-dll
+
+!IF "$(CFG)" == "release-ssl-dll"
+TARGET   = $(LIB_NAME).lib
+DIROBJ   = $(CFG)
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32dll"
+LNK      = $(LNKLIB) $(WINLIBS) $(SSLLIBS) $(LFLAGSSSL) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSSSL) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# release-ssl-zlib
+
+!IF "$(CFG)" == "release-ssl-zlib"
+TARGET   = $(LIB_NAME).lib
+DIROBJ   = $(CFG)
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32"
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LNK      = $(LNKLIB) $(LFLAGSSSL) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSSSL) $(CFLAGSZLIB) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# release-dll-ssl-dll
+
+!IF "$(CFG)" == "release-dll-ssl-dll"
+TARGET   = $(LIB_NAME).dll
+DIROBJ   = $(CFG)
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32dll"
+LNK      = $(LNKDLL) $(WINLIBS) $(SSLLIBS) $(LFLAGSSSL) /out:$(DIROBJ)\$(TARGET) /IMPLIB:$(DIROBJ)\$(IMPLIB_NAME).lib
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSSSL)
+CFGSET   = TRUE
+RESOURCE = $(DIROBJ)\libcurl.res
+!ENDIF
+
+######################
+# release-zlib-dll
+
+!IF "$(CFG)" == "release-zlib-dll"
+TARGET   = $(LIB_NAME).lib
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LNK      = $(LNKLIB) $(WINLIBS) $(ZLIBLIBSDLL) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSZLIB) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# release-ssl-dll-zlib-dll
+
+!IF "$(CFG)" == "release-ssl-dll-zlib-dll"
+TARGET   = $(LIB_NAME).lib
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32dll"
+LNK      = $(LNKLIB) $(WINLIBS) $(SSLLIBS) $(ZLIBLIBSDLL) $(LFLAGSSSL) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSSSL) $(CFLAGSZLIB) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# release-dll-zlib-dll
+
+!IF "$(CFG)" == "release-dll-zlib-dll"
+TARGET   = $(LIB_NAME).dll
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LNK      = $(LNKDLL) $(WINLIBS) $(ZLIBLIBSDLL) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET) /IMPLIB:$(DIROBJ)\$(IMPLIB_NAME).lib
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSZLIB)
+CFGSET   = TRUE
+RESOURCE = $(DIROBJ)\libcurl.res
+!ENDIF
+
+######################
+# release-dll-ssl-dll-zlib-dll
+
+!IF "$(CFG)" == "release-dll-ssl-dll-zlib-dll"
+TARGET   = $(LIB_NAME).dll
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32dll"
+LNK      = $(LNKDLL) $(WINLIBS) $(SSLLIBS) $(ZLIBLIBSDLL) $(LFLAGSSSL) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET) /IMPLIB:$(DIROBJ)\$(IMPLIB_NAME).lib
+CC       = $(CCNODBG) $(RTLIB) $(CFLAGSSSL) $(CFLAGSZLIB)
+CFGSET   = TRUE
+RESOURCE = $(DIROBJ)\libcurl.res
+!ENDIF
+
+######################
+# debug
+
+!IF "$(CFG)" == "debug"
+TARGET = $(LIB_NAME_DEBUG).lib
+DIROBJ = $(CFG)
+LNK    = $(LNKLIB) /out:$(DIROBJ)\$(TARGET)
+CC     = $(CCDEBUG) $(RTLIBD) $(CFLAGSLIB)
+CFGSET = TRUE
+!ENDIF
+
+######################
+# debug-ssl
+
+!IF "$(CFG)" == "debug-ssl"
+TARGET   = $(LIB_NAME_DEBUG).lib
+DIROBJ   = $(CFG)
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32"
+LNK      = $(LNKLIB) $(LFLAGSSSL) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSSSL) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# debug-zlib
+
+!IF "$(CFG)" == "debug-zlib"
+TARGET   = $(LIB_NAME_DEBUG).lib
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LNK      = $(LNKLIB) $(ZLIBLIBS) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSZLIB) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# debug-ssl-dll
+
+!IF "$(CFG)" == "debug-ssl-dll"
+TARGET   = $(LIB_NAME_DEBUG).lib
+DIROBJ   = $(CFG)
+LFLAGSSSL = /LIBPATH:$(OPENSSL_PATH)\out32dll
+LNK      = $(LNKLIB) $(WINLIBS) $(SSLLIBS) $(LFLAGSSSL) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSSSL) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# debug-ssl-zlib
+
+!IF "$(CFG)" == "debug-ssl-zlib"
+TARGET   = $(LIB_NAME_DEBUG).lib
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32"
+LNK      = $(LNKLIB) $(ZLIBLIBS) $(LFLAGSSSL) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSSSL) $(CFLAGSZLIB) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# debug-zlib-dll
+
+!IF "$(CFG)" == "debug-zlib-dll"
+TARGET   = $(LIB_NAME_DEBUG).lib
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LNK      = $(LNKLIB) $(WINLIBS) $(ZLIBLIBSDLL) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSZLIB) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# debug-ssl-dll-zlib-dll
+
+!IF "$(CFG)" == "debug-ssl-dll-zlib-dll"
+TARGET   = $(LIB_NAME_DEBUG).lib
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32dll"
+LNK      = $(LNKLIB) $(WINLIBS) $(SSLLIBS) $(ZLIBLIBSDLL) $(LFLAGSSSL) $(LFLAGSZLIB) /out:$(DIROBJ)\$(TARGET)
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSSSL) $(CFLAGSZLIB) $(CFLAGSLIB)
+CFGSET   = TRUE
+!ENDIF
+
+######################
+# debug-dll
+
+!IF "$(CFG)" == "debug-dll"
+TARGET = $(LIB_NAME_DEBUG).dll
+DIROBJ = $(CFG)
+LNK    = $(LNKDLL) $(WINLIBS) /DEBUG /out:$(DIROBJ)\$(TARGET) /IMPLIB:$(DIROBJ)\$(IMPLIB_NAME_DEBUG).lib /PDB:$(DIROBJ)\$(IMPLIB_NAME_DEBUG).pdb
+CC     = $(CCDEBUG) $(RTLIBD) 
+CFGSET = TRUE
+RESOURCE = $(DIROBJ)\libcurl.res
+!ENDIF
+
+######################
+# debug-dll-ssl-dll
+
+!IF "$(CFG)" == "debug-dll-ssl-dll"
+TARGET   = $(LIB_NAME_DEBUG).dll
+DIROBJ   = $(CFG)
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32dll"
+LNK      = $(LNKDLL) $(WINLIBS) $(SSLLIBS) $(LFLAGSSSL) /DEBUG /out:$(DIROBJ)\$(TARGET) /IMPLIB:$(DIROBJ)\$(IMPLIB_NAME_DEBUG).lib /PDB:$(DIROBJ)\$(IMPLIB_NAME_DEBUG).pdb
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSSSL)
+CFGSET   = TRUE
+RESOURCE = $(DIROBJ)\libcurl.res
+!ENDIF
+
+######################
+# debug-dll-zlib-dll
+
+!IF "$(CFG)" == "debug-dll-zlib-dll"
+TARGET   = $(LIB_NAME_DEBUG).dll
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LNK      = $(LNKDLL) $(WINLIBS) $(ZLIBLIBSDLL) $(LFLAGSZLIB) /DEBUG /out:$(DIROBJ)\$(TARGET) /IMPLIB:$(DIROBJ)\$(IMPLIB_NAME_DEBUG).lib /PDB:$(DIROBJ)\$(IMPLIB_NAME_DEBUG).pdb
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSZLIB)
+CFGSET   = TRUE
+RESOURCE = $(DIROBJ)\libcurl.res
+!ENDIF
+
+######################
+# debug-dll-ssl-dll-zlib-dll
+
+!IF "$(CFG)" == "debug-dll-ssl-dll-zlib-dll"
+TARGET   = $(LIB_NAME_DEBUG).dll
+DIROBJ   = $(CFG)
+LFLAGSZLIB = "/LIBPATH:$(ZLIB_PATH)"
+LFLAGSSSL = "/LIBPATH:$(OPENSSL_PATH)\out32dll"
+LNK      = $(LNKDLL) $(WINLIBS) $(SSLLIBS) $(ZLIBLIBSDLL) $(LFLAGSSSL) $(LFLAGSZLIB) /DEBUG /out:$(DIROBJ)\$(TARGET) /IMPLIB:$(DIROBJ)\$(IMPLIB_NAME_DEBUG).lib /PDB:$(DIROBJ)\$(IMPLIB_NAME_DEBUG).pdb
+CC       = $(CCDEBUG) $(RTLIBD) $(CFLAGSSSL) $(CFLAGSZLIB)
+CFGSET   = TRUE
+RESOURCE = $(DIROBJ)\libcurl.res
+!ENDIF
+
+#######################
+# Usage
+#
+!IF "$(CFGSET)" == "FALSE" && "$(CFG)" != ""
+!MESSAGE Usage: nmake /f makefile.vc10 CFG=<config> <target>
+!MESSAGE where <config> is one of:
+!MESSAGE   release                      - release static library
+!MESSAGE   release-ssl                  - release static library with ssl
+!MESSAGE   release-zlib                 - release static library with zlib
+!MESSAGE   release-ssl-zlib             - release static library with ssl and zlib
+!MESSAGE   release-ssl-dll              - release static library with dynamic ssl
+!MESSAGE   release-zlib-dll             - release static library with dynamic zlib
+!MESSAGE   release-ssl-dll-zlib-dll     - release static library with dynamic ssl and dynamic zlib
+!MESSAGE   release-dll                  - release dynamic library
+!MESSAGE   release-dll-ssl-dll          - release dynamic library with dynamic ssl
+!MESSAGE   release-dll-zlib-dll         - release dynamic library with dynamic zlib
+!MESSAGE   release-dll-ssl-dll-zlib-dll - release dynamic library with dynamic ssl and dynamic zlib
+!MESSAGE   debug                        - debug static library
+!MESSAGE   debug-ssl                    - debug static library with ssl
+!MESSAGE   debug-zlib                   - debug static library with zlib
+!MESSAGE   debug-ssl-zlib               - debug static library with ssl and zlib
+!MESSAGE   debug-ssl-dll                - debug static library with dynamic ssl
+!MESSAGE   debug-zlib-dll               - debug static library with dynamic zlib
+!MESSAGE   debug-ssl-dll-zlib-dll       - debug static library with dynamic ssl and dynamic zlib
+!MESSAGE   debug-dll                    - debug dynamic library
+!MESSAGE   debug-dll-ssl-dll            - debug dynamic library with dynamic ssl
+!MESSAGE   debug-dll-zlib-dll           - debug dynamic library with dynamic zlib1
+!MESSAGE   debug-dll-ssl-dll-zlib-dll   - debug dynamic library with dynamic ssl and dynamic zlib
+!MESSAGE <target> can be left blank in which case all is assumed
+!ERROR please choose a valid configuration "$(CFG)"
+!ENDIF
+
+#######################
+# Only the clean target can be used if a config was not provided.
+#
+!IF "$(CFGSET)" == "FALSE"
+clean:
+	@-erase /s *.dll 2> NUL
+	@-erase /s *.exp 2> NUL
+	@-erase /s *.idb 2> NUL
+	@-erase /s *.lib 2> NUL
+	@-erase /s *.obj 2> NUL
+	@-erase /s *.pch 2> NUL
+	@-erase /s *.pdb 2> NUL
+	@-erase /s *.res 2> NUL
+!ELSE
+# A config was provided, so the library can be built.
+#
+X_OBJS= \
+	$(DIROBJ)\base64.obj \
+	$(DIROBJ)\connect.obj \
+	$(DIROBJ)\content_encoding.obj \
+	$(DIROBJ)\cookie.obj \
+	$(DIROBJ)\curl_addrinfo.obj \
+	$(DIROBJ)\curl_fnmatch.obj \
+	$(DIROBJ)\curl_gethostname.obj \
+	$(DIROBJ)\curl_memrchr.obj \
+	$(DIROBJ)\curl_rand.obj \
+	$(DIROBJ)\curl_rtmp.obj \
+	$(DIROBJ)\curl_sspi.obj \
+	$(DIROBJ)\curl_threads.obj \
+	$(DIROBJ)\dict.obj \
+	$(DIROBJ)\easy.obj \
+	$(DIROBJ)\escape.obj \
+	$(DIROBJ)\fileinfo.obj \
+	$(DIROBJ)\file.obj \
+	$(DIROBJ)\formdata.obj \
+	$(DIROBJ)\ftplistparser.obj \
+	$(DIROBJ)\ftp.obj \
+	$(DIROBJ)\getenv.obj \
+	$(DIROBJ)\getinfo.obj \
+	$(DIROBJ)\gtls.obj \
+	$(DIROBJ)\gopher.obj \
+	$(DIROBJ)\hash.obj \
+	$(DIROBJ)\hmac.obj \
+	$(DIROBJ)\hostares.obj \
+	$(DIROBJ)\hostasyn.obj \
+	$(DIROBJ)\hostip4.obj \
+	$(DIROBJ)\hostip6.obj \
+	$(DIROBJ)\hostip.obj \
+	$(DIROBJ)\hostsyn.obj \
+	$(DIROBJ)\hostthre.obj \
+	$(DIROBJ)\http_chunks.obj \
+	$(DIROBJ)\http_digest.obj \
+	$(DIROBJ)\http_negotiate.obj \
+	$(DIROBJ)\http_ntlm.obj \
+	$(DIROBJ)\http.obj \
+	$(DIROBJ)\if2ip.obj \
+	$(DIROBJ)\imap.obj \
+	$(DIROBJ)\inet_ntop.obj \
+	$(DIROBJ)\inet_pton.obj \
+	$(DIROBJ)\ldap.obj \
+	$(DIROBJ)\llist.obj \
+	$(DIROBJ)\md4.obj \
+	$(DIROBJ)\md5.obj \
+	$(DIROBJ)\memdebug.obj \
+	$(DIROBJ)\mprintf.obj \
+	$(DIROBJ)\multi.obj \
+	$(DIROBJ)\netrc.obj \
+        $(DIROBJ)\nonblock.obj \
+	$(DIROBJ)\openldap.obj \
+	$(DIROBJ)\parsedate.obj \
+	$(DIROBJ)\pingpong.obj \
+	$(DIROBJ)\polarssl.obj \
+	$(DIROBJ)\pop3.obj \
+	$(DIROBJ)\progress.obj \
+	$(DIROBJ)\rawstr.obj \
+	$(DIROBJ)\rtsp.obj \
+	$(DIROBJ)\select.obj \
+	$(DIROBJ)\sendf.obj \
+	$(DIROBJ)\share.obj \
+	$(DIROBJ)\slist.obj \
+	$(DIROBJ)\smtp.obj \
+	$(DIROBJ)\socks_gssapi.obj \
+	$(DIROBJ)\socks.obj \
+	$(DIROBJ)\socks_sspi.obj \
+	$(DIROBJ)\speedcheck.obj \
+	$(DIROBJ)\splay.obj \
+	$(DIROBJ)\ssh.obj \
+	$(DIROBJ)\sslgen.obj \
+	$(DIROBJ)\ssluse.obj \
+	$(DIROBJ)\strequal.obj \
+	$(DIROBJ)\strerror.obj \
+	$(DIROBJ)\strtok.obj \
+	$(DIROBJ)\strtoofft.obj \
+	$(DIROBJ)\telnet.obj \
+	$(DIROBJ)\tftp.obj \
+	$(DIROBJ)\timeval.obj \
+	$(DIROBJ)\transfer.obj \
+	$(DIROBJ)\url.obj \
+	$(DIROBJ)\version.obj \
+	$(DIROBJ)\warnless.obj \
+	$(DIROBJ)\wildcard.obj \
+	$(RESOURCE)
+
+all : $(TARGET)
+
+$(TARGET): $(X_OBJS)
+	$(LNK) $(LFLAGS) $(X_OBJS)
+	-xcopy $(DIROBJ)\$(LIB_NAME).dll       . /y
+	-xcopy $(DIROBJ)\$(LIB_NAME).lib       . /y
+	-xcopy $(DIROBJ)\$(LIB_NAME_DEBUG).dll . /y
+	-xcopy $(DIROBJ)\$(LIB_NAME_DEBUG).lib . /y
+	-xcopy $(DIROBJ)\$(IMPLIB_NAME).lib    . /y
+	-xcopy $(DIROBJ)\$(IMPLIB_NAME_DEBUG).lib . /y
+	-xcopy $(DIROBJ)\*.exp                 . /y
+	-xcopy $(DIROBJ)\*.pdb                 . /y
+
+$(X_OBJS): $(DIROBJ)
+
+$(DIROBJ):
+	@if not exist "$(DIROBJ)" mkdir $(DIROBJ)
+
+.SUFFIXES: .c .obj .res
+
+{.\}.c{$(DIROBJ)\}.obj:
+	$(CC) $(CFLAGS) /Fo"$@"  $<
+
+debug-dll\libcurl.res \
+debug-dll-ssl-dll\libcurl.res \
+debug-dll-zlib-dll\libcurl.res \
+debug-dll-ssl-dll-zlib-dll\libcurl.res: libcurl.rc
+	rc /dDEBUGBUILD=1 /Fo $@ libcurl.rc
+
+release-dll\libcurl.res \
+release-dll-ssl-dll\libcurl.res \
+release-dll-zlib-dll\libcurl.res \
+release-dll-ssl-dll-zlib-dll\libcurl.res: libcurl.rc
+	rc /dDEBUGBUILD=0 /Fo $@ libcurl.rc
+!ENDIF  # End of case where a config was provided.

=== modified file 'lib/Makefile.vc6'
--- lib/Makefile.vc6	2010-08-12 08:20:48 +0000
+++ lib/Makefile.vc6	2010-10-18 11:13:17 +0000
@@ -471,6 +471,7 @@
 	$(DIROBJ)\getenv.obj \
 	$(DIROBJ)\getinfo.obj \
 	$(DIROBJ)\gtls.obj \
+	$(DIROBJ)\gopher.obj \
 	$(DIROBJ)\hash.obj \
 	$(DIROBJ)\hmac.obj \
 	$(DIROBJ)\hostares.obj \

=== modified file 'lib/Makefile.vc8'
--- lib/Makefile.vc8	2010-08-12 08:20:48 +0000
+++ lib/Makefile.vc8	2010-10-18 11:13:17 +0000
@@ -471,6 +471,7 @@
 	$(DIROBJ)\getenv.obj \
 	$(DIROBJ)\getinfo.obj \
 	$(DIROBJ)\gtls.obj \
+	$(DIROBJ)\gopher.obj \
 	$(DIROBJ)\hash.obj \
 	$(DIROBJ)\hmac.obj \
 	$(DIROBJ)\hostares.obj \

=== modified file 'lib/Makefile.vc9'
--- lib/Makefile.vc9	2010-08-12 08:20:48 +0000
+++ lib/Makefile.vc9	2010-10-18 11:13:17 +0000
@@ -471,6 +471,7 @@
 	$(DIROBJ)\getenv.obj \
 	$(DIROBJ)\getinfo.obj \
 	$(DIROBJ)\gtls.obj \
+	$(DIROBJ)\gopher.obj \
 	$(DIROBJ)\hash.obj \
 	$(DIROBJ)\hmac.obj \
 	$(DIROBJ)\hostares.obj \

=== modified file 'lib/README.ares'
--- lib/README.ares	2010-04-28 18:40:27 +0000
+++ lib/README.ares	2010-10-18 11:13:17 +0000
@@ -11,7 +11,7 @@
   http://c-ares.haxx.se/
 
 NOTE
-  The latest libcurl version requires c-ares 1.4.0 or later.
+  The latest libcurl version requires c-ares 1.6.0 or later.
 
   Once upon the time libcurl built fine with the "original" ares. That is no
   longer true. You need to use c-ares.

=== modified file 'lib/connect.c'
--- lib/connect.c	2010-08-12 08:20:48 +0000
+++ lib/connect.c	2010-10-18 11:13:17 +0000
@@ -174,6 +174,9 @@
 
   /* substract elapsed time */
   timeout_ms -= Curl_tvdiff(*nowp, data->progress.t_startsingle);
+  if(!timeout_ms)
+    /* avoid returning 0 as that means no timeout! */
+    return -1;
 
   return timeout_ms;
 }
@@ -627,6 +630,7 @@
   CURLcode code = CURLE_OK;
   curl_socket_t sockfd = conn->sock[sockindex];
   long allow = DEFAULT_CONNECT_TIMEOUT;
+  int error = 0;
 
   DEBUGASSERT(sockindex >= FIRSTSOCKET && sockindex <= SECONDARYSOCKET);
 
@@ -634,13 +638,6 @@
 
   if(conn->bits.tcpconnect) {
     /* we are connected already! */
-    long allow_total = 0;
-
-    /* subtract the most strict timeout of the ones */
-    if(data->set.timeout)
-      allow_total = data->set.timeout;
-
-    Curl_expire(data, allow_total);
     *connected = TRUE;
     return CURLE_OK;
   }
@@ -654,13 +651,13 @@
     return CURLE_OPERATION_TIMEDOUT;
   }
 
-  Curl_expire(data, allow);
-
   /* check for connect without timeout as we want to return immediately */
   rc = waitconnect(conn, sockfd, 0);
+  if(WAITCONN_TIMEOUT == rc)
+    /* not an error, but also no connection yet */
+    return code;
 
   if(WAITCONN_CONNECTED == rc) {
-    int error;
     if(verifyconnect(sockfd, &error)) {
       /* we are connected, awesome! */
       conn->bits.tcpconnect = TRUE;
@@ -672,38 +669,34 @@
       return CURLE_OK;
     }
     /* nope, not connected for real */
-    data->state.os_errno = error;
-    infof(data, "Connection failed\n");
-    code = trynextip(conn, sockindex, connected);
-    if(code)
-      failf(data, "Failed connect to %s:%ld; %s",
-            conn->host.name, conn->port, Curl_strerror(conn, error));
   }
-  else if(WAITCONN_TIMEOUT != rc) {
-    int error = 0;
-
+  else {
     /* nope, not connected  */
     if(WAITCONN_FDSET_ERROR == rc) {
       (void)verifyconnect(sockfd, &error);
-      data->state.os_errno = error;
-      infof(data, "%s\n",Curl_strerror(conn,error));
+      infof(data, "%s\n",Curl_strerror(conn, error));
     }
     else
       infof(data, "Connection failed\n");
-
-    code = trynextip(conn, sockindex, connected);
-
-    if(code) {
-      error = SOCKERRNO;
-      data->state.os_errno = error;
-      failf(data, "Failed connect to %s:%ld; %s",
-            conn->host.name, conn->port, Curl_strerror(conn, error));
-    }
   }
+
   /*
-   * If the connection failed here, we should attempt to connect to the "next
-   * address" for the given host.
+   * The connection failed here, we should attempt to connect to the "next
+   * address" for the given host. But first remember the latest error.
    */
+  if(error) {
+    data->state.os_errno = error;
+    SET_SOCKERRNO(error);
+  }
+
+  code = trynextip(conn, sockindex, connected);
+
+  if(code) {
+    error = SOCKERRNO;
+    data->state.os_errno = error;
+    failf(data, "Failed connect to %s:%ld; %s",
+          conn->host.name, conn->port, Curl_strerror(conn, error));
+  }
 
   return code;
 }
@@ -1029,7 +1022,6 @@
     failf(data, "Connection time-out");
     return CURLE_OPERATION_TIMEDOUT;
   }
-  Curl_expire(data, timeout_ms);
 
   /* Max time for each address */
   num_addr = Curl_num_addresses(remotehost->addr);
@@ -1094,12 +1086,12 @@
  * Used to extract socket and connectdata struct for the most recent
  * transfer on the given SessionHandle.
  *
- * The socket 'long' will be -1 in case of failure!
+ * The returned socket will be CURL_SOCKET_BAD in case of failure!
  */
-CURLcode Curl_getconnectinfo(struct SessionHandle *data,
-                             long *param_longp,
-                             struct connectdata **connp)
+curl_socket_t Curl_getconnectinfo(struct SessionHandle *data,
+                                  struct connectdata **connp)
 {
+  curl_socket_t sockfd;
   if((data->state.lastconnect != -1) &&
      (data->state.connc->connects[data->state.lastconnect] != NULL)) {
     struct connectdata *c =
@@ -1107,13 +1099,13 @@
     if(connp)
       /* only store this if the caller cares for it */
       *connp = c;
-    *param_longp = c->sock[FIRSTSOCKET];
+    sockfd = c->sock[FIRSTSOCKET];
     /* we have a socket connected, let's determine if the server shut down */
     /* determine if ssl */
     if(c->ssl[FIRSTSOCKET].use) {
       /* use the SSL context */
       if(!Curl_ssl_check_cxn(c))
-        *param_longp = -1;   /* FIN received */
+        return CURL_SOCKET_BAD;   /* FIN received */
     }
 /* Minix 3.1 doesn't support any flags on recv; just assume socket is OK */
 #ifdef MSG_PEEK
@@ -1122,13 +1114,13 @@
       char buf;
       if(recv((RECV_TYPE_ARG1)c->sock[FIRSTSOCKET], (RECV_TYPE_ARG2)&buf,
               (RECV_TYPE_ARG3)1, (RECV_TYPE_ARG4)MSG_PEEK) == 0) {
-        *param_longp = -1;   /* FIN received */
+        return CURL_SOCKET_BAD;   /* FIN received */
       }
     }
 #endif
   }
   else
-    *param_longp = -1;
+    return CURL_SOCKET_BAD;
 
-  return CURLE_OK;
+  return sockfd;
 }

=== modified file 'lib/connect.h'
--- lib/connect.h	2010-06-16 19:25:37 +0000
+++ lib/connect.h	2010-10-18 11:13:17 +0000
@@ -47,11 +47,10 @@
  * Used to extract socket and connectdata struct for the most recent
  * transfer on the given SessionHandle.
  *
- * The socket 'long' will be -1 in case of failure!
+ * The returned socket will be CURL_SOCKET_BAD in case of failure!
  */
-CURLcode Curl_getconnectinfo(struct SessionHandle *data,
-                             long *param_longp,
-                             struct connectdata **connp);
+curl_socket_t Curl_getconnectinfo(struct SessionHandle *data,
+                                  struct connectdata **connp);
 
 #ifdef WIN32
 /* When you run a program that uses the Windows Sockets API, you may

=== modified file 'lib/content_encoding.c'
--- lib/content_encoding.c	2010-06-16 19:25:37 +0000
+++ lib/content_encoding.c	2010-10-18 11:13:17 +0000
@@ -123,7 +123,9 @@
       }
 
       /* Done with these bytes, exit */
-      if(status == Z_OK && z->avail_in == 0) {
+
+      /* status is always Z_OK at this point! */
+      if(z->avail_in == 0) {
         free(decomp);
         return result;
       }

=== modified file 'lib/curl_config.h.in'
--- lib/curl_config.h.in	2010-08-12 08:20:48 +0000
+++ lib/curl_config.h.in	2010-10-18 11:13:17 +0000
@@ -24,6 +24,9 @@
 /* to disable FTP */
 #undef CURL_DISABLE_FTP
 
+/* to disable Gopher */
+#undef CURL_DISABLE_GOPHER
+
 /* to disable HTTP */
 #undef CURL_DISABLE_HTTP
 
@@ -361,6 +364,9 @@
 /* Define to 1 if you have the `ldap_url_parse' function. */
 #undef HAVE_LDAP_URL_PARSE
 
+/* Define to 1 if you have the `gcrypt' library (-lgcrypt). */
+#undef HAVE_LIBGCRYPT
+
 /* Define to 1 if you have the <libgen.h> header file. */
 #undef HAVE_LIBGEN_H
 
@@ -373,9 +379,6 @@
 /* Define to 1 if you have the `resolve' library (-lresolve). */
 #undef HAVE_LIBRESOLVE
 
-/* Define to 1 if you have the `rtmp' library (-lrtmp). */
-#undef HAVE_LIBRTMP
-
 /* Define to 1 if you have the <librtmp/rtmp.h> header file. */
 #undef HAVE_LIBRTMP_RTMP_H
 

=== modified file 'lib/curl_sspi.c'
--- lib/curl_sspi.c	2010-04-28 18:40:27 +0000
+++ lib/curl_sspi.c	2010-10-18 11:13:17 +0000
@@ -36,6 +36,9 @@
 #include "memdebug.h"
 
 
+/* We use our own typedef here since some headers might lack these */
+typedef PSecurityFunctionTableA (APIENTRY *INITSECURITYINTERFACE_FN_A)(VOID);
+
 /* Handle of security.dll or secur32.dll, depending on Windows version */
 HMODULE s_hSecDll = NULL;
 
@@ -59,7 +62,7 @@
 Curl_sspi_global_init(void)
 {
   OSVERSIONINFO osver;
-  INIT_SECURITY_INTERFACE_A pInitSecurityInterface;
+  INITSECURITYINTERFACE_FN_A pInitSecurityInterface;
 
   /* If security interface is not yet initialized try to do this */
   if(s_hSecDll == NULL) {
@@ -84,7 +87,7 @@
       return CURLE_FAILED_INIT;
 
     /* Get address of the InitSecurityInterfaceA function from the SSPI dll */
-    pInitSecurityInterface = (INIT_SECURITY_INTERFACE_A)
+    pInitSecurityInterface = (INITSECURITYINTERFACE_FN_A)
       GetProcAddress(s_hSecDll, "InitSecurityInterfaceA");
     if(! pInitSecurityInterface)
       return CURLE_FAILED_INIT;

=== modified file 'lib/easy.c'
--- lib/easy.c	2010-06-16 19:25:37 +0000
+++ lib/easy.c	2010-10-18 11:13:17 +0000
@@ -700,8 +700,9 @@
     }
 
 #ifdef USE_ARES
-    /* If we use ares, we setup a new ares channel for the new handle */
-    if(ARES_SUCCESS != ares_init(&outcurl->state.areschannel))
+    /* If we use ares, we clone the ares channel for the new handle */
+    if(ARES_SUCCESS != ares_dup(&outcurl->state.areschannel,
+                                data->state.areschannel))
       break;
 #endif
 
@@ -1072,9 +1073,6 @@
                                 curl_socket_t *sfd,
                                 struct connectdata **connp)
 {
-  CURLcode ret;
-  long sockfd;
-
   if(data == NULL)
     return CURLE_BAD_FUNCTION_ARGUMENT;
 
@@ -1084,18 +1082,13 @@
     return CURLE_UNSUPPORTED_PROTOCOL;
   }
 
-  ret = Curl_getconnectinfo(data, &sockfd, connp);
-  if(ret != CURLE_OK)
-    return ret;
+  *sfd = Curl_getconnectinfo(data, connp);
 
-  if(sockfd == -1) {
+  if(*sfd == CURL_SOCKET_BAD) {
     failf(data, "Failed to get recent socket");
     return CURLE_UNSUPPORTED_PROTOCOL;
   }
 
-  *sfd = (curl_socket_t)sockfd; /* we know that this is actually a socket
-                                   descriptor so the typecast is fine here */
-
   return CURLE_OK;
 }
 

=== modified file 'lib/escape.c'
--- lib/escape.c	2010-04-28 18:40:27 +0000
+++ lib/escape.c	2010-10-18 11:13:17 +0000
@@ -43,8 +43,10 @@
 #include "memdebug.h"
 
 /* Portable character check (remember EBCDIC). Do not use isalnum() because
-its behavior is altered by the current locale. */
-static bool Curl_isalnum(unsigned char in)
+   its behavior is altered by the current locale.
+   See http://tools.ietf.org/html/rfc3986#section-2.3
+*/
+static bool Curl_isunreserved(unsigned char in)
 {
   switch (in) {
     case '0': case '1': case '2': case '3': case '4':
@@ -59,6 +61,7 @@
     case 'K': case 'L': case 'M': case 'N': case 'O':
     case 'P': case 'Q': case 'R': case 'S': case 'T':
     case 'U': case 'V': case 'W': case 'X': case 'Y': case 'Z':
+    case '-': case '.': case '_': case '~':
       return TRUE;
     default:
       break;
@@ -100,7 +103,7 @@
   while(length--) {
     in = *string;
 
-    if (Curl_isalnum(in)) {
+    if (Curl_isunreserved(in)) {
       /* just copy this */
       ns[strindex++]=in;
     }

=== modified file 'lib/ftp.c'
--- lib/ftp.c	2010-08-12 08:20:48 +0000
+++ lib/ftp.c	2010-10-18 11:13:17 +0000
@@ -324,7 +324,7 @@
   for(;;) {
     timeout_ms = Curl_timeleft(conn, NULL, TRUE);
 
-    if(timeout_ms <= 0) {
+    if(timeout_ms < 0) {
       /* if a timeout was already reached, bail out */
       failf(data, "Timeout while waiting for server connect");
       return CURLE_OPERATION_TIMEDOUT;
@@ -2424,7 +2424,7 @@
            set a valid level */
         Curl_sec_request_prot(conn, data->set.str[STRING_KRB_LEVEL]);
 
-        if(Curl_sec_login(conn) != 0)
+        if(Curl_sec_login(conn) != CURLE_OK)
           infof(data, "Logging in with password in cleartext!\n");
         else
           infof(data, "Authentication successful\n");
@@ -3076,10 +3076,6 @@
   /* free the dir tree and file parts */
   freedirs(ftpc);
 
-#if defined(HAVE_KRB4) || defined(HAVE_GSSAPI)
-  Curl_sec_fflush_fd(conn, conn->sock[SECONDARYSOCKET]);
-#endif
-
   /* shut down the socket to inform the server we're done */
 
 #ifdef _WIN32_WCE
@@ -3864,6 +3860,10 @@
 
   Curl_pp_disconnect(pp);
 
+#if defined(HAVE_KRB4) || defined(HAVE_GSSAPI)
+  Curl_sec_end(conn);
+#endif
+
   return CURLE_OK;
 }
 

=== modified file 'lib/getinfo.c'
--- lib/getinfo.c	2010-06-16 19:25:37 +0000
+++ lib/getinfo.c	2010-10-18 11:13:17 +0000
@@ -83,6 +83,7 @@
   char **param_charp=NULL;
   struct curl_slist **param_slistp=NULL;
   int type;
+  curl_socket_t sockfd;
 
   union {
     struct curl_certinfo * to_certinfo;
@@ -219,7 +220,16 @@
     *param_charp = data->state.most_recent_ftp_entrypath;
     break;
   case CURLINFO_LASTSOCKET:
-    (void)Curl_getconnectinfo(data, param_longp, NULL);
+    sockfd = Curl_getconnectinfo(data, NULL);
+
+    /* note: this is not a good conversion for systems with 64 bit sockets and
+       32 bit longs */
+    if(sockfd != CURL_SOCKET_BAD)
+      *param_longp = (long)sockfd;
+    else
+      /* this interface is documented to return -1 in case of badness, which
+         may not be the same as the CURL_SOCKET_BAD value */
+      *param_longp = -1;
     break;
   case CURLINFO_REDIRECT_URL:
     /* Return the URL this request would have been redirected to if that

=== added file 'lib/gopher.c'
--- lib/gopher.c	1970-01-01 00:00:00 +0000
+++ lib/gopher.c	2010-10-18 11:13:17 +0000
@@ -0,0 +1,208 @@
+/***************************************************************************
+ *                                  _   _ ____  _
+ *  Project                     ___| | | |  _ \| |
+ *                             / __| | | | |_) | |
+ *                            | (__| |_| |  _ <| |___
+ *                             \___|\___/|_| \_\_____|
+ *
+ * Copyright (C) 1998 - 2010, Daniel Stenberg, <daniel@haxx.se>, et al.
+ *
+ * This software is licensed as described in the file COPYING, which
+ * you should have received as part of this distribution. The terms
+ * are also available at http://curl.haxx.se/docs/copyright.html.
+ *
+ * You may opt to use, copy, modify, merge, publish, distribute and/or sell
+ * copies of the Software, and permit persons to whom the Software is
+ * furnished to do so, under the terms of the COPYING file.
+ *
+ * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
+ * KIND, either express or implied.
+ *
+ ***************************************************************************/
+
+#include "setup.h"
+
+#ifndef CURL_DISABLE_GOPHER
+
+/* -- WIN32 approved -- */
+#include <stdio.h>
+#include <string.h>
+#include <stdarg.h>
+#include <stdlib.h>
+#include <ctype.h>
+
+#ifdef WIN32
+#include <time.h>
+#include <io.h>
+#else
+#ifdef HAVE_SYS_SOCKET_H
+#include <sys/socket.h>
+#endif
+#include <netinet/in.h>
+#ifdef HAVE_SYS_TIME_H
+#include <sys/time.h>
+#endif
+#ifdef HAVE_UNISTD_H
+#include <unistd.h>
+#endif
+#include <netdb.h>
+#ifdef HAVE_ARPA_INET_H
+#include <arpa/inet.h>
+#endif
+#ifdef HAVE_NET_IF_H
+#include <net/if.h>
+#endif
+#ifdef HAVE_SYS_IOCTL_H
+#include <sys/ioctl.h>
+#endif
+
+#ifdef HAVE_SYS_PARAM_H
+#include <sys/param.h>
+#endif
+
+#ifdef HAVE_SYS_SELECT_H
+#include <sys/select.h>
+#endif
+
+
+#endif
+
+#include "urldata.h"
+#include <curl/curl.h>
+#include "transfer.h"
+#include "sendf.h"
+
+#include "progress.h"
+#include "strequal.h"
+#include "gopher.h"
+#include "rawstr.h"
+#include "select.h"
+#include "url.h"
+
+#define _MPRINTF_REPLACE /* use our functions only */
+#include <curl/mprintf.h>
+
+/* The last #include file should be: */
+#include "memdebug.h"
+
+
+/*
+ * Forward declarations.
+ */
+
+static CURLcode gopher_do(struct connectdata *conn, bool *done);
+
+/*
+ * Gopher protocol handler.
+ * This is also a nice simple template to build off for simple
+ * connect-command-download protocols.
+ */
+
+const struct Curl_handler Curl_handler_gopher = {
+  "GOPHER",                             /* scheme */
+  ZERO_NULL,                            /* setup_connection */
+  gopher_do,                            /* do_it */
+  ZERO_NULL,                            /* done */
+  ZERO_NULL,                            /* do_more */
+  ZERO_NULL,                            /* connect_it */
+  ZERO_NULL,                            /* connecting */
+  ZERO_NULL,                            /* doing */
+  ZERO_NULL,                            /* proto_getsock */
+  ZERO_NULL,                            /* doing_getsock */
+  ZERO_NULL,                            /* perform_getsock */
+  ZERO_NULL,                            /* disconnect */
+  PORT_GOPHER,                          /* defport */
+  PROT_GOPHER                           /* protocol */
+};
+
+static CURLcode gopher_do(struct connectdata *conn, bool *done)
+{
+  CURLcode result=CURLE_OK;
+  struct SessionHandle *data=conn->data;
+  curl_socket_t sockfd = conn->sock[FIRSTSOCKET];
+
+  curl_off_t *bytecount = &data->req.bytecount;
+  char *path = data->state.path;
+  char *sel;
+  char *sel_org = NULL;
+  ssize_t amount, k;
+
+  *done = TRUE; /* unconditionally */
+
+  /* Create selector. Degenerate cases: / and /1 => convert to "" */
+  if (strlen(path) <= 2)
+    sel = (char *)"";
+  else {
+    char *newp;
+    size_t j, i;
+    int len;
+
+    /* Otherwise, drop / and the first character (i.e., item type) ... */
+    newp = path;
+    newp+=2;
+
+    /* ... then turn ? into TAB for search servers, Veronica, etc. ... */
+    j = strlen(newp);
+    for(i=0; i<j; i++)
+      if(newp[i] == '?')
+        newp[i] = '\x09';
+
+    /* ... and finally unescape */
+    sel = curl_easy_unescape(data, newp, 0, &len);
+    if (!sel)
+      return CURLE_OUT_OF_MEMORY;
+    sel_org = sel;
+  }
+
+  /* We use Curl_write instead of Curl_sendf to make sure the entire buffer is
+     sent, which could be sizeable with long selectors. */
+  k = strlen(sel);
+
+  for(;;) {
+    result = Curl_write(conn, sockfd, sel, k, &amount);
+    if (CURLE_OK == result) { /* Which may not have written it all! */
+      result = Curl_client_write(conn, CLIENTWRITE_HEADER, sel, amount);
+      if(result) {
+        Curl_safefree(sel_org);
+        return result;
+      }
+      k -= amount;
+      sel += amount;
+      if (k < 1)
+        break; /* but it did write it all */
+    }
+    else {
+      failf(data, "Failed sending Gopher request");
+      Curl_safefree(sel_org);
+      return result;
+    }
+    /* Don't busyloop. The entire loop thing is a work-around as it causes a
+       BLOCKING behavior which is a NO-NO. This function should rather be
+       split up in a do and a doing piece where the pieces that aren't
+       possible to send now will be sent in the doing function repeatedly
+       until the entire request is sent.
+
+       Wait a while for the socket to be writable. Note that this doesn't
+       acknowledge the timeout.
+    */
+    Curl_socket_ready(CURL_SOCKET_BAD, sockfd, 100);
+  }
+
+  Curl_safefree(sel_org);
+
+  /* We can use Curl_sendf to send the terminal \r\n relatively safely and
+     save allocing another string/doing another _write loop. */
+  result = Curl_sendf(sockfd, conn, "\r\n");
+  if (result != CURLE_OK) {
+    failf(data, "Failed sending Gopher request");
+    return result;
+  }
+  result = Curl_client_write(conn, CLIENTWRITE_HEADER, (char *)"\r\n", 2);
+  if(result)
+    return result;
+
+  Curl_setup_transfer(conn, FIRSTSOCKET, -1, FALSE, bytecount,
+                      -1, NULL); /* no upload */
+  return CURLE_OK;
+}
+#endif /*CURL_DISABLE_GOPHER*/

=== added file 'lib/gopher.h'
--- lib/gopher.h	1970-01-01 00:00:00 +0000
+++ lib/gopher.h	2010-10-18 11:13:17 +0000
@@ -0,0 +1,29 @@
+#ifndef HEADER_CURL_GOPHER_H
+#define HEADER_CURL_GOPHER_H
+/***************************************************************************
+ *                                  _   _ ____  _
+ *  Project                     ___| | | |  _ \| |
+ *                             / __| | | | |_) | |
+ *                            | (__| |_| |  _ <| |___
+ *                             \___|\___/|_| \_\_____|
+ *
+ * Copyright (C) 1998 - 2009, Daniel Stenberg, <daniel@haxx.se>, et al.
+ *
+ * This software is licensed as described in the file COPYING, which
+ * you should have received as part of this distribution. The terms
+ * are also available at http://curl.haxx.se/docs/copyright.html.
+ *
+ * You may opt to use, copy, modify, merge, publish, distribute and/or sell
+ * copies of the Software, and permit persons to whom the Software is
+ * furnished to do so, under the terms of the COPYING file.
+ *
+ * This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
+ * KIND, either express or implied.
+ *
+ ***************************************************************************/
+
+#ifndef CURL_DISABLE_GOPHER
+extern const struct Curl_handler Curl_handler_gopher;
+#endif
+
+#endif /* HEADER_CURL_GOPHER_H */

=== modified file 'lib/hostthre.c'
--- lib/hostthre.c	2010-08-12 08:20:48 +0000
+++ lib/hostthre.c	2010-10-18 11:13:17 +0000
@@ -419,8 +419,6 @@
 
   if (done) {
     getaddrinfo_complete(conn);
-    if (td->poll_interval != 0)
-        Curl_expire(conn->data, 0);
     Curl_destroy_thread_data(&conn->async);
 
     if(!conn->async.dns) {
@@ -431,29 +429,21 @@
     *entry = conn->async.dns;
   } else {
     /* poll for name lookup done with exponential backoff up to 250ms */
-    int elapsed;
-
-    elapsed = Curl_tvdiff(Curl_tvnow(), data->progress.t_startsingle);
-    if (elapsed < 0) {
+    int elapsed = Curl_tvdiff(Curl_tvnow(), data->progress.t_startsingle);
+    if (elapsed < 0)
       elapsed = 0;
-    }
 
-    if (td->poll_interval == 0) {
+    if (td->poll_interval == 0)
       /* Start at 1ms poll interval */
       td->poll_interval = 1;
-    } else if (elapsed >= td->interval_end) {
+    else if (elapsed >= td->interval_end)
       /* Back-off exponentially if last interval expired  */
       td->poll_interval *= 2;
-    }
 
     if (td->poll_interval > 250)
       td->poll_interval = 250;
 
     td->interval_end = elapsed + td->poll_interval;
-
-    /* Reset old timer so we can set a new one further in the future */
-    Curl_expire(conn->data, 0);
-
     Curl_expire(conn->data, td->poll_interval);
   }
 

=== modified file 'lib/http.c'
--- lib/http.c	2010-08-12 08:20:48 +0000
+++ lib/http.c	2010-10-18 11:13:17 +0000
@@ -2894,6 +2894,8 @@
         }
         if(result)
           return result;
+        /* Make sure the progress information is accurate */
+        Curl_pgrsSetUploadSize(data, postsize);
       }
       else {
         /* A huge POST coming up, do data separate from the request */
@@ -3291,13 +3293,6 @@
       data->req.deductheadercount =
         (100 <= k->httpcode && 199 >= k->httpcode)?data->req.headerbytecount:0;
 
-      if(data->state.resume_from &&
-         (data->set.httpreq==HTTPREQ_GET) &&
-         (k->httpcode == 416)) {
-        /* "Requested Range Not Satisfiable" */
-        *stop_reading = TRUE;
-      }
-
       if(!*stop_reading) {
         /* Curl_http_auth_act() checks what authentication methods
          * that are available and decides which one (if any) to
@@ -3510,9 +3505,6 @@
            * message-body, and thus is always terminated by the first
            * empty line after the header fields. */
           /* FALLTHROUGH */
-        case 416: /* Requested Range Not Satisfiable, it has the
-                     Content-Length: set as the "real" document but no
-                     actual response is sent. */
         case 304:
           /* (quote from RFC2616, section 10.3.5): The 304 response
            * MUST NOT contain a message-body, and thus is always
@@ -3544,10 +3536,7 @@
     /* Curl_convert_from_network calls failf if unsuccessful */
 #endif /* CURL_DOES_CONVERSIONS */
 
-    /* Check for Content-Length: header lines to get size. Ignore
-       the header completely if we get a 416 response as then we're
-       resuming a document that we don't get, and this header contains
-       info about the true size of the document we didn't get now. */
+    /* Check for Content-Length: header lines to get size */
     if(!k->ignorecl && !data->set.ignorecl &&
        checkprefix("Content-Length:", k->p)) {
       curl_off_t contentlength = curlx_strtoofft(k->p+15, NULL, 10);
@@ -3645,20 +3634,6 @@
       /* init our chunky engine */
       Curl_httpchunk_init(conn);
     }
-
-    else if(checkprefix("Trailer:", k->p) ||
-            checkprefix("Trailers:", k->p)) {
-      /*
-       * This test helps Curl_httpchunk_read() to determine to look
-       * for well formed trailers after the zero chunksize record. In
-       * this case a CRLF is required after the zero chunksize record
-       * when no trailers are sent, or after the last trailer record.
-       *
-       * It seems both Trailer: and Trailers: occur in the wild.
-       */
-      k->trailerhdrpresent = TRUE;
-    }
-
     else if(checkprefix("Content-Encoding:", k->p) &&
             data->set.str[STRING_ENCODING]) {
       /*

=== modified file 'lib/http_chunks.c'
--- lib/http_chunks.c	2010-04-28 18:40:27 +0000
+++ lib/http_chunks.c	2010-10-18 11:13:17 +0000
@@ -184,22 +184,8 @@
       if(*datap == 0x0a) {
         /* we're now expecting data to come, unless size was zero! */
         if(0 == ch->datasize) {
-          if(k->trailerhdrpresent!=TRUE) {
-            /* No Trailer: header found - revert to original Curl processing */
-            ch->state = CHUNK_STOPCR;
-
-            /* We need to increment the datap here since we bypass the
-               increment below with the immediate break */
-            length--;
-            datap++;
-
-            /* This is the final byte, continue to read the final CRLF */
-            break;
-          }
-          else {
-            ch->state = CHUNK_TRAILER; /* attempt to read trailers */
-            conn->trlPos=0;
-          }
+          ch->state = CHUNK_TRAILER; /* now check for trailers */
+          conn->trlPos=0;
         }
         else {
           ch->state = CHUNK_DATA;
@@ -280,9 +266,9 @@
         datap++;
         length--;
       }
-      else {
+      else
         return CHUNKE_BAD_CHUNK;
-      }
+
       break;
 
     case CHUNK_POSTLF:
@@ -295,80 +281,32 @@
         datap++;
         length--;
       }
-      else {
+      else
         return CHUNKE_BAD_CHUNK;
-      }
 
       break;
 
     case CHUNK_TRAILER:
-      /* conn->trailer is assumed to be freed in url.c on a
-         connection basis */
-      if(conn->trlPos >= conn->trlMax) {
-        /* in this logic we always allocate one byte more than trlMax
-           contains, just because CHUNK_TRAILER_POSTCR will append two bytes
-           so we need to make sure we have room for an extra byte */
-        char *ptr;
-        if(conn->trlMax) {
-          conn->trlMax *= 2;
-          ptr = realloc(conn->trailer, conn->trlMax + 1);
-        }
-        else {
-          conn->trlMax=128;
-          ptr = malloc(conn->trlMax + 1);
-        }
-        if(!ptr)
-          return CHUNKE_OUT_OF_MEMORY;
-        conn->trailer = ptr;
-      }
-      conn->trailer[conn->trlPos++]=*datap;
-
-      if(*datap == 0x0d)
-        ch->state = CHUNK_TRAILER_CR;
-      else {
-        datap++;
-        length--;
-      }
-      break;
-
-    case CHUNK_TRAILER_CR:
       if(*datap == 0x0d) {
-        ch->state = CHUNK_TRAILER_POSTCR;
-        datap++;
-        length--;
-      }
-      else
-        return CHUNKE_BAD_CHUNK;
-      break;
-
-    case CHUNK_TRAILER_POSTCR:
-      if(*datap == 0x0a) {
-        conn->trailer[conn->trlPos++]=0x0a;
-        conn->trailer[conn->trlPos]=0;
-        if(conn->trlPos==2) {
-          ch->state = CHUNK_STOP;
-          length--;
-
-          /*
-           * Note that this case skips over the final STOP states since we've
-           * already read the final CRLF and need to return
-           */
-
-          ch->dataleft = length;
-
-          return CHUNKE_STOP; /* return stop */
-        }
-        else {
+        /* this is the end of a trailer, but if the trailer was zero bytes
+           there was no trailer and we move on */
+
+        if(conn->trlPos) {
+          /* we allocate trailer with 3 bytes extra room to fit this */
+          conn->trailer[conn->trlPos++]=0x0d;
+          conn->trailer[conn->trlPos++]=0x0a;
+          conn->trailer[conn->trlPos]=0;
+
 #ifdef CURL_DOES_CONVERSIONS
           /* Convert to host encoding before calling Curl_client_write */
           result = Curl_convert_from_network(conn->data,
                                              conn->trailer,
                                              conn->trlPos);
-          if(result != CURLE_OK) {
+          if(result != CURLE_OK)
             /* Curl_convert_from_network calls failf if unsuccessful */
             /* Treat it as a bad chunk */
-            return(CHUNKE_BAD_CHUNK);
-          }
+            return CHUNKE_BAD_CHUNK;
+
 #endif /* CURL_DOES_CONVERSIONS */
           if(!data->set.http_te_skip) {
             result = Curl_client_write(conn, CLIENTWRITE_HEADER,
@@ -376,14 +314,63 @@
             if(result)
               return CHUNKE_WRITE_ERROR;
           }
-        }
+          conn->trlPos=0;
+          ch->state = CHUNK_TRAILER_CR;
+        }
+        else {
+          /* no trailer, we're on the final CRLF pair */
+          ch->state = CHUNK_TRAILER_POSTCR;
+          break; /* don't advance the pointer */
+        }
+      }
+      else {
+        /* conn->trailer is assumed to be freed in url.c on a
+           connection basis */
+        if(conn->trlPos >= conn->trlMax) {
+          /* we always allocate three extra bytes, just because when the full
+             header has been received we append CRLF\0 */
+          char *ptr;
+          if(conn->trlMax) {
+            conn->trlMax *= 2;
+            ptr = realloc(conn->trailer, conn->trlMax + 3);
+          }
+          else {
+            conn->trlMax=128;
+            ptr = malloc(conn->trlMax + 3);
+          }
+          if(!ptr)
+            return CHUNKE_OUT_OF_MEMORY;
+          conn->trailer = ptr;
+        }
+        fprintf(stderr, "MOO: %c\n", *datap);
+        conn->trailer[conn->trlPos++]=*datap;
+      }
+      datap++;
+      length--;
+      break;
+
+    case CHUNK_TRAILER_CR:
+      if(*datap == 0x0a) {
+        ch->state = CHUNK_TRAILER_POSTCR;
+        datap++;
+        length--;
+      }
+      else
+        return CHUNKE_BAD_CHUNK;
+      break;
+
+    case CHUNK_TRAILER_POSTCR:
+      /* We enter this state when a CR should arrive so we expect to
+         have to first pass a CR before we wait for LF */
+      if(*datap != 0x0d) {
+        /* not a CR then it must be another header in the trailer */
         ch->state = CHUNK_TRAILER;
-        conn->trlPos=0;
-        datap++;
-        length--;
+        break;
       }
-      else
-        return CHUNKE_BAD_CHUNK;
+      datap++;
+      length--;
+      /* now wait for the final LF */
+      ch->state = CHUNK_STOP;
       break;
 
     case CHUNK_STOPCR:
@@ -394,9 +381,8 @@
         datap++;
         length--;
       }
-      else {
+      else
         return CHUNKE_BAD_CHUNK;
-      }
       break;
 
     case CHUNK_STOP:
@@ -409,9 +395,8 @@
         ch->dataleft = length;
         return CHUNKE_STOP; /* return stop */
       }
-      else {
+      else
         return CHUNKE_BAD_CHUNK;
-      }
 
     default:
       return CHUNKE_STATE_ERROR;

=== modified file 'lib/http_digest.c'
--- lib/http_digest.c	2010-04-28 18:40:27 +0000
+++ lib/http_digest.c	2010-10-18 11:13:17 +0000
@@ -5,7 +5,7 @@
  *                            | (__| |_| |  _ <| |___
  *                             \___|\___/|_| \_\_____|
  *
- * Copyright (C) 1998 - 2009, Daniel Stenberg, <daniel@haxx.se>, et al.
+ * Copyright (C) 1998 - 2010, Daniel Stenberg, <daniel@haxx.se>, et al.
  *
  * This software is licensed as described in the file COPYING, which
  * you should have received as part of this distribution. The terms
@@ -129,7 +129,6 @@
                              const char *header) /* rest of the *-authenticate:
                                                     header */
 {
-  bool more = TRUE;
   char *token = NULL;
   char *tmp = NULL;
   bool foundAuth = FALSE;
@@ -159,7 +158,7 @@
     /* clear off any former leftovers and init to defaults */
     Curl_digest_cleanup_one(d);
 
-    while(more) {
+    while(1) {
       char value[MAX_VALUE_LENGTH];
       char content[MAX_CONTENT_LENGTH];
 

=== modified file 'lib/http_negotiate.c'
--- lib/http_negotiate.c	2010-06-16 19:25:37 +0000
+++ lib/http_negotiate.c	2010-10-18 11:13:17 +0000
@@ -5,7 +5,7 @@
  *                            | (__| |_| |  _ <| |___
  *                             \___|\___/|_| \_\_____|
  *
- * Copyright (C) 1998 - 2009, Daniel Stenberg, <daniel@haxx.se>, et al.
+ * Copyright (C) 1998 - 2010, Daniel Stenberg, <daniel@haxx.se>, et al.
  *
  * This software is licensed as described in the file COPYING, which
  * you should have received as part of this distribution. The terms
@@ -277,6 +277,7 @@
     &conn->data->state.negotiate;
   char *encoded = NULL;
   size_t len;
+  char *userp;
 
 #ifdef HAVE_SPNEGO /* Handle SPNEGO */
   if(checkprefix("Negotiate", neg_ctx->protocol)) {
@@ -330,12 +331,16 @@
   if(len == 0)
     return CURLE_OUT_OF_MEMORY;
 
-  conn->allocptr.userpwd =
-    aprintf("%sAuthorization: %s %s\r\n", proxy ? "Proxy-" : "",
-            neg_ctx->protocol, encoded);
+  userp = aprintf("%sAuthorization: %s %s\r\n", proxy ? "Proxy-" : "",
+                  neg_ctx->protocol, encoded);
+
+  if(proxy)
+    conn->allocptr.proxyuserpwd = userp;
+  else
+    conn->allocptr.userpwd = userp;
   free(encoded);
   Curl_cleanup_negotiate (conn->data);
-  return (conn->allocptr.userpwd == NULL) ? CURLE_OUT_OF_MEMORY : CURLE_OK;
+  return (userp == NULL) ? CURLE_OUT_OF_MEMORY : CURLE_OK;
 }
 
 static void cleanup(struct negotiatedata *neg_ctx)

=== modified file 'lib/krb4.h'
--- lib/krb4.h	2010-06-16 19:25:37 +0000
+++ lib/krb4.h	2010-10-18 11:13:17 +0000
@@ -47,7 +47,6 @@
 #endif
 
 CURLcode Curl_krb_kauth(struct connectdata *conn);
-int Curl_sec_fflush_fd(struct connectdata *conn, int fd);
 int Curl_sec_fprintf (struct connectdata *, FILE *, const char *, ...);
 int Curl_sec_getc (struct connectdata *conn, FILE *);
 int Curl_sec_putc (struct connectdata *conn, int, FILE *);
@@ -58,10 +57,10 @@
 int Curl_sec_vfprintf2(struct connectdata *conn, FILE *, const char *, va_list);
 
 void Curl_sec_end (struct connectdata *);
-int Curl_sec_login (struct connectdata *);
+CURLcode Curl_sec_login (struct connectdata *);
 void Curl_sec_prot (int, char **);
 int Curl_sec_request_prot (struct connectdata *conn, const char *level);
-void Curl_sec_set_protection_level(struct connectdata *conn);
+int Curl_sec_set_protection_level(struct connectdata *conn);
 void Curl_sec_status (void);
 
 enum protection_level Curl_set_command_prot(struct connectdata *,

=== modified file 'lib/krb5.c'
--- lib/krb5.c	2010-06-16 19:25:37 +0000
+++ lib/krb5.c	2010-10-18 11:13:17 +0000
@@ -76,9 +76,18 @@
 #define REMOTE_ADDR conn->ip_addr->ai_addr
 
 static int
+krb5_init(void *app_data)
+{
+  gss_ctx_id_t *context = app_data;
+  /* Make sure our context is initialized for krb5_end. */
+  *context = GSS_C_NO_CONTEXT;
+  return 0;
+}
+
+static int
 krb5_check_prot(void *app_data, int level)
 {
-  app_data = NULL; /* prevent compiler warning */
+  (void)app_data; /* unused */
   if(level == prot_confidential)
     return -1;
   return 0;
@@ -161,7 +170,7 @@
 static int
 krb5_auth(void *app_data, struct connectdata *conn)
 {
-  int ret;
+  int ret = AUTH_OK;
   char *p;
   const char *host = conn->host.name;
   ssize_t nread;
@@ -169,7 +178,7 @@
   struct SessionHandle *data = conn->data;
   CURLcode result;
   const char *service = "ftp", *srv_host = "host";
-  gss_buffer_desc gssbuf, _gssresp, *gssresp;
+  gss_buffer_desc input_buffer, output_buffer, _gssresp, *gssresp;
   OM_uint32 maj, min;
   gss_name_t gssname;
   gss_ctx_id_t *context = app_data;
@@ -205,28 +214,31 @@
         return -1;
     }
 
-    gssbuf.value = data->state.buffer;
-    gssbuf.length = snprintf(gssbuf.value, BUFSIZE, "%s@%s", service, host);
-    maj = gss_import_name(&min, &gssbuf, GSS_C_NT_HOSTBASED_SERVICE, &gssname);
+    input_buffer.value = data->state.buffer;
+    input_buffer.length = snprintf(input_buffer.value, BUFSIZE, "%s@%s",
+                                   service, host);
+    maj = gss_import_name(&min, &input_buffer, GSS_C_NT_HOSTBASED_SERVICE,
+                          &gssname);
     if(maj != GSS_S_COMPLETE) {
       gss_release_name(&min, &gssname);
       if(service == srv_host) {
-        Curl_failf(data, "Error importing service name %s", gssbuf.value);
+        Curl_failf(data, "Error importing service name %s", input_buffer.value);
         return AUTH_ERROR;
       }
       service = srv_host;
       continue;
     }
-    {
-      gss_OID t;
-      gss_display_name(&min, gssname, &gssbuf, &t);
-      Curl_infof(data, "Trying against %s\n", gssbuf.value);
-      gss_release_buffer(&min, &gssbuf);
-    }
+    /* We pass NULL as |output_name_type| to avoid a leak. */
+    gss_display_name(&min, gssname, &output_buffer, NULL);
+    Curl_infof(data, "Trying against %s\n", output_buffer.value);
     gssresp = GSS_C_NO_BUFFER;
     *context = GSS_C_NO_CONTEXT;
 
     do {
+      /* Release the buffer at each iteration to avoid leaking: the first time
+         we are releasing the memory from gss_display_name. The last item is
+         taken care by a final gss_release_buffer. */
+      gss_release_buffer(&min, &output_buffer);
       ret = AUTH_OK;
       maj = gss_init_sec_context(&min,
                                  GSS_C_NO_CREDENTIAL,
@@ -238,7 +250,7 @@
                                  &chan,
                                  gssresp,
                                  NULL,
-                                 &gssbuf,
+                                 &output_buffer,
                                  NULL,
                                  NULL);
 
@@ -253,9 +265,9 @@
         break;
       }
 
-      if(gssbuf.length != 0) {
-        if(Curl_base64_encode(data, (char *)gssbuf.value, gssbuf.length, &p)
-           < 1) {
+      if(output_buffer.length != 0) {
+        if(Curl_base64_encode(data, (char *)output_buffer.value,
+                              output_buffer.length, &p) < 1) {
           Curl_infof(data, "Out of memory base64-encoding");
           ret = AUTH_CONTINUE;
           break;
@@ -298,6 +310,7 @@
     } while(maj == GSS_S_CONTINUE_NEEDED);
 
     gss_release_name(&min, &gssname);
+    gss_release_buffer(&min, &output_buffer);
 
     if(gssresp)
       free(_gssresp.value);
@@ -307,14 +320,25 @@
 
     service = srv_host;
   }
+  return ret;
+}
+
+static void krb5_end(void *app_data)
+{
+    OM_uint32 maj, min;
+    gss_ctx_id_t *context = app_data;
+    if (*context != GSS_C_NO_CONTEXT) {
+      maj = gss_delete_sec_context(&min, context, GSS_C_NO_BUFFER);
+      DEBUGASSERT(maj == GSS_S_COMPLETE);
+    }
 }
 
 struct Curl_sec_client_mech Curl_krb5_client_mech = {
     "GSSAPI",
     sizeof(gss_ctx_id_t),
-    NULL, /* init */
+    krb5_init,
     krb5_auth,
-    NULL, /* end */
+    krb5_end,
     krb5_check_prot,
     krb5_overhead,
     krb5_encode,

=== modified file 'lib/libcurl.plist'
--- lib/libcurl.plist	2010-08-12 08:20:48 +0000
+++ lib/libcurl.plist	2010-10-18 11:13:17 +0000
@@ -15,7 +15,7 @@
 	<string>com.libcurl.libcurl</string>
 	
 	<key>CFBundleVersion</key>
-	<string>7.21.1</string>
+	<string>7.21.2</string>
 
 	<key>CFBundleName</key>
 	<string>libcurl</string>
@@ -27,9 +27,9 @@
 	<string>????</string>	
 	
 	<key>CFBundleShortVersionString</key>
-	<string>libcurl 7.21.1</string>
+	<string>libcurl 7.21.2</string>
 	
 	<key>CFBundleGetInfoString</key>
-	<string>libcurl.plist 7.21.1</string>
+	<string>libcurl.plist 7.21.2</string>
 </dict>
 </plist>
\ No newline at end of file

=== modified file 'lib/libcurl.vcproj'
--- lib/libcurl.vcproj	2010-08-12 08:20:48 +0000
+++ lib/libcurl.vcproj	2010-10-18 11:13:17 +0000
@@ -125,6 +125,7 @@
 <File RelativePath="ftplistparser.c"></File>
 <File RelativePath="getenv.c"></File>
 <File RelativePath="getinfo.c"></File>
+<File RelativePath="gopher.c"></File>
 <File RelativePath="gtls.c"></File>
 <File RelativePath="hash.c"></File>
 <File RelativePath="hmac.c"></File>
@@ -222,6 +223,7 @@
 <File RelativePath="ftp.h"></File>
 <File RelativePath="ftplistparser.h"></File>
 <File RelativePath="getinfo.h"></File>
+<File RelativePath="gopher.h"></File>
 <File RelativePath="gtls.h"></File>
 <File RelativePath="hash.h"></File>
 <File RelativePath="hostip.h"></File>

=== modified file 'lib/llist.c'
--- lib/llist.c	2010-08-12 08:20:48 +0000
+++ lib/llist.c	2010-10-18 11:13:17 +0000
@@ -55,7 +55,13 @@
 }
 
 /*
- * Curl_llist_insert_next() returns 1 on success and 0 on failure.
+ * Curl_llist_insert_next()
+ *
+ * Inserts a new list element after the given one 'e'. If the given existing
+ * entry is NULL and the list already has elements, the new one will be
+ * inserted first in the list.
+ *
+ * Returns: 1 on success and 0 on failure.
  */
 int
 Curl_llist_insert_next(struct curl_llist *list, struct curl_llist_element *e,
@@ -73,15 +79,21 @@
     list->tail = ne;
   }
   else {
-    ne->next = e->next;
+    /* if 'e' is NULL here, we insert the new element first in the list */
+    ne->next = e?e->next:list->head;
     ne->prev = e;
-    if(e->next) {
+    if(!e) {
+      list->head->prev = ne;
+      list->head = ne;
+    }
+    else if(e->next) {
       e->next->prev = ne;
     }
     else {
       list->tail = ne;
     }
-    e->next = ne;
+    if(e)
+      e->next = ne;
   }
 
   ++list->size;

=== added file 'lib/mk-ca-bundle.vbs'
--- lib/mk-ca-bundle.vbs	1970-01-01 00:00:00 +0000
+++ lib/mk-ca-bundle.vbs	2010-10-18 11:13:17 +0000
@@ -0,0 +1,271 @@
+'***************************************************************************
+'*                                  _   _ ____  _
+'*  Project                     ___| | | |  _ \| |
+'*                             / __| | | | |_) | |
+'*                            | (__| |_| |  _ <| |___
+'*                             \___|\___/|_| \_\_____|
+'*
+'* Copyright (C) 1998 - 2010, Daniel Stenberg, <daniel@haxx.se>, et al.
+'*
+'* This software is licensed as described in the file COPYING, which
+'* you should have received as part of this distribution. The terms
+'* are also available at http://curl.haxx.se/docs/copyright.html.
+'*
+'* You may opt to use, copy, modify, merge, publish, distribute and/or sell
+'* copies of the Software, and permit persons to whom the Software is
+'* furnished to do so, under the terms of the COPYING file.
+'*
+'* This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
+'* KIND, either express or implied.
+'*
+'***************************************************************************
+'* Script to fetch certdata.txt from Mozilla.org site and create a
+'* ca-bundle.crt for use with OpenSSL / libcurl / libcurl bindings
+'* Requires WinHttp.WinHttpRequest.5.1 and ADODB.Stream which are part of
+'* W2000 SP3 or later, WXP SP1 or later, W2003 Server SP1 or later.
+'* Hacked by Guenter Knauf
+'***************************************************************************
+Option Explicit
+Const myVersion = "0.3.5"
+
+Const myUrl = "http://mxr.mozilla.org/firefox/source/security/nss/lib/ckfw/builtins/certdata.txt?raw=1"
+
+Const myOpenssl = "openssl.exe"
+
+Const myCdSavF = FALSE       ' Flag: save downloaded data to file certdata.txt
+Const myCaBakF = TRUE        ' Flag: backup existing ca-bundle certificate
+Const myAskLiF = TRUE        ' Flag: display certdata.txt license agreement
+Const myAskTiF = TRUE        ' Flag: ask to include certificate text info
+
+'******************* Nothing to configure below! *******************
+Dim objShell, objNetwork, objFSO, objHttp
+Dim myBase, mySelf, myFh, myTmpFh, myCdData, myCdFile, myCaFile, myTmpName, myBakNum, myOptTxt, i
+Set objNetwork = WScript.CreateObject("WScript.Network")
+Set objShell = WScript.CreateObject("WScript.Shell")
+Set objFSO = WScript.CreateObject("Scripting.FileSystemObject")
+Set objHttp = WScript.CreateObject("WinHttp.WinHttpRequest.5.1")
+If objHttp Is Nothing Then Set objHttp = WScript.CreateObject("WinHttp.WinHttpRequest")
+myBase = Left(WScript.ScriptFullName, InstrRev(WScript.ScriptFullName, "\"))
+mySelf = Left(WScript.ScriptName, InstrRev(WScript.ScriptName, ".") - 1) & " " & myVersion
+myCdFile = Mid(myUrl, InstrRev(myUrl, "/") + 1, InstrRev(myUrl, "?") - InstrRev(myUrl, "/") - 1)
+myCaFile = "ca-bundle.crt"
+myTmpName = InputBox("Enter output filename:", mySelf, myCaFile)
+If Not (myTmpName = "") Then
+  myCaFile = myTmpName
+End If
+' Lets ignore SSL invalid cert errors
+objHttp.Option(4) = 256 + 512 + 4096 + 8192
+objHttp.SetTimeouts 0, 5000, 10000, 10000
+objHttp.Open "GET", myUrl, FALSE
+objHttp.setRequestHeader "User-Agent", WScript.ScriptName & "/" & myVersion
+objHttp.Send ""
+If Not (objHttp.statusText = "OK") Then
+  MsgBox("Failed to download '" & myCdFile & "': " & objHttp.statusText), vbCritical, mySelf
+  WScript.Quit 1
+End If
+' Convert data from ResponseBody instead of using ResponseText because of UTF-8
+myCdData = ConvertBinaryData(objHttp.ResponseBody)
+Set objHttp = Nothing
+' Write received data to file if enabled
+If (myCdSavF = TRUE) Then
+  Set myFh = objFSO.OpenTextFile(myCdFile, 2, TRUE)
+  myFh.Write myCdData
+  myFh.Close
+End If
+' Backup exitsing ca-bundle certificate file
+If (myCaBakF = TRUE) Then
+  If objFSO.FileExists(myCaFile) Then
+    Dim myBakFile, b
+    b = 1
+    myBakFile = myCaFile & ".~" & b & "~"
+    While objFSO.FileExists(myBakFile)
+      b = b + 1
+      myBakFile = myCaFile & ".~" & b & "~"
+    Wend
+    Set myTmpFh = objFSO.GetFile(myCaFile)
+    myTmpFh.Move myBakFile
+  End If
+End If
+If (myAskTiF = TRUE) Then
+  If (6 = objShell.PopUp("Do you want to include text information about each certificate?" & vbLf & _
+          "(requires OpenSSL commandline in current directory or in search path)",, _
+          mySelf, vbQuestion + vbYesNo + vbDefaultButton2)) Then
+    myOptTxt = TRUE
+  Else
+    myOptTxt = FALSE
+  End If
+End If
+' Process the received data
+Dim myLines, myPattern, myInsideCert, myInsideLicense, myLicenseText, myNumCerts
+Dim myLabel, myOctets, myData, myPem, myRev, j
+myData = ""
+myLines = Split(myCdData, vbLf, -1)
+Set myFh = objFSO.OpenTextFile(myCaFile, 2, TRUE)
+myFh.Write "##" & vbLf
+myFh.Write "## " & myCaFile & " -- Bundle of CA Root Certificates" & vbLf
+myFh.Write "##" & vbLf
+myFh.Write "## Converted at: " & Now & vbLf
+myFh.Write "##" & vbLf
+myFh.Write "## This is a bundle of X.509 certificates of public Certificate Authorities" & vbLf
+myFh.Write "## (CA). These were automatically extracted from Mozilla's root certificates" & vbLf
+myFh.Write "## file (certdata.txt).  This file can be found in the mozilla source tree:" & vbLf
+myFh.Write "## '/mozilla/security/nss/lib/ckfw/builtins/certdata.txt'" & vbLf
+myFh.Write "##" & vbLf
+myFh.Write "## It contains the certificates in PEM format and therefore" & vbLf
+myFh.Write "## can be directly used with curl / libcurl / php_curl, or with" & vbLf
+myFh.Write "## an Apache+mod_ssl webserver for SSL client authentication." & vbLf
+myFh.Write "## Just configure this file as the SSLCACertificateFile." & vbLf
+myFh.Write "##" & vbLf
+myFh.Write vbLf
+For i = 0 To UBound(myLines)
+  If InstrRev(myLines(i), "CKA_LABEL ") Then
+    myPattern = "^CKA_LABEL\s+[A-Z0-9]+\s+""(.+?)"""
+    myLabel = RegExprFirst(myPattern, myLines(i))
+  End If
+  If (myInsideCert = TRUE) Then
+    If InstrRev(myLines(i), "END") Then
+      myInsideCert = FALSE
+      myFh.Write myLabel & vbLf
+      myFh.Write String(Len(myLabel), "=") & vbLf
+      myPem = "-----BEGIN CERTIFICATE-----" & vbLf & _
+              Base64Encode(myData) & vbLf & _
+              "-----END CERTIFICATE-----" & vbLf
+      If (myOptTxt = FALSE) Then
+        myFh.Write myPem & vbLf
+      Else
+        Dim myCmd, myRval, myTmpIn, myTmpOut
+        myTmpIn = objFSO.GetSpecialFolder(2).Path & "\" & objFSO.GetTempName
+        myTmpOut = objFSO.GetSpecialFolder(2).Path & "\" & objFSO.GetTempName
+        Set myTmpFh = objFSO.OpenTextFile(myTmpIn, 2, TRUE)
+        myTmpFh.Write myPem
+        myTmpFh.Close
+        myCmd = myOpenssl & " x509 -md5 -fingerprint -text -inform PEM" & _
+                " -in " & myTmpIn & " -out " & myTmpOut
+        myRval = objShell.Run (myCmd, 0, TRUE)
+        objFSO.DeleteFile myTmpIn, TRUE
+        If Not (myRval = 0) Then
+          MsgBox("Failed to process PEM cert with OpenSSL commandline!"), vbCritical, mySelf
+          objFSO.DeleteFile myTmpOut, TRUE
+          WScript.Quit 3
+        End If
+        Set myTmpFh = objFSO.OpenTextFile(myTmpOut, 1)
+        myFh.Write myTmpFh.ReadAll & vbLf
+        myTmpFh.Close
+        objFSO.DeleteFile myTmpOut, TRUE
+      End If
+      myData = ""
+      myNumCerts = myNumCerts + 1
+    Else
+      myOctets = Split(myLines(i), "\")
+      For j = 1 To UBound(myOctets)
+        myData = myData & Chr(CByte("&o" & myOctets(j)))
+      Next
+    End If
+  End If
+  If InstrRev(myLines(i), "CVS_ID ") Then
+    myPattern = "^CVS_ID\s+""(.+?)"""
+    myRev = RegExprFirst(myPattern, myLines(i))
+    myFh.Write "# " & myRev & vbLf & vbLf
+  End If
+  If InstrRev(myLines(i), "CKA_VALUE MULTILINE_OCTAL") Then
+    myInsideCert = TRUE
+  End If
+  If InstrRev(myLines(i), "***** BEGIN LICENSE BLOCK *****") Then
+    myInsideLicense = TRUE
+  End If
+  If (myInsideLicense = TRUE) Then
+    myFh.Write myLines(i) & vbLf
+    myLicenseText = myLicenseText & Mid(myLines(i), 2) & vbLf
+  End If
+  If InstrRev(myLines(i), "***** END LICENSE BLOCK *****") Then
+    myInsideLicense = FALSE
+    If (myAskLiF = TRUE) Then
+      If Not (6 = objShell.PopUp(myLicenseText & vbLf & _
+              "Do you agree to the license shown above (required to proceed) ?",, _
+              mySelf, vbQuestion + vbYesNo + vbDefaultButton1)) Then
+        myFh.Close
+        objFSO.DeleteFile myCaFile, TRUE
+        WScript.Quit 2
+      End If
+    End If
+  End If
+Next
+myFh.Close
+objShell.PopUp "Done (" & myNumCerts & " CA certs processed).", 20, mySelf, vbInformation
+WScript.Quit 0
+
+Function ConvertBinaryData(arrBytes)
+  Dim objStream
+  Set objStream = CreateObject("ADODB.Stream")
+  objStream.Open
+  objStream.Type = 1
+  objStream.Write arrBytes
+  objStream.Position = 0
+  objStream.Type = 2
+  objStream.Charset = "ascii"
+  ConvertBinaryData = objStream.ReadText
+  Set objStream = Nothing
+End Function
+
+Function RegExprFirst(SearchPattern, TheString)
+  Dim objRegExp, Matches                        ' create variables.
+  Set objRegExp = New RegExp                    ' create a regular expression.
+  objRegExp.Pattern = SearchPattern             ' sets the search pattern.
+  objRegExp.IgnoreCase = TRUE                   ' set to ignores case.
+  objRegExp.Global = TRUE                       ' set to gloabal search.
+  Set Matches = objRegExp.Execute(TheString)    ' do the search.
+  If (Matches.Count) Then
+    RegExprFirst = Matches(0).SubMatches(0)     ' return first match.
+  Else
+    RegExprFirst = ""
+  End If
+  Set objRegExp = Nothing
+End Function
+
+Function Base64Encode(inData)
+  Const Base64 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"
+  Dim cOut, sOut, I
+
+  'For each group of 3 bytes
+  For I = 1 To Len(inData) Step 3
+    Dim nGroup, pOut, sGroup
+
+    'Create one long from this 3 bytes.
+    nGroup = &H10000 * Asc(Mid(inData, I, 1)) + _
+             &H100 * MyASC(Mid(inData, I + 1, 1)) + _
+             MyASC(Mid(inData, I + 2, 1))
+
+    'Oct splits the long To 8 groups with 3 bits
+    nGroup = Oct(nGroup)
+
+    'Add leading zeros
+    nGroup = String(8 - Len(nGroup), "0") & nGroup
+
+    'Convert To base64
+    pOut = Mid(Base64, CLng("&o" & Mid(nGroup, 1, 2)) + 1, 1) & _
+           Mid(Base64, CLng("&o" & Mid(nGroup, 3, 2)) + 1, 1) & _
+           Mid(Base64, CLng("&o" & Mid(nGroup, 5, 2)) + 1, 1) & _
+           Mid(Base64, CLng("&o" & Mid(nGroup, 7, 2)) + 1, 1)
+
+    'Add the part To OutPut string
+    sOut = sOut + pOut
+
+    'Add a new line For Each 76 chars In dest (76*3/4 = 57)
+    If (I < Len(inData) - 2) Then
+      If (I + 2) Mod 57 = 0 Then sOut = sOut & vbLf
+    End If
+  Next
+  Select Case Len(inData) Mod 3
+    Case 1: '8 bit final
+      sOut = Left(sOut, Len(sOut) - 2) & "=="
+    Case 2: '16 bit final
+      sOut = Left(sOut, Len(sOut) - 1) & "="
+  End Select
+  Base64Encode = sOut
+End Function
+
+Function MyASC(OneChar)
+  If OneChar = "" Then MyASC = 0 Else MyASC = Asc(OneChar)
+End Function
+
+

=== modified file 'lib/multi.c'
--- lib/multi.c	2010-08-12 08:20:48 +0000
+++ lib/multi.c	2010-10-18 11:13:17 +0000
@@ -83,7 +83,7 @@
   CURLM_STATE_TOOFAST,     /* wait because limit-rate exceeded */
   CURLM_STATE_DONE,        /* post data transfer operation */
   CURLM_STATE_COMPLETED,   /* operation complete */
-
+  CURLM_STATE_MSGSENT,     /* the operation complete message is sent */
   CURLM_STATE_LAST /* not a true state, never use this */
 } CURLMstate;
 
@@ -110,7 +110,6 @@
   CURLcode result;   /* previous result */
 
   struct Curl_message msg; /* A single posted message. */
-  int msg_stored; /* a message is stored in 'msg' to return */
 
   /* Array with the plain socket numbers this handle takes care of, in no
      particular order. Note that all sockets are added to the sockhash, where
@@ -137,10 +136,11 @@
   struct Curl_one_easy easy;
 
   int num_easy; /* amount of entries in the linked list above. */
-  int num_msgs; /* amount of messages in the easy handles */
   int num_alive; /* amount of easy handles that are added but have not yet
                     reached COMPLETE state */
 
+  struct curl_llist *msglist; /* a list of messages from completed transfers */
+
   /* callback function and user data pointer for the *socket() API */
   curl_socket_callback socket_cb;
   void *socket_userp;
@@ -192,6 +192,9 @@
                                              struct connectdata *conn);
 static bool isHandleAtHead(struct SessionHandle *handle,
                            struct curl_llist *pipeline);
+static CURLMcode add_next_timeout(struct timeval now,
+                                  struct Curl_multi *multi,
+                                  struct SessionHandle *d);
 
 #ifdef DEBUGBUILD
 static const char * const statename[]={
@@ -211,9 +214,12 @@
   "TOOFAST",
   "DONE",
   "COMPLETED",
+  "MSGSENT",
 };
 #endif
 
+static void multi_freetimeout(void *a, void *b);
+
 /* always use this function to change state, to make debugging easier */
 static void multistate(struct Curl_one_easy *easy, CURLMstate state)
 {
@@ -355,6 +361,33 @@
                          sh_freeentry);
 }
 
+/*
+ * multi_addmsg()
+ *
+ * Called when a transfer is completed. Adds the given msg pointer to
+ * the list kept in the multi handle.
+ */
+static CURLMcode multi_addmsg(struct Curl_multi *multi,
+                              struct Curl_message *msg)
+{
+  if(!Curl_llist_insert_next(multi->msglist, multi->msglist->tail, msg))
+    return CURLM_OUT_OF_MEMORY;
+
+  return CURLM_OK;
+}
+
+/*
+ * multi_freeamsg()
+ *
+ * Callback used by the llist system when a single list entry is destroyed.
+ */
+static void multi_freeamsg(void *a, void *b)
+{
+  (void)a;
+  (void)b;
+}
+
+
 CURLM *curl_multi_init(void)
 {
   struct Curl_multi *multi = calloc(1, sizeof(struct Curl_multi));
@@ -365,27 +398,20 @@
   multi->type = CURL_MULTI_HANDLE;
 
   multi->hostcache = Curl_mk_dnscache();
-  if(!multi->hostcache) {
-    /* failure, free mem and bail out */
-    free(multi);
-    return NULL;
-  }
+  if(!multi->hostcache)
+    goto error;
 
   multi->sockhash = sh_init();
-  if(!multi->sockhash) {
-    /* failure, free mem and bail out */
-    Curl_hash_destroy(multi->hostcache);
-    free(multi);
-    return NULL;
-  }
+  if(!multi->sockhash)
+    goto error;
 
   multi->connc = Curl_mk_connc(CONNCACHE_MULTI, -1L);
-  if(!multi->connc) {
-    Curl_hash_destroy(multi->sockhash);
-    Curl_hash_destroy(multi->hostcache);
-    free(multi);
-    return NULL;
-  }
+  if(!multi->connc)
+    goto error;
+
+  multi->msglist = Curl_llist_alloc(multi_freeamsg);
+  if(!multi->msglist)
+    goto error;
 
   /* Let's make the doubly-linked list a circular list.  This makes
      the linked list code simpler and allows inserting at the end
@@ -394,6 +420,17 @@
   multi->easy.prev = &multi->easy;
 
   return (CURLM *) multi;
+
+  error:
+  if(multi->sockhash)
+    Curl_hash_destroy(multi->sockhash);
+  if(multi->hostcache)
+    Curl_hash_destroy(multi->hostcache);
+  if(multi->connc)
+    Curl_rm_connc(multi->connc);
+
+  free(multi);
+  return NULL;
 }
 
 CURLMcode curl_multi_add_handle(CURLM *multi_handle,
@@ -403,6 +440,7 @@
   struct Curl_one_easy *easy;
   struct closure *cl;
   struct closure *prev=NULL;
+  struct SessionHandle *data = easy_handle;
 
   /* First, make some basic checks that the CURLM handle is a good handle */
   if(!GOOD_MULTI_HANDLE(multi))
@@ -417,6 +455,10 @@
     /* possibly we should create a new unique error code for this condition */
     return CURLM_BAD_EASY_HANDLE;
 
+  data->state.timeoutlist = Curl_llist_alloc(multi_freetimeout);
+  if(!data->state.timeoutlist)
+    return CURLM_OUT_OF_MEMORY;
+
   /* Now, time to add an easy handle to the multi stack */
   easy = calloc(1, sizeof(struct Curl_one_easy));
   if(!easy)
@@ -570,6 +612,7 @@
 {
   struct Curl_multi *multi=(struct Curl_multi *)multi_handle;
   struct Curl_one_easy *easy;
+  struct SessionHandle *data = curl_handle;
 
   /* First, make some basic checks that the CURLM handle is a good handle */
   if(!GOOD_MULTI_HANDLE(multi))
@@ -580,10 +623,10 @@
     return CURLM_BAD_EASY_HANDLE;
 
   /* pick-up from the 'curl_handle' the kept position in the list */
-  easy = ((struct SessionHandle *)curl_handle)->multi_pos;
+  easy = data->multi_pos;
 
   if(easy) {
-    bool premature = (bool)(easy->state != CURLM_STATE_COMPLETED);
+    bool premature = (bool)(easy->state < CURLM_STATE_COMPLETED);
     bool easy_owns_conn = (bool)(easy->easy_conn &&
                                  (easy->easy_conn->data == easy->easy_handle));
 
@@ -613,6 +656,12 @@
        curl_easy_cleanup is called. */
     Curl_expire(easy->easy_handle, 0);
 
+    /* destroy the timeout list that is held in the easy handle */
+    if(data->state.timeoutlist) {
+      Curl_llist_destroy(data->state.timeoutlist, NULL);
+      data->state.timeoutlist = NULL;
+    }
+
     if(easy->easy_handle->dns.hostcachetype == HCACHE_MULTI) {
       /* clear out the usage of the shared DNS cache */
       easy->easy_handle->dns.hostcache = NULL;
@@ -678,6 +727,22 @@
     Curl_easy_addmulti(easy->easy_handle, NULL); /* clear the association
                                                     to this multi handle */
 
+    {
+      /* make sure there's no pending message in the queue sent from this easy
+         handle */
+      struct curl_llist_element *e;
+
+      for(e = multi->msglist->head; e; e = e->next) {
+        struct Curl_message *msg = e->ptr;
+
+        if(msg->extmsg.easy_handle == easy->easy_handle) {
+          Curl_llist_remove(multi->msglist, e, NULL);
+          /* there can only be one from this specific handle */
+          break;
+        }
+      }
+    }
+
     /* make the previous node point to our next */
     if(easy->prev)
       easy->prev->next = easy->next;
@@ -776,6 +841,7 @@
          to be present */
   case CURLM_STATE_TOOFAST:  /* returns 0, so will not select. */
   case CURLM_STATE_COMPLETED:
+  case CURLM_STATE_MSGSENT:
   case CURLM_STATE_INIT:
   case CURLM_STATE_CONNECT:
   case CURLM_STATE_WAITDO:
@@ -863,6 +929,7 @@
 }
 
 static CURLMcode multi_runsingle(struct Curl_multi *multi,
+                                 struct timeval now,
                                  struct Curl_one_easy *easy)
 {
   struct Curl_message *msg = NULL;
@@ -873,10 +940,14 @@
   bool done = FALSE;
   CURLMcode result = CURLM_OK;
   struct SingleRequest *k;
+  struct SessionHandle *data;
+  long timeout_ms;
 
   if(!GOOD_EASY_HANDLE(easy->easy_handle))
     return CURLM_BAD_EASY_HANDLE;
 
+  data = easy->easy_handle;
+
   do {
     /* this is a do-while loop just to allow a break to skip to the end
        of it */
@@ -884,18 +955,18 @@
 
     /* Handle the case when the pipe breaks, i.e., the connection
        we're using gets cleaned up and we're left with nothing. */
-    if(easy->easy_handle->state.pipe_broke) {
-      infof(easy->easy_handle, "Pipe broke: handle 0x%p, url = %s\n",
-            easy, easy->easy_handle->state.path);
+    if(data->state.pipe_broke) {
+      infof(data, "Pipe broke: handle 0x%p, url = %s\n",
+            easy, data->state.path);
 
-      if(easy->state != CURLM_STATE_COMPLETED) {
+      if(easy->state < CURLM_STATE_COMPLETED) {
         /* Head back to the CONNECT state */
         multistate(easy, CURLM_STATE_CONNECT);
         result = CURLM_CALL_MULTI_PERFORM;
         easy->result = CURLE_OK;
       }
 
-      easy->easy_handle->state.pipe_broke = FALSE;
+      data->state.pipe_broke = FALSE;
       easy->easy_conn = NULL;
       break;
     }
@@ -903,31 +974,59 @@
     if(easy->easy_conn && easy->state > CURLM_STATE_CONNECT &&
        easy->state < CURLM_STATE_COMPLETED)
       /* Make sure we set the connection's current owner */
-      easy->easy_conn->data = easy->easy_handle;
+      easy->easy_conn->data = data;
+
+    if(easy->easy_conn && (easy->state >= CURLM_STATE_CONNECT)) {
+      /* we need to wait for the connect state as only then is the
+         start time stored */
+
+      timeout_ms = Curl_timeleft(easy->easy_conn, &now,
+                                 easy->state <= CURLM_STATE_WAITDO);
+
+      if(timeout_ms < 0) {
+        /* Handle timed out */
+        if(easy->state == CURLM_STATE_WAITRESOLVE)
+          failf(data, "Resolving timed out after %ld milliseconds",
+                Curl_tvdiff(now, data->progress.t_startsingle));
+        else if(easy->state == CURLM_STATE_WAITCONNECT)
+          failf(data, "Connection timed out after %ld milliseconds",
+                Curl_tvdiff(now, data->progress.t_startsingle));
+        else {
+          k = &data->req;
+          failf(data, "Operation timed out after %ld milliseconds with %"
+                FORMAT_OFF_T " out of %" FORMAT_OFF_T " bytes received",
+                Curl_tvdiff(now, data->progress.t_startsingle), k->bytecount,
+                k->size);
+        }
+        easy->result = CURLE_OPERATION_TIMEDOUT;
+        multistate(easy, CURLM_STATE_COMPLETED);
+        break;
+      }
+    }
 
     switch(easy->state) {
     case CURLM_STATE_INIT:
       /* init this transfer. */
-      easy->result=Curl_pretransfer(easy->easy_handle);
+      easy->result=Curl_pretransfer(data);
 
       if(CURLE_OK == easy->result) {
         /* after init, go CONNECT */
         multistate(easy, CURLM_STATE_CONNECT);
         result = CURLM_CALL_MULTI_PERFORM;
 
-        easy->easy_handle->state.used_interface = Curl_if_multi;
+        data->state.used_interface = Curl_if_multi;
       }
       break;
 
     case CURLM_STATE_CONNECT:
       /* Connect. We get a connection identifier filled in. */
-      Curl_pgrsTime(easy->easy_handle, TIMER_STARTSINGLE);
-      easy->result = Curl_connect(easy->easy_handle, &easy->easy_conn,
+      Curl_pgrsTime(data, TIMER_STARTSINGLE);
+      easy->result = Curl_connect(data, &easy->easy_conn,
                                   &async, &protocol_connect);
 
       if(CURLE_OK == easy->result) {
         /* Add this handle to the send or pend pipeline */
-        easy->result = addHandleToSendOrPendPipeline(easy->easy_handle,
+        easy->result = addHandleToSendOrPendPipeline(data,
                                                      easy->easy_conn);
         if(CURLE_OK == easy->result) {
           if(async)
@@ -1010,9 +1109,9 @@
 
       if(easy->easy_conn->bits.proxy_connect_closed) {
         /* reset the error buffer */
-        if(easy->easy_handle->set.errorbuffer)
-          easy->easy_handle->set.errorbuffer[0] = '\0';
-        easy->easy_handle->state.errorbuf = FALSE;
+        if(data->set.errorbuffer)
+          data->set.errorbuffer[0] = '\0';
+        data->state.errorbuf = FALSE;
 
         easy->result = CURLE_OK;
         result = CURLM_CALL_MULTI_PERFORM;
@@ -1084,7 +1183,7 @@
       }
       else if(easy->result) {
         /* failure detected */
-        Curl_posttransfer(easy->easy_handle);
+        Curl_posttransfer(data);
         Curl_done(&easy->easy_conn, easy->result, FALSE);
         disconnect_conn = TRUE;
       }
@@ -1093,15 +1192,15 @@
     case CURLM_STATE_WAITDO:
       /* Wait for our turn to DO when we're pipelining requests */
 #ifdef DEBUGBUILD
-      infof(easy->easy_handle, "Conn %ld send pipe %zu inuse %d athead %d\n",
+      infof(data, "Conn %ld send pipe %zu inuse %d athead %d\n",
             easy->easy_conn->connectindex,
             easy->easy_conn->send_pipe->size,
             easy->easy_conn->writechannel_inuse?1:0,
-            isHandleAtHead(easy->easy_handle,
+            isHandleAtHead(data,
                            easy->easy_conn->send_pipe)?1:0);
 #endif
       if(!easy->easy_conn->writechannel_inuse &&
-         isHandleAtHead(easy->easy_handle,
+         isHandleAtHead(data,
                         easy->easy_conn->send_pipe)) {
         /* Grab the channel */
         easy->easy_conn->writechannel_inuse = TRUE;
@@ -1111,7 +1210,7 @@
       break;
 
     case CURLM_STATE_DO:
-      if(easy->easy_handle->set.connect_only) {
+      if(data->set.connect_only) {
         /* keep connection open for application to use the socket */
         easy->easy_conn->bits.close = FALSE;
         multistate(easy, CURLM_STATE_DONE);
@@ -1126,8 +1225,8 @@
         if(CURLE_OK == easy->result) {
           if(!dophase_done) {
             /* some steps needed for wildcard matching */
-            if(easy->easy_handle->set.wildcardmatch) {
-              struct WildcardData *wc = &easy->easy_handle->wildcard;
+            if(data->set.wildcardmatch) {
+              struct WildcardData *wc = &data->wildcard;
               if(wc->state == CURLWC_DONE || wc->state == CURLWC_SKIP) {
                 /* skip some states if it is important */
                 Curl_done(&easy->easy_conn, CURLE_OK, FALSE);
@@ -1176,7 +1275,7 @@
           else
             retry = (bool)(newurl?TRUE:FALSE);
 
-          Curl_posttransfer(easy->easy_handle);
+          Curl_posttransfer(data);
           drc = Curl_done(&easy->easy_conn, easy->result, FALSE);
 
           /* When set to retry the connection, we must to go back to
@@ -1184,7 +1283,7 @@
           if(retry) {
             if ((drc == CURLE_OK) || (drc == CURLE_SEND_ERROR)) {
               follow = FOLLOW_RETRY;
-              drc = Curl_follow(easy->easy_handle, newurl, follow);
+              drc = Curl_follow(data, newurl, follow);
               if(drc == CURLE_OK) {
                 multistate(easy, CURLM_STATE_CONNECT);
                 result = CURLM_CALL_MULTI_PERFORM;
@@ -1209,7 +1308,7 @@
         }
         else {
           /* failure detected */
-          Curl_posttransfer(easy->easy_handle);
+          Curl_posttransfer(data);
           Curl_done(&easy->easy_conn, easy->result, FALSE);
           disconnect_conn = TRUE;
         }
@@ -1238,7 +1337,7 @@
       }
       else {
         /* failure detected */
-        Curl_posttransfer(easy->easy_handle);
+        Curl_posttransfer(data);
         Curl_done(&easy->easy_conn, easy->result, FALSE);
         disconnect_conn = TRUE;
       }
@@ -1264,7 +1363,7 @@
         }
         else {
           /* failure detected */
-          Curl_posttransfer(easy->easy_handle);
+          Curl_posttransfer(data);
           Curl_done(&easy->easy_conn, easy->result, FALSE);
           disconnect_conn = TRUE;
         }
@@ -1273,7 +1372,7 @@
 
     case CURLM_STATE_DO_DONE:
       /* Move ourselves from the send to recv pipeline */
-      moveHandleFromSendToRecvPipeline(easy->easy_handle, easy->easy_conn);
+      moveHandleFromSendToRecvPipeline(data, easy->easy_conn);
       /* Check if we can move pending requests to send pipe */
       checkPendPipeline(easy->easy_conn);
       multistate(easy, CURLM_STATE_WAITPERFORM);
@@ -1283,7 +1382,7 @@
     case CURLM_STATE_WAITPERFORM:
       /* Wait for our turn to PERFORM */
       if(!easy->easy_conn->readchannel_inuse &&
-         isHandleAtHead(easy->easy_handle,
+         isHandleAtHead(data,
                         easy->easy_conn->recv_pipe)) {
         /* Grab the channel */
         easy->easy_conn->readchannel_inuse = TRUE;
@@ -1292,11 +1391,11 @@
       }
 #ifdef DEBUGBUILD
       else {
-        infof(easy->easy_handle, "Conn %ld recv pipe %zu inuse %d athead %d\n",
+        infof(data, "Conn %ld recv pipe %zu inuse %d athead %d\n",
               easy->easy_conn->connectindex,
               easy->easy_conn->recv_pipe->size,
               easy->easy_conn->readchannel_inuse?1:0,
-              isHandleAtHead(easy->easy_handle,
+              isHandleAtHead(data,
                              easy->easy_conn->recv_pipe)?1:0);
       }
 #endif
@@ -1304,36 +1403,50 @@
 
     case CURLM_STATE_TOOFAST: /* limit-rate exceeded in either direction */
       /* if both rates are within spec, resume transfer */
-      if( ( ( easy->easy_handle->set.max_send_speed == 0 ) ||
-            ( easy->easy_handle->progress.ulspeed <
-              easy->easy_handle->set.max_send_speed ) )  &&
-          ( ( easy->easy_handle->set.max_recv_speed == 0 ) ||
-            ( easy->easy_handle->progress.dlspeed <
-              easy->easy_handle->set.max_recv_speed ) )
-        )
+      if( ( (data->set.max_send_speed == 0) ||
+            (data->progress.ulspeed < data->set.max_send_speed ))  &&
+          ( (data->set.max_recv_speed == 0) ||
+            (data->progress.dlspeed < data->set.max_recv_speed) ) )
         multistate(easy, CURLM_STATE_PERFORM);
       break;
 
     case CURLM_STATE_PERFORM:
-      /* check if over speed */
-      if( (  ( easy->easy_handle->set.max_send_speed > 0 ) &&
-             ( easy->easy_handle->progress.ulspeed >
-               easy->easy_handle->set.max_send_speed ) )  ||
-          (  ( easy->easy_handle->set.max_recv_speed > 0 ) &&
-             ( easy->easy_handle->progress.dlspeed >
-               easy->easy_handle->set.max_recv_speed ) )
-        ) {
-        /* Transfer is over the speed limit. Change state.  TODO: Call
-         * Curl_expire() with the time left until we're targeted to be below
-         * the speed limit again. */
-        multistate(easy, CURLM_STATE_TOOFAST );
+      /* check if over send speed */
+      if( (data->set.max_send_speed > 0) &&
+          (data->progress.ulspeed > data->set.max_send_speed) ) {
+        int buffersize;
+
+        multistate(easy, CURLM_STATE_TOOFAST);
+
+        /* calculate upload rate-limitation timeout. */
+        buffersize = (int)(data->set.buffer_size ?
+                           data->set.buffer_size : BUFSIZE);
+        timeout_ms = Curl_sleep_time(data->set.max_send_speed,
+                                     data->progress.ulspeed, buffersize);
+        Curl_expire(data, timeout_ms);
+        break;
+      }
+
+      /* check if over recv speed */
+      if( (data->set.max_recv_speed > 0) &&
+          (data->progress.dlspeed > data->set.max_recv_speed) ) {
+        int buffersize;
+
+        multistate(easy, CURLM_STATE_TOOFAST);
+
+         /* Calculate download rate-limitation timeout. */
+        buffersize = (int)(data->set.buffer_size ?
+                           data->set.buffer_size : BUFSIZE);
+        timeout_ms = Curl_sleep_time(data->set.max_recv_speed,
+                                     data->progress.dlspeed, buffersize);
+        Curl_expire(data, timeout_ms);
         break;
       }
 
       /* read/write data if it is ready to do so */
       easy->result = Curl_readwrite(easy->easy_conn, &done);
 
-      k = &easy->easy_handle->req;
+      k = &data->req;
 
       if(!(k->keepon & KEEP_RECV)) {
         /* We're done receiving */
@@ -1355,7 +1468,7 @@
         if(!(easy->easy_conn->protocol & PROT_DUALCHANNEL))
           easy->easy_conn->bits.close = TRUE;
 
-        Curl_posttransfer(easy->easy_handle);
+        Curl_posttransfer(data);
         Curl_done(&easy->easy_conn, easy->result, FALSE);
       }
       else if(TRUE == done) {
@@ -1368,10 +1481,10 @@
           retry = (bool)(newurl?TRUE:FALSE);
 
         /* call this even if the readwrite function returned error */
-        Curl_posttransfer(easy->easy_handle);
+        Curl_posttransfer(data);
 
         /* we're no longer receving */
-        moveHandleFromRecvToDonePipeline(easy->easy_handle,
+        moveHandleFromRecvToDonePipeline(data,
                                          easy->easy_conn);
 
         /* expire the new receiving pipeline head */
@@ -1383,19 +1496,19 @@
 
         /* When we follow redirects or is set to retry the connection, we must
            to go back to the CONNECT state */
-        if(easy->easy_handle->req.newurl || retry) {
+        if(data->req.newurl || retry) {
           if(!retry) {
             /* if the URL is a follow-location and not just a retried request
                then figure out the URL here */
-            newurl = easy->easy_handle->req.newurl;
-            easy->easy_handle->req.newurl = NULL;
+            newurl = data->req.newurl;
+            data->req.newurl = NULL;
             follow = FOLLOW_REDIR;
           }
           else
             follow = FOLLOW_RETRY;
           easy->result = Curl_done(&easy->easy_conn, CURLE_OK, FALSE);
           if(easy->result == CURLE_OK)
-            easy->result = Curl_follow(easy->easy_handle, newurl, follow);
+            easy->result = Curl_follow(data, newurl, follow);
           if(CURLE_OK == easy->result) {
             multistate(easy, CURLM_STATE_CONNECT);
             result = CURLM_CALL_MULTI_PERFORM;
@@ -1410,10 +1523,10 @@
 
           /* but first check to see if we got a location info even though we're
              not following redirects */
-          if (easy->easy_handle->req.location) {
-            newurl = easy->easy_handle->req.location;
-            easy->easy_handle->req.location = NULL;
-            easy->result = Curl_follow(easy->easy_handle, newurl, FOLLOW_FAKE);
+          if (data->req.location) {
+            newurl = data->req.location;
+            data->req.location = NULL;
+            easy->result = Curl_follow(data, newurl, FOLLOW_FAKE);
             if (easy->result)
               free(newurl);
           }
@@ -1430,9 +1543,9 @@
       if(easy->easy_conn) {
         /* Remove ourselves from the receive and done pipelines. Handle
            should be on one of these lists, depending upon how we got here. */
-        Curl_removeHandleFromPipeline(easy->easy_handle,
+        Curl_removeHandleFromPipeline(data,
                                       easy->easy_conn->recv_pipe);
-        Curl_removeHandleFromPipeline(easy->easy_handle,
+        Curl_removeHandleFromPipeline(data,
                                       easy->easy_conn->done_pipe);
         /* Check if we can move pending requests to send pipe */
         checkPendPipeline(easy->easy_conn);
@@ -1456,8 +1569,8 @@
           easy->easy_conn = NULL;
       }
 
-      if(easy->easy_handle->set.wildcardmatch) {
-        if(easy->easy_handle->wildcard.state != CURLWC_DONE) {
+      if(data->set.wildcardmatch) {
+        if(data->wildcard.state != CURLWC_DONE) {
           /* if a wildcard is set and we are not ending -> lets start again
              with CURLM_STATE_INIT */
           result = CURLM_CALL_MULTI_PERFORM;
@@ -1481,13 +1594,18 @@
       /* Important: reset the conn pointer so that we don't point to memory
          that could be freed anytime */
       easy->easy_conn = NULL;
+
+      Curl_expire(data, 0); /* stop all timers */
       break;
 
+    case CURLM_STATE_MSGSENT:
+      return CURLM_OK; /* do nothing */
+
     default:
       return CURLM_INTERNAL_ERROR;
     }
 
-    if(CURLM_STATE_COMPLETED != easy->state) {
+    if(CURLM_STATE_COMPLETED > easy->state) {
       if(CURLE_OK != easy->result) {
         /*
          * If an error was returned, and we aren't in completed state now,
@@ -1497,17 +1615,17 @@
         /* NOTE: no attempt to disconnect connections must be made
            in the case blocks above - cleanup happens only here */
 
-        easy->easy_handle->state.pipe_broke = FALSE;
+        data->state.pipe_broke = FALSE;
 
         if(easy->easy_conn) {
           /* if this has a connection, unsubscribe from the pipelines */
           easy->easy_conn->writechannel_inuse = FALSE;
           easy->easy_conn->readchannel_inuse = FALSE;
-          Curl_removeHandleFromPipeline(easy->easy_handle,
+          Curl_removeHandleFromPipeline(data,
                                         easy->easy_conn->send_pipe);
-          Curl_removeHandleFromPipeline(easy->easy_handle,
+          Curl_removeHandleFromPipeline(data,
                                         easy->easy_conn->recv_pipe);
-          Curl_removeHandleFromPipeline(easy->easy_handle,
+          Curl_removeHandleFromPipeline(data,
                                         easy->easy_conn->done_pipe);
           /* Check if we can move pending requests to send pipe */
           checkPendPipeline(easy->easy_conn);
@@ -1529,23 +1647,24 @@
         easy->result = CURLE_ABORTED_BY_CALLBACK;
     }
   } while(0);
-  if((CURLM_STATE_COMPLETED == easy->state) && !easy->msg_stored) {
-    if(easy->easy_handle->dns.hostcachetype == HCACHE_MULTI) {
+
+  if(CURLM_STATE_COMPLETED == easy->state) {
+    if(data->dns.hostcachetype == HCACHE_MULTI) {
       /* clear out the usage of the shared DNS cache */
-      easy->easy_handle->dns.hostcache = NULL;
-      easy->easy_handle->dns.hostcachetype = HCACHE_NONE;
+      data->dns.hostcache = NULL;
+      data->dns.hostcachetype = HCACHE_NONE;
     }
 
     /* now fill in the Curl_message with this info */
     msg = &easy->msg;
 
     msg->extmsg.msg = CURLMSG_DONE;
-    msg->extmsg.easy_handle = easy->easy_handle;
+    msg->extmsg.easy_handle = data;
     msg->extmsg.data.result = easy->result;
 
-    easy->msg_stored = 1; /* there is an unread message here */
+    result = multi_addmsg(multi, msg);
 
-    multi->num_msgs++; /* increase message counter */
+    multistate(easy, CURLM_STATE_MSGSENT);
   }
 
   return result;
@@ -1577,7 +1696,7 @@
     }
 
     do
-      result = multi_runsingle(multi, easy);
+      result = multi_runsingle(multi, now, easy);
     while (CURLM_CALL_MULTI_PERFORM == result);
 
     if(easy->easy_handle->set.wildcardmatch) {
@@ -1604,15 +1723,9 @@
    */
   do {
     multi->timetree = Curl_splaygetbest(now, multi->timetree, &t);
-    if(t) {
-      struct SessionHandle *d = t->payload;
-      struct timeval* tv = &d->state.expiretime;
-
-      /* clear the expire times within the handles that we remove from the
-         splay tree */
-      tv->tv_sec = 0;
-      tv->tv_usec = 0;
-    }
+    if(t)
+      /* the removed may have another timeout in queue */
+      (void)add_next_timeout(now, multi, t->payload);
 
   } while(t);
 
@@ -1624,14 +1737,6 @@
   return returncode;
 }
 
-/* This is called when an easy handle is cleanup'ed that is part of a multi
-   handle */
-void Curl_multi_rmeasy(void *multi_handle, CURL *easy_handle)
-{
-  curl_multi_remove_handle(multi_handle, easy_handle);
-}
-
-
 CURLMcode curl_multi_cleanup(CURLM *multi_handle)
 {
   struct Curl_multi *multi=(struct Curl_multi *)multi_handle;
@@ -1672,6 +1777,9 @@
 
     Curl_rm_connc(multi->connc);
 
+    /* remove the pending list of messages */
+    Curl_llist_destroy(multi->msglist, NULL);
+
     /* remove all easy handles */
     easy = multi->easy.next;
     while(easy != &multi->easy) {
@@ -1699,33 +1807,38 @@
     return CURLM_BAD_HANDLE;
 }
 
+/*
+ * curl_multi_info_read()
+ *
+ * This function is the primary way for a multi/multi_socket application to
+ * figure out if a transfer has ended. We MUST make this function as fast as
+ * possible as it will be polled frequently and we MUST NOT scan any lists in
+ * here to figure out things. We must scale fine to thousands of handles and
+ * beyond. The current design is fully O(1).
+ */
+
 CURLMsg *curl_multi_info_read(CURLM *multi_handle, int *msgs_in_queue)
 {
   struct Curl_multi *multi=(struct Curl_multi *)multi_handle;
+  struct Curl_message *msg;
 
   *msgs_in_queue = 0; /* default to none */
 
-  if(GOOD_MULTI_HANDLE(multi)) {
-    struct Curl_one_easy *easy;
-
-    if(!multi->num_msgs)
-      return NULL; /* no messages left to return */
-
-    easy=multi->easy.next;
-    while(easy != &multi->easy) {
-      if(easy->msg_stored) {
-        easy->msg_stored = 0;
-        break;
-      }
-      easy = easy->next;
-    }
-    if(!easy)
-      return NULL; /* this means internal count confusion really */
-
-    multi->num_msgs--;
-    *msgs_in_queue = multi->num_msgs;
-
-    return &easy->msg.extmsg;
+  if(GOOD_MULTI_HANDLE(multi) && Curl_llist_count(multi->msglist)) {
+    /* there is one or more messages in the list */
+    struct curl_llist_element *e;
+
+    /* extract the head of the list to return */
+    e = multi->msglist->head;
+
+    msg = e->ptr;
+
+    /* remove the extracted entry */
+    Curl_llist_remove(multi->msglist, e, NULL);
+
+    *msgs_in_queue = (int)Curl_llist_count(multi->msglist);
+
+    return &msg->extmsg;
   }
   else
     return NULL;
@@ -1884,6 +1997,62 @@
   easy->numsocks = num;
 }
 
+/*
+ * add_next_timeout()
+ *
+ * Each SessionHandle has a list of timeouts. The add_next_timeout() is called
+ * when it has just been removed from the splay tree because the timeout has
+ * expired. This function is then to advance in the list to pick the next
+ * timeout to use (skip the already expired ones) and add this node back to
+ * the splay tree again.
+ *
+ * The splay tree only has each sessionhandle as a single node and the nearest
+ * timeout is used to sort it on.
+ */
+static CURLMcode add_next_timeout(struct timeval now,
+                                  struct Curl_multi *multi,
+                                  struct SessionHandle *d)
+{
+  struct timeval *tv = &d->state.expiretime;
+  struct curl_llist *list = d->state.timeoutlist;
+  struct curl_llist_element *e;
+
+  /* move over the timeout list for this specific handle and remove all
+     timeouts that are now passed tense and store the next pending
+     timeout in *tv */
+  for(e = list->head; e; ) {
+    struct curl_llist_element *n = e->next;
+    long diff = curlx_tvdiff(*(struct timeval *)e->ptr, now);
+    if(diff <= 0)
+      /* remove outdated entry */
+      Curl_llist_remove(list, e, NULL);
+    else
+      /* the list is sorted so get out on the first mismatch */
+      break;
+    e = n;
+  }
+  if(!list->size)  {
+    /* clear the expire times within the handles that we remove from the
+       splay tree */
+    tv->tv_sec = 0;
+    tv->tv_usec = 0;
+  }
+  else {
+    e = list->head;
+    /* copy the first entry to 'tv' */
+    memcpy(tv, e->ptr, sizeof(*tv));
+
+    /* remove first entry from list */
+    Curl_llist_remove(list, e, NULL);
+
+    /* insert this node again into the splay */
+    multi->timetree = Curl_splayinsert(*tv, multi->timetree,
+                                       &d->state.timenode);
+  }
+  return CURLM_OK;
+}
+
+
 static CURLMcode multi_socket(struct Curl_multi *multi,
                               bool checkall,
                               curl_socket_t s,
@@ -1893,6 +2062,7 @@
   CURLMcode result = CURLM_OK;
   struct SessionHandle *data = NULL;
   struct Curl_tree *t;
+  struct timeval now = Curl_tvnow();
 
   if(checkall) {
     struct Curl_one_easy *easyp;
@@ -1947,7 +2117,7 @@
         data->set.one_easy->easy_conn->cselect_bits = ev_bitmask;
 
       do
-        result = multi_runsingle(multi, data->set.one_easy);
+        result = multi_runsingle(multi, now, data->set.one_easy);
       while (CURLM_CALL_MULTI_PERFORM == result);
 
       if(data->set.one_easy->easy_conn)
@@ -1967,18 +2137,23 @@
     }
   }
 
+  now.tv_usec += 40000; /* compensate for bad precision timers that might've
+                           triggered too early */
+  if(now.tv_usec > 1000000) {
+    now.tv_sec++;
+    now.tv_usec -= 1000000;
+  }
+
   /*
    * The loop following here will go on as long as there are expire-times left
    * to process in the splay and 'data' will be re-assigned for every expired
    * handle we deal with.
    */
   do {
-    struct timeval now;
-
     /* the first loop lap 'data' can be NULL */
     if(data) {
       do
-        result = multi_runsingle(multi, data->set.one_easy);
+        result = multi_runsingle(multi, now, data->set.one_easy);
       while (CURLM_CALL_MULTI_PERFORM == result);
 
       if(CURLM_OK >= result)
@@ -1990,22 +2165,10 @@
     /* Check if there's one (more) expired timer to deal with! This function
        extracts a matching node if there is one */
 
-    now = Curl_tvnow();
-    now.tv_usec += 40000; /* compensate for bad precision timers */
-    if(now.tv_usec > 1000000) {
-      now.tv_sec++;
-      now.tv_usec -= 1000000;
-    }
-
     multi->timetree = Curl_splaygetbest(now, multi->timetree, &t);
     if(t) {
-      /* assign 'data' to be the easy handle we just removed from the splay
-         tree */
-      data = t->payload;
-      /* clear the expire time within the handle we removed from the
-         splay tree */
-      data->state.expiretime.tv_sec = 0;
-      data->state.expiretime.tv_usec = 0;
+      data = t->payload; /* assign this for next loop */
+      (void)add_next_timeout(now, multi, t->payload);
     }
 
   } while(t);
@@ -2141,12 +2304,22 @@
 static int update_timer(struct Curl_multi *multi)
 {
   long timeout_ms;
+
   if(!multi->timer_cb)
     return 0;
-  if( multi_timeout(multi, &timeout_ms) != CURLM_OK )
+  if(multi_timeout(multi, &timeout_ms)) {
     return -1;
-  if( timeout_ms < 0 )
+  }
+  if( timeout_ms < 0 ) {
+    static const struct timeval none={0,0};
+    if(Curl_splaycomparekeys(none, multi->timer_lastcall)) {
+      multi->timer_lastcall = none;
+      /* there's no timeout now but there was one previously, tell the app to
+         disable it */
+      return multi->timer_cb((CURLM*)multi, -1, multi->timer_userp);
+    }
     return 0;
+  }
 
   /* When multi_timeout() is done, multi->timetree points to the node with the
    * timeout we got the (relative) time-out time for. We can thus easily check
@@ -2289,10 +2462,74 @@
   return FALSE;
 }
 
-/* given a number of milliseconds from now to use to set the 'act before
-   this'-time for the transfer, to be extracted by curl_multi_timeout()
-
-   Pass zero to clear the timeout value for this handle.
+/*
+ * multi_freetimeout()
+ *
+ * Callback used by the llist system when a single timeout list entry is
+ * destroyed.
+ */
+static void multi_freetimeout(void *user, void *entryptr)
+{
+  (void)user;
+
+  /* the entry was plain malloc()'ed */
+  free(entryptr);
+}
+
+/*
+ * multi_addtimeout()
+ *
+ * Add a timestamp to the list of timeouts. Keep the list sorted so that head
+ * of list is always the timeout nearest in time.
+ *
+ */
+static CURLMcode
+multi_addtimeout(struct curl_llist *timeoutlist,
+                 struct timeval *stamp)
+{
+  struct curl_llist_element *e;
+  struct timeval *timedup;
+  struct curl_llist_element *prev = NULL;
+
+  timedup = malloc(sizeof(*timedup));
+  if(!timedup)
+    return CURLM_OUT_OF_MEMORY;
+
+  /* copy the timestamp */
+  memcpy(timedup, stamp, sizeof(*timedup));
+
+  if(Curl_llist_count(timeoutlist)) {
+    /* find the correct spot in the list */
+    for(e = timeoutlist->head; e; e = e->next) {
+      struct timeval *checktime = e->ptr;
+      long diff = curlx_tvdiff(*checktime, *timedup);
+      if(diff > 0)
+        break;
+      prev = e;
+    }
+
+  }
+  /* else
+     this is the first timeout on the list */
+
+  if(!Curl_llist_insert_next(timeoutlist, prev, timedup)) {
+    free(timedup);
+    return CURLM_OUT_OF_MEMORY;
+  }
+
+  return CURLM_OK;
+}
+
+/*
+ * Curl_expire()
+ *
+ * given a number of milliseconds from now to use to set the 'act before
+ * this'-time for the transfer, to be extracted by curl_multi_timeout()
+ *
+ * Note that the timeout will be added to a queue of timeouts if it defines a
+ * moment in time that is later than the current head of queue.
+ *
+ * Pass zero to clear all timeout values for this handle.
 */
 void Curl_expire(struct SessionHandle *data, long milli)
 {
@@ -2310,11 +2547,18 @@
     if(nowp->tv_sec || nowp->tv_usec) {
       /* Since this is an cleared time, we must remove the previous entry from
          the splay tree */
+      struct curl_llist *list = data->state.timeoutlist;
+
       rc = Curl_splayremovebyaddr(multi->timetree,
                                   &data->state.timenode,
                                   &multi->timetree);
       if(rc)
         infof(data, "Internal error clearing splay node = %d\n", rc);
+
+      /* flush the timeout list too */
+      while(list->size > 0)
+        Curl_llist_remove(list, list->tail, NULL);
+
       infof(data, "Expire cleared\n");
       nowp->tv_sec = 0;
       nowp->tv_usec = 0;
@@ -2340,9 +2584,16 @@
          Compare if the new time is earlier, and only remove-old/add-new if it
          is. */
       long diff = curlx_tvdiff(set, *nowp);
-      if(diff > 0)
-        /* the new expire time was later so we don't change this */
+      if(diff > 0) {
+        /* the new expire time was later so just add it to the queue
+           and get out */
+        multi_addtimeout(data->state.timeoutlist, &set);
         return;
+      }
+
+      /* the new time is newer than the presently set one, so add the current
+         to the queue and update the head */
+      multi_addtimeout(data->state.timeoutlist, nowp);
 
       /* Since this is an updated time, we must remove the previous entry from
          the splay tree first and then re-add the new value */
@@ -2354,10 +2605,6 @@
     }
 
     *nowp = set;
-#if 0
-    infof(data, "Expire at %ld / %ld (%ldms) %p\n",
-          (long)nowp->tv_sec, (long)nowp->tv_usec, milli, data);
-#endif
     data->state.timenode.payload = data;
     multi->timetree = Curl_splayinsert(*nowp,
                                        multi->timetree,
@@ -2509,7 +2756,7 @@
   fprintf(stderr, "* Multi status: %d handles, %d alive\n",
           multi->num_easy, multi->num_alive);
   for(easy=multi->easy.next; easy != &multi->easy; easy = easy->next) {
-    if(easy->state != CURLM_STATE_COMPLETED) {
+    if(easy->state < CURLM_STATE_COMPLETED) {
       /* only display handles that are not completed */
       fprintf(stderr, "handle %p, state %s, %d sockets\n",
               (void *)easy->easy_handle,

=== modified file 'lib/multiif.h'
--- lib/multiif.h	2010-04-28 18:40:27 +0000
+++ lib/multiif.h	2010-10-18 11:13:17 +0000
@@ -7,7 +7,7 @@
  *                            | (__| |_| |  _ <| |___
  *                             \___|\___/|_| \_\_____|
  *
- * Copyright (C) 1998 - 2009, Daniel Stenberg, <daniel@haxx.se>, et al.
+ * Copyright (C) 1998 - 2010, Daniel Stenberg, <daniel@haxx.se>, et al.
  *
  * This software is licensed as described in the file COPYING, which
  * you should have received as part of this distribution. The terms
@@ -27,8 +27,6 @@
  */
 void Curl_expire(struct SessionHandle *data, long milli);
 
-void Curl_multi_rmeasy(void *multi, CURL *data);
-
 bool Curl_multi_canPipeline(const struct Curl_multi* multi);
 void Curl_multi_handlePipeBreak(struct SessionHandle *data);
 

=== modified file 'lib/openldap.c'
--- lib/openldap.c	2010-06-16 19:25:37 +0000
+++ lib/openldap.c	2010-10-18 11:13:17 +0000
@@ -165,6 +165,7 @@
   li = calloc(1, sizeof(ldapconninfo));
   li->proto = proto;
   conn->proto.generic = li;
+  conn->bits.close = FALSE;
   /* TODO:
    * - provide option to choose SASL Binds instead of Simple
    */
@@ -198,6 +199,35 @@
 
   ldap_set_option(li->ld, LDAP_OPT_PROTOCOL_VERSION, &proto);
 
+#if !defined(CURL_DISABLE_HTTP) && !defined(CURL_DISABLE_PROXY)
+  if(conn->bits.tunnel_proxy && conn->bits.httpproxy) {
+    /* for LDAP over HTTP proxy */
+    struct HTTP http_proxy;
+    ldapconninfo *li_save;
+    CURLcode result;
+
+    /* BLOCKING */
+    /* We want "seamless" LDAP operations through HTTP proxy tunnel */
+
+    /* Curl_proxyCONNECT is based on a pointer to a struct HTTP at the member
+     * conn->proto.http; we want LDAP through HTTP and we have to change the
+     * member temporarily for connecting to the HTTP proxy. After
+     * Curl_proxyCONNECT we have to set back the member to the original struct
+     * LDAP pointer
+     */
+    li_save = data->state.proto.generic;
+    memset(&http_proxy, 0, sizeof(http_proxy));
+    data->state.proto.http = &http_proxy;
+    result = Curl_proxyCONNECT(conn, FIRSTSOCKET,
+                               conn->host.name, conn->remote_port);
+
+    data->state.proto.generic = li_save;
+
+    if(CURLE_OK != result)
+      return result;
+  }
+#endif /* !CURL_DISABLE_HTTP && !CURL_DISABLE_PROXY */
+
 #ifdef USE_SSL
   if (conn->protocol & PROT_SSL) {
     CURLcode res;

=== modified file 'lib/parsedate.c'
--- lib/parsedate.c	2010-06-16 19:25:37 +0000
+++ lib/parsedate.c	2010-10-18 11:13:17 +0000
@@ -371,6 +371,12 @@
         /* time stamp! */
         date += 8;
       }
+      else if((secnum == -1) &&
+              (2 == sscanf(date, "%02d:%02d", &hournum, &minnum))) {
+        /* time stamp without seconds */
+        date += 5;
+        secnum = 0;
+      }
       else {
         val = (int)strtol(date, &end, 10);
 

=== modified file 'lib/rtsp.c'
--- lib/rtsp.c	2010-06-16 19:25:37 +0000
+++ lib/rtsp.c	2010-10-18 11:13:17 +0000
@@ -709,7 +709,7 @@
     while(*start && ISSPACE(*start))
       start++;
 
-    if(!start) {
+    if(!*start) {
       failf(data, "Got a blank Session ID");
     }
     else if(data->set.str[STRING_RTSP_SESSION_ID]) {

=== modified file 'lib/security.c'
--- lib/security.c	2010-06-16 19:25:37 +0000
+++ lib/security.c	2010-10-18 11:13:17 +0000
@@ -46,10 +46,7 @@
 #ifndef CURL_DISABLE_FTP
 #if defined(HAVE_KRB4) || defined(HAVE_GSSAPI)
 
-#define _MPRINTF_REPLACE /* we want curl-functions instead of native ones */
-#include <curl/mprintf.h>
-
-#include <stdlib.h>
+#include <stdarg.h>
 #include <string.h>
 
 #ifdef HAVE_NETDB_H
@@ -61,11 +58,11 @@
 #endif
 
 #include "urldata.h"
+#include "curl_base64.h"
+#include "curl_memory.h"
 #include "krb4.h"
-#include "curl_base64.h"
+#include "ftp.h"
 #include "sendf.h"
-#include "ftp.h"
-#include "curl_memory.h"
 #include "rawstr.h"
 
 /* The last #include file should be: */
@@ -91,78 +88,142 @@
   return (enum protection_level)-1;
 }
 
+/* Convert a protocol |level| to its char representation.
+   We take an int to catch programming mistakes. */
+static char level_to_char(int level) {
+  switch(level) {
+  case prot_clear:
+    return 'C';
+  case prot_safe:
+    return 'S';
+  case prot_confidential:
+    return 'E';
+  case prot_private:
+    return 'P';
+  case prot_cmd:
+    /* Fall through */
+  default:
+    /* Those 2 cases should not be reached! */
+    break;
+  }
+  DEBUGASSERT(0);
+  /* Default to the most secure alternative. */
+  return 'P';
+}
+
 static const struct Curl_sec_client_mech * const mechs[] = {
-#ifdef HAVE_GSSAPI
+#if defined(HAVE_GSSAPI)
   &Curl_krb5_client_mech,
 #endif
-#ifdef HAVE_KRB4
+#if defined(HAVE_KRB4)
   &Curl_krb4_client_mech,
 #endif
   NULL
 };
 
-static int
-block_read(int fd, void *buf, size_t len)
-{
-  unsigned char *p = buf;
-  int b;
-  while(len) {
-    b = read(fd, p, len);
-    if(b == 0)
-      return 0;
-    else if(b < 0 && (errno == EINTR || errno == EAGAIN))
-      /* TODO: this will busy loop in the EAGAIN case */
-      continue;
-    else if(b < 0)
-      return -1;
-    len -= b;
-    p += b;
-  }
-  return p - (unsigned char*)buf;
-}
-
-static int
-block_write(int fd, const void *buf, size_t len)
-{
-  const unsigned char *p = buf;
-  int b;
-  while(len) {
-    b = write(fd, p, len);
-    if(b < 0 && (errno == EINTR || errno == EAGAIN))
-      continue;
-    else if(b < 0)
-      return -1;
-    len -= b;
-    p += b;
-  }
-  return p - (unsigned char*)buf;
-}
-
-static int
-sec_get_data(struct connectdata *conn,
-             int fd, struct krb4buffer *buf)
+/* Send an FTP command defined by |message| and the optional arguments. The
+   function returns the ftp_code. If an error occurs, -1 is returned. */
+static int ftp_send_command(struct connectdata *conn, const char *message, ...)
+{
+  int ftp_code;
+  ssize_t nread;
+  va_list args;
+  char print_buffer[50];
+
+  va_start(args, message);
+  vsnprintf(print_buffer, sizeof(print_buffer), message, args);
+  va_end(args);
+
+  if(Curl_ftpsendf(conn, print_buffer) != CURLE_OK) {
+    ftp_code = -1;
+  }
+  else {
+    if(Curl_GetFTPResponse(&nread, conn, &ftp_code) != CURLE_OK)
+      ftp_code = -1;
+  }
+
+  (void)nread; /* Unused */
+  return ftp_code;
+}
+
+/* Read |len| from the socket |fd| and store it in |to|. Return a CURLcode
+   saying whether an error occured or CURLE_OK if |len| was read. */
+static CURLcode
+socket_read(curl_socket_t fd, void *to, size_t len)
+{
+  char *to_p = to;
+  CURLcode code;
+  ssize_t nread;
+
+  while(len > 0) {
+    code = Curl_read_plain(fd, to_p, len, &nread);
+    if(code == CURLE_OK) {
+      len -= nread;
+      to_p += nread;
+    }
+    else {
+      /* FIXME: We are doing a busy wait */
+      if(code == CURLE_AGAIN)
+        continue;
+      return code;
+    }
+  }
+  return CURLE_OK;
+}
+
+
+/* Write |len| bytes from the buffer |to| to the socket |fd|. Return a
+   CURLcode saying whether an error occured or CURLE_OK if |len| was
+   written. */
+static CURLcode
+socket_write(struct connectdata *conn, curl_socket_t fd, const void *to,
+             size_t len)
+{
+  const char *to_p = to;
+  CURLcode code;
+  ssize_t written;
+
+  while(len > 0) {
+    code = Curl_write_plain(conn, fd, to_p, len, &written);
+    if(code == CURLE_OK) {
+      len -= written;
+      to_p += written;
+    }
+    else {
+      /* FIXME: We are doing a busy wait */
+      if(code == CURLE_AGAIN)
+        continue;
+      return code;
+    }
+  }
+  return CURLE_OK;
+}
+
+static CURLcode read_data(struct connectdata *conn,
+                          curl_socket_t fd,
+                          struct krb4buffer *buf)
 {
   int len;
-  int b;
-
-  b = block_read(fd, &len, sizeof(len));
-  if(b == 0)
-    return 0;
-  else if(b < 0)
-    return -1;
+  void* tmp;
+  CURLcode ret;
+
+  ret = socket_read(fd, &len, sizeof(len));
+  if (ret != CURLE_OK)
+    return ret;
+
   len = ntohl(len);
-  /* TODO: This realloc will cause a memory leak in an out of memory
-   * condition */
-  buf->data = realloc(buf->data, len);
-  b = buf->data ? block_read(fd, buf->data, len) : -1;
-  if(b == 0)
-    return 0;
-  else if(b < 0)
-    return -1;
-  buf->size = (conn->mech->decode)(conn->app_data, buf->data, len,
-                                   conn->data_prot, conn);
+  tmp = realloc(buf->data, len);
+  if (tmp == NULL)
+    return CURLE_OUT_OF_MEMORY;
+
+  buf->data = tmp;
+  ret = socket_read(fd, buf->data, len);
+  if (ret != CURLE_OK)
+    return ret;
+  buf->size = conn->mech->decode(conn->app_data, buf->data, len,
+                                 conn->data_prot, conn);
   buf->index = 0;
-  return 0;
+  return CURLE_OK;
 }
 
 static size_t
@@ -175,95 +236,109 @@
   return len;
 }
 
-static ssize_t sec_read(struct connectdata *conn, int num,
-                        char *buffer, size_t length, CURLcode *err)
+/* Matches Curl_recv signature */
+static ssize_t sec_recv(struct connectdata *conn, int sockindex,
+                        char *buffer, size_t len, CURLcode *err)
 {
-  size_t len;
-  int rx = 0;
-  curl_socket_t fd = conn->sock[num];
+  size_t bytes_read;
+  size_t total_read = 0;
+  curl_socket_t fd = conn->sock[sockindex];
 
   *err = CURLE_OK;
 
+  /* Handle clear text response. */
+  if(conn->sec_complete == 0 || conn->data_prot == prot_clear)
+      return read(fd, buffer, len);
+
   if(conn->in_buffer.eof_flag) {
     conn->in_buffer.eof_flag = 0;
     return 0;
   }
 
-  len = buffer_read(&conn->in_buffer, buffer, length);
-  length -= len;
-  rx += len;
-  buffer = (char*)buffer + len;
+  bytes_read = buffer_read(&conn->in_buffer, buffer, len);
+  len -= bytes_read;
+  total_read += bytes_read;
+  buffer += bytes_read;
 
-  while(length) {
-    if(sec_get_data(conn, fd, &conn->in_buffer) < 0)
+  while(len > 0) {
+    if(read_data(conn, fd, &conn->in_buffer) != CURLE_OK)
       return -1;
     if(conn->in_buffer.size == 0) {
-      if(rx)
+      if(bytes_read > 0)
         conn->in_buffer.eof_flag = 1;
-      return rx;
+      return bytes_read;
     }
-    len = buffer_read(&conn->in_buffer, buffer, length);
-    length -= len;
-    rx += len;
-    buffer = (char*)buffer + len;
+    bytes_read = buffer_read(&conn->in_buffer, buffer, len);
+    len -= bytes_read;
+    total_read += bytes_read;
+    buffer += bytes_read;
   }
-  return rx;
+  /* FIXME: Check for overflow */
+  return total_read;
 }
 
-static int
-sec_send(struct connectdata *conn, int fd, const char *from, int length)
+/* Send |length| bytes from |from| to the |fd| socket taking care of encoding
+   and negociating with the server. |from| can be NULL. */
+/* FIXME: We don't check for errors nor report any! */
+static void do_sec_send(struct connectdata *conn, curl_socket_t fd,
+                        const char *from, int length)
 {
-  int bytes;
-  void *buf;
-  enum protection_level protlevel = conn->data_prot;
-  int iscmd = protlevel == prot_cmd;
+  size_t bytes;
+  size_t htonl_bytes;
+  char *buffer;
+  char *cmd_buffer;
+  enum protection_level prot_level = conn->data_prot;
+  bool iscmd = prot_level == prot_cmd;
 
   if(iscmd) {
     if(!strncmp(from, "PASS ", 5) || !strncmp(from, "ACCT ", 5))
-      protlevel = prot_private;
+      prot_level = prot_private;
     else
-      protlevel = conn->command_prot;
+      prot_level = conn->command_prot;
   }
-  bytes = (conn->mech->encode)(conn->app_data, from, length, protlevel,
-                               &buf, conn);
+  bytes = conn->mech->encode(conn->app_data, from, length, prot_level,
+                             (void**)&buffer, conn);
   if(iscmd) {
-    char *cmdbuf;
-
-    bytes = Curl_base64_encode(conn->data, (char *)buf, bytes, &cmdbuf);
+    bytes = Curl_base64_encode(conn->data, buffer, bytes, &cmd_buffer);
     if(bytes > 0) {
-      if(protlevel == prot_private)
-        block_write(fd, "ENC ", 4);
+      static const char *enc = "ENC ";
+      static const char *mic = "MIC ";
+      if(prot_level == prot_private)
+        socket_write(conn, fd, enc, 4);
       else
-        block_write(fd, "MIC ", 4);
-      block_write(fd, cmdbuf, bytes);
-      block_write(fd, "\r\n", 2);
-      Curl_infof(conn->data, "%s %s\n",
-                 protlevel == prot_private ? "ENC" : "MIC", cmdbuf);
-      free(cmdbuf);
+        socket_write(conn, fd, mic, 4);
+
+      socket_write(conn, fd, cmd_buffer, bytes);
+      socket_write(conn, fd, "\r\n", 2);
+      infof(conn->data, "Send: %s%s\n", prot_level == prot_private?enc:mic,
+            cmd_buffer);
+      free(cmd_buffer);
     }
   }
   else {
-    bytes = htonl(bytes);
-    block_write(fd, &bytes, sizeof(bytes));
-    block_write(fd, buf, ntohl(bytes));
+    htonl_bytes = htonl(bytes);
+    socket_write(conn, fd, &htonl_bytes, sizeof(htonl_bytes));
+    socket_write(conn, fd, buffer, bytes);
   }
-  free(buf);
-  return length;
+  free(buffer);
 }
 
-static ssize_t sec_write(struct connectdata *conn, int fd,
-                         const char *buffer, int length)
+static ssize_t sec_write(struct connectdata *conn, curl_socket_t fd,
+                         const char *buffer, size_t length)
 {
-  int len = conn->buffer_size;
+  /* FIXME: Check for overflow */
+  ssize_t len = conn->buffer_size;
   int tx = 0;
 
-  len -= (conn->mech->overhead)(conn->app_data, conn->data_prot, len);
+  len -= conn->mech->overhead(conn->app_data, conn->data_prot, len);
   if(len <= 0)
     len = length;
-  while(length){
-    if(length < len)
+  while(length) {
+    if(len >= 0 || length < (size_t)len) {
+      /* FIXME: Check for overflow. */
       len = length;
-    sec_send(conn, fd, buffer, len);
+    }
+    do_sec_send(conn, fd, buffer, len);
     length -= len;
     buffer += len;
     tx += len;
@@ -271,61 +346,57 @@
   return tx;
 }
 
-int
-Curl_sec_fflush_fd(struct connectdata *conn, int fd)
-{
-  if(conn->data_prot != prot_clear) {
-    if(conn->out_buffer.index > 0){
-      sec_write(conn, fd, conn->out_buffer.data, conn->out_buffer.index);
-      conn->out_buffer.index = 0;
-    }
-    sec_send(conn, fd, NULL, 0);
-  }
-  return 0;
-}
-
-static ssize_t _sec_send(struct connectdata *conn, int num,
-                         const void *buffer, size_t length, CURLcode *err)
-{
-  curl_socket_t fd = conn->sock[num];
+/* Matches Curl_send signature */
+static ssize_t sec_send(struct connectdata *conn, int sockindex,
+                        const void *buffer, size_t len, CURLcode *err)
+{
+  curl_socket_t fd = conn->sock[sockindex];
   *err = CURLE_OK;
-  return sec_write(conn, fd, buffer, length);
+  return sec_write(conn, fd, buffer, len);
 }
 
-int
-Curl_sec_read_msg(struct connectdata *conn, char *s, int level)
+/* FIXME: |level| should not be an int but a struct protection_level */
+int Curl_sec_read_msg(struct connectdata *conn, char *buffer, int level)
 {
-  int len;
-  unsigned char *buf;
-  int code;
+  /* decoded_len should be size_t or ssize_t but conn->mech->decode returns an
+     int */
+  int decoded_len;
+  char *buf;
+  int ret_code;
 
-  len = Curl_base64_decode(s + 4, &buf); /* XXX */
-  if(len > 0)
-    len = (conn->mech->decode)(conn->app_data, buf, len, level, conn);
-  else
+  decoded_len = Curl_base64_decode(buffer + 4, (unsigned char **)&buf);
+  if(decoded_len <= 0) {
+    free(buf);
     return -1;
+  }
 
-  if(len < 0) {
+  decoded_len = conn->mech->decode(conn->app_data, buf, decoded_len,
+                                   level, conn);
+  if(decoded_len <= 0) {
     free(buf);
     return -1;
   }
 
   if(conn->data->set.verbose) {
-    buf[len] = '\n';
-    Curl_debug(conn->data, CURLINFO_HEADER_IN, (char *)buf, len + 1, conn);
+    buf[decoded_len] = '\n';
+    Curl_debug(conn->data, CURLINFO_HEADER_IN, buf, decoded_len + 1, conn);
   }
 
-  buf[len] = '\0';
-
+  buf[decoded_len] = '\0';
+  DEBUGASSERT(decoded_len > 3);
   if(buf[3] == '-')
-    code = 0;
-  else
-    sscanf((char *)buf, "%d", &code);
-  if(buf[len-1] == '\n')
-    buf[len-1] = '\0';
-  strcpy(s, (char *)buf);
+    ret_code = 0;
+  else {
+    /* Check for error? */
+    sscanf(buf, "%d", &ret_code);
+  }
+
+  if(buf[decoded_len - 1] == '\n')
+    buf[decoded_len - 1] = '\0';
+  /* FIXME: Is |buffer| length always greater than |decoded_len|? */
+  strcpy(buffer, buf);
   free(buf);
-  return code;
+  return ret_code;
 }
 
 enum protection_level
@@ -336,64 +407,62 @@
   return old;
 }
 
-static int
-sec_prot_internal(struct connectdata *conn, int level)
+/* FIXME: The error code returned here is never checked. */
+int Curl_sec_set_protection_level(struct connectdata *conn)
 {
-  char *p;
-  unsigned int s = 1048576;
-  ssize_t nread;
-
-  if(!conn->sec_complete){
-    infof(conn->data, "No security data exchange has taken place.\n");
-    return -1;
-  }
-
-  if(level){
-    int code;
-    if(Curl_ftpsendf(conn, "PBSZ %u", s))
-      return -1;
-
-    if(Curl_GetFTPResponse(&nread, conn, &code))
-      return -1;
-
-    if(code/100 != 2){
-      failf(conn->data, "Failed to set protection buffer size.");
-      return -1;
-    }
-    conn->buffer_size = s;
-
-    p = strstr(conn->data->state.buffer, "PBSZ=");
-    if(p)
-      sscanf(p, "PBSZ=%u", &s);
-    if(s < conn->buffer_size)
-      conn->buffer_size = s;
-  }
-
-  if(Curl_ftpsendf(conn, "PROT %c", level["CSEP"]))
-    return -1;
-
-  if(Curl_GetFTPResponse(&nread, conn, NULL))
-    return -1;
-
-  if(conn->data->state.buffer[0] != '2'){
-    failf(conn->data, "Failed to set protection level.");
-    return -1;
-  }
-
-  conn->data_prot = (enum protection_level)level;
+  int code;
+  char* pbsz;
+  static unsigned int buffer_size = 1 << 20; /* 1048576 */
+  enum protection_level level = conn->request_data_prot;
+
+  if(!conn->sec_complete) {
+    infof(conn->data, "Trying to change the protection level after the"
+                      "completion of the data exchange.\n");
+    return -1;
+  }
+
+  /* Bail out if we try to set up the same level */
+  if(conn->data_prot == level)
+    return 0;
+
+  if(level) {
+    code = ftp_send_command(conn, "PBSZ %u", buffer_size);
+    if(code < 0)
+      return -1;
+
+    if(code/100 != 2) {
+      failf(conn->data, "Failed to set the protection's buffer size.");
+      return -1;
+    }
+    conn->buffer_size = buffer_size;
+
+    pbsz = strstr(conn->data->state.buffer, "PBSZ=");
+    if(pbsz) {
+      /* FIXME: Checks for errors in sscanf? */
+      sscanf(pbsz, "PBSZ=%u", &buffer_size);
+      if(buffer_size < conn->buffer_size)
+        conn->buffer_size = buffer_size;
+    }
+  }
+
+  /* Now try to negiociate the protection level. */
+  code = ftp_send_command(conn, "PROT %c", level_to_char(level));
+
+  if(code < 0)
+    return -1;
+
+  if(code/100 != 2) {
+    failf(conn->data, "Failed to set the protection level.");
+    return -1;
+  }
+
+  conn->data_prot = level;
   if(level == prot_private)
-    conn->command_prot = (enum protection_level)level;
+    conn->command_prot = level;
+
   return 0;
 }
 
-void
-Curl_sec_set_protection_level(struct connectdata *conn)
-{
-  if(conn->sec_complete && conn->data_prot != conn->request_data_prot)
-    sec_prot_internal(conn, conn->request_data_prot);
-}
-
-
 int
 Curl_sec_request_prot(struct connectdata *conn, const char *level)
 {
@@ -404,73 +473,81 @@
   return 0;
 }
 
-int
-Curl_sec_login(struct connectdata *conn)
+static CURLcode choose_mech(struct connectdata *conn)
 {
   int ret;
-  const struct Curl_sec_client_mech * const *m;
-  ssize_t nread;
-  struct SessionHandle *data=conn->data;
-  int ftpcode;
-
-  for(m = mechs; *m && (*m)->name; m++) {
-    void *tmp;
-
-    tmp = realloc(conn->app_data, (*m)->size);
-    if(tmp == NULL) {
-      failf (data, "realloc %u failed", (*m)->size);
-      return -1;
-    }
-    conn->app_data = tmp;
-
-    if((*m)->init && (*(*m)->init)(conn->app_data) != 0) {
-      infof(data, "Skipping %s...\n", (*m)->name);
+  struct SessionHandle *data = conn->data;
+  const struct Curl_sec_client_mech * const *mech;
+  void *tmp_allocation;
+  const char *mech_name;
+
+  for(mech = mechs; (*mech); ++mech) {
+    mech_name = (*mech)->name;
+    /* We have no mechanism with a NULL name but keep this check */
+    DEBUGASSERT(mech_name != NULL);
+    if(mech_name == NULL) {
+      infof(data, "Skipping mechanism with empty name (%p)\n", mech);
       continue;
     }
-    infof(data, "Trying %s...\n", (*m)->name);
-
-    if(Curl_ftpsendf(conn, "AUTH %s", (*m)->name))
-      return -1;
-
-    if(Curl_GetFTPResponse(&nread, conn, &ftpcode))
-      return -1;
-
-    if(conn->data->state.buffer[0] != '3'){
-      switch(ftpcode) {
+    tmp_allocation = realloc(conn->app_data, (*mech)->size);
+    if(tmp_allocation == NULL) {
+      failf(data, "Failed realloc of size %u", (*mech)->size);
+      mech = NULL;
+      return CURLE_OUT_OF_MEMORY;
+    }
+    conn->app_data = tmp_allocation;
+
+    if((*mech)->init) {
+      ret = (*mech)->init(conn);
+      if(ret != 0) {
+        infof(data, "Failed initialization for %s. Skipping it.\n", mech_name);
+        continue;
+      }
+    }
+
+    infof(data, "Trying mechanism %s...\n", mech_name);
+    ret = ftp_send_command(conn, "AUTH %s", mech_name);
+    if(ret < 0)
+      /* FIXME: This error is too generic but it is OK for now. */
+      return CURLE_COULDNT_CONNECT;
+
+    if(ret/100 != 3) {
+      switch(ret) {
       case 504:
-        infof(data,
-              "%s is not supported by the server.\n", (*m)->name);
+        infof(data, "Mechanism %s is not supported by the server (server "
+                    "returned ftp code: 504).\n", mech_name);
         break;
       case 534:
-        infof(data, "%s rejected as security mechanism.\n", (*m)->name);
+        infof(data, "Mechanism %s was rejected by the server (server returned "
+                    "ftp code: 534).\n", mech_name);
         break;
       default:
-        if(conn->data->state.buffer[0] == '5') {
-          infof(data, "The server doesn't support the FTP "
-                "security extensions.\n");
-          return -1;
+        if(ret/100 == 5) {
+          infof(data, "The server does not support the security extensions.\n");
+          return CURLE_USE_SSL_FAILED;
         }
         break;
       }
       continue;
     }
 
-    ret = (*(*m)->auth)(conn->app_data, conn);
+    /* Authenticate */
+    ret = (*mech)->auth(conn->app_data, conn);
 
     if(ret == AUTH_CONTINUE)
       continue;
-    else if(ret != AUTH_OK){
-      /* mechanism is supposed to output error string */
+    else if(ret != AUTH_OK) {
+      /* Mechanism has dumped the error to stderr, don't error here. */
       return -1;
     }
-    conn->mech = *m;
+    DEBUGASSERT(ret == AUTH_OK);
+
+    conn->mech = *mech;
     conn->sec_complete = 1;
-    if (conn->data_prot != prot_clear) {
-      conn->recv[FIRSTSOCKET] = sec_read;
-      conn->send[FIRSTSOCKET] = _sec_send;
-      conn->recv[SECONDARYSOCKET] = sec_read;
-      conn->send[SECONDARYSOCKET] = _sec_send;
-    }
+    conn->recv[FIRSTSOCKET] = sec_recv;
+    conn->send[FIRSTSOCKET] = sec_send;
+    conn->recv[SECONDARYSOCKET] = sec_recv;
+    conn->send[SECONDARYSOCKET] = sec_send;
     conn->command_prot = prot_safe;
     /* Set the requested protection level */
     /* BLOCKING */
@@ -478,23 +555,38 @@
     break;
   }
 
-  return *m == NULL;
-}
+  return mech != NULL ? CURLE_OK : CURLE_FAILED_INIT;
+}
+
+CURLcode
+Curl_sec_login(struct connectdata *conn)
+{
+  return choose_mech(conn);
+}
+
 
 void
 Curl_sec_end(struct connectdata *conn)
 {
-  if(conn->mech != NULL) {
-    if(conn->mech->end)
-      (conn->mech->end)(conn->app_data);
-    memset(conn->app_data, 0, conn->mech->size);
+  if(conn->mech != NULL && conn->mech->end)
+    conn->mech->end(conn->app_data);
+  if(conn->app_data) {
     free(conn->app_data);
     conn->app_data = NULL;
   }
+  if(conn->in_buffer.data) {
+    free(conn->in_buffer.data);
+    conn->in_buffer.data = NULL;
+    conn->in_buffer.size = 0;
+    conn->in_buffer.index = 0;
+    /* FIXME: Is this really needed? */
+    conn->in_buffer.eof_flag = 0;
+  }
   conn->sec_complete = 0;
   conn->data_prot = (enum protection_level)0;
-  conn->mech=NULL;
+  conn->mech = NULL;
 }
 
-#endif /* HAVE_KRB4 */
+#endif /* HAVE_KRB4 || HAVE_GSSAPI */
+
 #endif /* CURL_DISABLE_FTP */

=== modified file 'lib/setup.h'
--- lib/setup.h	2010-08-12 08:20:48 +0000
+++ lib/setup.h	2010-10-18 11:13:17 +0000
@@ -552,6 +552,11 @@
 #define CURL_CA_BUNDLE getenv("CURL_CA_BUNDLE")
 #endif
 
+/* Define S_ISREG if not defined by system headers, f.e. MSVC */
+#if !defined(S_ISREG) && defined(S_IFMT) && defined(S_IFREG)
+#define S_ISREG(m) (((m) & S_IFMT) == S_IFREG)
+#endif
+
 /*
  * Include macros and defines that should only be processed once.
  */

=== modified file 'lib/smtp.c'
--- lib/smtp.c	2010-08-12 08:20:48 +0000
+++ lib/smtp.c	2010-10-18 11:13:17 +0000
@@ -237,7 +237,8 @@
 
     for (;;) {
       while (len &&
-       (*line == ' ' || *line == '\t' || *line == '\r' || *line == '\n')) {
+             (*line == ' ' || *line == '\t' ||
+              *line == '\r' || *line == '\n')) {
         line++;
         len--;
       }
@@ -246,7 +247,8 @@
         break;
 
       for (wordlen = 0; wordlen < len && line[wordlen] != ' ' &&
-       line[wordlen] != '\t' && line[wordlen] != '\r' && line[wordlen] != '\n';)
+             line[wordlen] != '\t' && line[wordlen] != '\r' &&
+             line[wordlen] != '\n';)
         wordlen++;
 
       if(wordlen == 5 && !memcmp(line, "LOGIN", 5))
@@ -409,8 +411,10 @@
       state2 = SMTP_AUTHPASSWD;
       l = smtp_auth_login_user(conn, &initresp);
     }
-    else
+    else {
+      infof(conn->data, "No known auth mechanisms supported!\n");
       result = CURLE_LOGIN_DENIED;      /* Other mechanisms not supported. */
+    }
 
     if(!result) {
       if(!l)

=== modified file 'lib/ssh.c'
--- lib/ssh.c	2010-08-12 08:20:48 +0000
+++ lib/ssh.c	2010-10-18 11:13:17 +0000
@@ -1442,6 +1442,11 @@
             data->state.resume_from = 0;
           }
           else {
+            curl_off_t size = attrs.filesize;
+            if(size < 0) {
+              failf(data, "Bad file size (%" FORMAT_OFF_T ")", size);
+              return CURLE_BAD_DOWNLOAD_RESUME;
+            }
             data->state.resume_from = attrs.filesize;
           }
         }
@@ -1911,9 +1916,12 @@
         data->req.maxdownload = -1;
       }
       else {
-        curl_off_t size;
+        curl_off_t size = attrs.filesize;
 
-        size = attrs.filesize;
+        if(size < 0) {
+          failf(data, "Bad file size (%" FORMAT_OFF_T ")", size);
+          return CURLE_BAD_DOWNLOAD_RESUME;
+        }
         if(conn->data->state.use_range) {
           curl_off_t from, to;
           char *ptr;

=== modified file 'lib/ssluse.c'
--- lib/ssluse.c	2010-08-12 08:20:48 +0000
+++ lib/ssluse.c	2010-10-18 11:13:17 +0000
@@ -1595,10 +1595,8 @@
     if ( !lookup ||
          (!X509_load_crl_file(lookup,data->set.str[STRING_SSL_CRLFILE],
                               X509_FILETYPE_PEM)) ) {
-      failf(data,"error loading CRL file :\n"
-            "  CRLfile: %s\n",
-            data->set.str[STRING_SSL_CRLFILE]?
-            data->set.str[STRING_SSL_CRLFILE]: "none");
+      failf(data,"error loading CRL file: %s\n",
+            data->set.str[STRING_SSL_CRLFILE]);
       return CURLE_SSL_CRL_BADFILE;
     }
     else {

=== modified file 'lib/tftp.c'
--- lib/tftp.c	2010-08-12 08:20:48 +0000
+++ lib/tftp.c	2010-10-18 11:13:17 +0000
@@ -169,7 +169,7 @@
 static CURLcode tftp_disconnect(struct connectdata *conn);
 static CURLcode tftp_do(struct connectdata *conn, bool *done);
 static CURLcode tftp_done(struct connectdata *conn,
-                               CURLcode, bool premature);
+                          CURLcode, bool premature);
 static CURLcode tftp_setup_connection(struct connectdata * conn);
 static CURLcode tftp_multi_statemach(struct connectdata *conn, bool *done);
 static CURLcode tftp_doing(struct connectdata *conn, bool *dophase_done);
@@ -374,12 +374,12 @@
       }
       else if(blksize > TFTP_BLKSIZE_MAX) {
         failf(data, "%s (%d)", "blksize is larger than max supported",
-                TFTP_BLKSIZE_MAX);
+              TFTP_BLKSIZE_MAX);
         return CURLE_TFTP_ILLEGAL;
       }
       else if(blksize < TFTP_BLKSIZE_MIN) {
         failf(data, "%s (%d)", "blksize is smaller than min supported",
-                TFTP_BLKSIZE_MIN);
+              TFTP_BLKSIZE_MIN);
         return CURLE_TFTP_ILLEGAL;
       }
       else if (blksize > state->requested_blksize) {
@@ -387,13 +387,13 @@
          * support for the server requesting a bigger blksize than the client
          * requests */
         failf(data, "%s (%ld)",
-                "server requested blksize larger than allocated", blksize);
+              "server requested blksize larger than allocated", blksize);
         return CURLE_TFTP_ILLEGAL;
       }
 
       state->blksize = (int)blksize;
       infof(data, "%s (%d) %s (%d)\n", "blksize parsed from OACK",
-        state->blksize, "requested", state->requested_blksize);
+            state->blksize, "requested", state->requested_blksize);
     }
     else if(checkprefix(option, TFTP_OPTION_TSIZE)) {
       long tsize = 0;
@@ -716,42 +716,48 @@
   case TFTP_EVENT_ACK:
   case TFTP_EVENT_OACK:
     if (event == TFTP_EVENT_ACK) {
-       /* Ack the packet */
-       rblock = getrpacketblock(&state->rpacket);
-
-       if(rblock != state->block) {
-          /* This isn't the expected block.  Log it and up the retry counter */
-          infof(data, "Received ACK for block %d, expecting %d\n",
-                rblock, state->block);
-          state->retries++;
-          /* Bail out if over the maximum */
-          if(state->retries>state->retry_max) {
-             failf(data, "tftp_tx: giving up waiting for block %d ack",
-                   state->block);
-             res = CURLE_SEND_ERROR;
-          }
-          else {
-             /* Re-send the data packet */
-             sbytes = sendto(state->sockfd, (void *)&state->spacket,
-                             4+state->sbytes, SEND_4TH_ARG,
-                             (struct sockaddr *)&state->remote_addr,
-                             state->remote_addrlen);
-             /* Check all sbytes were sent */
-             if(sbytes<0) {
-                failf(data, "%s", Curl_strerror(state->conn, SOCKERRNO));
-                res = CURLE_SEND_ERROR;
-             }
-          }
-          return res;
-       }
-       /* This is the expected packet.  Reset the counters and send the next
-          block */
-       time(&state->rx_time);
-       state->block++;
-    }
-    else {
-       state->block = 1; /* first data block is 1 when using OACK */
-    }
+      /* Ack the packet */
+      rblock = getrpacketblock(&state->rpacket);
+
+      if(rblock != state->block &&
+         /* There's a bug in tftpd-hpa that causes it to send us an ack for
+          * 65535 when the block number wraps to 0. So when we're expecting
+          * 0, also accept 65535. See
+          * http://syslinux.zytor.com/archives/2010-September/015253.html
+          * */
+         !(state->block == 0 && rblock == 65535)) {
+        /* This isn't the expected block.  Log it and up the retry counter */
+        infof(data, "Received ACK for block %d, expecting %d\n",
+              rblock, state->block);
+        state->retries++;
+        /* Bail out if over the maximum */
+        if(state->retries>state->retry_max) {
+          failf(data, "tftp_tx: giving up waiting for block %d ack",
+                state->block);
+          res = CURLE_SEND_ERROR;
+        }
+        else {
+          /* Re-send the data packet */
+          sbytes = sendto(state->sockfd, (void *)&state->spacket,
+                          4+state->sbytes, SEND_4TH_ARG,
+                          (struct sockaddr *)&state->remote_addr,
+                          state->remote_addrlen);
+          /* Check all sbytes were sent */
+          if(sbytes<0) {
+            failf(data, "%s", Curl_strerror(state->conn, SOCKERRNO));
+            res = CURLE_SEND_ERROR;
+          }
+        }
+        return res;
+      }
+      /* This is the expected packet.  Reset the counters and send the next
+         block */
+      time(&state->rx_time);
+      state->block++;
+    }
+    else
+      state->block = 1; /* first data block is 1 when using OACK */
+
     state->retries = 0;
     setpacketevent(&state->spacket, TFTP_EVENT_DATA);
     setpacketblock(&state->spacket, state->block);
@@ -1032,7 +1038,7 @@
  *
  **********************************************************/
 static CURLcode tftp_done(struct connectdata *conn, CURLcode status,
-                               bool premature)
+                          bool premature)
 {
   CURLcode code = CURLE_OK;
   tftp_state_data_t *state = (tftp_state_data_t *)conn->proto.tftpc;
@@ -1056,7 +1062,7 @@
  *
  **********************************************************/
 static int tftp_getsock(struct connectdata *conn, curl_socket_t *socks,
-                       int numsocks)
+                        int numsocks)
 {
   if(!numsocks)
     return GETSOCK_BLANK;
@@ -1085,11 +1091,11 @@
   /* Receive the packet */
   fromlen = sizeof(fromaddr);
   state->rbytes = (int)recvfrom(state->sockfd,
-                                   (void *)state->rpacket.data,
-                                   state->blksize+4,
-                                   0,
-                                   (struct sockaddr *)&fromaddr,
-                                   &fromlen);
+                                (void *)state->rpacket.data,
+                                state->blksize+4,
+                                0,
+                                (struct sockaddr *)&fromaddr,
+                                &fromlen);
   if(state->remote_addrlen==0) {
     memcpy(&state->remote_addr, &fromaddr, fromlen);
     state->remote_addrlen = fromlen;
@@ -1129,8 +1135,8 @@
       break;
     case TFTP_EVENT_OACK:
       result = tftp_parse_option_ack(state,
-                                   (const char *)state->rpacket.data+2,
-                                   state->rbytes-2);
+                                     (const char *)state->rpacket.data+2,
+                                     state->rbytes-2);
       if(result)
         return result;
       break;
@@ -1182,7 +1188,7 @@
   /* there's a typecast below here since 'time_t' may in fact be larger than
      'long', but we estimate that a 'long' will still be able to hold number
      of seconds even if "only" 32 bit */
-  return (long) state->max_time-current;
+  return (long)(state->max_time - current);
 }
 
 
@@ -1252,11 +1258,11 @@
 
     /* Force a progress callback if it's been too long */
     if (Curl_tvdiff(k->now, k->start) >= data->set.timeout) {
-       if(Curl_pgrsUpdate(conn)) {
-          tftp_state_machine(state, TFTP_EVENT_ERROR);
-          return CURLE_ABORTED_BY_CALLBACK;
-       }
-       k->start = k->now;
+      if(Curl_pgrsUpdate(conn)) {
+        tftp_state_machine(state, TFTP_EVENT_ERROR);
+        return CURLE_ABORTED_BY_CALLBACK;
+      }
+      k->start = k->now;
     }
 
     if(rc == -1) {
@@ -1283,7 +1289,7 @@
       else {
         result = tftp_receive_packet(conn);
         if (result == CURLE_OK)
-           transaction_start = Curl_tvnow();
+          transaction_start = Curl_tvnow();
 
         if(k->bytecountp)
           *k->bytecountp = k->bytecount; /* read count */
@@ -1455,7 +1461,7 @@
 
   /* If tftp_perform() returned an error, use that for return code. If it
      was OK, see if tftp_translate_code() has an error. */
-  if (code == CURLE_OK) 
+  if (code == CURLE_OK)
     /* If we have encountered an internal tftp error, translate it. */
     code = tftp_translate_code(state->error);
 

=== modified file 'lib/transfer.c'
--- lib/transfer.c	2010-08-12 08:20:48 +0000
+++ lib/transfer.c	2010-10-18 11:13:17 +0000
@@ -103,6 +103,7 @@
 #include "multiif.h"
 #include "easyif.h" /* for Curl_convert_to_network prototype */
 #include "rtsp.h"
+#include "connect.h"
 
 #define _MPRINTF_REPLACE /* use our functions only */
 #include <curl/mprintf.h>
@@ -594,9 +595,12 @@
 
           dataleft = conn->chunk.dataleft;
           if(dataleft != 0) {
-            infof(conn->data, "Leftovers after chunking. "
-                  " Rewinding %zu bytes\n",dataleft);
-            read_rewind(conn, dataleft);
+            infof(conn->data, "Leftovers after chunking: %zu bytes", dataleft);
+            if(conn->data->multi && Curl_multi_canPipeline(conn->data->multi)) {
+              /* only attempt the rewind if we truly are pipelining */
+              infof(conn->data, "Rewinding %zu bytes\n",dataleft);
+              read_rewind(conn, dataleft);
+            }
           }
         }
         /* If it returned OK, we just keep going */
@@ -1060,17 +1064,17 @@
     return result;
 
   if(k->keepon) {
-    if(data->set.timeout &&
-       (Curl_tvdiff(k->now, k->start) >= data->set.timeout)) {
+    if(0 > Curl_timeleft(conn, &k->now, FALSE)) {
       if(k->size != -1) {
         failf(data, "Operation timed out after %ld milliseconds with %"
               FORMAT_OFF_T " out of %" FORMAT_OFF_T " bytes received",
-              Curl_tvdiff(k->now, k->start), k->bytecount, k->size);
+              Curl_tvdiff(k->now, data->progress.t_startsingle), k->bytecount,
+              k->size);
       }
       else {
         failf(data, "Operation timed out after %ld milliseconds with %"
               FORMAT_OFF_T " bytes received",
-              Curl_tvdiff(k->now, k->start), k->bytecount);
+              Curl_tvdiff(k->now, data->progress.t_startsingle), k->bytecount);
       }
       return CURLE_OPERATION_TIMEDOUT;
     }
@@ -1343,12 +1347,10 @@
          to work with, skip the timeout */
       timeout_ms = 0;
     else {
-      if(data->set.timeout) {
-        totmp = (int)(data->set.timeout - Curl_tvdiff(k->now, k->start));
-        if(totmp < 0)
-          return CURLE_OPERATION_TIMEDOUT;
-      }
-      else
+      totmp = Curl_timeleft(conn, &k->now, FALSE);
+      if(totmp < 0)
+        return CURLE_OPERATION_TIMEDOUT;
+      else if(!totmp)
         totmp = 1000;
 
       if (totmp < timeout_ms)
@@ -1433,6 +1435,12 @@
   Curl_initinfo(data); /* reset session-specific information "variables" */
   Curl_pgrsStartNow(data);
 
+  if(data->set.timeout)
+    Curl_expire(data, data->set.timeout);
+
+  if(data->set.connecttimeout)
+    Curl_expire(data, data->set.connecttimeout);
+
   return CURLE_OK;
 }
 

=== modified file 'lib/url.c'
--- lib/url.c	2010-08-12 08:20:48 +0000
+++ lib/url.c	2010-10-18 11:13:17 +0000
@@ -138,6 +138,7 @@
 #include "socks.h"
 #include "rtsp.h"
 #include "curl_rtmp.h"
+#include "gopher.h"
 
 #define _MPRINTF_REPLACE /* use our functions only */
 #include <curl/mprintf.h>
@@ -227,6 +228,10 @@
   &Curl_handler_rtsp,
 #endif
 
+#ifndef CURL_DISABLE_GOPHER
+  &Curl_handler_gopher,
+#endif
+
 #ifdef USE_LIBRTMP
   &Curl_handler_rtmp,
   &Curl_handler_rtmpt,
@@ -476,10 +481,20 @@
   }
 #endif
 
+  Curl_expire(data, 0); /* shut off timers */
+
   if(m)
     /* This handle is still part of a multi handle, take care of this first
        and detach this handle from there. */
-    Curl_multi_rmeasy(data->multi, data);
+    curl_multi_remove_handle(data->multi, data);
+
+  /* Destroy the timeout list that is held in the easy handle. It is
+     /normally/ done by curl_multi_remove_handle() but this is "just in
+     case" */
+  if(data->state.timeoutlist) {
+    Curl_llist_destroy(data->state.timeoutlist, NULL);
+    data->state.timeoutlist = NULL;
+  }
 
   data->magic = 0; /* force a clear AFTER the possibly enforced removal from
                       the multi handle, since that function uses the magic
@@ -2566,7 +2581,6 @@
                   NULL, Curl_scan_cache_used);
 #endif
 
-  Curl_expire(data, 0); /* shut off timers */
   Curl_hostcache_prune(data); /* kill old DNS cache entries */
 
   {
@@ -2685,11 +2699,10 @@
   }
   else if (sval & CURL_CSELECT_IN) {
     /* readable with no error. could be closed or could be alive */
-    long connectinfo = 0;
-    Curl_getconnectinfo(check->data, &connectinfo, &check);
-    if(connectinfo != -1) {
+    curl_socket_t connectinfo =
+      Curl_getconnectinfo(check->data, &check);
+    if(connectinfo != CURL_SOCKET_BAD)
       ret_val = FALSE;
-    }
   }
 
   return ret_val;
@@ -4307,6 +4320,11 @@
       *portptr = '\0'; /* cut off the name there */
       conn->remote_port = curlx_ultous(port);
     }
+    else if(!port)
+      /* Browser behavior adaptation. If there's a colon with no digits after,
+         just cut off the name there which makes us ignore the colon and just
+         use the default port. Firefox and Chrome both do that. */
+      *portptr = '\0';
   }
   return CURLE_OK;
 }
@@ -4387,30 +4405,7 @@
                                bool *async)
 {
   CURLcode result=CURLE_OK;
-  long shortest = 0; /* default to no timeout */
-
-  /*************************************************************
-   * Set timeout if that is being used
-   *************************************************************/
-  if(data->set.timeout || data->set.connecttimeout) {
-
-    /* We set the timeout on the name resolving phase first, separately from
-     * the download/upload part to allow a maximum time on everything. This is
-     * a signal-based timeout, why it won't work and shouldn't be used in
-     * multi-threaded environments. */
-
-    shortest = data->set.timeout; /* default to this timeout value */
-    if(shortest && data->set.connecttimeout &&
-       (data->set.connecttimeout < shortest))
-      /* if both are set, pick the shortest */
-      shortest = data->set.connecttimeout;
-    else if(!shortest)
-      /* if timeout is not set, use the connect timeout */
-      shortest = data->set.connecttimeout;
-  /* We can expect the conn->created time to be "now", as that was just
-     recently set in the beginning of this function and nothing slow
-     has been done since then until now. */
-  }
+  long timeout_ms = Curl_timeleft(conn, NULL, TRUE);
 
   /*************************************************************
    * Resolve the name of the server or proxy
@@ -4437,7 +4432,7 @@
 
       /* Resolve target host right on */
       rc = Curl_resolv_timeout(conn, conn->host.name, (int)conn->port,
-                               &hostaddr, shortest);
+                               &hostaddr, timeout_ms);
       if(rc == CURLRESOLV_PENDING)
         *async = TRUE;
 
@@ -4458,7 +4453,7 @@
 
       /* resolve proxy */
       rc = Curl_resolv_timeout(conn, conn->proxy.name, (int)conn->port,
-                               &hostaddr, shortest);
+                               &hostaddr, timeout_ms);
 
       if(rc == CURLRESOLV_PENDING)
         *async = TRUE;
@@ -5137,8 +5132,6 @@
   conn = *connp;
   data = conn->data;
 
-  Curl_expire(data, 0); /* stop timer */
-
   if(conn->bits.done)
     /* Stop if Curl_done() has already been called */
     return CURLE_OK;
@@ -5292,10 +5285,8 @@
 static void do_complete(struct connectdata *conn)
 {
   conn->data->req.chunk=FALSE;
-  conn->data->req.trailerhdrpresent=FALSE;
-
   conn->data->req.maxfd = (conn->sockfd>conn->writesockfd?
-                               conn->sockfd:conn->writesockfd)+1;
+                           conn->sockfd:conn->writesockfd)+1;
 }
 
 CURLcode Curl_do(struct connectdata **connp, bool *done)

=== modified file 'lib/urldata.h'
--- lib/urldata.h	2010-08-12 08:20:48 +0000
+++ lib/urldata.h	2010-10-18 11:13:17 +0000
@@ -46,6 +46,7 @@
 #define PORT_RTMP 1935
 #define PORT_RTMPT PORT_HTTP
 #define PORT_RTMPS PORT_HTTPS
+#define PORT_GOPHER 70
 
 #define DICT_MATCH "/MATCH:"
 #define DICT_MATCH2 "/M:"
@@ -588,9 +589,6 @@
   bool forbidchunk;   /* used only to explicitly forbid chunk-upload for
                          specific upload buffers. See readmoredata() in
                          http.c for details. */
-  bool trailerhdrpresent; /* Set when Trailer: header found in HTTP response.
-                             Required to determine whether to look for trailers
-                             in case of Transfer-Encoding: chunking */
 };
 
 /*
@@ -715,11 +713,13 @@
 #define PROT_RTMPTE  CURLPROTO_RTMPTE
 #define PROT_RTMPS   CURLPROTO_RTMPS
 #define PROT_RTMPTS  CURLPROTO_RTMPTS
-
-/* (1<<24) is currently the highest used bit in the public bitmask. We make
-   sure we use "private bits" above the public ones to make things easier. */
-
-#define PROT_EXTMASK 0xffffff
+#define PROT_GOPHER  CURLPROTO_GOPHER
+
+/* (1<<25) is currently the highest used bit in the public bitmask. We make
+   sure we use "private bits" above the public ones to make things easier;
+   Gopher will not conflict with the current bit 25. */
+
+#define PROT_EXTMASK 0x03ffffff
 
 #define PROT_SSL     (1<<29) /* protocol requires SSL */
 
@@ -806,7 +806,7 @@
   enum protection_level data_prot;
   enum protection_level request_data_prot;
   size_t buffer_size;
-  struct krb4buffer in_buffer, out_buffer;
+  struct krb4buffer in_buffer;
   void *app_data;
   const struct Curl_sec_client_mech *mech;
   struct sockaddr_in local_addr;
@@ -1094,6 +1094,7 @@
 #endif /* USE_SSLEAY */
   struct timeval expiretime; /* set this with Curl_expire() only */
   struct Curl_tree timenode; /* for the splay stuff */
+  struct curl_llist *timeoutlist; /* list of pending timeouts */
 
   /* a place to store the most recently set FTP entrypath */
   char *most_recent_ftp_entrypath;

=== modified file 'lib/vc6libcurl.dsp'
--- lib/vc6libcurl.dsp	2010-08-12 08:20:48 +0000
+++ lib/vc6libcurl.dsp	2010-10-18 11:13:17 +0000
@@ -238,6 +238,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=.\gopher.c
+# End Source File
+# Begin Source File
+
 SOURCE=.\gtls.c
 # End Source File
 # Begin Source File
@@ -626,6 +630,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=.\gopher.h
+# End Source File
+# Begin Source File
+
 SOURCE=.\gtls.h
 # End Source File
 # Begin Source File

=== modified file 'lib/version.c'
--- lib/version.c	2010-06-16 19:25:37 +0000
+++ lib/version.c	2010-10-18 11:13:17 +0000
@@ -158,6 +158,9 @@
 #if defined(USE_SSL) && !defined(CURL_DISABLE_FTP)
   "ftps",
 #endif
+#ifndef CURL_DISABLE_GOPHER
+  "gopher",
+#endif
 #ifndef CURL_DISABLE_HTTP
   "http",
 #endif

=== modified file 'm4/curl-confopts.m4'
--- m4/curl-confopts.m4	2010-08-12 08:20:48 +0000
+++ m4/curl-confopts.m4	2010-10-18 11:13:17 +0000
@@ -472,6 +472,7 @@
           ares_channel channel;
           ares_cancel(channel); /* added in 1.2.0 */
           ares_process_fd(channel, 0, 0); /* added in 1.4.0 */
+          ares_dup(&channel, channel); /* added in 1.6.0 */
         ]])
       ],[
         AC_MSG_RESULT([yes])

=== modified file 'maketgz'
--- maketgz	2010-08-12 08:20:48 +0000
+++ maketgz	2010-10-18 11:13:17 +0000
@@ -60,8 +60,8 @@
 # Replace version number in header file:
 sed 's/#define CURL_VERSION .*/#define CURL_VERSION "'$curlversion'"/g' $CHEADER >$CHEADER.dist
 
-# Generate VC8 and VC9 versions from the VC6 Makefile versions
-for ver in vc8 vc9; do
+# Generate VC8, VC9, and VC10 versions from the VC6 Makefile versions
+for ver in vc8 vc9 vc10; do
   make -f Makefile.dist $ver
   mv src/Makefile.$ver src/Makefile.$ver.dist
   mv lib/Makefile.$ver lib/Makefile.$ver.dist

=== modified file 'packages/AIX/Makefile.in'
--- packages/AIX/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/AIX/Makefile.in	2010-10-18 11:13:17 +0000
@@ -93,6 +93,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/AIX/RPM/Makefile.in'
--- packages/AIX/RPM/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/AIX/RPM/Makefile.in	2010-10-18 11:13:17 +0000
@@ -85,6 +85,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/EPM/Makefile.in'
--- packages/EPM/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/EPM/Makefile.in	2010-10-18 11:13:17 +0000
@@ -85,6 +85,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/Linux/Makefile.in'
--- packages/Linux/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/Linux/Makefile.in	2010-10-18 11:13:17 +0000
@@ -93,6 +93,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/Linux/RPM/Makefile.in'
--- packages/Linux/RPM/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/Linux/RPM/Makefile.in	2010-10-18 11:13:17 +0000
@@ -85,6 +85,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/Makefile.in'
--- packages/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/Makefile.in	2010-10-18 11:13:17 +0000
@@ -93,6 +93,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/OS400/curl.inc.in'
--- packages/OS400/curl.inc.in	2010-06-16 19:25:37 +0000
+++ packages/OS400/curl.inc.in	2010-10-18 11:13:17 +0000
@@ -645,6 +645,8 @@
      d                 c                   X'00800000'
      d  CURLPROTO_RTMPTS...
      d                 c                   X'01000000'
+     d  CURLPROTO_GOPHER...
+     d                 c                   X'02000000'
       *
      d CURLoption      s             10i 0 based(######ptr######)               Enum
      d  CURLOPT_FILE   c                   10001

=== modified file 'packages/OS400/make-tests.sh'
--- packages/OS400/make-tests.sh	2010-04-28 18:40:27 +0000
+++ packages/OS400/make-tests.sh	2010-10-18 11:13:17 +0000
@@ -36,6 +36,11 @@
         -e 's/\\$(\\([^)]*\\))/${\\1}/g'                                \
         < Makefile.inc`"
 
+#       Special case: redefine chkhostname compilation parameters.
+
+chkhostname_SOURCES=chkhostname.c
+chkhostname_LDADD=curl_gethostname.o
+
 #       Compile all programs.
 #       The list is found in variable "noinst_PROGRAMS"
 
@@ -89,7 +94,15 @@
         #       Link program if needed.
 
         if [ "${LINK}" ]
-        then    MODULES="`echo \"${MODULES}\" |
+        then    PGMLDADD="`eval echo \"\\${${PGM}_LDADD}\"`"
+                for LDARG in ${PGMLDADD}
+                do      case "${LDARG}" in
+                        -*)     ;;              # Ignore non-module.
+                        *)      MODULES="${MODULES} "`db2_name "${LDARG}"`
+                                ;;
+                        esac
+                done
+                MODULES="`echo \"${MODULES}\" |
                     sed \"s/[^ ][^ ]*/${TARGETLIB}\/&/g\"`"
                 CMD="CRTPGM PGM(${TARGETLIB}/${DB2PGM})"
                 CMD="${CMD} ENTMOD(QADRT/QADRTMAIN2)"

=== modified file 'packages/Solaris/Makefile.in'
--- packages/Solaris/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/Solaris/Makefile.in	2010-10-18 11:13:17 +0000
@@ -87,6 +87,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/Symbian/group/libcurl.mmp'
--- packages/Symbian/group/libcurl.mmp	2010-08-12 08:20:48 +0000
+++ packages/Symbian/group/libcurl.mmp	2010-10-18 11:13:17 +0000
@@ -21,21 +21,21 @@
 
 SOURCEPATH  ../../../lib
 SOURCE \
-  file.c timeval.c base64.c hostip.c progress.c formdata.c  \
-  cookie.c http.c sendf.c ftp.c url.c dict.c if2ip.c speedcheck.c   \
-  ldap.c ssluse.c version.c getenv.c escape.c mprintf.c telnet.c    \
-  netrc.c getinfo.c transfer.c strequal.c easy.c security.c krb4.c  \
-  curl_fnmatch.c fileinfo.c ftplistparser.c wildcard.c \
-  krb5.c memdebug.c http_chunks.c strtok.c connect.c llist.c hash.c \
-  multi.c content_encoding.c share.c http_digest.c md5.c curl_rand.c \
-  http_negotiate.c http_ntlm.c inet_pton.c strtoofft.c strerror.c   \
-  hostares.c hostasyn.c hostip4.c hostip6.c hostsyn.c hostthre.c    \
-  inet_ntop.c parsedate.c select.c gtls.c sslgen.c tftp.c splay.c   \
-  strdup.c socks.c ssh.c nss.c qssl.c rawstr.c curl_addrinfo.c      \
-  socks_gssapi.c socks_sspi.c curl_sspi.c slist.c nonblock.c        \
-  curl_memrchr.c imap.c pop3.c smtp.c pingpong.c rtsp.c warnless.c  \
-  curl_threads.c hmac.c polarssl.c curl_rtmp.c openldap.c md4.c     \
-  curl_gethostname.c
+  file.c timeval.c base64.c hostip.c progress.c formdata.c	\
+  cookie.c http.c sendf.c ftp.c url.c dict.c if2ip.c speedcheck.c	\
+  ldap.c ssluse.c version.c getenv.c escape.c mprintf.c telnet.c	\
+  netrc.c getinfo.c transfer.c strequal.c easy.c security.c krb4.c	\
+  curl_fnmatch.c fileinfo.c ftplistparser.c wildcard.c krb5.c		\
+  memdebug.c http_chunks.c strtok.c connect.c llist.c hash.c multi.c	\
+  content_encoding.c share.c http_digest.c md4.c md5.c curl_rand.c	\
+  http_negotiate.c http_ntlm.c inet_pton.c strtoofft.c strerror.c	\
+  hostares.c hostasyn.c hostip4.c hostip6.c hostsyn.c hostthre.c	\
+  inet_ntop.c parsedate.c select.c gtls.c sslgen.c tftp.c splay.c	\
+  strdup.c socks.c ssh.c nss.c qssl.c rawstr.c curl_addrinfo.c		\
+  socks_gssapi.c socks_sspi.c curl_sspi.c slist.c nonblock.c		\
+  curl_memrchr.c imap.c pop3.c smtp.c pingpong.c rtsp.c curl_threads.c	\
+  warnless.c hmac.c polarssl.c curl_rtmp.c openldap.c curl_gethostname.c\
+  gopher.c
 
 USERINCLUDE   ../../../lib ../../../include/curl
 #ifdef ENABLE_SSL

=== modified file 'packages/TPF/curl.mak'
--- packages/TPF/curl.mak	2010-08-12 08:20:48 +0000
+++ packages/TPF/curl.mak	2010-10-18 11:13:17 +0000
@@ -30,95 +30,8 @@
 #######################################################################
 #
 ### lib directory:
-C_SRC := base64.c
-C_SRC += connect.c
-C_SRC += content_encoding.c
-C_SRC += cookie.c
-C_SRC += curl_addrinfo.c
-C_SRC += curl_fnmatch.c
-C_SRC += curl_gethostname.c
-C_SRC += curl_memrchr.c
-C_SRC += curl_rand.c
-C_SRC += curl_rtmp.c
-C_SRC += curl_sspi.c
-C_SRC += curl_threads.c
-C_SRC += dict.c
-C_SRC += easy.c
-C_SRC += escape.c
-C_SRC += file.c
-C_SRC += fileinfo.c
-C_SRC += formdata.c
-C_SRC += ftp.c
-C_SRC += ftplistparser.c
-C_SRC += getenv.c
-C_SRC += getinfo.c
-C_SRC += gtls.c
-C_SRC += hash.c
-C_SRC += hmac.c
-C_SRC += hostares.c
-C_SRC += hostasyn.c
-C_SRC += hostip4.c
-C_SRC += hostip6.c
-C_SRC += hostip.c
-C_SRC += hostsyn.c
-C_SRC += hostthre.c
-C_SRC += http.c
-C_SRC += http_chunks.c
-C_SRC += http_digest.c
-C_SRC += http_negotiate.c
-C_SRC += http_ntlm.c
-C_SRC += if2ip.c
-C_SRC += imap.c
-C_SRC += inet_ntop.c
-C_SRC += inet_pton.c
-C_SRC += krb4.c
-C_SRC += krb5.c
-C_SRC += ldap.c
-C_SRC += llist.c
-C_SRC += md4.c
-C_SRC += md5.c
-C_SRC += memdebug.c
-C_SRC += mprintf.c
-C_SRC += multi.c
-C_SRC += netrc.c
-C_SRC += nonblock.c
-C_SRC += nss.c
-C_SRC += openldap.c
-C_SRC += parsedate.c
-C_SRC += pingpong.c
-C_SRC += polarssl.c
-C_SRC += pop3.c
-C_SRC += progress.c
-C_SRC += qssl.c
-C_SRC += rawstr.c
-C_SRC += rtsp.c
-C_SRC += security.c
-C_SRC += select.c
-C_SRC += sendf.c
-C_SRC += share.c
-C_SRC += slist.c
-C_SRC += smtp.c
-C_SRC += socks.c
-C_SRC += socks_gssapi.c
-C_SRC += socks_sspi.c
-C_SRC += speedcheck.c
-C_SRC += splay.c
-C_SRC += ssh.c
-C_SRC += sslgen.c
-C_SRC += ssluse.c
-C_SRC += strdup.c
-C_SRC += strequal.c
-C_SRC += strerror.c
-C_SRC += strtok.c
-C_SRC += strtoofft.c
-C_SRC += telnet.c
-C_SRC += tftp.c
-C_SRC += timeval.c
-C_SRC += transfer.c
-C_SRC += url.c
-C_SRC += version.c
-C_SRC += warnless.c
-C_SRC += wildcard.c
+include $(word 1,$(wildcard $(foreach d,$(TPF_ROOT),$d/opensource/curl/lib/Makefile.inc)) Makefile.inc_not_found)
+C_SRC := $(CSOURCES)
 
 #######################################################################
 # Additions and overrides for gcc compiler flags

=== modified file 'packages/Win32/Makefile.in'
--- packages/Win32/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/Win32/Makefile.in	2010-10-18 11:13:17 +0000
@@ -93,6 +93,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/Win32/cygwin/Makefile.in'
--- packages/Win32/cygwin/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/Win32/cygwin/Makefile.in	2010-10-18 11:13:17 +0000
@@ -84,6 +84,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'packages/vms/Makefile.in'
--- packages/vms/Makefile.in	2010-08-12 08:20:48 +0000
+++ packages/vms/Makefile.in	2010-10-18 11:13:17 +0000
@@ -84,6 +84,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'src/Makefile.Watcom'
--- src/Makefile.Watcom	2010-08-12 08:20:48 +0000
+++ src/Makefile.Watcom	2010-10-18 11:13:17 +0000
@@ -34,12 +34,12 @@
 !endif
 
 !if $(__VERSION__) < 1250
-RM = del /q /f >NUL 2>&1
+RM = del /q /f 2>NUL
 !else
 RM = rm -f
 !endif
 MD = mkdir
-RD = rmdir /q /s >NUL 2>&1
+RD = rmdir /q /s 2>NUL
 CP = copy
 
 CFLAGS = -3r -mf -hc -zff -zgf -zq -zm -s -fr=con -w2 -fpi -oilrtfm &
@@ -66,6 +66,18 @@
 ZLIB_ROOT = ..\..\zlib-1.2.5
 !endif
 
+!ifdef %libssh2_root
+LIBSSH2_ROOT = $(%libssh2_root)
+!else
+LIBSSH2_ROOT = ..\..\libssh2-1.2.7
+!endif
+
+!ifdef %librtmp_root
+LIBRTMP_ROOT = $(%librtmp_root)
+!else
+LIBRTMP_ROOT = ..\..\librtmp-2.3
+!endif
+
 !ifdef %openssl_root
 OPENSSL_ROOT = $(%openssl_root)
 !else
@@ -113,7 +125,7 @@
 	-$(RM) $(OBJS)
 	-$(RM) $(RESOURCE) $(LINK_ARG)
 
-vclean realclean: clean .SYMBOLIC
+vclean distclean: clean .SYMBOLIC
 	-$(RD) $(OBJ_DIR)
 	-$(RM) curl.exe curl.map curl.sym hugehelp.c
 
@@ -155,6 +167,12 @@
 !ifdef %use_zlib
 	@%append $^@ library $(ZLIB_ROOT)\zlib.lib
 !endif
+!ifdef %use_rtmp
+	@%append $^@ library $(LIBRTMP_ROOT)\librtmp\librtmp.lib, winmm.lib
+!endif
+!ifdef %use_ssh2                                                                                                                    
+	@%append $^@ library $(LIBSSH2_ROOT)\win32\libssh2.lib                                                                      
+!endif
 !ifdef %use_ssl
 	@%append $^@ library $(OPENSSL_ROOT)\out32\libeay32.lib, $(OPENSSL_ROOT)\out32\ssleay32.lib
 !endif

=== modified file 'src/Makefile.in'
--- src/Makefile.in	2010-08-12 08:20:48 +0000
+++ src/Makefile.in	2010-10-18 11:13:17 +0000
@@ -121,6 +121,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'src/Makefile.m32'
--- src/Makefile.m32	2010-08-12 08:20:48 +0000
+++ src/Makefile.m32	2010-10-18 11:13:17 +0000
@@ -4,7 +4,7 @@
 ## and optionally OpenSSL (0.9.8), libssh2 (1.2), zlib (1.2.5)
 ##
 ## Usage:
-## mingw32-make -f Makefile.m32 [SSL=1] [SSH2=1] [ZLIB=1] [IDN=1] [SSPI=1] [IPV6=1] [LDAPS=1] [DYN=1]
+## mingw32-make -f Makefile.m32 [SSL=1] [SSH2=1] [ZLIB=1] [IDN=1] [SSPI=1] [IPV6=1] [LDAPS=1] [RTMP=1] [DYN=1]
 ##
 ## Hint: you can also set environment vars to control the build, f.e.:
 ## set ZLIB_PATH=c:/zlib-1.2.5
@@ -24,12 +24,16 @@
 endif
 # Edit the path below to point to the base of your LibSSH2 package.
 ifndef LIBSSH2_PATH
-LIBSSH2_PATH = ../../libssh2-1.2.6
+LIBSSH2_PATH = ../../libssh2-1.2.7
 endif
 # Edit the path below to point to the base of your libidn package.
 ifndef LIBIDN_PATH
 LIBIDN_PATH = ../../libidn-1.18
 endif
+# Edit the path below to point to the base of your librtmp package.
+ifndef LIBRTMP_PATH
+LIBRTMP_PATH = ../../librtmp-2.3
+endif
 # Edit the path below to point to the base of your Novell LDAP NDK.
 ifndef LDAP_SDK
 LDAP_SDK = c:/novell/ndk/cldapsdk/win32
@@ -46,7 +50,7 @@
 LDFLAGS = -s
 RC = windres
 RCFLAGS = --include-dir=../include -O COFF -i
-RM = del /q /f > NUL 2>&1
+RM = del /q /f 2>NUL
 CP = copy
 
 # We may need these someday
@@ -75,6 +79,10 @@
   CFLAGS += -DUSE_ARES
   curl_LDADD += -L$(LIBCARES_PATH) -lcares
 endif
+ifdef RTMP
+  CFLAGS += -DUSE_LIBRTMP
+  curl_LDADD += -L"$(LIBRTMP_PATH)/librtmp" -lrtmp -lwinmm
+endif
 ifdef SSH2
   CFLAGS += -DUSE_LIBSSH2 -DHAVE_LIBSSH2_H
   curl_LDADD += -L$(LIBSSH2_PATH)/win32 -lssh2
@@ -159,7 +167,6 @@
 endif
 	-$(RM) $(curl_OBJECTS) $(RESOURCE)
 
-distrib: clean
+distclean vclean: clean
 	-$(RM) $(curl_PROGRAMS)
 
-

=== modified file 'src/Makefile.netware'
--- src/Makefile.netware	2010-08-12 08:20:48 +0000
+++ src/Makefile.netware	2010-10-18 11:13:17 +0000
@@ -24,7 +24,7 @@
 
 # Edit the path below to point to the base of your LibSSH2 package.
 ifndef LIBSSH2_PATH
-LIBSSH2_PATH = ../../libssh2-1.2.6
+LIBSSH2_PATH = ../../libssh2-1.2.7
 endif
 
 # Edit the path below to point to the base of your libidn package.
@@ -32,6 +32,11 @@
 LIBIDN_PATH = ../../libidn-1.18
 endif
 
+# Edit the path below to point to the base of your librtmp package.
+ifndef LIBRTMP_PATH
+LIBRTMP_PATH = ../../librtmp-2.3
+endif
+
 # Edit the path below to point to the base of your c-ares package.
 ifndef LIBCARES_PATH
 LIBCARES_PATH = ../ares
@@ -85,13 +90,13 @@
 	CC = gcc
 endif
 PERL	= perl
-# a native win32 awk can be downloaded from here:
+# Here you can find a native Win32 binary of the original awk:
 # http://www.gknw.net/development/prgtools/awk-20070501.zip
 AWK	= awk
 CP	= cp -afv
 MKDIR	= mkdir
 # RM	= rm -f
-# if you want to mark the target as MTSAFE you will need a tool for
+# If you want to mark the target as MTSAFE you will need a tool for
 # generating the xdc data for the linker; here's a minimal tool:
 # http://www.gknw.net/development/prgtools/mkxdc.zip
 MPKXDC	= mkxdc
@@ -114,13 +119,13 @@
 #CFLAGS	+= -w on
 ifeq ($(LIBARCH),LIBC)
 ifeq ($(POSIXFL),1)
-	PRELUDE = $(SDK_LIBC)/imports/posixpre.o
+	PRELUDE = $(NDK_LIBC)/imports/posixpre.o
 else
-	PRELUDE = $(SDK_LIBC)/imports/libcpre.o
+	PRELUDE = $(NDK_LIBC)/imports/libcpre.o
 endif
 	CFLAGS += -align 4
 else
-	# PRELUDE = $(SDK_CLIB)/imports/clibpre.o
+	# PRELUDE = $(NDK_CLIB)/imports/clibpre.o
 	# to avoid the __init_* / __deinit_* whoes dont use prelude from NDK
 	PRELUDE = "$(MWCW_PATH)/libraries/runtime/prelude.obj"
 	# CFLAGS += -include "$(MWCW_PATH)/headers/nlm_clib_prefix.h"
@@ -134,12 +139,12 @@
 CFLAGS	+= -Wall # -pedantic
 ifeq ($(LIBARCH),LIBC)
 ifeq ($(POSIXFL),1)
-	PRELUDE = $(SDK_LIBC)/imports/posixpre.gcc.o
+	PRELUDE = $(NDK_LIBC)/imports/posixpre.gcc.o
 else
-	PRELUDE = $(SDK_LIBC)/imports/libcpre.gcc.o
+	PRELUDE = $(NDK_LIBC)/imports/libcpre.gcc.o
 endif
 else
-	# PRELUDE = $(SDK_CLIB)/imports/clibpre.gcc.o
+	# PRELUDE = $(NDK_CLIB)/imports/clibpre.gcc.o
 	# to avoid the __init_* / __deinit_* whoes dont use prelude from NDK
 	# http://www.gknw.net/development/mk_nlm/gcc_pre.zip
 	PRELUDE = $(NDK_ROOT)/pre/prelude.o
@@ -148,9 +153,15 @@
 endif
 
 NDK_ROOT = $(NDKBASE)/ndk
-SDK_CLIB = $(NDK_ROOT)/nwsdk
-SDK_LIBC = $(NDK_ROOT)/libc
-SDK_LDAP = $(NDK_ROOT)/cldapsdk/netware
+ifndef NDK_CLIB
+NDK_CLIB = $(NDK_ROOT)/nwsdk
+endif
+ifndef NDK_LIBC
+NDK_LIBC = $(NDK_ROOT)/libc
+endif
+ifndef NDK_LDAP
+NDK_LDAP = $(NDK_ROOT)/cldapsdk/netware
+endif
 CURL_INC = ../include
 CURL_LIB = ../lib
 
@@ -174,6 +185,12 @@
 	IMPORTS += @$(LIBSSH2_PATH)/nw/libssh2.imp
 endif
 endif
+ifdef WITH_RTMP
+	# INCLUDES += -I$(LIBRTMP_PATH)
+ifdef LINK_STATIC
+	LDLIBS += $(LIBRTMP_PATH)/librtmp/librtmp.$(LIBEXT)
+endif
+endif
 ifdef WITH_SSL
 	INCLUDES += -I$(OPENSSL_PATH)/outinc_nw_$(LIBARCH_L)
 	LDLIBS += $(OPENSSL_PATH)/out_nw_$(LIBARCH_L)/ssl.$(LIBEXT)
@@ -195,16 +212,16 @@
 endif
 
 ifeq ($(LIBARCH),LIBC)
-	INCLUDES += -I$(SDK_LIBC)/include
-	# INCLUDES += -I$(SDK_LIBC)/include/nks
-	# INCLUDES += -I$(SDK_LIBC)/include/winsock
+	INCLUDES += -I$(NDK_LIBC)/include
+	# INCLUDES += -I$(NDK_LIBC)/include/nks
+	# INCLUDES += -I$(NDK_LIBC)/include/winsock
 	CFLAGS += -D_POSIX_SOURCE
 else
-	INCLUDES += -I$(SDK_CLIB)/include/nlm
-	# INCLUDES += -I$(SDK_CLIB)/include
+	INCLUDES += -I$(NDK_CLIB)/include/nlm
+	# INCLUDES += -I$(NDK_CLIB)/include
 endif
 ifndef DISABLE_LDAP
-	# INCLUDES += -I$(SDK_LDAP)/$(LIBARCH_L)/inc
+	# INCLUDES += -I$(NDK_LDAP)/$(LIBARCH_L)/inc
 endif
 CFLAGS	+= $(INCLUDES)
 
@@ -263,7 +280,7 @@
 	-$(RM) curl_config.h
 	-$(RM) -r $(OBJDIR)
 
-distclean: clean
+distclean vclean: clean
 	-$(RM) $(TARGET).nlm
 
 $(OBJDIR) $(INSTDIR):
@@ -313,15 +330,15 @@
 ifeq ($(LIBARCH),CLIB)
 	@echo $(DL)start _Prelude$(DL) >> $@
 	@echo $(DL)exit _Stop$(DL) >> $@
-	@echo $(DL)import @$(SDK_CLIB)/imports/clib.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_CLIB)/imports/threads.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_CLIB)/imports/nlmlib.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_CLIB)/imports/socklib.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_CLIB)/imports/clib.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_CLIB)/imports/threads.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_CLIB)/imports/nlmlib.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_CLIB)/imports/socklib.imp$(DL) >> $@
 	@echo $(DL)module clib$(DL) >> $@
 ifndef DISABLE_LDAP
-	@echo $(DL)import @$(SDK_LDAP)/clib/imports/ldapsdk.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_LDAP)/clib/imports/ldapssl.imp$(DL) >> $@
-#	@echo $(DL)import @$(SDK_LDAP)/clib/imports/ldapx.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LDAP)/clib/imports/ldapsdk.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LDAP)/clib/imports/ldapssl.imp$(DL) >> $@
+#	@echo $(DL)import @$(NDK_LDAP)/clib/imports/ldapx.imp$(DL) >> $@
 	@echo $(DL)module ldapsdk ldapssl$(DL) >> $@
 endif
 else
@@ -339,13 +356,13 @@
 	@echo $(DL)exit _LibCPostlude$(DL) >> $@
 	@echo $(DL)check _LibCCheckUnload$(DL) >> $@
 endif
-	@echo $(DL)import @$(SDK_LIBC)/imports/libc.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_LIBC)/imports/netware.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LIBC)/imports/libc.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LIBC)/imports/netware.imp$(DL) >> $@
 	@echo $(DL)module libc$(DL) >> $@
 ifndef DISABLE_LDAP
-	@echo $(DL)import @$(SDK_LDAP)/libc/imports/lldapsdk.imp$(DL) >> $@
-	@echo $(DL)import @$(SDK_LDAP)/libc/imports/lldapssl.imp$(DL) >> $@
-#	@echo $(DL)import @$(SDK_LDAP)/libc/imports/lldapx.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LDAP)/libc/imports/lldapsdk.imp$(DL) >> $@
+	@echo $(DL)import @$(NDK_LDAP)/libc/imports/lldapssl.imp$(DL) >> $@
+#	@echo $(DL)import @$(NDK_LDAP)/libc/imports/lldapx.imp$(DL) >> $@
 	@echo $(DL)module lldapsdk lldapssl$(DL) >> $@
 endif
 endif
@@ -416,13 +433,6 @@
 	@echo $(DL)#define HAVE_SYS_PARAM_H 1$(DL) >> $@
 	@echo $(DL)#define HAVE_SYS_SELECT_H 1$(DL) >> $@
 	@echo $(DL)#define HAVE_TERMIOS_H 1$(DL) >> $@
-	@echo $(DL)#define HAVE_AF_INET6 1$(DL) >> $@
-	@echo $(DL)#define HAVE_PF_INET6 1$(DL) >> $@
-	@echo $(DL)#define HAVE_FREEADDRINFO 1$(DL) >> $@
-	@echo $(DL)#define HAVE_GETADDRINFO 1$(DL) >> $@
-	@echo $(DL)#define HAVE_SOCKADDR_IN6_SIN6_SCOPE_ID 1$(DL) >> $@
-	@echo $(DL)#define HAVE_STRUCT_IN6_ADDR 1$(DL) >> $@
-	@echo $(DL)#define HAVE_STRUCT_SOCKADDR_IN6 1$(DL) >> $@
 	@echo $(DL)#define RECV_TYPE_ARG1 int$(DL) >> $@
 	@echo $(DL)#define RECV_TYPE_ARG2 void *$(DL) >> $@
 	@echo $(DL)#define RECV_TYPE_ARG3 size_t$(DL) >> $@
@@ -442,11 +452,19 @@
 	@echo $(DL)#define SEND_TYPE_ARG3 size_t$(DL) >> $@
 	@echo $(DL)#define SEND_TYPE_ARG4 int$(DL) >> $@
 	@echo $(DL)#define SEND_TYPE_RETV ssize_t$(DL) >> $@
-	@echo $(DL)#define SIZEOF_STRUCT_IN6_ADDR 16$(DL) >> $@
 	@echo $(DL)#define SIZEOF_OFF_T 8$(DL) >> $@
 	@echo $(DL)#define _LARGEFILE 1$(DL) >> $@
 ifdef ENABLE_IPV6
 	@echo $(DL)#define ENABLE_IPV6 1$(DL) >> $@
+	@echo $(DL)#define HAVE_AF_INET6 1$(DL) >> $@
+	@echo $(DL)#define HAVE_PF_INET6 1$(DL) >> $@
+	@echo $(DL)#define HAVE_FREEADDRINFO 1$(DL) >> $@
+	@echo $(DL)#define HAVE_GETADDRINFO 1$(DL) >> $@
+	@echo $(DL)#define HAVE_SOCKADDR_IN6_SIN6_SCOPE_ID 1$(DL) >> $@
+	@echo $(DL)#define HAVE_STRUCT_ADDRINFO 1$(DL) >> $@
+	@echo $(DL)#define HAVE_STRUCT_IN6_ADDR 1$(DL) >> $@
+	@echo $(DL)#define HAVE_STRUCT_SOCKADDR_IN6 1$(DL) >> $@
+	@echo $(DL)#define SIZEOF_STRUCT_IN6_ADDR 16$(DL) >> $@
 endif
 endif
 	@echo $(DL)#define USE_MANUAL 1$(DL) >> $@
@@ -482,7 +500,6 @@
 	@echo $(DL)#define HAVE_STRFTIME 1$(DL) >> $@
 	@echo $(DL)#define HAVE_STRING_H 1$(DL) >> $@
 	@echo $(DL)#define HAVE_STRSTR 1$(DL) >> $@
-	@echo $(DL)#define HAVE_STRUCT_ADDRINFO 1$(DL) >> $@
 	@echo $(DL)#define HAVE_STRUCT_TIMEVAL 1$(DL) >> $@
 	@echo $(DL)#define HAVE_SYS_IOCTL_H 1$(DL) >> $@
 	@echo $(DL)#define HAVE_SYS_STAT_H 1$(DL) >> $@
@@ -547,6 +564,9 @@
 	@echo $(DL)#define HAVE_LIBIDN 1$(DL) >> $@
 	@echo $(DL)#define HAVE_TLD_H 1$(DL) >> $@
 endif
+ifdef WITH_RTMP
+	@echo $(DL)#define USE_LIBRTMP 1$(DL) >> $@
+endif
 	@echo $(DL)#ifdef __GNUC__$(DL) >> $@
 	@echo $(DL)#define HAVE_VARIADIC_MACROS_GCC 1$(DL) >> $@
 	@echo $(DL)#else$(DL) >> $@

=== added file 'src/Makefile.vc10'
--- src/Makefile.vc10	1970-01-01 00:00:00 +0000
+++ src/Makefile.vc10	2010-10-18 11:13:17 +0000
@@ -0,0 +1,299 @@
+#############################################################
+#
+## Makefile for building curl.exe with MSVC10
+## Use: nmake -f makefile.vc10 [release | debug] [CFG=release-ssl]
+##      (default is release)
+## "nmake -f makefile.vc10 CFG=release-ssl" statically links OpenSSL
+## into curl.exe producing a standalone SSL-enabled executable.
+##
+## Comments to: Troy Engel <tengel@sonic.net>
+## Updated by: Craig Davison <cd@securityfocus.com>
+## release-ssl added by Miklos Nemeth <mnemeth@kfkisystems.com>
+#
+#############################################################
+
+PROGRAM_NAME = curl.exe
+
+!IFNDEF OPENSSL_PATH
+OPENSSL_PATH = ../../openssl-0.9.8o
+!ENDIF
+
+!IFNDEF ZLIB_PATH
+ZLIB_PATH = ../../zlib-1.2.5
+!ENDIF
+
+!IFNDEF MACHINE
+MACHINE  = X86
+!ENDIF
+
+# USE_WINDOWS_SSPI uses windows libraries to allow NTLM authentication
+# without an openssl installation and offers the ability to authenticate
+# using the "current logged in user". Since at least with MSVC10 the sspi.h
+# header is broken it is either required to install the Windows SDK,
+# or to fix sspi.h with adding this define at the beginning of sspi.h:
+# #define FreeCredentialHandle FreeCredentialsHandle
+#
+# If, for some reason the Windows SDK is installed but not installed
+# in the default location, you can specify WINDOWS_SDK_PATH.
+# It can be downloaded from:
+# http://www.microsoft.com/msdownload/platformsdk/sdkupdate/
+
+# WINDOWS_SSPI = 1
+
+!IFDEF WINDOWS_SSPI
+!IFNDEF WINDOWS_SDK_PATH
+WINDOWS_SDK_PATH = "C:\Program Files\Microsoft SDK"
+!ENDIF
+!ENDIF
+
+########################################################
+## Nothing more to do below this line!
+ZLIB_CFLAGS   = /DHAVE_ZLIB_H /DHAVE_ZLIB /DHAVE_LIBZ /I "$(ZLIB_PATH)"
+ZLIB_LFLAGS   = "/LIBPATH:$(ZLIB_PATH)"
+ZLIB_LIBS     = zlib.lib
+ZLIB_IMP_LIBS = zdll.lib
+
+SSL_CFLAGS     = /DUSE_SSLEAY
+SSL_LFLAGS     = /LIBPATH:"$(OPENSSL_PATH)/out32"
+SSL_IMP_LFLAGS = /LIBPATH:"$(OPENSSL_PATH)/out32dll"
+SSL_LIBS       = libeay32.lib ssleay32.lib gdi32.lib user32.lib advapi32.lib
+
+# Runtime library configuration
+RTLIB   = /MD
+RTLIBD  = /MDd
+
+!IF "$(RTLIBCFG)" == "static"
+RTLIB  = /MT
+RTLIBD = /MTd
+!ENDIF
+
+## Release
+CCR   = cl.exe $(RTLIB) /O2 /DNDEBUG
+LINKR = link.exe /incremental:no /libpath:"../lib"
+RCR   = rc.exe /dDEBUGBUILD=0
+
+## Debug
+CCD   = cl.exe $(RTLIBD) /Gm /ZI /Od /D_DEBUG /RTC1
+LINKD = link.exe /incremental:yes /debug /libpath:"../lib"
+RCD   = rc.exe /dDEBUGBUILD=1
+
+CFLAGS   = /I../lib /I../include /nologo /W3 /EHsc /DWIN32 /FD /c
+LFLAGS   = /nologo /out:$(PROGRAM_NAME) /subsystem:console /machine:$(MACHINE)
+RESFLAGS = /i../include
+
+# This manifest thing is for VC8, enabled by the maketgz script that
+# builds the VC8 version of this makefile. Left commented out in the VC10
+# version!
+#MANIFESTTOOL = mt -manifest $(PROGRAM_NAME).manifest -outputresource:$(PROGRAM_NAME);1
+
+!IFDEF WINDOWS_SSPI
+CFLAGS = $(CFLAGS) /DUSE_WINDOWS_SSPI /I$(WINDOWS_SDK_PATH)\include
+!ENDIF
+
+RELEASE_OBJS= \
+	hugehelpr.obj \
+	writeoutr.obj \
+	urlglobr.obj \
+	getpassr.obj \
+	homedirr.obj \
+	curlutilr.obj \
+	os-specificr.obj \
+	nonblockr.obj \
+	rawstrr.obj \
+	strtoofftr.obj \
+	mainr.obj \
+	curlr.res
+
+DEBUG_OBJS= \
+	hugehelpd.obj \
+	writeoutd.obj \
+	urlglobd.obj \
+	getpassd.obj \
+	homedird.obj \
+	curlutild.obj \
+	os-specificd.obj \
+	nonblockd.obj \
+	rawstrd.obj \
+	strtoofftd.obj \
+	maind.obj \
+	curld.res
+
+#################################################
+# If CFG not specified, use static libs
+
+CFLAGS         = $(CFLAGS) /DCURL_STATICLIB
+LINKLIBS       = libcurl.lib
+LINKLIBS_DEBUG = libcurld.lib
+
+#################################################
+# release dynamic library
+
+!IF "$(CFG)" == "release-dll"
+LINKLIBS       = libcurl_imp.lib
+LINKLIBS_DEBUG = libcurld_imp.lib
+!ENDIF
+
+#################################################
+# release static library with zlib
+
+!IF "$(CFG)" == "release-zlib"
+CFLAGS         = $(CFLAGS) $(ZLIB_CFLAGS) /DCURL_STATICLIB
+LINKLIBS       = libcurl.lib  $(ZLIB_LIBS)
+LINKLIBS_DEBUG = libcurld.lib $(ZLIB_LIBS)
+LFLAGS         = $(LFLAGS) $(ZLIB_LFLAGS)
+!ENDIF
+
+#################################################
+# release static library with ssl
+
+!IF "$(CFG)" == "release-ssl"
+CFLAGS         = $(CFLAGS) $(SSL_CFLAGS) /DCURL_STATICLIB
+LINKLIBS       = libcurl.lib  $(SSL_LIBS)
+LINKLIBS_DEBUG = libcurld.lib $(SSL_LIBS)
+LFLAGS         = $(LFLAGS) $(SSL_LFLAGS)
+!ENDIF
+
+#################################################
+# release dynamic library with dynamic ssl
+
+!IF "$(CFG)" == "release-dll-ssl-dll"
+CFLAGS         = $(CFLAGS) $(SSL_CFLAGS)
+LINKLIBS       = libcurl_imp.lib  $(SSL_LIBS)
+LINKLIBS_DEBUG = libcurld_imp.lib $(SSL_LIBS)
+LFLAGS         = $(LFLAGS) $(SSL_IMP_LFLAGS)
+!ENDIF
+
+#################################################
+# release static library with ssl and zlib
+
+!IF "$(CFG)" == "release-ssl-zlib"
+CFLAGS         = $(CFLAGS) $(SSL_CFLAGS) $(ZLIB_CFLAGS) /DCURL_STATICLIB
+LINKLIBS       = libcurl.lib  $(SSL_LIBS) $(ZLIB_LIBS)
+LINKLIBS_DEBUG = libcurld.lib $(SSL_LIBS) $(ZLIB_LIBS)
+LFLAGS         = $(LFLAGS) $(SSL_LFLAGS) $(ZLIB_LFLAGS)
+!ENDIF
+
+#################################################
+# release static library with dynamic ssl
+
+!IF "$(CFG)" == "release-ssl-dll"
+CFLAGS         = $(CFLAGS) $(SSL_CFLAGS) /DCURL_STATICLIB
+LINKLIBS       = libcurl.lib  $(SSL_LIBS)
+LINKLIBS_DEBUG = libcurld.lib $(SSL_LIBS)
+LFLAGS         = $(LFLAGS) $(SSL_IMP_LFLAGS)
+!ENDIF
+
+#################################################
+# release static library with dynamic zlib
+
+!IF "$(CFG)" == "release-zlib-dll"
+CFLAGS         = $(CFLAGS) $(ZLIB_CFLAGS) /DCURL_STATICLIB
+LINKLIBS       = libcurl.lib  $(ZLIB_IMP_LIBS)
+LINKLIBS_DEBUG = libcurld.lib $(ZLIB_IMP_LIBS)
+LFLAGS         = $(LFLAGS) $(ZLIB_LFLAGS)
+!ENDIF
+
+#################################################
+# release dynamic library with dynamic zlib
+
+!IF "$(CFG)" == "release-dll-zlib-dll"
+CFLAGS         = $(CFLAGS) $(ZLIB_CFLAGS)
+LINKLIBS       = libcurl_imp.lib  $(ZLIB_IMP_LIBS)
+LINKLIBS_DEBUG = libcurld_imp.lib $(ZLIB_IMP_LIBS)
+LFLAGS         = $(LFLAGS) $(ZLIB_LFLAGS)
+!ENDIF
+
+#################################################
+# release static library with dynamic ssl and dynamic zlib
+
+!IF "$(CFG)" == "release-ssl-dll-zlib-dll"
+CFLAGS         = $(CFLAGS) $(SSL_CFLAGS) $(ZLIB_CFLAGS) /DCURL_STATICLIB
+LINKLIBS       = libcurl.lib  $(SSL_LIBS) $(ZLIB_IMP_LIBS)
+LINKLIBS_DEBUG = libcurld.lib $(SSL_LIBS) $(ZLIB_IMP_LIBS)
+LFLAGS         = $(LFLAGS) $(SSL_IMP_LFLAGS) $(ZLIB_LFLAGS)
+!ENDIF
+
+#################################################
+# release dynamic library with dynamic ssl and dynamic zlib
+
+!IF "$(CFG)" == "release-dll-ssl-dll-zlib-dll"
+CFLAGS         = $(CFLAGS) $(SSL_CFLAGS) $(ZLIB_CFLAGS)
+LINKLIBS       = libcurl_imp.lib  $(SSL_LIBS) $(ZLIB_IMP_LIBS)
+LINKLIBS_DEBUG = libcurld_imp.lib $(SSL_LIBS) $(ZLIB_IMP_LIBS)
+LFLAGS         = $(LFLAGS) $(SSL_IMP_LFLAGS) $(ZLIB_LFLAGS)
+!ENDIF
+
+
+LINKLIBS       = $(LINKLIBS) ws2_32.lib wldap32.lib
+LINKLIBS_DEBUG = $(LINKLIBS_DEBUG) ws2_32.lib wldap32.lib
+
+all : release
+
+release: $(RELEASE_OBJS)
+	$(LINKR) $(LFLAGS) $(LINKLIBS) $(RELEASE_OBJS)
+        $(MANIFESTTOOL)
+
+debug: $(DEBUG_OBJS)
+	$(LINKD) $(LFLAGS) $(LINKLIBS_DEBUG) $(DEBUG_OBJS)
+        $(MANIFESTTOOL)
+
+## Release
+hugehelpr.obj: hugehelp.c
+	$(CCR) $(CFLAGS) /Zm200 /Fo"$@" hugehelp.c
+writeoutr.obj: writeout.c
+	$(CCR) $(CFLAGS) /Fo"$@" writeout.c
+urlglobr.obj: urlglob.c
+	$(CCR) $(CFLAGS) /Fo"$@" urlglob.c
+getpassr.obj: getpass.c
+	$(CCR) $(CFLAGS) /Fo"$@" getpass.c
+homedirr.obj: homedir.c
+	$(CCR) $(CFLAGS) /Fo"$@" homedir.c
+curlutilr.obj: curlutil.c
+	$(CCR) $(CFLAGS) /Fo"$@" curlutil.c
+os-specificr.obj: os-specific.c
+	$(CCR) $(CFLAGS) /Fo"$@" os-specific.c
+nonblockr.obj: ../lib/nonblock.c
+	$(CCR) $(CFLAGS) /Fo"$@" ../lib/nonblock.c
+rawstrr.obj: ../lib/rawstr.c
+	$(CCR) $(CFLAGS) /Fo"$@" ../lib/rawstr.c
+strtoofftr.obj: ../lib/strtoofft.c
+	$(CCR) $(CFLAGS) /Fo"$@" ../lib/strtoofft.c
+mainr.obj: main.c
+	$(CCR) $(CFLAGS) /Fo"$@" main.c
+curlr.res : curl.rc
+	$(RCR) $(RESFLAGS) /Fo"$@" curl.rc
+
+## Debug
+hugehelpd.obj: hugehelp.c
+	$(CCD) $(CFLAGS) /Zm200 /Fo"$@" hugehelp.c
+writeoutd.obj: writeout.c
+	$(CCD) $(CFLAGS) /Fo"$@" writeout.c
+urlglobd.obj: urlglob.c
+	$(CCD) $(CFLAGS) /Fo"$@" urlglob.c
+getpassd.obj: getpass.c
+	$(CCD) $(CFLAGS) /Fo"$@" getpass.c
+homedird.obj: homedir.c
+	$(CCD) $(CFLAGS) /Fo"$@" homedir.c
+curlutild.obj: curlutil.c
+	$(CCD) $(CFLAGS) /Fo"$@" curlutil.c
+os-specificd.obj: os-specific.c
+	$(CCD) $(CFLAGS) /Fo"$@" os-specific.c
+nonblockd.obj: ../lib/nonblock.c
+	$(CCD) $(CFLAGS) /Fo"$@" ../lib/nonblock.c
+rawstrd.obj: ../lib/rawstr.c
+	$(CCD) $(CFLAGS) /Fo"$@" ../lib/rawstr.c
+strtoofftd.obj: ../lib/strtoofft.c
+	$(CCD) $(CFLAGS) /Fo"$@" ../lib/strtoofft.c
+maind.obj: main.c
+	$(CCD) $(CFLAGS) /Fo"$@" main.c
+curld.res : curl.rc
+	$(RCD) $(RESFLAGS) /Fo"$@" curl.rc
+
+clean:
+	@-erase $(PROGRAM_NAME) 2> NUL
+	@-erase $(RELEASE_OBJS) 2> NUL
+	@-erase $(DEBUG_OBJS) 2> NUL
+	@-erase *.idb 2> NUL
+	@-erase *.pdb 2> NUL
+	@-erase *.pch 2> NUL
+	@-erase *.ilk 2> NUL

=== modified file 'src/curl_config.h.in'
--- src/curl_config.h.in	2010-08-12 08:20:48 +0000
+++ src/curl_config.h.in	2010-10-18 11:13:17 +0000
@@ -24,6 +24,9 @@
 /* to disable FTP */
 #undef CURL_DISABLE_FTP
 
+/* to disable Gopher */
+#undef CURL_DISABLE_GOPHER
+
 /* to disable HTTP */
 #undef CURL_DISABLE_HTTP
 
@@ -361,6 +364,9 @@
 /* Define to 1 if you have the `ldap_url_parse' function. */
 #undef HAVE_LDAP_URL_PARSE
 
+/* Define to 1 if you have the `gcrypt' library (-lgcrypt). */
+#undef HAVE_LIBGCRYPT
+
 /* Define to 1 if you have the <libgen.h> header file. */
 #undef HAVE_LIBGEN_H
 
@@ -373,9 +379,6 @@
 /* Define to 1 if you have the `resolve' library (-lresolve). */
 #undef HAVE_LIBRESOLVE
 
-/* Define to 1 if you have the `rtmp' library (-lrtmp). */
-#undef HAVE_LIBRTMP
-
 /* Define to 1 if you have the <librtmp/rtmp.h> header file. */
 #undef HAVE_LIBRTMP_RTMP_H
 

=== modified file 'src/hugehelp.c'
--- src/hugehelp.c	2010-08-12 08:20:48 +0000
+++ src/hugehelp.c	2010-10-18 11:13:17 +0000
@@ -2,7 +2,7 @@
 #ifndef HAVE_LIBZ
 /*
  * NEVER EVER edit this manually, fix the mkhelp.pl script instead!
- * Generation time: Wed Jul 14 23:06:05 2010
+ * Generation time: Wed Oct  6 19:13:33 2010
  */
 #include "setup.h"
 #ifdef USE_MANUAL
@@ -25,27 +25,28 @@
 "\n"
 "DESCRIPTION\n"
 "       curl  is  a tool to transfer data from or to a server, using one of the\n"
-"       supported protocols (HTTP, HTTPS, FTP, FTPS,  SCP,  SFTP,  TFTP,  DICT,\n"
+"       supported protocols (DICT, FILE, FTP, FTPS, GOPHER, HTTP, HTTPS,  IMAP,\n"
 , stdout);
  fputs(
-"       TELNET,  LDAP  or  FILE).  The command is designed to work without user\n"
-"       interaction.\n"
+"       IMAPS,  LDAP,  LDAPS,  POP3, POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS,\n"
+"       TELNET and TFTP).  The command is designed to work without user  inter-\n"
+"       action.\n"
 "\n"
 "       curl offers a busload of useful tricks like proxy support, user authen-\n"
-"       tication,  FTP upload, HTTP post, SSL connections, cookies, file trans-\n"
+"       tication, FTP upload, HTTP post, SSL connections, cookies, file  trans-\n"
 "       fer resume and more. As you will see below, the number of features will\n"
 "       make your head spin!\n"
 "\n"
-"       curl  is  powered  by  libcurl  for  all transfer-related features. See\n"
+, stdout);
+ fputs(
+"       curl is powered by  libcurl  for  all  transfer-related  features.  See\n"
 "       libcurl(3) for details.\n"
 "\n"
 "URL\n"
-, stdout);
- fputs(
-"       The URL syntax is protocol-dependent. You'll find a  detailed  descrip-\n"
+"       The  URL  syntax is protocol-dependent. You'll find a detailed descrip-\n"
 "       tion in RFC 3986.\n"
 "\n"
-"       You  can  specify  multiple  URLs or parts of URLs by writing part sets\n"
+"       You can specify multiple URLs or parts of URLs  by  writing  part  sets\n"
 "       within braces as in:\n"
 "\n"
 "        http://site.{one,two,three}.com\n"
@@ -53,172 +54,172 @@
 "       or you can get sequences of alphanumeric series by using [] as in:\n"
 "\n"
 "        ftp://ftp.numericals.com/file[1-100].txt\n"
+, stdout);
+ fputs(
 "        ftp://ftp.numericals.com/file[001-100].txt    (with leading zeros)\n"
 "        ftp://ftp.letters.com/file[a-z].txt\n"
 "\n"
-, stdout);
- fputs(
-"       No nesting of the sequences is supported at the moment, but you can use\n"
-"       several ones next to each other:\n"
+"       Nested  sequences  are not supported, but you can use several ones next\n"
+"       to each other:\n"
 "\n"
 "        http://any.org/archive[1996-1999]/vol[1-4]/part{a,b,c}.html\n"
 "\n"
-"       You  can  specify  any amount of URLs on the command line. They will be\n"
+"       You can specify any amount of URLs on the command line.  They  will  be\n"
 "       fetched in a sequential manner in the specified order.\n"
 "\n"
-"       Since curl 7.15.1 you can also specify a step counter for  the  ranges,\n"
-"       so that you can get every Nth number or letter:\n"
-"\n"
 , stdout);
  fputs(
+"       You  can  specify a step counter for the ranges to get every Nth number\n"
+"       or letter:\n"
+"\n"
 "        http://www.numericals.com/file[1-100:10].txt\n"
 "        http://www.letters.com/file[a-z:2].txt\n"
 "\n"
-"       If  you  specify  URL  without protocol:// prefix, curl will attempt to\n"
-"       guess what protocol you might want. It will then default  to  HTTP  but\n"
-"       try  other  protocols based on often-used host name prefixes. For exam-\n"
-"       ple, for host names starting with \"ftp.\" curl will assume you  want  to\n"
+"       If you specify URL without protocol:// prefix,  curl  will  attempt  to\n"
+"       guess  what  protocol  you might want. It will then default to HTTP but\n"
+"       try other protocols based on often-used host name prefixes.  For  exam-\n"
+, stdout);
+ fputs(
+"       ple,  for  host names starting with \"ftp.\" curl will assume you want to\n"
 "       speak FTP.\n"
 "\n"
-, stdout);
- fputs(
-"       curl  will  do  its best to use what you pass to it as a URL. It is not\n"
-"       trying to validate it as a syntactically correct URL by any  means  but\n"
+"       curl will do its best to use what you pass to it as a URL.  It  is  not\n"
+"       trying  to  validate it as a syntactically correct URL by any means but\n"
 "       is instead very liberal with what it accepts.\n"
 "\n"
 "       Curl will attempt to re-use connections for multiple file transfers, so\n"
-"       that getting many files from the same server will not do multiple  con-\n"
+"       that  getting many files from the same server will not do multiple con-\n"
+, stdout);
+ fputs(
 "       nects / handshakes. This improves speed. Of course this is only done on\n"
-, stdout);
- fputs(
-"       files specified on a single command line and  cannot  be  used  between\n"
+"       files  specified  on  a  single command line and cannot be used between\n"
 "       separate curl invokes.\n"
 "\n"
 "PROGRESS METER\n"
-"       curl  normally  displays a progress meter during operations, indicating\n"
-"       the amount of transferred data,  transfer  speeds  and  estimated  time\n"
+"       curl normally displays a progress meter during  operations,  indicating\n"
+"       the  amount  of  transferred  data,  transfer speeds and estimated time\n"
 "       left, etc.\n"
 "\n"
-"       However,  since  curl displays this data to the terminal by default, if\n"
-"       you invoke curl to do an operation and it is about to write data to the\n"
+"       curl displays this data to the terminal by default, so  if  you  invoke\n"
 , stdout);
  fputs(
-"       terminal,  it disables the progress meter as otherwise it would mess up\n"
-"       the output mixing progress meter and response data.\n"
+"       curl  to do an operation and it is about to write data to the terminal,\n"
+"       it disables the progress meter as otherwise it would mess up the output\n"
+"       mixing progress meter and response data.\n"
 "\n"
 "       If you want a progress meter for HTTP POST or PUT requests, you need to\n"
-"       redirect  the  response  output to a file, using shell redirect (>), -o\n"
+"       redirect the response output to a file, using shell  redirect  (>),  -o\n"
 "       [file] or similar.\n"
 "\n"
-"       It is not the same case for FTP upload as that operation does not  spit\n"
+"       It  is not the same case for FTP upload as that operation does not spit\n"
+, stdout);
+ fputs(
 "       out any response data to the terminal.\n"
 "\n"
-, stdout);
- fputs(
 "       If you prefer a progress \"bar\" instead of the regular meter, -# is your\n"
 "       friend.\n"
 "OPTIONS\n"
 "       In general, all boolean options are enabled with --option and yet again\n"
-"       disabled  with --no-option. That is, you use the exact same option name\n"
+"       disabled with --no-option. That is, you use the exact same option  name\n"
 "       but prefix it with \"no-\". However, in this list we mostly only list and\n"
-"       show  the --option version of them. (This concept with --no options was\n"
-"       added in  7.19.0.  Previously  most  options  were  toggled  on/off  on\n"
+"       show the --option version of them. (This concept with --no options  was\n"
 , stdout);
  fputs(
+"       added  in  7.19.0.  Previously  most  options  were  toggled  on/off on\n"
 "       repeated use of the same command line option.)\n"
 "\n"
 "       -a/--append\n"
 "              (FTP/SFTP) When used in an upload, this will tell curl to append\n"
-"              to the target file  instead  of  overwriting  it.  If  the  file\n"
-"              doesn't  exist,  it  will  be  created.   Note that this flag is\n"
+"              to  the  target  file  instead  of  overwriting  it. If the file\n"
+"              doesn't exist, it will be  created.   Note  that  this  flag  is\n"
 "              ignored by some SSH servers (including OpenSSH).\n"
 "\n"
 "       -A/--user-agent <agent string>\n"
+, stdout);
+ fputs(
 "              (HTTP) Specify the User-Agent string to send to the HTTP server.\n"
-, stdout);
- fputs(
-"              Some   badly   done  CGIs  fail  if  this  field  isn't  set  to\n"
-"              \"Mozilla/4.0\". To encode blanks  in  the  string,  surround  the\n"
-"              string  with  single  quote marks. This can also be set with the\n"
+"              Some  badly  done  CGIs  fail  if  this  field  isn't   set   to\n"
+"              \"Mozilla/4.0\".  To  encode  blanks  in  the string, surround the\n"
+"              string with single quote marks. This can also be  set  with  the\n"
 "              -H/--header option of course.\n"
 "\n"
-"              If this option is set more than once, the last one will  be  the\n"
+"              If  this  option is set more than once, the last one will be the\n"
 "              one that's used.\n"
 "\n"
 "       --anyauth\n"
+, stdout);
+ fputs(
 "              (HTTP) Tells curl to figure out authentication method by itself,\n"
-, stdout);
- fputs(
-"              and use the most secure one the remote site claims  to  support.\n"
+"              and  use  the most secure one the remote site claims to support.\n"
 "              This is done by first doing a request and checking the response-\n"
-"              headers, thus possibly inducing  an  extra  network  round-trip.\n"
-"              This  is  used  instead  of  setting  a  specific authentication\n"
-"              method, which you can do with  --basic,  --digest,  --ntlm,  and\n"
+"              headers,  thus  possibly  inducing  an extra network round-trip.\n"
+"              This is  used  instead  of  setting  a  specific  authentication\n"
+"              method,  which  you  can  do with --basic, --digest, --ntlm, and\n"
+, stdout);
+ fputs(
 "              --negotiate.\n"
 "\n"
-, stdout);
- fputs(
-"              Note  that  using --anyauth is not recommended if you do uploads\n"
-"              from stdin, since it may require data to be sent twice and  then\n"
+"              Note that using --anyauth is not recommended if you  do  uploads\n"
+"              from  stdin, since it may require data to be sent twice and then\n"
 "              the client must be able to rewind. If the need should arise when\n"
 "              uploading from stdin, the upload operation will fail.\n"
 "\n"
 "       -b/--cookie <name=data>\n"
-"              (HTTP) Pass the data to the HTTP server as a cookie. It is  sup-\n"
-"              posedly  the data previously received from the server in a \"Set-\n"
+"              (HTTP)  Pass the data to the HTTP server as a cookie. It is sup-\n"
 , stdout);
  fputs(
-"              Cookie:\" line.  The data should be in the format  \"NAME1=VALUE1;\n"
+"              posedly the data previously received from the server in a  \"Set-\n"
+"              Cookie:\"  line.  The data should be in the format \"NAME1=VALUE1;\n"
 "              NAME2=VALUE2\".\n"
 "\n"
-"              If  no  '=' symbol is used in the line, it is treated as a file-\n"
-"              name to use to read previously stored cookie lines  from,  which\n"
-"              should  be used in this session if they match. Using this method\n"
-"              also activates the \"cookie parser\" which will make  curl  record\n"
+"              If no '=' symbol is used in the line, it is treated as  a  file-\n"
+"              name  to  use to read previously stored cookie lines from, which\n"
+"              should be used in this session if they match. Using this  method\n"
 , stdout);
  fputs(
+"              also  activates  the \"cookie parser\" which will make curl record\n"
 "              incoming cookies too, which may be handy if you're using this in\n"
-"              combination with the -L/--location option. The  file  format  of\n"
-"              the  file  to  read cookies from should be plain HTTP headers or\n"
+"              combination  with  the  -L/--location option. The file format of\n"
+"              the file to read cookies from should be plain  HTTP  headers  or\n"
 "              the Netscape/Mozilla cookie file format.\n"
 "\n"
-"              NOTE that the file specified with -b/--cookie is  only  used  as\n"
-"              input.  No cookies will be stored in the file. To store cookies,\n"
+"              NOTE  that  the  file specified with -b/--cookie is only used as\n"
 , stdout);
  fputs(
-"              use the -c/--cookie-jar option or you could even save  the  HTTP\n"
+"              input. No cookies will be stored in the file. To store  cookies,\n"
+"              use  the  -c/--cookie-jar option or you could even save the HTTP\n"
 "              headers to a file using -D/--dump-header!\n"
 "\n"
-"              If  this  option is set more than once, the last one will be the\n"
+"              If this option is set more than once, the last one will  be  the\n"
 "              one that's used.\n"
 "\n"
 "       -B/--use-ascii\n"
-"              Enable ASCII transfer when using FTP or LDAP. For FTP, this  can\n"
-"              also  be enforced by using an URL that ends with \";type=A\". This\n"
+"              Enable  ASCII transfer when using FTP or LDAP. For FTP, this can\n"
 , stdout);
  fputs(
-"              option causes data sent to stdout to be in text mode  for  win32\n"
+"              also be enforced by using an URL that ends with \";type=A\".  This\n"
+"              option  causes  data sent to stdout to be in text mode for win32\n"
 "              systems.\n"
 "\n"
 "       --basic\n"
-"              (HTTP)  Tells curl to use HTTP Basic authentication. This is the\n"
-"              default and this option is usually pointless, unless you use  it\n"
-"              to  override  a  previously  set  option  that  sets a different\n"
-"              authentication method (such as --ntlm,  --digest,  or  --negoti-\n"
+"              (HTTP) Tells curl to use HTTP Basic authentication. This is  the\n"
+"              default  and this option is usually pointless, unless you use it\n"
+"              to override a  previously  set  option  that  sets  a  different\n"
+, stdout);
+ fputs(
+"              authentication  method  (such  as --ntlm, --digest, or --negoti-\n"
 "              ate).\n"
 "\n"
 "       --ciphers <list of ciphers>\n"
-, stdout);
- fputs(
 "              (SSL) Specifies which ciphers to use in the connection. The list\n"
-"              of ciphers must specify valid ciphers. Read  up  on  SSL  cipher\n"
-"              list           details           on           this          URL:\n"
+"              of  ciphers  must  specify  valid ciphers. Read up on SSL cipher\n"
+"              list          details           on           this           URL:\n"
 "              http://www.openssl.org/docs/apps/ciphers.html\n"
 "\n"
-"              NSS ciphers are done differently than OpenSSL  and  GnuTLS.  The\n"
-"              full  list of NSS ciphers is in the NSSCipherSuite entry at this\n"
 , stdout);
  fputs(
+"              NSS  ciphers  are  done differently than OpenSSL and GnuTLS. The\n"
+"              full list of NSS ciphers is in the NSSCipherSuite entry at  this\n"
 "              URL: http://directory.fedora.redhat.com/docs/mod_nss.html#Direc-\n"
 "              tives\n"
 "\n"
@@ -227,77 +228,77 @@
 "\n"
 "       --compressed\n"
 "              (HTTP) Request a compressed response using one of the algorithms\n"
+, stdout);
+ fputs(
 "              libcurl supports, and return the uncompressed document.  If this\n"
-"              option is used and the server  sends  an  unsupported  encoding,\n"
-, stdout);
- fputs(
+"              option  is  used  and  the server sends an unsupported encoding,\n"
 "              curl will report an error.\n"
 "\n"
 "       --connect-timeout <seconds>\n"
-"              Maximum  time  in  seconds  that you allow the connection to the\n"
-"              server to take.  This only limits  the  connection  phase,  once\n"
-"              curl  has  connected this option is of no more use. See also the\n"
+"              Maximum time in seconds that you allow  the  connection  to  the\n"
+"              server  to  take.   This  only limits the connection phase, once\n"
+"              curl has connected this option is of no more use. See  also  the\n"
+, stdout);
+ fputs(
 "              -m/--max-time option.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -c/--cookie-jar <file name>\n"
-, stdout);
- fputs(
 "              Specify to which file you want curl to write all cookies after a\n"
-"              completed  operation.  Curl  writes  all cookies previously read\n"
-"              from a specified file as  well  as  all  cookies  received  from\n"
+"              completed operation. Curl writes  all  cookies  previously  read\n"
+"              from  a  specified  file  as  well  as all cookies received from\n"
 "              remote server(s). If no cookies are known, no file will be writ-\n"
-"              ten. The file will be written using  the  Netscape  cookie  file\n"
-"              format.  If  you  set  the  file name to a single dash, \"-\", the\n"
 , stdout);
  fputs(
+"              ten.  The  file  will  be written using the Netscape cookie file\n"
+"              format. If you set the file name to  a  single  dash,  \"-\",  the\n"
 "              cookies will be written to stdout.\n"
 "\n"
 "              NOTE If the cookie jar can't be created or written to, the whole\n"
 "              curl operation won't fail or even report an error clearly. Using\n"
-"              -v will get a warning displayed, but that is  the  only  visible\n"
+"              -v  will  get  a warning displayed, but that is the only visible\n"
+, stdout);
+ fputs(
 "              feedback you get about this possibly lethal situation.\n"
 "\n"
-"              If  this  option  is used several times, the last specified file\n"
+"              If this option is used several times, the  last  specified  file\n"
 "              name will be used.\n"
 "\n"
-, stdout);
- fputs(
 "       -C/--continue-at <offset>\n"
-"              Continue/Resume a previous file transfer at  the  given  offset.\n"
-"              The  given  offset  is  the  exact  number of bytes that will be\n"
-"              skipped, counting from the beginning of the source  file  before\n"
+"              Continue/Resume  a  previous  file transfer at the given offset.\n"
+"              The given offset is the exact  number  of  bytes  that  will  be\n"
+"              skipped,  counting  from the beginning of the source file before\n"
+, stdout);
+ fputs(
 "              it is transferred to the destination.  If used with uploads, the\n"
 "              FTP server command SIZE will not be used by curl.\n"
 "\n"
-"              Use \"-C -\" to tell curl to automatically find out  where/how  to\n"
-, stdout);
- fputs(
-"              resume  the  transfer. It then uses the given output/input files\n"
+"              Use  \"-C  -\" to tell curl to automatically find out where/how to\n"
+"              resume the transfer. It then uses the given  output/input  files\n"
 "              to figure that out.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --create-dirs\n"
-"              When used in conjunction with the -o option,  curl  will  create\n"
-"              the  necessary  local directory hierarchy as needed. This option\n"
-"              creates the dirs mentioned with the -o option, nothing else.  If\n"
 , stdout);
  fputs(
-"              the  -o file name uses no dir or if the dirs it mentions already\n"
+"              When  used  in  conjunction with the -o option, curl will create\n"
+"              the necessary local directory hierarchy as needed.  This  option\n"
+"              creates  the dirs mentioned with the -o option, nothing else. If\n"
+"              the -o file name uses no dir or if the dirs it mentions  already\n"
 "              exist, no dir will be created.\n"
 "\n"
-"              To create remote directories when using FTP or SFTP, try  --ftp-\n"
+"              To  create remote directories when using FTP or SFTP, try --ftp-\n"
 "              create-dirs.\n"
 "\n"
+, stdout);
+ fputs(
 "       --crlf (FTP) Convert LF to CRLF in upload. Useful for MVS (OS/390).\n"
 "\n"
 "       --crlfile <file>\n"
-"              (HTTPS/FTPS)  Provide a file using PEM format with a Certificate\n"
-"              Revocation List that may specify peer certificates that  are  to\n"
-, stdout);
- fputs(
+"              (HTTPS/FTPS) Provide a file using PEM format with a  Certificate\n"
+"              Revocation  List  that may specify peer certificates that are to\n"
 "              be considered revoked.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
@@ -305,435 +306,435 @@
 "              (Added in 7.19.7)\n"
 "\n"
 "       -d/--data <data>\n"
-"              (HTTP)  Sends  the  specified data in a POST request to the HTTP\n"
-"              server, in the same way that a browser  does  when  a  user  has\n"
-"              filled  in an HTML form and presses the submit button. This will\n"
+, stdout);
+ fputs(
+"              (HTTP) Sends the specified data in a POST request  to  the  HTTP\n"
+"              server,  in  the  same  way  that a browser does when a user has\n"
+"              filled in an HTML form and presses the submit button. This  will\n"
 "              cause curl to pass the data to the server using the content-type\n"
-, stdout);
- fputs(
 "              application/x-www-form-urlencoded.  Compare to -F/--form.\n"
 "\n"
-"              -d/--data  is  the  same  as  --data-ascii.  To post data purely\n"
+"              -d/--data is the same  as  --data-ascii.  To  post  data  purely\n"
+, stdout);
+ fputs(
 "              binary, you should instead use the --data-binary option. To URL-\n"
 "              encode the value of a form field you may use --data-urlencode.\n"
 "\n"
-"              If  any of these options is used more than once on the same com-\n"
-"              mand line, the data pieces specified  will  be  merged  together\n"
-, stdout);
- fputs(
-"              with  a  separating  &-symbol.  Thus,  using  '-d name=daniel -d\n"
+"              If any of these options is used more than once on the same  com-\n"
+"              mand  line,  the  data  pieces specified will be merged together\n"
+"              with a separating  &-symbol.  Thus,  using  '-d  name=daniel  -d\n"
 "              skill=lousy'  would  generate  a  post  chunk  that  looks  like\n"
+, stdout);
+ fputs(
 "              'name=daniel&skill=lousy'.\n"
 "\n"
-"              If  you  start  the data with the letter @, the rest should be a\n"
-"              file name to read the data from, or - if you want curl  to  read\n"
-"              the  data  from stdin.  The contents of the file must already be\n"
-, stdout);
- fputs(
-"              URL-encoded. Multiple files can also be specified. Posting  data\n"
-"              from  a file named 'foobar' would thus be done with --data @foo-\n"
+"              If you start the data with the letter @, the rest  should  be  a\n"
+"              file  name  to read the data from, or - if you want curl to read\n"
+"              the data from stdin.  The contents of the file must  already  be\n"
+"              URL-encoded.  Multiple files can also be specified. Posting data\n"
+"              from a file named 'foobar' would thus be done with --data  @foo-\n"
 "              bar.\n"
 "\n"
 "       --data-binary <data>\n"
-"              (HTTP) This posts data exactly as specified with no  extra  pro-\n"
+, stdout);
+ fputs(
+"              (HTTP)  This  posts data exactly as specified with no extra pro-\n"
 "              cessing whatsoever.\n"
 "\n"
-"              If  you  start  the data with the letter @, the rest should be a\n"
-"              filename.  Data is posted in a similar  manner  as  --data-ascii\n"
-, stdout);
- fputs(
-"              does,  except  that  newlines  are preserved and conversions are\n"
+"              If you start the data with the letter @, the rest  should  be  a\n"
+"              filename.   Data  is  posted in a similar manner as --data-ascii\n"
+"              does, except that newlines are  preserved  and  conversions  are\n"
 "              never done.\n"
 "\n"
-"              If this option is used several times,  the  ones  following  the\n"
+"              If  this  option  is  used several times, the ones following the\n"
+, stdout);
+ fputs(
 "              first will append data as described in -d/--data.\n"
 "\n"
 "       --data-urlencode <data>\n"
 "              (HTTP) This posts data, similar to the other --data options with\n"
 "              the exception that this performs URL-encoding. (Added in 7.18.0)\n"
-, stdout);
- fputs(
-"              To be CGI-compliant, the <data> part should begin  with  a  name\n"
-"              followed  by a separator and a content specification. The <data>\n"
+"              To  be  CGI-compliant,  the <data> part should begin with a name\n"
+"              followed by a separator and a content specification. The  <data>\n"
 "              part can be passed to curl using one of the following syntaxes:\n"
 "\n"
+, stdout);
+ fputs(
 "              content\n"
-"                     This will make curl URL-encode the content and pass  that\n"
-"                     on.  Just  be careful so that the content doesn't contain\n"
-"                     any = or @ symbols, as that will  then  make  the  syntax\n"
-, stdout);
- fputs(
+"                     This  will make curl URL-encode the content and pass that\n"
+"                     on. Just be careful so that the content  doesn't  contain\n"
+"                     any  =  or  @  symbols, as that will then make the syntax\n"
 "                     match one of the other cases below!\n"
 "\n"
 "              =content\n"
-"                     This  will make curl URL-encode the content and pass that\n"
+"                     This will make curl URL-encode the content and pass  that\n"
 "                     on. The preceding = symbol is not included in the data.\n"
 "\n"
+, stdout);
+ fputs(
 "              name=content\n"
-"                     This will make curl URL-encode the content part and  pass\n"
-"                     that  on.  Note that the name part is expected to be URL-\n"
+"                     This  will make curl URL-encode the content part and pass\n"
+"                     that on. Note that the name part is expected to  be  URL-\n"
 "                     encoded already.\n"
 "\n"
 "              @filename\n"
-, stdout);
- fputs(
-"                     This will  make  curl  load  data  from  the  given  file\n"
-"                     (including  any  newlines), URL-encode that data and pass\n"
+"                     This  will  make  curl  load  data  from  the  given file\n"
+"                     (including any newlines), URL-encode that data  and  pass\n"
 "                     it on in the POST.\n"
 "\n"
 "              name@filename\n"
-"                     This will  make  curl  load  data  from  the  given  file\n"
-"                     (including  any  newlines), URL-encode that data and pass\n"
-"                     it on in the POST. The  name  part  gets  an  equal  sign\n"
 , stdout);
  fputs(
+"                     This  will  make  curl  load  data  from  the  given file\n"
+"                     (including any newlines), URL-encode that data  and  pass\n"
+"                     it  on  in  the  POST.  The  name part gets an equal sign\n"
 "                     appended, resulting in name=urlencoded-file-content. Note\n"
 "                     that the name is expected to be URL-encoded already.\n"
 "\n"
 "       --digest\n"
 "              (HTTP) Enables HTTP Digest authentication. This is a authentica-\n"
+, stdout);
+ fputs(
 "              tion that prevents the password from being sent over the wire in\n"
-"              clear text. Use this in combination with  the  normal  -u/--user\n"
+"              clear  text.  Use  this in combination with the normal -u/--user\n"
 "              option to set user name and password. See also --ntlm, --negoti-\n"
-, stdout);
- fputs(
 "              ate and --anyauth for related options.\n"
 "\n"
-"              If this option is used several times, the following  occurrences\n"
+"              If  this option is used several times, the following occurrences\n"
 "              make no difference.\n"
 "\n"
 "       --disable-eprt\n"
+, stdout);
+ fputs(
 "              (FTP) Tell curl to disable the use of the EPRT and LPRT commands\n"
 "              when doing active FTP transfers. Curl will normally always first\n"
-"              attempt  to use EPRT, then LPRT before using PORT, but with this\n"
-, stdout);
- fputs(
-"              option, it will use PORT right away. EPRT and  LPRT  are  exten-\n"
-"              sions  to  the  original  FTP  protocol, and may not work on all\n"
+"              attempt to use EPRT, then LPRT before using PORT, but with  this\n"
+"              option,  it  will  use PORT right away. EPRT and LPRT are exten-\n"
+"              sions to the original FTP protocol, and  may  not  work  on  all\n"
 "              servers, but they enable more functionality in a better way than\n"
+, stdout);
+ fputs(
 "              the traditional PORT command.\n"
 "\n"
-"              Since  curl 7.19.0, --eprt can be used to explicitly enable EPRT\n"
-"              again and --no-eprt is an alias for --disable-eprt.\n"
+"              --eprt can be used to explicitly enable EPRT again and --no-eprt\n"
+"              is an alias for --disable-eprt.\n"
 "\n"
-, stdout);
- fputs(
-"              Disabling EPRT only changes the active behavior. If you want  to\n"
-"              switch  to  passive  mode  you  need to not use -P/--ftp-port or\n"
+"              Disabling  EPRT only changes the active behavior. If you want to\n"
+"              switch to passive mode you need  to  not  use  -P/--ftp-port  or\n"
 "              force it with --ftp-pasv.\n"
 "\n"
 "       --disable-epsv\n"
-"              (FTP) Tell curl to disable the use  of  the  EPSV  command  when\n"
-"              doing  passive  FTP  transfers.  Curl will normally always first\n"
-"              attempt to use EPSV before PASV, but with this option,  it  will\n"
+"              (FTP)  Tell  curl  to  disable  the use of the EPSV command when\n"
+, stdout);
+ fputs(
+"              doing passive FTP transfers. Curl  will  normally  always  first\n"
+"              attempt  to  use EPSV before PASV, but with this option, it will\n"
 "              not try using EPSV.\n"
 "\n"
-, stdout);
- fputs(
-"              Since  curl 7.19.0, --epsv can be used to explicitly enable EPRT\n"
-"              again and --no-epsv is an alias for --disable-epsv.\n"
+"              --epsv can be used to explicitly enable EPRT again and --no-epsv\n"
+"              is an alias for --disable-epsv.\n"
 "\n"
 "              Disabling EPSV only changes the passive behavior. If you want to\n"
 "              switch to active mode you need to use -P/--ftp-port.\n"
 "\n"
 "       -D/--dump-header <file>\n"
+, stdout);
+ fputs(
 "              Write the protocol headers to the specified file.\n"
 "\n"
-"              This  option  is handy to use when you want to store the headers\n"
-, stdout);
- fputs(
-"              that a HTTP site sends to you. Cookies from  the  headers  could\n"
-"              then   be  read  in  a  second  curl  invocation  by  using  the\n"
+"              This option is handy to use when you want to store  the  headers\n"
+"              that  a  HTTP  site sends to you. Cookies from the headers could\n"
+"              then  be  read  in  a  second  curl  invocation  by  using   the\n"
 "              -b/--cookie option! The -c/--cookie-jar option is however a bet-\n"
 "              ter way to store cookies.\n"
 "\n"
-"              When  used  in FTP, the FTP server response lines are considered\n"
+, stdout);
+ fputs(
+"              When used in FTP, the FTP server response lines  are  considered\n"
 "              being \"headers\" and thus are saved there.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
-, stdout);
- fputs(
 "       -e/--referer <URL>\n"
-"              (HTTP) Sends the \"Referer Page\" information to the HTTP  server.\n"
-"              This  can also be set with the -H/--header flag of course.  When\n"
-"              used with -L/--location you can append \";auto\" to the  --referer\n"
+"              (HTTP)  Sends the \"Referer Page\" information to the HTTP server.\n"
+"              This can also be set with the -H/--header flag of course.   When\n"
+"              used  with -L/--location you can append \";auto\" to the --referer\n"
+, stdout);
+ fputs(
 "              URL to make curl automatically set the previous URL when it fol-\n"
-"              lows a Location: header. The \";auto\" string can be  used  alone,\n"
+"              lows  a  Location: header. The \";auto\" string can be used alone,\n"
 "              even if you don't set an initial --referer.\n"
 "\n"
-, stdout);
- fputs(
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --engine <name>\n"
-"              Select  the  OpenSSL crypto engine to use for cipher operations.\n"
-"              Use --engine list  to  print  a  list  of  build-time  supported\n"
-"              engines.  Note  that  not  all  (or  none) of the engines may be\n"
+"              Select the OpenSSL crypto engine to use for  cipher  operations.\n"
+"              Use  --engine  list  to  print  a  list  of build-time supported\n"
+, stdout);
+ fputs(
+"              engines. Note that not all (or  none)  of  the  engines  may  be\n"
 "              available at run-time.\n"
 "\n"
 "       --environment\n"
-"              (RISC OS ONLY) Sets a range of environment variables, using  the\n"
-, stdout);
- fputs(
+"              (RISC  OS ONLY) Sets a range of environment variables, using the\n"
 "              names the -w option supports, to allow easier extraction of use-\n"
 "              ful information after having run curl.\n"
 "\n"
 "       --egd-file <file>\n"
-"              (SSL) Specify the path name  to  the  Entropy  Gathering  Daemon\n"
-"              socket.  The  socket  is  used to seed the random engine for SSL\n"
+"              (SSL)  Specify  the  path  name  to the Entropy Gathering Daemon\n"
+, stdout);
+ fputs(
+"              socket. The socket is used to seed the  random  engine  for  SSL\n"
 "              connections. See also the --random-file option.\n"
 "\n"
 "       -E/--cert <certificate[:password]>\n"
 "              (SSL) Tells curl to use the specified certificate file when get-\n"
+"              ting a file with HTTPS or FTPS. The certificate must be  in  PEM\n"
+"              format.   If  the  optional password isn't specified, it will be\n"
+"              queried for on the terminal. Note that  this  option  assumes  a\n"
 , stdout);
  fputs(
-"              ting  a  file with HTTPS or FTPS. The certificate must be in PEM\n"
-"              format.  If the optional password isn't specified,  it  will  be\n"
-"              queried  for  on  the  terminal. Note that this option assumes a\n"
-"              \"certificate\" file that is the private key and the private  cer-\n"
-"              tificate  concatenated!  See  --cert  and  --key to specify them\n"
+"              \"certificate\"  file that is the private key and the private cer-\n"
+"              tificate concatenated! See --cert  and  --key  to  specify  them\n"
 "              independently.\n"
 "\n"
-, stdout);
- fputs(
-"              If curl is built against the NSS SSL library  then  this  option\n"
+"              If  curl  is  built against the NSS SSL library then this option\n"
 "              tells curl the nickname of the certificate to use within the NSS\n"
-"              database defined by the  environment  variable  SSL_DIR  (or  by\n"
-"              default  /etc/pki/nssdb).  If  the  NSS PEM PKCS#11 module (lib-\n"
+"              database  defined  by  the  environment  variable SSL_DIR (or by\n"
+, stdout);
+ fputs(
+"              default /etc/pki/nssdb). If the NSS  PEM  PKCS#11  module  (lib-\n"
 "              nsspem.so) is available then PEM files may be loaded.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --cert-type <type>\n"
-, stdout);
- fputs(
-"              (SSL) Tells curl what certificate type the provided  certificate\n"
+"              (SSL)  Tells curl what certificate type the provided certificate\n"
 "              is in. PEM, DER and ENG are recognized types.  If not specified,\n"
 "              PEM is assumed.\n"
 "\n"
+, stdout);
+ fputs(
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --cacert <CA certificate>\n"
 "              (SSL) Tells curl to use the specified certificate file to verify\n"
-"              the  peer.  The  file  may contain multiple CA certificates. The\n"
-, stdout);
- fputs(
-"              certificate(s) must be in PEM format. Normally curl is built  to\n"
+"              the peer. The file may contain  multiple  CA  certificates.  The\n"
+"              certificate(s)  must be in PEM format. Normally curl is built to\n"
 "              use a default file for this, so this option is typically used to\n"
 "              alter that default file.\n"
 "\n"
-"              curl recognizes the environment variable named  'CURL_CA_BUNDLE'\n"
-"              if  it  is  set,  and uses the given path as a path to a CA cert\n"
+, stdout);
+ fputs(
+"              curl  recognizes the environment variable named 'CURL_CA_BUNDLE'\n"
+"              if it is set, and uses the given path as a path  to  a  CA  cert\n"
 "              bundle. This option overrides that variable.\n"
 "\n"
-"              The windows version of curl will automatically  look  for  a  CA\n"
-, stdout);
- fputs(
+"              The  windows  version  of  curl will automatically look for a CA\n"
 "              certs file named 'curl-ca-bundle.crt', either in the same direc-\n"
 "              tory as curl.exe, or in the Current Working Directory, or in any\n"
 "              folder along your PATH.\n"
 "\n"
-"              If  curl  is  built against the NSS SSL library then this option\n"
-"              tells curl the nickname of the CA certificate to use within  the\n"
-"              NSS  database defined by the environment variable SSL_DIR (or by\n"
 , stdout);
  fputs(
-"              default /etc/pki/nssdb).  If the NSS PEM  PKCS#11  module  (lib-\n"
+"              If curl is built against the NSS SSL library  then  this  option\n"
+"              tells  curl the nickname of the CA certificate to use within the\n"
+"              NSS database defined by the environment variable SSL_DIR (or  by\n"
+"              default  /etc/pki/nssdb).   If  the NSS PEM PKCS#11 module (lib-\n"
 "              nsspem.so) is available then PEM files may be loaded.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
+, stdout);
+ fputs(
 "       --capath <CA certificate directory>\n"
-"              (SSL)  Tells  curl to use the specified certificate directory to\n"
+"              (SSL) Tells curl to use the specified certificate  directory  to\n"
 "              verify the peer. The certificates must be in PEM format, and the\n"
-, stdout);
- fputs(
-"              directory  must  have  been processed using the c_rehash utility\n"
-"              supplied with openssl. Using --capath can  allow  curl  to  make\n"
+"              directory must have been processed using  the  c_rehash  utility\n"
+"              supplied  with  openssl.  Using  --capath can allow curl to make\n"
 "              SSL-connections much more efficiently than using --cacert if the\n"
 "              --cacert file contains many CA certificates.\n"
 "\n"
+, stdout);
+ fputs(
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -f/--fail\n"
-"              (HTTP) Fail silently (no output at all) on server  errors.  This\n"
+"              (HTTP)  Fail  silently (no output at all) on server errors. This\n"
+"              is mostly done to better enable scripts etc to better deal  with\n"
+"              failed  attempts.  In  normal  cases when a HTTP server fails to\n"
+"              deliver a document, it  returns  an  HTML  document  stating  so\n"
+"              (which  often  also describes why and more). This flag will pre-\n"
 , stdout);
  fputs(
-"              is  mostly done to better enable scripts etc to better deal with\n"
-"              failed attempts. In normal cases when a  HTTP  server  fails  to\n"
-"              deliver  a  document,  it  returns  an  HTML document stating so\n"
-"              (which often also describes why and more). This flag  will  pre-\n"
 "              vent curl from outputting that and return error 22.\n"
 "\n"
-"              This  method is not fail-safe and there are occasions where non-\n"
-, stdout);
- fputs(
-"              successful response codes will  slip  through,  especially  when\n"
+"              This method is not fail-safe and there are occasions where  non-\n"
+"              successful  response  codes  will  slip through, especially when\n"
 "              authentication is involved (response codes 401 and 407).\n"
 "\n"
 "       --ftp-account [data]\n"
 "              (FTP) When an FTP server asks for \"account data\" after user name\n"
-"              and password has been provided, this data is sent off using  the\n"
+"              and  password has been provided, this data is sent off using the\n"
+, stdout);
+ fputs(
 "              ACCT command. (Added in 7.13.0)\n"
 "\n"
-"              If  this option is used twice, the second will override the pre-\n"
+"              If this option is used twice, the second will override the  pre-\n"
 "              vious use.\n"
 "\n"
-, stdout);
- fputs(
 "       --ftp-create-dirs\n"
-"              (FTP/SFTP) When an FTP or SFTP URL/operation uses  a  path  that\n"
-"              doesn't  currently exist on the server, the standard behavior of\n"
+"              (FTP/SFTP)  When  an  FTP or SFTP URL/operation uses a path that\n"
+"              doesn't currently exist on the server, the standard behavior  of\n"
 "              curl is to fail. Using this option, curl will instead attempt to\n"
 "              create missing directories.\n"
 "\n"
 "       --ftp-method [method]\n"
-"              (FTP)  Control  what method curl should use to reach a file on a\n"
-"              FTP(S) server. The method argument should be one of the  follow-\n"
 , stdout);
  fputs(
+"              (FTP) Control what method curl should use to reach a file  on  a\n"
+"              FTP(S)  server. The method argument should be one of the follow-\n"
 "              ing alternatives:\n"
 "\n"
 "              multicwd\n"
-"                     curl  does  a  single CWD operation for each path part in\n"
-"                     the given URL. For deep hierarchies this means very  many\n"
-"                     commands.  This  is  how  RFC1738 says it should be done.\n"
+"                     curl does a single CWD operation for each  path  part  in\n"
+"                     the  given URL. For deep hierarchies this means very many\n"
+"                     commands. This is how RFC1738 says  it  should  be  done.\n"
+, stdout);
+ fputs(
 "                     This is the default but the slowest behavior.\n"
 "\n"
-"              nocwd  curl does no CWD at all. curl will do  SIZE,  RETR,  STOR\n"
-, stdout);
- fputs(
+"              nocwd  curl  does  no  CWD at all. curl will do SIZE, RETR, STOR\n"
 "                     etc and give a full path to the server for all these com-\n"
 "                     mands. This is the fastest behavior.\n"
 "\n"
 "              singlecwd\n"
 "                     curl does one CWD with the full target directory and then\n"
-"                     operates  on  the  file  \"normally\" (like in the multicwd\n"
-"                     case). This is somewhat  more  standards  compliant  than\n"
+"                     operates on the file \"normally\"  (like  in  the  multicwd\n"
+, stdout);
+ fputs(
+"                     case).  This  is  somewhat  more standards compliant than\n"
 "                     'nocwd' but without the full penalty of 'multicwd'.\n"
 "       (Added in 7.15.1)\n"
 "\n"
-, stdout);
- fputs(
 "       --ftp-pasv\n"
-"              (FTP)  Use  passive  mode for the data conection. Passive is the\n"
-"              internal default behavior, but using this option can be used  to\n"
+"              (FTP) Use passive mode for the data conection.  Passive  is  the\n"
+"              internal  default behavior, but using this option can be used to\n"
 "              override a previous -P/-ftp-port option. (Added in 7.11.0)\n"
 "\n"
-"              If  this option is used several times, the following occurrences\n"
-"              make no difference. Undoing an  enforced  passive  really  isn't\n"
-"              doable  but  you must then instead enforce the correct -P/--ftp-\n"
 , stdout);
  fputs(
+"              If this option is used several times, the following  occurrences\n"
+"              make  no  difference.  Undoing  an enforced passive really isn't\n"
+"              doable but you must then instead enforce the  correct  -P/--ftp-\n"
 "              port again.\n"
 "\n"
 "              Passive mode means that curl will try the EPSV command first and\n"
 "              then PASV, unless --disable-epsv is used.\n"
 "\n"
 "       --ftp-alternative-to-user <command>\n"
-"              (FTP)  If  authenticating with the USER and PASS commands fails,\n"
-"              send this  command.   When  connecting  to  Tumbleweed's  Secure\n"
-"              Transport  server  over  FTPS  using a client certificate, using\n"
 , stdout);
  fputs(
-"              \"SITE AUTH\" will tell the server to retrieve the  username  from\n"
+"              (FTP) If authenticating with the USER and PASS  commands  fails,\n"
+"              send  this  command.   When  connecting  to  Tumbleweed's Secure\n"
+"              Transport server over FTPS using  a  client  certificate,  using\n"
+"              \"SITE  AUTH\"  will tell the server to retrieve the username from\n"
 "              the certificate. (Added in 7.15.5)\n"
 "\n"
 "       --ftp-skip-pasv-ip\n"
 "              (FTP) Tell curl to not use the IP address the server suggests in\n"
-"              its response to curl's PASV command when curl connects the  data\n"
-"              connection.  Instead  curl  will  re-use  the same IP address it\n"
+, stdout);
+ fputs(
+"              its  response to curl's PASV command when curl connects the data\n"
+"              connection. Instead curl will re-use  the  same  IP  address  it\n"
 "              already uses for the control connection. (Added in 7.14.2)\n"
 "\n"
-, stdout);
- fputs(
-"              This option has no effect if PORT, EPRT or EPSV is used  instead\n"
+"              This  option has no effect if PORT, EPRT or EPSV is used instead\n"
 "              of PASV.\n"
 "\n"
 "       --ftp-pret\n"
-"              (FTP)  Tell  curl to send a PRET command before PASV (and EPSV).\n"
-"              Certain FTP servers, mainly drftpd,  require  this  non-standard\n"
-"              command  for  directory  listings as well as up and downloads in\n"
+"              (FTP) Tell curl to send a PRET command before PASV  (and  EPSV).\n"
+, stdout);
+ fputs(
+"              Certain  FTP  servers,  mainly drftpd, require this non-standard\n"
+"              command for directory listings as well as up  and  downloads  in\n"
 "              PASV mode.  (Added in 7.20.x)\n"
 "\n"
-"       --ssl  (FTP, POP3, IMAP, SMTP) Try to use SSL/TLS for  the  connection.\n"
-, stdout);
- fputs(
+"       --ssl  (FTP,  POP3,  IMAP, SMTP) Try to use SSL/TLS for the connection.\n"
 "              Reverts to a non-secure connection if the server doesn't support\n"
-"              SSL/TLS.  See also --ftp-ssl-control and --ssl-reqd for  differ-\n"
+"              SSL/TLS.   See also --ftp-ssl-control and --ssl-reqd for differ-\n"
+, stdout);
+ fputs(
 "              ent levels of encryption required. (Added in 7.20.0)\n"
 "\n"
-"              This  option  was  formerly known as --ftp-ssl (Added in 7.11.0)\n"
-"              and that can still be used but will be removed in a future  ver-\n"
+"              This option was formerly known as --ftp-ssl  (Added  in  7.11.0)\n"
+"              and  that can still be used but will be removed in a future ver-\n"
 "              sion.\n"
 "\n"
 "       --ftp-ssl-control\n"
+"              (FTP) Require SSL/TLS for the FTP  login,  clear  for  transfer.\n"
+"              Allows  secure  authentication, but non-encrypted data transfers\n"
 , stdout);
  fputs(
-"              (FTP)  Require  SSL/TLS  for  the FTP login, clear for transfer.\n"
-"              Allows secure authentication, but non-encrypted  data  transfers\n"
-"              for  efficiency.   Fails the transfer if the server doesn't sup-\n"
+"              for efficiency.  Fails the transfer if the server  doesn't  sup-\n"
 "              port SSL/TLS.  (Added in 7.16.0)\n"
 "\n"
 "       --ssl-reqd\n"
-"              (FTP, POP3, IMAP, SMTP)  Require  SSL/TLS  for  the  connection.\n"
+"              (FTP,  POP3,  IMAP,  SMTP)  Require  SSL/TLS for the connection.\n"
 "              Terminates the connection if the server doesn't support SSL/TLS.\n"
 "              (Added in 7.20.0)\n"
 "\n"
+"              This  option  was  formerly  known  as  --ftp-ssl-reqd (added in\n"
+"              7.15.5) and that can still be used but  will  be  removed  in  a\n"
 , stdout);
  fputs(
-"              This option was  formerly  known  as  --ftp-ssl-reqd  (added  in\n"
-"              7.15.5)  and  that  can  still  be used but will be removed in a\n"
 "              future version.\n"
 "\n"
 "       --ftp-ssl-ccc\n"
-"              (FTP) Use CCC (Clear Command Channel)  Shuts  down  the  SSL/TLS\n"
+"              (FTP)  Use  CCC  (Clear  Command Channel) Shuts down the SSL/TLS\n"
 "              layer after authenticating. The rest of the control channel com-\n"
-"              munication will be unencrypted. This allows NAT routers to  fol-\n"
-, stdout);
- fputs(
+"              munication  will be unencrypted. This allows NAT routers to fol-\n"
 "              low the FTP transaction. The default mode is passive. See --ftp-\n"
 "              ssl-ccc-mode for other modes.  (Added in 7.16.1)\n"
 "\n"
 "       --ftp-ssl-ccc-mode [active/passive]\n"
-"              (FTP) Use CCC (Clear Command Channel) Sets  the  CCC  mode.  The\n"
-"              passive  mode  will  not initiate the shutdown, but instead wait\n"
+, stdout);
+ fputs(
+"              (FTP)  Use  CCC  (Clear  Command Channel) Sets the CCC mode. The\n"
+"              passive mode will not initiate the shutdown,  but  instead  wait\n"
 "              for the server to do it, and will not reply to the shutdown from\n"
-, stdout);
- fputs(
 "              the server. The active mode initiates the shutdown and waits for\n"
 "              a reply from the server.  (Added in 7.16.2)\n"
 "\n"
 "       -F/--form <name=content>\n"
-"              (HTTP) This lets curl emulate a filled-in form in which  a  user\n"
-"              has  pressed  the  submit  button. This causes curl to POST data\n"
+"              (HTTP)  This  lets curl emulate a filled-in form in which a user\n"
+, stdout);
+ fputs(
+"              has pressed the submit button. This causes  curl  to  POST  data\n"
 "              using the Content-Type multipart/form-data according to RFC2388.\n"
-"              This  enables  uploading of binary files etc. To force the 'con-\n"
-, stdout);
- fputs(
+"              This enables uploading of binary files etc. To force  the  'con-\n"
 "              tent' part to be a file, prefix the file name with an @ sign. To\n"
 "              just get the content part from a file, prefix the file name with\n"
-"              the symbol <. The difference between @ and  <  is  then  that  @\n"
-"              makes  a  file  get attached in the post as a file upload, while\n"
+"              the  symbol  <.  The  difference  between @ and < is then that @\n"
+, stdout);
+ fputs(
+"              makes a file get attached in the post as a  file  upload,  while\n"
 "              the < makes a text field and just get the contents for that text\n"
 "              field from a file.\n"
 "\n"
-, stdout);
- fputs(
-"              Example,  to send your password file to the server, where 'pass-\n"
+"              Example, to send your password file to the server, where  'pass-\n"
 "              word' is the name of the form-field to which /etc/passwd will be\n"
 "              the input:\n"
 "\n"
 "              curl -F password=@/etc/passwd www.mypasswords.com\n"
 "\n"
-"              To  read  the file's content from stdin instead of a file, use -\n"
-"              where the file name should've been. This goes for both @  and  <\n"
+, stdout);
+ fputs(
+"              To read the file's content from stdin instead of a file,  use  -\n"
+"              where  the  file name should've been. This goes for both @ and <\n"
 "              constructs.\n"
 "\n"
-, stdout);
- fputs(
-"              You  can  also  tell  curl  what  Content-Type  to  use by using\n"
+"              You can also  tell  curl  what  Content-Type  to  use  by  using\n"
 "              'type=', in a manner similar to:\n"
 "\n"
 "              curl -F \"web=@index.html;type=text/html\" url.com\n"
@@ -742,107 +743,109 @@
 "\n"
 "              curl -F \"name=daniel;type=text/foo\" url.com\n"
 "\n"
-"              You can also explicitly change the name field of an file  upload\n"
+, stdout);
+ fputs(
+"              You  can also explicitly change the name field of an file upload\n"
 "              part by setting filename=, like this:\n"
 "\n"
 "              curl -F \"file=@localfile;filename=nameinpost\" url.com\n"
 "\n"
-, stdout);
- fputs(
 "              See further examples and details in the MANUAL.\n"
 "\n"
 "              This option can be used multiple times.\n"
 "\n"
 "       --form-string <name=string>\n"
-"              (HTTP)  Similar  to  --form except that the value string for the\n"
-"              named parameter is used literally. Leading '@' and  '<'  charac-\n"
+"              (HTTP) Similar to --form except that the value  string  for  the\n"
+, stdout);
+ fputs(
+"              named  parameter  is used literally. Leading '@' and '<' charac-\n"
 "              ters, and the ';type=' string in the value have no special mean-\n"
 "              ing. Use this in preference to --form if there's any possibility\n"
-, stdout);
- fputs(
-"              that  the  string  value may accidentally trigger the '@' or '<'\n"
+"              that the string value may accidentally trigger the  '@'  or  '<'\n"
 "              features of --form.\n"
 "\n"
 "       -g/--globoff\n"
 "              This option switches off the \"URL globbing parser\". When you set\n"
-"              this  option, you can specify URLs that contain the letters {}[]\n"
-"              without having them being interpreted by curl itself. Note  that\n"
-"              these  letters are not normal legal URL contents but they should\n"
 , stdout);
  fputs(
+"              this option, you can specify URLs that contain the letters  {}[]\n"
+"              without  having them being interpreted by curl itself. Note that\n"
+"              these letters are not normal legal URL contents but they  should\n"
 "              be encoded according to the URI standard.\n"
 "\n"
 "       -G/--get\n"
-"              When used,  this  option  will  make  all  data  specified  with\n"
-"              -d/--data  or  --data-binary  to  be  used in a HTTP GET request\n"
-"              instead of the POST request that otherwise would  be  used.  The\n"
+"              When  used,  this  option  will  make  all  data  specified with\n"
+"              -d/--data or --data-binary to be used  in  a  HTTP  GET  request\n"
+, stdout);
+ fputs(
+"              instead  of  the  POST request that otherwise would be used. The\n"
 "              data will be appended to the URL with a '?' separator.\n"
 "\n"
-"              If  used  in  combination with -I, the POST data will instead be\n"
-, stdout);
- fputs(
+"              If used in combination with -I, the POST data  will  instead  be\n"
 "              appended to the URL with a HEAD request.\n"
 "\n"
-"              If this option is used several times, the following  occurrences\n"
-"              make  no  difference. This is because undoing a GET doesn't make\n"
-"              sense, but you  should  then  instead  enforce  the  alternative\n"
+"              If  this option is used several times, the following occurrences\n"
+"              make no difference. This is because undoing a GET  doesn't  make\n"
+, stdout);
+ fputs(
+"              sense,  but  you  should  then  instead  enforce the alternative\n"
 "              method you prefer.\n"
 "\n"
 "       -h/--help\n"
 "              Usage help.\n"
 "\n"
 "       -H/--header <header>\n"
-"              (HTTP)  Extra  header  to  use  when getting a web page. You may\n"
-, stdout);
- fputs(
+"              (HTTP) Extra header to use when getting  a  web  page.  You  may\n"
 "              specify any number of extra headers. Note that if you should add\n"
-"              a  custom  header  that has the same name as one of the internal\n"
-"              ones curl would use, your externally set  header  will  be  used\n"
+"              a custom header that has the same name as one  of  the  internal\n"
+, stdout);
+ fputs(
+"              ones  curl  would  use,  your externally set header will be used\n"
 "              instead of the internal one. This allows you to make even trick-\n"
-"              ier stuff than curl would normally do. You  should  not  replace\n"
-"              internally  set  headers  without  knowing  perfectly  well what\n"
-, stdout);
- fputs(
-"              you're doing. Remove an internal header by giving a  replacement\n"
-"              without  content  on  the  right  side  of  the colon, as in: -H\n"
+"              ier  stuff  than  curl would normally do. You should not replace\n"
+"              internally set  headers  without  knowing  perfectly  well  what\n"
+"              you're  doing. Remove an internal header by giving a replacement\n"
+"              without content on the right  side  of  the  colon,  as  in:  -H\n"
 "              \"Host:\".\n"
 "\n"
-"              curl will make sure that each header  you  add/replace  is  sent\n"
+, stdout);
+ fputs(
+"              curl  will  make  sure  that each header you add/replace is sent\n"
 "              with the proper end-of-line marker, you should thus not add that\n"
 "              as a part of the header content: do not add newlines or carriage\n"
 "              returns, they will only mess things up for you.\n"
 "\n"
-, stdout);
- fputs(
 "              See also the -A/--user-agent and -e/--referer options.\n"
 "\n"
-"              This  option  can  be  used multiple times to add/replace/remove\n"
+"              This option can be used  multiple  times  to  add/replace/remove\n"
 "              multiple headers.\n"
 "\n"
+, stdout);
+ fputs(
 "       --hostpubmd5 <md5>\n"
-"              Pass a string  containing  32  hexadecimal  digits.  The  string\n"
-"              should  be  the 128 bit MD5 checksum of the remote host's public\n"
-"              key, curl will refuse the connection with the  host  unless  the\n"
-, stdout);
- fputs(
-"              md5sums  match.  This option is only for SCP and SFTP transfers.\n"
+"              Pass  a  string  containing  32  hexadecimal  digits. The string\n"
+"              should be the 128 bit MD5 checksum of the remote  host's  public\n"
+"              key,  curl  will  refuse the connection with the host unless the\n"
+"              md5sums match. This option is only for SCP and  SFTP  transfers.\n"
 "              (Added in 7.17.1)\n"
 "\n"
 "       --ignore-content-length\n"
-"              (HTTP) Ignore the Content-Length header.  This  is  particularly\n"
-"              useful  for servers running Apache 1.x, which will report incor-\n"
+"              (HTTP)  Ignore  the  Content-Length header. This is particularly\n"
+, stdout);
+ fputs(
+"              useful for servers running Apache 1.x, which will report  incor-\n"
 "              rect Content-Length for files larger than 2 gigabytes.\n"
 "\n"
 "       -i/--include\n"
-"              (HTTP) Include the HTTP-header in the  output.  The  HTTP-header\n"
-, stdout);
- fputs(
-"              includes  things  like  server-name, date of the document, HTTP-\n"
+"              (HTTP)  Include  the  HTTP-header in the output. The HTTP-header\n"
+"              includes things like server-name, date of  the  document,  HTTP-\n"
 "              version and more...\n"
 "\n"
 "       --interface <name>\n"
-"              Perform an operation using a specified interface. You can  enter\n"
-"              interface  name,  IP address or host name. An example could look\n"
+"              Perform  an operation using a specified interface. You can enter\n"
+, stdout);
+ fputs(
+"              interface name, IP address or host name. An example  could  look\n"
 "              like:\n"
 "\n"
 "               curl --interface eth0:1 http://www.netscape.com/\n"
@@ -850,139 +853,139 @@
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -I/--head\n"
-, stdout);
- fputs(
 "              (HTTP/FTP/FILE) Fetch the HTTP-header only! HTTP-servers feature\n"
-"              the  command  HEAD which this uses to get nothing but the header\n"
-"              of a document. When used on a FTP or FILE  file,  curl  displays\n"
+"              the command HEAD which this uses to get nothing but  the  header\n"
+"              of  a  document.  When used on a FTP or FILE file, curl displays\n"
+, stdout);
+ fputs(
 "              the file size and last modification time only.\n"
 "\n"
 "       -j/--junk-session-cookies\n"
 "              (HTTP) When curl is told to read cookies from a given file, this\n"
-"              option will make it discard all  \"session  cookies\".  This  will\n"
-, stdout);
- fputs(
-"              basically  have  the same effect as if a new session is started.\n"
-"              Typical browsers always discard  session  cookies  when  they're\n"
+"              option  will  make  it  discard all \"session cookies\". This will\n"
+"              basically have the same effect as if a new session  is  started.\n"
+"              Typical  browsers  always  discard  session cookies when they're\n"
 "              closed down.\n"
 "\n"
 "       -J/--remote-header-name\n"
-"              (HTTP)  This option tells the -O/--remote-name option to use the\n"
+, stdout);
+ fputs(
+"              (HTTP) This option tells the -O/--remote-name option to use  the\n"
 "              server-specified   Content-Disposition   filename   instead   of\n"
 "              extracting a filename from the URL.\n"
 "\n"
 "       -k/--insecure\n"
-, stdout);
- fputs(
-"              (SSL)  This  option explicitly allows curl to perform \"insecure\"\n"
+"              (SSL) This option explicitly allows curl to  perform  \"insecure\"\n"
 "              SSL connections and transfers. All SSL connections are attempted\n"
-"              to  be  made secure by using the CA certificate bundle installed\n"
-"              by default. This makes  all  connections  considered  \"insecure\"\n"
+"              to be made secure by using the CA certificate  bundle  installed\n"
+, stdout);
+ fputs(
+"              by  default.  This  makes  all connections considered \"insecure\"\n"
 "              fail unless -k/--insecure is used.\n"
 "\n"
-"              See     this    online    resource    for    further    details:\n"
+"              See    this    online    resource    for    further     details:\n"
 "              http://curl.haxx.se/docs/sslcerts.html\n"
-, stdout);
- fputs(
 "\n"
 "       --keepalive-time <seconds>\n"
-"              This option sets the time a  connection  needs  to  remain  idle\n"
-"              before  sending keepalive probes and the time between individual\n"
+"              This  option  sets  the  time  a connection needs to remain idle\n"
+"              before sending keepalive probes and the time between  individual\n"
+, stdout);
+ fputs(
 "              keepalive probes. It is currently effective on operating systems\n"
 "              offering  the  TCP_KEEPIDLE  and  TCP_KEEPINTVL  socket  options\n"
-"              (meaning Linux, recent AIX, HP-UX and more). This option has  no\n"
+"              (meaning  Linux, recent AIX, HP-UX and more). This option has no\n"
 "              effect if --no-keepalive is used. (Added in 7.18.0)\n"
 "\n"
-, stdout);
- fputs(
-"              If  this option is used multiple times, the last occurrence sets\n"
+"              If this option is used multiple times, the last occurrence  sets\n"
 "              the amount.\n"
 "       --key <key>\n"
+, stdout);
+ fputs(
 "              (SSL/SSH) Private key file name. Allows you to provide your pri-\n"
 "              vate key in this separate file.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --key-type <type>\n"
-"              (SSL)  Private key file type. Specify which type your --key pro-\n"
-, stdout);
- fputs(
-"              vided private key is. DER, PEM, and ENG are  supported.  If  not\n"
+"              (SSL) Private key file type. Specify which type your --key  pro-\n"
+"              vided  private  key  is. DER, PEM, and ENG are supported. If not\n"
 "              specified, PEM is assumed.\n"
 "\n"
+, stdout);
+ fputs(
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --krb <level>\n"
-"              (FTP)  Enable Kerberos authentication and use. The level must be\n"
+"              (FTP) Enable Kerberos authentication and use. The level must  be\n"
 "              entered and should be one of 'clear', 'safe', 'confidential', or\n"
-"              'private'.  Should  you  use  a  level that is not one of these,\n"
-, stdout);
- fputs(
+"              'private'. Should you use a level that  is  not  one  of  these,\n"
 "              'private' will instead be used.\n"
 "\n"
-"              This option requires a library built with  kerberos4  or  GSSAPI\n"
-"              (GSS-Negotiate)  support. This is not very common. Use -V/--ver-\n"
+"              This  option  requires  a library built with kerberos4 or GSSAPI\n"
+, stdout);
+ fputs(
+"              (GSS-Negotiate) support. This is not very common. Use  -V/--ver-\n"
 "              sion to see if your curl supports it.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -K/--config <config file>\n"
-"              Specify which config file to read curl arguments from. The  con-\n"
+"              Specify  which config file to read curl arguments from. The con-\n"
+"              fig file is a text file in which command line arguments  can  be\n"
+"              written  which  then will be used as if they were written on the\n"
 , stdout);
  fputs(
-"              fig  file  is a text file in which command line arguments can be\n"
-"              written which then will be used as if they were written  on  the\n"
 "              actual command line. Options and their parameters must be speci-\n"
-"              fied on the same config  file  line,  separated  by  whitespace,\n"
-"              colon,  the equals sign or any combination thereof (however, the\n"
-"              preferred separator is the equals sign). If the parameter is  to\n"
-, stdout);
- fputs(
+"              fied  on  the  same  config  file line, separated by whitespace,\n"
+"              colon, the equals sign or any combination thereof (however,  the\n"
+"              preferred  separator is the equals sign). If the parameter is to\n"
 "              contain  whitespace,  the  parameter  must  be  enclosed  within\n"
 "              quotes. Within double quotes, the following escape sequences are\n"
-"              available:  \\\\, \\\", \\t, \\n, \\r and \\v. A backslash preceding any\n"
+, stdout);
+ fputs(
+"              available: \\\\, \\\", \\t, \\n, \\r and \\v. A backslash preceding  any\n"
 "              other letter is ignored. If the first column of a config line is\n"
-"              a  '#' character, the rest of the line will be treated as a com-\n"
-"              ment. Only write one option per  physical  line  in  the  config\n"
+"              a '#' character, the rest of the line will be treated as a  com-\n"
+"              ment.  Only  write  one  option  per physical line in the config\n"
 "              file.\n"
 "\n"
-, stdout);
- fputs(
 "              Specify the filename to -K/--config as '-' to make curl read the\n"
 "              file from stdin.\n"
 "\n"
-"              Note that to be able to specify a URL in the  config  file,  you\n"
-"              need  to  specify  it  using the --url option, and not by simply\n"
-"              writing the URL on its own line. So, it could  look  similar  to\n"
+, stdout);
+ fputs(
+"              Note  that  to  be able to specify a URL in the config file, you\n"
+"              need to specify it using the --url option,  and  not  by  simply\n"
+"              writing  the  URL  on its own line. So, it could look similar to\n"
 "              this:\n"
 "\n"
 "              url = \"http://curl.haxx.se/docs/\"\n"
 "\n"
-"              Long  option  names  can  optionally be given in the config file\n"
-, stdout);
- fputs(
+"              Long option names can optionally be given  in  the  config  file\n"
 "              without the initial double dashes.\n"
 "\n"
+, stdout);
+ fputs(
 "              When curl is invoked, it always (unless -q is used) checks for a\n"
-"              default  config  file  and  uses it if found. The default config\n"
+"              default config file and uses it if  found.  The  default  config\n"
 "              file is checked for in the following places in this order:\n"
 "\n"
-"              1) curl tries to find the \"home dir\": It first  checks  for  the\n"
+"              1)  curl  tries  to find the \"home dir\": It first checks for the\n"
 "              CURL_HOME and then the HOME environment variables. Failing that,\n"
+"              it  uses getpwuid() on UNIX-like systems (which returns the home\n"
 , stdout);
  fputs(
-"              it uses getpwuid() on UNIX-like systems (which returns the  home\n"
-"              dir  given the current user in your system). On Windows, it then\n"
+"              dir given the current user in your system). On Windows, it  then\n"
 "              checks for the APPDATA variable, or as a last resort the '%USER-\n"
 "              PROFILE%\\Application Data'.\n"
 "\n"
-"              2)  On  windows, if there is no _curlrc file in the home dir, it\n"
+"              2) On windows, if there is no _curlrc file in the home  dir,  it\n"
 "              checks for one in the same dir the curl executable is placed. On\n"
-, stdout);
- fputs(
-"              UNIX-like  systems,  it will simply try to load .curlrc from the\n"
+"              UNIX-like systems, it will simply try to load .curlrc  from  the\n"
 "              determined home dir.\n"
 "\n"
+, stdout);
+ fputs(
 "              # --- Example file ---\n"
 "              # this is a comment\n"
 "              url = \"curl.haxx.se\"\n"
@@ -993,137 +996,135 @@
 "              url = \"curl.haxx.se/docs/manpage.html\"\n"
 "              -O\n"
 "              referer = \"http://nowhereatall.com/\"\n"
-, stdout);
- fputs(
 "              # --- End of example file ---\n"
 "\n"
-"              This option can be used multiple times to load  multiple  config\n"
+"              This  option  can be used multiple times to load multiple config\n"
 "              files.\n"
 "\n"
+, stdout);
+ fputs(
 "       --libcurl <file>\n"
-"              Append  this  option  to any ordinary curl command line, and you\n"
-"              will get a libcurl-using source code written to  the  file  that\n"
+"              Append this option to any ordinary curl command  line,  and  you\n"
+"              will  get  a  libcurl-using source code written to the file that\n"
 "              does the equivalent of what your command-line operation does!\n"
 "\n"
-"              NOTE:  this does not properly support -F and the sending of mul-\n"
-, stdout);
- fputs(
-"              tipart formposts, so in those cases the output program  will  be\n"
+"              NOTE: this does not properly support -F and the sending of  mul-\n"
+"              tipart  formposts,  so in those cases the output program will be\n"
 "              missing necessary calls to curl_formadd(3), and possibly more.\n"
 "\n"
-"              If  this  option is used several times, the last given file name\n"
+, stdout);
+ fputs(
+"              If this option is used several times, the last given  file  name\n"
 "              will be used. (Added in 7.16.1)\n"
 "\n"
 "       --limit-rate <speed>\n"
-"              Specify the maximum transfer rate you want  curl  to  use.  This\n"
+"              Specify  the  maximum  transfer  rate you want curl to use. This\n"
 "              feature is useful if you have a limited pipe and you'd like your\n"
-, stdout);
- fputs(
 "              transfer not to use your entire bandwidth.\n"
 "\n"
-"              The given speed is measured in bytes/second, unless a suffix  is\n"
-"              appended.   Appending  'k' or 'K' will count the number as kilo-\n"
-"              bytes, 'm' or M' makes it megabytes, while 'g' or 'G'  makes  it\n"
+"              The  given speed is measured in bytes/second, unless a suffix is\n"
+, stdout);
+ fputs(
+"              appended.  Appending 'k' or 'K' will count the number  as  kilo-\n"
+"              bytes,  'm'  or M' makes it megabytes, while 'g' or 'G' makes it\n"
 "              gigabytes. Examples: 200K, 3m and 1G.\n"
 "\n"
-"              The  given  rate  is the average speed counted during the entire\n"
-, stdout);
- fputs(
+"              The given rate is the average speed counted  during  the  entire\n"
 "              transfer. It means that curl might use higher transfer speeds in\n"
 "              short bursts, but over time it uses no more than the given rate.\n"
-"              If  you  also  use the -Y/--speed-limit option, that option will\n"
+, stdout);
+ fputs(
+"              If you also use the -Y/--speed-limit option,  that  option  will\n"
 "              take precedence and might cripple the rate-limiting slightly, to\n"
 "              help keeping the speed-limit logic working.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -l/--list-only\n"
+"              (FTP) When listing an FTP directory, this switch forces a  name-\n"
+"              only  view.   Especially useful if you want to machine-parse the\n"
 , stdout);
  fputs(
-"              (FTP)  When listing an FTP directory, this switch forces a name-\n"
-"              only view.  Especially useful if you want to  machine-parse  the\n"
-"              contents  of  an  FTP  directory since the normal directory view\n"
+"              contents of an FTP directory since  the  normal  directory  view\n"
 "              doesn't use a standard look or format.\n"
 "\n"
-"              This option causes an FTP NLST command to  be  sent.   Some  FTP\n"
-"              servers  list  only files in their response to NLST; they do not\n"
-, stdout);
- fputs(
+"              This  option  causes  an  FTP NLST command to be sent.  Some FTP\n"
+"              servers list only files in their response to NLST; they  do  not\n"
 "              include subdirectories and symbolic links.\n"
 "\n"
 "       --local-port <num>[-num]\n"
 "              Set a preferred number or range of local port numbers to use for\n"
-"              the  connection(s).   Note  that  port  numbers  by nature are a\n"
+, stdout);
+ fputs(
+"              the connection(s).  Note that  port  numbers  by  nature  are  a\n"
 "              scarce resource that will be busy at times so setting this range\n"
 "              to something too narrow might cause unnecessary connection setup\n"
 "              failures. (Added in 7.15.2)\n"
 "\n"
 "       -L/--location\n"
-, stdout);
- fputs(
-"              (HTTP/HTTPS) If the server reports that the requested  page  has\n"
+"              (HTTP/HTTPS)  If  the server reports that the requested page has\n"
 "              moved to a different location (indicated with a Location: header\n"
-"              and a 3XX response code), this option will make  curl  redo  the\n"
-"              request  on the new place. If used together with -i/--include or\n"
-"              -I/--head, headers from all requested pages will be shown.  When\n"
-"              authentication  is  used, curl only sends its credentials to the\n"
-, stdout);
- fputs(
-"              initial host. If a redirect takes curl to a different  host,  it\n"
-"              won't  be  able to intercept the user+password. See also --loca-\n"
-"              tion-trusted on how to change this. You can limit the amount  of\n"
+, stdout);
+ fputs(
+"              and  a  3XX  response code), this option will make curl redo the\n"
+"              request on the new place. If used together with -i/--include  or\n"
+"              -I/--head,  headers from all requested pages will be shown. When\n"
+"              authentication is used, curl only sends its credentials  to  the\n"
+"              initial  host.  If a redirect takes curl to a different host, it\n"
+"              won't be able to intercept the user+password. See  also  --loca-\n"
+, stdout);
+ fputs(
+"              tion-trusted  on how to change this. You can limit the amount of\n"
 "              redirects to follow by using the --max-redirs option.\n"
 "\n"
-"              When  curl follows a redirect and the request is not a plain GET\n"
+"              When curl follows a redirect and the request is not a plain  GET\n"
 "              (for example POST or PUT), it will do the following request with\n"
-, stdout);
- fputs(
 "              a GET if the HTTP response was 301, 302, or 303. If the response\n"
-"              code was any other 3xx code, curl  will  re-send  the  following\n"
+"              code  was  any  other  3xx code, curl will re-send the following\n"
+, stdout);
+ fputs(
 "              request using the same unmodified method.\n"
 "\n"
 "       --location-trusted\n"
 "              (HTTP/HTTPS) Like -L/--location, but will allow sending the name\n"
-"              + password to all hosts that the site may redirect to. This  may\n"
+"              +  password to all hosts that the site may redirect to. This may\n"
 "              or may not introduce a security breach if the site redirects you\n"
-, stdout);
- fputs(
-"              to a site to which you'll send your authentication  info  (which\n"
+"              to  a  site to which you'll send your authentication info (which\n"
 "              is plaintext in the case of HTTP Basic authentication).\n"
 "\n"
 "       --mail-rcpt <address>\n"
-"              (SMTP)  Specify  a single address that the given mail should get\n"
-"              sent to. This option can be used multiple times to specify  many\n"
+, stdout);
+ fputs(
+"              (SMTP) Specify a single address that the given mail  should  get\n"
+"              sent  to. This option can be used multiple times to specify many\n"
 "              recipients.\n"
 "\n"
 "              (Added in 7.20.0)\n"
 "\n"
 "       --mail-from <address>\n"
-, stdout);
- fputs(
-"              (SMTP)  Specify  a single address that the given mail should get\n"
+"              (SMTP) Specify a single address that the given mail  should  get\n"
 "              sent from.\n"
 "\n"
 "              (Added in 7.20.0)\n"
 "\n"
 "       --max-filesize <bytes>\n"
-"              Specify the maximum size (in bytes) of a file  to  download.  If\n"
-"              the  file requested is larger than this value, the transfer will\n"
+"              Specify  the  maximum  size (in bytes) of a file to download. If\n"
+, stdout);
+ fputs(
+"              the file requested is larger than this value, the transfer  will\n"
 "              not start and curl will return with exit code 63.\n"
 "\n"
-"              NOTE: The file size is not always known prior to  download,  and\n"
-, stdout);
- fputs(
+"              NOTE:  The  file size is not always known prior to download, and\n"
 "              for such files this option has no effect even if the file trans-\n"
-"              fer ends up being larger than this given  limit.  This  concerns\n"
+"              fer  ends  up  being larger than this given limit. This concerns\n"
 "              both FTP and HTTP transfers.\n"
 "\n"
 "       -m/--max-time <seconds>\n"
-"              Maximum  time  in  seconds that you allow the whole operation to\n"
-"              take.  This is useful for preventing your batch jobs from  hang-\n"
-"              ing  for  hours  due  to slow networks or links going down.  See\n"
 , stdout);
  fputs(
+"              Maximum time in seconds that you allow the  whole  operation  to\n"
+"              take.   This is useful for preventing your batch jobs from hang-\n"
+"              ing for hours due to slow networks or  links  going  down.   See\n"
 "              also the --connect-timeout option.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
@@ -1132,216 +1133,218 @@
 "              Manual. Display the huge help text.\n"
 "\n"
 "       -n/--netrc\n"
-"              Makes curl scan the .netrc  (_netrc  on  Windows)  file  in  the\n"
+, stdout);
+ fputs(
+"              Makes  curl  scan  the  .netrc  (_netrc  on Windows) file in the\n"
 "              user's home directory for login name and password. This is typi-\n"
-"              cally used for FTP on UNIX. If used with HTTP, curl will  enable\n"
+"              cally  used for FTP on UNIX. If used with HTTP, curl will enable\n"
+"              user authentication. See netrc(4) or ftp(1) for details  on  the\n"
+"              file  format.  Curl  will not complain if that file doesn't have\n"
+"              the right permissions (it should not be either world- or  group-\n"
 , stdout);
  fputs(
-"              user  authentication.  See netrc(4) or ftp(1) for details on the\n"
-"              file format. Curl will not complain if that  file  doesn't  have\n"
-"              the  right permissions (it should not be either world- or group-\n"
-"              readable). The environment variable \"HOME\" is used to  find  the\n"
+"              readable).  The  environment variable \"HOME\" is used to find the\n"
 "              home directory.\n"
 "\n"
-"              A  quick  and  very  simple  example of how to setup a .netrc to\n"
-, stdout);
- fputs(
-"              allow curl to FTP to the machine host.domain.com with user  name\n"
+"              A quick and very simple example of how  to  setup  a  .netrc  to\n"
+"              allow  curl to FTP to the machine host.domain.com with user name\n"
 "              'myself' and password 'secret' should look similar to:\n"
 "\n"
 "              machine host.domain.com login myself password secret\n"
 "\n"
 "       --netrc-optional\n"
-"              Very  similar to --netrc, but this option makes the .netrc usage\n"
+, stdout);
+ fputs(
+"              Very similar to --netrc, but this option makes the .netrc  usage\n"
 "              optional and not mandatory as the --netrc option does.\n"
 "\n"
 "       --negotiate\n"
-"              (HTTP) Enables GSS-Negotiate authentication.  The  GSS-Negotiate\n"
-, stdout);
- fputs(
+"              (HTTP)  Enables  GSS-Negotiate authentication. The GSS-Negotiate\n"
 "              method was designed by Microsoft and is used in their web appli-\n"
-"              cations. It is  primarily  meant  as  a  support  for  Kerberos5\n"
+"              cations.  It  is  primarily  meant  as  a  support for Kerberos5\n"
 "              authentication but may be also used along with another authenti-\n"
+, stdout);
+ fputs(
 "              cation method. For more information see IETF draft draft-brezak-\n"
 "              spnego-http-04.txt.\n"
 "\n"
-"              If  you  want to enable Negotiate for your proxy authentication,\n"
+"              If you want to enable Negotiate for your  proxy  authentication,\n"
 "              then use --proxy-negotiate.\n"
 "\n"
-, stdout);
- fputs(
-"              This option requires a library built with GSSAPI  support.  This\n"
+"              This  option  requires a library built with GSSAPI support. This\n"
 "              is not very common. Use -V/--version to see if your version sup-\n"
 "              ports GSS-Negotiate.\n"
 "\n"
-"              When using this option, you must also provide a  fake  -u/--user\n"
-"              option  to  activate the authentication code properly. Sending a\n"
-"              '-u :' is enough as the user  name  and  password  from  the  -u\n"
+, stdout);
+ fputs(
+"              When  using  this option, you must also provide a fake -u/--user\n"
+"              option to activate the authentication code properly.  Sending  a\n"
+"              '-u  :'  is  enough  as  the  user name and password from the -u\n"
 "              option aren't actually used.\n"
 "\n"
-, stdout);
- fputs(
-"              If  this option is used several times, the following occurrences\n"
+"              If this option is used several times, the following  occurrences\n"
 "              make no difference.\n"
 "\n"
 "       -N/--no-buffer\n"
 "              Disables the buffering of the output stream. In normal work sit-\n"
-"              uations,  curl  will  use a standard buffered output stream that\n"
+, stdout);
+ fputs(
+"              uations, curl will use a standard buffered  output  stream  that\n"
 "              will have the effect that it will output the data in chunks, not\n"
-"              necessarily  exactly  when  the data arrives.  Using this option\n"
+"              necessarily exactly when the data arrives.   Using  this  option\n"
 "              will disable that buffering.\n"
 "\n"
-, stdout);
- fputs(
-"              Note that this is the negated option name  documented.  You  can\n"
+"              Note  that  this  is the negated option name documented. You can\n"
 "              thus use --buffer to enforce the buffering.\n"
 "\n"
 "       --no-keepalive\n"
+, stdout);
+ fputs(
 "              Disables the use of keepalive messages on the TCP connection, as\n"
 "              by default curl enables them.\n"
 "\n"
-"              Note that this is the negated option name  documented.  You  can\n"
+"              Note  that  this  is the negated option name documented. You can\n"
 "              thus use --keepalive to enforce keepalive.\n"
 "\n"
 "       --no-sessionid\n"
+"              (SSL) Disable curl's use of SSL session-ID caching.  By  default\n"
+"              all  transfers are done using the cache. Note that while nothing\n"
 , stdout);
  fputs(
-"              (SSL)  Disable curl's use of SSL session-ID caching.  By default\n"
-"              all transfers are done using the cache. Note that while  nothing\n"
-"              should  ever  get  hurt  by attempting to reuse SSL session-IDs,\n"
+"              should ever get hurt by attempting  to  reuse  SSL  session-IDs,\n"
 "              there seem to be broken SSL implementations in the wild that may\n"
-"              require  you to disable this in order for you to succeed. (Added\n"
+"              require you to disable this in order for you to succeed.  (Added\n"
 "              in 7.16.0)\n"
 "\n"
-"              Note that this is the negated option name  documented.  You  can\n"
-, stdout);
- fputs(
+"              Note  that  this  is the negated option name documented. You can\n"
 "              thus use --sessionid to enforce session-ID caching.\n"
 "\n"
 "       --noproxy <no-proxy-list>\n"
-"              Comma-separated  list  of hosts which do not use a proxy, if one\n"
-"              is specified.  The only wildcard is a single * character,  which\n"
+, stdout);
+ fputs(
+"              Comma-separated list of hosts which do not use a proxy,  if  one\n"
+"              is  specified.  The only wildcard is a single * character, which\n"
 "              matches all hosts, and effectively disables the proxy. Each name\n"
-"              in this list is matched as either a domain  which  contains  the\n"
-"              hostname,  or  the hostname itself. For example, local.com would\n"
+"              in  this  list  is matched as either a domain which contains the\n"
+"              hostname, or the hostname itself. For example,  local.com  would\n"
+"              match   local.com,  local.com:80,  and  www.local.com,  but  not\n"
 , stdout);
  fputs(
-"              match  local.com,  local.com:80,  and  www.local.com,  but   not\n"
 "              www.notlocal.com.  (Added in 7.19.4).\n"
 "\n"
-"       --ntlm (HTTP)  Enables  NTLM  authentication.  The  NTLM authentication\n"
+"       --ntlm (HTTP) Enables  NTLM  authentication.  The  NTLM  authentication\n"
 "              method was designed by Microsoft and is used by IIS web servers.\n"
-"              It  is a proprietary protocol, reverse-engineered by clever peo-\n"
+"              It is a proprietary protocol, reverse-engineered by clever  peo-\n"
 "              ple and implemented in curl based on their efforts. This kind of\n"
+"              behavior should not be endorsed, you should  encourage  everyone\n"
 , stdout);
  fputs(
-"              behavior  should  not be endorsed, you should encourage everyone\n"
-"              who uses NTLM to switch to a public and  documented  authentica-\n"
+"              who  uses  NTLM to switch to a public and documented authentica-\n"
 "              tion method instead, such as Digest.\n"
 "\n"
-"              If  you  want to enable NTLM for your proxy authentication, then\n"
+"              If you want to enable NTLM for your proxy  authentication,  then\n"
 "              use --proxy-ntlm.\n"
 "\n"
-"              This option requires a  library  built  with  SSL  support.  Use\n"
+"              This  option  requires  a  library  built  with SSL support. Use\n"
 "              -V/--version to see if your curl supports NTLM.\n"
 "\n"
+"              If this option is used several times, the following  occurrences\n"
+"              make no difference.\n"
+"\n"
 , stdout);
  fputs(
-"              If  this option is used several times, the following occurrences\n"
-"              make no difference.\n"
-"\n"
 "       -o/--output <file>\n"
 "              Write output to <file> instead of stdout. If you are using {} or\n"
-"              []  to  fetch  multiple documents, you can use '#' followed by a\n"
-"              number in the <file> specifier. That variable will  be  replaced\n"
+"              [] to fetch multiple documents, you can use '#'  followed  by  a\n"
+"              number  in  the <file> specifier. That variable will be replaced\n"
 "              with the current string for the URL being fetched. Like in:\n"
 "\n"
-, stdout);
- fputs(
 "                curl http://{one,two}.site.com -o \"file_#1.txt\"\n"
 "\n"
 "              or use several variables like:\n"
 "\n"
+, stdout);
+ fputs(
 "                curl http://{site,host}.host[1-5].com -o \"#1_#2\"\n"
 "\n"
-"              You  may use this option as many times as the number of URLs you\n"
+"              You may use this option as many times as the number of URLs  you\n"
 "              have.\n"
 "\n"
-"              See also the --create-dirs option to create the  local  directo-\n"
-"              ries  dynamically.  Specifying the output as '-' (a single dash)\n"
+"              See  also  the --create-dirs option to create the local directo-\n"
+"              ries dynamically. Specifying the output as '-' (a  single  dash)\n"
 "              will force the output to be done to stdout.\n"
 "\n"
-, stdout);
- fputs(
 "       -O/--remote-name\n"
-"              Write output to a local file named like the remote file we  get.\n"
-"              (Only  the file part of the remote file is used, the path is cut\n"
+"              Write  output to a local file named like the remote file we get.\n"
+, stdout);
+ fputs(
+"              (Only the file part of the remote file is used, the path is  cut\n"
 "              off.)\n"
 "\n"
-"              The remote file name to use for saving  is  extracted  from  the\n"
+"              The  remote  file  name  to use for saving is extracted from the\n"
 "              given URL, nothing else.\n"
 "\n"
-"              You  may use this option as many times as the number of URLs you\n"
+"              You may use this option as many times as the number of URLs  you\n"
 "              have.\n"
 "\n"
 "       --remote-name-all\n"
+"              This  option changes the default action for all given URLs to be\n"
 , stdout);
  fputs(
-"              This option changes the default action for all given URLs to  be\n"
-"              dealt  with as if -O/--remote-name were used for each one. So if\n"
+"              dealt with as if -O/--remote-name were used for each one. So  if\n"
 "              you want to disable that for a specific URL after --remote-name-\n"
-"              all  has  been  used,  you  must use \"-o -\" or --no-remote-name.\n"
+"              all has been used, you must  use  \"-o  -\"  or  --no-remote-name.\n"
 "              (Added in 7.19.0)\n"
 "\n"
 "       --pass <phrase>\n"
 "              (SSL/SSH) Passphrase for the private key\n"
 "\n"
-, stdout);
- fputs(
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --post301\n"
-"              Tells curl to respect  RFC  2616/10.3.2  and  not  convert  POST\n"
+, stdout);
+ fputs(
+"              Tells  curl  to  respect  RFC  2616/10.3.2  and not convert POST\n"
 "              requests into GET requests when following a 301 redirection. The\n"
-"              non-RFC behaviour is ubiquitous in web browsers,  so  curl  does\n"
-"              the  conversion  by  default to maintain consistency. However, a\n"
-"              server may require a POST to remain a POST after  such  a  redi-\n"
+"              non-RFC  behaviour  is  ubiquitous in web browsers, so curl does\n"
+"              the conversion by default to maintain  consistency.  However,  a\n"
+"              server  may  require  a POST to remain a POST after such a redi-\n"
+"              rection. This option is meaningful only when using -L/--location\n"
 , stdout);
  fputs(
-"              rection. This option is meaningful only when using -L/--location\n"
 "              (Added in 7.17.1)\n"
 "\n"
 "       --post302\n"
-"              Tells curl to respect  RFC  2616/10.3.2  and  not  convert  POST\n"
+"              Tells  curl  to  respect  RFC  2616/10.3.2  and not convert POST\n"
 "              requests into GET requests when following a 302 redirection. The\n"
-"              non-RFC behaviour is ubiquitous in web browsers,  so  curl  does\n"
-"              the  conversion  by  default to maintain consistency. However, a\n"
+"              non-RFC  behaviour  is  ubiquitous in web browsers, so curl does\n"
+"              the conversion by default to maintain  consistency.  However,  a\n"
+"              server  may  require  a POST to remain a POST after such a redi-\n"
 , stdout);
  fputs(
-"              server may require a POST to remain a POST after  such  a  redi-\n"
 "              rection. This option is meaningful only when using -L/--location\n"
 "              (Added in 7.19.1)\n"
 "\n"
 "       --proto <protocols>\n"
-"              Tells  curl  to  use  the  listed  protocols  for  its   initial\n"
+"              Tells   curl  to  use  the  listed  protocols  for  its  initial\n"
 "              retrieval. Protocols are evaluated left to right, are comma sep-\n"
-"              arated, and are each a protocol name or 'all',  optionally  pre-\n"
-, stdout);
- fputs(
+"              arated,  and  are each a protocol name or 'all', optionally pre-\n"
 "              fixed by zero or more modifiers. Available modifiers are:\n"
 "\n"
+, stdout);
+ fputs(
 "              +  Permit this protocol in addition to protocols already permit-\n"
 "                 ted (this is the default if no modifier is used).\n"
 "\n"
-"              -  Deny this protocol, removing it from the  list  of  protocols\n"
+"              -  Deny  this  protocol,  removing it from the list of protocols\n"
 "                 already permitted.\n"
 "\n"
-"              =  Permit  only this protocol (ignoring the list already permit-\n"
-"                 ted), though subject  to  later  modification  by  subsequent\n"
-, stdout);
- fputs(
+"              =  Permit only this protocol (ignoring the list already  permit-\n"
+"                 ted),  though  subject  to  later  modification by subsequent\n"
 "                 entries in the comma separated list.\n"
 "\n"
+, stdout);
+ fputs(
 "              For example:\n"
 "\n"
 "              --proto -ftps  uses the default protocols, but disables ftps\n"
@@ -1352,80 +1355,80 @@
 "              --proto =http,https\n"
 "                             also only enables http and https\n"
 "\n"
-"              Unknown  protocols  produce  a  warning.  This allows scripts to\n"
+"              Unknown protocols produce a  warning.  This  allows  scripts  to\n"
+"              safely  rely on being able to disable potentially dangerous pro-\n"
 , stdout);
  fputs(
-"              safely rely on being able to disable potentially dangerous  pro-\n"
-"              tocols,  without  relying  upon  support for that protocol being\n"
+"              tocols, without relying upon support  for  that  protocol  being\n"
 "              built into curl to avoid an error.\n"
 "\n"
 "              This option can be used multiple times, in which case the effect\n"
-"              is  the same as concatenating the protocols into one instance of\n"
+"              is the same as concatenating the protocols into one instance  of\n"
 "              the option.\n"
 "\n"
 "              (Added in 7.20.2)\n"
 "\n"
 "       --proto-redir <protocols>\n"
+"              Tells  curl  to  use  the listed protocols after a redirect. See\n"
 , stdout);
  fputs(
-"              Tells curl to use the listed protocols  after  a  redirect.  See\n"
 "              --proto for how protocols are represented.\n"
 "\n"
 "              (Added in 7.20.2)\n"
 "\n"
 "       --proxy-anyauth\n"
-"              Tells  curl to pick a suitable authentication method when commu-\n"
-"              nicating with  the  given  proxy.  This  might  cause  an  extra\n"
+"              Tells curl to pick a suitable authentication method when  commu-\n"
+"              nicating  with  the  given  proxy.  This  might  cause  an extra\n"
 "              request/response round-trip. (Added in 7.13.2)\n"
 "\n"
 "       --proxy-basic\n"
+"              Tells curl to use HTTP Basic authentication  when  communicating\n"
 , stdout);
  fputs(
-"              Tells  curl  to use HTTP Basic authentication when communicating\n"
 "              with the given proxy. Use --basic for enabling HTTP Basic with a\n"
-"              remote  host.  Basic  is  the default authentication method curl\n"
+"              remote host. Basic is the  default  authentication  method  curl\n"
 "              uses with proxies.\n"
 "\n"
 "       --proxy-digest\n"
-"              Tells curl to use HTTP Digest authentication when  communicating\n"
+"              Tells  curl to use HTTP Digest authentication when communicating\n"
 "              with the given proxy. Use --digest for enabling HTTP Digest with\n"
 "              a remote host.\n"
 "\n"
-, stdout);
- fputs(
 "       --proxy-negotiate\n"
+, stdout);
+ fputs(
 "              Tells curl to use HTTP Negotiate authentication when communicat-\n"
-"              ing  with  the  given  proxy.  Use --negotiate for enabling HTTP\n"
+"              ing with the given proxy.  Use  --negotiate  for  enabling  HTTP\n"
 "              Negotiate with a remote host. (Added in 7.17.1)\n"
 "\n"
 "       --proxy-ntlm\n"
-"              Tells curl to use HTTP NTLM  authentication  when  communicating\n"
+"              Tells  curl  to  use HTTP NTLM authentication when communicating\n"
 "              with the given proxy. Use --ntlm for enabling NTLM with a remote\n"
 "              host.\n"
 "\n"
 "       --proxy1.0 <proxyhost[:port]>\n"
 , stdout);
  fputs(
-"              Use the specified HTTP 1.0 proxy. If  the  port  number  is  not\n"
+"              Use  the  specified  HTTP  1.0  proxy. If the port number is not\n"
 "              specified, it is assumed at port 1080.\n"
 "\n"
-"              The  only  difference  between  this  and  the HTTP proxy option\n"
-"              (-x/--proxy), is that attempts to use CONNECT through the  proxy\n"
-"              will  specify  an  HTTP 1.0 protocol instead of the default HTTP\n"
+"              The only difference between  this  and  the  HTTP  proxy  option\n"
+"              (-x/--proxy),  is that attempts to use CONNECT through the proxy\n"
+"              will specify an HTTP 1.0 protocol instead of  the  default  HTTP\n"
 "              1.1.\n"
 "\n"
 "       -p/--proxytunnel\n"
-"              When an HTTP proxy is used (-x/--proxy), this option will  cause\n"
+"              When  an HTTP proxy is used (-x/--proxy), this option will cause\n"
 , stdout);
  fputs(
-"              non-HTTP  protocols  to  attempt  to  tunnel  through  the proxy\n"
-"              instead of merely using it to do HTTP-like operations. The  tun-\n"
-"              nel  approach  is  made  with the HTTP proxy CONNECT request and\n"
+"              non-HTTP protocols  to  attempt  to  tunnel  through  the  proxy\n"
+"              instead  of merely using it to do HTTP-like operations. The tun-\n"
+"              nel approach is made with the HTTP  proxy  CONNECT  request  and\n"
 "              requires that the proxy allows direct connect to the remote port\n"
 "              number curl wants to tunnel through to.\n"
 "\n"
 "       --pubkey <key>\n"
-"              (SSH)  Public  key  file name. Allows you to provide your public\n"
+"              (SSH) Public key file name. Allows you to  provide  your  public\n"
 , stdout);
  fputs(
 "              key in this separate file.\n"
@@ -1433,17 +1436,17 @@
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -P/--ftp-port <address>\n"
-"              (FTP) Reverses the default initiator/listener  roles  when  con-\n"
-"              necting  with  FTP.  This  switch makes curl use active mode. In\n"
-"              practice, curl then tells the server  to  connect  back  to  the\n"
+"              (FTP)  Reverses  the  default initiator/listener roles when con-\n"
+"              necting with FTP. This switch makes curl  use  active  mode.  In\n"
+"              practice,  curl  then  tells  the  server to connect back to the\n"
 "              client's specified address and port, while passive mode asks the\n"
 , stdout);
  fputs(
-"              server to setup an IP address and port for  it  to  connect  to.\n"
+"              server  to  setup  an  IP address and port for it to connect to.\n"
 "              <address> should be one of:\n"
 "\n"
 "              interface\n"
-"                     i.e  \"eth0\"  to  specify which interface's IP address you\n"
+"                     i.e \"eth0\" to specify which interface's  IP  address  you\n"
 "                     want to use (Unix only)\n"
 "\n"
 "              IP address\n"
@@ -1454,60 +1457,60 @@
 "\n"
 , stdout);
  fputs(
-"              -      make curl pick the same IP address that is  already  used\n"
+"              -      make  curl  pick the same IP address that is already used\n"
 "                     for the control connection\n"
 "\n"
-"       If  this  option is used several times, the last one will be used. Dis-\n"
-"       able the use of PORT with --ftp-pasv. Disable the attempt  to  use  the\n"
-"       EPRT  command  instead  of PORT by using --disable-eprt. EPRT is really\n"
+"       If this option is used several times, the last one will be  used.  Dis-\n"
+"       able  the  use  of PORT with --ftp-pasv. Disable the attempt to use the\n"
+"       EPRT command instead of PORT by using --disable-eprt.  EPRT  is  really\n"
 "       PORT++.\n"
 "\n"
 "       Starting in 7.19.5, you can append \":[start]-[end]\" to the right of the\n"
 , stdout);
  fputs(
-"       address,  to tell curl what TCP port range to use. That means you spec-\n"
-"       ify a port range, from a lower to a  higher  number.  A  single  number\n"
-"       works  as well, but do note that it increases the risk of failure since\n"
+"       address, to tell curl what TCP port range to use. That means you  spec-\n"
+"       ify  a  port  range,  from  a lower to a higher number. A single number\n"
+"       works as well, but do note that it increases the risk of failure  since\n"
 "       the port may not be available.\n"
 "\n"
-"       -q     If used as the first parameter on the command line,  the  curlrc\n"
-"              config  file  will not be read and used. See the -K/--config for\n"
+"       -q     If  used  as the first parameter on the command line, the curlrc\n"
+"              config file will not be read and used. See the  -K/--config  for\n"
 "              details on the default config file search path.\n"
 "\n"
 , stdout);
  fputs(
 "       -Q/--quote <command>\n"
-"              (FTP/SFTP) Send an arbitrary command to the remote FTP  or  SFTP\n"
-"              server.  Quote commands are sent BEFORE the transfer takes place\n"
-"              (just after the initial PWD command in an FTP  transfer,  to  be\n"
+"              (FTP/SFTP)  Send  an arbitrary command to the remote FTP or SFTP\n"
+"              server. Quote commands are sent BEFORE the transfer takes  place\n"
+"              (just  after  the  initial PWD command in an FTP transfer, to be\n"
 "              exact). To make commands take place after a successful transfer,\n"
-"              prefix them with a dash '-'.  To make  commands  be  sent  after\n"
+"              prefix  them  with  a  dash '-'.  To make commands be sent after\n"
 , stdout);
  fputs(
-"              libcurl  has  changed  the  working  directory,  just before the\n"
+"              libcurl has changed  the  working  directory,  just  before  the\n"
 "              transfer command(s), prefix the command with a '+' (this is only\n"
-"              supported  for  FTP). You may specify any number of commands. If\n"
-"              the server returns failure for one of the commands,  the  entire\n"
-"              operation  will  be aborted. You must send syntactically correct\n"
-"              FTP commands as RFC959 defines to FTP servers,  or  one  of  the\n"
+"              supported for FTP). You may specify any number of  commands.  If\n"
+"              the  server  returns failure for one of the commands, the entire\n"
+"              operation will be aborted. You must send  syntactically  correct\n"
+"              FTP  commands  as  RFC959  defines to FTP servers, or one of the\n"
 , stdout);
  fputs(
-"              commands  listed below to SFTP servers.  This option can be used\n"
+"              commands listed below to SFTP servers.  This option can be  used\n"
 "              multiple times.\n"
 "\n"
-"              SFTP is a binary protocol. Unlike for  FTP,  libcurl  interprets\n"
-"              SFTP  quote commands before sending them to the server.  Follow-\n"
+"              SFTP  is  a  binary protocol. Unlike for FTP, libcurl interprets\n"
+"              SFTP quote commands before sending them to the server.   Follow-\n"
 "              ing is the list of all supported SFTP quote commands:\n"
 "\n"
 "              chgrp group file\n"
-"                     The chgrp command sets the group ID of the file named  by\n"
+"                     The  chgrp command sets the group ID of the file named by\n"
 , stdout);
  fputs(
-"                     the  file  operand to the group ID specified by the group\n"
+"                     the file operand to the group ID specified by  the  group\n"
 "                     operand. The group operand is a decimal integer group ID.\n"
 "\n"
 "              chmod mode file\n"
-"                     The chmod command modifies the  file  mode  bits  of  the\n"
+"                     The  chmod  command  modifies  the  file mode bits of the\n"
 "                     specified file. The mode operand is an octal integer mode\n"
 "                     number.\n"
 "\n"
@@ -1515,16 +1518,16 @@
 "                     The chown command sets the owner of the file named by the\n"
 , stdout);
  fputs(
-"                     file  operand  to the user ID specified by the user oper-\n"
+"                     file operand to the user ID specified by the  user  oper-\n"
 "                     and. The user operand is a decimal integer user ID.\n"
 "\n"
 "              ln source_file target_file\n"
 "                     The ln and symlink commands create a symbolic link at the\n"
-"                     target_file  location  pointing  to the source_file loca-\n"
+"                     target_file location pointing to  the  source_file  loca-\n"
 "                     tion.\n"
 "\n"
 "              mkdir directory_name\n"
-"                     The mkdir command creates  the  directory  named  by  the\n"
+"                     The  mkdir  command  creates  the  directory named by the\n"
 , stdout);
  fputs(
 "                     directory_name operand.\n"
@@ -1534,7 +1537,7 @@
 "\n"
 "              rename source target\n"
 "                     The rename command renames the file or directory named by\n"
-"                     the  source  operand to the destination path named by the\n"
+"                     the source operand to the destination path named  by  the\n"
 "                     target operand.\n"
 "\n"
 "              rm file\n"
@@ -1544,7 +1547,7 @@
 "                     erand.\n"
 "\n"
 "              rmdir directory\n"
-"                     The  rmdir  command removes the directory entry specified\n"
+"                     The rmdir command removes the directory  entry  specified\n"
 "                     by the directory operand, provided it is empty.\n"
 "\n"
 "              symlink source_file target_file\n"
@@ -1554,12 +1557,12 @@
 "              (SSL) Specify the path name to file containing what will be con-\n"
 , stdout);
  fputs(
-"              sidered  as  random  data.  The  data is used to seed the random\n"
+"              sidered as random data. The data is  used  to  seed  the  random\n"
 "              engine for SSL connections.  See also the --egd-file option.\n"
 "\n"
 "       -r/--range <range>\n"
-"              (HTTP/FTP/SFTP/FILE) Retrieve a byte range (i.e a partial  docu-\n"
-"              ment)  from  a  HTTP/1.1,  FTP  or  SFTP server or a local FILE.\n"
+"              (HTTP/FTP/SFTP/FILE)  Retrieve a byte range (i.e a partial docu-\n"
+"              ment) from a HTTP/1.1, FTP or  SFTP  server  or  a  local  FILE.\n"
 "              Ranges can be specified in a number of ways.\n"
 "\n"
 "              0-499     specifies the first 500 bytes\n"
@@ -1582,103 +1585,103 @@
 "\n"
 , stdout);
  fputs(
-"       (*) = NOTE that this will cause the server to reply  with  a  multipart\n"
+"       (*)  =  NOTE  that this will cause the server to reply with a multipart\n"
 "       response!\n"
 "\n"
-"       Only  digit characters (0-9) are valid in the 'start' and 'stop' fields\n"
-"       of the 'start-stop' range syntax. If a non-digit character is given  in\n"
-"       the  range, the server's response will be unspecified, depending on the\n"
+"       Only digit characters (0-9) are valid in the 'start' and 'stop'  fields\n"
+"       of  the 'start-stop' range syntax. If a non-digit character is given in\n"
+"       the range, the server's response will be unspecified, depending on  the\n"
 "       server's configuration.\n"
 "\n"
-"       You should also be aware that many HTTP/1.1 servers do  not  have  this\n"
+"       You  should  also  be aware that many HTTP/1.1 servers do not have this\n"
 , stdout);
  fputs(
-"       feature  enabled,  so  that  when  you  attempt  to get a range, you'll\n"
+"       feature enabled, so that when  you  attempt  to  get  a  range,  you'll\n"
 "       instead get the whole document.\n"
 "\n"
-"       FTP and SFTP range downloads only support the simple 'start-stop'  syn-\n"
-"       tax  (optionally  with  one of the numbers omitted). FTP use depends on\n"
+"       FTP  and SFTP range downloads only support the simple 'start-stop' syn-\n"
+"       tax (optionally with one of the numbers omitted). FTP  use  depends  on\n"
 "       the extended FTP command SIZE.\n"
 "\n"
 "       If this option is used several times, the last one will be used.\n"
 "\n"
-"       --raw  When used, it disables all internal HTTP decoding of content  or\n"
+"       --raw  When  used, it disables all internal HTTP decoding of content or\n"
 , stdout);
  fputs(
-"              transfer  encodings  and instead makes them passed on unaltered,\n"
+"              transfer encodings and instead makes them passed  on  unaltered,\n"
 "              raw. (Added in 7.16.2)\n"
 "\n"
 "       -R/--remote-time\n"
-"              When used, this will make libcurl  attempt  to  figure  out  the\n"
-"              timestamp  of the remote file, and if that is available make the\n"
+"              When  used,  this  will  make  libcurl attempt to figure out the\n"
+"              timestamp of the remote file, and if that is available make  the\n"
 "              local file get that same timestamp.\n"
 "\n"
 "       --retry <num>\n"
-"              If a transient error is returned when curl tries  to  perform  a\n"
+"              If  a  transient  error is returned when curl tries to perform a\n"
 , stdout);
  fputs(
-"              transfer,  it  will retry this number of times before giving up.\n"
-"              Setting the number to 0 makes curl do no retries (which  is  the\n"
-"              default).  Transient  error  means either: a timeout, an FTP 4xx\n"
+"              transfer, it will retry this number of times before  giving  up.\n"
+"              Setting  the  number to 0 makes curl do no retries (which is the\n"
+"              default). Transient error means either: a timeout,  an  FTP  4xx\n"
 "              response code or an HTTP 5xx response code.\n"
 "\n"
-"              When curl is about to retry a transfer, it will first  wait  one\n"
-"              second  and  then for all forthcoming retries it will double the\n"
+"              When  curl  is about to retry a transfer, it will first wait one\n"
+"              second and then for all forthcoming retries it will  double  the\n"
 , stdout);
  fputs(
-"              waiting time until it reaches 10 minutes which then will be  the\n"
-"              delay  between  the rest of the retries.  By using --retry-delay\n"
-"              you  disable  this  exponential  backoff  algorithm.  See   also\n"
-"              --retry-max-time  to  limit  the total time allowed for retries.\n"
+"              waiting  time until it reaches 10 minutes which then will be the\n"
+"              delay between the rest of the retries.  By  using  --retry-delay\n"
+"              you   disable  this  exponential  backoff  algorithm.  See  also\n"
+"              --retry-max-time to limit the total time  allowed  for  retries.\n"
 "              (Added in 7.12.3)\n"
 "\n"
-"              If this option is  used  multiple  times,  the  last  occurrence\n"
+"              If  this  option  is  used  multiple  times, the last occurrence\n"
 "              decide the amount.\n"
 "\n"
 "       --retry-delay <seconds>\n"
 , stdout);
  fputs(
-"              Make  curl  sleep  this  amount of time before each retry when a\n"
-"              transfer has failed with  a  transient  error  (it  changes  the\n"
-"              default  backoff time algorithm between retries). This option is\n"
-"              only interesting if --retry is also used. Setting this delay  to\n"
-"              zero  will  make  curl  use the default backoff time.  (Added in\n"
+"              Make curl sleep this amount of time before  each  retry  when  a\n"
+"              transfer  has  failed  with  a  transient  error (it changes the\n"
+"              default backoff time algorithm between retries). This option  is\n"
+"              only  interesting if --retry is also used. Setting this delay to\n"
+"              zero will make curl use the default  backoff  time.   (Added  in\n"
 "              7.12.3)\n"
 "\n"
-"              If this option is  used  multiple  times,  the  last  occurrence\n"
+"              If  this  option  is  used  multiple  times, the last occurrence\n"
 , stdout);
  fputs(
 "              determines the amount.\n"
 "\n"
 "       --retry-max-time <seconds>\n"
-"              The  retry  timer  is  reset  before the first transfer attempt.\n"
+"              The retry timer is reset  before  the  first  transfer  attempt.\n"
 "              Retries will be done as usual (see --retry) as long as the timer\n"
 "              hasn't reached this given limit. Notice that if the timer hasn't\n"
-"              reached the limit, the request will be made and  while  perform-\n"
-"              ing,  it may take longer than this given time period. To limit a\n"
+"              reached  the  limit, the request will be made and while perform-\n"
+"              ing, it may take longer than this given time period. To limit  a\n"
 , stdout);
  fputs(
-"              single request's maximum  time,  use  -m/--max-time.   Set  this\n"
+"              single  request's  maximum  time,  use  -m/--max-time.  Set this\n"
 "              option to zero to not timeout retries. (Added in 7.12.3)\n"
 "\n"
-"              If  this  option  is  used  multiple  times, the last occurrence\n"
+"              If this option is  used  multiple  times,  the  last  occurrence\n"
 "              determines the amount.\n"
 "\n"
 "       -s/--silent\n"
-"              Silent or quiet mode. Don't show progress meter  or  error  mes-\n"
+"              Silent  or  quiet  mode. Don't show progress meter or error mes-\n"
 "              sages.  Makes Curl mute.\n"
 "\n"
 "       -S/--show-error\n"
 , stdout);
  fputs(
-"              When  used  with  -s  it  makes curl show an error message if it\n"
+"              When used with -s it makes curl show  an  error  message  if  it\n"
 "              fails.\n"
 "\n"
 "       --socks4 <host[:port]>\n"
 "              Use the specified SOCKS4 proxy. If the port number is not speci-\n"
 "              fied, it is assumed at port 1080. (Added in 7.15.2)\n"
 "\n"
-"              This  option  overrides  any previous use of -x/--proxy, as they\n"
+"              This option overrides any previous use of  -x/--proxy,  as  they\n"
 "              are mutually exclusive.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
@@ -1689,42 +1692,42 @@
 "              Use the specified SOCKS4a proxy. If the port number is not spec-\n"
 "              ified, it is assumed at port 1080. (Added in 7.18.0)\n"
 "\n"
-"              This  option  overrides  any previous use of -x/--proxy, as they\n"
+"              This option overrides any previous use of  -x/--proxy,  as  they\n"
 "              are mutually exclusive.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --socks5-hostname <host[:port]>\n"
-"              Use the specified SOCKS5 proxy (and let the  proxy  resolve  the\n"
+"              Use  the  specified  SOCKS5 proxy (and let the proxy resolve the\n"
 , stdout);
  fputs(
-"              host  name).  If the port number is not specified, it is assumed\n"
+"              host name). If the port number is not specified, it  is  assumed\n"
 "              at port 1080. (Added in 7.18.0)\n"
 "\n"
-"              This option overrides any previous use of  -x/--proxy,  as  they\n"
+"              This  option  overrides  any previous use of -x/--proxy, as they\n"
 "              are mutually exclusive.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
-"              (This option was  previously  wrongly  documented  and  used  as\n"
+"              (This  option  was  previously  wrongly  documented  and used as\n"
 "              --socks without the number appended.)\n"
 "\n"
 "       --socks5 <host[:port]>\n"
 , stdout);
  fputs(
-"              Use  the  specified  SOCKS5  proxy  -  but resolve the host name\n"
-"              locally. If the port number is not specified, it is  assumed  at\n"
+"              Use the specified SOCKS5 proxy  -  but  resolve  the  host  name\n"
+"              locally.  If  the port number is not specified, it is assumed at\n"
 "              port 1080.\n"
 "\n"
-"              This  option  overrides  any previous use of -x/--proxy, as they\n"
+"              This option overrides any previous use of  -x/--proxy,  as  they\n"
 "              are mutually exclusive.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
-"              (This  option  was  previously  wrongly  documented  and used as\n"
+"              (This option was  previously  wrongly  documented  and  used  as\n"
 , stdout);
  fputs(
 "              --socks without the number appended.)\n"
 "\n"
-"              This option (as well as --socks4) does not work with IPV6,  FTPS\n"
+"              This  option (as well as --socks4) does not work with IPV6, FTPS\n"
 "              or LDAP.\n"
 "\n"
 "       --socks5-gssapi-service <servicename>\n"
@@ -1732,28 +1735,28 @@
 "              This option allows you to change it.\n"
 "\n"
 "              Examples:\n"
-"               --socks5 proxy-name --socks5-gssapi-service sockd    would  use\n"
+"               --socks5  proxy-name  --socks5-gssapi-service sockd   would use\n"
 "              sockd/proxy-name\n"
 , stdout);
  fputs(
-"               --socks5   proxy-name  --socks5-gssapi-service  sockd/real-name\n"
-"              would use sockd/real-name for cases where  the  proxy-name  does\n"
+"               --socks5  proxy-name  --socks5-gssapi-service   sockd/real-name\n"
+"              would  use  sockd/real-name  for cases where the proxy-name does\n"
 "              not match the princpal name.\n"
 "               (Added in 7.19.4).\n"
 "\n"
 "       --socks5-gssapi-nec\n"
-"              As  part  of the gssapi negotiation a protection mode is negoti-\n"
-"              ated. The rfc1961 says in section  4.3/4.4  it  should  be  pro-\n"
-"              tected,  but  the  NEC  reference  implementation does not.  The\n"
+"              As part of the gssapi negotiation a protection mode  is  negoti-\n"
+"              ated.  The  rfc1961  says  in  section 4.3/4.4 it should be pro-\n"
+"              tected, but the NEC  reference  implementation  does  not.   The\n"
 , stdout);
  fputs(
-"              option --socks5-gssapi-nec allows the  unprotected  exchange  of\n"
+"              option  --socks5-gssapi-nec  allows  the unprotected exchange of\n"
 "              the protection mode negotiation. (Added in 7.19.4).\n"
 "\n"
 "       --stderr <file>\n"
-"              Redirect  all writes to stderr to the specified file instead. If\n"
-"              the file name is a plain '-', it is instead written  to  stdout.\n"
-"              This  option  has no point when you're using a shell with decent\n"
+"              Redirect all writes to stderr to the specified file instead.  If\n"
+"              the  file  name is a plain '-', it is instead written to stdout.\n"
+"              This option has no point when you're using a shell  with  decent\n"
 "              redirecting capabilities.\n"
 "\n"
 , stdout);
@@ -1761,7 +1764,7 @@
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --tcp-nodelay\n"
-"              Turn on the TCP_NODELAY option. See the curl_easy_setopt(3)  man\n"
+"              Turn  on the TCP_NODELAY option. See the curl_easy_setopt(3) man\n"
 "              page for details about this option. (Added in 7.11.2)\n"
 "\n"
 "       -t/--telnet-option <OPT=val>\n"
@@ -1777,7 +1780,7 @@
 "\n"
 "       --tftp-blksize <value>\n"
 "              (TFTP) Set TFTP BLKSIZE option (must be >512). This is the block\n"
-"              size that curl will try to use when tranferring data to or  from\n"
+"              size  that curl will try to use when tranferring data to or from\n"
 "              a TFTP server. By default 512 bytes will be used.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
@@ -1787,21 +1790,21 @@
 "       -T/--upload-file <file>\n"
 , stdout);
  fputs(
-"              This  transfers  the  specified local file to the remote URL. If\n"
+"              This transfers the specified local file to the  remote  URL.  If\n"
 "              there is no file part in the specified URL, Curl will append the\n"
 "              local file name. NOTE that you must use a trailing / on the last\n"
-"              directory to really prove to Curl that there is no file name  or\n"
+"              directory  to really prove to Curl that there is no file name or\n"
 "              curl will think that your last directory name is the remote file\n"
 "              name to use. That will most likely cause the upload operation to\n"
 , stdout);
  fputs(
-"              fail.  If this is used on a HTTP(S) server, the PUT command will\n"
+"              fail. If this is used on a HTTP(S) server, the PUT command  will\n"
 "              be used.\n"
 "\n"
-"              Use the file name \"-\" (a single dash) to use stdin instead of  a\n"
-"              given  file.   Alternately,  the file name \".\" (a single period)\n"
-"              may be specified instead of \"-\" to  use  stdin  in  non-blocking\n"
-"              mode  to  allow  reading  server  output  while  stdin  is being\n"
+"              Use  the file name \"-\" (a single dash) to use stdin instead of a\n"
+"              given file.  Alternately, the file name \".\"  (a  single  period)\n"
+"              may  be  specified  instead  of \"-\" to use stdin in non-blocking\n"
+"              mode to  allow  reading  server  output  while  stdin  is  being\n"
 "              uploaded.\n"
 "\n"
 , stdout);
@@ -1809,7 +1812,7 @@
 "              You can specify one -T for each URL on the command line. Each -T\n"
 "              + URL pair specifies what to upload and to where. curl also sup-\n"
 "              ports \"globbing\" of the -T argument, meaning that you can upload\n"
-"              multiple  files  to  a single URL by using the same URL globbing\n"
+"              multiple files to a single URL by using the  same  URL  globbing\n"
 "              style supported in the URL, like this:\n"
 "\n"
 "              curl -T \"{file1,file2}\" http://www.uploadtothissite.com\n"
@@ -1821,11 +1824,11 @@
 "              curl -T \"img[1-1000].png\" ftp://ftp.picturemania.com/upload/\n"
 "\n"
 "       --trace <file>\n"
-"              Enables a full trace dump of all  incoming  and  outgoing  data,\n"
+"              Enables  a  full  trace  dump of all incoming and outgoing data,\n"
 "              including descriptive information, to the given output file. Use\n"
 "              \"-\" as filename to have the output sent to stdout.\n"
 "\n"
-"              This option overrides previous uses of -v/--verbose or  --trace-\n"
+"              This  option overrides previous uses of -v/--verbose or --trace-\n"
 "              ascii.\n"
 "\n"
 , stdout);
@@ -1833,12 +1836,12 @@
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --trace-ascii <file>\n"
-"              Enables  a  full  trace  dump of all incoming and outgoing data,\n"
+"              Enables a full trace dump of all  incoming  and  outgoing  data,\n"
 "              including descriptive information, to the given output file. Use\n"
 "              \"-\" as filename to have the output sent to stdout.\n"
 "\n"
 "              This is very similar to --trace, but leaves out the hex part and\n"
-"              only shows the ASCII part of the dump. It makes  smaller  output\n"
+"              only  shows  the ASCII part of the dump. It makes smaller output\n"
 , stdout);
  fputs(
 "              that might be easier to read for untrained humans.\n"
@@ -1848,7 +1851,7 @@
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --trace-time\n"
-"              Prepends  a  time  stamp to each trace or verbose line that curl\n"
+"              Prepends a time stamp to each trace or verbose  line  that  curl\n"
 "              displays.  (Added in 7.14.0)\n"
 "\n"
 "       -u/--user <user:password>\n"
@@ -1857,12 +1860,12 @@
  fputs(
 "              tion. Overrides -n/--netrc and --netrc-optional.\n"
 "\n"
-"              If  you  just give the user name (without entering a colon) curl\n"
+"              If you just give the user name (without entering a  colon)  curl\n"
 "              will prompt for a password.\n"
 "\n"
-"              If you use an SSPI-enabled curl binary and do  NTLM  authentica-\n"
-"              tion,  you  can force curl to pick up the user name and password\n"
-"              from your environment by simply specifying a single  colon  with\n"
+"              If  you  use an SSPI-enabled curl binary and do NTLM authentica-\n"
+"              tion, you can force curl to pick up the user name  and  password\n"
+"              from  your  environment by simply specifying a single colon with\n"
 "              this option: \"-u :\".\n"
 "\n"
 , stdout);
@@ -1870,12 +1873,12 @@
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -U/--proxy-user <user:password>\n"
-"              Specify  the user name and password to use for proxy authentica-\n"
+"              Specify the user name and password to use for proxy  authentica-\n"
 "              tion.\n"
 "\n"
-"              If you use an SSPI-enabled curl binary and do  NTLM  authentica-\n"
-"              tion,  you  can force curl to pick up the user name and password\n"
-"              from your environment by simply specifying a single  colon  with\n"
+"              If  you  use an SSPI-enabled curl binary and do NTLM authentica-\n"
+"              tion, you can force curl to pick up the user name  and  password\n"
+"              from  your  environment by simply specifying a single colon with\n"
 "              this option: \"-U :\".\n"
 "\n"
 , stdout);
@@ -1883,18 +1886,18 @@
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       --url <URL>\n"
-"              Specify  a  URL  to  fetch. This option is mostly handy when you\n"
+"              Specify a URL to fetch. This option is  mostly  handy  when  you\n"
 "              want to specify URL(s) in a config file.\n"
 "\n"
-"              This option may be used any number of times.  To  control  where\n"
+"              This  option  may  be used any number of times. To control where\n"
 "              this URL is written, use the -o/--output or the -O/--remote-name\n"
 "              options.\n"
 "\n"
 "       -v/--verbose\n"
 , stdout);
  fputs(
-"              Makes the fetching more  verbose/talkative.  Mostly  useful  for\n"
-"              debugging.  A line starting with '>' means \"header data\" sent by\n"
+"              Makes  the  fetching  more  verbose/talkative. Mostly useful for\n"
+"              debugging. A line starting with '>' means \"header data\" sent  by\n"
 "              curl, '<' means \"header data\" received by curl that is hidden in\n"
 "              normal cases, and a line starting with '*' means additional info\n"
 "              provided by curl.\n"
@@ -1904,7 +1907,7 @@
 "\n"
 , stdout);
  fputs(
-"              If  you think this option still doesn't give you enough details,\n"
+"              If you think this option still doesn't give you enough  details,\n"
 "              consider using --trace or --trace-ascii instead.\n"
 "\n"
 "              This option overrides previous uses of --trace-ascii or --trace.\n"
@@ -1913,12 +1916,12 @@
 "\n"
 "       -V/--version\n"
 "              Displays information about curl and the libcurl version it uses.\n"
-"              The first line includes the full version of  curl,  libcurl  and\n"
+"              The  first  line  includes the full version of curl, libcurl and\n"
 , stdout);
  fputs(
 "              other 3rd party libraries linked with the executable.\n"
 "\n"
-"              The  second  line (starts with \"Protocols:\") shows all protocols\n"
+"              The second line (starts with \"Protocols:\") shows  all  protocols\n"
 "              that libcurl reports to support.\n"
 "\n"
 "              The third line (starts with \"Features:\") shows specific features\n"
@@ -1932,7 +1935,7 @@
 "\n"
 , stdout);
  fputs(
-"              libz   Automatic  decompression of compressed files over HTTP is\n"
+"              libz   Automatic decompression of compressed files over HTTP  is\n"
 "                     supported.\n"
 "\n"
 "              NTLM   NTLM authentication is supported.\n"
@@ -1940,8 +1943,8 @@
 "              GSS-Negotiate\n"
 "                     Negotiate authentication and krb5 for FTP is supported.\n"
 "\n"
-"              Debug  This curl uses a libcurl built with Debug.  This  enables\n"
-"                     more  error-tracking  and memory debugging etc. For curl-\n"
+"              Debug  This  curl  uses a libcurl built with Debug. This enables\n"
+"                     more error-tracking and memory debugging etc.  For  curl-\n"
 "                     developers only!\n"
 "\n"
 "              AsynchDNS\n"
@@ -1957,77 +1960,77 @@
 "\n"
 "              IDN    This curl supports IDN - international domain names.\n"
 "\n"
-"              SSPI   SSPI  is  supported. If you use NTLM and set a blank user\n"
+"              SSPI   SSPI is supported. If you use NTLM and set a  blank  user\n"
 , stdout);
  fputs(
-"                     name, curl will authenticate with your current  user  and\n"
+"                     name,  curl  will authenticate with your current user and\n"
 "                     password.\n"
 "\n"
 "       -w/--write-out <format>\n"
 "              Defines what to display on stdout after a completed and success-\n"
-"              ful operation. The format is a string  that  may  contain  plain\n"
+"              ful  operation.  The  format  is a string that may contain plain\n"
 "              text mixed with any number of variables. The string can be spec-\n"
-"              ified as \"string\", to get read from a particular file you  spec-\n"
+"              ified  as \"string\", to get read from a particular file you spec-\n"
 , stdout);
  fputs(
-"              ify  it  \"@filename\"  and  to  tell curl to read the format from\n"
+"              ify it \"@filename\" and to tell curl  to  read  the  format  from\n"
 "              stdin you write \"@-\".\n"
 "\n"
-"              The variables present in the output format will  be  substituted\n"
-"              by  the  value or text that curl thinks fit, as described below.\n"
-"              All variables are specified as %{variable_name} and to output  a\n"
-"              normal  % you just write them as %%. You can output a newline by\n"
+"              The  variables  present in the output format will be substituted\n"
+"              by the value or text that curl thinks fit, as  described  below.\n"
+"              All  variables are specified as %{variable_name} and to output a\n"
+"              normal % you just write them as %%. You can output a newline  by\n"
 , stdout);
  fputs(
 "              using \\n, a carriage return with \\r and a tab space with \\t.\n"
 "\n"
 "              NOTE: The %-symbol is a special symbol in the win32-environment,\n"
-"              where  all  occurrences  of  %  must  be doubled when using this\n"
+"              where all occurrences of %  must  be  doubled  when  using  this\n"
 "              option.\n"
 "\n"
 "              The variables available at this point are:\n"
 "\n"
 "              url_effective  The URL that was fetched last. This is most mean-\n"
-"                             ingful  if  you've  told curl to follow location:\n"
+"                             ingful if you've told curl  to  follow  location:\n"
 , stdout);
  fputs(
 "                             headers.\n"
 "\n"
 "              http_code      The numerical response code that was found in the\n"
-"                             last  retrieved  HTTP(S)  or  FTP(s) transfer. In\n"
-"                             7.18.2 the alias response_code was added to  show\n"
+"                             last retrieved HTTP(S)  or  FTP(s)  transfer.  In\n"
+"                             7.18.2  the alias response_code was added to show\n"
 "                             the same info.\n"
 "\n"
-"              http_connect   The  numerical  code  that  was found in the last\n"
-"                             response  (from  a  proxy)  to  a  curl   CONNECT\n"
+"              http_connect   The numerical code that was  found  in  the  last\n"
+"                             response   (from  a  proxy)  to  a  curl  CONNECT\n"
 , stdout);
  fputs(
 "                             request. (Added in 7.12.4)\n"
 "\n"
-"              time_total     The  total time, in seconds, that the full opera-\n"
+"              time_total     The total time, in seconds, that the full  opera-\n"
 "                             tion lasted. The time will be displayed with mil-\n"
 "                             lisecond resolution.\n"
 "\n"
 "              time_namelookup\n"
-"                             The  time,  in  seconds,  it  took from the start\n"
+"                             The time, in seconds,  it  took  from  the  start\n"
 "                             until the name resolving was completed.\n"
 "\n"
 , stdout);
  fputs(
-"              time_connect   The time, in seconds,  it  took  from  the  start\n"
-"                             until  the  TCP  connect  to  the remote host (or\n"
+"              time_connect   The  time,  in  seconds,  it  took from the start\n"
+"                             until the TCP connect  to  the  remote  host  (or\n"
 "                             proxy) was completed.\n"
 "\n"
 "              time_appconnect\n"
-"                             The time, in seconds,  it  took  from  the  start\n"
-"                             until  the  SSL/SSH/etc  connect/handshake to the\n"
+"                             The  time,  in  seconds,  it  took from the start\n"
+"                             until the SSL/SSH/etc  connect/handshake  to  the\n"
 "                             remote host was completed. (Added in 7.19.0)\n"
 "\n"
 , stdout);
  fputs(
 "              time_pretransfer\n"
-"                             The time, in seconds,  it  took  from  the  start\n"
-"                             until  the file transfer was just about to begin.\n"
+"                             The  time,  in  seconds,  it  took from the start\n"
+"                             until the file transfer was just about to  begin.\n"
 "                             This includes all pre-transfer commands and nego-\n"
 "                             tiations that are specific to the particular pro-\n"
 "                             tocol(s) involved.\n"
@@ -2035,19 +2038,19 @@
 "              time_redirect  The time, in seconds, it took for all redirection\n"
 , stdout);
  fputs(
-"                             steps  include  name lookup, connect, pretransfer\n"
-"                             and transfer before  the  final  transaction  was\n"
-"                             started.  time_redirect shows the complete execu-\n"
-"                             tion time for multiple  redirections.  (Added  in\n"
+"                             steps include name lookup,  connect,  pretransfer\n"
+"                             and  transfer  before  the  final transaction was\n"
+"                             started. time_redirect shows the complete  execu-\n"
+"                             tion  time  for  multiple redirections. (Added in\n"
 "                             7.12.3)\n"
 "\n"
 "              time_starttransfer\n"
-"                             The  time,  in  seconds,  it  took from the start\n"
+"                             The time, in seconds,  it  took  from  the  start\n"
 , stdout);
  fputs(
-"                             until the first byte was just about to be  trans-\n"
-"                             ferred.  This  includes time_pretransfer and also\n"
-"                             the time  the  server  needed  to  calculate  the\n"
+"                             until  the first byte was just about to be trans-\n"
+"                             ferred. This includes time_pretransfer  and  also\n"
+"                             the  time  the  server  needed  to  calculate the\n"
 "                             result.\n"
 "\n"
 "              size_download  The total amount of bytes that were downloaded.\n"
@@ -2059,24 +2062,24 @@
 "              size_header    The total amount of bytes of the downloaded head-\n"
 "                             ers.\n"
 "\n"
-"              size_request   The total amount of bytes that were sent  in  the\n"
+"              size_request   The  total  amount of bytes that were sent in the\n"
 "                             HTTP request.\n"
 "\n"
 "              speed_download The average download speed that curl measured for\n"
 "                             the complete download. Bytes per second.\n"
 "\n"
-"              speed_upload   The average upload speed that curl  measured  for\n"
+"              speed_upload   The  average  upload speed that curl measured for\n"
 , stdout);
  fputs(
 "                             the complete upload. Bytes per second.\n"
 "\n"
-"              content_type   The  Content-Type  of  the requested document, if\n"
+"              content_type   The Content-Type of the  requested  document,  if\n"
 "                             there was any.\n"
 "\n"
-"              num_connects   Number of new connects made in the recent  trans-\n"
+"              num_connects   Number  of new connects made in the recent trans-\n"
 "                             fer. (Added in 7.12.3)\n"
 "\n"
-"              num_redirects  Number  of  redirects  that  were followed in the\n"
+"              num_redirects  Number of redirects that  were  followed  in  the\n"
 "                             request. (Added in 7.12.3)\n"
 "\n"
 , stdout);
@@ -2091,32 +2094,32 @@
 "              ssl_verify_result\n"
 , stdout);
  fputs(
-"                             The  result of the SSL peer certificate verifica-\n"
+"                             The result of the SSL peer certificate  verifica-\n"
 "                             tion that was requested. 0 means the verification\n"
 "                             was successful. (Added in 7.19.0)\n"
 "\n"
 "       If this option is used several times, the last one will be used.\n"
 "\n"
 "       -x/--proxy <proxyhost[:port]>\n"
-"              Use  the  specified HTTP proxy. If the port number is not speci-\n"
+"              Use the specified HTTP proxy. If the port number is  not  speci-\n"
 "              fied, it is assumed at port 1080.\n"
 "\n"
 , stdout);
  fputs(
-"              This option overrides existing environment  variables  that  set\n"
-"              the  proxy  to use. If there's an environment variable setting a\n"
+"              This  option  overrides  existing environment variables that set\n"
+"              the proxy to use. If there's an environment variable  setting  a\n"
 "              proxy, you can set proxy to \"\" to override it.\n"
 "\n"
-"              Note that all operations that are performed over  a  HTTP  proxy\n"
-"              will  transparently  be converted to HTTP. It means that certain\n"
+"              Note  that  all  operations that are performed over a HTTP proxy\n"
+"              will transparently be converted to HTTP. It means  that  certain\n"
 "              protocol specific operations might not be available. This is not\n"
 , stdout);
  fputs(
-"              the  case  if you can tunnel through the proxy, as done with the\n"
+"              the case if you can tunnel through the proxy, as done  with  the\n"
 "              -p/--proxytunnel option.\n"
 "\n"
-"              Starting with 7.14.1, the proxy host can be specified the  exact\n"
-"              same  way as the proxy environment variables, including the pro-\n"
+"              Starting  with 7.14.1, the proxy host can be specified the exact\n"
+"              same way as the proxy environment variables, including the  pro-\n"
 "              tocol prefix (http://) and the embedded user + password.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
@@ -2125,10 +2128,10 @@
 , stdout);
  fputs(
 "              (HTTP) Specifies a custom request method to use when communicat-\n"
-"              ing  with  the  HTTP server.  The specified request will be used\n"
-"              instead of the method otherwise used (which  defaults  to  GET).\n"
-"              Read  the  HTTP  1.1 specification for details and explanations.\n"
-"              Common additional HTTP requests  include  PUT  and  DELETE,  but\n"
+"              ing with the HTTP server.  The specified request  will  be  used\n"
+"              instead  of  the  method otherwise used (which defaults to GET).\n"
+"              Read the HTTP 1.1 specification for  details  and  explanations.\n"
+"              Common  additional  HTTP  requests  include  PUT and DELETE, but\n"
 "              related technologies like WebDAV offers PROPFIND, COPY, MOVE and\n"
 "              more.\n"
 "\n"
@@ -2146,15 +2149,15 @@
 "\n"
 , stdout);
  fputs(
-"              This  option  controls  transfers  and thus will not affect slow\n"
-"              connects etc. If this is a concern for you, try  the  --connect-\n"
+"              This option controls transfers and thus  will  not  affect  slow\n"
+"              connects  etc.  If this is a concern for you, try the --connect-\n"
 "              timeout option.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -Y/--speed-limit <speed>\n"
 "              If a download is slower than this given speed (in bytes per sec-\n"
-"              ond) for speed-time seconds it gets aborted. speed-time  is  set\n"
+"              ond)  for  speed-time seconds it gets aborted. speed-time is set\n"
 , stdout);
  fputs(
 "              with -y and is 30 if not set.\n"
@@ -2162,17 +2165,17 @@
 "              If this option is used several times, the last one will be used.\n"
 "\n"
 "       -z/--time-cond <date expression>\n"
-"              (HTTP/FTP)  Request a file that has been modified later than the\n"
-"              given time and date, or one that has been modified  before  that\n"
+"              (HTTP/FTP) Request a file that has been modified later than  the\n"
+"              given  time  and date, or one that has been modified before that\n"
 "              time. The date expression can be all sorts of date strings or if\n"
-"              it doesn't match any internal ones, it tries  to  get  the  time\n"
+"              it  doesn't  match  any  internal ones, it tries to get the time\n"
 , stdout);
  fputs(
-"              from  a  given  file  name  instead! See the curl_getdate(3) man\n"
+"              from a given file name  instead!  See  the  curl_getdate(3)  man\n"
 "              pages for date expression details.\n"
 "\n"
 "              Start the date expression with a dash (-) to make it request for\n"
-"              a  document that is older than the given date/time, default is a\n"
+"              a document that is older than the given date/time, default is  a\n"
 "              document that is newer than the specified date/time.\n"
 "\n"
 "              If this option is used several times, the last one will be used.\n"
@@ -2180,8 +2183,8 @@
 "       --max-redirs <num>\n"
 , stdout);
  fputs(
-"              Set  maximum  number  of  redirection-followings   allowed.   If\n"
-"              -L/--location  is  used, this option can be used to prevent curl\n"
+"              Set   maximum   number  of  redirection-followings  allowed.  If\n"
+"              -L/--location is used, this option can be used to  prevent  curl\n"
 "              from following redirections \"in absurdum\". By default, the limit\n"
 "              is set to 50 redirections. Set this option to -1 to make it lim-\n"
 "              itless.\n"
@@ -2191,31 +2194,31 @@
 "       -0/--http1.0\n"
 , stdout);
  fputs(
-"              (HTTP) Forces curl to issue its requests using HTTP 1.0  instead\n"
+"              (HTTP)  Forces curl to issue its requests using HTTP 1.0 instead\n"
 "              of using its internally preferred: HTTP 1.1.\n"
 "\n"
 "       -1/--tlsv1\n"
-"              (SSL)  Forces  curl to use TLS version 1 when negotiating with a\n"
+"              (SSL) Forces curl to use TLS version 1 when negotiating  with  a\n"
 "              remote TLS server.\n"
 "\n"
 "       -2/--sslv2\n"
-"              (SSL) Forces curl to use SSL version 2 when negotiating  with  a\n"
+"              (SSL)  Forces  curl to use SSL version 2 when negotiating with a\n"
 "              remote SSL server.\n"
 "\n"
 "       -3/--sslv3\n"
-"              (SSL)  Forces  curl to use SSL version 3 when negotiating with a\n"
+"              (SSL) Forces curl to use SSL version 3 when negotiating  with  a\n"
 , stdout);
  fputs(
 "              remote SSL server.\n"
 "\n"
 "       -4/--ipv4\n"
-"              If libcurl is capable of resolving an  address  to  multiple  IP\n"
-"              versions  (which it is if it is IPv6-capable), this option tells\n"
+"              If  libcurl  is  capable  of resolving an address to multiple IP\n"
+"              versions (which it is if it is IPv6-capable), this option  tells\n"
 "              libcurl to resolve names to IPv4 addresses only.\n"
 "\n"
 "       -6/--ipv6\n"
-"              If libcurl is capable of resolving an  address  to  multiple  IP\n"
-"              versions  (which it is if it is IPv6-capable), this option tells\n"
+"              If  libcurl  is  capable  of resolving an address to multiple IP\n"
+"              versions (which it is if it is IPv6-capable), this option  tells\n"
 , stdout);
  fputs(
 "              libcurl to resolve names to IPv6 addresses only.\n"
@@ -2244,18 +2247,18 @@
 "              Sets the proxy server to use for FTP.\n"
 "\n"
 "       ALL_PROXY [protocol://]<host>[:port]\n"
-"              Sets  the  proxy  server to use if no protocol-specific proxy is\n"
+"              Sets the proxy server to use if no  protocol-specific  proxy  is\n"
 "              set.\n"
 "\n"
 , stdout);
  fputs(
 "       NO_PROXY <comma-separated list of hosts>\n"
-"              list of host names that shouldn't go through any proxy.  If  set\n"
+"              list  of  host names that shouldn't go through any proxy. If set\n"
 "              to a asterisk '*' only, it matches all hosts.\n"
 "\n"
 "EXIT CODES\n"
-"       There  are  a  bunch  of  different error codes and their corresponding\n"
-"       error messages that may appear during bad conditions. At  the  time  of\n"
+"       There are a bunch of different  error  codes  and  their  corresponding\n"
+"       error  messages  that  may appear during bad conditions. At the time of\n"
 "       this writing, the exit codes are:\n"
 "\n"
 "       1      Unsupported protocol. This build of curl has no support for this\n"
@@ -2267,56 +2270,56 @@
 "\n"
 "       3      URL malformed. The syntax was not correct.\n"
 "\n"
-"       5      Couldn't resolve proxy.  The  given  proxy  host  could  not  be\n"
+"       5      Couldn't  resolve  proxy.  The  given  proxy  host  could not be\n"
 "              resolved.\n"
 "\n"
 "       6      Couldn't resolve host. The given remote host was not resolved.\n"
 "\n"
 "       7      Failed to connect to host.\n"
 "\n"
-"       8      FTP  weird  server  reply.  The  server  sent data curl couldn't\n"
+"       8      FTP weird server reply.  The  server  sent  data  curl  couldn't\n"
 "              parse.\n"
 "\n"
 , stdout);
  fputs(
-"       9      FTP access denied. The server denied login or denied  access  to\n"
-"              the  particular  resource or directory you wanted to reach. Most\n"
-"              often you tried to change to a directory that doesn't  exist  on\n"
+"       9      FTP  access  denied. The server denied login or denied access to\n"
+"              the particular resource or directory you wanted to  reach.  Most\n"
+"              often  you  tried to change to a directory that doesn't exist on\n"
 "              the server.\n"
 "\n"
-"       11     FTP  weird PASS reply. Curl couldn't parse the reply sent to the\n"
+"       11     FTP weird PASS reply. Curl couldn't parse the reply sent to  the\n"
 "              PASS request.\n"
 "\n"
-"       13     FTP weird PASV reply, Curl couldn't parse the reply sent to  the\n"
+"       13     FTP  weird PASV reply, Curl couldn't parse the reply sent to the\n"
 "              PASV request.\n"
 "\n"
 , stdout);
  fputs(
-"       14     FTP  weird  227  format.  Curl  couldn't  parse the 227-line the\n"
+"       14     FTP weird 227 format.  Curl  couldn't  parse  the  227-line  the\n"
 "              server sent.\n"
 "\n"
-"       15     FTP can't get host. Couldn't resolve the host IP we got  in  the\n"
+"       15     FTP  can't  get host. Couldn't resolve the host IP we got in the\n"
 "              227-line.\n"
 "\n"
-"       17     FTP  couldn't  set  binary.  Couldn't  change transfer method to\n"
+"       17     FTP couldn't set binary.  Couldn't  change  transfer  method  to\n"
 "              binary.\n"
 "\n"
 "       18     Partial file. Only a part of the file was transferred.\n"
 "\n"
-"       19     FTP couldn't download/access the given file, the RETR (or  simi-\n"
+"       19     FTP  couldn't download/access the given file, the RETR (or simi-\n"
 "              lar) command failed.\n"
 "\n"
 , stdout);
  fputs(
 "       21     FTP quote error. A quote command returned error from the server.\n"
-"       22     HTTP  page  not  retrieved.  The  requested url was not found or\n"
-"              returned another error with the HTTP error  code  being  400  or\n"
+"       22     HTTP page not retrieved. The requested  url  was  not  found  or\n"
+"              returned  another  error  with  the HTTP error code being 400 or\n"
 "              above. This return code only appears if -f/--fail is used.\n"
 "\n"
-"       23     Write  error.  Curl couldn't write data to a local filesystem or\n"
+"       23     Write error. Curl couldn't write data to a local  filesystem  or\n"
 "              similar.\n"
 "\n"
-"       25     FTP couldn't STOR file. The server denied  the  STOR  operation,\n"
+"       25     FTP  couldn't  STOR  file. The server denied the STOR operation,\n"
 , stdout);
  fputs(
 "              used for FTP uploading.\n"
@@ -2325,16 +2328,16 @@
 "\n"
 "       27     Out of memory. A memory allocation request failed.\n"
 "\n"
-"       28     Operation  timeout.  The  specified  time-out period was reached\n"
+"       28     Operation timeout. The specified  time-out  period  was  reached\n"
 "              according to the conditions.\n"
 "\n"
-"       30     FTP PORT failed. The PORT command failed. Not  all  FTP  servers\n"
-"              support  the  PORT  command,  try  doing  a  transfer using PASV\n"
+"       30     FTP  PORT  failed.  The PORT command failed. Not all FTP servers\n"
+"              support the PORT  command,  try  doing  a  transfer  using  PASV\n"
 "              instead!\n"
 "\n"
 , stdout);
  fputs(
-"       31     FTP couldn't use REST. The REST command failed. This command  is\n"
+"       31     FTP  couldn't use REST. The REST command failed. This command is\n"
 "              used for resumed FTP transfers.\n"
 "\n"
 "       33     HTTP range error. The range \"command\" didn't work.\n"
@@ -2343,7 +2346,7 @@
 "\n"
 "       35     SSL connect error. The SSL handshaking failed.\n"
 "\n"
-"       36     FTP  bad  download  resume. Couldn't continue an earlier aborted\n"
+"       36     FTP bad download resume. Couldn't continue  an  earlier  aborted\n"
 "              download.\n"
 "\n"
 , stdout);
@@ -2363,7 +2366,7 @@
 "\n"
 , stdout);
  fputs(
-"       45     Interface  error.  A  specified  outgoing interface could not be\n"
+"       45     Interface error. A specified outgoing  interface  could  not  be\n"
 "              used.\n"
 "\n"
 "       47     Too many redirects. When following redirects, curl hit the maxi-\n"
@@ -2375,7 +2378,7 @@
 "\n"
 "       51     The peer's SSL certificate or SSH MD5 fingerprint was not ok.\n"
 "\n"
-"       52     The  server  didn't  reply anything, which here is considered an\n"
+"       52     The server didn't reply anything, which here  is  considered  an\n"
 "              error.\n"
 "\n"
 , stdout);
@@ -2392,7 +2395,7 @@
 "\n"
 "       59     Couldn't use specified SSL cipher.\n"
 "\n"
-"       60     Peer certificate cannot be authenticated with known CA  certifi-\n"
+"       60     Peer  certificate cannot be authenticated with known CA certifi-\n"
 "              cates.\n"
 "\n"
 "       61     Unrecognized transfer encoding.\n"
@@ -2409,7 +2412,7 @@
 "\n"
 "       66     Failed to initialise SSL Engine.\n"
 "\n"
-"       67     The  user  name,  password, or similar was not accepted and curl\n"
+"       67     The user name, password, or similar was not  accepted  and  curl\n"
 "              failed to log in.\n"
 "\n"
 "       68     File not found on TFTP server.\n"
@@ -2442,7 +2445,7 @@
 "\n"
 , stdout);
  fputs(
-"       82     Could not load CRL file,  missing  or  wrong  format  (added  in\n"
+"       82     Could  not  load  CRL  file,  missing  or wrong format (added in\n"
 "              7.19.0).\n"
 "\n"
 "       83     Issuer check failed (added in 7.19.0).\n"
@@ -2451,7 +2454,7 @@
 "              ing ones are meant to never change.\n"
 "\n"
 "AUTHORS / CONTRIBUTORS\n"
-"       Daniel Stenberg is the main author, but the whole list of  contributors\n"
+"       Daniel  Stenberg is the main author, but the whole list of contributors\n"
 "       is found in the separate THANKS file.\n"
 "\n"
 "WWW\n"
@@ -3594,7 +3597,7 @@
 #else
 /*
  * NEVER EVER edit this manually, fix the mkhelp.pl script instead!
- * Generation time: Wed Jul 14 23:06:05 2010
+ * Generation time: Wed Oct  6 19:13:33 2010
  */
 #include "setup.h"
 #ifdef USE_MANUAL
@@ -3604,3410 +3607,3415 @@
 #include <zlib.h>
 static const unsigned char hugehelpgz[] = {
   /* This mumbo-jumbo is the huge help text compressed with gzip.
-     Thanks to this operation, the size of this data shrunk from 132637
-     to 40809 bytes. You can disable the use of compressed help
+     Thanks to this operation, the size of this data shrunk from 132605
+     to 40864 bytes. You can disable the use of compressed help
      texts by NOT passing -c to the mkhelp.pl tool. */
   0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x03, 0xed, 0xbd,
-  0x6b, 0x5b, 0x23, 0x47, 0xb2, 0x2e, 0xfa, 0x9d, 0x5f, 0x51, 0x23, 0x1f,
-  0x8f, 0x60, 0x46, 0x12, 0x97, 0xbe, 0xd8, 0xcd, 0x74, 0x7b, 0x19, 0x03,
-  0x6d, 0xb3, 0x4c, 0x37, 0x6c, 0x44, 0xfb, 0xb2, 0x3d, 0x7e, 0xfa, 0x29,
-  0x49, 0x05, 0xd4, 0x20, 0xa9, 0x34, 0x55, 0x25, 0x40, 0x9e, 0x35, 0xfb,
-  0xb7, 0x9f, 0x88, 0x37, 0x22, 0x32, 0xb3, 0x2e, 0xa2, 0xdb, 0xb3, 0xec,
-  0xd9, 0x67, 0xef, 0xe7, 0xcc, 0x5a, 0x6e, 0x40, 0xaa, 0xca, 0x6b, 0x64,
-  0x64, 0x5c, 0xdf, 0x88, 0xa2, 0x0f, 0xfd, 0xef, 0x3d, 0xfe, 0x7b, 0x4f,
-  0xff, 0xa3, 0x9f, 0x1b, 0x51, 0x74, 0x9e, 0x67, 0x7f, 0x4b, 0xc6, 0x65,
-  0xfb, 0xb3, 0xef, 0xdf, 0xff, 0x57, 0x24, 0xff, 0x47, 0xef, 0xfc, 0x95,
-  0x7e, 0x6e, 0x3c, 0xda, 0xf6, 0x76, 0xe4, 0x5f, 0xf8, 0xaf, 0xf7, 0x5b,
-  0xd1, 0x87, 0x5e, 0xf8, 0xaf, 0x68, 0x13, 0x2f, 0xbc, 0xd7, 0x1e, 0x5e,
-  0xf2, 0xef, 0xef, 0xdf, 0x3f, 0xde, 0xc9, 0x5f, 0x79, 0x54, 0xfc, 0xcf,
-  0x36, 0xbf, 0xf7, 0xd7, 0xf7, 0xfc, 0x2b, 0x7d, 0xb2, 0xb1, 0xf1, 0xf6,
-  0xe0, 0xcd, 0xb1, 0xbd, 0x3a, 0x5e, 0xe6, 0xd3, 0xa8, 0x1f, 0x95, 0x79,
-  0x3c, 0x2f, 0xae, 0x92, 0x3c, 0x8a, 0xa3, 0x77, 0x17, 0xa7, 0x1b, 0x1b,
-  0xc3, 0x1f, 0xdf, 0x9e, 0x9d, 0x0f, 0x4f, 0x86, 0x95, 0xc7, 0x7e, 0xca,
-  0x16, 0x65, 0x9a, 0xcd, 0x8b, 0x9f, 0xa3, 0x9f, 0xe8, 0xa1, 0xc1, 0x60,
-  0xf0, 0xf3, 0xc6, 0xc6, 0xd1, 0xf1, 0xf0, 0xf0, 0xe2, 0xe4, 0xfc, 0xf2,
-  0xe4, 0xec, 0x6d, 0xe5, 0xd9, 0x28, 0x2d, 0x22, 0x6a, 0xac, 0xcc, 0xb2,
-  0x29, 0xfd, 0xe3, 0xdb, 0x9f, 0xc4, 0x65, 0x1c, 0x5d, 0xe5, 0xd9, 0x2c,
-  0xca, 0x72, 0xfe, 0x22, 0x8e, 0x8a, 0x24, 0xbf, 0x4b, 0xf2, 0x5e, 0xb4,
-  0x2c, 0xd2, 0xf9, 0x75, 0x94, 0xcd, 0x93, 0x28, 0xbb, 0x8a, 0xca, 0x9b,
-  0xc4, 0x9a, 0x2b, 0x96, 0x8b, 0x45, 0x96, 0x97, 0xc9, 0x24, 0x5a, 0xe4,
-  0x59, 0x99, 0x8d, 0xb3, 0x69, 0x11, 0x6d, 0x7e, 0x73, 0x79, 0x79, 0xde,
-  0x8b, 0xf8, 0xdf, 0x61, 0x2f, 0x7a, 0xcd, 0xbf, 0xbf, 0xc6, 0xaf, 0xd1,
-  0xf0, 0xf0, 0x9c, 0xff, 0xc5, 0x47, 0xd1, 0xa5, 0xfc, 0x38, 0x3a, 0x39,
-  0xbc, 0xec, 0x59, 0x73, 0x97, 0xc7, 0xa7, 0x6f, 0x8f, 0x2f, 0xe9, 0xd3,
-  0xd3, 0xa3, 0x83, 0xf3, 0x88, 0x47, 0x11, 0xbd, 0x3e, 0x39, 0x3d, 0xde,
-  0x1a, 0xd0, 0x57, 0x37, 0x49, 0x34, 0xce, 0x66, 0xb3, 0x78, 0x3e, 0xe1,
-  0xe1, 0x4f, 0x92, 0x22, 0xbd, 0x9e, 0x53, 0xbf, 0x34, 0xcc, 0xfb, 0x2c,
-  0xbf, 0x8d, 0xee, 0xd3, 0xf2, 0x26, 0x5b, 0x96, 0x34, 0xd2, 0x24, 0xb7,
-  0xe6, 0xd2, 0x79, 0x99, 0xe4, 0xf1, 0x98, 0xd7, 0x65, 0xb0, 0x51, 0x59,
-  0x81, 0xec, 0x8a, 0xe6, 0x5b, 0xd0, 0x04, 0x47, 0xcb, 0x62, 0x9a, 0xc5,
-  0x13, 0x9e, 0x16, 0xbd, 0x79, 0xb5, 0xa4, 0x05, 0xc9, 0xd3, 0xf1, 0x6d,
-  0x11, 0x4d, 0xd3, 0xdb, 0x84, 0x27, 0xf5, 0xb0, 0xb2, 0x49, 0xf6, 0xd0,
-  0x76, 0x14, 0x2f, 0x69, 0xfe, 0xf3, 0xbe, 0x35, 0x57, 0xa6, 0xe3, 0x98,
-  0x3b, 0xa0, 0x41, 0xd3, 0x84, 0xa2, 0xe5, 0x82, 0x9b, 0x93, 0xd9, 0x47,
-  0x8b, 0xac, 0xa0, 0xb7, 0x86, 0xc3, 0x53, 0x1a, 0xf9, 0x7c, 0x9e, 0x60,
-  0x20, 0x45, 0x8f, 0xfe, 0xc8, 0x6e, 0xd3, 0x84, 0x7e, 0xb9, 0x4a, 0xa7,
-  0x89, 0xac, 0xbe, 0x6b, 0x8e, 0xb7, 0x21, 0x4f, 0x8a, 0xe5, 0x2c, 0x89,
-  0x78, 0xa6, 0xb3, 0x2c, 0x4f, 0x06, 0xd1, 0x41, 0x11, 0xad, 0xb2, 0x25,
-  0x4d, 0x71, 0x3a, 0xa5, 0x1d, 0x49, 0xa2, 0x51, 0x32, 0xcd, 0xee, 0x7b,
-  0xbc, 0x0f, 0xd1, 0x7c, 0x39, 0x1b, 0xd1, 0x2b, 0x34, 0xfc, 0xab, 0x24,
-  0x2e, 0x97, 0xf4, 0x2a, 0x1e, 0xb3, 0xe6, 0x66, 0x31, 0xcd, 0x82, 0xde,
-  0xcd, 0xa3, 0x9b, 0x84, 0x66, 0x59, 0x2c, 0xd2, 0xf9, 0x1f, 0x36, 0x9a,
-  0xb4, 0xb0, 0xc8, 0xee, 0x93, 0x9c, 0x16, 0x33, 0x1a, 0xad, 0x22, 0x9a,
-  0xf9, 0x48, 0xbe, 0xb9, 0xe2, 0xf5, 0x8f, 0xa7, 0x53, 0x47, 0x20, 0xfd,
-  0x3c, 0x99, 0xc6, 0xbc, 0xd9, 0xd6, 0xd7, 0x20, 0x1a, 0x26, 0x8e, 0x16,
-  0xf4, 0xbd, 0xcd, 0x27, 0x5b, 0x78, 0x73, 0x92, 0x94, 0x71, 0x3a, 0x2d,
-  0x68, 0xe1, 0x99, 0x68, 0x6d, 0x83, 0x69, 0xc8, 0xf4, 0x67, 0x54, 0xac,
-  0xe6, 0x65, 0xfc, 0xc0, 0x7d, 0x1b, 0xdd, 0xf4, 0x27, 0xc9, 0x22, 0x99,
-  0x4f, 0x92, 0x79, 0x39, 0x88, 0x7e, 0xcc, 0x96, 0x5d, 0xea, 0xf6, 0x2a,
-  0xa5, 0x15, 0x88, 0x23, 0x6d, 0x89, 0x87, 0x47, 0xbb, 0x3e, 0xce, 0xd3,
-  0x45, 0xb0, 0xf8, 0xd9, 0x9c, 0x76, 0x39, 0xba, 0x78, 0x7d, 0x18, 0x3d,
-  0x79, 0xf1, 0xf9, 0x73, 0xbf, 0xcb, 0xd4, 0x04, 0x4d, 0x30, 0x9e, 0x13,
-  0x89, 0x2e, 0x92, 0x71, 0x7a, 0x45, 0xf3, 0x9a, 0x2d, 0xa7, 0x65, 0xba,
-  0xa0, 0x15, 0xe7, 0x11, 0x14, 0x4c, 0x5c, 0x8b, 0x38, 0x2f, 0x0b, 0x5e,
-  0x3b, 0x7c, 0x40, 0x73, 0xbf, 0xcf, 0xd3, 0x92, 0x09, 0x9d, 0xbf, 0xa0,
-  0x95, 0x2e, 0x0b, 0x6b, 0x8e, 0xa9, 0x8b, 0xfa, 0x19, 0x11, 0x35, 0xd1,
-  0x0a, 0xc7, 0x05, 0x75, 0xba, 0xef, 0xfa, 0x8a, 0x6e, 0xca, 0x72, 0xb1,
-  0xbf, 0xbd, 0x5d, 0xa4, 0x65, 0x32, 0xf8, 0x07, 0x1d, 0x92, 0x5e, 0x79,
-  0x9f, 0xf5, 0xca, 0x9b, 0x3c, 0x49, 0xfe, 0x39, 0x20, 0x9a, 0x75, 0x0f,
-  0x52, 0x97, 0xbc, 0x8f, 0x3c, 0xac, 0xeb, 0x84, 0x3b, 0xf8, 0xfb, 0x32,
-  0x99, 0x73, 0x83, 0x34, 0x84, 0x78, 0xba, 0xb8, 0x89, 0x69, 0x37, 0x13,
-  0x22, 0x3f, 0x3e, 0x76, 0x44, 0x20, 0x3c, 0x22, 0x39, 0x78, 0x3f, 0xfd,
-  0xdc, 0xe8, 0xf3, 0x0a, 0x5d, 0xd2, 0xbf, 0x03, 0x7d, 0x29, 0xa6, 0xb5,
-  0xa6, 0xce, 0xb6, 0x99, 0xa8, 0x7e, 0xda, 0xed, 0xef, 0xee, 0xec, 0xfc,
-  0x3c, 0x28, 0x1f, 0xca, 0x8f, 0x7c, 0x61, 0x67, 0xc7, 0xbf, 0xc2, 0x4f,
-  0x6f, 0xf2, 0x8c, 0xa3, 0x29, 0x11, 0x0d, 0xf7, 0xff, 0x4b, 0x92, 0x67,
-  0xc5, 0x56, 0x4b, 0x53, 0xd3, 0xa4, 0xa4, 0x23, 0x16, 0xb4, 0x13, 0xf7,
-  0x7f, 0x91, 0x6e, 0xed, 0xe1, 0xb7, 0x59, 0x34, 0x4f, 0x0a, 0xac, 0xaa,
-  0xb0, 0x8e, 0x60, 0xda, 0xb4, 0xfd, 0x9e, 0x81, 0xc4, 0x25, 0xbe, 0x9d,
-  0x65, 0x33, 0xa2, 0x81, 0x1e, 0x1d, 0xcc, 0xd2, 0x2d, 0x16, 0x9d, 0x3b,
-  0xc7, 0x70, 0x12, 0xe2, 0x47, 0xf1, 0x94, 0x59, 0x51, 0x41, 0x0d, 0xd3,
-  0x60, 0x89, 0x01, 0x24, 0xf1, 0xf8, 0x26, 0xca, 0xe8, 0xed, 0xbc, 0xb9,
-  0x29, 0xf1, 0x7c, 0x35, 0xc8, 0xf2, 0xeb, 0xed, 0x38, 0x1f, 0xdf, 0xa4,
-  0x77, 0xb4, 0x32, 0x2f, 0x5e, 0x3c, 0xef, 0xd3, 0x3f, 0x2f, 0x7e, 0xde,
-  0xbe, 0xcb, 0xa6, 0xb4, 0x50, 0x4f, 0x7f, 0xde, 0xe6, 0xed, 0xfe, 0x47,
-  0xdc, 0x1b, 0xf5, 0xc6, 0xff, 0x1c, 0xdc, 0x94, 0xb3, 0xe9, 0x63, 0x54,
-  0x44, 0xed, 0x45, 0xf1, 0x2c, 0x5b, 0xce, 0x4b, 0x47, 0x38, 0x44, 0x83,
-  0x65, 0xc0, 0x9d, 0xa6, 0xe9, 0x9c, 0xce, 0x2c, 0x51, 0xfa, 0x4a, 0x4e,
-  0xec, 0x28, 0xf1, 0x87, 0xbb, 0x1c, 0xdf, 0xd0, 0x54, 0x89, 0x92, 0x62,
-  0x5d, 0x86, 0x32, 0xa5, 0xc9, 0xd0, 0x6b, 0x73, 0x3a, 0xc4, 0xa9, 0xb4,
-  0x23, 0x5d, 0xa5, 0xf4, 0x5c, 0x96, 0x4f, 0x92, 0xdc, 0xd3, 0xf4, 0x30,
-  0xa5, 0x55, 0x93, 0x53, 0xfb, 0xd9, 0x60, 0xf7, 0xd9, 0x60, 0xd7, 0x2d,
-  0x10, 0x6d, 0x65, 0xe6, 0x86, 0x48, 0x4d, 0x97, 0xc9, 0x82, 0x86, 0xb3,
-  0x64, 0xf6, 0x27, 0xa7, 0x98, 0xdb, 0x8d, 0xe8, 0x14, 0x5f, 0x13, 0xdb,
-  0x71, 0x4b, 0x49, 0x9c, 0xff, 0x26, 0x2e, 0x2b, 0x24, 0xc9, 0xab, 0xbb,
-  0x8a, 0xde, 0xd2, 0xd6, 0x1b, 0x63, 0xc9, 0x23, 0xd9, 0xe3, 0xe6, 0xca,
-  0xde, 0xdf, 0xdf, 0xaf, 0xa7, 0xbd, 0xfd, 0xdd, 0x1a, 0xf9, 0x05, 0x2f,
-  0xb5, 0x11, 0xcd, 0xfe, 0x5e, 0x95, 0x6c, 0x4e, 0xae, 0x22, 0x0c, 0xcc,
-  0x2f, 0x3c, 0xb3, 0x0d, 0xc7, 0xe5, 0x8d, 0x6b, 0x50, 0x8b, 0xf4, 0x7b,
-  0x72, 0x95, 0x3e, 0xf4, 0x64, 0x61, 0xb0, 0xe2, 0x31, 0xb5, 0x3f, 0x5b,
-  0x30, 0x69, 0x58, 0x73, 0xd7, 0xcb, 0xa4, 0x20, 0xce, 0xc8, 0xd3, 0xb5,
-  0x57, 0xd1, 0xfc, 0x2c, 0xbd, 0xbe, 0x29, 0xa3, 0xfb, 0x98, 0xb9, 0xce,
-  0x49, 0x29, 0x6f, 0x33, 0x7b, 0x27, 0x4e, 0x73, 0x15, 0x13, 0xbf, 0x88,
-  0x98, 0xbc, 0x84, 0x99, 0x33, 0x45, 0x3a, 0xbe, 0x43, 0x8b, 0x24, 0x04,
-  0x17, 0x05, 0x17, 0xdf, 0x28, 0x2e, 0x78, 0xd3, 0xe6, 0x44, 0x18, 0x25,
-  0xdd, 0x10, 0x4b, 0xfe, 0xeb, 0x86, 0xae, 0x80, 0x68, 0x1e, 0xcf, 0x12,
-  0x1d, 0x26, 0xf3, 0xcc, 0xd7, 0xb4, 0xa8, 0xc9, 0x43, 0x3c, 0x73, 0x6c,
-  0x8c, 0x98, 0x52, 0x0f, 0xfb, 0xe4, 0x9e, 0xa6, 0x83, 0x51, 0x12, 0x51,
-  0xf2, 0xa9, 0xc1, 0x41, 0xec, 0xf0, 0x61, 0xeb, 0x84, 0x53, 0x2c, 0x70,
-  0x47, 0x60, 0x89, 0x78, 0xf8, 0x51, 0x30, 0x59, 0x5a, 0xb2, 0xf8, 0x96,
-  0x6f, 0xa3, 0xda, 0xa5, 0x27, 0x6f, 0x46, 0x13, 0x9a, 0x51, 0x4a, 0x7c,
-  0x6f, 0x44, 0xc7, 0x92, 0xa7, 0x47, 0xe3, 0x94, 0x95, 0xe1, 0xc6, 0x16,
-  0xd4, 0x30, 0x7f, 0x98, 0x96, 0xcc, 0x71, 0x20, 0x70, 0x60, 0x65, 0xe8,
-  0xa8, 0xce, 0xb3, 0x70, 0xfe, 0x3c, 0x34, 0x7a, 0xee, 0x2e, 0x9e, 0xa6,
-  0x24, 0x36, 0x24, 0xee, 0x05, 0x70, 0xf6, 0x31, 0xdf, 0x8a, 0xd3, 0xe9,
-  0x8a, 0x88, 0x30, 0xcf, 0x59, 0x2e, 0xe3, 0xcd, 0x23, 0x6e, 0xc6, 0x87,
-  0x27, 0x9a, 0x25, 0x74, 0x9b, 0x54, 0x96, 0x33, 0x65, 0xde, 0x46, 0x44,
-  0x4b, 0x37, 0x14, 0xe8, 0x8f, 0x6e, 0x12, 0x1c, 0x72, 0x4c, 0x1d, 0x43,
-  0xe3, 0xd6, 0xc7, 0xe3, 0x64, 0x51, 0x16, 0x7e, 0x4e, 0x87, 0x2d, 0xfb,
-  0x4d, 0x77, 0x27, 0xaf, 0x7b, 0x78, 0xdf, 0x62, 0x61, 0x1d, 0xef, 0xf7,
-  0x57, 0x2e, 0x0b, 0x00, 0x3d, 0x3a, 0x04, 0x6e, 0x4e, 0xdc, 0x0f, 0x9d,
-  0x01, 0x2c, 0xfa, 0x8c, 0x47, 0xca, 0xcf, 0x16, 0x22, 0x0f, 0xe1, 0x5c,
-  0xf2, 0x2e, 0x8a, 0x40, 0x24, 0xdd, 0xd2, 0x82, 0xf0, 0x62, 0xfa, 0x7b,
-  0x85, 0x7a, 0x75, 0x7b, 0xca, 0xdd, 0x17, 0x24, 0x4b, 0x12, 0x53, 0x9f,
-  0x14, 0x37, 0x74, 0x0d, 0x17, 0xcc, 0x13, 0x78, 0xa6, 0x33, 0xa2, 0x98,
-  0x3b, 0xde, 0xe1, 0x45, 0x92, 0x4c, 0x06, 0xd1, 0xd9, 0x15, 0x1f, 0xd5,
-  0x9c, 0x06, 0x5d, 0xe2, 0x6b, 0xe6, 0x27, 0xb4, 0x72, 0x13, 0x08, 0x5b,
-  0x73, 0xc7, 0x3a, 0x30, 0x96, 0x80, 0x35, 0x80, 0x85, 0xd0, 0x50, 0xa7,
-  0x55, 0xc6, 0x03, 0xa9, 0x81, 0x8f, 0x33, 0x0f, 0x8e, 0xb6, 0x38, 0x8a,
-  0x40, 0x86, 0xf4, 0x5b, 0x79, 0x9f, 0x24, 0x73, 0xcf, 0x46, 0x89, 0xe7,
-  0xf1, 0xb6, 0x81, 0x30, 0xd2, 0xf9, 0x5d, 0xc6, 0x03, 0xdc, 0xd8, 0x38,
-  0xbf, 0x38, 0xfb, 0xfa, 0xe2, 0x78, 0x38, 0x8c, 0xde, 0x1c, 0x5f, 0x1e,
-  0x5f, 0x54, 0xa9, 0x67, 0x9e, 0xe5, 0x33, 0x6c, 0x6a, 0x34, 0x49, 0x8b,
-  0xc5, 0x34, 0x5e, 0xf1, 0x76, 0xd3, 0x5c, 0xae, 0x73, 0x3e, 0x5b, 0xb3,
-  0x84, 0x99, 0xcd, 0x64, 0x99, 0x83, 0xd3, 0x2f, 0x68, 0xff, 0x54, 0xda,
-  0xa1, 0x4b, 0x1c, 0x22, 0xd2, 0xfc, 0xda, 0xaf, 0x74, 0x12, 0xb0, 0x50,
-  0xdb, 0x0c, 0x96, 0x3f, 0x58, 0x00, 0xed, 0x45, 0x5e, 0x20, 0x95, 0x35,
-  0x62, 0x61, 0x95, 0x67, 0xc5, 0xd7, 0xc8, 0x0c, 0xf2, 0x07, 0x5d, 0xfc,
-  0x33, 0x2f, 0x77, 0x24, 0x57, 0x74, 0x5f, 0x10, 0x6b, 0xf5, 0xa4, 0xf1,
-  0x0d, 0xc9, 0x33, 0x90, 0x5b, 0x79, 0x89, 0xc6, 0x89, 0xce, 0xc0, 0x0d,
-  0x1b, 0x0b, 0x0d, 0x61, 0x97, 0xa5, 0x5f, 0x1a, 0x0d, 0x0d, 0x7d, 0x96,
-  0xce, 0x89, 0xe2, 0x88, 0x46, 0xf5, 0xe4, 0xd3, 0xc0, 0xaf, 0xac, 0x39,
-  0x3e, 0x18, 0xb2, 0x46, 0xd2, 0x10, 0xbd, 0x45, 0xfb, 0x4e, 0x2c, 0xd3,
-  0xcd, 0x13, 0x03, 0x4c, 0x71, 0x4c, 0xe2, 0x11, 0x33, 0x28, 0x16, 0x4b,
-  0x49, 0x98, 0x48, 0xc2, 0x6e, 0xdc, 0xfc, 0xb5, 0xb7, 0x1e, 0x9f, 0x43,
-  0x1e, 0x55, 0x3c, 0xe2, 0xcd, 0xe5, 0x81, 0xd4, 0x96, 0x93, 0x4e, 0x14,
-  0xb8, 0xcc, 0x7d, 0x5a, 0xe0, 0x84, 0xdd, 0x67, 0xcb, 0x29, 0x09, 0x85,
-  0xfc, 0xc0, 0x72, 0x11, 0x2e, 0x27, 0x75, 0xb9, 0xa0, 0x5e, 0x67, 0xe9,
-  0x03, 0xc4, 0x97, 0x5a, 0x2b, 0x34, 0x36, 0xfa, 0x73, 0x41, 0xdb, 0x21,
-  0xe3, 0x19, 0x84, 0x6c, 0x16, 0x92, 0x25, 0x73, 0x90, 0xc6, 0x66, 0xf2,
-  0xc1, 0x01, 0xeb, 0x3b, 0x3f, 0x1b, 0x5e, 0xf2, 0x4d, 0x70, 0xfe, 0xee,
-  0x92, 0x1a, 0xa2, 0x6b, 0xab, 0x28, 0x69, 0x63, 0xf9, 0xc5, 0x79, 0x02,
-  0x11, 0xdc, 0x9a, 0xa3, 0x3d, 0x4c, 0x71, 0xde, 0xf5, 0xc2, 0xb1, 0x4e,
-  0x6d, 0x7c, 0xd0, 0x29, 0x98, 0x94, 0x4d, 0xa3, 0x28, 0x6e, 0x12, 0x3a,
-  0x48, 0xee, 0xb5, 0xcd, 0x2f, 0xb6, 0x7a, 0x51, 0xdf, 0x35, 0xf7, 0x13,
-  0x3f, 0xfa, 0x33, 0xf7, 0x5c, 0xa4, 0xb3, 0x74, 0x1a, 0x07, 0x77, 0xa1,
-  0x63, 0x49, 0xfe, 0x68, 0x8e, 0x89, 0xfd, 0x62, 0xcc, 0x5e, 0x0e, 0xe7,
-  0x05, 0xc4, 0xb9, 0xf6, 0x1b, 0x35, 0xc9, 0x12, 0x79, 0x8f, 0x85, 0x61,
-  0xc7, 0x81, 0x78, 0xcb, 0xf8, 0xc8, 0x57, 0x96, 0xa9, 0x4e, 0x1d, 0x8d,
-  0x65, 0x63, 0x96, 0x0e, 0xb5, 0xcc, 0x2d, 0x5c, 0x67, 0x14, 0xe7, 0x1d,
-  0xc7, 0xcc, 0x54, 0xe0, 0xc9, 0x93, 0xeb, 0x25, 0x0d, 0x5e, 0x56, 0x95,
-  0xe6, 0xf7, 0x09, 0x0f, 0x9d, 0x85, 0x72, 0x77, 0xb8, 0x49, 0xda, 0x9b,
-  0x4f, 0x06, 0x1b, 0x67, 0x50, 0xd5, 0x9c, 0x5e, 0x77, 0xc2, 0x77, 0xf2,
-  0x9c, 0x39, 0x61, 0x0f, 0x62, 0xf8, 0x88, 0xf4, 0xb5, 0x04, 0x54, 0x27,
-  0x8c, 0x2d, 0xce, 0x93, 0x28, 0x99, 0x33, 0xf1, 0x4c, 0x84, 0x55, 0xf6,
-  0xfb, 0xf2, 0x15, 0x76, 0x7c, 0x45, 0xd7, 0x79, 0x7c, 0x1d, 0xa7, 0xee,
-  0xcc, 0x2b, 0xa1, 0x4d, 0x22, 0x7b, 0x78, 0x9e, 0xe9, 0xf3, 0xcc, 0x99,
-  0x98, 0xc9, 0xea, 0xa6, 0x2e, 0xc1, 0x8b, 0x12, 0xbe, 0xa3, 0x68, 0x4f,
-  0xb0, 0xb6, 0xda, 0x2e, 0x5f, 0x4d, 0xd6, 0xdc, 0x08, 0xd7, 0x30, 0xdf,
-  0x69, 0xa0, 0x4c, 0xdc, 0x52, 0xd4, 0x62, 0x67, 0xe0, 0x4f, 0x1f, 0x04,
-  0x9a, 0x94, 0x75, 0x29, 0xba, 0x69, 0xee, 0x59, 0xb6, 0x2b, 0x4a, 0xe2,
-  0x1f, 0xe0, 0x6f, 0xf8, 0x8c, 0xc6, 0xe9, 0x38, 0xd2, 0x4d, 0x76, 0x2f,
-  0x64, 0xe3, 0x66, 0x41, 0x6d, 0x14, 0x29, 0xae, 0x53, 0xfe, 0x7c, 0x36,
-  0x88, 0x36, 0xc1, 0x40, 0x89, 0xcb, 0xf2, 0x4d, 0xe0, 0x67, 0xe1, 0x16,
-  0xe4, 0x3e, 0x76, 0x02, 0x7b, 0x3c, 0x99, 0x88, 0xa0, 0xc5, 0xa2, 0xd2,
-  0x8b, 0xc1, 0xce, 0x80, 0x6d, 0x04, 0xc9, 0x5d, 0x9a, 0x91, 0xbe, 0xc7,
-  0x77, 0x10, 0x5f, 0xb4, 0xee, 0xbd, 0x88, 0xb5, 0x1f, 0xbe, 0x41, 0xaf,
-  0xaf, 0xb1, 0x3e, 0xd9, 0x7c, 0x9b, 0x14, 0xc4, 0x28, 0x60, 0xbf, 0x39,
-  0x29, 0x27, 0xe0, 0x3c, 0xbc, 0x36, 0x26, 0xc7, 0x82, 0xe8, 0x42, 0xde,
-  0xab, 0xab, 0xb9, 0xe5, 0xe8, 0xa4, 0x1f, 0x6f, 0xf7, 0xfb, 0xf1, 0x82,
-  0x15, 0x9b, 0x9a, 0x39, 0x60, 0x93, 0x88, 0x74, 0x9b, 0x35, 0xe1, 0xad,
-  0xe8, 0x7b, 0x96, 0x37, 0xc0, 0xa5, 0x59, 0x2e, 0x9c, 0x3b, 0x15, 0x12,
-  0x4b, 0x27, 0x12, 0x09, 0x1f, 0x12, 0xe3, 0x3c, 0xad, 0xcd, 0x19, 0xa5,
-  0xc6, 0x39, 0x4b, 0x71, 0xb8, 0xe4, 0x1c, 0x15, 0xf2, 0x78, 0x23, 0xba,
-  0x71, 0x72, 0xd3, 0x6e, 0x68, 0xbf, 0x06, 0x22, 0x61, 0xe1, 0x94, 0xf2,
-  0xd3, 0xb5, 0xe6, 0xf8, 0x90, 0xcc, 0xbb, 0xb4, 0x42, 0xc9, 0x43, 0xca,
-  0x2a, 0x2c, 0xef, 0xb0, 0x4a, 0x0f, 0x7c, 0xa5, 0x8c, 0x73, 0x2c, 0xc6,
-  0x00, 0xe2, 0x7d, 0x99, 0xc8, 0x11, 0xc3, 0x70, 0xaf, 0xa6, 0xf1, 0x35,
-  0xd1, 0x51, 0xad, 0x39, 0xd2, 0xd4, 0x33, 0x66, 0xef, 0xc4, 0x5d, 0x0b,
-  0x12, 0xef, 0x49, 0x23, 0xfe, 0x46, 0x2f, 0xd2, 0x22, 0xda, 0x24, 0x06,
-  0x3d, 0x5d, 0x42, 0xcb, 0x38, 0xa3, 0x89, 0xd1, 0x57, 0x5b, 0xfe, 0x9c,
-  0xf5, 0x0f, 0x68, 0xfd, 0x58, 0xeb, 0xee, 0xc7, 0x74, 0x12, 0xca, 0xe8,
-  0xa5, 0xfc, 0x28, 0x4a, 0xbe, 0x65, 0xbe, 0xa8, 0x2f, 0x29, 0xf3, 0xaa,
-  0xad, 0x68, 0xa8, 0x02, 0x23, 0xcf, 0xed, 0x1d, 0xbf, 0x7a, 0x10, 0xbc,
-  0xc3, 0x0b, 0x55, 0xd0, 0xf2, 0xd9, 0x82, 0x81, 0xbd, 0xc9, 0x50, 0x06,
-  0xb5, 0xe6, 0x86, 0x3c, 0x52, 0x9a, 0x6f, 0x3c, 0x61, 0x82, 0x91, 0xfb,
-  0x38, 0x3a, 0xfc, 0xfa, 0x84, 0xc8, 0xe5, 0x8a, 0xd4, 0x51, 0x9a, 0x15,
-  0x16, 0x90, 0xd5, 0x67, 0xba, 0x91, 0x89, 0x2d, 0xd3, 0xbc, 0xb1, 0x66,
-  0xa4, 0x37, 0x86, 0xd2, 0x98, 0xfe, 0xaf, 0xf3, 0x26, 0xfb, 0x85, 0x16,
-  0x30, 0xde, 0x7e, 0x3a, 0xd8, 0xa1, 0x33, 0x72, 0x49, 0x5a, 0xcb, 0x7c,
-  0x9c, 0x4d, 0x48, 0x99, 0x9f, 0xc6, 0xf3, 0xdb, 0x22, 0x02, 0xad, 0x62,
-  0x3f, 0x64, 0xa4, 0x7c, 0x77, 0x2d, 0xf3, 0x9c, 0x6e, 0xc9, 0x49, 0x14,
-  0x5e, 0x1e, 0x76, 0x5c, 0x64, 0x3a, 0x72, 0x08, 0x4c, 0x10, 0x88, 0xfe,
-  0xbe, 0xe4, 0xed, 0x98, 0xc5, 0xf9, 0xad, 0x49, 0x1b, 0x4e, 0x3b, 0x18,
-  0x25, 0x18, 0x18, 0x9e, 0x6f, 0x36, 0xd7, 0xff, 0x86, 0x16, 0x9a, 0x4d,
-  0x04, 0x2c, 0xf2, 0xcb, 0xe9, 0xcb, 0x4c, 0x2e, 0xf1, 0xdb, 0xe1, 0xb9,
-  0x1f, 0xe6, 0xad, 0x0f, 0xb2, 0x16, 0x47, 0x2d, 0xb3, 0xa9, 0x82, 0x29,
-  0x81, 0xde, 0xa4, 0xf3, 0x29, 0xd6, 0x89, 0x69, 0x4c, 0xc7, 0x8c, 0x17,
-  0xce, 0xd3, 0x4e, 0xb3, 0x6f, 0xfe, 0x9e, 0x29, 0xa8, 0x5b, 0xe0, 0x14,
-  0x04, 0xbb, 0xdf, 0x27, 0x96, 0xcc, 0xe6, 0x96, 0xf6, 0x8d, 0xbe, 0xa4,
-  0x53, 0x51, 0xb8, 0x63, 0x71, 0x95, 0x5e, 0x2f, 0xf3, 0x44, 0x18, 0x39,
-  0x2c, 0x34, 0x66, 0x98, 0x61, 0xb6, 0x7b, 0x93, 0x81, 0xf8, 0x48, 0xea,
-  0x4d, 0xa6, 0x57, 0xbd, 0x5a, 0x73, 0x7c, 0x7c, 0x8d, 0xe5, 0x81, 0x2f,
-  0x14, 0xc9, 0x18, 0x4d, 0xcd, 0x13, 0x65, 0xdf, 0x33, 0x5e, 0x55, 0xd6,
-  0xee, 0xa3, 0xf1, 0x34, 0x4e, 0x67, 0x85, 0x68, 0x05, 0xaa, 0xba, 0xd6,
-  0xe9, 0xe6, 0x52, 0xa5, 0x38, 0x10, 0xcc, 0x88, 0xa5, 0xc8, 0xbc, 0x60,
-  0x39, 0x91, 0xb7, 0x2b, 0xb6, 0xeb, 0x13, 0x9d, 0x92, 0x2e, 0x38, 0xbe,
-  0x05, 0x51, 0xa2, 0x17, 0xb9, 0x79, 0xfa, 0xb5, 0xe6, 0x64, 0x53, 0x0a,
-  0x5e, 0xcf, 0x65, 0xc1, 0x16, 0xa5, 0x22, 0x1d, 0x11, 0x41, 0x92, 0x54,
-  0xb5, 0x1c, 0x83, 0x02, 0x58, 0x3b, 0x25, 0x3d, 0x38, 0x8f, 0x59, 0xe6,
-  0x2c, 0x61, 0x0b, 0x8b, 0x40, 0x36, 0x7d, 0x22, 0x91, 0x45, 0xeb, 0xe8,
-  0x60, 0xf3, 0x11, 0xb9, 0xb0, 0xc2, 0x24, 0x0a, 0x95, 0x7e, 0xd9, 0xe8,
-  0xa2, 0xa2, 0xe6, 0xb8, 0xb6, 0x9a, 0xb5, 0xe6, 0x64, 0x6d, 0x7b, 0x24,
-  0xa4, 0xa7, 0xa4, 0x82, 0x9b, 0x26, 0x49, 0xc2, 0x91, 0xd0, 0x65, 0xbf,
-  0x4f, 0x3a, 0x51, 0x3a, 0xee, 0xf1, 0x6f, 0x93, 0x94, 0x94, 0xcf, 0x12,
-  0xbf, 0xce, 0xcb, 0xe9, 0xac, 0x17, 0x85, 0xdc, 0xdf, 0xed, 0xf8, 0x3c,
-  0xb9, 0xce, 0x48, 0x27, 0x2e, 0x9b, 0x54, 0x07, 0x4e, 0x23, 0xac, 0x46,
-  0x85, 0x07, 0x47, 0x1f, 0x26, 0x0a, 0x90, 0x0c, 0x41, 0xec, 0x98, 0xad,
-  0x48, 0x13, 0x3e, 0x9d, 0x3c, 0x1c, 0x1a, 0x8a, 0xf0, 0xd3, 0x3a, 0x4f,
-  0x82, 0x58, 0x5f, 0x94, 0xc4, 0x78, 0x7a, 0x2a, 0x24, 0x12, 0x8f, 0x9b,
-  0xc5, 0x2b, 0xec, 0x10, 0x49, 0x23, 0x4e, 0x02, 0xc0, 0xc1, 0x21, 0x06,
-  0x52, 0xde, 0xa7, 0x63, 0x15, 0xaf, 0x79, 0x41, 0xea, 0x0c, 0x98, 0x0d,
-  0x00, 0xd3, 0x94, 0x1f, 0x9c, 0x2d, 0x69, 0x7f, 0xe9, 0x2d, 0xbe, 0x6c,
-  0x45, 0x25, 0xb9, 0xa7, 0xdd, 0x1a, 0xc8, 0xb1, 0x49, 0x44, 0x64, 0xa2,
-  0xdb, 0x8e, 0x25, 0xb9, 0x38, 0x4f, 0xa1, 0x7c, 0x35, 0x9a, 0x93, 0x31,
-  0xf3, 0x24, 0xc3, 0x71, 0xf2, 0xeb, 0x2a, 0xd8, 0x78, 0x81, 0x06, 0x47,
-  0x8b, 0x39, 0x52, 0x70, 0x70, 0x46, 0x74, 0x9a, 0xc5, 0xca, 0x18, 0xbd,
-  0xe4, 0x3b, 0xfb, 0x15, 0x4f, 0x66, 0x0d, 0xbf, 0x3c, 0x87, 0xc6, 0x77,
-  0x53, 0x15, 0x79, 0x02, 0xbe, 0x28, 0x6a, 0x9d, 0xb4, 0x66, 0xaa, 0x20,
-  0xd3, 0x7e, 0x9d, 0x50, 0x89, 0x34, 0x13, 0xb0, 0x4a, 0xd7, 0xd6, 0xc2,
-  0x5f, 0xb8, 0xb4, 0x33, 0x49, 0x7a, 0xc7, 0x96, 0x43, 0xa7, 0x4d, 0x49,
-  0xe3, 0x30, 0x85, 0x74, 0x86, 0x49, 0x59, 0x6f, 0xee, 0x10, 0x1d, 0xee,
-  0x77, 0xd4, 0x9c, 0x02, 0xcb, 0x21, 0x5a, 0xd5, 0xa5, 0xa3, 0x05, 0x56,
-  0x7b, 0xc9, 0x15, 0xeb, 0x25, 0x44, 0x14, 0x1d, 0x36, 0x9d, 0xef, 0xbe,
-  0xfa, 0xee, 0xe0, 0xf4, 0xdd, 0xf1, 0xee, 0x5f, 0xea, 0xd4, 0x43, 0xdf,
-  0xed, 0xc9, 0x77, 0x7b, 0x9d, 0x36, 0x8e, 0x46, 0x04, 0x14, 0x45, 0xdd,
-  0x57, 0x5d, 0x52, 0x60, 0x67, 0xa3, 0x6c, 0xca, 0xb3, 0xb4, 0x3b, 0x19,
-  0x9c, 0x8c, 0x46, 0xd1, 0x53, 0x09, 0xbf, 0x94, 0xeb, 0x4f, 0x16, 0x86,
-  0x6f, 0xcf, 0xfa, 0xd8, 0xa1, 0xef, 0xab, 0x66, 0x0d, 0x02, 0x88, 0x27,
-  0xe1, 0x62, 0x14, 0x25, 0x6e, 0x43, 0xdd, 0x20, 0x6e, 0xb9, 0x10, 0x7a,
-  0xa4, 0x33, 0x81, 0x83, 0x54, 0xe7, 0xf5, 0x32, 0x63, 0x9e, 0xb2, 0x1f,
-  0x12, 0xb8, 0x6e, 0x01, 0xf9, 0x28, 0x05, 0x61, 0xad, 0x88, 0x7a, 0xcb,
-  0xf1, 0xcd, 0x80, 0x2e, 0x3d, 0xe1, 0x29, 0x69, 0xa1, 0xc7, 0xb3, 0xce,
-  0xef, 0xf8, 0x3a, 0x60, 0x15, 0xfd, 0x8e, 0x66, 0x21, 0x5b, 0xdf, 0xd1,
-  0xb1, 0x90, 0x52, 0x48, 0xfb, 0xd2, 0xd1, 0xe3, 0x0c, 0xca, 0x82, 0x05,
-  0x59, 0x35, 0x40, 0x3e, 0x5f, 0x79, 0xbd, 0x39, 0x3a, 0x3b, 0xd9, 0x8c,
-  0x7b, 0x54, 0xb3, 0x36, 0xbb, 0x15, 0x8c, 0x21, 0xf0, 0x79, 0xa2, 0x51,
-  0xb3, 0x0e, 0xbc, 0xd2, 0x13, 0xd9, 0xcd, 0x13, 0x3d, 0xbe, 0xa2, 0xee,
-  0xd6, 0x29, 0x9f, 0x1a, 0x1b, 0x91, 0xb0, 0xad, 0xa4, 0x2d, 0x97, 0x55,
-  0xd4, 0x3f, 0x25, 0x82, 0x9e, 0x66, 0xca, 0xd0, 0xbd, 0xd0, 0xaa, 0xd2,
-  0x4b, 0xe4, 0x68, 0x20, 0xbb, 0x6a, 0x39, 0x97, 0xfa, 0x0c, 0xf3, 0x6c,
-  0x6c, 0x85, 0x0d, 0x54, 0x8e, 0x96, 0x23, 0x27, 0xd2, 0x0d, 0x69, 0x65,
-  0x41, 0xf9, 0xca, 0x74, 0x49, 0xf3, 0x68, 0x69, 0xee, 0x6d, 0x52, 0x16,
-  0xe3, 0x78, 0x91, 0x6c, 0xeb, 0x8d, 0x6e, 0x1b, 0x89, 0x5e, 0x64, 0x20,
-  0x4d, 0xe6, 0x75, 0x76, 0x79, 0x6c, 0x62, 0x92, 0x3e, 0xe9, 0x75, 0x79,
-  0x11, 0x64, 0x83, 0x33, 0xcb, 0x27, 0x0c, 0x42, 0xb2, 0x32, 0xe9, 0xb8,
-  0x21, 0x50, 0xcd, 0x49, 0x9b, 0x1a, 0xc0, 0xb8, 0x6a, 0x93, 0x51, 0x53,
-  0xa3, 0x11, 0x97, 0x9d, 0x0d, 0xea, 0x09, 0xc2, 0x06, 0x3e, 0x76, 0x9e,
-  0x87, 0x3a, 0xb7, 0xd1, 0xdb, 0xaf, 0x3f, 0x76, 0x63, 0xe8, 0xff, 0x2d,
-  0xf6, 0x92, 0x80, 0x9a, 0xad, 0xb1, 0x50, 0x24, 0xd9, 0xcf, 0x49, 0xf4,
-  0xbd, 0x4b, 0x74, 0x6d, 0x79, 0xbd, 0xda, 0xaf, 0x2c, 0xaf, 0xed, 0x19,
-  0xbf, 0x3e, 0xa2, 0xe6, 0x27, 0xcb, 0xd9, 0x42, 0x25, 0x8d, 0x3f, 0xb4,
-  0x1d, 0x43, 0x91, 0xa8, 0x7e, 0xad, 0x68, 0x31, 0x4a, 0x7e, 0x95, 0x60,
-  0xf1, 0x95, 0x88, 0x95, 0xfd, 0xb8, 0x18, 0xa7, 0x69, 0xed, 0xad, 0x63,
-  0x68, 0x54, 0xd1, 0xc1, 0xf0, 0xf0, 0xe4, 0xc4, 0x5b, 0x22, 0xee, 0x45,
-  0x48, 0xe7, 0x69, 0xb0, 0x7a, 0x49, 0x4b, 0xc2, 0x2e, 0x2a, 0xb1, 0xe5,
-  0xc1, 0x91, 0x25, 0xe3, 0xa6, 0xdb, 0xaf, 0xed, 0xb4, 0xf1, 0xf8, 0x92,
-  0x39, 0xd1, 0xc6, 0x58, 0xa4, 0x60, 0x69, 0x88, 0xe6, 0xc3, 0x76, 0x31,
-  0x90, 0x05, 0x5d, 0x5a, 0x85, 0x2a, 0x51, 0x7f, 0x29, 0x57, 0x8b, 0xe4,
-  0xd5, 0x41, 0x47, 0x24, 0xb8, 0xfa, 0x9c, 0x64, 0x61, 0xc6, 0x31, 0x0d,
-  0x5f, 0x6d, 0x18, 0x72, 0x3b, 0xf1, 0x16, 0x4f, 0xd4, 0xf2, 0xa0, 0xbc,
-  0x91, 0xad, 0xe3, 0x33, 0x16, 0x31, 0xc5, 0x06, 0x4c, 0xb7, 0xd0, 0x93,
-  0xbd, 0x3a, 0x6b, 0x59, 0xd1, 0xf5, 0x3f, 0x2b, 0x42, 0x99, 0x0b, 0x37,
-  0x76, 0xfb, 0x55, 0x51, 0x13, 0xb9, 0x98, 0x6c, 0x70, 0x5c, 0xbe, 0xe2,
-  0x57, 0x6a, 0x82, 0xc2, 0xc0, 0x09, 0x42, 0xcd, 0x8d, 0x31, 0xe3, 0x2a,
-  0x5f, 0xa6, 0x35, 0x49, 0x72, 0x59, 0x2c, 0x61, 0x63, 0x5a, 0x90, 0xbc,
-  0x54, 0x4e, 0x89, 0xc1, 0xf5, 0xa2, 0xe5, 0x9c, 0x7f, 0x3a, 0xcd, 0x34,
-  0xf2, 0x5a, 0xbb, 0x57, 0x7e, 0xa0, 0xdf, 0xe4, 0x29, 0xcf, 0x35, 0x8e,
-  0x42, 0x5e, 0x2b, 0xd2, 0xb8, 0xb6, 0xaf, 0xd2, 0x03, 0x3b, 0x76, 0xe8,
-  0xb1, 0x49, 0xca, 0x4e, 0x40, 0x1a, 0x71, 0x7d, 0xc7, 0x5a, 0xc5, 0xc7,
-  0xcd, 0x62, 0x49, 0x0c, 0x8d, 0x58, 0xbe, 0x13, 0x5f, 0x02, 0x91, 0x86,
-  0x97, 0xd7, 0x64, 0x97, 0xfa, 0x65, 0x40, 0x4c, 0x36, 0xd4, 0x68, 0xfa,
-  0xe3, 0x74, 0x71, 0xc3, 0xa7, 0xe3, 0x25, 0x34, 0x60, 0x96, 0xb2, 0xe5,
-  0x83, 0xc6, 0xf5, 0x3c, 0x1c, 0x9e, 0x9a, 0x36, 0x83, 0x03, 0x0e, 0x8e,
-  0x6a, 0x6f, 0xeb, 0xf2, 0xa7, 0xe6, 0x7a, 0x30, 0x73, 0xa7, 0x70, 0x45,
-  0x6e, 0xba, 0x4e, 0x38, 0xae, 0x23, 0x11, 0x50, 0xcc, 0xae, 0x0e, 0x03,
-  0xae, 0x7d, 0x35, 0x88, 0x2e, 0x20, 0x0c, 0x2e, 0x17, 0x7c, 0x7a, 0x22,
-  0xb8, 0x2e, 0xf5, 0xbb, 0x5a, 0x73, 0x18, 0x7c, 0xb8, 0xa3, 0x70, 0xf6,
-  0x55, 0x0e, 0x5f, 0x85, 0x6d, 0xa6, 0xc1, 0x77, 0x44, 0xf4, 0xfb, 0x75,
-  0x96, 0xe1, 0xbd, 0x03, 0x24, 0xd9, 0xcc, 0x8b, 0x62, 0x0a, 0xa7, 0xcd,
-  0x24, 0x1b, 0x17, 0xdb, 0xa4, 0xf0, 0x16, 0xdb, 0x36, 0xc0, 0x8a, 0x7b,
-  0xc6, 0x98, 0xeb, 0x70, 0xe8, 0xe6, 0xc6, 0x36, 0x11, 0x48, 0xde, 0x6e,
-  0x77, 0xa7, 0x2b, 0x61, 0x1d, 0xa2, 0x5d, 0x9e, 0xaa, 0x2d, 0xf1, 0xeb,
-  0xf9, 0xf2, 0xf2, 0x74, 0x28, 0x72, 0x45, 0x5d, 0x32, 0x5c, 0xb2, 0xae,
-  0x62, 0xbb, 0x13, 0x36, 0x8e, 0xfb, 0x4a, 0xee, 0x80, 0xe1, 0xf0, 0x10,
-  0x1f, 0x0e, 0x97, 0xac, 0x16, 0x50, 0x37, 0xf9, 0x2a, 0x52, 0x25, 0xb8,
-  0xd6, 0x1c, 0xcf, 0xd6, 0xe6, 0x27, 0x66, 0xae, 0x2c, 0x5f, 0x0d, 0xae,
-  0x92, 0x49, 0x96, 0xc7, 0x03, 0x62, 0xd5, 0x44, 0x92, 0xf0, 0x84, 0x60,
-  0xae, 0x74, 0x5c, 0xdf, 0xd3, 0xec, 0x31, 0xcd, 0x4f, 0x8e, 0xf8, 0xe9,
-  0x3a, 0x39, 0xd1, 0xb5, 0x9d, 0x14, 0x1f, 0xd6, 0xc8, 0x70, 0x71, 0x98,
-  0xb3, 0x8c, 0xad, 0xa5, 0x45, 0x1b, 0xdb, 0xb4, 0x53, 0xd3, 0x72, 0xcb,
-  0xc1, 0xee, 0x58, 0x61, 0x0c, 0x34, 0xc8, 0x05, 0x1b, 0xb9, 0x92, 0x49,
-  0x3b, 0x77, 0xb8, 0x30, 0xd5, 0x26, 0xf2, 0x4f, 0x7a, 0x83, 0x5a, 0x3d,
-  0x82, 0x80, 0x18, 0xe3, 0x75, 0x96, 0x13, 0xc3, 0x9b, 0x15, 0x0d, 0xd2,
-  0x12, 0xff, 0xb3, 0xea, 0x57, 0x34, 0x70, 0x31, 0x60, 0x96, 0xcb, 0x5c,
-  0x16, 0x7f, 0x39, 0x0f, 0x3a, 0xa0, 0x65, 0x5b, 0xce, 0xe0, 0x35, 0xb6,
-  0x55, 0x68, 0xe7, 0x98, 0xb6, 0x26, 0xc2, 0x73, 0x9c, 0xfc, 0x09, 0x6b,
-  0x40, 0x21, 0x5a, 0xd4, 0x72, 0xee, 0xbd, 0x91, 0xa2, 0x9d, 0xb3, 0x1e,
-  0x5e, 0x97, 0x4f, 0x9c, 0xd7, 0x21, 0x4f, 0xf8, 0x59, 0x7e, 0x93, 0x16,
-  0x31, 0xcb, 0xab, 0x4b, 0x85, 0xf3, 0xd8, 0xe7, 0x85, 0x67, 0x9e, 0xfc,
-  0x92, 0x54, 0xca, 0x8c, 0xfa, 0xa9, 0x9f, 0xf1, 0x37, 0xf1, 0x43, 0x3a,
-  0x5b, 0xce, 0xc4, 0x9e, 0x2d, 0x26, 0x00, 0x7d, 0x32, 0xf2, 0xbe, 0x39,
-  0xe2, 0x87, 0xd9, 0x7d, 0xed, 0x98, 0xd7, 0x2c, 0xca, 0xce, 0xaa, 0x8f,
-  0x39, 0xf1, 0x77, 0x24, 0xb5, 0x0d, 0x54, 0xdb, 0x53, 0x73, 0xdb, 0x8c,
-  0x7d, 0x3e, 0x72, 0x67, 0x07, 0xed, 0x44, 0x8b, 0x9b, 0xb8, 0x48, 0x98,
-  0x85, 0xd1, 0xcd, 0xda, 0x36, 0x55, 0x12, 0xde, 0x0a, 0xf7, 0x46, 0xd2,
-  0xe0, 0xd7, 0xb4, 0x99, 0x24, 0x38, 0xe3, 0x82, 0xa6, 0xe5, 0x45, 0x3c,
-  0x80, 0x5c, 0x79, 0x2d, 0x36, 0x86, 0x19, 0xdd, 0xba, 0xb3, 0xf8, 0x01,
-  0xab, 0x62, 0x42, 0xdc, 0x6f, 0x45, 0xc9, 0x2a, 0x1b, 0x07, 0x9b, 0x50,
-  0x93, 0x65, 0x5e, 0x42, 0x10, 0x61, 0xc9, 0xbc, 0xbe, 0x09, 0xce, 0x60,
-  0x94, 0x29, 0x8f, 0xc5, 0x93, 0xce, 0x2c, 0x6e, 0xb7, 0x9d, 0x98, 0xf3,
-  0xd9, 0x0e, 0x6b, 0x22, 0x57, 0x7c, 0x05, 0xeb, 0x7a, 0x53, 0x80, 0x5d,
-  0x4c, 0x13, 0xd0, 0x90, 0x53, 0xd2, 0x06, 0xea, 0xad, 0x92, 0x46, 0x8a,
-  0xa8, 0xd2, 0x4c, 0x45, 0x4d, 0x8a, 0x27, 0x6d, 0x7a, 0x6a, 0x1c, 0x48,
-  0x8b, 0x18, 0x5d, 0x0c, 0xa3, 0x25, 0xf3, 0xa9, 0x58, 0x5b, 0x73, 0xcd,
-  0x79, 0x5d, 0x0b, 0xef, 0xd6, 0x9a, 0x33, 0x63, 0x06, 0x28, 0x65, 0xb3,
-  0xd8, 0x82, 0x5a, 0x3a, 0xf7, 0x62, 0x24, 0xf3, 0xcf, 0xdb, 0x79, 0x76,
-  0x4f, 0xda, 0xe6, 0x3c, 0x93, 0xbe, 0x6c, 0x7d, 0x79, 0xec, 0x0d, 0x6e,
-  0x94, 0xe8, 0x8d, 0xd3, 0x78, 0xb2, 0x74, 0xf2, 0x92, 0xd0, 0x9c, 0x49,
-  0xcd, 0x36, 0xd0, 0x56, 0xbb, 0xa3, 0x4a, 0xcf, 0xa1, 0xfb, 0x37, 0x29,
-  0x43, 0x21, 0xde, 0x34, 0x2b, 0xe7, 0xfb, 0x9a, 0xc4, 0xc5, 0x4d, 0x2f,
-  0xea, 0xf4, 0x3b, 0xbd, 0x16, 0x8a, 0xab, 0xcb, 0xc6, 0x36, 0x2e, 0x27,
-  0x2c, 0xb5, 0xcb, 0xe9, 0xaa, 0xa8, 0xeb, 0x38, 0x99, 0x78, 0x48, 0xac,
-  0xeb, 0x42, 0xa7, 0x57, 0xcb, 0x27, 0x5f, 0xf8, 0xbe, 0x31, 0xa1, 0xc7,
-  0xfb, 0x9b, 0x6c, 0xda, 0x7a, 0x82, 0x02, 0x55, 0x3d, 0xe3, 0x66, 0x60,
-  0x3d, 0x64, 0x17, 0x30, 0x4b, 0xd2, 0x35, 0x26, 0x12, 0x8d, 0xa7, 0x49,
-  0x9c, 0x4f, 0x57, 0xaa, 0xc5, 0xd5, 0x4f, 0xd0, 0x9d, 0x4c, 0x85, 0x6d,
-  0xbc, 0x31, 0x51, 0x67, 0x3e, 0xe7, 0xf5, 0x55, 0xb7, 0x56, 0x32, 0x91,
-  0xa0, 0x89, 0x52, 0x4c, 0xf9, 0xba, 0x6a, 0xa2, 0x46, 0xdc, 0xa5, 0x6c,
-  0x35, 0x6a, 0xac, 0x76, 0x92, 0x4c, 0x46, 0xf1, 0xf8, 0x16, 0x2b, 0x8d,
-  0x36, 0xc5, 0x75, 0xc5, 0xe7, 0xcf, 0x19, 0x9a, 0x88, 0x94, 0x6f, 0xe8,
-  0xe0, 0x15, 0x69, 0xb9, 0x8c, 0xd7, 0x9d, 0xd8, 0xaa, 0xd0, 0xfe, 0xc1,
-  0x43, 0x5b, 0xa5, 0xe5, 0x36, 0xdd, 0x79, 0xcd, 0x91, 0x3e, 0xc4, 0x91,
-  0x26, 0xd1, 0x6c, 0xbe, 0x24, 0xd9, 0x9d, 0xd8, 0x6a, 0x76, 0x75, 0x45,
-  0x04, 0xf2, 0x45, 0xc3, 0x74, 0x20, 0x8f, 0x6c, 0x5f, 0x68, 0x20, 0x95,
-  0x3b, 0x62, 0x55, 0xf7, 0x2f, 0x5f, 0xd8, 0xb2, 0x4a, 0xd7, 0x29, 0xef,
-  0x45, 0x24, 0xcd, 0x35, 0x4d, 0x66, 0xf5, 0x27, 0x22, 0xbf, 0xbe, 0xe2,
-  0x23, 0x09, 0xc2, 0xb0, 0x46, 0x2b, 0x51, 0xaa, 0xe3, 0xb2, 0x1e, 0xfd,
-  0x61, 0x4c, 0xfa, 0x36, 0x5d, 0x2c, 0x78, 0xb3, 0x10, 0xa0, 0xe1, 0x4c,
-  0x3c, 0xdc, 0xda, 0x28, 0xb9, 0x4e, 0xe7, 0xf3, 0x30, 0x54, 0x26, 0x5b,
-  0xe6, 0x63, 0xa7, 0xc0, 0x8e, 0x12, 0x3a, 0x1f, 0xf5, 0xe6, 0xcc, 0x24,
-  0xe1, 0x9d, 0xa8, 0x6a, 0xc2, 0x99, 0x20, 0xea, 0xc6, 0xd8, 0xcf, 0xc9,
-  0x95, 0xec, 0x09, 0x54, 0x0c, 0xb5, 0x88, 0xb5, 0x1d, 0x99, 0xd7, 0xde,
-  0xee, 0x63, 0xae, 0x8d, 0xe1, 0xc9, 0xff, 0x3c, 0xf6, 0x0e, 0x6f, 0x33,
-  0x42, 0x90, 0x16, 0xc3, 0xd4, 0xdd, 0x20, 0x87, 0x77, 0x74, 0xd7, 0x77,
-  0xfa, 0x87, 0x51, 0xbf, 0x83, 0x81, 0x54, 0x3c, 0x17, 0xcb, 0x32, 0xa3,
-  0xe3, 0xad, 0xa1, 0x01, 0x88, 0xee, 0x62, 0x7a, 0x63, 0xdd, 0x2a, 0x4f,
-  0xb6, 0xc5, 0xff, 0x93, 0x35, 0xf8, 0x15, 0xb6, 0x50, 0x16, 0xdb, 0x66,
-  0x09, 0x33, 0x54, 0xa9, 0x6e, 0x13, 0xb1, 0x60, 0xc8, 0xfe, 0x88, 0x9b,
-  0x71, 0x1b, 0xea, 0xb1, 0xb8, 0xcc, 0x9b, 0xaa, 0x82, 0x1a, 0x8a, 0xc5,
-  0x2d, 0xd8, 0xc2, 0x02, 0x7e, 0xbb, 0x1b, 0xa8, 0x2f, 0xdc, 0x82, 0xd4,
-  0x84, 0xbc, 0x3e, 0x8e, 0x8a, 0xcf, 0x87, 0x48, 0xfa, 0x6f, 0x24, 0xd3,
-  0xd4, 0x4c, 0x1e, 0xe6, 0xd6, 0xea, 0x55, 0xa3, 0x37, 0xa4, 0xcd, 0x36,
-  0x2b, 0x07, 0x5d, 0xd0, 0x24, 0x12, 0xc5, 0x1c, 0x9a, 0xc2, 0xa6, 0x12,
-  0xf6, 0x77, 0xab, 0xb4, 0x19, 0xdd, 0xa4, 0x34, 0xf6, 0x7c, 0x7c, 0xb3,
-  0xe2, 0xeb, 0x82, 0x0d, 0x90, 0xec, 0xbc, 0xb9, 0xf4, 0xb3, 0xac, 0xb3,
-  0x2d, 0xf4, 0xa1, 0x56, 0xc1, 0x94, 0x35, 0x06, 0xd6, 0x87, 0xb2, 0xb9,
-  0xd1, 0x4f, 0x6d, 0x7c, 0x44, 0x16, 0x37, 0x4c, 0xb4, 0xc9, 0x94, 0x25,
-  0x00, 0x5a, 0xc0, 0xb6, 0xd1, 0xf5, 0xb3, 0x80, 0x83, 0x63, 0xdb, 0xe8,
-  0x7e, 0xa1, 0xc6, 0x99, 0x13, 0x8a, 0x01, 0x4b, 0xba, 0x62, 0x2b, 0xac,
-  0xf4, 0x46, 0x97, 0xd1, 0x94, 0x2f, 0xc4, 0x55, 0xad, 0x39, 0xf5, 0x49,
-  0xe9, 0xeb, 0xb6, 0xf6, 0xe6, 0x93, 0xaa, 0x6f, 0xe7, 0x65, 0xa6, 0x5f,
-  0xd9, 0xd5, 0x67, 0xab, 0x22, 0x3a, 0x55, 0x5d, 0xab, 0x97, 0xe0, 0x54,
-  0xc4, 0xf7, 0xf4, 0xfb, 0x57, 0x65, 0xc3, 0xca, 0x19, 0x6c, 0x69, 0x75,
-  0xa7, 0xa7, 0x57, 0xf0, 0xe9, 0x6d, 0x31, 0xf7, 0x21, 0x4a, 0x29, 0xa3,
-  0xd3, 0xd7, 0x4c, 0x6d, 0x87, 0x17, 0xf4, 0x33, 0x35, 0xa7, 0x1e, 0xb3,
-  0x75, 0x04, 0x99, 0xb2, 0x42, 0xfe, 0xe6, 0xbb, 0x61, 0xb4, 0x79, 0x36,
-  0xdc, 0x7e, 0xf2, 0x62, 0x67, 0xab, 0xde, 0x16, 0xaf, 0x14, 0x24, 0x96,
-  0x56, 0xa3, 0xed, 0x70, 0x9b, 0x03, 0x6a, 0xb7, 0x10, 0xf6, 0x7c, 0xc7,
-  0x4a, 0x6f, 0xc5, 0xcc, 0x72, 0x7e, 0xfc, 0xc6, 0xec, 0x61, 0xd8, 0xad,
-  0x38, 0x3a, 0xa4, 0xf1, 0xb0, 0x2d, 0xbf, 0x49, 0x38, 0x17, 0xc9, 0x9d,
-  0x59, 0xd5, 0x4e, 0x59, 0xe1, 0xc1, 0xa9, 0x60, 0xab, 0x9d, 0xa9, 0x87,
-  0x8b, 0x84, 0x39, 0x81, 0x7f, 0x5f, 0x59, 0x1b, 0xe4, 0x84, 0xe6, 0x69,
-  0x1d, 0x41, 0x46, 0x2d, 0x68, 0x48, 0x39, 0x64, 0x7f, 0x0e, 0x99, 0x98,
-  0xfc, 0x7e, 0x27, 0xcc, 0xd6, 0xe4, 0xc0, 0x9c, 0xbd, 0xf0, 0xf5, 0x7e,
-  0x16, 0xf8, 0x5f, 0x27, 0x6c, 0x71, 0x62, 0x23, 0xc9, 0xcb, 0x47, 0x2c,
-  0xe0, 0x24, 0xb4, 0xaa, 0xc4, 0x9d, 0x44, 0xc1, 0xe5, 0x84, 0xf7, 0x60,
-  0x9f, 0x46, 0xfc, 0x83, 0x79, 0x6e, 0x02, 0x0b, 0x79, 0xab, 0xf8, 0xdd,
-  0x73, 0x71, 0x7c, 0xb8, 0xc9, 0xe2, 0x95, 0xac, 0x58, 0x1c, 0x8d, 0xf2,
-  0xec, 0x9e, 0x03, 0x88, 0x25, 0x04, 0x41, 0x68, 0x8f, 0xad, 0x15, 0x88,
-  0x2a, 0x66, 0x31, 0xbb, 0x7e, 0x3d, 0xd3, 0x9c, 0xc5, 0x45, 0xc3, 0xe2,
-  0xc1, 0x37, 0x97, 0x6f, 0x4e, 0xb1, 0xad, 0xd0, 0x60, 0x44, 0xfb, 0x91,
-  0x13, 0x5a, 0x2c, 0x47, 0x24, 0xdb, 0xf3, 0xdd, 0x5f, 0x3a, 0xb3, 0x4b,
-  0x18, 0x03, 0x6c, 0x94, 0x1b, 0x23, 0x30, 0x4a, 0x79, 0xf1, 0xa2, 0xcd,
-  0xea, 0xaf, 0x8c, 0xdf, 0xcc, 0xb3, 0xd8, 0x4c, 0x12, 0x71, 0x48, 0x8f,
-  0x59, 0x2d, 0xea, 0x94, 0x43, 0x5a, 0xf9, 0x54, 0x4d, 0x24, 0xdb, 0x0f,
-  0x7d, 0x52, 0xdc, 0xfb, 0x3c, 0xb8, 0x3e, 0x35, 0x2f, 0x7e, 0x4d, 0xf6,
-  0x0e, 0x1f, 0x92, 0x28, 0xcc, 0x84, 0x42, 0xcd, 0xf7, 0x5f, 0xd3, 0x4e,
-  0xf0, 0x13, 0x8d, 0xdd, 0xf3, 0x7b, 0xe4, 0x6f, 0x55, 0x2c, 0x1d, 0x44,
-  0x5b, 0xf9, 0x4a, 0x0c, 0x75, 0x03, 0x9c, 0x66, 0x0e, 0xaa, 0x56, 0xff,
-  0x02, 0xf1, 0xf1, 0x69, 0x9d, 0x3b, 0xb0, 0xf1, 0x38, 0x5f, 0x49, 0x20,
-  0x83, 0xda, 0x76, 0xcd, 0xc7, 0xe5, 0xcc, 0x9c, 0xd2, 0xa6, 0x3c, 0xe9,
-  0xad, 0xc9, 0x19, 0xab, 0xea, 0xf5, 0xf3, 0xae, 0x4e, 0x5a, 0x7e, 0xed,
-  0x2e, 0x9e, 0x2e, 0xa1, 0xbd, 0xc6, 0xb2, 0x0f, 0xe2, 0xf5, 0x45, 0x14,
-  0x61, 0xbc, 0x42, 0xe3, 0xda, 0xb0, 0x5b, 0x83, 0x56, 0x59, 0x89, 0xc3,
-  0x4c, 0xe4, 0x7a, 0x2f, 0x12, 0x17, 0x81, 0x60, 0x67, 0xa0, 0x6a, 0xe9,
-  0xb4, 0xc8, 0x52, 0x8b, 0x34, 0xa8, 0x0f, 0xce, 0x45, 0x1e, 0xf4, 0x02,
-  0xa7, 0x4b, 0xca, 0xd7, 0x40, 0x40, 0xc6, 0x81, 0xef, 0x75, 0x96, 0xe4,
-  0xd7, 0x88, 0x9e, 0xca, 0x48, 0xda, 0x6b, 0xda, 0x74, 0xc4, 0x67, 0x17,
-  0xbb, 0xe8, 0x30, 0x08, 0xef, 0x7f, 0xec, 0x8b, 0x43, 0x04, 0xda, 0xe4,
-  0x92, 0xce, 0xa5, 0x49, 0xf5, 0xdd, 0xfe, 0x24, 0x52, 0xdf, 0xd2, 0x9c,
-  0x56, 0x82, 0xf6, 0xb1, 0x29, 0xe8, 0x4c, 0xa7, 0xaf, 0xa6, 0x24, 0x76,
-  0xad, 0xba, 0x91, 0x86, 0x2e, 0x69, 0x40, 0x4b, 0xa9, 0x76, 0x3a, 0x44,
-  0x61, 0x8c, 0x6f, 0x96, 0xf3, 0x5b, 0xb3, 0xcd, 0x4d, 0x49, 0xe8, 0x2e,
-  0x22, 0x44, 0xdf, 0xd7, 0x9a, 0xeb, 0x06, 0x9d, 0xfd, 0x31, 0x6c, 0xbb,
-  0x75, 0x95, 0x45, 0x79, 0xe0, 0x18, 0xca, 0xc0, 0x21, 0xe5, 0x2e, 0x2f,
-  0x89, 0x40, 0x8d, 0xbe, 0xec, 0x99, 0xeb, 0xb5, 0x0c, 0xfc, 0x00, 0x71,
-  0xf3, 0x1c, 0x7a, 0xc5, 0x03, 0x0e, 0x04, 0xd7, 0xa0, 0x38, 0x6d, 0x88,
-  0x97, 0xf7, 0xcd, 0xdf, 0xe8, 0x55, 0x46, 0xe7, 0x6f, 0x68, 0xbb, 0x0d,
-  0x85, 0xde, 0xbd, 0x6f, 0xcf, 0x25, 0x38, 0xe0, 0xbc, 0x15, 0x26, 0xff,
-  0xa1, 0x6b, 0x98, 0xeb, 0xf4, 0x2a, 0x6c, 0x8a, 0x93, 0x4c, 0xb3, 0xee,
-  0xc4, 0xbd, 0x09, 0xc3, 0x1c, 0x6b, 0xce, 0x7f, 0x23, 0x88, 0x41, 0x74,
-  0x9e, 0x49, 0x3c, 0x36, 0x46, 0xd1, 0xa6, 0x6e, 0xda, 0x7d, 0xc2, 0x93,
-  0x9e, 0x44, 0xdd, 0xab, 0x2c, 0x1b, 0xc5, 0x79, 0x57, 0xb7, 0x10, 0x7e,
-  0xe8, 0x91, 0x5a, 0xd9, 0x34, 0x06, 0x07, 0xd3, 0xf9, 0x92, 0x9e, 0xab,
-  0x53, 0xe8, 0x28, 0xae, 0xd8, 0x45, 0xc2, 0x73, 0xf7, 0x18, 0x47, 0xbe,
-  0x54, 0x15, 0xa4, 0x54, 0x13, 0x37, 0xa4, 0xec, 0x29, 0xa4, 0x97, 0x9a,
-  0xdb, 0x84, 0xbd, 0x76, 0xea, 0xfd, 0x5e, 0xe4, 0x8d, 0xee, 0x59, 0x20,
-  0x42, 0x0c, 0x2d, 0xd1, 0x56, 0x91, 0x25, 0x77, 0x61, 0x34, 0xf5, 0xef,
-  0x47, 0x2c, 0xbc, 0x6c, 0xb4, 0xa1, 0x47, 0xb8, 0x3f, 0x64, 0x1e, 0x2e,
-  0xe8, 0x5b, 0xe2, 0xd8, 0x22, 0x0b, 0xf9, 0x6e, 0xf0, 0xb8, 0x96, 0x40,
-  0x9c, 0x1e, 0xcf, 0x10, 0x11, 0x4f, 0x7a, 0x46, 0xe6, 0xc9, 0xbd, 0x3a,
-  0x0d, 0x99, 0xb9, 0xf2, 0x55, 0xc0, 0x7c, 0x5b, 0x4c, 0x5b, 0x63, 0x48,
-  0x1f, 0x85, 0xc5, 0x87, 0xd5, 0x95, 0x2b, 0x5e, 0x02, 0xec, 0xdc, 0xbf,
-  0x78, 0x29, 0x9b, 0x52, 0x09, 0x8f, 0x65, 0xc6, 0x86, 0x29, 0xd3, 0xf0,
-  0x1b, 0xeb, 0xc0, 0x51, 0x0f, 0x12, 0x9d, 0x8b, 0x80, 0x25, 0x59, 0xd4,
-  0xb8, 0xd0, 0x1c, 0x8e, 0x91, 0xac, 0x88, 0x63, 0xfe, 0x0d, 0x2a, 0x71,
-  0x4c, 0xf4, 0xd7, 0x10, 0x4a, 0xcf, 0x2d, 0xb0, 0xde, 0x68, 0x12, 0xa3,
-  0xad, 0x04, 0xea, 0xc2, 0xc4, 0xd2, 0x46, 0x48, 0x89, 0x84, 0xbb, 0xf1,
-  0x22, 0xc3, 0xb8, 0xe6, 0xe2, 0x99, 0x48, 0x75, 0x67, 0x5e, 0x5f, 0xf8,
-  0x63, 0x46, 0xf3, 0x1d, 0x54, 0x25, 0x8e, 0xcf, 0x07, 0x3b, 0x5b, 0x4d,
-  0xa1, 0x93, 0x68, 0xe3, 0xf0, 0xeb, 0x13, 0x18, 0x4d, 0xa7, 0x69, 0xcc,
-  0x19, 0x0d, 0xdc, 0x87, 0xcc, 0x45, 0xf3, 0x4b, 0x8c, 0x88, 0xae, 0xd9,
-  0xee, 0xe7, 0x98, 0x6f, 0x18, 0x63, 0xe7, 0xcc, 0x22, 0xbc, 0xd2, 0x9a,
-  0x9f, 0x13, 0x1b, 0x7b, 0xce, 0x24, 0xb2, 0x33, 0x36, 0xae, 0xe1, 0x42,
-  0x36, 0x62, 0xef, 0x08, 0x68, 0x5d, 0x3b, 0xf4, 0xce, 0xbc, 0x81, 0x9d,
-  0x9e, 0x31, 0xac, 0xa8, 0xb4, 0x5c, 0x60, 0x5a, 0x0d, 0x2b, 0xad, 0xdf,
-  0x64, 0x49, 0xd9, 0x49, 0x8a, 0xfd, 0x8d, 0x86, 0x95, 0x05, 0xdd, 0xb7,
-  0xe7, 0xbb, 0x39, 0x69, 0x44, 0x1c, 0xc9, 0xe8, 0xc4, 0xb3, 0xac, 0x50,
-  0xc8, 0x10, 0xb9, 0x86, 0xc5, 0x12, 0xac, 0x7f, 0x7b, 0x73, 0xd0, 0x65,
-  0xff, 0x93, 0x19, 0x22, 0x64, 0x4d, 0xa2, 0x70, 0x96, 0xa6, 0x2d, 0x93,
-  0x21, 0x6c, 0xcd, 0x42, 0xd8, 0xf8, 0xef, 0xb8, 0xe1, 0x65, 0x76, 0xa1,
-  0x3f, 0xab, 0xe8, 0x15, 0xf3, 0xef, 0x2f, 0xd5, 0xed, 0xcf, 0xc6, 0xe6,
-  0x50, 0x7b, 0x17, 0x2d, 0x53, 0x9d, 0xe0, 0x22, 0x9a, 0x60, 0x19, 0xda,
-  0x9b, 0x83, 0x03, 0x3e, 0x5c, 0x3d, 0x21, 0x3f, 0x0e, 0x4c, 0x2d, 0x24,
-  0x69, 0xab, 0xe1, 0xf2, 0x7c, 0xf5, 0xe1, 0xd5, 0xfb, 0xb5, 0xcb, 0xf7,
-  0xf8, 0xea, 0x5d, 0x22, 0xca, 0x98, 0x64, 0x04, 0x44, 0x97, 0xbc, 0x0a,
-  0xc2, 0x1d, 0x58, 0xbb, 0x97, 0x60, 0x3c, 0xef, 0x3f, 0xae, 0x1e, 0xcd,
-  0xc0, 0x44, 0xf3, 0xea, 0xb7, 0xda, 0x75, 0x10, 0x23, 0x5c, 0x32, 0x3c,
-  0xf8, 0xf6, 0xe6, 0x84, 0xed, 0x61, 0xef, 0xc3, 0x78, 0x43, 0xbd, 0x95,
-  0xd1, 0x02, 0xf5, 0x97, 0x3c, 0x2c, 0xd4, 0x44, 0x8d, 0xd3, 0xd7, 0x22,
-  0xcc, 0x55, 0x64, 0xba, 0x89, 0xdd, 0xa9, 0x8d, 0xf9, 0x7d, 0x69, 0x4c,
-  0xfc, 0x43, 0x93, 0xab, 0x04, 0x47, 0x20, 0x2c, 0x27, 0xbc, 0xd8, 0x2b,
-  0xa6, 0xa5, 0x16, 0x4b, 0x97, 0x71, 0x32, 0x1f, 0x00, 0x29, 0xf9, 0x11,
-  0xc6, 0xde, 0xb7, 0x7a, 0xd5, 0x35, 0x8b, 0x55, 0xec, 0xb5, 0x8d, 0x6e,
-  0x6f, 0x2e, 0x65, 0x85, 0xc9, 0xb6, 0x8f, 0x15, 0x97, 0xd6, 0xed, 0xfb,
-  0xbf, 0x6c, 0x8a, 0x62, 0xa3, 0x03, 0x35, 0x08, 0x39, 0xb0, 0x39, 0x53,
-  0xbd, 0x3a, 0xa4, 0xb6, 0xd1, 0xfd, 0x15, 0x71, 0xba, 0xe8, 0x1a, 0x26,
-  0x80, 0xfb, 0x89, 0x2d, 0x72, 0x6c, 0x6c, 0x9a, 0x42, 0x34, 0x4a, 0x25,
-  0xd6, 0xf9, 0x95, 0x57, 0x67, 0xfa, 0x08, 0xf4, 0x51, 0xaa, 0x1d, 0x80,
-  0x0e, 0x1f, 0x21, 0x56, 0x47, 0x9c, 0xed, 0x74, 0xb9, 0x96, 0x02, 0xcd,
-  0xa7, 0xdc, 0x7e, 0xdb, 0x49, 0x68, 0x42, 0x21, 0x4e, 0xf7, 0x23, 0x3c,
-  0xb8, 0xd6, 0xeb, 0x1e, 0x07, 0xdf, 0x34, 0x7d, 0x88, 0x76, 0xc9, 0xb1,
-  0x61, 0x14, 0x02, 0x27, 0x92, 0x0f, 0x68, 0xc5, 0xef, 0xb3, 0x5c, 0x83,
-  0xb4, 0x46, 0x09, 0xb8, 0x3e, 0x9f, 0xd1, 0x0c, 0x5e, 0x25, 0xb6, 0x71,
-  0x73, 0x60, 0x5c, 0x33, 0x64, 0x87, 0x6d, 0xd6, 0x08, 0x37, 0x80, 0x7d,
-  0xc3, 0x02, 0x7b, 0x9a, 0xa1, 0x3c, 0x6a, 0xa7, 0x42, 0x1e, 0x09, 0xcd,
-  0x75, 0xa9, 0xc1, 0xbd, 0xed, 0x0e, 0x3b, 0x44, 0xea, 0x4a, 0x3e, 0xaf,
-  0x2c, 0xa5, 0x11, 0x05, 0x0f, 0x31, 0x70, 0x34, 0x99, 0x3f, 0xfe, 0x11,
-  0xff, 0x3b, 0x5e, 0xf5, 0xd1, 0x82, 0x6c, 0x7c, 0xb1, 0x4c, 0x56, 0x95,
-  0x09, 0xfe, 0x1b, 0x36, 0x8a, 0x40, 0x0c, 0xca, 0xc6, 0x74, 0x4e, 0x72,
-  0xe4, 0x36, 0x36, 0x34, 0x35, 0x3a, 0x45, 0xb0, 0x58, 0x89, 0x57, 0x7a,
-  0x9c, 0x54, 0xf7, 0x1c, 0x91, 0xf9, 0xfd, 0x64, 0x91, 0x97, 0x2d, 0x71,
-  0xe2, 0x12, 0xea, 0xea, 0x53, 0x4f, 0xe4, 0x69, 0x71, 0x85, 0xfa, 0x70,
-  0xf4, 0xe3, 0xf3, 0x8b, 0x4b, 0x4c, 0xf4, 0x94, 0x7f, 0x51, 0xe3, 0x6d,
-  0x7d, 0x1c, 0x30, 0x3a, 0x68, 0x2c, 0x2a, 0x47, 0x80, 0x25, 0xb0, 0x7b,
-  0xb9, 0x7c, 0xa8, 0x41, 0x90, 0x54, 0xe5, 0xd2, 0x7d, 0xe2, 0xe9, 0x3d,
-  0x27, 0xcd, 0x40, 0xa2, 0x6b, 0xac, 0xad, 0x24, 0x5e, 0x59, 0x38, 0x02,
-  0x8f, 0xa1, 0x27, 0x77, 0x26, 0x46, 0x21, 0x16, 0x6b, 0xb3, 0x4b, 0x9d,
-  0xf1, 0x97, 0xec, 0xa2, 0x50, 0xd1, 0x7a, 0x8d, 0xab, 0xb6, 0x27, 0xf9,
-  0x04, 0xd3, 0x29, 0x9a, 0xe4, 0xb7, 0xa2, 0x1c, 0x69, 0x7a, 0x31, 0x8d,
-  0x63, 0xe0, 0xe7, 0x29, 0x5d, 0x88, 0x25, 0x8a, 0x68, 0x2f, 0xc8, 0xc9,
-  0x36, 0x05, 0x54, 0x82, 0xfb, 0x59, 0x0f, 0x13, 0xb1, 0x95, 0x9a, 0x41,
-  0x96, 0x0f, 0x26, 0xed, 0x12, 0xf7, 0xc4, 0xbf, 0xcc, 0x3a, 0x3c, 0xdf,
-  0x80, 0x08, 0xa0, 0xe5, 0x14, 0x8a, 0x86, 0x01, 0x45, 0x23, 0xd6, 0xcd,
-  0xcb, 0x92, 0xac, 0x34, 0xf9, 0x42, 0x94, 0xf6, 0x2b, 0xb5, 0xe0, 0xc6,
-  0xd3, 0xb4, 0x5c, 0x89, 0xb0, 0x3f, 0x12, 0xc5, 0x41, 0x4d, 0x40, 0x6d,
-  0x11, 0xa3, 0xb4, 0xf0, 0x93, 0x54, 0xde, 0x92, 0x89, 0xea, 0xb6, 0x35,
-  0xc8, 0x71, 0x18, 0xa4, 0x31, 0x49, 0x42, 0x03, 0x13, 0x3c, 0xd3, 0x8b,
-  0x09, 0x72, 0x4b, 0x15, 0xe3, 0x88, 0xdb, 0x4c, 0xd3, 0x71, 0xca, 0xda,
-  0x92, 0x0e, 0x8f, 0x17, 0xac, 0xbe, 0x6f, 0x9c, 0x17, 0xa2, 0xa7, 0x62,
-  0x9e, 0x49, 0x3b, 0xcc, 0x33, 0x78, 0xda, 0x69, 0x2c, 0x29, 0x73, 0x55,
-  0xb2, 0x6c, 0x8c, 0xe8, 0x08, 0x5f, 0xf2, 0xbe, 0x62, 0x43, 0xe0, 0x67,
-  0x1a, 0xdf, 0x20, 0xc3, 0x54, 0xdc, 0xfb, 0x42, 0x5e, 0xa3, 0xe4, 0x26,
-  0xbe, 0x4b, 0xb3, 0x7c, 0x50, 0x49, 0x35, 0x6a, 0x5a, 0x0e, 0x0b, 0xa2,
-  0x89, 0xf1, 0x8d, 0x6c, 0x16, 0x1f, 0x72, 0x7e, 0x57, 0x83, 0x97, 0xa0,
-  0x9d, 0x69, 0xa2, 0x11, 0xb6, 0x08, 0xa6, 0x96, 0xf3, 0x6d, 0xb1, 0xcf,
-  0xc2, 0x7d, 0xd6, 0x88, 0xd3, 0x43, 0xa8, 0x95, 0xcb, 0x4b, 0xd1, 0x27,
-  0xe3, 0xe2, 0xae, 0xfd, 0xd4, 0x15, 0x77, 0xbf, 0xfe, 0xd4, 0x21, 0x60,
-  0x1a, 0x64, 0x75, 0x7c, 0x3e, 0xfc, 0x2e, 0x72, 0xde, 0x92, 0xb6, 0x68,
-  0x5e, 0x39, 0x70, 0x7e, 0x5e, 0x20, 0xbf, 0xe0, 0xd0, 0xfd, 0x8b, 0xa7,
-  0xce, 0x1d, 0x3a, 0xea, 0x5f, 0x4f, 0xda, 0xf9, 0xc1, 0xf0, 0xbb, 0xda,
-  0x19, 0xf3, 0x6e, 0x04, 0x4b, 0xe2, 0xa8, 0xcb, 0x03, 0x9c, 0x44, 0x95,
-  0x5b, 0x50, 0x1a, 0xb7, 0xf6, 0xd1, 0xe4, 0x57, 0xdc, 0xfd, 0x36, 0xe4,
-  0x47, 0xed, 0x3c, 0x46, 0x7e, 0xe1, 0xbe, 0xb5, 0x90, 0x1f, 0x4d, 0xbf,
-  0x41, 0x7e, 0xb6, 0xd6, 0xed, 0xf4, 0xb7, 0x8e, 0xfc, 0xca, 0xcc, 0xe8,
-  0x16, 0xa4, 0x17, 0x64, 0xb8, 0x35, 0x89, 0x2e, 0x20, 0xa5, 0x5a, 0x5c,
-  0x63, 0xbb, 0xe5, 0xfe, 0x7b, 0xc4, 0x0f, 0x68, 0x92, 0x9f, 0x64, 0x20,
-  0x07, 0x81, 0x92, 0xd5, 0xc4, 0x6f, 0x84, 0x6d, 0x6e, 0xb4, 0x86, 0xee,
-  0x07, 0x4e, 0x56, 0x09, 0xab, 0x75, 0x19, 0xbc, 0xc4, 0x74, 0x83, 0x09,
-  0x6a, 0xc4, 0x27, 0xb7, 0xab, 0xdd, 0x6c, 0xb4, 0xc8, 0x29, 0xb1, 0x46,
-  0x7a, 0xa7, 0x88, 0x09, 0x60, 0x2b, 0x38, 0xbd, 0x49, 0xad, 0x0c, 0x34,
-  0xfe, 0xba, 0x08, 0xe5, 0x3c, 0x1b, 0xae, 0x44, 0x82, 0x36, 0xd9, 0xd9,
-  0x5c, 0x3c, 0x00, 0x62, 0x23, 0x43, 0x30, 0x4b, 0x6c, 0xf1, 0x2c, 0x0e,
-  0x6c, 0x62, 0xee, 0xfc, 0x0d, 0xc0, 0x9a, 0xf0, 0x11, 0x02, 0x75, 0xab,
-  0x70, 0x10, 0x0e, 0x2b, 0x53, 0xfe, 0x03, 0x84, 0xbc, 0x35, 0x21, 0xaa,
-  0xbc, 0x1a, 0x92, 0x75, 0x26, 0x7c, 0xb7, 0x19, 0xa7, 0xa0, 0x7c, 0xb8,
-  0x16, 0x09, 0xdb, 0x58, 0x64, 0x38, 0xe6, 0x5c, 0x6e, 0x84, 0x85, 0x76,
-  0x26, 0xa1, 0x5f, 0xd4, 0x85, 0x34, 0x89, 0x11, 0x26, 0xce, 0x43, 0xa7,
-  0x47, 0xc3, 0x21, 0xc2, 0xf3, 0xeb, 0xe8, 0xca, 0x75, 0x34, 0xfa, 0x68,
-  0x29, 0x6f, 0x71, 0x14, 0x2d, 0x8c, 0x89, 0x79, 0xf2, 0x3b, 0x7a, 0x21,
-  0x13, 0x5a, 0x30, 0xe4, 0x29, 0x32, 0x61, 0x92, 0xf0, 0xb9, 0x2e, 0x6d,
-  0x4a, 0x76, 0x9f, 0x83, 0xc1, 0x2f, 0xf4, 0xe9, 0xf3, 0xf8, 0x3a, 0xe1,
-  0x64, 0x46, 0x71, 0x26, 0xf9, 0xa8, 0x23, 0xcd, 0x87, 0x6f, 0x4f, 0x9b,
-  0xba, 0xb4, 0x38, 0xd8, 0xd6, 0xb4, 0xa3, 0x4a, 0xa2, 0x11, 0x92, 0xc5,
-  0x7c, 0x9a, 0x91, 0x2c, 0x7e, 0x33, 0x34, 0xd9, 0x02, 0xa4, 0x2b, 0x31,
-  0xe0, 0x0e, 0xf9, 0x40, 0x8c, 0x4b, 0x9d, 0xbf, 0xb0, 0x73, 0xb9, 0x63,
-  0x03, 0x8c, 0xdc, 0x94, 0x9b, 0xd6, 0x52, 0x7e, 0xc6, 0x6b, 0xa5, 0x55,
-  0x9f, 0x34, 0x0f, 0x55, 0x4e, 0xa8, 0xc6, 0x0b, 0xf0, 0xf3, 0x38, 0x59,
-  0xc4, 0x3b, 0x49, 0xd0, 0xab, 0x93, 0x15, 0x09, 0x7e, 0x2c, 0x69, 0x9f,
-  0xea, 0xa8, 0xf6, 0xf5, 0x88, 0x88, 0x3e, 0x62, 0x63, 0xd2, 0x54, 0x2d,
-  0x65, 0x94, 0x16, 0xd2, 0x3d, 0x65, 0x9c, 0x90, 0xba, 0xb3, 0x81, 0xf5,
-  0x28, 0x97, 0xb8, 0xc2, 0xd6, 0x0b, 0x1e, 0x50, 0xcc, 0xba, 0x4e, 0x0a,
-  0xa0, 0x08, 0x37, 0xad, 0xdf, 0xd3, 0x6b, 0x9d, 0xcc, 0xaf, 0x39, 0x99,
-  0xf1, 0x65, 0x6b, 0xac, 0x54, 0x32, 0xf5, 0xe9, 0xbd, 0x16, 0x51, 0x39,
-  0xce, 0x57, 0x0b, 0x66, 0xfd, 0xf2, 0x9e, 0xf2, 0x23, 0xe6, 0xe1, 0x12,
-  0x37, 0x19, 0x64, 0x83, 0x0f, 0x5a, 0x82, 0x05, 0x5c, 0x87, 0x12, 0x52,
-  0x0a, 0x01, 0x80, 0x16, 0xac, 0x04, 0xf7, 0x90, 0xcf, 0xf8, 0xaa, 0x1d,
-  0x2d, 0xd3, 0xe9, 0x44, 0x42, 0xc7, 0x3c, 0x68, 0x48, 0xc3, 0x59, 0xc3,
-  0x0d, 0x15, 0x83, 0x6a, 0xb2, 0x10, 0x92, 0x7d, 0x11, 0x22, 0xb5, 0xc9,
-  0x71, 0xba, 0x73, 0x9a, 0xfb, 0x96, 0x09, 0xcd, 0xfa, 0x86, 0x26, 0x2a,
-  0xd4, 0xaf, 0xa9, 0xbb, 0x38, 0x9d, 0xe2, 0x0e, 0xa3, 0x66, 0xf2, 0xe5,
-  0x1c, 0xbd, 0x57, 0x57, 0xea, 0x2e, 0xcd, 0xb3, 0xf9, 0xac, 0x69, 0x07,
-  0xd9, 0xbc, 0x38, 0x19, 0x1e, 0x46, 0x67, 0xc3, 0xe8, 0xec, 0xed, 0xe9,
-  0x8f, 0x7c, 0xb8, 0x10, 0x71, 0x0c, 0x00, 0x0e, 0xee, 0x3a, 0x78, 0x31,
-  0xba, 0x8b, 0xf3, 0x14, 0x6a, 0x5d, 0x6f, 0x3d, 0x37, 0x14, 0x48, 0x08,
-  0x9c, 0x9f, 0x7b, 0xdb, 0x62, 0x1f, 0x1e, 0xc9, 0xb7, 0x16, 0x62, 0x04,
-  0x93, 0xb8, 0x48, 0x93, 0x5c, 0xec, 0xe1, 0x63, 0x4b, 0xe2, 0x5b, 0x36,
-  0x73, 0xca, 0xd8, 0x66, 0x16, 0x1e, 0x6b, 0x09, 0x64, 0xe3, 0x8b, 0x92,
-  0xba, 0xa7, 0x89, 0xd6, 0x22, 0x3b, 0x68, 0xa2, 0xd7, 0xa2, 0xff, 0xae,
-  0xf1, 0x49, 0x07, 0x91, 0xca, 0x2b, 0xbd, 0x7d, 0xd9, 0x34, 0x0f, 0x75,
-  0xdc, 0x49, 0xdf, 0xc7, 0xf3, 0x32, 0xcf, 0x16, 0xc4, 0xf3, 0xbf, 0x8e,
-  0x99, 0xe5, 0x61, 0xa6, 0x47, 0x71, 0x32, 0x6b, 0x44, 0x1f, 0x14, 0xd9,
-  0xf8, 0x36, 0x29, 0xd5, 0x23, 0xa2, 0x7f, 0x05, 0x29, 0x6b, 0xd0, 0x0b,
-  0x85, 0x6f, 0xf2, 0x82, 0x4e, 0xe8, 0x7a, 0x52, 0x02, 0x62, 0x92, 0xa3,
-  0xa1, 0x34, 0xcd, 0x93, 0x06, 0x05, 0x51, 0x0d, 0x4f, 0xe4, 0xd3, 0x84,
-  0xf7, 0x65, 0x6a, 0xf5, 0x80, 0xc4, 0xfe, 0x31, 0xdf, 0x34, 0xec, 0xc9,
-  0x7f, 0x19, 0xf8, 0xbf, 0x7f, 0xda, 0x37, 0x15, 0xf4, 0xe7, 0xf6, 0x65,
-  0x68, 0x86, 0xc8, 0x57, 0xaf, 0xf6, 0xa0, 0x2d, 0x0d, 0x9a, 0x63, 0xf6,
-  0x72, 0xdd, 0x72, 0x65, 0x59, 0x26, 0x9e, 0x86, 0xd6, 0xd1, 0x8a, 0xc2,
-  0xf7, 0x1f, 0x49, 0xc6, 0xc1, 0x50, 0x98, 0x4c, 0xd8, 0x9c, 0x25, 0x9e,
-  0xd1, 0xbd, 0x75, 0x7e, 0xfc, 0xe6, 0x91, 0xd0, 0x3a, 0x98, 0x26, 0x17,
-  0xaa, 0x77, 0x38, 0xad, 0x5f, 0xd2, 0x57, 0xdd, 0x48, 0x6b, 0x59, 0xbf,
-  0xb5, 0xe6, 0xfe, 0xbe, 0x64, 0x88, 0xa2, 0x89, 0xa6, 0x16, 0x64, 0x96,
-  0xbb, 0xea, 0x52, 0xe5, 0xeb, 0x89, 0xc1, 0x96, 0x98, 0x0e, 0xd8, 0x92,
-  0xa2, 0xe1, 0x36, 0xe9, 0x04, 0xf3, 0xe8, 0x68, 0x94, 0x96, 0xc6, 0xb1,
-  0x09, 0x3f, 0x46, 0xb2, 0x52, 0x74, 0x9b, 0xac, 0x5c, 0x00, 0xaf, 0x7d,
-  0xc6, 0x4b, 0xd0, 0x5c, 0x3b, 0x5d, 0x12, 0x24, 0x8b, 0xd3, 0x2f, 0x73,
-  0x56, 0xf6, 0xff, 0x10, 0x61, 0xff, 0x23, 0xdd, 0x56, 0x51, 0x22, 0xfb,
-  0x7d, 0x6e, 0xb4, 0xf4, 0xf0, 0x39, 0x9c, 0x6a, 0xde, 0x48, 0xb7, 0x71,
-  0xe0, 0x54, 0xd3, 0x55, 0x1b, 0xeb, 0x15, 0x14, 0x8d, 0x02, 0x4c, 0x4a,
-  0xb3, 0xee, 0x8b, 0xd2, 0x02, 0xc5, 0x11, 0x45, 0x3f, 0x4d, 0x47, 0x39,
-  0x42, 0x73, 0x44, 0x4e, 0x0a, 0x03, 0xe6, 0x1a, 0xa2, 0x8a, 0x27, 0x20,
-  0xb6, 0x22, 0xa5, 0xe3, 0x5b, 0x9c, 0x24, 0xe5, 0x58, 0xe1, 0x86, 0x9b,
-  0xe8, 0x27, 0xe0, 0x54, 0xda, 0x5d, 0x5d, 0xf7, 0x88, 0xcb, 0x98, 0x81,
-  0x69, 0x38, 0xe9, 0x22, 0x9d, 0x4b, 0xe0, 0x96, 0x44, 0xae, 0x05, 0x3c,
-  0xc8, 0x31, 0x21, 0x84, 0xfc, 0xbf, 0x3f, 0x3a, 0xb9, 0x50, 0x66, 0x39,
-  0x5a, 0xad, 0x49, 0xdd, 0x88, 0xb6, 0x93, 0x72, 0xbc, 0xbd, 0xb8, 0x4d,
-  0xb7, 0xe7, 0x45, 0x31, 0x19, 0x6d, 0x85, 0x09, 0xe5, 0x3c, 0x67, 0x0e,
-  0x42, 0x39, 0xff, 0xf6, 0x70, 0xf8, 0xc9, 0xee, 0x2e, 0xcb, 0xd2, 0x4b,
-  0x6a, 0x7a, 0x93, 0xd6, 0xa0, 0x91, 0x29, 0x57, 0xd0, 0xb2, 0xcf, 0x06,
-  0x45, 0xb6, 0x05, 0x05, 0xc0, 0x31, 0x5c, 0xac, 0x12, 0x02, 0x59, 0xe0,
-  0xc8, 0xd4, 0x3c, 0x32, 0xb6, 0x3f, 0xfe, 0x9e, 0xf1, 0x24, 0x42, 0x18,
-  0x88, 0x76, 0x88, 0x5e, 0xf2, 0xbf, 0x1f, 0x3c, 0xe2, 0x00, 0xa7, 0xa9,
-  0x6c, 0x09, 0xbf, 0xab, 0x42, 0x3e, 0x87, 0xe6, 0x4c, 0xa2, 0xf0, 0xeb,
-  0x3a, 0x5d, 0xb1, 0x99, 0x6c, 0xc0, 0xf3, 0xec, 0x45, 0x47, 0xc7, 0x17,
-  0x20, 0xc8, 0xe3, 0xb7, 0x5f, 0x43, 0x38, 0xe4, 0x5c, 0xbb, 0xeb, 0x79,
-  0xfa, 0x0b, 0x73, 0x3a, 0x6a, 0xb3, 0x90, 0x05, 0xe6, 0xbb, 0xcc, 0x9f,
-  0xd0, 0x5a, 0x73, 0xbc, 0x5e, 0xbc, 0x8a, 0x38, 0x63, 0xbf, 0xef, 0x32,
-  0xc5, 0xc2, 0x18, 0x0f, 0x0f, 0xc2, 0xd9, 0xfd, 0x46, 0x0c, 0x91, 0x51,
-  0x85, 0x88, 0xb9, 0x5c, 0xad, 0xda, 0x1c, 0xe7, 0x1c, 0x8f, 0x64, 0x57,
-  0x83, 0x44, 0x45, 0x32, 0x6d, 0xa8, 0x93, 0xc7, 0x43, 0xf1, 0x54, 0x07,
-  0x86, 0x64, 0xf8, 0x46, 0x6c, 0xae, 0xff, 0x7e, 0xb3, 0xd8, 0xaa, 0x31,
-  0x4f, 0xc7, 0x2e, 0xdf, 0x9a, 0x3e, 0x5e, 0x3d, 0xe2, 0x4d, 0x0d, 0x92,
-  0x27, 0x16, 0xbb, 0xe3, 0x61, 0xb9, 0x80, 0x58, 0xf1, 0x9e, 0x38, 0xa8,
-  0x2a, 0x4b, 0x4f, 0x7b, 0xaa, 0x32, 0xa7, 0x5e, 0x6a, 0x8d, 0xb4, 0xb1,
-  0x12, 0x36, 0x57, 0xb6, 0x88, 0x07, 0x6d, 0x36, 0x36, 0x15, 0xc3, 0x72,
-  0xb4, 0x52, 0xa8, 0x50, 0xd3, 0x94, 0x2e, 0xd4, 0x97, 0x1f, 0x75, 0x0f,
-  0x49, 0xa4, 0x7d, 0x7f, 0x78, 0xf0, 0xfe, 0xab, 0x77, 0x6f, 0x8f, 0x4e,
-  0x8f, 0xbb, 0x75, 0x8a, 0xbc, 0x12, 0xae, 0x8f, 0x1c, 0xdf, 0xa4, 0xec,
-  0xb9, 0xec, 0xf8, 0x30, 0xca, 0x12, 0xb7, 0x3b, 0x92, 0x5f, 0xf1, 0x1b,
-  0xc2, 0xb1, 0x75, 0xc1, 0xeb, 0xea, 0xcf, 0x72, 0x3e, 0x41, 0x02, 0x62,
-  0x30, 0x79, 0xcb, 0x39, 0x51, 0x37, 0x9b, 0x0d, 0xb0, 0x45, 0xdd, 0x65,
-  0xfa, 0xa3, 0xfb, 0x99, 0x44, 0xec, 0x00, 0x09, 0x24, 0x80, 0xc0, 0xaa,
-  0x88, 0xee, 0x88, 0x1c, 0x31, 0xcc, 0xc2, 0x88, 0xc6, 0xd3, 0xb2, 0xdd,
-  0x45, 0x25, 0xac, 0x81, 0x5b, 0x22, 0x4a, 0xee, 0xeb, 0x20, 0xc7, 0x79,
-  0xd9, 0xed, 0x45, 0x49, 0x0a, 0x97, 0x5d, 0x18, 0xc2, 0x35, 0x69, 0x4d,
-  0xc3, 0xe1, 0xb0, 0xca, 0x58, 0xe8, 0x7a, 0x90, 0x3c, 0x24, 0x88, 0x02,
-  0xd1, 0xb7, 0x0e, 0x61, 0x04, 0x2e, 0xa3, 0xef, 0xb3, 0x1c, 0xe9, 0xfd,
-  0x47, 0x16, 0x87, 0x69, 0x0f, 0xc5, 0xf3, 0x55, 0xd3, 0xc3, 0xcb, 0x1a,
-  0x11, 0x6b, 0x05, 0xd7, 0x82, 0xd7, 0x78, 0x7e, 0x70, 0xf9, 0x4d, 0x6b,
-  0xb0, 0x82, 0x47, 0x6d, 0xfc, 0xf0, 0x6d, 0x03, 0x36, 0x5a, 0xae, 0x8d,
-  0xf3, 0xfc, 0xc0, 0x55, 0x53, 0x3d, 0x44, 0xb5, 0xdb, 0xa6, 0x45, 0x4a,
-  0xe5, 0xde, 0xd7, 0xde, 0x37, 0xad, 0x44, 0x69, 0x97, 0x0d, 0xdf, 0x35,
-  0x6b, 0xaf, 0x9a, 0xd6, 0x9b, 0xc6, 0x66, 0xcb, 0x67, 0xd5, 0x5d, 0x34,
-  0x76, 0xd3, 0xfc, 0x9f, 0x71, 0xd5, 0xc4, 0x38, 0x3d, 0x35, 0x1e, 0xea,
-  0x83, 0x76, 0xdb, 0xb9, 0xa9, 0xb2, 0xd3, 0x8f, 0xe4, 0xa7, 0x3e, 0x02,
-  0xb8, 0xc1, 0x60, 0x84, 0xc5, 0xca, 0x55, 0x95, 0x98, 0xca, 0x5a, 0x09,
-  0xf4, 0x6c, 0xe5, 0x88, 0x3d, 0x93, 0xbf, 0xea, 0x9b, 0xe5, 0x7a, 0x92,
-  0xf7, 0x58, 0x9b, 0x40, 0xc8, 0x3a, 0xf3, 0x8b, 0x3c, 0x1b, 0x4b, 0xb2,
-  0x56, 0x10, 0x59, 0xf8, 0x3e, 0x4f, 0x6e, 0xe2, 0xe2, 0x26, 0x5a, 0x96,
-  0x29, 0x5b, 0xcc, 0xeb, 0x3a, 0xc0, 0x92, 0xc3, 0x0b, 0x4d, 0xf5, 0xb7,
-  0x94, 0x40, 0x4d, 0x6d, 0x77, 0x6b, 0x07, 0x64, 0x46, 0x51, 0x7d, 0x82,
-  0x98, 0x2b, 0x56, 0xee, 0xeb, 0x6a, 0xeb, 0xf0, 0xb4, 0x1f, 0x42, 0xc2,
-  0xcd, 0x38, 0x97, 0x13, 0x66, 0xfb, 0xe4, 0x8a, 0xa6, 0x9b, 0x06, 0x69,
-  0x82, 0x4b, 0xd7, 0x05, 0xae, 0xb8, 0xf4, 0xaa, 0xcd, 0x38, 0x65, 0xdf,
-  0x82, 0x9d, 0xe8, 0xe5, 0x53, 0x08, 0x68, 0x5c, 0xfd, 0xe6, 0xf9, 0xfd,
-  0x28, 0xe8, 0x8a, 0x8d, 0x91, 0x44, 0xc5, 0xed, 0xf6, 0x9c, 0xd7, 0x9c,
-  0x65, 0x52, 0xb0, 0x97, 0x97, 0xa7, 0xb6, 0xc9, 0x28, 0x49, 0x82, 0xc1,
-  0xc5, 0x56, 0xbf, 0xe9, 0x74, 0x8b, 0x65, 0x76, 0xcb, 0x81, 0x43, 0xea,
-  0x49, 0xa1, 0xf9, 0x62, 0x4d, 0x19, 0xc5, 0x70, 0x9b, 0x10, 0xf1, 0x05,
-  0x27, 0x26, 0xfc, 0x1a, 0x6a, 0xdf, 0x05, 0x22, 0x2b, 0xb1, 0x56, 0x3a,
-  0xa5, 0xc1, 0x97, 0x93, 0x44, 0xf1, 0xfb, 0xea, 0x8c, 0x4e, 0x90, 0x5c,
-  0xd5, 0x84, 0x4d, 0x7d, 0x9e, 0xcc, 0xcd, 0x21, 0x28, 0x61, 0x12, 0x50,
-  0x87, 0xe2, 0xa8, 0x62, 0x63, 0x92, 0xd7, 0x8a, 0x96, 0x5b, 0x77, 0x92,
-  0x4c, 0x53, 0x3c, 0xc0, 0x30, 0xb1, 0x9a, 0x09, 0xa8, 0x8a, 0x8b, 0x24,
-  0x0c, 0xaa, 0x13, 0x18, 0xd1, 0xb3, 0xf6, 0x00, 0x87, 0x7a, 0x41, 0xbb,
-  0x2a, 0xea, 0xcd, 0x6d, 0x4a, 0x02, 0x18, 0xf0, 0x1b, 0x45, 0x4f, 0xb4,
-  0x68, 0x25, 0x1e, 0xd8, 0xca, 0x41, 0xf2, 0x6e, 0xe9, 0x95, 0x06, 0x0b,
-  0x96, 0xaa, 0x48, 0x8b, 0xbc, 0xa1, 0x67, 0xb3, 0x6b, 0x55, 0x08, 0x53,
-  0x40, 0x95, 0xb1, 0x01, 0xa5, 0x1c, 0x81, 0xb8, 0x0c, 0xd3, 0x1a, 0x25,
-  0xf9, 0x67, 0x6f, 0x6f, 0x8d, 0xd1, 0x57, 0x73, 0x90, 0x35, 0x48, 0x83,
-  0x17, 0xa3, 0x5f, 0xc4, 0x57, 0x89, 0x9d, 0x45, 0xa2, 0x63, 0x16, 0x19,
-  0xb3, 0x31, 0x2d, 0xa1, 0x44, 0x38, 0xe1, 0xb3, 0x79, 0xd6, 0x74, 0x89,
-  0x2d, 0xc7, 0x7c, 0x14, 0xd9, 0x00, 0xe0, 0xcc, 0x98, 0xec, 0x8a, 0x36,
-  0x6f, 0x7f, 0x31, 0x4d, 0x17, 0xcc, 0xda, 0xf3, 0x6c, 0x79, 0x7d, 0xc3,
-  0x81, 0x67, 0xe0, 0x2b, 0x72, 0xc1, 0xb6, 0x38, 0x36, 0x6a, 0xa9, 0xd2,
-  0x90, 0x67, 0xef, 0xb2, 0x29, 0x9b, 0x35, 0x37, 0x6b, 0xed, 0x3f, 0xdd,
-  0xd9, 0xc5, 0x70, 0x9f, 0xee, 0x7c, 0x56, 0x89, 0x76, 0x67, 0x73, 0x7a,
-  0x3c, 0x46, 0x2e, 0x4c, 0xf4, 0x13, 0x5f, 0x1e, 0x3f, 0xb7, 0xfa, 0x62,
-  0x60, 0x97, 0x8d, 0xe7, 0xa1, 0x1d, 0x36, 0x2e, 0x6e, 0xc5, 0x55, 0xd0,
-  0xb1, 0xf7, 0xf9, 0xf5, 0x8e, 0x5a, 0x33, 0x9c, 0xdf, 0xb8, 0x05, 0xed,
-  0xc7, 0xa9, 0xbc, 0x9c, 0xdb, 0x68, 0x2c, 0x0a, 0xd2, 0x7a, 0x2f, 0xc0,
-  0x06, 0x04, 0xf8, 0x00, 0x30, 0x0a, 0xaf, 0xd6, 0x5b, 0x66, 0x0e, 0x0e,
-  0x0f, 0xbd, 0xd7, 0xae, 0x1a, 0x17, 0xf6, 0x84, 0xe3, 0xc2, 0xd6, 0x25,
-  0x4b, 0xd5, 0x8e, 0x3f, 0xc0, 0x65, 0x7a, 0x1a, 0x84, 0x0d, 0x83, 0x79,
-  0x25, 0x3f, 0xd7, 0x8c, 0x92, 0x0d, 0x02, 0x83, 0x91, 0x72, 0x59, 0x24,
-  0xf5, 0x15, 0x5d, 0x9f, 0x79, 0x52, 0x07, 0x1e, 0xd3, 0x35, 0xd5, 0xd4,
-  0x07, 0x36, 0x78, 0x6e, 0xfb, 0x84, 0x35, 0x08, 0x7e, 0x88, 0xd4, 0x8d,
-  0xc5, 0x7d, 0xdf, 0x88, 0x2c, 0x72, 0x48, 0x61, 0xe2, 0xf9, 0x86, 0xdf,
-  0xe7, 0x01, 0xa9, 0xd3, 0xf3, 0x20, 0xa4, 0x5c, 0x67, 0x56, 0xd2, 0x22,
-  0xc5, 0xf9, 0xc4, 0x39, 0x65, 0x9a, 0x70, 0x1d, 0x26, 0x65, 0x73, 0x9e,
-  0x0e, 0x43, 0xda, 0x84, 0x60, 0x26, 0xe6, 0xc7, 0xf2, 0x12, 0xa0, 0x05,
-  0x76, 0x37, 0xf1, 0x5e, 0x2b, 0xd9, 0x1a, 0xd1, 0x2c, 0x95, 0x30, 0xd0,
-  0x20, 0xf5, 0xa3, 0xbe, 0x60, 0x7a, 0xc2, 0x7e, 0x92, 0x9f, 0xed, 0x34,
-  0x88, 0xc4, 0xb2, 0x3c, 0xe3, 0x54, 0x1c, 0xa4, 0x49, 0xc8, 0x2b, 0x92,
-  0xab, 0x2c, 0xb1, 0x7c, 0x1e, 0xf0, 0x85, 0xb1, 0x02, 0xe4, 0x7a, 0x60,
-  0xab, 0x47, 0x33, 0xc9, 0x6a, 0x73, 0xb8, 0x65, 0x06, 0x74, 0xdc, 0xbc,
-  0xda, 0x58, 0x9c, 0x5f, 0x2b, 0x8b, 0x72, 0x11, 0xa6, 0x41, 0x38, 0x99,
-  0xc6, 0x1a, 0xf4, 0x1b, 0xe6, 0x89, 0x6b, 0xd1, 0x17, 0x38, 0xd6, 0xe2,
-  0xae, 0x25, 0x42, 0x0f, 0x6a, 0xd1, 0xf8, 0x7e, 0xd2, 0x1e, 0xb0, 0x22,
-  0x37, 0xa7, 0x24, 0x25, 0xc4, 0x0e, 0x4b, 0xec, 0xf0, 0xfb, 0xa3, 0x20,
-  0x73, 0x91, 0x8f, 0x19, 0x26, 0x05, 0x42, 0x90, 0x88, 0xab, 0xf9, 0xba,
-  0xf8, 0x17, 0xd3, 0x13, 0x80, 0x1d, 0xfb, 0x1a, 0x50, 0xe0, 0xc9, 0xc2,
-  0xe5, 0x20, 0x01, 0x22, 0x46, 0xc0, 0x69, 0x18, 0x07, 0x16, 0x80, 0xaf,
-  0xb8, 0x3a, 0xd7, 0x8c, 0x4e, 0x03, 0x19, 0x06, 0x21, 0x76, 0x15, 0x72,
-  0xc5, 0x2e, 0x5e, 0x1f, 0xee, 0x7e, 0xf6, 0xe4, 0x73, 0x12, 0xd2, 0x57,
-  0x48, 0x1b, 0xf2, 0x4b, 0x26, 0x01, 0xae, 0xeb, 0x23, 0x9b, 0xd4, 0xaa,
-  0x64, 0x02, 0xa6, 0xfa, 0xf3, 0x89, 0xf9, 0x65, 0xf7, 0x09, 0x64, 0x1e,
-  0xf5, 0x19, 0x36, 0x22, 0xa7, 0x32, 0x5a, 0x44, 0x03, 0x13, 0x15, 0x1c,
-  0x49, 0xac, 0x93, 0x5c, 0xa9, 0x83, 0x80, 0x32, 0x19, 0x63, 0x97, 0xf3,
-  0xe6, 0x88, 0x85, 0x5e, 0x1c, 0x5f, 0x5e, 0x30, 0xea, 0xfd, 0xe5, 0xd9,
-  0xc5, 0x9a, 0x70, 0x34, 0xba, 0x38, 0x99, 0x2b, 0xf1, 0xa2, 0x31, 0xd1,
-  0x30, 0xfc, 0x80, 0x29, 0x56, 0x41, 0x56, 0x06, 0x6f, 0x41, 0x2c, 0xf0,
-  0xc4, 0x45, 0x6b, 0x36, 0x40, 0x90, 0x14, 0x50, 0x54, 0xd0, 0x37, 0xe8,
-  0x28, 0xd1, 0x39, 0x79, 0x6c, 0x62, 0xb2, 0xe7, 0x8f, 0x53, 0x08, 0x26,
-  0xcc, 0xc4, 0xc8, 0x33, 0x76, 0xfe, 0x1c, 0x8c, 0x56, 0x61, 0x07, 0xbd,
-  0x0c, 0xa8, 0xf7, 0xd2, 0x1a, 0x0a, 0x11, 0xb2, 0x4a, 0x8a, 0xc0, 0x6e,
-  0x28, 0xaa, 0x7c, 0xc7, 0xbc, 0xdf, 0x1d, 0x96, 0xe0, 0x6f, 0x1d, 0xbc,
-  0xc5, 0x07, 0xe8, 0x97, 0xe4, 0x86, 0x2d, 0x3f, 0x61, 0x46, 0x18, 0xc4,
-  0xf9, 0x14, 0x01, 0xcf, 0x71, 0x9d, 0x42, 0x53, 0xb3, 0x53, 0x09, 0x40,
-  0x68, 0x06, 0x64, 0xb8, 0x3c, 0x03, 0xde, 0xe5, 0xae, 0x73, 0xa2, 0x67,
-  0x4a, 0x1d, 0xb2, 0x2f, 0x24, 0xf4, 0x4c, 0x4b, 0x24, 0x70, 0x74, 0x6d,
-  0x54, 0x5d, 0x47, 0x6a, 0x15, 0xf6, 0xff, 0x6c, 0xb0, 0xbb, 0x55, 0x63,
-  0x32, 0x1c, 0x81, 0xd0, 0xce, 0x59, 0xd8, 0x11, 0x52, 0x8b, 0x7b, 0x10,
-  0xeb, 0x81, 0x06, 0xa3, 0xd3, 0x95, 0x60, 0xf8, 0x1e, 0xe7, 0xfa, 0x54,
-  0x2b, 0xb2, 0x0a, 0x2a, 0x1e, 0xb0, 0x55, 0xd7, 0xd1, 0xb6, 0x6e, 0xb9,
-  0x04, 0x05, 0x2c, 0xeb, 0xdc, 0xb4, 0xe2, 0xbe, 0x6f, 0xf2, 0x4f, 0x77,
-  0xff, 0x04, 0x29, 0xb4, 0xec, 0x04, 0xf7, 0x81, 0x17, 0x9a, 0x3c, 0x53,
-  0x99, 0xf9, 0xee, 0xaf, 0xb8, 0xf8, 0x1e, 0x0d, 0xa8, 0xfa, 0x55, 0xf1,
-  0x54, 0xd1, 0xbb, 0xb9, 0x06, 0x36, 0x71, 0xd0, 0x9f, 0x81, 0xed, 0xf8,
-  0x45, 0x25, 0xa6, 0x0c, 0x31, 0x06, 0x66, 0xee, 0xc6, 0x2d, 0x26, 0xc6,
-  0x4f, 0x5e, 0x23, 0xc9, 0xe8, 0x59, 0x16, 0x9a, 0x61, 0x6a, 0x77, 0x8c,
-  0xb6, 0xa8, 0xb1, 0xab, 0x82, 0x6a, 0xed, 0xe2, 0x01, 0x1a, 0x50, 0x68,
-  0xb9, 0xea, 0xe5, 0x8d, 0x93, 0x66, 0xbb, 0x87, 0x2d, 0x16, 0x0e, 0x08,
-  0x59, 0xd0, 0xb3, 0x8e, 0x52, 0xf4, 0x76, 0x89, 0x6b, 0xb0, 0xa8, 0x12,
-  0x09, 0xa7, 0x6f, 0x02, 0xe6, 0x89, 0xf2, 0x8a, 0xa0, 0x0f, 0x85, 0xc9,
-  0xa9, 0xc6, 0x4d, 0xd8, 0x3a, 0x37, 0x24, 0x2e, 0x7f, 0x5d, 0xf4, 0xcb,
-  0x0c, 0x51, 0x78, 0xd1, 0x4b, 0xed, 0xec, 0x8b, 0x76, 0x12, 0x45, 0xee,
-  0x52, 0x20, 0xef, 0x19, 0x34, 0x39, 0x70, 0x36, 0x87, 0x6a, 0xbd, 0xa4,
-  0xa1, 0x0c, 0x1d, 0xcb, 0x16, 0xa9, 0xbd, 0xd7, 0x08, 0xa3, 0x32, 0xd4,
-  0x1f, 0x2f, 0x37, 0x99, 0xdf, 0xdd, 0x74, 0x34, 0xc8, 0x5a, 0xc4, 0x42,
-  0x2f, 0x97, 0x33, 0x9a, 0xc9, 0x7d, 0x92, 0x4c, 0xba, 0x05, 0x1b, 0xef,
-  0x19, 0x97, 0xb1, 0x2e, 0x20, 0x73, 0x18, 0x0d, 0x16, 0xdc, 0x29, 0x0b,
-  0x08, 0x57, 0x84, 0x8f, 0xc4, 0x02, 0x0c, 0x62, 0xc3, 0xe6, 0x0b, 0x54,
-  0x33, 0x75, 0xb7, 0xd5, 0x1d, 0x11, 0xc3, 0x93, 0xcb, 0xe3, 0xe8, 0xe0,
-  0xdd, 0xe5, 0x37, 0x9d, 0x00, 0x7b, 0x35, 0x60, 0xc3, 0xb8, 0xde, 0x4b,
-  0x12, 0x21, 0xee, 0x84, 0x16, 0x20, 0x68, 0x8a, 0xab, 0xab, 0x05, 0x6e,
-  0xa1, 0x66, 0xb1, 0x1f, 0xd4, 0x59, 0xc4, 0xb3, 0x3a, 0x8b, 0xe0, 0xec,
-  0x70, 0xf0, 0x89, 0x7e, 0xba, 0xf8, 0x70, 0x50, 0x92, 0x45, 0x43, 0x71,
-  0x37, 0x27, 0xe7, 0x0c, 0x7a, 0x0b, 0x14, 0xe2, 0x60, 0xb8, 0xc5, 0xf2,
-  0x9a, 0xc3, 0x44, 0x5b, 0x80, 0xd6, 0x18, 0x0e, 0xc4, 0xc9, 0xe8, 0x1a,
-  0xff, 0x4f, 0xab, 0xcc, 0xc4, 0xe4, 0xc8, 0x0e, 0xca, 0x18, 0x3a, 0xd3,
-  0x9d, 0x29, 0x7c, 0xfa, 0xd2, 0x5a, 0x37, 0x1b, 0x1b, 0x68, 0x0c, 0x55,
-  0x32, 0xcc, 0x5c, 0x56, 0x68, 0x76, 0x6f, 0x58, 0x0b, 0x46, 0xdc, 0xc0,
-  0x74, 0xb2, 0x7c, 0x27, 0x48, 0xa0, 0xc6, 0x0a, 0xc7, 0x2a, 0x7f, 0x85,
-  0x7d, 0x55, 0x16, 0xf4, 0xe9, 0x60, 0x6f, 0xab, 0x55, 0x83, 0x52, 0xae,
-  0xc3, 0xf2, 0x3e, 0x71, 0x0d, 0x52, 0xfa, 0xf9, 0xf8, 0x92, 0x6e, 0x2f,
-  0x31, 0x89, 0x12, 0xc1, 0x96, 0xcb, 0x91, 0x33, 0xce, 0x64, 0x27, 0xbf,
-  0x89, 0xa3, 0xc4, 0x4b, 0x54, 0x3f, 0x50, 0xc4, 0x1e, 0xdb, 0x43, 0x37,
-  0x65, 0xc3, 0xdc, 0x8e, 0x81, 0xfa, 0xe3, 0xe8, 0x9c, 0xa4, 0x02, 0xb7,
-  0xca, 0x41, 0xec, 0x56, 0xb4, 0x09, 0x1f, 0x00, 0x8d, 0x63, 0xab, 0x2e,
-  0xc0, 0x70, 0x12, 0x6f, 0x9c, 0x86, 0x1a, 0x10, 0xf1, 0xcb, 0x19, 0x7d,
-  0xc2, 0x9a, 0x79, 0x4e, 0x63, 0x60, 0x8f, 0x9d, 0x81, 0x57, 0xea, 0x01,
-  0x63, 0x0d, 0xd0, 0xee, 0xbf, 0x8d, 0x56, 0xb9, 0x4a, 0x2d, 0xa6, 0x81,
-  0xf9, 0x86, 0x5d, 0xee, 0x74, 0x2e, 0x50, 0xe5, 0x04, 0x10, 0x23, 0x31,
-  0x83, 0x8d, 0xe3, 0x74, 0x4f, 0xb2, 0xfb, 0x39, 0x90, 0x03, 0x9a, 0xd4,
-  0x84, 0xc1, 0x33, 0x53, 0x1b, 0x54, 0xaf, 0xc1, 0xbd, 0x9d, 0xc1, 0x43,
-  0x48, 0xe3, 0x45, 0x31, 0x95, 0x95, 0xe9, 0xd1, 0xda, 0x9f, 0x3f, 0xe9,
-  0x45, 0x27, 0x6f, 0x0e, 0xe8, 0xf7, 0xe1, 0x1b, 0xd0, 0x76, 0xee, 0xc2,
-  0x99, 0x86, 0xc3, 0xd3, 0xed, 0xcb, 0xd3, 0x61, 0x50, 0xbd, 0x22, 0xd8,
-  0xf4, 0x66, 0x12, 0x33, 0x8c, 0xbb, 0x30, 0x44, 0x63, 0xca, 0x02, 0xe0,
-  0x1a, 0xc0, 0xdc, 0xa4, 0x57, 0xe1, 0xa1, 0x30, 0xa5, 0x45, 0x5d, 0xe8,
-  0x4d, 0x63, 0xd1, 0xb6, 0x60, 0x43, 0x05, 0x31, 0xc6, 0x38, 0x9b, 0xc5,
-  0xb4, 0x6f, 0x24, 0x28, 0xc1, 0x6b, 0xfc, 0x09, 0x2d, 0xf9, 0xc4, 0x16,
-  0x91, 0x2f, 0xa3, 0x66, 0x06, 0x69, 0x19, 0x4d, 0x69, 0x84, 0xd3, 0x42,
-  0x3c, 0xff, 0x88, 0x96, 0xe0, 0x31, 0xe9, 0x5e, 0xd5, 0xd4, 0x46, 0x5a,
-  0xb0, 0x9d, 0xad, 0xc7, 0x43, 0xbf, 0xee, 0xe3, 0x42, 0xfc, 0xb9, 0x49,
-  0x4e, 0x7b, 0x0f, 0xb4, 0x16, 0x01, 0x26, 0xd3, 0x41, 0xb6, 0xdc, 0xc6,
-  0x4d, 0x1d, 0x58, 0x6e, 0x1d, 0xba, 0x2b, 0x69, 0xb7, 0xbd, 0x79, 0x49,
-  0xa5, 0x1e, 0xf9, 0x80, 0x13, 0xe6, 0xef, 0x2c, 0x73, 0xed, 0x6a, 0xc9,
-  0x15, 0x7f, 0x60, 0x37, 0x6c, 0x8b, 0xb3, 0xad, 0x9f, 0x87, 0x60, 0xad,
-  0xda, 0x8f, 0xc5, 0x85, 0x51, 0xaa, 0xed, 0xb4, 0xdf, 0x6a, 0xa6, 0xf0,
-  0x69, 0x76, 0xcd, 0x88, 0xa7, 0x12, 0x5a, 0x8e, 0xf3, 0x6f, 0xd8, 0x0f,
-  0x75, 0x05, 0x7c, 0x8a, 0x20, 0x1c, 0xdd, 0xf2, 0xaa, 0x41, 0x42, 0x84,
-  0x1e, 0xa6, 0x08, 0x5d, 0xf6, 0xc4, 0xa5, 0x2f, 0xb8, 0xe8, 0xcb, 0xa6,
-  0x9b, 0x3c, 0x72, 0x46, 0xc1, 0xf1, 0x8a, 0xaf, 0xa6, 0xd7, 0xb0, 0x3d,
-  0x69, 0xb8, 0xae, 0x00, 0x87, 0xac, 0x25, 0xa7, 0x56, 0x49, 0xc0, 0x13,
-  0x54, 0x65, 0x63, 0x9e, 0x87, 0x1b, 0xed, 0x69, 0xa9, 0x65, 0xb9, 0xda,
-  0xce, 0xca, 0x63, 0x0b, 0xf8, 0xc8, 0x59, 0xb9, 0x14, 0x07, 0xbd, 0xa1,
-  0x3b, 0x7c, 0xec, 0x11, 0x71, 0x73, 0x78, 0x24, 0xf5, 0x7e, 0x3d, 0xe5,
-  0x2a, 0xe1, 0x56, 0xe9, 0x56, 0x09, 0x57, 0x33, 0x20, 0x8d, 0x66, 0x70,
-  0x9a, 0x88, 0x0b, 0xa2, 0xd9, 0x26, 0x9b, 0xd1, 0x4b, 0x33, 0x32, 0x1c,
-  0x5e, 0x16, 0xf3, 0xa5, 0x3e, 0x4f, 0x69, 0x59, 0xce, 0x8f, 0x92, 0x71,
-  0x23, 0x10, 0x06, 0x44, 0xad, 0xee, 0xa5, 0x56, 0x1a, 0x1e, 0x8f, 0x5b,
-  0xe9, 0x97, 0x05, 0xf6, 0xc3, 0xc3, 0xc3, 0x68, 0xf3, 0x10, 0x14, 0x7a,
-  0xa8, 0xdc, 0xf4, 0xf0, 0x86, 0xf3, 0x3a, 0xa7, 0x8c, 0x29, 0x70, 0xb3,
-  0xe4, 0x0c, 0x94, 0x09, 0xe6, 0x88, 0x4d, 0xd1, 0x25, 0xac, 0x87, 0x90,
-  0xc5, 0x2b, 0xb6, 0x65, 0x09, 0x94, 0x54, 0x45, 0xbc, 0x12, 0xc3, 0x00,
-  0xf2, 0x4d, 0xcd, 0xf7, 0x6f, 0xf7, 0x9f, 0xf4, 0xd2, 0x9a, 0x12, 0xbe,
-  0x9c, 0x9b, 0x35, 0xce, 0x99, 0x8d, 0xe7, 0x8e, 0xfa, 0x55, 0x4b, 0x8a,
-  0xe5, 0xcc, 0xbc, 0x3d, 0xb8, 0x64, 0xa4, 0xe8, 0x52, 0x43, 0x50, 0xd7,
-  0x04, 0xb8, 0xb9, 0x23, 0x09, 0xea, 0x8f, 0x03, 0x94, 0x41, 0xd3, 0x31,
-  0x20, 0xcb, 0x72, 0xb2, 0xa4, 0xc8, 0xb6, 0x12, 0x65, 0xd3, 0x2a, 0x18,
-  0xeb, 0x8a, 0xf6, 0x9d, 0x82, 0x23, 0x09, 0x72, 0xfc, 0x67, 0xd1, 0x3c,
-  0x1e, 0x0d, 0xfd, 0xa9, 0xf2, 0xfa, 0x4f, 0x12, 0xa9, 0xbb, 0xad, 0xbd,
-  0xfe, 0xfc, 0x2f, 0x6d, 0x13, 0x02, 0xb3, 0x64, 0x7b, 0xf8, 0x31, 0xbb,
-  0xc1, 0x9a, 0xde, 0xe2, 0x5a, 0x4c, 0xba, 0x48, 0x34, 0x92, 0x31, 0x97,
-  0x02, 0xaf, 0x5a, 0x0e, 0x0f, 0x6d, 0xfa, 0x04, 0xe0, 0x59, 0x4c, 0x80,
-  0xa6, 0x3a, 0xdc, 0xc7, 0x0d, 0xf1, 0xc6, 0x24, 0x1a, 0x2f, 0x54, 0x4e,
-  0xb8, 0xe6, 0x8e, 0x78, 0x57, 0x1c, 0xd6, 0x4e, 0x9e, 0x2c, 0xa6, 0x2b,
-  0x67, 0x06, 0xd0, 0xb6, 0xd7, 0x89, 0x99, 0xa1, 0x35, 0x29, 0x0c, 0x62,
-  0xb6, 0x01, 0x16, 0xd5, 0x56, 0xd0, 0x51, 0xcc, 0x42, 0xe0, 0x55, 0x23,
-  0x7a, 0x3e, 0xd6, 0x9e, 0x6b, 0x60, 0xcd, 0xcd, 0x1d, 0x0a, 0xa4, 0x2d,
-  0x07, 0xf0, 0xa0, 0x88, 0xd3, 0x9a, 0x29, 0xf5, 0x58, 0xde, 0xee, 0x94,
-  0x17, 0x1f, 0x82, 0x51, 0x42, 0xba, 0x34, 0xf2, 0x74, 0x14, 0xf4, 0xa2,
-  0x9f, 0xce, 0x05, 0x63, 0x81, 0x7e, 0x8a, 0x49, 0xde, 0x80, 0x32, 0xea,
-  0xb8, 0x91, 0xcc, 0x3d, 0x0c, 0x0a, 0x50, 0x13, 0x34, 0x05, 0x0e, 0xa3,
-  0x8a, 0x87, 0xa1, 0x78, 0xa9, 0x26, 0x85, 0x01, 0xd0, 0xa3, 0x45, 0x88,
-  0xf5, 0xfe, 0xa9, 0x43, 0x45, 0xbe, 0xb8, 0xe4, 0x78, 0x0e, 0x09, 0x2b,
-  0x88, 0xf3, 0x72, 0x1b, 0x18, 0x17, 0x92, 0xa2, 0x36, 0x66, 0x2c, 0x64,
-  0x2d, 0x29, 0x70, 0xf1, 0xfa, 0x70, 0xef, 0xc9, 0xe7, 0x9f, 0xb7, 0xc7,
-  0xc2, 0x26, 0x9a, 0xb5, 0x15, 0x80, 0x7a, 0x33, 0x4e, 0x94, 0x64, 0xc1,
-  0x8b, 0xd3, 0x91, 0x8b, 0xd7, 0x70, 0xd2, 0xb0, 0x57, 0x31, 0xbb, 0xe3,
-  0xa6, 0xf1, 0x9e, 0x07, 0xd4, 0x15, 0xe3, 0x9b, 0xa4, 0x92, 0x59, 0x2d,
-  0x15, 0x2d, 0xc3, 0xe1, 0x10, 0x03, 0x14, 0x43, 0x8b, 0xbd, 0xf4, 0x73,
-  0x4e, 0x6d, 0x4d, 0xaf, 0x81, 0x6f, 0x51, 0x6b, 0xee, 0x6f, 0xac, 0xe3,
-  0x5e, 0x27, 0x65, 0x33, 0x1d, 0x53, 0x31, 0xe7, 0x3e, 0xd0, 0x78, 0x1b,
-  0x0d, 0x4a, 0x32, 0xe9, 0x4b, 0xe5, 0x0f, 0x4e, 0x39, 0xb7, 0xf2, 0x43,
-  0x34, 0x18, 0x30, 0xee, 0x97, 0x0e, 0xeb, 0xc3, 0x81, 0xb2, 0x7e, 0xd9,
-  0xa2, 0xe1, 0x17, 0x3e, 0xfe, 0x4d, 0xf0, 0xc9, 0xca, 0x32, 0xb6, 0x02,
-  0x6a, 0xb0, 0x88, 0x33, 0x7e, 0x84, 0x43, 0xe1, 0x76, 0x85, 0x33, 0x88,
-  0x62, 0xa6, 0x6d, 0x08, 0x49, 0x2f, 0xb5, 0xd1, 0x58, 0xa0, 0x71, 0x05,
-  0xbf, 0x83, 0xc7, 0xd3, 0xb6, 0x12, 0xa6, 0x75, 0x70, 0x00, 0x5b, 0xf2,
-  0xd0, 0x38, 0xbf, 0x78, 0x37, 0x58, 0xa7, 0x86, 0xa2, 0x7f, 0xfc, 0x10,
-  0xcf, 0x50, 0xd7, 0xcb, 0x49, 0xfd, 0x70, 0xeb, 0xfb, 0x1c, 0x3b, 0x0d,
-  0x75, 0x09, 0x8d, 0xe4, 0xe2, 0xb6, 0xe9, 0xf2, 0x33, 0xf5, 0xbd, 0xe7,
-  0x77, 0xba, 0x66, 0xcf, 0x0b, 0x9d, 0xf4, 0xa0, 0x48, 0x19, 0x8e, 0x03,
-  0x30, 0x14, 0x8f, 0x39, 0xf7, 0x34, 0x59, 0x03, 0x42, 0xc6, 0x6f, 0x02,
-  0x25, 0x6b, 0xbf, 0x35, 0xa0, 0xa4, 0xff, 0xda, 0x0d, 0xf4, 0xd5, 0x97,
-  0x95, 0xd6, 0xee, 0xef, 0x07, 0xb3, 0x95, 0x7d, 0x57, 0x54, 0xaa, 0x1b,
-  0xfa, 0xdc, 0x77, 0xcd, 0x00, 0x30, 0x92, 0xe9, 0x16, 0x8e, 0xbc, 0x3c,
-  0xe2, 0x45, 0x58, 0x24, 0xc7, 0xd7, 0x04, 0xa2, 0x7b, 0xa3, 0x99, 0xb1,
-  0xa6, 0x69, 0x0c, 0x9e, 0xfa, 0xc4, 0xd2, 0xdb, 0x45, 0x7a, 0x47, 0x62,
-  0x47, 0xfc, 0x3a, 0x53, 0x4d, 0x71, 0x44, 0x97, 0x0a, 0x11, 0x9a, 0x52,
-  0x5a, 0x53, 0x4d, 0x2d, 0xca, 0x7c, 0x39, 0x2e, 0x9b, 0x9e, 0x59, 0x5f,
-  0xec, 0x4f, 0x30, 0x9b, 0x4b, 0xaf, 0xb8, 0x89, 0xc1, 0xbf, 0xca, 0x14,
-  0x70, 0x65, 0xf2, 0x88, 0x0d, 0xcf, 0xb9, 0x8e, 0x57, 0x02, 0x18, 0xe7,
-  0x6e, 0x4f, 0xc4, 0x67, 0xc5, 0x7b, 0xf0, 0xf0, 0x04, 0x6b, 0x17, 0xbe,
-  0x73, 0x9f, 0x8c, 0x5e, 0x7d, 0xc9, 0x21, 0x87, 0x0f, 0x80, 0x81, 0x15,
-  0x38, 0x68, 0xa6, 0xc1, 0x6d, 0xfe, 0xb3, 0x13, 0x71, 0xc4, 0x49, 0xcb,
-  0xba, 0x13, 0x17, 0x5f, 0xd7, 0x62, 0x80, 0x9c, 0x12, 0xb4, 0x76, 0x95,
-  0x65, 0x6b, 0x1b, 0xfb, 0x31, 0x2c, 0x2c, 0x18, 0xe4, 0xf4, 0x48, 0x8a,
-  0x8d, 0x27, 0x42, 0x21, 0x3c, 0xde, 0xc2, 0xb9, 0x9e, 0x53, 0x39, 0x84,
-  0x6d, 0x88, 0x03, 0xa3, 0x95, 0x2b, 0x30, 0x61, 0xd9, 0xc7, 0xaf, 0x7a,
-  0x52, 0x67, 0x95, 0xb5, 0xd5, 0xf5, 0x0b, 0xc2, 0x4f, 0xbf, 0xfa, 0x12,
-  0x98, 0x66, 0xfc, 0xeb, 0x5f, 0xdc, 0xdb, 0xfc, 0x0f, 0x51, 0x31, 0x71,
-  0x81, 0xb5, 0x13, 0x61, 0x51, 0xe4, 0x6a, 0x99, 0x43, 0xcc, 0x48, 0xe4,
-  0x48, 0x16, 0xa2, 0xcb, 0x2a, 0x62, 0xb1, 0xb2, 0x92, 0x37, 0x07, 0x6f,
-  0xdf, 0x1d, 0x9c, 0x0e, 0x1e, 0x13, 0x5f, 0x43, 0x53, 0xa9, 0x0b, 0x34,
-  0x83, 0xdd, 0xb2, 0x22, 0x38, 0xf2, 0x79, 0xd4, 0x90, 0x7f, 0xb9, 0x09,
-  0x1f, 0xad, 0x56, 0x13, 0x0d, 0x0d, 0x11, 0x84, 0xc9, 0x49, 0x6f, 0x50,
-  0x85, 0xfb, 0x70, 0x99, 0xc4, 0x82, 0x3c, 0xa4, 0x8d, 0xaa, 0xe8, 0xd0,
-  0x12, 0x21, 0xce, 0x8e, 0xcd, 0x3c, 0x96, 0xda, 0x5d, 0x66, 0xc5, 0x98,
-  0xa6, 0x5c, 0x02, 0x77, 0xca, 0x88, 0x92, 0xa7, 0x5a, 0xcc, 0xb3, 0xfb,
-  0x65, 0x57, 0xce, 0x46, 0xf7, 0x65, 0x97, 0xd1, 0x77, 0xe8, 0x9d, 0x71,
-  0x4b, 0xbe, 0x4c, 0xe1, 0x42, 0x3d, 0xa2, 0xae, 0x50, 0x4d, 0xd7, 0x86,
-  0xa0, 0x6b, 0x26, 0xc3, 0x42, 0xa0, 0xc7, 0x5c, 0xe3, 0x67, 0xb9, 0x98,
-  0x65, 0x12, 0xcf, 0x5b, 0x3c, 0x54, 0xd5, 0xd4, 0x60, 0xa9, 0x9c, 0x85,
-  0xab, 0xa1, 0xcc, 0x6c, 0xda, 0xa2, 0x81, 0xe4, 0xcc, 0x2f, 0x38, 0x92,
-  0x42, 0x20, 0x28, 0xdb, 0xa2, 0x43, 0xe4, 0xc6, 0x08, 0x8a, 0xe5, 0x44,
-  0x3a, 0x16, 0x0e, 0xde, 0xa1, 0x8b, 0x39, 0xe5, 0x48, 0x5d, 0x58, 0x7b,
-  0xe9, 0xdb, 0xeb, 0x6b, 0x4d, 0x5e, 0xe6, 0x79, 0xd3, 0xda, 0xd1, 0xac,
-  0x1b, 0x38, 0x98, 0x5a, 0x39, 0x97, 0xe8, 0xb8, 0x0e, 0x52, 0xd5, 0xbf,
-  0x26, 0xb1, 0xe6, 0x7a, 0x9a, 0x8d, 0xb2, 0xab, 0xab, 0x47, 0x68, 0x43,
-  0xf2, 0xc7, 0xd0, 0x84, 0xb0, 0xe5, 0x0e, 0x67, 0x8e, 0xf0, 0x7b, 0x23,
-  0xad, 0x27, 0xcb, 0x75, 0x15, 0x06, 0x62, 0xe6, 0x04, 0x34, 0x55, 0xc3,
-  0x5c, 0x14, 0x86, 0x04, 0xf7, 0x5c, 0x7e, 0x8b, 0x45, 0x25, 0xa3, 0xd0,
-  0xa8, 0xe8, 0xec, 0x1a, 0xeb, 0xe8, 0xa1, 0x69, 0x8a, 0xe8, 0x1f, 0xff,
-  0xfc, 0xe9, 0xe7, 0x16, 0x30, 0x27, 0x76, 0x5d, 0x68, 0x54, 0x3f, 0x47,
-  0x35, 0x6b, 0x36, 0x12, 0x7c, 0x04, 0x6c, 0xaf, 0xf2, 0x28, 0x8e, 0x5a,
-  0x19, 0x67, 0x10, 0xe4, 0x4d, 0x34, 0x2f, 0x0c, 0xb6, 0xdd, 0x59, 0x87,
-  0x31, 0xc2, 0x0b, 0x4a, 0x0b, 0xdd, 0x98, 0x26, 0xd7, 0x31, 0x10, 0x1e,
-  0xfc, 0xed, 0xe9, 0x92, 0x64, 0x85, 0x59, 0x37, 0x81, 0xe2, 0x5c, 0x0e,
-  0x7c, 0x28, 0x48, 0xc1, 0x98, 0x7c, 0x71, 0xe2, 0x9c, 0x36, 0xc1, 0x46,
-  0x7c, 0xcd, 0x1b, 0xd1, 0x58, 0x35, 0x07, 0xa4, 0xd8, 0xab, 0xa3, 0x90,
-  0x86, 0xf0, 0x05, 0xc8, 0xfe, 0x10, 0xc5, 0xbf, 0x02, 0x8c, 0xd5, 0x10,
-  0x62, 0x02, 0x30, 0x32, 0xc1, 0x74, 0x0f, 0x11, 0x8b, 0x70, 0x44, 0x5d,
-  0x0a, 0x0f, 0xd8, 0x3a, 0xa2, 0x54, 0xbe, 0x3e, 0x76, 0xe8, 0x70, 0x0d,
-  0xba, 0xaf, 0x14, 0x82, 0xab, 0xe2, 0xc8, 0x01, 0x80, 0xd2, 0x55, 0xf7,
-  0xbb, 0x77, 0x35, 0x3e, 0xc4, 0x60, 0xdf, 0xa6, 0x84, 0x28, 0x2e, 0x91,
-  0xa8, 0x75, 0x06, 0x5b, 0xe0, 0x97, 0xed, 0xd4, 0xf0, 0xfe, 0xba, 0xff,
-  0xd1, 0xf5, 0x20, 0x31, 0xad, 0x41, 0x84, 0x2e, 0xc1, 0xad, 0x99, 0xa4,
-  0xdf, 0x3f, 0xe9, 0xf9, 0xc1, 0xfa, 0x1e, 0x6d, 0x2a, 0xa3, 0x16, 0x20,
-  0xb8, 0x75, 0xe3, 0xf8, 0xe6, 0xf8, 0xe0, 0xc8, 0xe6, 0xfb, 0x6f, 0xc9,
-  0xb0, 0x07, 0x1c, 0x54, 0xe8, 0x13, 0x32, 0xa7, 0xe0, 0x28, 0x11, 0xf8,
-  0xbb, 0xa5, 0xf9, 0x88, 0xb0, 0x69, 0x66, 0xe4, 0x68, 0x89, 0x18, 0x23,
-  0x89, 0x8d, 0x61, 0xb1, 0xad, 0x0a, 0xb1, 0xab, 0xc1, 0x22, 0x22, 0xab,
-  0xab, 0x9a, 0x64, 0x5e, 0x21, 0x61, 0x46, 0x81, 0x57, 0xa5, 0xb5, 0x4e,
-  0x52, 0x50, 0x34, 0x30, 0x20, 0xec, 0x1b, 0x64, 0xc4, 0x4d, 0x17, 0x8d,
-  0xdc, 0xa8, 0xf8, 0x9a, 0x73, 0x37, 0xa7, 0x8b, 0xe0, 0xd9, 0x20, 0x7b,
-  0xee, 0xa5, 0xfc, 0x5c, 0x77, 0xaf, 0x1c, 0x0b, 0x28, 0x96, 0x3e, 0xec,
-  0x84, 0x15, 0x97, 0x6e, 0x52, 0xca, 0x32, 0x90, 0xb0, 0x41, 0xdc, 0xe9,
-  0x3a, 0x41, 0xd1, 0x6d, 0xe6, 0x9f, 0xf5, 0x75, 0xb0, 0xa2, 0xc2, 0xc4,
-  0x90, 0x3d, 0xc8, 0xad, 0x20, 0x6e, 0x69, 0x56, 0x63, 0x98, 0xeb, 0xa1,
-  0xc9, 0x6b, 0x56, 0xde, 0x68, 0xd2, 0xa8, 0x3d, 0xc3, 0xd7, 0x7a, 0x51,
-  0x72, 0x4a, 0xa9, 0x1b, 0x19, 0xbf, 0x77, 0x13, 0x17, 0xde, 0x2f, 0x20,
-  0x68, 0x0f, 0x45, 0x18, 0xf9, 0x60, 0x7e, 0xcd, 0x66, 0x85, 0x0f, 0x0b,
-  0xc4, 0xb7, 0xf8, 0x8b, 0x9e, 0xc8, 0xd9, 0x0c, 0x08, 0xc0, 0x2f, 0x68,
-  0x52, 0x9f, 0xeb, 0xcd, 0x83, 0xe1, 0x2d, 0x9b, 0x40, 0xf6, 0xb5, 0xe3,
-  0xea, 0x9c, 0xa9, 0xd9, 0x3c, 0xa9, 0x5a, 0x4e, 0x78, 0x8e, 0x96, 0x46,
-  0x88, 0xa4, 0x3d, 0x14, 0x8d, 0x6f, 0xdc, 0x7a, 0x2c, 0xf0, 0x95, 0x4b,
-  0xdc, 0x08, 0xf1, 0x3c, 0x1c, 0xa7, 0xcb, 0xf2, 0x9e, 0x64, 0xb2, 0xf0,
-  0x8e, 0xbe, 0x90, 0xac, 0xc6, 0xda, 0x77, 0x3c, 0x5e, 0xe7, 0xdb, 0x75,
-  0x55, 0x2d, 0x5c, 0x3e, 0xae, 0xf1, 0x7a, 0x98, 0xd4, 0x24, 0xd5, 0x3c,
-  0xc9, 0xd9, 0xc5, 0x81, 0xb0, 0x2d, 0x16, 0x63, 0xef, 0x9b, 0x1c, 0x5d,
-  0x6b, 0xf1, 0xe0, 0x3c, 0x70, 0xdd, 0x07, 0x36, 0x92, 0x49, 0xae, 0xa1,
-  0xce, 0x5a, 0x97, 0x8c, 0xae, 0x88, 0xeb, 0xf4, 0x4e, 0xa8, 0xc5, 0x46,
-  0xd6, 0x92, 0xf1, 0xe6, 0xc6, 0x60, 0xa2, 0xbe, 0x77, 0xee, 0x0b, 0x7a,
-  0x43, 0x54, 0xa0, 0x3c, 0x87, 0xa5, 0xcd, 0x8f, 0xb3, 0x29, 0xdf, 0x73,
-  0x52, 0xd6, 0x9c, 0x08, 0xbb, 0xee, 0x87, 0xfb, 0x86, 0xa4, 0xba, 0xfd,
-  0x4e, 0x7b, 0xbc, 0xbb, 0x47, 0x16, 0x2a, 0x1c, 0x94, 0x2f, 0xa2, 0x53,
-  0x6c, 0x97, 0x71, 0x64, 0x89, 0xfa, 0xb6, 0x75, 0xbc, 0x16, 0xd0, 0xde,
-  0x3a, 0x6a, 0x4b, 0xd7, 0x58, 0x20, 0xa6, 0x71, 0xd2, 0xcf, 0xae, 0xfa,
-  0xa8, 0xe6, 0xc8, 0x65, 0xf4, 0x58, 0x2b, 0x0b, 0x08, 0x1a, 0xa9, 0xbb,
-  0xbc, 0x45, 0xd4, 0x76, 0xdb, 0x2d, 0xa9, 0x41, 0xf1, 0xb9, 0xb3, 0xd8,
-  0xe9, 0x80, 0x74, 0x4d, 0xf6, 0xd9, 0xca, 0x63, 0xaf, 0x3b, 0x14, 0x37,
-  0x4e, 0x94, 0x8c, 0xf3, 0x3c, 0xa5, 0x53, 0xd8, 0x00, 0x3f, 0x46, 0x08,
-  0x63, 0x4f, 0x2e, 0x52, 0x89, 0x08, 0x63, 0x77, 0xcf, 0x4c, 0x9c, 0x7c,
-  0xf0, 0xd2, 0x2c, 0x17, 0x90, 0x08, 0x39, 0x67, 0xbb, 0x4d, 0xf6, 0xf5,
-  0xc9, 0x6e, 0xb5, 0x52, 0x8a, 0x70, 0x60, 0x84, 0xb9, 0xc1, 0xeb, 0x90,
-  0x50, 0xaa, 0xbe, 0x07, 0xe8, 0x47, 0xee, 0x0e, 0xac, 0x8a, 0xc1, 0x70,
-  0xc0, 0xf8, 0x45, 0xdf, 0x16, 0xc3, 0x6b, 0x5b, 0x2c, 0x12, 0xbf, 0x62,
-  0xdc, 0x23, 0x90, 0x9d, 0xb9, 0xfc, 0xf5, 0x62, 0x39, 0x9a, 0x4d, 0x9e,
-  0x45, 0x2f, 0xe9, 0x9f, 0x2f, 0x5a, 0x7c, 0xe7, 0xa8, 0x6e, 0x2e, 0x22,
-  0x9f, 0x0a, 0x42, 0xf8, 0xfd, 0xc9, 0x1e, 0x1f, 0x87, 0x07, 0x6a, 0x71,
-  0x9c, 0x02, 0x5c, 0x66, 0x92, 0x5e, 0xa7, 0x65, 0xe1, 0x92, 0x08, 0xf1,
-  0xca, 0xfa, 0xb2, 0x5a, 0x58, 0xa1, 0xdd, 0xbd, 0xcf, 0xa3, 0x51, 0x5a,
-  0x46, 0x6f, 0x8e, 0x9e, 0x49, 0x69, 0xbe, 0x62, 0x39, 0xf3, 0x25, 0x5c,
-  0x81, 0x1d, 0xcc, 0x03, 0x24, 0xe9, 0x94, 0xc6, 0x38, 0x6d, 0xd4, 0xc8,
-  0xb9, 0x4d, 0x56, 0xbd, 0x4a, 0x75, 0x88, 0x2b, 0xf3, 0xcc, 0x06, 0x46,
-  0x76, 0x47, 0x6f, 0x52, 0xea, 0xdb, 0x9c, 0xf6, 0x2d, 0x02, 0x3d, 0xcd,
-  0x9f, 0xfa, 0x2f, 0x22, 0xab, 0xea, 0x55, 0x11, 0x37, 0xad, 0xaa, 0x03,
-  0x32, 0x1e, 0x0f, 0xcf, 0xb1, 0x99, 0xc3, 0x2a, 0x92, 0xcb, 0x63, 0x18,
-  0xb9, 0x9f, 0x55, 0x4d, 0xab, 0x52, 0x9e, 0xd3, 0xb0, 0x8d, 0xfa, 0xa4,
-  0x5c, 0x5d, 0xaf, 0xab, 0xb9, 0x78, 0x82, 0x47, 0x2b, 0x16, 0xb2, 0x53,
-  0x3c, 0xee, 0x32, 0x9f, 0x83, 0x28, 0x2d, 0x3e, 0x08, 0xe9, 0x98, 0x4b,
-  0xdf, 0x36, 0x50, 0x5a, 0x97, 0x02, 0x83, 0x8c, 0x09, 0x58, 0x25, 0xd0,
-  0x7c, 0x29, 0xd8, 0xe7, 0x07, 0x0b, 0x36, 0xf2, 0x44, 0xbb, 0x83, 0x87,
-  0x5e, 0x58, 0x88, 0x4c, 0x91, 0xf2, 0xb9, 0xdc, 0x58, 0xc3, 0x03, 0x85,
-  0x68, 0x8c, 0xda, 0x80, 0xb8, 0x69, 0xb1, 0xae, 0x4d, 0x39, 0x3c, 0x29,
-  0x17, 0x26, 0xbc, 0x47, 0xcc, 0xec, 0x3a, 0x06, 0x48, 0x7b, 0x40, 0x79,
-  0x29, 0x9d, 0x03, 0x85, 0x3e, 0x5b, 0x33, 0x6f, 0xf9, 0xd2, 0x65, 0xbf,
-  0xdb, 0x25, 0xac, 0x72, 0xb8, 0x86, 0xf6, 0x1a, 0xb9, 0x05, 0x4f, 0x34,
-  0x8b, 0xa5, 0x71, 0x3b, 0xd8, 0x71, 0x1c, 0x5f, 0xd1, 0x7f, 0x75, 0x0d,
-  0xfa, 0x7c, 0xf3, 0xf5, 0x22, 0xd4, 0x53, 0x57, 0xc2, 0xf3, 0x41, 0xcd,
-  0x68, 0xb4, 0x19, 0xc4, 0x5f, 0x58, 0xbd, 0x5f, 0x8e, 0x76, 0x1a, 0x0c,
-  0xc2, 0xe3, 0x04, 0x4e, 0x7e, 0xc5, 0xec, 0xaf, 0x35, 0x97, 0xfb, 0x5c,
-  0xb0, 0x0d, 0xab, 0x75, 0xac, 0x2d, 0x5e, 0xc2, 0x8b, 0xc9, 0xae, 0x95,
-  0x81, 0xb3, 0x0a, 0xb0, 0x4f, 0xb3, 0x65, 0x6a, 0xd6, 0x5b, 0x24, 0xd3,
-  0x08, 0xfd, 0xfb, 0x61, 0x6d, 0xfb, 0x41, 0x74, 0x30, 0x37, 0x5d, 0x5c,
-  0x8b, 0x8a, 0x71, 0xee, 0x4e, 0xa3, 0x0a, 0xcc, 0x6d, 0xd2, 0x30, 0x09,
-  0xa8, 0x4d, 0x20, 0x98, 0x19, 0xc9, 0x55, 0x3b, 0xfb, 0xbb, 0x61, 0xfd,
-  0xa0, 0xb9, 0x16, 0x9a, 0x40, 0x51, 0x9d, 0xdf, 0x2f, 0xfa, 0xfe, 0x44,
-  0x25, 0xb1, 0x36, 0x7a, 0x61, 0x78, 0xee, 0xed, 0xd7, 0x27, 0xa7, 0xc7,
-  0x5b, 0xd1, 0xeb, 0x04, 0xb8, 0x22, 0x35, 0xb2, 0xe1, 0xc3, 0xfb, 0x07,
-  0xf9, 0xc4, 0xa8, 0x5f, 0x95, 0xd0, 0xb6, 0x9c, 0x37, 0xe7, 0xaa, 0x87,
-  0x3c, 0x2d, 0x47, 0x02, 0xb3, 0x90, 0xbc, 0xac, 0x0c, 0xa6, 0x4b, 0x03,
-  0x61, 0xb7, 0x60, 0xc6, 0x56, 0xf2, 0x83, 0xad, 0xcd, 0x57, 0xcc, 0xf1,
-  0x28, 0xf4, 0x28, 0x27, 0xaf, 0x71, 0xc0, 0x3c, 0xf0, 0x48, 0x2d, 0x72,
-  0x16, 0x1c, 0xaa, 0x95, 0xd3, 0x5b, 0x46, 0x27, 0xb5, 0xec, 0xd2, 0x5f,
-  0x24, 0x18, 0x1d, 0xab, 0x36, 0xcb, 0x26, 0x0e, 0x86, 0x52, 0x2a, 0xdb,
-  0xf0, 0x7c, 0x83, 0xb5, 0xfb, 0x1b, 0xad, 0xdd, 0xdf, 0x96, 0xf3, 0xdb,
-  0xbe, 0x56, 0x30, 0x54, 0x40, 0x8f, 0xa2, 0xfd, 0xec, 0x7d, 0xef, 0x82,
-  0x50, 0x10, 0x18, 0x2c, 0x86, 0xce, 0x66, 0x21, 0xbf, 0x58, 0xa3, 0x4e,
-  0x65, 0xe0, 0xeb, 0x0b, 0x01, 0x79, 0xe1, 0x41, 0x8a, 0xaf, 0x8f, 0x39,
-  0x22, 0x19, 0x0a, 0x62, 0xc7, 0x0a, 0x2a, 0x5a, 0xc3, 0x9d, 0x41, 0x08,
-  0xc1, 0xd8, 0x80, 0xb6, 0x2d, 0x2c, 0xf5, 0xec, 0xc6, 0x95, 0xc3, 0x83,
-  0xfc, 0xaa, 0xe1, 0x25, 0x2c, 0xda, 0xf0, 0x7a, 0xd3, 0x45, 0xef, 0x4b,
-  0x35, 0x16, 0x82, 0x33, 0xcb, 0xa4, 0x54, 0xbb, 0x66, 0x25, 0x21, 0xd0,
-  0x50, 0xc2, 0x0b, 0x03, 0x00, 0xb2, 0x11, 0x46, 0xf5, 0xc1, 0x19, 0x82,
-  0x38, 0xcb, 0x06, 0xdd, 0x06, 0xe1, 0x8c, 0xa7, 0x99, 0x54, 0x47, 0xba,
-  0x0f, 0xdd, 0x9a, 0xff, 0x89, 0xfb, 0x9e, 0xaf, 0x32, 0xa5, 0xc4, 0x7e,
-  0x4b, 0x84, 0xbc, 0x2b, 0xf6, 0x16, 0x1c, 0x14, 0xc9, 0x14, 0x83, 0x1c,
-  0x71, 0xe6, 0xdb, 0x98, 0x07, 0xa5, 0xc1, 0x7d, 0x2e, 0x52, 0x2b, 0x6c,
-  0x56, 0x3f, 0xd0, 0xbb, 0x1d, 0xa7, 0x3e, 0x22, 0xb2, 0xca, 0x8a, 0x54,
-  0x24, 0x0b, 0x67, 0x14, 0x0c, 0x04, 0xf1, 0x96, 0x82, 0x8e, 0x06, 0x6e,
-  0x00, 0x2e, 0xe5, 0x5e, 0x71, 0x9e, 0x2a, 0x8e, 0x39, 0xf6, 0xf3, 0xbd,
-  0x05, 0x5f, 0x2f, 0xda, 0xe2, 0xc6, 0x2c, 0x9d, 0x2a, 0x94, 0x6e, 0x02,
-  0x43, 0xa7, 0x0a, 0xfa, 0x0e, 0x2e, 0x5d, 0x79, 0x65, 0xc7, 0x5a, 0xeb,
-  0x34, 0x83, 0x46, 0x42, 0xa4, 0x01, 0x31, 0x9d, 0x79, 0x84, 0xa7, 0x03,
-  0xa2, 0xaf, 0xc6, 0x23, 0x1c, 0xaf, 0x20, 0x91, 0xeb, 0x49, 0x4b, 0x3d,
-  0x6f, 0x41, 0xec, 0xa6, 0x4d, 0xb2, 0xd8, 0x06, 0x57, 0x37, 0xb0, 0x25,
-  0x37, 0x4f, 0x72, 0x18, 0xb1, 0x6e, 0x31, 0x3b, 0xd0, 0xea, 0xb4, 0xba,
-  0x32, 0x67, 0xad, 0xea, 0x31, 0xe6, 0x5d, 0x91, 0xc2, 0x41, 0x7e, 0x4c,
-  0x21, 0x7c, 0xff, 0xfa, 0xc9, 0xa2, 0x82, 0x8d, 0xc5, 0x1b, 0x86, 0x6b,
-  0xdc, 0x0c, 0x37, 0x0c, 0x44, 0x51, 0x6f, 0xe4, 0x42, 0x59, 0x1a, 0x16,
-  0xb1, 0x71, 0x75, 0x5b, 0x91, 0x13, 0x0d, 0x60, 0x88, 0x9c, 0xbd, 0x36,
-  0x72, 0x75, 0xe5, 0xd6, 0x94, 0x8b, 0x43, 0xf2, 0xe5, 0x4d, 0xfc, 0xf0,
-  0x30, 0x28, 0x12, 0xa9, 0x9f, 0x56, 0x14, 0x53, 0x24, 0x7a, 0x56, 0xeb,
-  0xc4, 0x71, 0x8e, 0x7f, 0xb2, 0x88, 0xa7, 0x88, 0x76, 0x64, 0x7e, 0xb4,
-  0xae, 0x1e, 0x57, 0xc5, 0xa4, 0x97, 0x68, 0xb4, 0x1b, 0xde, 0x88, 0xab,
-  0x55, 0xb3, 0x18, 0x15, 0xaa, 0x30, 0x88, 0x6f, 0x0e, 0xc2, 0x22, 0x9a,
-  0x9d, 0x34, 0x9c, 0x4e, 0x1a, 0xd8, 0x05, 0xf7, 0x0f, 0x6f, 0x9c, 0x1b,
-  0x05, 0xab, 0x1b, 0x23, 0x35, 0x44, 0xbb, 0x2e, 0xcc, 0x47, 0x96, 0xd2,
-  0xc3, 0x77, 0xe9, 0x64, 0xd9, 0xd0, 0x76, 0xeb, 0xaf, 0x5b, 0x35, 0xde,
-  0x20, 0xf5, 0x02, 0x9c, 0x87, 0x9f, 0xc8, 0xdc, 0xa5, 0x0e, 0xe8, 0x5e,
-  0x54, 0x79, 0x6c, 0x5c, 0x06, 0x57, 0x0a, 0xc3, 0x81, 0x5b, 0xe6, 0xf2,
-  0xf0, 0xfc, 0xfd, 0xb7, 0xc7, 0xc7, 0xe7, 0x27, 0x47, 0xcc, 0xfe, 0x71,
-  0xdf, 0xb8, 0x8f, 0xde, 0x5e, 0x7e, 0x77, 0xea, 0xa1, 0x38, 0x54, 0x53,
-  0xa8, 0x1f, 0x28, 0x36, 0xfc, 0x72, 0x73, 0xa7, 0xe9, 0x7c, 0xf9, 0xd0,
-  0x43, 0x19, 0x2a, 0xd2, 0x33, 0x0e, 0x4e, 0x7e, 0x20, 0xd9, 0xe5, 0xbc,
-  0xff, 0xee, 0x87, 0x46, 0xf6, 0x54, 0x10, 0x94, 0x47, 0xd7, 0x57, 0xfd,
-  0x9c, 0xbb, 0x18, 0x3d, 0x60, 0x84, 0xf9, 0xb9, 0x1b, 0x89, 0xb5, 0x80,
-  0x30, 0x7f, 0x64, 0xcc, 0x71, 0x55, 0x6b, 0x09, 0xaf, 0x7b, 0x67, 0x5d,
-  0xc2, 0xee, 0xb7, 0xdc, 0x76, 0xf1, 0x8c, 0x13, 0x8d, 0x06, 0x21, 0x61,
-  0xad, 0xa2, 0x97, 0xf4, 0x4f, 0x5b, 0xb6, 0xe6, 0x36, 0x17, 0xb3, 0x8f,
-  0xce, 0x03, 0xec, 0x0a, 0xe7, 0xc2, 0x1a, 0x58, 0xdc, 0x92, 0x5a, 0x12,
-  0x34, 0xff, 0x48, 0x7d, 0x84, 0x79, 0x03, 0xc4, 0xd2, 0xb5, 0xe0, 0x6b,
-  0xff, 0xc2, 0xbc, 0x97, 0xb4, 0x3b, 0x1f, 0x7f, 0xc3, 0x34, 0x55, 0xea,
-  0xf4, 0x83, 0x80, 0x08, 0xcd, 0x39, 0xf2, 0xb3, 0x03, 0x07, 0x09, 0xa3,
-  0x22, 0x0b, 0xb7, 0x82, 0x09, 0xca, 0xb2, 0xb5, 0xe0, 0xb5, 0x0b, 0x62,
-  0x42, 0x88, 0xf6, 0x91, 0x12, 0x95, 0x1f, 0x1d, 0x5f, 0xf4, 0x04, 0x24,
-  0x21, 0x04, 0x48, 0xf0, 0x28, 0x40, 0x03, 0x2b, 0xe0, 0x5c, 0xb6, 0x1a,
-  0xaf, 0x80, 0x65, 0xf2, 0xef, 0xc3, 0x46, 0xb8, 0xcd, 0x47, 0xd1, 0x4b,
-  0x04, 0xfc, 0xad, 0x09, 0xa4, 0xd6, 0x02, 0xb3, 0xdf, 0x26, 0xf9, 0x28,
-  0xc9, 0xb3, 0xa2, 0x9e, 0x44, 0xa7, 0x09, 0xf7, 0x5a, 0xc8, 0x93, 0xdb,
-  0xb1, 0x4c, 0xdc, 0x66, 0x60, 0x21, 0xf8, 0x34, 0xbf, 0xd0, 0x48, 0x17,
-  0xea, 0x22, 0x72, 0xae, 0xdb, 0x8b, 0xba, 0x9c, 0x28, 0xc8, 0x3f, 0x89,
-  0x7d, 0x5d, 0xc1, 0x31, 0x92, 0xc6, 0xd3, 0x6e, 0xaf, 0x09, 0x99, 0xd8,
-  0xd5, 0x65, 0xef, 0x72, 0xe0, 0xa3, 0xaa, 0xc6, 0xb0, 0xa3, 0xc0, 0x6c,
-  0xc8, 0x58, 0x4c, 0x18, 0x8b, 0xc1, 0xb2, 0xb0, 0x19, 0xc3, 0x1b, 0xe8,
-  0x8a, 0x06, 0x96, 0x95, 0x6b, 0xae, 0x6e, 0x3e, 0x6e, 0xbf, 0x20, 0x42,
-  0x86, 0xa0, 0x81, 0x91, 0xac, 0xeb, 0x5b, 0x22, 0xbb, 0xa4, 0xba, 0x0b,
-  0x88, 0xec, 0xad, 0x2e, 0xdc, 0x53, 0xb1, 0xd1, 0x7f, 0x3d, 0x1c, 0x1e,
-  0x9c, 0x9f, 0xd4, 0x97, 0x9a, 0x3e, 0xed, 0xbf, 0xb5, 0x5a, 0xf2, 0x5b,
-  0x8e, 0x58, 0xbc, 0x45, 0x98, 0xc7, 0x8f, 0xdc, 0x23, 0x96, 0xae, 0x39,
-  0x4e, 0x04, 0x58, 0x54, 0xdf, 0xd1, 0x65, 0xb6, 0x26, 0xc2, 0x51, 0x81,
-  0x87, 0xd4, 0xc4, 0x99, 0x47, 0x95, 0x1a, 0x95, 0x24, 0x4b, 0xfe, 0x8e,
-  0x34, 0xf5, 0xad, 0xd4, 0x3d, 0xbb, 0x4a, 0xaf, 0x39, 0x48, 0x1f, 0x3f,
-  0xdb, 0x70, 0x98, 0xaa, 0xc7, 0x2d, 0x78, 0xd0, 0x0b, 0xcc, 0x80, 0x3c,
-  0xd3, 0x1c, 0x33, 0x91, 0x9b, 0x15, 0x3b, 0xb9, 0x25, 0xdc, 0x84, 0xdf,
-  0x56, 0xa7, 0x6e, 0x1a, 0x04, 0x4d, 0x40, 0xcc, 0x70, 0x7d, 0xcc, 0x5c,
-  0x0d, 0x92, 0xa0, 0x5d, 0xf1, 0x94, 0xd6, 0x4d, 0x6d, 0x5a, 0x2f, 0xcf,
-  0xf4, 0x97, 0x64, 0x5e, 0x99, 0xae, 0x8a, 0xcb, 0x62, 0xe9, 0x62, 0x97,
-  0xbf, 0x3d, 0x6f, 0x76, 0xc4, 0xba, 0xa9, 0x6d, 0x5c, 0x32, 0xae, 0x73,
-  0x38, 0x82, 0x41, 0x74, 0xb6, 0x08, 0xa4, 0xaf, 0x9b, 0x24, 0xcd, 0xbd,
-  0x47, 0xd4, 0xe7, 0xb3, 0x83, 0x2b, 0x34, 0x27, 0x2b, 0x5a, 0x50, 0x50,
-  0x6e, 0x65, 0x1e, 0x2c, 0x80, 0x14, 0x59, 0x71, 0x5c, 0x57, 0x90, 0xf8,
-  0x79, 0x2a, 0x65, 0x52, 0x2c, 0x48, 0x0f, 0x6d, 0x54, 0x09, 0x15, 0xeb,
-  0xa6, 0x20, 0x1f, 0x30, 0x00, 0x75, 0x81, 0x28, 0x9c, 0x08, 0x98, 0xfd,
-  0xab, 0x8a, 0xd3, 0x05, 0x2e, 0x4f, 0x3a, 0x45, 0x9b, 0x0a, 0x60, 0xd8,
-  0x56, 0x95, 0x4d, 0x7c, 0x06, 0x39, 0xa8, 0xc7, 0xb0, 0xff, 0x35, 0x16,
-  0x24, 0x68, 0x5d, 0x8a, 0x39, 0x0a, 0xfe, 0x56, 0xe0, 0x07, 0x6e, 0x49,
-  0x8b, 0x54, 0x17, 0x62, 0x38, 0x01, 0xc3, 0x57, 0x71, 0x6f, 0x6a, 0x1e,
-  0xff, 0x08, 0x50, 0x41, 0xaa, 0x4e, 0x28, 0xf8, 0x43, 0x03, 0x0b, 0x2a,
-  0x03, 0xc6, 0xca, 0xf7, 0x82, 0x0c, 0x31, 0xc9, 0x96, 0xcc, 0xdf, 0xe4,
-  0xd3, 0xba, 0x07, 0x27, 0x91, 0x22, 0x90, 0x05, 0x3b, 0x85, 0xd8, 0x8b,
-  0xd3, 0x52, 0xa4, 0xc2, 0x41, 0x33, 0xec, 0x47, 0xd1, 0x5f, 0xff, 0xda,
-  0x8b, 0xfe, 0xda, 0xa1, 0xff, 0x4a, 0xfa, 0x8f, 0x16, 0xf4, 0xaf, 0x52,
-  0xf3, 0xe0, 0xaf, 0x77, 0x74, 0x81, 0x46, 0x5c, 0xbb, 0xb0, 0x98, 0x32,
-  0x88, 0x80, 0x07, 0xb4, 0x6f, 0xe6, 0x11, 0x4a, 0x88, 0xa1, 0x16, 0xf1,
-  0xe0, 0xb3, 0x0f, 0x13, 0xd6, 0xc4, 0xad, 0x95, 0xa4, 0xd6, 0xd0, 0x86,
-  0x2d, 0x67, 0x73, 0x51, 0x90, 0x75, 0xeb, 0x41, 0xd4, 0x0d, 0x2d, 0x92,
-  0x18, 0x61, 0xf7, 0x93, 0xae, 0xba, 0xcd, 0x4b, 0x4b, 0x6d, 0x0d, 0xa3,
-  0x34, 0xf1, 0x9e, 0xab, 0x4a, 0xae, 0x05, 0x23, 0x61, 0x19, 0x6e, 0x8b,
-  0xd7, 0x84, 0x22, 0x7e, 0xc6, 0xc6, 0x3c, 0x29, 0x30, 0x0a, 0x9e, 0x2a,
-  0x1c, 0x83, 0x0d, 0xd2, 0xd1, 0xe2, 0x66, 0x05, 0x3d, 0x53, 0x68, 0x50,
-  0x7c, 0x76, 0x16, 0xe3, 0x4b, 0xa3, 0x6c, 0x29, 0x3f, 0xd2, 0x14, 0xbe,
-  0x03, 0x64, 0x36, 0xa7, 0x31, 0xb1, 0xdb, 0x3d, 0xe0, 0x2b, 0x34, 0xbe,
-  0x6e, 0xbf, 0x5b, 0xc5, 0x46, 0xb4, 0x5a, 0x37, 0x6d, 0xf5, 0x70, 0x82,
-  0xd2, 0x35, 0x8d, 0x1a, 0x9a, 0x1e, 0xf9, 0x4b, 0xa2, 0xd4, 0x46, 0xc2,
-  0x81, 0x9c, 0x2b, 0x09, 0x2e, 0x42, 0xb3, 0x9c, 0x85, 0xe7, 0xac, 0x87,
-  0x1b, 0xa7, 0x51, 0xb3, 0x44, 0x52, 0xd3, 0xbc, 0x2f, 0x0a, 0xe9, 0xfd,
-  0x5e, 0x15, 0xea, 0xf7, 0xa5, 0xca, 0xa6, 0x38, 0xce, 0x99, 0x3c, 0x50,
-  0xa7, 0x70, 0xc5, 0xc1, 0x36, 0x8b, 0x86, 0xe5, 0x91, 0x57, 0xd9, 0xde,
-  0xe4, 0x71, 0x30, 0x67, 0xe6, 0x82, 0x3b, 0xf7, 0x73, 0xe5, 0x21, 0xc3,
-  0x0c, 0x00, 0xd4, 0x62, 0x98, 0x52, 0x54, 0x99, 0xc2, 0x07, 0x69, 0xb4,
-  0x78, 0xed, 0x1b, 0x66, 0x2a, 0x1e, 0xcf, 0xab, 0xa8, 0xb3, 0x56, 0x4b,
-  0xe9, 0xd4, 0x5f, 0x38, 0xcd, 0xe0, 0xdc, 0x54, 0x1b, 0xbb, 0xa0, 0xfd,
-  0x89, 0xa5, 0xcd, 0x60, 0xda, 0xa6, 0x40, 0x25, 0x11, 0x0b, 0x87, 0x2f,
-  0xfa, 0x6d, 0x0c, 0x7e, 0x8d, 0x2f, 0x46, 0x9c, 0x58, 0x02, 0x1d, 0xa9,
-  0xa7, 0x92, 0xeb, 0xa5, 0xae, 0x83, 0x3d, 0x35, 0x1b, 0x0b, 0xe7, 0xf0,
-  0xdf, 0xb2, 0xd0, 0x94, 0x96, 0x66, 0x85, 0xd8, 0x34, 0x6d, 0xef, 0xef,
-  0x76, 0x8f, 0x6d, 0xa9, 0x8d, 0x5c, 0xf2, 0x52, 0xd7, 0xa1, 0x84, 0x55,
-  0xb9, 0x28, 0x94, 0x0a, 0x18, 0xad, 0x52, 0x48, 0xf6, 0x57, 0x24, 0x4c,
-  0x4f, 0xaa, 0xb1, 0xc4, 0x6b, 0xa9, 0x1a, 0x8a, 0x0e, 0xf7, 0x98, 0x48,
-  0xb6, 0x85, 0x2e, 0x82, 0xe7, 0x2c, 0xf0, 0x39, 0x14, 0x4e, 0x40, 0xce,
-  0x72, 0xd2, 0x62, 0x1b, 0x3b, 0xb3, 0xbb, 0xa5, 0x2a, 0x3d, 0xca, 0xff,
-  0xa1, 0x1a, 0xa4, 0xaa, 0x60, 0x9d, 0x9b, 0x4c, 0xb0, 0x7e, 0x3a, 0xfb,
-  0xac, 0x56, 0x09, 0x57, 0xb0, 0x39, 0xba, 0xd0, 0xfa, 0x7a, 0x4e, 0x0e,
-  0x83, 0x29, 0x7d, 0x73, 0xf6, 0xe6, 0xd8, 0x65, 0xbc, 0x8a, 0xa9, 0x8f,
-  0x3f, 0x69, 0xc5, 0x78, 0x1c, 0x20, 0x9b, 0xc0, 0x10, 0x20, 0x7a, 0xcd,
-  0x5a, 0x9e, 0x58, 0x9d, 0xeb, 0xa4, 0x5c, 0xdc, 0x2f, 0xd3, 0xc9, 0x26,
-  0x50, 0x3a, 0xde, 0xbd, 0x3d, 0xf9, 0xa1, 0x0f, 0x33, 0xb1, 0xea, 0x71,
-  0x06, 0x53, 0x61, 0x08, 0x17, 0xea, 0x4f, 0x98, 0xb5, 0x60, 0xb2, 0x58,
-  0x71, 0x06, 0xd0, 0x8b, 0xc2, 0x12, 0x21, 0xd9, 0x2f, 0x9d, 0x8b, 0x14,
-  0x23, 0x4d, 0x6e, 0x31, 0x0b, 0x22, 0xfe, 0x0d, 0xb4, 0x25, 0xec, 0x7b,
-  0x4b, 0xf6, 0x6e, 0xb0, 0xdf, 0xdc, 0xdc, 0xc1, 0xf9, 0xf9, 0xd1, 0xc1,
-  0xe5, 0x81, 0x9b, 0x1b, 0xc0, 0x8d, 0xc0, 0xe6, 0x20, 0xce, 0xb0, 0x5e,
-  0x9f, 0x0b, 0x09, 0x76, 0x3f, 0xe5, 0xfc, 0xc0, 0x3a, 0xe7, 0x3b, 0xbf,
-  0x38, 0x63, 0x4b, 0xe3, 0xa7, 0x7f, 0x3d, 0xf0, 0x95, 0xe4, 0x50, 0x33,
-  0xa9, 0x59, 0xd0, 0x6b, 0x8f, 0x04, 0xb8, 0x33, 0x84, 0x74, 0xd8, 0x00,
-  0x35, 0x52, 0x48, 0x04, 0xb9, 0xe8, 0x3d, 0xef, 0x69, 0x3e, 0x76, 0xc2,
-  0x09, 0xec, 0x9f, 0xba, 0x9d, 0xbd, 0x66, 0x6e, 0x59, 0x30, 0x11, 0xe6,
-  0xb6, 0x35, 0xac, 0x27, 0x5b, 0xab, 0x69, 0x94, 0x3c, 0x24, 0xe3, 0x65,
-  0x09, 0xf6, 0xc5, 0xd1, 0xed, 0x4c, 0x5f, 0x13, 0x5e, 0xa8, 0xba, 0xa3,
-  0xde, 0xed, 0x8f, 0x6d, 0x90, 0x20, 0x90, 0xe0, 0x0a, 0x10, 0x1e, 0x24,
-  0x49, 0x9d, 0x99, 0x14, 0xd0, 0x18, 0xd8, 0x68, 0xd5, 0x66, 0xd5, 0x38,
-  0x3b, 0x02, 0xa2, 0x48, 0x74, 0x6e, 0x73, 0x68, 0x2c, 0xc8, 0x27, 0xc4,
-  0xf4, 0xfa, 0x16, 0x62, 0x2a, 0xd3, 0xa6, 0x0f, 0x1a, 0x0f, 0x95, 0xae,
-  0x16, 0x04, 0x8b, 0x49, 0x4d, 0xef, 0xa7, 0xf2, 0xa9, 0x90, 0x41, 0xd5,
-  0x4d, 0x3d, 0x0a, 0x1a, 0xa3, 0x4f, 0x01, 0xaa, 0x18, 0x51, 0x88, 0x4d,
-  0x7f, 0x8e, 0x39, 0x16, 0xe9, 0x51, 0x92, 0x8a, 0x49, 0xc4, 0xe5, 0xbf,
-  0xb6, 0x77, 0x07, 0x3b, 0x9d, 0xe6, 0xe8, 0x91, 0xd2, 0x0a, 0xcb, 0x78,
-  0x3c, 0x97, 0xfb, 0x59, 0x80, 0x79, 0xb3, 0x0f, 0x0f, 0x50, 0x38, 0x28,
-  0xc9, 0x7c, 0x88, 0x5a, 0x68, 0x1b, 0x4b, 0xff, 0xac, 0xe1, 0x1d, 0x12,
-  0x0f, 0xa7, 0x67, 0xc9, 0xf3, 0x0c, 0x61, 0xa5, 0x31, 0x1b, 0xcb, 0xe0,
-  0x27, 0xe8, 0xb4, 0x2f, 0xf0, 0x7c, 0x22, 0xd1, 0x0e, 0xb5, 0x75, 0xfe,
-  0x97, 0x82, 0x04, 0xdd, 0xfe, 0xfb, 0xcf, 0xd7, 0x73, 0xbb, 0x8a, 0x5b,
-  0x94, 0x94, 0x20, 0xd0, 0x63, 0x2b, 0xf8, 0xea, 0x81, 0x00, 0x20, 0xd7,
-  0x82, 0x9f, 0xd8, 0x13, 0xcb, 0x75, 0x06, 0x39, 0xb0, 0x8a, 0xf5, 0x27,
-  0xcd, 0xe1, 0x9c, 0x05, 0x15, 0x03, 0x63, 0x09, 0x49, 0x6e, 0x5c, 0x1d,
-  0xae, 0xbe, 0xb4, 0x76, 0xdb, 0x97, 0x9b, 0x56, 0xad, 0x74, 0x28, 0xd4,
-  0x12, 0xd4, 0xd1, 0x0e, 0xd3, 0xf7, 0xd7, 0xc0, 0x83, 0x98, 0x98, 0x4a,
-  0xea, 0xe0, 0x54, 0xf0, 0x54, 0x24, 0x9c, 0x56, 0xb4, 0x28, 0x19, 0x93,
-  0x78, 0xdc, 0xbd, 0x1b, 0x8a, 0xdf, 0xfb, 0x43, 0x5b, 0x71, 0xee, 0x7d,
-  0x9d, 0xa9, 0xc2, 0x2f, 0x94, 0xea, 0xb8, 0xe7, 0x30, 0x0f, 0xcd, 0x54,
-  0xea, 0xbf, 0x76, 0x66, 0x35, 0xb3, 0xbb, 0x51, 0x8f, 0xb4, 0xe6, 0x4d,
-  0x90, 0x50, 0x09, 0x76, 0xcf, 0xf2, 0x19, 0x2a, 0x88, 0x01, 0xa6, 0x0f,
-  0xcc, 0x20, 0x63, 0x80, 0x85, 0xd8, 0x40, 0xef, 0xf4, 0x08, 0x50, 0x47,
-  0xd7, 0x24, 0x1b, 0xaf, 0x45, 0x44, 0x35, 0x90, 0x11, 0x5f, 0x86, 0x97,
-  0xbd, 0x03, 0x85, 0xa5, 0xd6, 0xbe, 0x07, 0x7e, 0xd6, 0x64, 0xb2, 0xf9,
-  0x64, 0x4b, 0xd6, 0xde, 0x55, 0xd8, 0x86, 0xe3, 0xee, 0x83, 0x55, 0xb5,
-  0x3f, 0xa4, 0x3e, 0x7a, 0xe7, 0x47, 0x1b, 0xea, 0x4d, 0x45, 0xb1, 0x7c,
-  0x34, 0xcf, 0x66, 0x4a, 0xa2, 0x4e, 0xd9, 0x87, 0x69, 0xe9, 0x25, 0x09,
-  0x5c, 0xc9, 0xe4, 0x8b, 0x47, 0xa4, 0xc9, 0x59, 0xfc, 0x90, 0xce, 0x96,
-  0x33, 0x9f, 0x18, 0x87, 0xf7, 0x7c, 0x99, 0x07, 0x0f, 0xca, 0x05, 0x8b,
-  0x46, 0x1b, 0xbe, 0x94, 0xfa, 0xbd, 0x74, 0x7e, 0x40, 0x26, 0x96, 0x18,
-  0x22, 0x38, 0x55, 0x98, 0x0a, 0x69, 0x3c, 0x6c, 0x14, 0x4a, 0x17, 0x89,
-  0xd1, 0x6c, 0x77, 0x22, 0x6e, 0x53, 0xa6, 0xa0, 0xfa, 0xa6, 0xda, 0x48,
-  0x50, 0xd5, 0x40, 0x7c, 0x12, 0x12, 0x10, 0x34, 0x2f, 0x39, 0x5b, 0x6e,
-  0x44, 0x4d, 0xdc, 0xa7, 0x93, 0xf2, 0xa6, 0x15, 0x6f, 0x50, 0x16, 0x11,
-  0xd3, 0x8e, 0x04, 0xa1, 0x84, 0x03, 0x4c, 0xb0, 0x52, 0x70, 0x19, 0x6f,
-  0x8b, 0xdd, 0xd8, 0x25, 0xdb, 0xc7, 0x44, 0x75, 0x57, 0x9c, 0x1d, 0xd1,
-  0xa2, 0x27, 0x68, 0x58, 0xdc, 0xc0, 0x9d, 0x51, 0xa9, 0x9a, 0x79, 0x2b,
-  0x41, 0xa8, 0xdf, 0xaa, 0x5d, 0x44, 0x80, 0x8b, 0x10, 0x4f, 0x2d, 0xd1,
-  0x55, 0x74, 0x83, 0xde, 0xa6, 0xd3, 0x66, 0x21, 0xc5, 0x15, 0x94, 0xa9,
-  0xee, 0x0c, 0xaf, 0xbf, 0xe9, 0xaa, 0x05, 0x1f, 0xd5, 0x92, 0xd5, 0x9f,
-  0xad, 0x89, 0x0f, 0x51, 0xf7, 0x5a, 0xba, 0xf8, 0xba, 0xeb, 0xb2, 0x28,
-  0x1a, 0x57, 0xa0, 0x77, 0x82, 0xdb, 0x2d, 0x52, 0xec, 0x47, 0x7b, 0x3b,
-  0x3b, 0xdf, 0xf6, 0xa2, 0x27, 0x52, 0x61, 0x76, 0xf7, 0xeb, 0xd6, 0x15,
-  0xb2, 0x62, 0x4f, 0x52, 0xc3, 0x53, 0x75, 0xd0, 0xf8, 0x0e, 0xec, 0x5e,
-  0x17, 0x0e, 0x53, 0x62, 0xdf, 0xd3, 0x32, 0x37, 0x41, 0x5b, 0x16, 0x7f,
-  0xcd, 0x56, 0xc1, 0x8c, 0x5d, 0x87, 0x42, 0x98, 0x21, 0x66, 0x88, 0x77,
-  0xef, 0x86, 0x7e, 0x4b, 0x7c, 0xfe, 0xa7, 0x74, 0xd2, 0x92, 0x81, 0x5c,
-  0xdc, 0xf0, 0xe9, 0x1f, 0x2d, 0x73, 0x1c, 0x65, 0x76, 0x83, 0x4a, 0xd9,
-  0x22, 0x36, 0xad, 0x9b, 0x60, 0x45, 0xb2, 0x82, 0xaf, 0xb0, 0xea, 0x81,
-  0x6a, 0x78, 0x32, 0x83, 0x75, 0x75, 0x21, 0x25, 0x19, 0xc0, 0xd5, 0x8e,
-  0xfd, 0x91, 0x74, 0x26, 0x0c, 0x41, 0x4e, 0x8a, 0xd3, 0x3b, 0x24, 0x9c,
-  0xd3, 0xbb, 0x18, 0xeb, 0x93, 0x65, 0xad, 0x4a, 0xd4, 0x54, 0xd8, 0x97,
-  0x61, 0x0b, 0xc7, 0x1c, 0x19, 0x3e, 0x6d, 0xa1, 0x85, 0x45, 0x78, 0x20,
-  0xd2, 0x2e, 0x58, 0xee, 0x94, 0x1f, 0x98, 0xae, 0x7a, 0x4d, 0xb5, 0x83,
-  0xc3, 0x02, 0xe1, 0x0f, 0xb0, 0x15, 0x0e, 0x87, 0xc4, 0xb9, 0xb3, 0x63,
-  0x14, 0xb2, 0xe1, 0xd0, 0xae, 0xdf, 0xcf, 0x2c, 0x35, 0x65, 0x40, 0xfe,
-  0xb4, 0x28, 0xfb, 0xec, 0xde, 0x6d, 0xb7, 0x75, 0x42, 0xaf, 0xd0, 0x8c,
-  0x72, 0x83, 0x9a, 0x9a, 0x78, 0x38, 0x4c, 0x31, 0x65, 0x4b, 0xed, 0x0d,
-  0x04, 0x52, 0xf2, 0x91, 0x62, 0xf6, 0xd5, 0x6f, 0x04, 0xfa, 0x11, 0xa3,
-  0xbc, 0x4b, 0x93, 0x7b, 0x3a, 0x4e, 0xc7, 0x1e, 0x93, 0xac, 0xca, 0x31,
-  0xac, 0xf2, 0x05, 0x51, 0xfd, 0xf8, 0x86, 0xee, 0x93, 0x3e, 0xc2, 0xae,
-  0xdb, 0xe4, 0x76, 0x17, 0xa5, 0x8c, 0x70, 0x34, 0xd6, 0xb3, 0x50, 0x92,
-  0xc5, 0x67, 0xc1, 0x17, 0x28, 0x78, 0x82, 0x63, 0x29, 0x11, 0xce, 0xfe,
-  0x2b, 0x1e, 0xc5, 0x1a, 0x10, 0x2c, 0xc1, 0x80, 0x75, 0x30, 0x57, 0xd0,
-  0x1d, 0xb3, 0xdc, 0xb0, 0x64, 0x1f, 0x17, 0x1b, 0x40, 0x9f, 0xba, 0x42,
-  0x6f, 0x4f, 0x87, 0x1e, 0x1d, 0xc0, 0x5c, 0x81, 0x05, 0x2c, 0x05, 0xc4,
-  0x7f, 0x59, 0x28, 0xe4, 0xc7, 0xda, 0xcb, 0x13, 0x39, 0xcc, 0x7c, 0xc4,
-  0x07, 0x21, 0xfe, 0x45, 0x04, 0xdc, 0x34, 0xaf, 0xc0, 0x3d, 0x70, 0x1f,
-  0x7f, 0x11, 0x73, 0x9b, 0x04, 0xa5, 0xb5, 0x47, 0xaa, 0x70, 0x3a, 0x5d,
-  0x58, 0x31, 0x1d, 0xc6, 0x66, 0x64, 0x79, 0x11, 0x89, 0xd1, 0xa5, 0x7d,
-  0x5b, 0x95, 0x54, 0x38, 0x47, 0x43, 0x90, 0x61, 0x5e, 0x12, 0x3f, 0xfb,
-  0xe2, 0xa7, 0x3e, 0xfd, 0xfb, 0x73, 0xc3, 0x17, 0x58, 0x0a, 0x9e, 0x8c,
-  0x9a, 0xb4, 0x2c, 0xac, 0x34, 0xf7, 0xf8, 0xf8, 0x52, 0xbf, 0x1e, 0xed,
-  0xc8, 0xb7, 0x45, 0x50, 0x56, 0xa0, 0x3d, 0x44, 0xc2, 0x7c, 0x73, 0x9b,
-  0x05, 0x23, 0x84, 0x56, 0x0a, 0x00, 0x08, 0x3a, 0x88, 0x35, 0xc4, 0x96,
-  0x81, 0xb9, 0xdc, 0x39, 0xf0, 0xc0, 0xd6, 0x97, 0x71, 0x1c, 0xb3, 0x9c,
-  0xe3, 0xdc, 0x92, 0xbe, 0x16, 0xe4, 0x88, 0xdd, 0xac, 0xc5, 0x8a, 0xd1,
-  0x9e, 0x44, 0xa0, 0x2b, 0x32, 0x97, 0xd0, 0x02, 0x42, 0xc6, 0xf0, 0x9b,
-  0x8e, 0x5c, 0x06, 0x24, 0x92, 0xd8, 0x0c, 0x12, 0x70, 0xa9, 0xeb, 0x3c,
-  0xcf, 0xee, 0xed, 0xec, 0x6b, 0x50, 0x72, 0x20, 0x33, 0x78, 0x27, 0x23,
-  0xb5, 0xbd, 0x5c, 0xb4, 0x78, 0x5e, 0x39, 0x55, 0xa1, 0x01, 0x24, 0x12,
-  0x66, 0x62, 0x86, 0x85, 0x32, 0x5a, 0xc3, 0x53, 0x80, 0x23, 0xbf, 0x65,
-  0x06, 0x30, 0x57, 0xd6, 0x44, 0x2c, 0xd9, 0x2e, 0xeb, 0x44, 0x03, 0xb7,
-  0x05, 0x44, 0xe7, 0x3a, 0x69, 0x2b, 0x51, 0x2e, 0x89, 0xd5, 0xc0, 0x5d,
-  0xb0, 0xa8, 0xeb, 0x32, 0x72, 0x35, 0x3a, 0x36, 0xd9, 0x93, 0x39, 0x86,
-  0xf9, 0x4b, 0x03, 0xc2, 0xeb, 0x85, 0x32, 0x5a, 0x70, 0x09, 0xe2, 0xe8,
-  0xc9, 0x0f, 0x3f, 0x54, 0xc1, 0x09, 0xb7, 0x7a, 0x15, 0x8e, 0xe5, 0x03,
-  0x38, 0x54, 0xbe, 0x20, 0x22, 0xca, 0xda, 0x4e, 0xb9, 0x45, 0xda, 0x9b,
-  0x5d, 0x97, 0x03, 0x31, 0xa0, 0xc5, 0xc1, 0xf6, 0xa7, 0xb8, 0xcb, 0x52,
-  0x09, 0x5b, 0x43, 0xdf, 0x83, 0x38, 0xb0, 0xa6, 0x83, 0xc4, 0x85, 0xfc,
-  0xf4, 0x5c, 0xe4, 0xad, 0x04, 0x9e, 0x20, 0x38, 0xcd, 0xd6, 0x8a, 0x97,
-  0xaa, 0x70, 0x04, 0x43, 0x97, 0xd2, 0xfd, 0xbc, 0xbd, 0xb2, 0x49, 0xcd,
-  0xed, 0xe3, 0x0a, 0x1c, 0x68, 0x10, 0x21, 0xce, 0xaf, 0x94, 0xe4, 0x61,
-  0xfb, 0xd4, 0x38, 0x4f, 0xd4, 0x77, 0x63, 0xe5, 0x82, 0x1a, 0xe7, 0x55,
-  0xec, 0x3c, 0x1c, 0x66, 0x85, 0xf9, 0x71, 0x12, 0xaf, 0x9c, 0x5c, 0x5c,
-  0x3e, 0x3e, 0x96, 0x21, 0xdc, 0x2b, 0x3c, 0xde, 0x6b, 0x11, 0x10, 0xee,
-  0x51, 0x7e, 0x04, 0x8c, 0xc7, 0xec, 0x77, 0x08, 0xba, 0xd2, 0xc4, 0x24,
-  0xdc, 0x05, 0xf9, 0x9f, 0x5b, 0xcb, 0xf1, 0xf1, 0xfe, 0xb7, 0x55, 0x1c,
-  0xec, 0x97, 0xf9, 0x12, 0x4b, 0xc4, 0x3e, 0x5f, 0xce, 0x2b, 0xcf, 0x7c,
-  0x3a, 0x19, 0xbb, 0xf9, 0x2c, 0xba, 0x4c, 0x2e, 0x31, 0xef, 0x6d, 0x6d,
-  0x09, 0x02, 0xb1, 0x99, 0x89, 0x09, 0x07, 0x26, 0xa0, 0x6a, 0x78, 0x44,
-  0xbf, 0x4f, 0xa2, 0x69, 0x1f, 0x8f, 0x15, 0x8d, 0xca, 0x0e, 0xa1, 0xcd,
-  0x4b, 0xe1, 0x39, 0xb3, 0xa9, 0x96, 0x72, 0x71, 0x6b, 0x66, 0x3a, 0x84,
-  0x11, 0x91, 0xba, 0x8c, 0x62, 0xa6, 0x20, 0x3a, 0x74, 0x5f, 0x1f, 0xd7,
-  0x8b, 0x5a, 0x6d, 0x02, 0x23, 0x4f, 0x55, 0x45, 0x24, 0x4f, 0xd0, 0xdf,
-  0xe7, 0xef, 0x2e, 0xb7, 0x7c, 0x3d, 0xbb, 0x49, 0x56, 0xb3, 0x59, 0x59,
-  0xe3, 0x2d, 0x99, 0x28, 0x92, 0xa1, 0xa0, 0xa0, 0x0c, 0x48, 0x33, 0x71,
-  0x67, 0x82, 0x71, 0x14, 0x9e, 0xec, 0xec, 0x92, 0xa8, 0xb6, 0xb3, 0x07,
-  0xab, 0xcb, 0x93, 0x9d, 0x27, 0xce, 0x9c, 0x6d, 0x4f, 0x35, 0x6e, 0xbc,
-  0x89, 0xbc, 0x08, 0xb5, 0x10, 0x24, 0xff, 0xe4, 0xe1, 0x01, 0x1f, 0xf7,
-  0xea, 0x28, 0x3d, 0x85, 0x2a, 0x94, 0x49, 0x50, 0xe3, 0x79, 0xcd, 0xd1,
-  0xf2, 0x2b, 0x0e, 0xf3, 0xc9, 0x72, 0x2e, 0xb1, 0x5f, 0xac, 0xfc, 0x22,
-  0xe3, 0xa1, 0x7e, 0x39, 0x84, 0x74, 0xf0, 0x18, 0x6b, 0x3a, 0x65, 0xf1,
-  0xbe, 0xc2, 0xc8, 0x7a, 0x1e, 0xd3, 0x41, 0x10, 0x7f, 0x4d, 0xb9, 0xb3,
-  0x5c, 0xc4, 0x5a, 0x73, 0x7f, 0xf6, 0xa9, 0xb6, 0x52, 0x1f, 0x05, 0xa4,
-  0x1e, 0xb0, 0x37, 0xd4, 0xbc, 0xe2, 0x84, 0x31, 0x7f, 0x4c, 0xb2, 0x81,
-  0xe1, 0xad, 0x36, 0xf2, 0x20, 0x68, 0x95, 0xad, 0x42, 0x60, 0xca, 0x20,
-  0x0c, 0x93, 0xe5, 0x18, 0x77, 0x3d, 0x87, 0xbd, 0x70, 0xc1, 0xbf, 0x91,
-  0x60, 0x3e, 0x1a, 0x88, 0x06, 0xb7, 0xed, 0x89, 0xb4, 0xa9, 0x66, 0xe3,
-  0x18, 0xe2, 0x29, 0x97, 0xb4, 0xcb, 0x7a, 0x0d, 0x1b, 0x8c, 0x5c, 0xaa,
-  0x70, 0x83, 0x41, 0xcc, 0xaf, 0x32, 0x83, 0xa8, 0x6d, 0x82, 0xf4, 0x82,
-  0x2c, 0xe1, 0xa2, 0x33, 0xf3, 0x70, 0x2c, 0xb5, 0x21, 0x41, 0x3b, 0x5f,
-  0x71, 0xb0, 0x5a, 0xad, 0xc5, 0x0a, 0x0c, 0xeb, 0x8c, 0x31, 0x65, 0xf3,
-  0x31, 0x1d, 0xee, 0x97, 0x1a, 0xb3, 0xd9, 0x74, 0xf5, 0x0b, 0xee, 0x88,
-  0xe9, 0x7f, 0x98, 0x00, 0xa0, 0x22, 0x3d, 0xec, 0x94, 0x2e, 0xad, 0x48,
-  0xd5, 0x33, 0x20, 0x10, 0x8b, 0x27, 0xb9, 0x99, 0xb8, 0x05, 0x68, 0x55,
-  0xb7, 0xe2, 0x1f, 0x65, 0x3d, 0x71, 0xf6, 0xff, 0x16, 0xb4, 0x48, 0x5a,
-  0xe8, 0x74, 0xc1, 0x10, 0x5f, 0x4d, 0xdb, 0xf6, 0x7a, 0x8c, 0x12, 0x9d,
-  0x36, 0xb8, 0xf8, 0xbf, 0x73, 0xda, 0xf0, 0xbb, 0xfe, 0xba, 0x61, 0x3e,
-  0xa0, 0x48, 0x0d, 0xe2, 0x2c, 0x5f, 0x42, 0x71, 0xfb, 0x18, 0xb5, 0x1c,
-  0x8f, 0x6f, 0x9a, 0xf2, 0xba, 0xe5, 0x53, 0xad, 0x45, 0x27, 0x37, 0x38,
-  0x27, 0xc4, 0x4f, 0xb4, 0x49, 0x55, 0x78, 0xd4, 0x5f, 0x6d, 0x69, 0x35,
-  0x94, 0x1a, 0x77, 0x32, 0xf2, 0x2e, 0x7b, 0x55, 0x74, 0x9c, 0x35, 0x35,
-  0x06, 0x11, 0xf8, 0x28, 0x45, 0xea, 0x83, 0x28, 0x79, 0xc0, 0x1f, 0xe3,
-  0xf6, 0x4d, 0x1e, 0xe0, 0x76, 0x21, 0x3e, 0xf5, 0xfc, 0xc9, 0xa0, 0xdd,
-  0xf6, 0x73, 0x59, 0x09, 0x38, 0x35, 0x96, 0x2c, 0x2e, 0x0a, 0x81, 0x93,
-  0x59, 0xe4, 0x8c, 0x2b, 0x1b, 0xce, 0x4e, 0x6a, 0x18, 0xb4, 0xe0, 0x6f,
-  0x14, 0x0c, 0x02, 0x2e, 0x12, 0x72, 0xb9, 0x16, 0x23, 0xcc, 0x4a, 0x72,
-  0xb9, 0x50, 0x57, 0xcc, 0xb2, 0xe1, 0x3d, 0x96, 0xd4, 0x11, 0x64, 0x63,
-  0x48, 0x92, 0x65, 0x63, 0xa1, 0x54, 0x6f, 0xc6, 0xe5, 0xe6, 0xc2, 0x4a,
-  0xb9, 0x3a, 0x4d, 0x92, 0x37, 0x42, 0xa9, 0x90, 0xc1, 0xce, 0x8a, 0x00,
-  0x2f, 0x16, 0xce, 0x6f, 0x10, 0xd7, 0xef, 0xa8, 0x62, 0xb6, 0x2d, 0x84,
-  0xf1, 0x68, 0x44, 0xdb, 0x1b, 0x25, 0x05, 0xd1, 0x83, 0xe1, 0x3d, 0xd4,
-  0x27, 0x85, 0x6e, 0x59, 0x6f, 0x12, 0x7e, 0x8a, 0xfa, 0xbe, 0x37, 0xd9,
-  0x34, 0x34, 0xc3, 0x35, 0xdd, 0x5d, 0x24, 0x49, 0x0c, 0x3c, 0x8a, 0xaa,
-  0xea, 0x5f, 0xbc, 0x9a, 0x5a, 0x49, 0x38, 0xb5, 0xfa, 0x05, 0x23, 0xd4,
-  0x42, 0xff, 0x5b, 0x36, 0xb2, 0x12, 0x82, 0x7c, 0xd5, 0xb7, 0x21, 0xd7,
-  0x8a, 0x6f, 0xe5, 0x86, 0x6b, 0xc0, 0xd1, 0xa6, 0x2d, 0x85, 0x36, 0x19,
-  0x8a, 0x95, 0xe4, 0xb5, 0x92, 0x95, 0x58, 0x44, 0x8f, 0x43, 0xd5, 0x88,
-  0xae, 0x91, 0xbc, 0x37, 0x11, 0x99, 0x8a, 0x44, 0x8e, 0x06, 0x68, 0x9c,
-  0xab, 0xec, 0xa4, 0x72, 0x34, 0x16, 0x87, 0x5d, 0x61, 0x6b, 0x64, 0x80,
-  0xdf, 0x4e, 0x19, 0x7e, 0x83, 0xdd, 0x98, 0x37, 0xa3, 0xf6, 0xde, 0xe0,
-  0xc3, 0x01, 0x57, 0xac, 0xe4, 0x18, 0x6a, 0x71, 0x4e, 0x2c, 0x35, 0xb5,
-  0x4f, 0xaa, 0x26, 0xfb, 0x56, 0xe6, 0xdb, 0x5c, 0xc6, 0xb8, 0xcc, 0xc7,
-  0x8d, 0x46, 0x9c, 0x04, 0x57, 0x8c, 0xd5, 0x76, 0x31, 0xc0, 0x83, 0xc4,
-  0x38, 0xde, 0xeb, 0x2f, 0x7c, 0x49, 0xa8, 0x0f, 0x67, 0xcb, 0x45, 0x6e,
-  0xb4, 0x06, 0x4f, 0xb0, 0xf0, 0xd6, 0x2d, 0x9c, 0x7f, 0x41, 0x35, 0x5b,
-  0xde, 0x08, 0xe0, 0x6e, 0xb5, 0xd5, 0x5b, 0x76, 0x78, 0xb2, 0xab, 0x45,
-  0x23, 0x78, 0x22, 0x28, 0x64, 0x72, 0x25, 0xd5, 0xa9, 0xcc, 0x6f, 0xe5,
-  0x25, 0x6d, 0x57, 0xc0, 0x2a, 0x4c, 0x92, 0x51, 0x6c, 0x94, 0x96, 0xd1,
-  0x45, 0x8d, 0xc2, 0xd6, 0x10, 0x31, 0x31, 0xd3, 0xcd, 0xa7, 0x5b, 0x50,
-  0xab, 0xcb, 0xc5, 0xe6, 0xee, 0x16, 0x7a, 0xb4, 0x64, 0x7e, 0x11, 0xf4,
-  0x5b, 0xfd, 0xd5, 0x5a, 0xcf, 0x25, 0xac, 0xb4, 0x5a, 0x0a, 0x20, 0x2c,
-  0x8b, 0x73, 0x38, 0xe1, 0xac, 0x2b, 0xca, 0xaa, 0x39, 0x54, 0x6b, 0x36,
-  0x42, 0xb6, 0x71, 0x46, 0x49, 0x69, 0x5b, 0xb0, 0xa3, 0xa6, 0x10, 0xc8,
-  0xf5, 0x4d, 0x8f, 0x40, 0x0c, 0xf7, 0x73, 0x62, 0xa5, 0x44, 0x68, 0xf9,
-  0xa6, 0x93, 0x3e, 0x0f, 0xf8, 0x3a, 0xcf, 0x9a, 0x08, 0x61, 0xec, 0x64,
-  0xe7, 0x35, 0xd8, 0x12, 0x3f, 0x68, 0x6b, 0x99, 0x8c, 0x0e, 0x3b, 0x14,
-  0x3b, 0x1e, 0x2c, 0x9c, 0xb1, 0x9a, 0x52, 0x95, 0xd1, 0xea, 0x86, 0xa1,
-  0xca, 0x96, 0x36, 0xe8, 0xfd, 0x80, 0xa3, 0x35, 0xd2, 0xf1, 0xad, 0xfa,
-  0x62, 0x05, 0x7c, 0x19, 0x3e, 0x2a, 0x14, 0x51, 0x16, 0xe1, 0x95, 0xae,
-  0x09, 0x95, 0xcf, 0xa1, 0x82, 0xd2, 0x9d, 0xa1, 0xa4, 0xd6, 0x52, 0xa5,
-  0x86, 0xcf, 0xa9, 0x29, 0x16, 0x48, 0x40, 0xca, 0xf4, 0x06, 0x82, 0x05,
-  0x46, 0xb4, 0x91, 0x49, 0xc6, 0x11, 0xb2, 0xec, 0x67, 0x11, 0x2a, 0x90,
-  0xfd, 0x6d, 0x91, 0xd9, 0xba, 0xb3, 0x15, 0xa7, 0xa1, 0x77, 0xab, 0x20,
-  0xed, 0x5d, 0x62, 0x58, 0x74, 0x4f, 0x74, 0x6d, 0x79, 0x61, 0x56, 0x79,
-  0x04, 0x48, 0x63, 0x5d, 0xdf, 0x42, 0xda, 0xd2, 0x85, 0x6f, 0x5d, 0x1a,
-  0x0f, 0xee, 0x5a, 0x4c, 0xb5, 0x6f, 0x7e, 0xf7, 0x5a, 0xdb, 0xdf, 0xd9,
-  0x82, 0x69, 0xe7, 0xf6, 0xbc, 0x15, 0x85, 0xf6, 0xac, 0x44, 0x2c, 0xaf,
-  0xc1, 0x39, 0x5d, 0x16, 0xcd, 0x04, 0x3f, 0x57, 0x84, 0xcd, 0xa2, 0x16,
-  0xd8, 0xe2, 0x13, 0x5b, 0x6d, 0x19, 0xe1, 0x64, 0xf2, 0xb6, 0xb6, 0xca,
-  0x84, 0x39, 0xa8, 0x0c, 0x56, 0x43, 0xdc, 0x1e, 0x2f, 0x18, 0x5f, 0x89,
-  0x86, 0x6b, 0x9e, 0x2c, 0x18, 0x76, 0x2b, 0xcf, 0xb4, 0xa7, 0x2f, 0xb3,
-  0xfe, 0x30, 0x49, 0x38, 0xd4, 0x48, 0xa0, 0x03, 0xde, 0xa4, 0xe3, 0x3c,
-  0x2b, 0xb2, 0x2b, 0xb9, 0xd5, 0x8d, 0x3c, 0x9d, 0xb9, 0x89, 0x73, 0x8b,
-  0x63, 0x76, 0xee, 0x36, 0xf9, 0x85, 0x96, 0xe3, 0x93, 0xf8, 0x65, 0xbe,
-  0xb4, 0x67, 0x44, 0xeb, 0x9c, 0x4a, 0xc1, 0x76, 0xe0, 0x52, 0x40, 0xe1,
-  0x62, 0x17, 0xb5, 0xa7, 0x77, 0x84, 0x45, 0x4c, 0x3e, 0x7b, 0x5c, 0x93,
-  0xe6, 0x9d, 0xd0, 0x2a, 0x2e, 0xb8, 0x10, 0x24, 0xba, 0x0c, 0x95, 0x75,
-  0x14, 0x13, 0x49, 0xf4, 0x1f, 0x7b, 0xad, 0x7d, 0x74, 0xa6, 0xc0, 0x00,
-  0xc0, 0x1c, 0x46, 0xe3, 0xb0, 0x62, 0x22, 0x07, 0x02, 0x9e, 0x1c, 0x5f,
-  0xbe, 0x8e, 0x26, 0x79, 0x4c, 0xd3, 0xc7, 0xbf, 0x7d, 0xd2, 0x01, 0x7e,
-  0x89, 0x1b, 0x59, 0xc0, 0xc5, 0x82, 0x37, 0xa9, 0xcf, 0x9e, 0xc7, 0xfe,
-  0xce, 0xd3, 0x41, 0xf9, 0xd0, 0x1a, 0x29, 0x28, 0xb6, 0x66, 0xb3, 0x60,
-  0x6a, 0x69, 0x0d, 0xbf, 0x65, 0x9a, 0xe2, 0xc9, 0xd7, 0x6c, 0xf6, 0xb0,
-  0xaa, 0xc3, 0x1c, 0xb6, 0x81, 0x02, 0x03, 0x4b, 0xa7, 0x8f, 0xc7, 0x3d,
-  0x95, 0xfc, 0x37, 0xc2, 0x2e, 0x25, 0xcc, 0x32, 0x08, 0xa4, 0x5c, 0x53,
-  0x2c, 0xe4, 0xd1, 0xb8, 0xca, 0xb6, 0x38, 0x4a, 0xfb, 0x78, 0x0d, 0x7a,
-  0x62, 0x8d, 0x78, 0xdb, 0xb5, 0xf8, 0x65, 0xb3, 0x4a, 0x80, 0x43, 0x71,
-  0x06, 0x0d, 0x58, 0x7c, 0x35, 0xc3, 0x49, 0xc1, 0x72, 0xd4, 0x5f, 0x6a,
-  0x3a, 0x6c, 0x7b, 0x92, 0x10, 0x78, 0x2c, 0x50, 0xd4, 0x0c, 0xda, 0xad,
-  0x46, 0x64, 0x90, 0x53, 0xcd, 0xf7, 0x38, 0x40, 0xf5, 0x5c, 0x98, 0xb8,
-  0xeb, 0x1c, 0xad, 0xbf, 0x8c, 0xf6, 0x81, 0xdb, 0x94, 0xcc, 0xb9, 0xa4,
-  0x86, 0x1d, 0x6b, 0xcf, 0x02, 0x95, 0x13, 0x3b, 0x7e, 0x14, 0x16, 0x5c,
-  0xee, 0x2f, 0xdb, 0x47, 0x17, 0xe7, 0x09, 0xdf, 0x4e, 0x12, 0x02, 0xa9,
-  0x37, 0xef, 0xe0, 0xdf, 0x8f, 0xb8, 0xed, 0xf9, 0xd0, 0xdb, 0x6d, 0x04,
-  0xe9, 0x8f, 0x96, 0xfc, 0x5d, 0x6b, 0xa5, 0x6e, 0xe5, 0x85, 0xf2, 0x84,
-  0xfa, 0x64, 0x03, 0xe7, 0x6a, 0xc1, 0x71, 0x72, 0xb3, 0xb0, 0x1a, 0x0c,
-  0x4b, 0x7e, 0xac, 0x21, 0xd7, 0x69, 0x62, 0x29, 0xbc, 0xa3, 0x57, 0xc5,
-  0x16, 0xae, 0x59, 0xde, 0xa5, 0x1b, 0x36, 0x35, 0x85, 0xcd, 0xb7, 0x39,
-  0xa8, 0xf1, 0x3a, 0x5c, 0x8d, 0xf0, 0x53, 0x89, 0xd0, 0x2f, 0x31, 0xce,
-  0x6a, 0x6d, 0xd0, 0x26, 0x1c, 0x14, 0x3b, 0xb1, 0xb7, 0xf1, 0xcd, 0x92,
-  0xa4, 0xd1, 0x5e, 0x8b, 0xd5, 0xdc, 0x0c, 0xb9, 0xe0, 0x65, 0x74, 0x9f,
-  0x6a, 0x0a, 0xbe, 0x25, 0x6a, 0x49, 0x0b, 0x9c, 0xec, 0x7d, 0x07, 0xc0,
-  0xc3, 0x46, 0x75, 0x8b, 0xb6, 0xd1, 0xf9, 0xca, 0xf3, 0x71, 0xe9, 0x17,
-  0xf0, 0xb1, 0xb0, 0xbb, 0x00, 0xfa, 0x9f, 0x8e, 0x3e, 0x0c, 0xb0, 0x4a,
-  0x04, 0x42, 0x71, 0x96, 0x01, 0x08, 0xef, 0xa4, 0xc1, 0x5e, 0x35, 0x98,
-  0x88, 0x54, 0x16, 0x21, 0x26, 0x22, 0x7d, 0x0a, 0x5f, 0xf2, 0x08, 0x75,
-  0x2d, 0x23, 0xa9, 0x66, 0x6a, 0x3c, 0x46, 0x07, 0x4b, 0xb1, 0x4d, 0xf8,
-  0xac, 0x0e, 0x4e, 0x69, 0x87, 0xe5, 0x54, 0x6d, 0xb5, 0x97, 0x87, 0xe7,
-  0x81, 0x2d, 0x9c, 0x71, 0x02, 0xd6, 0xa6, 0x34, 0x69, 0xb0, 0xce, 0xdc,
-  0xb5, 0x3e, 0xfb, 0x37, 0xae, 0x8d, 0x9f, 0x41, 0xb0, 0x3c, 0xee, 0xc3,
-  0xda, 0xd2, 0x68, 0x0a, 0x5f, 0x3a, 0x69, 0xcf, 0xa2, 0xd0, 0x15, 0x32,
-  0x24, 0x6e, 0x5d, 0x23, 0x4e, 0x1b, 0xb3, 0x3c, 0xc9, 0x93, 0x23, 0x1a,
-  0x0d, 0x4b, 0x37, 0xd7, 0x34, 0xb8, 0xaf, 0xdc, 0x0a, 0x34, 0xa5, 0x32,
-  0xaf, 0x30, 0xc2, 0xc9, 0x81, 0xca, 0x4d, 0x41, 0xf1, 0x2d, 0x4e, 0xb0,
-  0x0e, 0x61, 0x3b, 0xc4, 0x71, 0x6c, 0x39, 0xa4, 0x6b, 0xf2, 0xe4, 0x51,
-  0x5d, 0x1d, 0xb1, 0x21, 0xa4, 0xbf, 0xf0, 0xa5, 0x3c, 0x5a, 0x59, 0xfe,
-  0x9a, 0xa2, 0xf7, 0xe4, 0x89, 0x42, 0x37, 0x07, 0x03, 0x2e, 0x5a, 0x6e,
-  0x27, 0xae, 0x7d, 0x9e, 0x24, 0x33, 0x8d, 0x0f, 0x1d, 0xe5, 0xd9, 0x2d,
-  0x9d, 0x0f, 0x7e, 0x0d, 0x82, 0x28, 0xaf, 0xbe, 0x1c, 0x72, 0x33, 0x65,
-  0xd1, 0x31, 0x50, 0xc0, 0xe2, 0xa6, 0x61, 0xce, 0x21, 0x5e, 0x6b, 0x26,
-  0x8d, 0x3f, 0x2d, 0x82, 0x34, 0x85, 0x38, 0x40, 0xbb, 0x3f, 0x71, 0xf7,
-  0x70, 0x09, 0x24, 0x1f, 0x05, 0xd1, 0xd0, 0x48, 0x1b, 0xd0, 0xbc, 0xbf,
-  0x3b, 0x0d, 0x39, 0xb2, 0x08, 0x69, 0xa8, 0x65, 0xcb, 0x2b, 0xc4, 0x24,
-  0x82, 0xc0, 0x4b, 0xa2, 0x2a, 0xb9, 0xe3, 0xd9, 0xeb, 0x57, 0x57, 0xfe,
-  0x01, 0x77, 0xda, 0x0f, 0x82, 0xd6, 0x5d, 0x39, 0x6d, 0xb1, 0x85, 0x8a,
-  0xe1, 0x71, 0xe2, 0x71, 0xe4, 0x63, 0x91, 0x2f, 0x10, 0x60, 0x47, 0x24,
-  0xd3, 0xbc, 0xdd, 0x5d, 0x46, 0x8d, 0x4a, 0x8d, 0xf0, 0x52, 0xf0, 0xf6,
-  0x20, 0x47, 0x15, 0xa1, 0x66, 0x6a, 0x1d, 0xfb, 0x53, 0x18, 0x22, 0x1d,
-  0xb5, 0x19, 0x2d, 0x01, 0x6c, 0x90, 0x14, 0xde, 0x36, 0x2b, 0x71, 0x31,
-  0x2e, 0x87, 0x8d, 0xe1, 0x51, 0x42, 0x9e, 0x81, 0xa1, 0x0d, 0xa2, 0x63,
-  0xb6, 0xb3, 0xb6, 0x28, 0x0f, 0x16, 0xf8, 0x89, 0x39, 0x22, 0xc5, 0xb1,
-  0x04, 0x56, 0x24, 0xdd, 0xb8, 0xaa, 0x89, 0x71, 0xea, 0xf3, 0xcc, 0xe2,
-  0xde, 0x19, 0x53, 0xd4, 0x55, 0x6e, 0x6b, 0x55, 0xa4, 0x8a, 0x52, 0xf3,
-  0xd8, 0x0d, 0x56, 0xd9, 0x3e, 0x72, 0x68, 0x59, 0xaf, 0xbd, 0xc5, 0xbf,
-  0x27, 0x3e, 0x4b, 0x51, 0x72, 0x5a, 0x00, 0xaf, 0x30, 0x9a, 0xc8, 0x3f,
-  0xd4, 0x0b, 0x7e, 0xdf, 0xff, 0x7c, 0x47, 0x0b, 0x6d, 0x02, 0x5f, 0x31,
-  0x7c, 0x06, 0x05, 0x29, 0x5a, 0xee, 0x19, 0x24, 0xba, 0x67, 0xa5, 0x7b,
-  0xb4, 0x0e, 0xcd, 0xfa, 0x62, 0xf0, 0xb4, 0x62, 0xde, 0x9d, 0x97, 0xd3,
-  0x99, 0x87, 0x06, 0x32, 0x40, 0xd2, 0xb7, 0x97, 0xa7, 0x6f, 0xa2, 0x35,
-  0xea, 0x00, 0xbe, 0xab, 0x7e, 0xf5, 0xdf, 0x51, 0x0a, 0xe8, 0x8b, 0x93,
-  0x93, 0x21, 0x54, 0x02, 0x75, 0x54, 0x37, 0x02, 0x2e, 0x4a, 0xcd, 0x33,
-  0x61, 0xa9, 0x2a, 0x4f, 0x49, 0xa3, 0xcf, 0x91, 0x23, 0x56, 0x66, 0xe3,
-  0x6c, 0xca, 0xe9, 0x84, 0xfc, 0x52, 0xa2, 0xc5, 0xe2, 0x71, 0xb9, 0x33,
-  0x78, 0xd9, 0x14, 0x5c, 0x69, 0x91, 0x34, 0x02, 0x66, 0x58, 0x91, 0xc5,
-  0x00, 0x8c, 0xa5, 0xc8, 0xda, 0xe0, 0xae, 0xe0, 0xfa, 0x94, 0x96, 0xed,
-  0x41, 0x7a, 0x0a, 0x51, 0x1c, 0x0b, 0x9a, 0x6a, 0xe3, 0xb8, 0x4d, 0x11,
-  0xf5, 0xd7, 0x48, 0xe5, 0xd4, 0x92, 0x55, 0x15, 0xa4, 0x1e, 0xc0, 0x98,
-  0x4d, 0xb2, 0x1c, 0x6e, 0xbb, 0x00, 0x27, 0x86, 0xb1, 0xcd, 0x96, 0x08,
-  0x89, 0xe1, 0xe1, 0xad, 0x9a, 0x47, 0xe9, 0xfe, 0x26, 0x93, 0x88, 0x14,
-  0x2c, 0x33, 0x73, 0x25, 0x09, 0x82, 0x80, 0x5f, 0x40, 0xe0, 0x45, 0x84,
-  0x20, 0x3c, 0x2b, 0x09, 0x37, 0xaa, 0xcd, 0xbd, 0xe6, 0x8a, 0xc4, 0x49,
-  0xa6, 0x55, 0x4f, 0xec, 0x9b, 0xb4, 0x39, 0x47, 0xe9, 0xf5, 0x1a, 0xfc,
-  0xad, 0x76, 0xa5, 0x83, 0x47, 0xf4, 0xb8, 0xbe, 0xd1, 0x16, 0x1d, 0x5c,
-  0xd1, 0x37, 0x88, 0xda, 0x3e, 0x56, 0xd5, 0xf0, 0x95, 0xb1, 0xb5, 0xb2,
-  0xae, 0x24, 0x79, 0xf1, 0x6d, 0x10, 0xe8, 0x1a, 0xef, 0x1a, 0x0e, 0xad,
-  0xc7, 0x54, 0x8a, 0x6a, 0x6a, 0x16, 0x4f, 0xe8, 0x7f, 0xab, 0x74, 0x9c,
-  0xd1, 0x48, 0x55, 0x8a, 0x6c, 0x0d, 0xe1, 0xfc, 0x5e, 0x12, 0x3f, 0x54,
-  0xce, 0xcc, 0xf4, 0xa1, 0x10, 0x8d, 0xaa, 0x28, 0x27, 0xd9, 0x52, 0xdc,
-  0xba, 0x30, 0xd8, 0xe6, 0x76, 0x9b, 0xff, 0xe3, 0x9f, 0x4d, 0x3f, 0xf5,
-  0x4f, 0x3f, 0x8b, 0xfa, 0x22, 0x01, 0xb6, 0xde, 0x8f, 0x62, 0xa4, 0x54,
-  0x78, 0x74, 0x41, 0xde, 0x34, 0xce, 0x66, 0x91, 0x29, 0xca, 0x91, 0xaa,
-  0xab, 0x30, 0x1a, 0x9e, 0xa1, 0x57, 0xb1, 0x8e, 0xcd, 0xee, 0x01, 0xe0,
-  0x4d, 0x07, 0x55, 0x7c, 0x03, 0x7c, 0x2d, 0x45, 0x01, 0x9a, 0xac, 0x43,
-  0x5c, 0xb2, 0x70, 0xf4, 0x2a, 0xac, 0x25, 0x02, 0x81, 0xc5, 0x84, 0x8e,
-  0xf1, 0xf3, 0x4d, 0x73, 0x2a, 0xa5, 0xa0, 0x9a, 0x68, 0x20, 0xb2, 0xd1,
-  0x1a, 0xd3, 0xfb, 0x0f, 0x3a, 0x65, 0xbd, 0xf2, 0x3e, 0xfb, 0xe7, 0x80,
-  0xfd, 0x6a, 0x60, 0xc4, 0xfd, 0x4c, 0xc0, 0x43, 0xdf, 0x7f, 0xb2, 0xcb,
-  0x7a, 0x77, 0xa7, 0x09, 0x99, 0x8a, 0x15, 0xb0, 0x3d, 0x77, 0x51, 0xfa,
-  0x6b, 0xc0, 0x47, 0xaa, 0xdd, 0x71, 0x2f, 0x3d, 0xbe, 0x12, 0xfe, 0x39,
-  0xe0, 0x7f, 0x7f, 0xda, 0xed, 0x3f, 0xfb, 0xd9, 0xf5, 0xfa, 0xc9, 0xee,
-  0xfb, 0x4f, 0xf6, 0x3a, 0xad, 0x08, 0xb3, 0x6c, 0x9a, 0x58, 0x1a, 0x14,
-  0xa6, 0x29, 0x74, 0x5a, 0x3c, 0x54, 0x5c, 0x5d, 0xaa, 0x23, 0x7a, 0xb8,
-  0x35, 0x80, 0x3f, 0x36, 0x9d, 0x88, 0xac, 0xb6, 0x7c, 0x00, 0xf4, 0x29,
-  0x2c, 0x04, 0x18, 0x20, 0x35, 0x68, 0x5d, 0x3c, 0x28, 0x99, 0x12, 0x6b,
-  0x63, 0x36, 0xc3, 0x86, 0x79, 0x12, 0x48, 0x13, 0x93, 0x15, 0xdd, 0x7b,
-  0x82, 0x76, 0x31, 0x70, 0xae, 0x26, 0x93, 0x26, 0xad, 0xae, 0xa8, 0x64,
-  0x10, 0x6d, 0x3a, 0x09, 0x80, 0x53, 0x4d, 0xb6, 0xda, 0x14, 0x1a, 0xaf,
-  0x43, 0x78, 0x9a, 0xd7, 0xaa, 0x6d, 0x38, 0xc9, 0x42, 0xec, 0xfe, 0xfc,
-  0xd4, 0x10, 0x27, 0x3e, 0x70, 0x7a, 0x62, 0x9d, 0x51, 0x50, 0xea, 0x59,
-  0x31, 0x66, 0x1d, 0x8c, 0x13, 0xbe, 0xba, 0x17, 0x50, 0xe9, 0x06, 0x50,
-  0x12, 0x72, 0xb1, 0xbc, 0xbf, 0x27, 0x44, 0xf3, 0x0a, 0x5f, 0x57, 0x86,
-  0xd1, 0xd3, 0x7c, 0x3b, 0x22, 0x6a, 0x64, 0xe2, 0x97, 0xcd, 0x24, 0xfb,
-  0xc1, 0x56, 0x5b, 0x20, 0x65, 0xd8, 0x96, 0x25, 0x64, 0x69, 0x80, 0x53,
-  0x54, 0x08, 0x66, 0x27, 0x6c, 0x63, 0x8a, 0x77, 0x91, 0x84, 0x96, 0x81,
-  0x46, 0x30, 0xa7, 0x56, 0xdb, 0xeb, 0x39, 0x14, 0x98, 0x64, 0x5a, 0x24,
-  0x83, 0x7f, 0x2b, 0xf9, 0x55, 0xb6, 0xa8, 0x1f, 0x37, 0x3c, 0x80, 0x15,
-  0x37, 0x2f, 0xc2, 0x3e, 0xaa, 0x45, 0xf8, 0xa4, 0xb0, 0x80, 0xab, 0x72,
-  0xe7, 0xe6, 0x54, 0x68, 0x00, 0x5c, 0x23, 0x4b, 0x22, 0x76, 0x97, 0x85,
-  0x64, 0x8e, 0x36, 0x80, 0x49, 0x90, 0x45, 0xea, 0x9c, 0x12, 0x70, 0xcf,
-  0x67, 0x92, 0xe0, 0x45, 0x8f, 0x37, 0xc1, 0xf0, 0xdc, 0x3d, 0x58, 0xd1,
-  0xb7, 0x31, 0x1e, 0x63, 0x77, 0x63, 0x70, 0x27, 0xa9, 0xd5, 0x50, 0x9d,
-  0x6f, 0x8b, 0x06, 0x26, 0xb8, 0x06, 0xa8, 0x2e, 0x6a, 0x00, 0xa5, 0xb8,
-  0x6e, 0x61, 0x94, 0xe2, 0x1d, 0xe8, 0x10, 0xa3, 0xe8, 0x77, 0x98, 0x09,
-  0x41, 0x39, 0x0c, 0x9a, 0x7b, 0x14, 0xbc, 0xeb, 0x45, 0xd5, 0x35, 0xcc,
-  0x86, 0xa3, 0xe8, 0xe5, 0xe2, 0x26, 0x27, 0x99, 0xe6, 0x11, 0x10, 0x02,
-  0x7a, 0x4a, 0x9e, 0x71, 0x8c, 0x36, 0xc8, 0xb2, 0xff, 0x1d, 0xb3, 0xe1,
-  0x39, 0xb2, 0xfe, 0xc9, 0xce, 0x6e, 0xa3, 0x0a, 0x89, 0x2f, 0x3c, 0x9e,
-  0x21, 0x64, 0x85, 0xcd, 0x2e, 0x0c, 0xa3, 0x1f, 0x45, 0x7b, 0xcf, 0x77,
-  0x9f, 0x6f, 0xef, 0xee, 0x0c, 0x9e, 0x0c, 0xf6, 0x54, 0x28, 0x06, 0x26,
-  0x22, 0xc9, 0xea, 0x5c, 0xe5, 0x27, 0x42, 0x68, 0x4d, 0x7b, 0x34, 0x0a,
-  0xeb, 0x7b, 0xd4, 0x5c, 0x00, 0xc7, 0xaa, 0xe5, 0x84, 0xfd, 0x0d, 0x1e,
-  0x73, 0xe0, 0x8c, 0x8b, 0xcc, 0xb0, 0x4a, 0x16, 0x0d, 0x67, 0xf5, 0xbc,
-  0xcf, 0x43, 0x51, 0x99, 0x6f, 0x29, 0x68, 0xca, 0xa3, 0x94, 0x64, 0x96,
-  0x92, 0x2b, 0xe0, 0x71, 0xfa, 0x33, 0xc9, 0xb1, 0x86, 0xd4, 0xc3, 0x79,
-  0xc1, 0x59, 0x58, 0x46, 0x73, 0x4d, 0x80, 0xa2, 0x09, 0x2b, 0x48, 0x1d,
-  0x36, 0xb2, 0x47, 0xc2, 0x65, 0x2a, 0xe9, 0xb8, 0xc0, 0x5e, 0xa1, 0x3b,
-  0x1f, 0x75, 0x67, 0xbe, 0xb1, 0x6c, 0xe0, 0xb8, 0x35, 0xce, 0x53, 0x23,
-  0x57, 0x44, 0xf7, 0x8d, 0x25, 0xde, 0x08, 0x4b, 0x09, 0x05, 0x47, 0x3f,
-  0x10, 0x4a, 0x15, 0x41, 0x50, 0xd0, 0x1b, 0x27, 0x69, 0x1b, 0x74, 0x5a,
-  0xea, 0xea, 0x24, 0xf8, 0x1d, 0x57, 0x34, 0x0f, 0x76, 0xef, 0x8a, 0x92,
-  0xe7, 0xed, 0xac, 0x8f, 0x06, 0x18, 0x3e, 0x82, 0x33, 0x27, 0xb4, 0xb0,
-  0xf7, 0xff, 0x25, 0x5a, 0xd8, 0xfb, 0xff, 0x69, 0xe1, 0xdf, 0x44, 0x0b,
-  0x2f, 0x6a, 0xb4, 0xc0, 0x8a, 0x1d, 0xf1, 0x2d, 0xd5, 0xef, 0x9a, 0x48,
-  0x3c, 0x41, 0x99, 0x7b, 0x0f, 0x5e, 0x2b, 0x02, 0x4b, 0xaa, 0x41, 0xa9,
-  0xf6, 0xae, 0xba, 0x87, 0x38, 0x4c, 0xd2, 0xc5, 0x41, 0x36, 0x91, 0x34,
-  0xb9, 0x64, 0x1f, 0xfb, 0xe1, 0xcf, 0xdd, 0x6b, 0x2c, 0x46, 0xf3, 0x67,
-  0x4b, 0x18, 0x47, 0xa6, 0xc9, 0x15, 0xb6, 0x00, 0xae, 0xdd, 0x1e, 0xbe,
-  0x44, 0x08, 0x36, 0xa7, 0xdc, 0x37, 0xf8, 0x3b, 0xec, 0x29, 0x62, 0xaf,
-  0x40, 0x2b, 0x52, 0xef, 0xd7, 0x46, 0xa4, 0x05, 0x1a, 0xf2, 0xa8, 0x4b,
-  0x17, 0x41, 0xb7, 0x57, 0xc9, 0xe2, 0x6d, 0x2b, 0xe3, 0x7c, 0x95, 0x3e,
-  0x88, 0xec, 0xfd, 0x4b, 0x92, 0x67, 0x91, 0xf9, 0x9b, 0x34, 0x94, 0x0e,
-  0xf0, 0x51, 0x96, 0x12, 0xef, 0x3f, 0xe4, 0x7e, 0x1b, 0x22, 0xea, 0x9f,
-  0x81, 0xea, 0x27, 0xe1, 0x93, 0x1c, 0x13, 0x66, 0xe3, 0x61, 0x32, 0x98,
-  0x4c, 0x52, 0x13, 0xff, 0xfc, 0xca, 0x59, 0x99, 0x3d, 0x78, 0xb2, 0xcb,
-  0x96, 0x8a, 0xb2, 0xbc, 0x32, 0x9b, 0x65, 0x4b, 0xd1, 0x5c, 0xba, 0x71,
-  0x91, 0x4d, 0x21, 0xc3, 0x71, 0x59, 0xc1, 0x0d, 0xa1, 0xa3, 0x1f, 0x45,
-  0x47, 0x09, 0xcb, 0x16, 0xe1, 0x80, 0x7a, 0x52, 0x94, 0x09, 0x68, 0xe4,
-  0xa5, 0x07, 0xef, 0xf2, 0xf6, 0x29, 0x3f, 0xc4, 0xe6, 0x90, 0xaa, 0x63,
-  0x2e, 0x5b, 0x5c, 0x1f, 0xaf, 0xdc, 0x32, 0x08, 0xbd, 0x56, 0x17, 0x63,
-  0x13, 0x08, 0x00, 0x26, 0xbd, 0xa2, 0xcb, 0x8f, 0x59, 0x06, 0x44, 0x21,
-  0xc3, 0x87, 0x53, 0x2c, 0x47, 0x7f, 0x03, 0x8f, 0x62, 0xba, 0xe4, 0xba,
-  0x35, 0x79, 0x54, 0xc5, 0xbc, 0xc3, 0xa9, 0xa6, 0xa7, 0x04, 0xe5, 0xa0,
-  0x6c, 0x36, 0x47, 0x1f, 0x42, 0xb0, 0x76, 0x99, 0xdc, 0x4a, 0x67, 0x6a,
-  0xa7, 0xe3, 0x31, 0x35, 0x26, 0x15, 0x18, 0x9b, 0x1a, 0xfb, 0x6e, 0xe7,
-  0x89, 0xab, 0x24, 0x15, 0x9a, 0x62, 0x1d, 0x6e, 0x96, 0x5b, 0x4d, 0xf1,
-  0x53, 0x3b, 0xb3, 0x1a, 0x3f, 0xbe, 0xb6, 0x2d, 0x22, 0xd7, 0x1e, 0x2b,
-  0x3b, 0x45, 0xef, 0xcf, 0xfc, 0xa3, 0xbd, 0x5a, 0x6e, 0x25, 0x41, 0xc3,
-  0x6c, 0xf0, 0xfc, 0x38, 0xce, 0x06, 0x5e, 0x5f, 0xd7, 0xc1, 0x2b, 0xfe,
-  0x56, 0x7a, 0x78, 0xbc, 0x6d, 0xa8, 0x33, 0xbf, 0xa2, 0x83, 0x77, 0x73,
-  0x2d, 0x2d, 0x16, 0x70, 0x88, 0x85, 0x86, 0x6c, 0x32, 0xeb, 0xbb, 0x8f,
-  0xf3, 0xb9, 0x98, 0xd0, 0x43, 0x4c, 0xe7, 0x82, 0x13, 0x71, 0x10, 0x51,
-  0x5c, 0x67, 0xb2, 0xf1, 0x15, 0xdb, 0x22, 0x73, 0xfe, 0x87, 0xdd, 0xcb,
-  0x50, 0x4e, 0x2d, 0x28, 0xda, 0x84, 0xc5, 0x45, 0x56, 0x4a, 0x78, 0x36,
-  0x5b, 0x2d, 0x59, 0xba, 0xcd, 0xf9, 0x76, 0x68, 0xc3, 0x38, 0xb2, 0x8d,
-  0xf0, 0x88, 0xc9, 0xdc, 0x32, 0xe4, 0xfd, 0xe5, 0x82, 0x89, 0xc7, 0x9c,
-  0xde, 0xae, 0xfe, 0x8c, 0xa3, 0x5c, 0x74, 0x5d, 0x37, 0x4c, 0xc1, 0x6a,
-  0x82, 0xcb, 0xce, 0x05, 0x78, 0xdf, 0x65, 0x29, 0xc3, 0x02, 0x45, 0x49,
-  0x9e, 0xb7, 0xe0, 0xbf, 0x7f, 0x5c, 0xc0, 0x65, 0x2f, 0x40, 0x79, 0x89,
-  0x8b, 0xd0, 0x3d, 0xd6, 0xb4, 0x0a, 0xfb, 0x00, 0xe0, 0x18, 0xa5, 0x5e,
-  0x38, 0xe6, 0x7f, 0x1e, 0x3b, 0x98, 0x05, 0xbf, 0x0d, 0x18, 0xa6, 0xe4,
-  0x5c, 0xb3, 0xaf, 0x6e, 0x9c, 0x34, 0x0d, 0x6d, 0x50, 0x0b, 0xdb, 0x83,
-  0xb5, 0x6a, 0x11, 0x92, 0x7b, 0x8d, 0xfb, 0x44, 0x02, 0xbe, 0x3f, 0x78,
-  0xab, 0xd8, 0x3a, 0x59, 0x4e, 0x97, 0x5e, 0x28, 0x01, 0xb5, 0xe8, 0x65,
-  0x19, 0xfb, 0x48, 0xf3, 0xd6, 0x78, 0x33, 0xa3, 0xe4, 0x2b, 0xc0, 0x9b,
-  0xde, 0x87, 0x7c, 0x35, 0x67, 0x0d, 0x8f, 0x0b, 0x53, 0x89, 0x1b, 0xe0,
-  0x57, 0x4e, 0xe5, 0x61, 0xd5, 0x27, 0x7d, 0x8c, 0xad, 0x6e, 0x8f, 0x5c,
-  0x8b, 0xcc, 0xc8, 0x39, 0x94, 0x87, 0x93, 0x10, 0x53, 0x49, 0x53, 0xaf,
-  0x39, 0xa9, 0xcd, 0x42, 0x0b, 0x70, 0x07, 0xe2, 0x31, 0xcb, 0x3a, 0x2d,
-  0xce, 0x2b, 0x95, 0x7c, 0x85, 0x07, 0x6b, 0xa0, 0xa2, 0x5a, 0xdb, 0x2d,
-  0x20, 0x5a, 0x20, 0xbc, 0x25, 0x5f, 0x45, 0x2a, 0x2c, 0xb3, 0x5e, 0xda,
-  0x2e, 0x7b, 0x6d, 0xbb, 0x48, 0xf5, 0x9c, 0x01, 0x1e, 0xfa, 0xc4, 0xeb,
-  0x16, 0xb5, 0x84, 0x95, 0x27, 0x6d, 0x53, 0x06, 0xa2, 0xe6, 0x07, 0xe4,
-  0x00, 0xee, 0x7f, 0x6d, 0x44, 0x73, 0x30, 0x53, 0x9b, 0xd9, 0x3a, 0xeb,
-  0x93, 0xcc, 0x52, 0x27, 0xf9, 0x4e, 0xdc, 0x9c, 0x68, 0x11, 0xba, 0x22,
-  0xb3, 0x19, 0x5e, 0x96, 0xa0, 0x27, 0xd1, 0x34, 0x1b, 0x13, 0x86, 0x12,
-  0xaf, 0x49, 0x17, 0xfa, 0xa4, 0x3b, 0x11, 0x4e, 0xb5, 0x6d, 0xdd, 0x15,
-  0x9e, 0x52, 0xd3, 0x86, 0x5a, 0x48, 0x47, 0x3c, 0xb0, 0xb4, 0x1a, 0xea,
-  0x23, 0x6b, 0x34, 0x81, 0x31, 0xf7, 0x83, 0x64, 0x8d, 0x81, 0x8b, 0xe1,
-  0xb7, 0x75, 0x8d, 0xfe, 0xe5, 0x45, 0x92, 0xfe, 0x5b, 0x56, 0x49, 0x3b,
-  0x6b, 0xcd, 0x64, 0x08, 0xd0, 0xb3, 0x9b, 0x33, 0x5a, 0x17, 0xc2, 0xb4,
-  0x66, 0x52, 0xeb, 0xc2, 0x98, 0xea, 0x7b, 0xdf, 0x1a, 0x6a, 0xba, 0x9e,
-  0xcc, 0x65, 0x76, 0xf3, 0x4a, 0xc0, 0x4d, 0x65, 0x82, 0x75, 0x6f, 0xa0,
-  0x7b, 0x52, 0x53, 0x9b, 0xc2, 0x39, 0x3e, 0xae, 0x05, 0x39, 0x13, 0xf9,
-  0x47, 0x4e, 0xb8, 0xc5, 0x49, 0x13, 0xfd, 0x37, 0x77, 0x11, 0xee, 0xa0,
-  0xca, 0x14, 0xd1, 0x4b, 0x65, 0x2a, 0x2d, 0xfe, 0xb0, 0xc6, 0xe6, 0xed,
-  0x0e, 0x76, 0xc0, 0x6d, 0x1f, 0x56, 0x30, 0x81, 0xee, 0xf3, 0xbd, 0xf5,
-  0xf3, 0x17, 0x8d, 0x42, 0x16, 0x89, 0xa5, 0xa8, 0x2a, 0x02, 0x2c, 0xe6,
-  0xc5, 0xef, 0xea, 0xa0, 0x4e, 0xae, 0x0c, 0x7d, 0x2a, 0xc8, 0xd4, 0x93,
-  0x73, 0xf4, 0x28, 0xa8, 0x5f, 0x5a, 0x06, 0x98, 0x7e, 0x9c, 0x97, 0x87,
-  0xf7, 0x77, 0x77, 0x3e, 0xdf, 0x69, 0xcf, 0x5d, 0x86, 0x0c, 0x11, 0x96,
-  0xa5, 0x73, 0x98, 0x9b, 0x9a, 0x6b, 0x1f, 0x5b, 0xe2, 0x0b, 0x46, 0x28,
-  0xbe, 0x8f, 0xd6, 0xc0, 0x8c, 0xcd, 0xfe, 0xc3, 0xb6, 0xae, 0x01, 0xe7,
-  0xf7, 0x68, 0x30, 0xb5, 0x7a, 0xc3, 0x5d, 0xb2, 0xe2, 0xe1, 0xd9, 0xdb,
-  0xb7, 0xc7, 0x87, 0xa4, 0x8c, 0xdd, 0xe4, 0x10, 0x1c, 0x65, 0x8e, 0xfc,
-  0x52, 0x9b, 0x59, 0xd4, 0xe7, 0x37, 0x30, 0x7f, 0x0d, 0xd7, 0xc8, 0x84,
-  0xf8, 0x4a, 0x75, 0x0a, 0xe3, 0x2e, 0x2d, 0xc4, 0xb9, 0x3b, 0xd8, 0x0d,
-  0xb6, 0x6a, 0x61, 0x23, 0x2d, 0x39, 0xd1, 0x70, 0xda, 0x16, 0x3f, 0x45,
-  0x1d, 0x06, 0x33, 0x36, 0x7b, 0x4f, 0x75, 0x92, 0x8d, 0x14, 0x3c, 0xb9,
-  0x0d, 0x5a, 0xf4, 0x65, 0x34, 0x15, 0x5e, 0xa7, 0x08, 0xa6, 0x92, 0xb5,
-  0x91, 0x3f, 0x64, 0x24, 0x91, 0x5b, 0x18, 0xef, 0xdf, 0x5d, 0x5f, 0x91,
-  0x63, 0x96, 0x40, 0x02, 0x13, 0xb5, 0x33, 0x2d, 0xb5, 0x66, 0x26, 0x30,
-  0xb4, 0x61, 0xdf, 0x75, 0x51, 0xeb, 0x85, 0x42, 0xda, 0x51, 0x27, 0x8d,
-  0xfb, 0x8e, 0x3b, 0x8d, 0x17, 0xd4, 0x13, 0x2b, 0x6c, 0x91, 0xa4, 0xfa,
-  0x48, 0x3d, 0xcf, 0xf2, 0xa6, 0xbe, 0xf1, 0xb6, 0x7b, 0x96, 0xeb, 0xd4,
-  0xcc, 0x22, 0x70, 0x6e, 0x2c, 0x97, 0x02, 0xa2, 0xee, 0x32, 0x91, 0x28,
-  0x35, 0xad, 0x48, 0xc3, 0x58, 0x2c, 0x34, 0x56, 0x19, 0x45, 0x4b, 0xe1,
-  0x69, 0xa5, 0x7b, 0x09, 0x8f, 0x8e, 0xe7, 0x42, 0x47, 0xba, 0x54, 0x8e,
-  0x84, 0xb2, 0xca, 0x21, 0x5c, 0x8e, 0x1e, 0x01, 0x20, 0xfd, 0x86, 0x91,
-  0x39, 0xc5, 0x97, 0x08, 0x2c, 0xcd, 0x8f, 0x85, 0x1f, 0x5d, 0x53, 0xdd,
-  0xe0, 0xdf, 0x8e, 0x3d, 0x7a, 0xbe, 0xad, 0xb5, 0xd5, 0x91, 0x4f, 0xbc,
-  0x2e, 0x3f, 0x07, 0x89, 0xe6, 0x17, 0xe2, 0x1d, 0xae, 0xa9, 0xa8, 0x52,
-  0xf9, 0x34, 0xcb, 0xb7, 0x21, 0xe1, 0x71, 0xfd, 0x3d, 0x92, 0x48, 0xa6,
-  0x1e, 0x3a, 0xbb, 0x05, 0xf4, 0x10, 0x01, 0x47, 0xfe, 0xaa, 0xa0, 0xc6,
-  0x9d, 0x0c, 0xa4, 0x2e, 0xda, 0x99, 0x0f, 0xc5, 0x47, 0xc8, 0x84, 0x2f,
-  0xb5, 0xca, 0xe1, 0x6b, 0x0d, 0xe0, 0x3e, 0xfe, 0x7e, 0x6c, 0x39, 0x76,
-  0x82, 0x10, 0xe5, 0xb0, 0xb4, 0xd5, 0x7c, 0x83, 0x23, 0x61, 0x54, 0x02,
-  0x54, 0xbb, 0xc8, 0xa0, 0x55, 0x1a, 0xa8, 0xde, 0x9c, 0xe2, 0xd4, 0x0d,
-  0xe2, 0x30, 0x5c, 0x16, 0x92, 0x40, 0x8a, 0xe4, 0xa5, 0xa1, 0x40, 0x58,
-  0xc1, 0x5a, 0xd4, 0x80, 0x8d, 0x8b, 0xdb, 0x62, 0x2d, 0x34, 0x77, 0x10,
-  0xe8, 0x3d, 0x0f, 0x31, 0xfb, 0xad, 0x45, 0xb3, 0xae, 0xd4, 0xc6, 0xc9,
-  0x94, 0x58, 0x6d, 0xce, 0x6d, 0x51, 0x03, 0x8e, 0xb4, 0xa1, 0xb0, 0x3a,
-  0x00, 0xff, 0x76, 0xcd, 0x2f, 0x1d, 0xd0, 0x99, 0xec, 0x30, 0xb6, 0x7f,
-  0xa7, 0x0a, 0xfd, 0x26, 0x0a, 0x89, 0x7b, 0x9b, 0x56, 0x22, 0x18, 0x70,
-  0xd3, 0x45, 0x61, 0xec, 0x55, 0x2d, 0xfb, 0xbc, 0x5f, 0x9b, 0xef, 0xe6,
-  0xe9, 0x03, 0x6e, 0x82, 0x26, 0x5e, 0xb0, 0x6b, 0x6a, 0xfd, 0xa8, 0x3a,
-  0xbb, 0x2f, 0xf6, 0x06, 0xbb, 0xcf, 0x3f, 0x1f, 0xec, 0xee, 0x0c, 0x76,
-  0x3b, 0x61, 0x56, 0x1a, 0x14, 0x24, 0x8e, 0xf8, 0x0b, 0xdb, 0x69, 0xb9,
-  0x44, 0xdb, 0x62, 0x57, 0xc2, 0x0e, 0x66, 0xab, 0x41, 0x10, 0xb9, 0xde,
-  0xe8, 0x42, 0xa3, 0xdb, 0x5b, 0xcc, 0x2c, 0xce, 0x0f, 0x0d, 0x52, 0x83,
-  0x6a, 0xe0, 0xf4, 0xb2, 0x60, 0x95, 0x0c, 0xc0, 0xd5, 0x19, 0x3d, 0xda,
-  0x2a, 0x21, 0x05, 0x69, 0x52, 0x95, 0xc2, 0xd3, 0x2e, 0x22, 0xcf, 0xf5,
-  0xff, 0xab, 0x81, 0x6a, 0x1a, 0x07, 0x9e, 0xe3, 0xde, 0xdc, 0x31, 0x54,
-  0xcf, 0x8b, 0x8b, 0x10, 0x3c, 0x3f, 0xbb, 0xb8, 0xd4, 0xe4, 0x6c, 0xe1,
-  0x05, 0x71, 0x71, 0x37, 0x70, 0x91, 0x72, 0x08, 0xcc, 0x0d, 0x2f, 0x96,
-  0x65, 0x0d, 0xef, 0xe1, 0xf8, 0x9c, 0x5e, 0xf7, 0x05, 0x14, 0x1c, 0xae,
-  0xbc, 0xb5, 0xec, 0x92, 0x86, 0x59, 0xb2, 0x45, 0x9b, 0x7d, 0xd2, 0xda,
-  0x48, 0x82, 0xc3, 0x8b, 0x9c, 0xd3, 0x9f, 0xb0, 0x4a, 0x6f, 0xcd, 0xf1,
-  0x3b, 0x7f, 0xfe, 0xb3, 0x67, 0x51, 0x43, 0x4e, 0x69, 0xd3, 0x8a, 0x88,
-  0xb0, 0x71, 0x3e, 0xf3, 0xbe, 0x75, 0x01, 0x80, 0x89, 0x3a, 0xfb, 0x3f,
-  0x21, 0xf1, 0xed, 0xe7, 0xfe, 0x4f, 0xf4, 0xe7, 0xcf, 0x1d, 0x77, 0x0d,
-  0x40, 0xa3, 0x92, 0xbb, 0xdc, 0x4d, 0x5e, 0xb6, 0x48, 0x6a, 0xc6, 0xa2,
-  0xfc, 0xa8, 0xdc, 0x05, 0xbc, 0x63, 0x1c, 0x10, 0x89, 0xd3, 0x28, 0x20,
-  0x09, 0x42, 0xcd, 0xea, 0x7d, 0x17, 0xf0, 0x14, 0xc4, 0x9f, 0x10, 0xa5,
-  0xb8, 0xb5, 0x14, 0xb0, 0x45, 0xff, 0x52, 0xcf, 0x0a, 0x25, 0xb0, 0xaf,
-  0x3f, 0x17, 0x5f, 0xa9, 0xc1, 0xab, 0xe8, 0xe5, 0x33, 0x40, 0x8a, 0x88,
-  0x3a, 0x70, 0xf5, 0xb3, 0x0d, 0x97, 0x12, 0xce, 0xb9, 0x58, 0xac, 0xe2,
-  0x73, 0x49, 0x29, 0xb5, 0x24, 0x21, 0x76, 0x2c, 0x71, 0x11, 0xb3, 0xe9,
-  0x9c, 0x5d, 0xcb, 0xc6, 0x88, 0xf3, 0xb4, 0xb8, 0xe5, 0x29, 0x2a, 0x6a,
-  0x81, 0xa0, 0x6a, 0x6c, 0x04, 0x8a, 0x3e, 0xc6, 0x66, 0x79, 0xb5, 0x1c,
-  0xaf, 0x6f, 0x76, 0xce, 0xe0, 0x16, 0xf8, 0xbb, 0x91, 0x99, 0xa1, 0xc4,
-  0x7a, 0xd0, 0x4e, 0x0f, 0x56, 0x9a, 0x05, 0x86, 0x34, 0x87, 0x70, 0xa5,
-  0xd6, 0x76, 0xa0, 0xad, 0x35, 0x01, 0x40, 0x02, 0x5c, 0x42, 0x97, 0x0f,
-  0x84, 0x6a, 0xf1, 0xf1, 0xc4, 0x30, 0x98, 0x35, 0xaf, 0x1d, 0x9e, 0xf4,
-  0x00, 0x2b, 0xb3, 0x89, 0x41, 0x51, 0xcd, 0x3f, 0xaa, 0x81, 0x19, 0x6a,
-  0xc6, 0x62, 0x12, 0xe7, 0xc4, 0xba, 0xd8, 0x53, 0x1c, 0x4c, 0xee, 0x7f,
-  0x50, 0xab, 0x00, 0x4a, 0x65, 0x60, 0x5f, 0x8c, 0xbd, 0xed, 0x7e, 0xdb,
-  0x1e, 0xe2, 0x92, 0xe3, 0x20, 0x73, 0xe6, 0xd1, 0x71, 0x3e, 0x4a, 0xcb,
-  0x3c, 0xd6, 0x18, 0x7b, 0xc5, 0x08, 0x09, 0x44, 0x0b, 0x60, 0x99, 0x30,
-  0xcf, 0x1e, 0xae, 0x43, 0x09, 0xa1, 0x6d, 0xfe, 0x1f, 0xe8, 0x55, 0x1b,
-  0x10, 0x83, 0x05, 0x72, 0x53, 0xbf, 0x3a, 0x7e, 0x7d, 0x76, 0x71, 0x5c,
-  0x4d, 0xe8, 0x14, 0xfc, 0x80, 0xb6, 0x9a, 0x64, 0x9b, 0x28, 0x9d, 0x2c,
-  0xe6, 0x92, 0x10, 0x6d, 0xf2, 0xfc, 0xfb, 0x23, 0x37, 0xb8, 0x74, 0x6e,
-  0xb8, 0x26, 0xae, 0xc5, 0x5e, 0xd4, 0xee, 0xd5, 0x05, 0xff, 0xdc, 0x42,
-  0x29, 0x6c, 0xe1, 0x64, 0x36, 0x3c, 0x81, 0xcf, 0x41, 0x29, 0x2f, 0xe9,
-  0x2c, 0x96, 0x38, 0xce, 0xa2, 0x60, 0xa7, 0x84, 0x6b, 0xb6, 0x05, 0x36,
-  0x57, 0x4a, 0x57, 0xcf, 0x4c, 0xb7, 0xe1, 0xa0, 0x04, 0x8e, 0x53, 0x18,
-  0x44, 0xae, 0x13, 0xdf, 0x8b, 0xc3, 0x59, 0x51, 0x0b, 0x50, 0xa3, 0x24,
-  0x8d, 0xe0, 0xb0, 0x89, 0x67, 0x57, 0x9c, 0xd8, 0x96, 0x28, 0xaf, 0x68,
-  0x3b, 0x51, 0x88, 0x6e, 0x23, 0x75, 0xa5, 0xb5, 0x08, 0x40, 0xf3, 0xf6,
-  0x75, 0xcb, 0xab, 0xfd, 0x6f, 0x16, 0x5b, 0x95, 0x6a, 0xdb, 0xb6, 0x7e,
-  0x56, 0xd4, 0xf1, 0xcf, 0x5d, 0x6f, 0x89, 0x6f, 0x41, 0xdc, 0x71, 0x70,
-  0xe8, 0xea, 0x0e, 0x61, 0x92, 0x71, 0x55, 0xfd, 0xd6, 0xd4, 0xf1, 0xb3,
-  0x99, 0x0f, 0xda, 0x13, 0x80, 0x1d, 0x32, 0x88, 0xe0, 0x4c, 0xda, 0x31,
-  0x36, 0xe0, 0x44, 0x55, 0x44, 0xac, 0x11, 0x3b, 0x70, 0xad, 0x60, 0x4f,
-  0x3e, 0xa7, 0xd4, 0x87, 0x08, 0xc5, 0x23, 0x85, 0x6f, 0xff, 0xd1, 0x72,
-  0x35, 0x90, 0xfc, 0x5e, 0xac, 0xe6, 0x25, 0xa4, 0x26, 0x18, 0x53, 0xc7,
-  0x59, 0x9e, 0x37, 0x8d, 0x8e, 0x4c, 0x4d, 0x9e, 0x76, 0x0b, 0xf6, 0x16,
-  0xbe, 0x78, 0xf6, 0x82, 0x0f, 0x1e, 0x4a, 0xaa, 0x69, 0x32, 0x9a, 0x46,
-  0x1a, 0x6a, 0x08, 0x27, 0x0f, 0xd9, 0xca, 0xcf, 0x35, 0xd8, 0x81, 0x51,
-  0x80, 0xda, 0x02, 0x47, 0xc9, 0x54, 0x32, 0xe0, 0x86, 0x41, 0x3b, 0x83,
-  0xb5, 0xb6, 0xd3, 0x75, 0x35, 0xce, 0x6a, 0xd5, 0x81, 0xed, 0xd6, 0xe0,
-  0x36, 0x11, 0xea, 0xa8, 0x85, 0x45, 0x4d, 0x55, 0x22, 0xf5, 0x7c, 0x0e,
-  0x5d, 0xc6, 0x36, 0xb0, 0x17, 0x10, 0x9d, 0x2b, 0xdb, 0x5a, 0xb4, 0x35,
-  0x27, 0x70, 0xcb, 0x7e, 0x22, 0x4a, 0x75, 0x01, 0x48, 0xc2, 0xac, 0x5a,
-  0x6d, 0x7c, 0xc0, 0x1e, 0x05, 0x56, 0x02, 0xda, 0x0c, 0x25, 0xea, 0xeb,
-  0x81, 0x6f, 0x84, 0x93, 0xc6, 0xa7, 0xd3, 0x80, 0xbc, 0xd0, 0x5f, 0xb5,
-  0xbb, 0x66, 0xed, 0xe6, 0x9b, 0xeb, 0x7c, 0x21, 0x09, 0x8f, 0x6d, 0x00,
-  0xb5, 0x81, 0x52, 0x2e, 0x4f, 0x1a, 0xad, 0xbb, 0xa2, 0x1b, 0xf2, 0xea,
-  0xc9, 0x91, 0x2b, 0x73, 0xee, 0xa3, 0x79, 0xe8, 0xd2, 0x6e, 0x6f, 0x2e,
-  0x80, 0x22, 0x04, 0xb9, 0x79, 0xc6, 0xe8, 0x5a, 0xf3, 0x72, 0xf3, 0x68,
-  0xe5, 0xbf, 0x69, 0x6f, 0x4e, 0xdb, 0x10, 0x6d, 0x52, 0x5a, 0xb0, 0x66,
-  0xb1, 0x79, 0x56, 0x6b, 0x8e, 0x37, 0x86, 0x73, 0xbd, 0xad, 0x93, 0x66,
-  0xcd, 0xc2, 0x1b, 0x12, 0xc2, 0x45, 0x10, 0xff, 0xd0, 0x5a, 0xf0, 0x83,
-  0xb6, 0x16, 0xea, 0x5b, 0x2b, 0xc2, 0x79, 0xa1, 0x11, 0xae, 0x52, 0x57,
-  0xac, 0x23, 0xe5, 0xba, 0x95, 0x44, 0x94, 0x34, 0x34, 0x8f, 0x97, 0xc3,
-  0x29, 0xcc, 0xa3, 0x6c, 0x5c, 0x06, 0x33, 0xe0, 0x07, 0xda, 0x9b, 0x53,
-  0xe9, 0xa0, 0x39, 0x33, 0xf6, 0xb3, 0x20, 0x99, 0xe9, 0x43, 0x33, 0xe3,
-  0x07, 0x1b, 0xbb, 0x4c, 0x1f, 0x0a, 0x23, 0xaa, 0x6d, 0xb1, 0x6c, 0xce,
-  0x1a, 0x99, 0xb4, 0xb2, 0xc1, 0xb6, 0xc3, 0x18, 0x43, 0xdb, 0x06, 0xe3,
-  0x0b, 0x7e, 0xba, 0xdf, 0xde, 0x9c, 0xdb, 0x61, 0xf7, 0xe0, 0xda, 0x0d,
-  0xd6, 0x3e, 0x1a, 0xab, 0x30, 0x9d, 0x2b, 0x3a, 0xe6, 0x7b, 0x41, 0x08,
-  0xe0, 0xd4, 0xff, 0xf2, 0xfd, 0xe3, 0x0b, 0x32, 0x9d, 0x1b, 0x94, 0x16,
-  0x67, 0xb6, 0xfb, 0x73, 0xab, 0x91, 0x79, 0x71, 0x15, 0x64, 0x2b, 0x12,
-  0xf3, 0xc2, 0x1a, 0xb2, 0xf7, 0xfd, 0x45, 0x1e, 0x7c, 0x89, 0x64, 0xab,
-  0x54, 0xd2, 0xf1, 0xdd, 0xb9, 0x0f, 0xc6, 0xd8, 0x86, 0xd1, 0x13, 0xc4,
-  0x12, 0x37, 0xa6, 0x38, 0xbb, 0x65, 0xc7, 0x8a, 0xbb, 0xdb, 0xde, 0xaf,
-  0xd7, 0x61, 0x40, 0x68, 0x78, 0xda, 0x76, 0x5b, 0xa6, 0xa4, 0x36, 0xf1,
-  0x20, 0xdd, 0xdc, 0x1f, 0xe7, 0x47, 0xe8, 0xb8, 0xda, 0xa5, 0x3b, 0x93,
-  0xf5, 0xf1, 0x2d, 0xee, 0x27, 0xd6, 0x39, 0xff, 0x6a, 0x5d, 0x87, 0x08,
-  0xc9, 0xf1, 0xa8, 0xc8, 0xa6, 0xcb, 0x52, 0x82, 0xf5, 0xa4, 0xb1, 0x2b,
-  0x0b, 0x44, 0x5d, 0xb3, 0x14, 0x88, 0x4f, 0xb5, 0x9b, 0x7d, 0x7d, 0x52,
-  0x75, 0x2e, 0x88, 0xea, 0x06, 0x18, 0x86, 0xed, 0x58, 0xbf, 0x38, 0xfa,
-  0xb4, 0x1f, 0xa2, 0xc0, 0x7d, 0xbb, 0x13, 0x90, 0x05, 0xeb, 0xec, 0x8e,
-  0xc3, 0x23, 0x0c, 0xcf, 0xca, 0x27, 0xd5, 0x58, 0xde, 0x24, 0x61, 0xd0,
-  0x3d, 0xa1, 0x05, 0x84, 0x27, 0x7e, 0xf8, 0x64, 0xc9, 0xc8, 0xd7, 0xae,
-  0x71, 0x3e, 0xfb, 0xc0, 0x21, 0xa7, 0x07, 0xfc, 0xac, 0x18, 0x1a, 0x2c,
-  0x98, 0x55, 0xe3, 0x5c, 0xca, 0x5c, 0x17, 0x6b, 0x56, 0x7e, 0xdd, 0x08,
-  0x2a, 0x54, 0xb8, 0x7e, 0x24, 0xfa, 0x64, 0xeb, 0x70, 0xfc, 0xe2, 0xb2,
-  0x17, 0x7e, 0xe5, 0x47, 0xd6, 0xde, 0x9c, 0x0e, 0xd7, 0xbf, 0xa5, 0xcb,
-  0xd3, 0x33, 0xa3, 0xd9, 0x44, 0xcd, 0xd0, 0xac, 0x84, 0x36, 0x69, 0xc3,
-  0x0e, 0xf8, 0xaf, 0x62, 0x10, 0xac, 0x74, 0x4c, 0xe7, 0x95, 0xd8, 0x4a,
-  0xea, 0x31, 0x9b, 0x01, 0x03, 0xa6, 0x3d, 0x86, 0x5c, 0x52, 0xc8, 0x42,
-  0x10, 0x18, 0xb7, 0xe9, 0x02, 0x73, 0x3e, 0x4d, 0xc2, 0x82, 0xa9, 0xf7,
-  0x21, 0xaa, 0x5d, 0x8b, 0x19, 0xcc, 0xd5, 0x00, 0x63, 0x49, 0x57, 0x3a,
-  0x97, 0xf2, 0xe3, 0x96, 0x1e, 0x22, 0xa9, 0x90, 0x1e, 0x90, 0xa0, 0x60,
-  0xe4, 0x4f, 0x81, 0xb0, 0xe4, 0x87, 0x1b, 0xa5, 0x6a, 0x38, 0x69, 0x43,
-  0xca, 0x95, 0x56, 0xab, 0xa0, 0x0d, 0x1a, 0x11, 0xcb, 0xc9, 0xf5, 0xa4,
-  0xaf, 0xc4, 0x51, 0x65, 0x45, 0xfd, 0x7c, 0x1b, 0x0b, 0x41, 0xda, 0xef,
-  0x4b, 0xfc, 0xf8, 0x62, 0x6d, 0xed, 0xc5, 0xa1, 0x2f, 0xc0, 0x78, 0x21,
-  0x91, 0x3f, 0xcc, 0x52, 0x19, 0x05, 0x47, 0xd5, 0xe7, 0x4d, 0x36, 0xb5,
-  0x48, 0xa9, 0xde, 0x14, 0xd1, 0xcf, 0xd9, 0x78, 0xd9, 0x56, 0x9a, 0x61,
-  0xcb, 0xa2, 0x6e, 0x63, 0xb1, 0xc8, 0x6f, 0xef, 0x0e, 0x76, 0x7b, 0x51,
-  0x55, 0xc3, 0x32, 0x31, 0x19, 0x91, 0xa2, 0x12, 0x7b, 0xcc, 0x5d, 0xd7,
-  0xad, 0x63, 0x17, 0x12, 0xf3, 0xaa, 0x52, 0x63, 0x58, 0x5f, 0x93, 0x31,
-  0x2f, 0x9d, 0x48, 0xce, 0x58, 0x36, 0x0d, 0x2a, 0xda, 0xe9, 0x3f, 0x7d,
-  0xf1, 0xa2, 0x72, 0xaf, 0x87, 0x6a, 0xf0, 0xb3, 0x9d, 0x1d, 0x41, 0xf8,
-  0xa9, 0xbf, 0x46, 0x5f, 0xf4, 0x5f, 0xe0, 0xc5, 0xea, 0x6b, 0x82, 0x00,
-  0xb3, 0xfe, 0xbd, 0x3e, 0x7f, 0xd3, 0xd2, 0x1d, 0xec, 0x37, 0x6b, 0xdf,
-  0x7a, 0xc1, 0xdd, 0xb5, 0xbc, 0x85, 0x87, 0x65, 0x19, 0xb3, 0xab, 0x2b,
-  0xae, 0x5c, 0xcd, 0x4f, 0x0a, 0x06, 0x78, 0x96, 0xdf, 0xc7, 0xf9, 0xa4,
-  0x39, 0xdd, 0x9d, 0x5e, 0x7f, 0x77, 0xdd, 0x74, 0x5d, 0x9d, 0x49, 0xec,
-  0x27, 0x6b, 0x42, 0x9b, 0x7f, 0xda, 0xda, 0xfc, 0x66, 0xab, 0x6d, 0xf6,
-  0x9f, 0xed, 0xec, 0xf4, 0x9e, 0xf3, 0xcf, 0x17, 0x2f, 0xd6, 0xc6, 0x98,
-  0xf8, 0x3e, 0x9e, 0xd8, 0xd4, 0x2a, 0xa3, 0xa5, 0x76, 0x5a, 0x5a, 0xdf,
-  0xa5, 0x56, 0x77, 0x5f, 0xbc, 0xe8, 0x71, 0x2f, 0xcf, 0x3e, 0xaa, 0xf5,
-  0xf2, 0x3e, 0xf3, 0xa6, 0x73, 0x7e, 0xdd, 0xd3, 0x63, 0x51, 0x9b, 0x01,
-  0xfd, 0x19, 0xbd, 0x02, 0xe6, 0x51, 0x90, 0x71, 0x28, 0x78, 0xc1, 0xb1,
-  0x45, 0x2d, 0x78, 0xe3, 0x2d, 0x67, 0x5a, 0xac, 0xcc, 0x62, 0x1d, 0x9b,
-  0xfa, 0x11, 0x7b, 0xff, 0x82, 0xf9, 0xe3, 0x3d, 0xa2, 0xf6, 0x99, 0x7a,
-  0xc2, 0xae, 0x19, 0x72, 0xc9, 0xf2, 0xf4, 0x8a, 0x68, 0x93, 0xe8, 0x65,
-  0x0b, 0xb6, 0x80, 0xbb, 0x78, 0x9a, 0x1a, 0x94, 0x43, 0xd4, 0x85, 0x05,
-  0x4b, 0x60, 0x39, 0xe8, 0xf7, 0x6c, 0xd1, 0xe5, 0x7a, 0x39, 0xd3, 0x89,
-  0xd3, 0x44, 0xf4, 0x26, 0x95, 0xe7, 0xfa, 0xf2, 0x84, 0x1c, 0x34, 0x28,
-  0x73, 0x0f, 0x0a, 0x48, 0xc8, 0xce, 0xa1, 0x5a, 0x9f, 0x91, 0x87, 0x46,
-  0xf2, 0x88, 0xbe, 0x02, 0xb1, 0x22, 0x26, 0x2b, 0x3f, 0xd5, 0x6e, 0x11,
-  0x40, 0xe0, 0x99, 0x01, 0x71, 0x1e, 0xb8, 0x03, 0x27, 0x89, 0xc1, 0x2c,
-  0x57, 0x71, 0x60, 0xdc, 0xeb, 0x62, 0x8f, 0x59, 0x8a, 0x22, 0xea, 0x0f,
-  0xd9, 0x8f, 0x41, 0xc5, 0x7a, 0xe6, 0x43, 0xac, 0x9a, 0xde, 0xc7, 0x56,
-  0x58, 0x1c, 0x91, 0xf1, 0x76, 0xf6, 0x1d, 0xca, 0x2a, 0x23, 0x4e, 0x22,
-  0x16, 0xd5, 0x6a, 0x7f, 0x7a, 0x2c, 0x04, 0x43, 0xb4, 0xd6, 0x68, 0xa5,
-  0x89, 0xc6, 0x84, 0x0a, 0xbe, 0x8c, 0x38, 0x1e, 0x04, 0x58, 0x38, 0x30,
-  0x5c, 0x0a, 0xe2, 0xba, 0x4e, 0x59, 0x90, 0xe0, 0x36, 0x6a, 0x2e, 0x30,
-  0x7e, 0xc4, 0x63, 0x34, 0xb9, 0x22, 0xae, 0x6e, 0x16, 0x86, 0x17, 0x05,
-  0x96, 0x24, 0x8b, 0x6f, 0x10, 0x58, 0x5a, 0x2d, 0xda, 0x02, 0x8b, 0x04,
-  0xa1, 0x0e, 0x50, 0x2f, 0x95, 0x1d, 0xe3, 0xcd, 0x72, 0x4c, 0x90, 0x76,
-  0x8d, 0xe8, 0x30, 0x0c, 0x5c, 0x14, 0xfa, 0x0a, 0x14, 0x7f, 0x43, 0x54,
-  0xcd, 0x24, 0x0c, 0x6f, 0x6b, 0x80, 0x31, 0x30, 0x7d, 0xca, 0x4e, 0x70,
-  0xb7, 0xe1, 0x96, 0x26, 0x0f, 0x25, 0x20, 0xb1, 0x43, 0xed, 0x3d, 0x1a,
-  0x9e, 0xfc, 0xcf, 0xe3, 0x41, 0x68, 0x4d, 0xfe, 0xad, 0x22, 0xcf, 0xf3,
-  0xf8, 0x3e, 0xf2, 0x15, 0x6e, 0x7b, 0x5a, 0xed, 0x55, 0xe2, 0xc7, 0xe2,
-  0xe9, 0xd4, 0xd7, 0xb9, 0x87, 0xcb, 0x8f, 0x64, 0xfd, 0xcc, 0xb0, 0xe2,
-  0x7d, 0x05, 0xfb, 0xb5, 0xe8, 0xe2, 0xc8, 0xf0, 0x9b, 0x48, 0x05, 0x67,
-  0xb1, 0x71, 0xc9, 0x26, 0x39, 0xd4, 0x97, 0x19, 0x1c, 0x30, 0x92, 0x65,
-  0xb8, 0xa4, 0x5e, 0x50, 0xaa, 0xad, 0x6e, 0x9f, 0xa2, 0x21, 0x36, 0xc0,
-  0xd8, 0xc3, 0xb8, 0x98, 0x0b, 0x9f, 0xd1, 0xc0, 0x33, 0x6f, 0x47, 0xbe,
-  0x90, 0x1c, 0x14, 0xe3, 0x0f, 0xb0, 0x68, 0x39, 0x9b, 0x41, 0xc5, 0x36,
-  0x0e, 0xd2, 0x97, 0x5a, 0xd5, 0x6d, 0x02, 0x37, 0xd6, 0xb6, 0x8c, 0x67,
-  0x8b, 0xa8, 0x25, 0xdd, 0x45, 0x42, 0x5d, 0x0d, 0x25, 0x89, 0xb5, 0x23,
-  0x1f, 0x91, 0x1a, 0xdf, 0xb6, 0x59, 0xb7, 0x82, 0x24, 0x1c, 0xa1, 0x5c,
-  0x7a, 0x0f, 0xae, 0x08, 0xd7, 0x4f, 0x35, 0x77, 0x84, 0x45, 0x31, 0x60,
-  0x06, 0x37, 0xdd, 0x89, 0xb1, 0xac, 0x3b, 0xbb, 0xbe, 0x24, 0xa4, 0x4d,
-  0x0c, 0xf3, 0x2c, 0xda, 0x27, 0x16, 0xdd, 0xe4, 0x8b, 0xba, 0x60, 0xae,
-  0x56, 0xaf, 0xb5, 0x11, 0xb1, 0x13, 0x58, 0x20, 0xd3, 0x32, 0x72, 0x20,
-  0x74, 0xb9, 0x06, 0x89, 0xfa, 0x7b, 0x58, 0x72, 0x61, 0xd4, 0x8c, 0x42,
-  0x1c, 0x8a, 0x69, 0x63, 0xb9, 0x18, 0x34, 0xb1, 0x8c, 0x5d, 0x98, 0x9b,
-  0xbe, 0x4b, 0xdd, 0xef, 0x84, 0x4e, 0x42, 0x98, 0xc8, 0x35, 0x00, 0xd9,
-  0x95, 0x6e, 0xb1, 0x18, 0xa1, 0xf6, 0xba, 0x39, 0x8c, 0x60, 0x7c, 0xe9,
-  0xa6, 0xac, 0x73, 0x56, 0x2b, 0xbf, 0xe4, 0x32, 0xef, 0xf3, 0xa2, 0x08,
-  0xb4, 0x59, 0xcf, 0xac, 0xab, 0x4f, 0x1f, 0x1e, 0x1a, 0x8a, 0x49, 0x80,
-  0xa2, 0x2b, 0xb5, 0xc7, 0x84, 0xda, 0x9f, 0x3d, 0x3c, 0x54, 0xbf, 0x7c,
-  0xbc, 0x20, 0x50, 0x3c, 0xca, 0x24, 0xb7, 0x4a, 0x56, 0x2a, 0x0e, 0x56,
-  0xd1, 0x50, 0x32, 0xb4, 0x5e, 0xce, 0x7d, 0x2c, 0x41, 0xb7, 0x4d, 0x4f,
-  0x23, 0x24, 0x0e, 0x17, 0x60, 0xe1, 0x13, 0x7d, 0x38, 0xf5, 0xf6, 0x86,
-  0x98, 0x81, 0xc0, 0xa1, 0x6a, 0x58, 0xac, 0xc3, 0x4b, 0x5d, 0xaa, 0x97,
-  0xa7, 0x1e, 0x2f, 0x11, 0x6b, 0x11, 0xa7, 0x14, 0xa0, 0xa3, 0x65, 0x3a,
-  0xe5, 0x77, 0x00, 0xc1, 0x49, 0xaf, 0xef, 0xd2, 0xfa, 0xa7, 0xf3, 0x25,
-  0xdf, 0xe3, 0x2d, 0xc5, 0xe6, 0x5a, 0x97, 0x9d, 0x81, 0xd9, 0xc2, 0x60,
-  0x90, 0x6a, 0x45, 0x2f, 0x1d, 0x97, 0x60, 0x2e, 0x98, 0xbf, 0x08, 0x6b,
-  0xd1, 0xc7, 0xab, 0x2d, 0xc9, 0x44, 0x2e, 0x30, 0x54, 0x9d, 0x63, 0xc9,
-  0x03, 0x2d, 0xb6, 0x44, 0x88, 0x8a, 0x8b, 0x97, 0x84, 0x0b, 0x76, 0xc1,
-  0x5d, 0x67, 0x39, 0x6d, 0xe8, 0x6c, 0x60, 0x25, 0x72, 0xf9, 0x02, 0x6a,
-  0x44, 0x19, 0x4a, 0x57, 0x0e, 0xeb, 0x4f, 0xe2, 0x8e, 0x81, 0x92, 0x2b,
-  0x76, 0xfa, 0xac, 0x54, 0xde, 0x28, 0x91, 0x07, 0x9a, 0xf1, 0x64, 0xa3,
-  0x7e, 0x2c, 0x2a, 0x7f, 0x6f, 0xf0, 0x64, 0xeb, 0xc3, 0x0e, 0x7c, 0x61,
-  0xc2, 0x41, 0xdd, 0x12, 0xe5, 0xc3, 0x1a, 0xb4, 0x1d, 0x23, 0x68, 0xdb,
-  0xe5, 0xc6, 0x36, 0x16, 0x77, 0xcc, 0xa1, 0x05, 0x61, 0xf5, 0xd4, 0xda,
-  0xb9, 0x97, 0x45, 0x7c, 0x04, 0xc2, 0xd0, 0x43, 0x3d, 0x17, 0xd3, 0x24,
-  0x59, 0xb8, 0x68, 0x1d, 0x81, 0x07, 0xd6, 0xc3, 0x6a, 0x67, 0x15, 0xb1,
-  0xf8, 0x42, 0xa8, 0x60, 0x0d, 0xeb, 0x38, 0x00, 0xac, 0xf8, 0x6c, 0xd2,
-  0x36, 0x70, 0x3a, 0x16, 0x9d, 0xca, 0xc6, 0xa9, 0x63, 0x5c, 0x37, 0x97,
-  0xb0, 0xb6, 0xfe, 0xc8, 0xfa, 0x4d, 0xd5, 0x7d, 0xd0, 0x8d, 0x75, 0x44,
-  0xa5, 0xbb, 0xb1, 0x55, 0x4f, 0xae, 0x68, 0x03, 0xba, 0xc7, 0xd5, 0x94,
-  0x08, 0x68, 0x3e, 0x0a, 0xe0, 0xca, 0x74, 0x10, 0xab, 0xac, 0x80, 0x56,
-  0x83, 0x80, 0xf5, 0x70, 0x39, 0x14, 0xa1, 0xe0, 0x46, 0xec, 0x32, 0x12,
-  0x0a, 0xd4, 0xe2, 0x1e, 0x42, 0x66, 0x9b, 0x10, 0x69, 0xa3, 0x0f, 0x07,
-  0x1f, 0x62, 0x09, 0xd4, 0x9a, 0xfb, 0x77, 0x51, 0x8c, 0x56, 0x40, 0x2a,
-  0x1e, 0xa5, 0x9a, 0x0f, 0x62, 0x5f, 0x8a, 0x25, 0x00, 0x4b, 0x87, 0xfe,
-  0x35, 0xa4, 0x8c, 0x83, 0x72, 0xcb, 0x28, 0xf0, 0xcb, 0x28, 0xf3, 0x72,
-  0x84, 0xa1, 0xb7, 0x66, 0x43, 0x81, 0x53, 0xee, 0x64, 0x8c, 0x04, 0xf9,
-  0xaa, 0x31, 0x4b, 0x28, 0x5c, 0x88, 0x72, 0x93, 0x13, 0xd0, 0x75, 0x68,
-  0x5b, 0xfc, 0x31, 0x00, 0xc7, 0x62, 0x5f, 0x42, 0x3a, 0x6f, 0xa4, 0x4f,
-  0x02, 0x62, 0x50, 0x98, 0xd6, 0x24, 0x04, 0x09, 0x55, 0x8c, 0xd0, 0xb7,
-  0x19, 0x47, 0x8e, 0xe8, 0x8d, 0x7b, 0xe5, 0xdb, 0xd1, 0x37, 0x9b, 0x38,
-  0x82, 0xda, 0x4e, 0x22, 0x0d, 0xf4, 0x2a, 0xf0, 0xd5, 0x36, 0x68, 0x84,
-  0x3b, 0x09, 0xd4, 0x84, 0x60, 0xbe, 0xe8, 0x4d, 0xd9, 0xe2, 0x05, 0x90,
-  0x2b, 0x92, 0x9d, 0x47, 0xf0, 0xbe, 0xf1, 0x7c, 0x5a, 0x10, 0x4d, 0xb1,
-  0x03, 0xd4, 0x48, 0xca, 0x58, 0x69, 0x97, 0x99, 0xf2, 0xa5, 0x46, 0xa2,
-  0x92, 0x78, 0x94, 0x75, 0x34, 0xdd, 0xc2, 0x41, 0xd4, 0xe2, 0xfd, 0x9e,
-  0x3a, 0xee, 0x2b, 0x90, 0xa6, 0x03, 0xb9, 0x5e, 0xab, 0xb2, 0x75, 0x15,
-  0x07, 0x8b, 0xf8, 0x20, 0x08, 0xbc, 0x14, 0x04, 0x13, 0xc3, 0xfa, 0x74,
-  0xec, 0xfa, 0x63, 0x58, 0x5d, 0xad, 0x70, 0xd2, 0x23, 0xb4, 0xdb, 0x52,
-  0x26, 0xfa, 0x57, 0x12, 0x6e, 0xc1, 0xb5, 0x43, 0xb8, 0x00, 0x63, 0x7d,
-  0xf3, 0x86, 0xa9, 0x54, 0x46, 0xca, 0x19, 0x9d, 0x91, 0xe6, 0x2c, 0xd1,
-  0x44, 0x47, 0xc0, 0x60, 0x2f, 0x34, 0xb2, 0xfc, 0x1a, 0xd1, 0x1b, 0x5a,
-  0x9b, 0x93, 0x39, 0x93, 0x13, 0x0b, 0x1a, 0x70, 0xb4, 0x40, 0x52, 0x1a,
-  0x18, 0x6a, 0x28, 0x20, 0x2f, 0x67, 0xcb, 0x10, 0x3b, 0xad, 0x3f, 0xe4,
-  0x91, 0x50, 0xc3, 0x7d, 0x34, 0xd2, 0x0a, 0x8c, 0xbe, 0x74, 0x05, 0x3f,
-  0x79, 0xe4, 0x22, 0x2e, 0x05, 0x62, 0x0d, 0x86, 0x65, 0x39, 0x06, 0x06,
-  0xdf, 0xc4, 0x74, 0xda, 0x80, 0x92, 0x67, 0x1e, 0x5b, 0x89, 0x64, 0xe6,
-  0x3a, 0xe2, 0xc5, 0xd3, 0xe8, 0xe5, 0xaf, 0x8a, 0x19, 0x1d, 0x9e, 0x1d,
-  0x7e, 0x3b, 0x7c, 0x1a, 0x44, 0x8c, 0xba, 0xf8, 0x01, 0x03, 0x28, 0x10,
-  0xec, 0xb9, 0xb5, 0xd5, 0x5d, 0x1f, 0x0d, 0x17, 0x7d, 0xa4, 0x9c, 0x42,
-  0x98, 0x35, 0xe1, 0xc8, 0x84, 0x4b, 0xcb, 0xe4, 0x74, 0xad, 0x41, 0xfc,
-  0x5f, 0x01, 0xfc, 0x36, 0xcd, 0x96, 0x0e, 0xb3, 0xc9, 0x07, 0x4e, 0xf6,
-  0x94, 0x05, 0xac, 0x1a, 0x19, 0x64, 0x09, 0xef, 0x89, 0xe0, 0xb7, 0x25,
-  0x0f, 0xe3, 0xe9, 0xb2, 0x48, 0xef, 0x7e, 0xd7, 0x42, 0xde, 0xb2, 0xea,
-  0xf1, 0xbf, 0xb4, 0xec, 0xf1, 0xc7, 0xad, 0x7b, 0x83, 0x89, 0xfc, 0xca,
-  0x75, 0x6f, 0x2b, 0xe2, 0xfe, 0x7f, 0xc7, 0xba, 0x3f, 0xeb, 0x3b, 0xf0,
-  0xa0, 0x7f, 0x61, 0xfd, 0x9f, 0x69, 0x5c, 0xe9, 0x26, 0x4c, 0x5f, 0x6a,
-  0x07, 0xd0, 0xcf, 0x50, 0xa9, 0x64, 0x7a, 0x97, 0xac, 0xc3, 0x30, 0x12,
-  0x37, 0xcb, 0xd6, 0x20, 0xfa, 0xd0, 0x99, 0x69, 0xd9, 0xab, 0xfa, 0xda,
-  0xfd, 0x0b, 0x3b, 0xa7, 0x0b, 0xe8, 0xf7, 0xad, 0x6d, 0xdb, 0x2a, 0xfb,
-  0x06, 0x93, 0xf3, 0xff, 0xc6, 0x9d, 0xab, 0x49, 0xcb, 0xe1, 0x2c, 0x18,
-  0xea, 0xc8, 0x0d, 0x1e, 0x26, 0x91, 0x9c, 0x2e, 0x45, 0x58, 0xd2, 0x42,
-  0x98, 0x1e, 0xad, 0x72, 0x0a, 0xeb, 0x79, 0x43, 0x96, 0x07, 0x39, 0x54,
-  0x2a, 0xb4, 0x5a, 0xe1, 0x2f, 0x2b, 0x18, 0xb6, 0xd5, 0x20, 0x9e, 0x0f,
-  0xd2, 0x8c, 0x7a, 0x82, 0x1c, 0xd5, 0x18, 0xd9, 0x18, 0x8d, 0xf4, 0x05,
-  0x49, 0xca, 0x48, 0xc5, 0xc0, 0xac, 0xda, 0x42, 0x11, 0xa1, 0xb7, 0x4f,
-  0x3f, 0xcc, 0x62, 0x43, 0x72, 0x71, 0x67, 0x3b, 0x6a, 0xe0, 0x2b, 0x3e,
-  0x16, 0x91, 0xff, 0x7f, 0xe4, 0xc1, 0x6e, 0x23, 0x0f, 0x37, 0x8b, 0x8f,
-  0x27, 0x10, 0x0d, 0x66, 0xfb, 0x6f, 0x91, 0x47, 0xcb, 0x39, 0xdb, 0xd4,
-  0xe8, 0x3c, 0x5e, 0x24, 0x63, 0xf9, 0x5b, 0xbe, 0x58, 0x22, 0x40, 0x35,
-  0x71, 0xa5, 0x9f, 0x9c, 0x7f, 0xf7, 0x5c, 0x1c, 0x19, 0xc3, 0x26, 0x28,
-  0xce, 0xe9, 0xd1, 0xc1, 0x79, 0x0b, 0x0b, 0xbb, 0xa6, 0x3b, 0x7e, 0x91,
-  0xf6, 0xd9, 0x04, 0xca, 0x82, 0xe9, 0x4b, 0xfd, 0x85, 0x89, 0xa8, 0x4d,
-  0xf4, 0x36, 0xdd, 0xc2, 0x9e, 0x07, 0xf7, 0x53, 0x3c, 0x0d, 0xcc, 0x52,
-  0x2d, 0xd8, 0x6c, 0xcc, 0x19, 0xcf, 0x26, 0xdb, 0xf2, 0x67, 0xff, 0xea,
-  0xef, 0x93, 0xf9, 0xe0, 0x91, 0x29, 0xc6, 0x95, 0xc8, 0x75, 0xad, 0x20,
-  0x93, 0x36, 0xf3, 0x65, 0x5d, 0x5d, 0xbb, 0xba, 0x69, 0xde, 0x9d, 0x2a,
-  0xcd, 0xc4, 0xe1, 0x61, 0xad, 0x9b, 0x23, 0x7f, 0x3a, 0x91, 0xe0, 0x47,
-  0x80, 0x7e, 0x35, 0x13, 0x1e, 0xf0, 0xc4, 0xb6, 0x6f, 0x6a, 0x6d, 0x6f,
-  0x51, 0xd8, 0xdf, 0xda, 0x0e, 0xb5, 0x3d, 0x0e, 0x3b, 0x6d, 0x6b, 0x4e,
-  0x86, 0x01, 0xd0, 0xa2, 0xea, 0x73, 0x58, 0x58, 0xa9, 0x59, 0x89, 0xd2,
-  0xa6, 0x51, 0x70, 0x47, 0xf4, 0x0d, 0x95, 0xb0, 0x01, 0x47, 0x20, 0x90,
-  0xd3, 0xa5, 0x98, 0x48, 0x18, 0x11, 0x64, 0x3e, 0x5e, 0xc4, 0x92, 0xbe,
-  0x5e, 0xdf, 0x82, 0xc7, 0xf1, 0xe5, 0xaa, 0x93, 0x99, 0x27, 0xf5, 0x78,
-  0xcb, 0x83, 0x22, 0x12, 0x24, 0x1d, 0x33, 0xa9, 0xc8, 0x93, 0x91, 0x25,
-  0x5c, 0x61, 0x63, 0x11, 0x07, 0xa5, 0xc5, 0xaf, 0x10, 0xab, 0xc2, 0xfc,
-  0x06, 0x0f, 0x34, 0xf2, 0xef, 0x11, 0x36, 0x06, 0x9f, 0xf3, 0xd5, 0x78,
-  0xf7, 0xc5, 0xf3, 0x5d, 0x12, 0x79, 0x57, 0x48, 0xa7, 0x2e, 0xf4, 0xfd,
-  0xe8, 0xe9, 0xe0, 0xc9, 0xf6, 0xd3, 0xc1, 0x53, 0x91, 0x5b, 0x0d, 0xb3,
-  0x6d, 0x94, 0xb4, 0xa7, 0xe4, 0x26, 0x63, 0xa4, 0xf3, 0x0b, 0xdc, 0x1e,
-  0x16, 0xee, 0xed, 0xf1, 0xa1, 0x15, 0x8e, 0x45, 0xa2, 0x50, 0x15, 0x99,
-  0xd2, 0x9d, 0x28, 0x71, 0x87, 0xb6, 0x6b, 0x27, 0x2d, 0xab, 0x62, 0xc4,
-  0x8b, 0x2e, 0x96, 0x73, 0x9d, 0x2f, 0xf3, 0x04, 0xe2, 0x58, 0x42, 0xc9,
-  0xed, 0x19, 0xb1, 0xf5, 0x95, 0x09, 0xd6, 0x6d, 0xf0, 0x81, 0x9d, 0x29,
-  0x27, 0xc4, 0x59, 0xdb, 0x9d, 0xc6, 0x17, 0x56, 0xf9, 0x06, 0x96, 0x38,
-  0xd4, 0x9f, 0x2f, 0x14, 0x81, 0x89, 0xdf, 0xb1, 0xb8, 0x91, 0x4a, 0x28,
-  0x91, 0x99, 0xba, 0xd7, 0x84, 0x0c, 0x7a, 0x3c, 0x23, 0xc1, 0xf2, 0x03,
-  0xba, 0x7e, 0xb7, 0xdf, 0xb5, 0xab, 0xc2, 0x0c, 0xe5, 0x56, 0x42, 0x56,
-  0xa2, 0xfb, 0x15, 0xf1, 0xe9, 0xb1, 0x0b, 0x42, 0xcb, 0x72, 0x20, 0xaa,
-  0x45, 0x0c, 0x3b, 0xec, 0x26, 0x71, 0x40, 0x68, 0xc4, 0x53, 0x6e, 0x98,
-  0xef, 0x81, 0xb9, 0x4d, 0x92, 0x71, 0x53, 0xc7, 0x72, 0x40, 0x1f, 0xf4,
-  0xf4, 0x38, 0x5e, 0xc4, 0xa3, 0x74, 0x9a, 0x96, 0x69, 0x4b, 0x78, 0xde,
-  0x6f, 0x28, 0xfb, 0x95, 0xe3, 0x45, 0x7f, 0x9e, 0xb5, 0xd9, 0x08, 0x2f,
-  0xb9, 0xec, 0x89, 0xc7, 0xba, 0x7d, 0xff, 0xf6, 0xec, 0xe8, 0xf8, 0xf4,
-  0xe0, 0x47, 0x73, 0x7a, 0xbb, 0xb8, 0x63, 0x94, 0x8e, 0x4d, 0xe2, 0x62,
-  0xf5, 0xbe, 0x48, 0x4a, 0xfa, 0x72, 0xf3, 0xc9, 0x16, 0xea, 0xdf, 0xd4,
-  0xaf, 0x59, 0x56, 0xbe, 0xc2, 0x4a, 0x08, 0x6a, 0xb2, 0xf5, 0xf3, 0xa8,
-  0x91, 0xc9, 0x6e, 0xc5, 0xd1, 0x50, 0xd2, 0xed, 0x5a, 0x26, 0xd3, 0x79,
-  0x52, 0x2a, 0xf0, 0x7d, 0xf4, 0xf2, 0xec, 0xfc, 0xf2, 0xd5, 0x5d, 0x3c,
-  0xad, 0x93, 0x0c, 0x03, 0x09, 0x69, 0x8b, 0x56, 0x88, 0x2c, 0x92, 0x37,
-  0x83, 0x28, 0xc6, 0xa1, 0x8b, 0x15, 0xb4, 0x27, 0xdb, 0xc0, 0x2a, 0x2e,
-  0x2f, 0x7f, 0x3c, 0x3f, 0x7e, 0xf5, 0x92, 0x55, 0xe6, 0x2f, 0x58, 0xd3,
-  0x57, 0x53, 0x09, 0x34, 0x68, 0x5e, 0xe7, 0xd5, 0xa2, 0x79, 0x7d, 0xff,
-  0x70, 0x74, 0x32, 0x3c, 0x3f, 0x3d, 0x3b, 0x7c, 0xf5, 0xf2, 0x07, 0xb6,
-  0xb0, 0x72, 0x41, 0x8d, 0xe0, 0x5d, 0xf7, 0x99, 0x0b, 0x83, 0x6a, 0x22,
-  0x01, 0x1f, 0x7f, 0xff, 0xfe, 0xf8, 0xed, 0x77, 0xaf, 0x5e, 0xde, 0xc5,
-  0x79, 0x8f, 0xe7, 0x27, 0x6f, 0xb3, 0x22, 0xdb, 0x52, 0x79, 0xa1, 0xb2,
-  0x97, 0x9c, 0x7e, 0x30, 0x9a, 0xde, 0x4a, 0x0d, 0x1e, 0xd4, 0xbd, 0x69,
-  0x04, 0x20, 0x5c, 0x6a, 0x9c, 0x76, 0x19, 0xf1, 0x6f, 0xd1, 0x57, 0xa7,
-  0xdf, 0xb2, 0x7b, 0xcb, 0x5d, 0xce, 0x33, 0x89, 0x07, 0x8e, 0xbe, 0x78,
-  0xb6, 0xbb, 0xb7, 0x15, 0x94, 0xd4, 0x60, 0x27, 0x39, 0x8d, 0xf8, 0xb6,
-  0x61, 0x34, 0xf9, 0x25, 0x09, 0x4a, 0xa2, 0x82, 0xc8, 0xb4, 0x90, 0x38,
-  0xdf, 0x00, 0x38, 0x04, 0x6c, 0xb4, 0xe2, 0x3a, 0x8a, 0x88, 0x50, 0xe2,
-  0x98, 0x8c, 0x12, 0x00, 0x22, 0x70, 0x60, 0x37, 0xf2, 0x70, 0x2f, 0x7d,
-  0xb4, 0xc2, 0x20, 0x80, 0x0f, 0x8e, 0x68, 0x38, 0xea, 0xf7, 0x6e, 0x27,
-  0xe4, 0xdf, 0xfa, 0x60, 0xb4, 0x27, 0xc1, 0x87, 0xb0, 0x56, 0x97, 0x8c,
-  0xce, 0xbe, 0x60, 0xdf, 0xe5, 0x23, 0x31, 0x2f, 0xc2, 0x20, 0x3c, 0xd2,
-  0x71, 0x5d, 0x0a, 0x0e, 0x5c, 0x50, 0xd5, 0x00, 0xf9, 0x77, 0x17, 0xa7,
-  0xed, 0xec, 0xcb, 0x55, 0x94, 0xf7, 0xd0, 0x6f, 0x56, 0x1d, 0xde, 0xb5,
-  0x0a, 0x9c, 0x35, 0x5f, 0x46, 0x44, 0xd3, 0x3c, 0x1e, 0x75, 0x80, 0x49,
-  0xca, 0x9d, 0x77, 0xe7, 0x3b, 0x6c, 0x7a, 0xc1, 0xdc, 0xa5, 0x19, 0xa4,
-  0x48, 0xc2, 0xdd, 0x36, 0x8e, 0xc0, 0xeb, 0xb7, 0xb1, 0x26, 0x10, 0x4e,
-  0xfc, 0x30, 0x10, 0x73, 0x39, 0x02, 0x09, 0x73, 0x3b, 0x94, 0xe4, 0x32,
-  0x89, 0x12, 0xac, 0x4e, 0x42, 0xee, 0xfe, 0x86, 0x8d, 0x27, 0xa0, 0xa8,
-  0x1b, 0x8e, 0x4f, 0x2a, 0x5d, 0x45, 0x6e, 0xec, 0x5d, 0x35, 0x02, 0xcd,
-  0x88, 0x34, 0x70, 0x08, 0xd6, 0x05, 0x09, 0x8f, 0x60, 0xa7, 0x39, 0x29,
-  0xe2, 0x8d, 0x64, 0x25, 0x83, 0x23, 0x9a, 0x39, 0x90, 0xdb, 0x45, 0x2e,
-  0xc8, 0xc6, 0x3e, 0x56, 0x66, 0x88, 0x4d, 0x46, 0x03, 0x4f, 0x70, 0x46,
-  0x69, 0x10, 0x12, 0xd8, 0x81, 0xb5, 0x39, 0xdc, 0x52, 0x3a, 0x16, 0x7a,
-  0x3b, 0x7f, 0x77, 0x19, 0x84, 0xcb, 0x37, 0xb0, 0xe7, 0xd6, 0x11, 0xa0,
-  0xa9, 0xdb, 0x7e, 0xa1, 0x3a, 0xfd, 0x4e, 0x1d, 0xc1, 0xd0, 0x8e, 0x1b,
-  0x5d, 0x52, 0x5c, 0x28, 0xc6, 0x27, 0xa4, 0x36, 0x8c, 0x9c, 0x1a, 0xc7,
-  0x20, 0x01, 0xb7, 0x24, 0xf3, 0x4c, 0xe1, 0x60, 0x26, 0xee, 0xb8, 0xea,
-  0xd5, 0x2f, 0xc7, 0xce, 0x20, 0xec, 0x47, 0xcc, 0xa7, 0x5b, 0x0d, 0x4c,
-  0xd1, 0x55, 0x3d, 0x52, 0xc8, 0xf5, 0xcd, 0xe3, 0x74, 0xf9, 0x4e, 0x32,
-  0x32, 0x94, 0xfa, 0xe1, 0x08, 0x0b, 0xb0, 0x92, 0x66, 0x3e, 0xb8, 0x84,
-  0x0e, 0x23, 0x15, 0x17, 0x55, 0x5b, 0x90, 0xe9, 0x82, 0xf8, 0x50, 0x4b,
-  0x43, 0x54, 0x0c, 0x45, 0xb3, 0x0c, 0x5b, 0xb3, 0x45, 0x2b, 0xee, 0x88,
-  0x6c, 0x62, 0xcb, 0xa2, 0x5a, 0x19, 0x47, 0xcb, 0x38, 0x60, 0x36, 0xd0,
-  0xbf, 0xf4, 0x18, 0x7c, 0x0c, 0xa1, 0xd7, 0x92, 0xae, 0xa3, 0xc0, 0xce,
-  0xfd, 0xcb, 0x06, 0xa4, 0x11, 0xbf, 0xb0, 0x88, 0xd3, 0x3c, 0x08, 0xa5,
-  0x41, 0xf8, 0x1a, 0xef, 0x8b, 0x50, 0x92, 0x86, 0x3d, 0x42, 0xf0, 0x1d,
-  0x08, 0x69, 0xc3, 0x51, 0xb2, 0xb6, 0xa4, 0x44, 0xe7, 0x7a, 0x9a, 0x8d,
-  0x46, 0x34, 0xa9, 0x8e, 0xc9, 0xa3, 0x34, 0xc2, 0x38, 0xbf, 0x86, 0x8a,
-  0xd6, 0x33, 0xbc, 0x2b, 0x7f, 0x58, 0x81, 0x95, 0x8a, 0xbe, 0xd6, 0x45,
-  0xfa, 0x6b, 0x21, 0x31, 0x59, 0x5f, 0xdb, 0x57, 0x60, 0x99, 0xae, 0xea,
-  0x45, 0x12, 0xf9, 0x53, 0xeb, 0xbf, 0xce, 0xf1, 0xcb, 0x15, 0xc7, 0x4a,
-  0xba, 0xeb, 0x53, 0x99, 0x0f, 0x58, 0x8e, 0x82, 0x58, 0xa6, 0x2d, 0xc1,
-  0xf6, 0x3c, 0x61, 0x9a, 0x40, 0xe7, 0x1f, 0x3c, 0x88, 0xdd, 0x1e, 0xff,
-  0xbb, 0xf7, 0xcf, 0x8e, 0x21, 0x95, 0x32, 0x56, 0xb4, 0x0c, 0xbe, 0x64,
-  0x74, 0xc8, 0xc2, 0xe0, 0x51, 0x5b, 0xd0, 0x50, 0xb9, 0x84, 0xd7, 0xda,
-  0xd6, 0xd3, 0xd9, 0xf5, 0x4f, 0xbb, 0xfd, 0xdd, 0x9d, 0x9d, 0x9d, 0x9f,
-  0x07, 0x0b, 0x5e, 0xba, 0x2b, 0x34, 0x4f, 0xff, 0x0e, 0x16, 0xe9, 0x98,
-  0x43, 0x5e, 0x68, 0x33, 0xd3, 0x98, 0x9b, 0xde, 0x96, 0xfe, 0xb6, 0xc3,
-  0xeb, 0x33, 0xe7, 0xe4, 0x9d, 0x56, 0x3e, 0x6e, 0x78, 0xd4, 0x71, 0x74,
-  0xb5, 0x14, 0xe8, 0x7a, 0x7a, 0x72, 0xb2, 0x9c, 0x2d, 0x2c, 0xf7, 0x80,
-  0xd3, 0xca, 0xc4, 0x43, 0x2c, 0xc6, 0x15, 0x22, 0x54, 0xa9, 0x04, 0x86,
-  0x2b, 0xaf, 0xd7, 0x5a, 0xb9, 0x18, 0x17, 0x62, 0x22, 0xa0, 0x3e, 0x9c,
-  0x07, 0x1b, 0x54, 0x6f, 0xe9, 0xb9, 0xb4, 0x00, 0x1c, 0x58, 0x25, 0x7b,
-  0x39, 0xb6, 0x4d, 0xa0, 0x61, 0x3e, 0x6a, 0xec, 0x29, 0x64, 0x13, 0xbd,
-  0x72, 0x39, 0x57, 0x2f, 0xc2, 0xca, 0x4b, 0x48, 0x2d, 0xc3, 0x06, 0x72,
-  0xe9, 0xa3, 0x86, 0xb0, 0xd0, 0xc4, 0x51, 0xc0, 0xc6, 0x71, 0x27, 0x88,
-  0xc6, 0xa3, 0xac, 0x80, 0xb3, 0xde, 0x16, 0xad, 0xa1, 0xfc, 0x14, 0xe3,
-  0x34, 0xfd, 0x5d, 0xa5, 0x56, 0xf4, 0x8a, 0x6e, 0x1e, 0xdf, 0x30, 0x94,
-  0x53, 0xe1, 0x2d, 0xd3, 0x3d, 0xab, 0x6c, 0x9a, 0xdb, 0x33, 0xde, 0x32,
-  0xb7, 0x63, 0xff, 0xe7, 0x6c, 0x18, 0x17, 0x37, 0x4c, 0x50, 0x0a, 0x3c,
-  0x28, 0xf6, 0x84, 0x79, 0x4a, 0xea, 0xe3, 0x34, 0x89, 0x39, 0xa4, 0xd8,
-  0xcc, 0x34, 0x37, 0xc9, 0x83, 0x08, 0x0c, 0x4d, 0x98, 0x00, 0x09, 0xbe,
-  0xba, 0x31, 0xc5, 0xef, 0x60, 0x78, 0x78, 0x72, 0x52, 0xc1, 0x95, 0xe5,
-  0x65, 0x43, 0x31, 0x24, 0xf1, 0xaf, 0x44, 0xc5, 0x8c, 0x16, 0xd0, 0x73,
-  0xe4, 0x86, 0x9c, 0xc2, 0x51, 0x69, 0x48, 0x1f, 0x65, 0xfc, 0xf1, 0xb8,
-  0x48, 0x2d, 0x0c, 0x30, 0x16, 0xc7, 0xff, 0x72, 0xce, 0x12, 0x05, 0xc7,
-  0xc6, 0xdc, 0x2c, 0xe9, 0x48, 0x16, 0xbf, 0x15, 0x41, 0xea, 0xf4, 0x7f,
-  0x7f, 0xd2, 0x6b, 0x09, 0x76, 0x3a, 0xcf, 0x35, 0xa4, 0x0c, 0x5e, 0x7a,
-  0x44, 0x41, 0x48, 0xb0, 0x12, 0x03, 0x97, 0xf3, 0xc5, 0x21, 0x14, 0x98,
-  0xa1, 0x9e, 0x10, 0x06, 0xcc, 0x97, 0x8a, 0x97, 0x9e, 0x1b, 0xd2, 0x14,
-  0xf4, 0x84, 0xa2, 0x8e, 0x9b, 0xff, 0xb4, 0x22, 0x85, 0x5a, 0x8d, 0xa0,
-  0xe8, 0x25, 0xff, 0xbb, 0x6f, 0x35, 0x7a, 0x1e, 0x2b, 0xbd, 0x89, 0xc7,
-  0x1b, 0xe5, 0xf3, 0x2a, 0xe0, 0xbe, 0x72, 0xdb, 0x3e, 0x0e, 0xe6, 0x3e,
-  0x88, 0xce, 0xdc, 0xbe, 0xf8, 0xa2, 0x80, 0x68, 0xb3, 0x5e, 0xa1, 0x6c,
-  0x3d, 0xb0, 0x3b, 0xd2, 0x0f, 0xaf, 0xd3, 0xbb, 0xa4, 0x36, 0xb2, 0x4d,
-  0x33, 0x2f, 0xb2, 0x3d, 0x32, 0x17, 0xed, 0x99, 0xf4, 0xb6, 0x6c, 0xbe,
-  0xd5, 0xb6, 0x54, 0xd8, 0x2a, 0x92, 0x34, 0x39, 0x8e, 0x4c, 0xac, 0x77,
-  0xae, 0x28, 0x60, 0x4b, 0xcf, 0xdc, 0x31, 0xa4, 0x5a, 0x2e, 0xe8, 0x71,
-  0x7e, 0xd2, 0xd7, 0x18, 0x48, 0xc5, 0xdd, 0x97, 0x74, 0x37, 0x9e, 0x05,
-  0xc7, 0x4f, 0xd6, 0x91, 0x6d, 0xda, 0x16, 0xc2, 0x50, 0x73, 0xf9, 0x06,
-  0x16, 0xdc, 0xe8, 0x0a, 0xf6, 0xd5, 0x72, 0xf1, 0xc8, 0xaa, 0xd7, 0x85,
-  0x4a, 0x8e, 0xe9, 0x85, 0x88, 0x1b, 0xaa, 0x7a, 0xa3, 0x95, 0xc4, 0x42,
-  0xba, 0x14, 0x49, 0xb5, 0x26, 0x68, 0x0a, 0x34, 0xd6, 0x25, 0x6a, 0x83,
-  0x35, 0x0a, 0x48, 0x7e, 0x9f, 0x78, 0xce, 0x32, 0xda, 0xef, 0xfc, 0x8e,
-  0x27, 0xe3, 0x9d, 0xd9, 0xbf, 0x7f, 0x0d, 0x41, 0x7e, 0x24, 0x45, 0xd6,
-  0x31, 0xfe, 0x5b, 0x09, 0xf2, 0xff, 0xdf, 0x6b, 0xbf, 0xd7, 0xef, 0x7e,
-  0xdf, 0xbd, 0xee, 0xf3, 0xac, 0x5f, 0x92, 0xd0, 0xb7, 0x76, 0x5f, 0x89,
-  0x07, 0xb2, 0x14, 0xe9, 0x61, 0xfe, 0x9b, 0x90, 0xad, 0xa4, 0x79, 0xd1,
-  0x3c, 0x6f, 0x68, 0x8d, 0x56, 0xce, 0x5c, 0xb6, 0xd1, 0x0e, 0x8b, 0x61,
-  0x92, 0x3a, 0x35, 0xb9, 0x59, 0x6c, 0x49, 0x42, 0x42, 0x90, 0xba, 0xfe,
-  0xe8, 0xf5, 0xa1, 0x4a, 0x8a, 0xb8, 0x33, 0x2a, 0xb9, 0xc5, 0x92, 0xfb,
-  0x8a, 0x34, 0x6b, 0x87, 0x1f, 0x21, 0x22, 0x7a, 0xdb, 0xe2, 0xf2, 0x74,
-  0x38, 0x86, 0x55, 0xcc, 0x82, 0x3d, 0x17, 0xa0, 0x14, 0x16, 0x4f, 0x50,
-  0x30, 0x8a, 0x0f, 0xe0, 0xc1, 0xab, 0xc9, 0x29, 0x58, 0xcf, 0xe0, 0x1a,
-  0x6b, 0x2d, 0xab, 0x0a, 0xd5, 0x8c, 0x57, 0x91, 0xc9, 0x01, 0xd0, 0xab,
-  0x76, 0x89, 0x6c, 0x97, 0xf1, 0xf4, 0x36, 0x66, 0x71, 0x84, 0xa3, 0x29,
-  0x64, 0x49, 0xad, 0xe8, 0x6d, 0x2b, 0x0c, 0xc0, 0x68, 0x79, 0x7d, 0x2d,
-  0xd0, 0x92, 0x07, 0x72, 0x01, 0x15, 0x86, 0x10, 0x01, 0xc3, 0x64, 0xf7,
-  0x8b, 0xae, 0x86, 0x71, 0x76, 0x6e, 0xe8, 0xb6, 0xa6, 0x85, 0x62, 0x79,
-  0xa8, 0x23, 0xf2, 0x48, 0x23, 0xcb, 0x8b, 0xa9, 0xbf, 0x17, 0x75, 0x5f,
-  0xb6, 0xbf, 0x43, 0x0a, 0x7a, 0x42, 0x03, 0x93, 0x32, 0x28, 0x4e, 0xff,
-  0xa7, 0x35, 0xbc, 0x49, 0xe9, 0x42, 0x9b, 0x37, 0x83, 0xb7, 0xb4, 0xb0,
-  0x1a, 0x9c, 0x04, 0x0a, 0x5d, 0xdb, 0x3a, 0xc6, 0x3f, 0x59, 0x7f, 0x06,
-  0x19, 0x8b, 0x14, 0xc8, 0xab, 0xac, 0x91, 0x5c, 0xaf, 0xe9, 0x4f, 0xda,
-  0x7f, 0x7b, 0xd1, 0x2d, 0x0d, 0x7b, 0x4f, 0xed, 0x4e, 0x12, 0x08, 0x2e,
-  0x50, 0x9e, 0x84, 0xa2, 0x46, 0x32, 0xa9, 0xc2, 0x95, 0xaa, 0x35, 0xa9,
-  0xa7, 0x2e, 0x25, 0xf6, 0x53, 0xda, 0x46, 0x11, 0x15, 0x13, 0x2f, 0xfe,
-  0x78, 0xb8, 0x48, 0xb3, 0x07, 0x73, 0x79, 0x50, 0x2d, 0x28, 0xb1, 0xf6,
-  0x6a, 0x34, 0x9b, 0x87, 0xa7, 0xe3, 0xa2, 0x94, 0x80, 0x53, 0xa9, 0xfb,
-  0x8a, 0x4b, 0x93, 0x1f, 0xd4, 0xaa, 0x7d, 0x6a, 0x55, 0xed, 0x35, 0x51,
-  0x24, 0x90, 0x28, 0xe5, 0x62, 0x42, 0x9d, 0x10, 0x52, 0x15, 0xa2, 0xcd,
-  0x64, 0xfe, 0xaf, 0xca, 0x61, 0x95, 0xc6, 0x1e, 0x11, 0xc4, 0x00, 0xee,
-  0x36, 0x74, 0x41, 0x46, 0x02, 0x28, 0x6d, 0x80, 0x30, 0x88, 0x2c, 0x0a,
-  0x4e, 0x45, 0x50, 0x3f, 0xa5, 0x59, 0xa9, 0x0d, 0xc2, 0x51, 0xa5, 0xe2,
-  0xa5, 0x18, 0x94, 0x45, 0xb7, 0x9e, 0x5b, 0x98, 0x99, 0x84, 0x99, 0x1b,
-  0x98, 0x75, 0x0a, 0x83, 0x56, 0x31, 0x68, 0xf1, 0x05, 0x4a, 0x84, 0x1d,
-  0xa8, 0x4d, 0xb7, 0x50, 0x8f, 0x1d, 0x6b, 0x0f, 0xf6, 0x3e, 0xdb, 0x54,
-  0x84, 0xe6, 0x83, 0x08, 0xf6, 0xa6, 0x34, 0x8d, 0x5a, 0x4e, 0x4f, 0xf2,
-  0x09, 0x44, 0xe8, 0x95, 0xd6, 0x8f, 0x49, 0x51, 0xb5, 0x63, 0x7e, 0x6b,
-  0xc1, 0x9c, 0x92, 0x6f, 0x90, 0x8c, 0x97, 0x65, 0xd5, 0x8e, 0x1b, 0x86,
-  0x06, 0x5a, 0x50, 0x32, 0x86, 0xb5, 0x89, 0x53, 0xa0, 0xf0, 0x8b, 0x1d,
-  0x07, 0x12, 0xbd, 0xdf, 0xd9, 0x52, 0xd1, 0x3d, 0x16, 0x31, 0xa8, 0x15,
-  0x95, 0x18, 0x44, 0x6e, 0x63, 0x26, 0x49, 0x15, 0x46, 0x06, 0xd4, 0x1a,
-  0x93, 0x02, 0x36, 0x6d, 0xdd, 0x13, 0xf5, 0xe5, 0x93, 0xb6, 0xbe, 0x5f,
-  0x4b, 0xfe, 0x48, 0xd0, 0xb5, 0x2b, 0x3f, 0xa0, 0xa9, 0x25, 0xc5, 0x1a,
-  0x60, 0x8a, 0xa0, 0xe7, 0x8c, 0x31, 0xee, 0x42, 0xe0, 0x68, 0x7b, 0xd5,
-  0xd6, 0x7f, 0xbf, 0x89, 0x7e, 0x74, 0xf7, 0x3c, 0x30, 0xdf, 0x30, 0x03,
-  0xc6, 0x47, 0xba, 0x9c, 0x69, 0x53, 0x8d, 0xb8, 0xcd, 0x47, 0x4f, 0xe9,
-  0xc7, 0xb7, 0xfc, 0xc3, 0xea, 0x3e, 0x33, 0x3c, 0x98, 0x99, 0x2f, 0x9a,
-  0xc0, 0x07, 0x5c, 0xd4, 0x47, 0xce, 0xfd, 0x10, 0x54, 0xf4, 0x1a, 0xbf,
-  0xe4, 0xc9, 0x23, 0xef, 0xd0, 0xdc, 0x7e, 0x61, 0x63, 0xda, 0xb2, 0xcc,
-  0x98, 0x12, 0xc7, 0x08, 0x28, 0x26, 0x61, 0x34, 0x97, 0xfa, 0x68, 0x8a,
-  0x62, 0x81, 0x3f, 0xd5, 0x43, 0x55, 0xe0, 0x2c, 0x09, 0x77, 0x49, 0xd7,
-  0x40, 0x39, 0xad, 0xef, 0x4f, 0x04, 0x95, 0xb6, 0xf2, 0x57, 0x8f, 0xcf,
-  0xed, 0xb1, 0xf2, 0xb9, 0x0d, 0xcc, 0xc8, 0x5a, 0xc3, 0xbc, 0x14, 0xb4,
-  0x98, 0xcf, 0x3e, 0x6e, 0x15, 0x8f, 0xf8, 0x96, 0x51, 0xe6, 0x61, 0x30,
-  0x64, 0x5a, 0xb4, 0x55, 0x24, 0x2f, 0x5f, 0xb4, 0x15, 0x8f, 0x3a, 0x00,
-  0x33, 0x45, 0x4f, 0x6e, 0x1f, 0x9c, 0xdc, 0x7b, 0x88, 0xe6, 0x03, 0x77,
-  0xb9, 0x75, 0xe6, 0x96, 0x19, 0x5d, 0xb5, 0xf9, 0xca, 0x5f, 0x6e, 0x11,
-  0x5d, 0x95, 0x52, 0xfb, 0x8c, 0xbb, 0x5b, 0x93, 0xc0, 0x3b, 0x21, 0xb1,
-  0x67, 0xca, 0x16, 0x5e, 0xc9, 0x3d, 0xfa, 0x43, 0xa3, 0x10, 0x75, 0xb1,
-  0x9a, 0x8f, 0x6f, 0x8e, 0xde, 0x0e, 0xd7, 0x25, 0xf1, 0x56, 0x27, 0x87,
-  0xa7, 0x49, 0x8c, 0x63, 0xb6, 0x08, 0xd9, 0x4f, 0x43, 0x59, 0x5a, 0xc0,
-  0x35, 0xce, 0xdf, 0x1e, 0x7f, 0x7d, 0x66, 0x3f, 0xd6, 0x2e, 0xf9, 0xa3,
-  0x2b, 0x7c, 0xca, 0x09, 0xba, 0x8f, 0xe5, 0x3a, 0xdb, 0xe0, 0x5c, 0x8d,
-  0x29, 0xef, 0x84, 0x20, 0x7a, 0x9c, 0xf2, 0xeb, 0x42, 0x8a, 0x3d, 0xa5,
-  0x48, 0x7c, 0x94, 0xaf, 0xcb, 0xe2, 0xa6, 0xe3, 0xb6, 0xf7, 0xf5, 0x57,
-  0xcd, 0xdb, 0xea, 0xe8, 0xed, 0x9a, 0xee, 0xf8, 0x9b, 0xbe, 0x65, 0x30,
-  0xe9, 0x15, 0xad, 0xb5, 0xed, 0x90, 0x4d, 0xde, 0x72, 0xf2, 0xb8, 0x76,
-  0xaf, 0xfe, 0x00, 0x98, 0x9d, 0x9b, 0x7c, 0x28, 0xc9, 0x0b, 0xd5, 0x0b,
-  0x42, 0x03, 0x27, 0xcc, 0x4e, 0x63, 0xba, 0x26, 0x5b, 0xaa, 0xe4, 0x06,
-  0x56, 0xff, 0xb0, 0x9c, 0x7b, 0xb0, 0xc6, 0x8a, 0x8b, 0x6a, 0xe5, 0xb8,
-  0x90, 0x49, 0x6f, 0x85, 0xdd, 0xe7, 0x6b, 0x52, 0xad, 0x9b, 0x7a, 0x65,
-  0xff, 0x9e, 0x2e, 0x29, 0xf8, 0xa5, 0x59, 0x06, 0x8c, 0x5e, 0xca, 0x75,
-  0xf4, 0x45, 0xe3, 0x40, 0x08, 0xea, 0x8b, 0x59, 0x85, 0xcd, 0x09, 0x88,
-  0x6b, 0x9d, 0x0d, 0x3c, 0x0e, 0x33, 0x08, 0xf5, 0xde, 0x93, 0x32, 0x11,
-  0x93, 0xb1, 0x22, 0x08, 0x35, 0x82, 0x45, 0xb9, 0xcc, 0x81, 0xf9, 0x26,
-  0x24, 0xca, 0x40, 0xfa, 0xd5, 0xfa, 0x86, 0x52, 0xaf, 0x4a, 0x05, 0x1b,
-  0x96, 0x7f, 0x2d, 0xb1, 0x3a, 0x12, 0x77, 0x77, 0x23, 0xb8, 0xe0, 0x81,
-  0xcd, 0x35, 0x0f, 0x76, 0x33, 0x55, 0xa5, 0x64, 0x57, 0x73, 0x4a, 0x3a,
-  0xd2, 0xc6, 0x83, 0x24, 0xe1, 0xd6, 0x98, 0x4a, 0xb6, 0x6f, 0x75, 0xe4,
-  0xd9, 0x4e, 0xcf, 0xf2, 0x07, 0xc5, 0xfe, 0x23, 0x08, 0x5f, 0x48, 0x6c,
-  0x1e, 0x2f, 0xd9, 0x6e, 0x05, 0xa7, 0x03, 0x64, 0xaf, 0xf6, 0xe6, 0x56,
-  0x12, 0x22, 0xd1, 0xf9, 0xd2, 0x0c, 0x66, 0x1d, 0x4b, 0xd3, 0xe1, 0xa4,
-  0x45, 0x07, 0x42, 0x66, 0x06, 0xa6, 0xd2, 0x2f, 0x47, 0x8b, 0x8f, 0x51,
-  0x7c, 0x06, 0xa8, 0xa6, 0x83, 0xb2, 0x4c, 0x9d, 0x2f, 0xfb, 0x9d, 0xd6,
-  0xdb, 0xcf, 0xd7, 0xda, 0x52, 0x90, 0x6c, 0xb3, 0x75, 0x9b, 0x71, 0x4f,
-  0xba, 0xf0, 0xe5, 0xc4, 0x18, 0x4e, 0xbf, 0x4c, 0xcb, 0x65, 0xd9, 0x08,
-  0x4b, 0x54, 0xfc, 0x88, 0x28, 0x82, 0x4f, 0x16, 0x5a, 0x02, 0x2f, 0xb9,
-  0x77, 0x9c, 0x42, 0xda, 0x63, 0x83, 0x60, 0x89, 0xe0, 0x31, 0x31, 0x32,
-  0x8e, 0x0c, 0xe5, 0xa7, 0x2e, 0xae, 0x1c, 0x4c, 0xc3, 0x4a, 0x60, 0xb8,
-  0x9c, 0x3c, 0xd8, 0x62, 0x11, 0x7d, 0xfa, 0x0f, 0xfb, 0x12, 0x88, 0x14,
-  0xff, 0x34, 0xe7, 0x83, 0x39, 0x4f, 0xe2, 0x76, 0xa9, 0x3b, 0xfa, 0x14,
-  0xab, 0x02, 0x93, 0x8c, 0x2c, 0x0d, 0x92, 0x04, 0xb9, 0xc1, 0x4f, 0x07,
-  0xee, 0xd2, 0xb5, 0x52, 0x5a, 0xd1, 0x3c, 0xb9, 0x87, 0x64, 0xd0, 0xd0,
-  0x09, 0x44, 0xd2, 0xfc, 0x2b, 0x57, 0xc4, 0xa5, 0x37, 0x48, 0x62, 0x64,
-  0xc7, 0xbf, 0xe4, 0xc2, 0x09, 0x79, 0xfd, 0x35, 0x57, 0xd1, 0x9e, 0x04,
-  0x1f, 0x1a, 0x39, 0xcb, 0xa3, 0xf2, 0x79, 0x53, 0x0a, 0x61, 0x87, 0xe4,
-  0x3e, 0x76, 0xe3, 0xd3, 0xbe, 0xc0, 0x8d, 0x28, 0x85, 0xf3, 0x7c, 0x69,
-  0xcc, 0xf6, 0x99, 0x15, 0x61, 0x9d, 0x3f, 0xd9, 0xeb, 0x07, 0xea, 0x74,
-  0xaf, 0x51, 0xd3, 0x10, 0x71, 0x47, 0x30, 0xd8, 0x07, 0x95, 0xf2, 0x04,
-  0xa8, 0xe6, 0x53, 0x2d, 0x7c, 0x24, 0x89, 0x13, 0x4b, 0xd8, 0x09, 0xee,
-  0xab, 0xa5, 0xbb, 0x5b, 0xf5, 0xb8, 0x0f, 0x10, 0x8f, 0x4f, 0x43, 0xb4,
-  0x2c, 0x69, 0x09, 0x10, 0x69, 0x8b, 0x37, 0x40, 0x24, 0x85, 0x15, 0x17,
-  0x95, 0x86, 0x58, 0xeb, 0x94, 0x02, 0xb8, 0x6c, 0x30, 0x96, 0x7a, 0x73,
-  0x50, 0xcf, 0xbd, 0x73, 0x1e, 0x2e, 0x4c, 0xd6, 0x87, 0xfa, 0x8f, 0x17,
-  0x29, 0xd0, 0xfa, 0x28, 0xa6, 0xe9, 0x74, 0x11, 0x91, 0x9b, 0x4d, 0x27,
-  0xee, 0xf4, 0x48, 0xe1, 0x19, 0x17, 0x99, 0xb0, 0xff, 0x78, 0x73, 0xaa,
-  0x15, 0x35, 0xa6, 0xcf, 0x3e, 0x9d, 0xf7, 0x48, 0xe7, 0x73, 0xab, 0x41,
-  0xcc, 0x24, 0xc9, 0x19, 0x2d, 0xab, 0x96, 0xef, 0xe7, 0x27, 0xc6, 0x28,
-  0xec, 0xba, 0x8d, 0x8f, 0xf7, 0x2a, 0x89, 0x39, 0x5a, 0x2c, 0x85, 0xc3,
-  0x92, 0xcc, 0xd9, 0x1a, 0x29, 0x20, 0x15, 0xdb, 0x07, 0xec, 0xae, 0x6b,
-  0x81, 0x3b, 0x8d, 0x1a, 0xe9, 0x42, 0x9f, 0x0f, 0xf6, 0x24, 0x17, 0x62,
-  0x9a, 0xc6, 0x3e, 0x7f, 0x5b, 0x66, 0xc0, 0x63, 0x8b, 0x61, 0x7c, 0x45,
-  0x10, 0x10, 0x89, 0xba, 0x8f, 0x37, 0xe7, 0x3c, 0x68, 0xac, 0x97, 0xac,
-  0x5b, 0x19, 0x45, 0x27, 0x15, 0x09, 0xdf, 0x2f, 0x8d, 0x2c, 0x89, 0x25,
-  0x61, 0xd7, 0x16, 0xa5, 0xcd, 0xdf, 0x1e, 0xad, 0x49, 0xa5, 0x8c, 0x36,
-  0x1d, 0x20, 0x84, 0x20, 0x23, 0x9b, 0xcf, 0x4f, 0x33, 0xab, 0x0c, 0x36,
-  0xf8, 0x43, 0xcd, 0x21, 0x11, 0xa6, 0x91, 0xa2, 0xf2, 0xb4, 0x11, 0xdd,
-  0xc9, 0x66, 0x94, 0xf7, 0x92, 0xe1, 0xe7, 0x14, 0x17, 0x9f, 0xf0, 0xd7,
-  0xd3, 0x98, 0xb7, 0x0c, 0xf8, 0x6b, 0x0e, 0x86, 0x18, 0x6a, 0x15, 0xee,
-  0xb0, 0x0f, 0x50, 0x2d, 0x64, 0x21, 0x9e, 0xbd, 0xc5, 0xd3, 0xc1, 0xb4,
-  0xee, 0x32, 0x9c, 0xe4, 0x22, 0xb5, 0x9b, 0x6b, 0x96, 0x4e, 0x3f, 0xd0,
-  0xdc, 0x34, 0x55, 0x9d, 0x0a, 0xe2, 0xd9, 0xb2, 0xf5, 0x00, 0x63, 0x42,
-  0xcc, 0x3a, 0x59, 0x51, 0x5f, 0x7e, 0xa0, 0xac, 0x88, 0x4c, 0x57, 0x52,
-  0x84, 0xf8, 0x82, 0x75, 0x53, 0x55, 0x3c, 0xda, 0xec, 0xd6, 0x57, 0x8f,
-  0x81, 0x12, 0xf5, 0x78, 0x73, 0x92, 0x2a, 0x8a, 0xa8, 0x5a, 0x2f, 0x44,
-  0xc2, 0xf2, 0x81, 0xc2, 0x15, 0x2a, 0x1c, 0xb4, 0x0f, 0xb9, 0x4a, 0x5a,
-  0xcd, 0xc5, 0xf7, 0x23, 0xf2, 0x85, 0xfa, 0xa2, 0x8f, 0x1f, 0x94, 0x3c,
-  0xce, 0x28, 0x9f, 0x21, 0xc4, 0x6e, 0x14, 0xc6, 0x5d, 0x20, 0x64, 0x7b,
-  0x33, 0xcb, 0x1f, 0x6f, 0x4e, 0xa9, 0xf2, 0x23, 0x66, 0x14, 0x2f, 0x16,
-  0xda, 0xd5, 0x87, 0x37, 0xe1, 0x77, 0x9a, 0xaf, 0x16, 0xa8, 0xdb, 0x26,
-  0xd6, 0xeb, 0xe6, 0xbd, 0xcd, 0x46, 0xcb, 0xe2, 0x06, 0x69, 0xe5, 0xd9,
-  0x87, 0x79, 0x56, 0xb8, 0x38, 0xd5, 0x49, 0x3f, 0x52, 0x37, 0x2f, 0x5c,
-  0x06, 0xc6, 0xd4, 0x53, 0x96, 0xf6, 0xbf, 0x6b, 0x1d, 0x24, 0x46, 0xc9,
-  0xf2, 0x0f, 0x79, 0x16, 0x82, 0xab, 0x69, 0x79, 0xd7, 0xa3, 0x84, 0x14,
-  0xaf, 0xc1, 0x87, 0x46, 0x97, 0x16, 0xde, 0xb8, 0x22, 0xd6, 0x8a, 0xa4,
-  0x5f, 0x07, 0x99, 0x14, 0x58, 0x67, 0x0e, 0x1f, 0xfd, 0x20, 0x67, 0xd0,
-  0x1a, 0xec, 0x82, 0x6c, 0xef, 0xc5, 0xa0, 0xb1, 0x39, 0x63, 0x03, 0x19,
-  0xb3, 0x25, 0xa6, 0xb6, 0xde, 0x1c, 0x9b, 0x4d, 0xc4, 0xba, 0x7c, 0xc7,
-  0x8a, 0xdb, 0x1a, 0x92, 0xcc, 0x5d, 0x44, 0x6a, 0xfb, 0x62, 0x03, 0xf7,
-  0x9d, 0x0f, 0xbd, 0x66, 0x8f, 0x07, 0xd5, 0xdb, 0x1e, 0xef, 0x9f, 0x38,
-  0xdc, 0xa2, 0x30, 0x57, 0x73, 0xa2, 0x01, 0x4b, 0xc2, 0x81, 0x7a, 0x46,
-  0x78, 0x40, 0xdf, 0xfc, 0x38, 0x52, 0x80, 0xd0, 0x67, 0x4b, 0xab, 0x99,
-  0xa4, 0x86, 0xd3, 0xc7, 0xca, 0x98, 0x7c, 0xa9, 0x35, 0x2d, 0x79, 0x43,
-  0x3f, 0x34, 0xba, 0x58, 0x74, 0xb1, 0xda, 0x2a, 0x78, 0xa7, 0xb1, 0x51,
-  0xb5, 0x18, 0xb5, 0x3e, 0x86, 0xab, 0x83, 0x93, 0xf3, 0x3a, 0xf9, 0x18,
-  0x95, 0x60, 0xb5, 0x02, 0xcf, 0x67, 0xd3, 0x52, 0x1c, 0x7d, 0x54, 0xd6,
-  0x2f, 0x86, 0x8a, 0x91, 0x7f, 0xfc, 0xf1, 0xf9, 0x5d, 0x78, 0xb9, 0x18,
-  0x17, 0x81, 0xa6, 0xd3, 0x76, 0x74, 0x74, 0x33, 0x3e, 0xb0, 0x66, 0x1c,
-  0x44, 0xa9, 0x65, 0xed, 0x53, 0x4f, 0x28, 0x45, 0x83, 0x45, 0x88, 0x74,
-  0xdd, 0xcc, 0xd2, 0x6f, 0x91, 0x55, 0x34, 0x59, 0x5f, 0x4c, 0x8d, 0x12,
-  0x62, 0x35, 0x4f, 0x12, 0x2c, 0x39, 0x90, 0xd4, 0xe3, 0x29, 0x9f, 0x9e,
-  0x32, 0x89, 0x3e, 0x86, 0xc9, 0x15, 0xb4, 0x8b, 0x4d, 0x74, 0xb1, 0xf4,
-  0x97, 0xe4, 0xbd, 0xa1, 0xbc, 0xe8, 0x99, 0x81, 0x6c, 0xe0, 0x53, 0xe3,
-  0x25, 0xae, 0x53, 0x64, 0x41, 0x96, 0xcf, 0xed, 0xe9, 0x96, 0x13, 0x88,
-  0xd6, 0x34, 0xa4, 0x2a, 0xfa, 0xb8, 0xd6, 0xd6, 0x46, 0x81, 0xa1, 0x2d,
-  0xf5, 0x57, 0x3c, 0xda, 0x96, 0x85, 0x40, 0xb8, 0x61, 0x41, 0xf4, 0xfd,
-  0xc0, 0x66, 0xb5, 0x49, 0xc6, 0xe8, 0xd1, 0xd2, 0x9d, 0x3f, 0x6e, 0xf4,
-  0x02, 0xf5, 0xab, 0x7e, 0x87, 0xc7, 0x7b, 0x84, 0x35, 0xd1, 0xa4, 0xb6,
+  0x69, 0x7b, 0x23, 0xc7, 0x91, 0x2e, 0xfa, 0x9d, 0xbf, 0xa2, 0x0c, 0x5d,
+  0x1b, 0xa4, 0x0d, 0x80, 0x4b, 0x2f, 0x52, 0xd3, 0xdd, 0x1a, 0x51, 0x24,
+  0x5b, 0xe2, 0x88, 0xdd, 0xe4, 0x21, 0xd8, 0x5a, 0x8e, 0xac, 0xa7, 0x9f,
+  0x02, 0x50, 0x24, 0xcb, 0x04, 0x50, 0x70, 0x55, 0x81, 0x24, 0xe4, 0xf1,
+  0xfc, 0xf6, 0x1b, 0xf1, 0x46, 0x44, 0x66, 0xd6, 0x02, 0x76, 0xcb, 0x96,
+  0x3c, 0xf7, 0x9c, 0xe7, 0x7a, 0x46, 0x4d, 0x12, 0xa8, 0xca, 0x35, 0x32,
+  0x32, 0xd6, 0x37, 0xa2, 0xe8, 0x43, 0xff, 0x7b, 0x8f, 0xff, 0xde, 0xd3,
+  0xff, 0xe8, 0xe7, 0x46, 0x14, 0x9d, 0xe7, 0xd9, 0x5f, 0x93, 0x71, 0xd9,
+  0xfe, 0xec, 0xfb, 0xf7, 0xff, 0x15, 0xc9, 0xff, 0xd1, 0x3b, 0x7f, 0xa1,
+  0x9f, 0x1b, 0x8f, 0xb6, 0xbd, 0x1d, 0xf9, 0x17, 0xfe, 0xeb, 0xfd, 0x56,
+  0xf4, 0xa1, 0x17, 0xfe, 0x2b, 0xda, 0xc4, 0x0b, 0xef, 0xb5, 0x87, 0x97,
+  0xfc, 0xfb, 0xfb, 0xf7, 0x8f, 0x77, 0xf2, 0x17, 0x1e, 0x15, 0xff, 0xb3,
+  0xcd, 0xef, 0xfd, 0xe5, 0x3d, 0xff, 0x4a, 0x9f, 0x6c, 0x6c, 0xbc, 0x3d,
+  0x78, 0x73, 0x6c, 0xaf, 0x8e, 0x97, 0xf9, 0x34, 0xea, 0x47, 0x65, 0x1e,
+  0xcf, 0x8b, 0xab, 0x24, 0x8f, 0xe2, 0xe8, 0xdd, 0xc5, 0xe9, 0xc6, 0xc6,
+  0xf0, 0x87, 0xb7, 0x67, 0xe7, 0xc3, 0x93, 0x61, 0xe5, 0xb1, 0x1f, 0xb3,
+  0x45, 0x99, 0x66, 0xf3, 0xe2, 0xa7, 0xe8, 0x47, 0x7a, 0x68, 0x30, 0x18,
+  0xfc, 0xb4, 0xb1, 0x71, 0x74, 0x3c, 0x3c, 0xbc, 0x38, 0x39, 0xbf, 0x3c,
+  0x39, 0x7b, 0x5b, 0x79, 0x36, 0x4a, 0x8b, 0x88, 0x1a, 0x2b, 0xb3, 0x6c,
+  0x4a, 0xff, 0xf8, 0xf6, 0x27, 0x71, 0x19, 0x47, 0x57, 0x79, 0x36, 0x8b,
+  0xb2, 0x9c, 0xbf, 0x88, 0xa3, 0x22, 0xc9, 0xef, 0x92, 0xbc, 0x17, 0x2d,
+  0x8b, 0x74, 0x7e, 0x1d, 0x65, 0xf3, 0x24, 0xca, 0xae, 0xa2, 0xf2, 0x26,
+  0xb1, 0xe6, 0x8a, 0xe5, 0x62, 0x91, 0xe5, 0x65, 0x32, 0x89, 0x16, 0x79,
+  0x56, 0x66, 0xe3, 0x6c, 0x5a, 0x44, 0x9b, 0x47, 0x27, 0x87, 0x97, 0xbd,
+  0xe8, 0xf5, 0xc9, 0xe9, 0x31, 0xfd, 0x7b, 0x79, 0x8e, 0x7f, 0x86, 0xbd,
+  0xe8, 0xab, 0xb3, 0xf3, 0xaf, 0x8f, 0x2f, 0x7a, 0xd1, 0xd7, 0x97, 0xfc,
+  0x19, 0xff, 0x4b, 0x1f, 0x46, 0x27, 0x6f, 0x0e, 0xce, 0x7b, 0xd6, 0x1c,
+  0xff, 0xc1, 0x1f, 0x9e, 0x1e, 0xd1, 0x87, 0xf2, 0x83, 0xff, 0x3c, 0x3f,
+  0x3b, 0x7f, 0xd2, 0xc3, 0xbf, 0xf4, 0xd7, 0xc5, 0xe5, 0x9b, 0x73, 0xfe,
+  0x77, 0x48, 0xff, 0x0e, 0x0f, 0xf9, 0x1f, 0xf4, 0x31, 0x7c, 0x63, 0xff,
+  0x0e, 0x5d, 0x73, 0x97, 0xc7, 0xa7, 0x6f, 0x8f, 0x2f, 0xa3, 0x78, 0x3e,
+  0x89, 0x2e, 0xe9, 0xa1, 0xad, 0x01, 0x7d, 0x74, 0x93, 0x44, 0xe3, 0x6c,
+  0x36, 0xe3, 0xcf, 0x68, 0x15, 0x26, 0x49, 0x91, 0x5e, 0xcf, 0x69, 0xf8,
+  0x34, 0xdb, 0xfb, 0x2c, 0xbf, 0x8d, 0xee, 0xd3, 0xf2, 0x26, 0x5b, 0x96,
+  0x34, 0x61, 0x5a, 0x8f, 0x28, 0x9d, 0x97, 0x49, 0xde, 0xb7, 0xe6, 0xe2,
+  0x31, 0xaf, 0xf0, 0x60, 0xa3, 0xb2, 0x96, 0xd9, 0x15, 0xad, 0x5c, 0x41,
+  0x4b, 0x35, 0x5a, 0x16, 0xd3, 0x2c, 0x9e, 0xf0, 0x02, 0xd1, 0xcb, 0x57,
+  0x4b, 0x5a, 0xda, 0x3c, 0x1d, 0xdf, 0x16, 0xd1, 0x34, 0xbd, 0x4d, 0x78,
+  0x79, 0x1e, 0x56, 0xb6, 0x5c, 0x3d, 0x69, 0x3e, 0x5e, 0xd2, 0x4a, 0xce,
+  0x5d, 0xf3, 0x65, 0x3a, 0x8e, 0xb9, 0x03, 0xac, 0x57, 0xb4, 0x5c, 0x70,
+  0x6b, 0xb2, 0x4e, 0xd1, 0x22, 0x2b, 0xe8, 0xa5, 0xe1, 0xf0, 0x94, 0xc6,
+  0x3e, 0x9f, 0x27, 0x18, 0x47, 0xd1, 0xa3, 0x3f, 0xb2, 0xdb, 0x34, 0xa1,
+  0x5f, 0xae, 0xd2, 0x69, 0x12, 0xc9, 0x3e, 0xba, 0xe6, 0x78, 0x43, 0xf3,
+  0xa4, 0x58, 0xce, 0x12, 0x2c, 0xc0, 0x2c, 0xcb, 0x93, 0x41, 0x74, 0x50,
+  0x44, 0xab, 0x6c, 0x49, 0xb3, 0x9c, 0x4e, 0x69, 0x6f, 0x93, 0x68, 0x94,
+  0x4c, 0xb3, 0xfb, 0x1e, 0xef, 0x68, 0x34, 0x5f, 0xce, 0x46, 0xf4, 0x0a,
+  0x0d, 0xff, 0x2a, 0x89, 0xcb, 0x25, 0xbd, 0x8a, 0xc7, 0xac, 0xb9, 0x59,
+  0x4c, 0xb3, 0xa0, 0x77, 0xf3, 0xe8, 0x26, 0xa1, 0x59, 0x16, 0x8b, 0x74,
+  0xfe, 0xbb, 0xea, 0x4a, 0xd0, 0x72, 0x2e, 0xb2, 0xfb, 0x24, 0xa7, 0xd5,
+  0x1c, 0xad, 0x22, 0x9a, 0xf6, 0x48, 0x88, 0xed, 0x8a, 0x88, 0x29, 0x8a,
+  0xa9, 0x43, 0x47, 0x68, 0xfd, 0x3c, 0x99, 0xc6, 0x4c, 0x34, 0xae, 0x2b,
+  0xda, 0x99, 0x61, 0xe2, 0xa8, 0x4a, 0x5f, 0xdd, 0x7c, 0xb2, 0x85, 0x97,
+  0x27, 0x49, 0x19, 0xa7, 0xd3, 0x82, 0x16, 0x9e, 0xc9, 0xdf, 0xf6, 0x96,
+  0x86, 0xcc, 0xc7, 0x81, 0x68, 0x70, 0x35, 0x2f, 0xe3, 0x07, 0x74, 0xaf,
+  0x34, 0xd8, 0x9f, 0x24, 0x8b, 0x64, 0x3e, 0x49, 0xe6, 0xe5, 0x20, 0xfa,
+  0x21, 0x5b, 0x76, 0xa9, 0xef, 0xab, 0x94, 0xd6, 0x20, 0xd6, 0xa6, 0xa8,
+  0x67, 0xda, 0xf8, 0x71, 0x9e, 0x2e, 0x82, 0xc5, 0xcf, 0xe6, 0xb4, 0xdd,
+  0xd1, 0xc5, 0xeb, 0xc3, 0xe8, 0xc9, 0x8b, 0xcf, 0x9e, 0xfb, 0x5d, 0xa6,
+  0x06, 0xa2, 0x71, 0x3c, 0xa7, 0x19, 0x27, 0xe3, 0xf4, 0x6a, 0x15, 0xcd,
+  0x96, 0xd3, 0x32, 0x5d, 0xd0, 0x7a, 0x53, 0xe7, 0x05, 0x1f, 0x94, 0x45,
+  0x9c, 0x97, 0x05, 0xaf, 0x1b, 0x3e, 0xc0, 0xdc, 0xef, 0xf3, 0xb4, 0xe4,
+  0x03, 0x83, 0xef, 0x68, 0x84, 0x49, 0x59, 0x58, 0x73, 0x4c, 0x60, 0xd4,
+  0xcf, 0x28, 0x8f, 0xc7, 0xb4, 0xc2, 0x71, 0x41, 0x9d, 0xee, 0xbb, 0xbe,
+  0xa2, 0x9b, 0xb2, 0x5c, 0xec, 0x6f, 0x6f, 0x17, 0x69, 0x99, 0x0c, 0xfe,
+  0x4e, 0xc7, 0xad, 0x57, 0xde, 0x67, 0xbd, 0xf2, 0x26, 0x4f, 0x92, 0x7f,
+  0x0c, 0x88, 0x6c, 0xdd, 0x83, 0xd4, 0xed, 0x4a, 0xc7, 0x75, 0x9d, 0x94,
+  0xd4, 0xc1, 0xdf, 0x96, 0xc9, 0x9c, 0x1b, 0xa4, 0x61, 0xc4, 0xd3, 0xc5,
+  0x4d, 0x4c, 0xbb, 0x99, 0x10, 0xf9, 0xf1, 0x01, 0x26, 0x0a, 0xe1, 0x41,
+  0xc9, 0x11, 0xfe, 0xf1, 0xa7, 0x46, 0x9f, 0x57, 0xe8, 0x92, 0xfe, 0x1d,
+  0xe8, 0x4b, 0x31, 0xad, 0x35, 0x75, 0xb6, 0xcd, 0x54, 0xf5, 0xe3, 0x6e,
+  0x7f, 0x77, 0x67, 0xe7, 0xa7, 0x41, 0xf9, 0x50, 0x7e, 0xe4, 0x0b, 0x3b,
+  0x3b, 0xfe, 0x15, 0x7e, 0x7a, 0x93, 0x67, 0x1c, 0x4d, 0x89, 0x68, 0xb8,
+  0xff, 0x9f, 0x93, 0x3c, 0x2b, 0xb6, 0x5a, 0x9a, 0x9a, 0x26, 0x25, 0x9d,
+  0xb5, 0xa0, 0x9d, 0xb8, 0xff, 0xb3, 0x74, 0x6b, 0x0f, 0xbf, 0x4d, 0x0a,
+  0xd0, 0x8c, 0x9f, 0x6c, 0x14, 0xe7, 0x44, 0xb7, 0x59, 0xe9, 0xd9, 0x50,
+  0x8f, 0x8e, 0x61, 0xe9, 0x96, 0x86, 0x4e, 0x19, 0x3d, 0x4d, 0x0c, 0x2c,
+  0x9e, 0x32, 0xef, 0x2a, 0xa2, 0x79, 0xe2, 0xa7, 0x41, 0x27, 0x3e, 0x89,
+  0xc7, 0x37, 0x51, 0x46, 0xc4, 0x9f, 0x37, 0xb7, 0x20, 0x9e, 0xaf, 0x06,
+  0x59, 0x7e, 0xbd, 0x1d, 0xe7, 0xe3, 0x9b, 0xf4, 0x8e, 0xd6, 0xe1, 0xc5,
+  0x8b, 0xe7, 0x7d, 0xfa, 0xe7, 0xc5, 0x4f, 0xdb, 0x77, 0xd9, 0x94, 0x96,
+  0xe5, 0xe9, 0x4f, 0xdb, 0xbc, 0xbb, 0x7f, 0x8f, 0x7b, 0xa3, 0xde, 0xf8,
+  0x1f, 0x83, 0x9b, 0x72, 0x36, 0x5d, 0x4b, 0x33, 0xd4, 0x58, 0x14, 0xcf,
+  0xb2, 0xe5, 0xbc, 0x74, 0x74, 0x42, 0xe4, 0x56, 0x06, 0xbc, 0x68, 0x9a,
+  0xce, 0x13, 0x61, 0x4f, 0x4c, 0x3e, 0x7c, 0x3c, 0xe9, 0x6c, 0xfa, 0xa3,
+  0x5c, 0x8e, 0x6f, 0x68, 0xea, 0x44, 0x37, 0xb1, 0x4e, 0xbf, 0x4c, 0x69,
+  0x4e, 0xf4, 0xe6, 0x9c, 0x8e, 0x6c, 0x2a, 0x4d, 0x49, 0x67, 0x29, 0x3d,
+  0x97, 0xe5, 0x93, 0x24, 0xaf, 0x52, 0x30, 0x86, 0xe3, 0xc7, 0x13, 0xd1,
+  0x52, 0x2e, 0xa8, 0xf3, 0x25, 0x33, 0x38, 0x1c, 0x32, 0x6e, 0x81, 0x8e,
+  0xe7, 0x35, 0xad, 0x12, 0xad, 0x0c, 0x13, 0x15, 0x2f, 0xdc, 0x2a, 0x7a,
+  0x4b, 0x9b, 0x27, 0xac, 0x21, 0xa0, 0x3d, 0xd9, 0xac, 0xe6, 0xa2, 0xdd,
+  0xdf, 0xdf, 0xaf, 0x27, 0xa2, 0xfd, 0xdd, 0x1a, 0x1d, 0x05, 0x2f, 0xb5,
+  0xed, 0xfe, 0xfe, 0x5e, 0x75, 0xff, 0x4f, 0xae, 0xb0, 0xb1, 0x36, 0x07,
+  0x3e, 0xfb, 0xc6, 0xad, 0xed, 0xe0, 0x53, 0x6b, 0xf4, 0x7b, 0x72, 0x95,
+  0x3e, 0xf4, 0xec, 0xaa, 0x93, 0xb5, 0x8c, 0xa9, 0xf9, 0xd9, 0xa2, 0xe4,
+  0x5d, 0xb7, 0xe6, 0xae, 0x97, 0x49, 0x41, 0x24, 0x74, 0x7f, 0x13, 0xd3,
+  0xc7, 0xd6, 0x40, 0x84, 0x2e, 0x66, 0xe9, 0xf5, 0x4d, 0x19, 0xdd, 0xc7,
+  0xcc, 0x3f, 0x4e, 0x4a, 0x69, 0x82, 0x59, 0x35, 0x71, 0x8d, 0xab, 0x98,
+  0x8e, 0x3f, 0xaf, 0x10, 0xf8, 0x32, 0x11, 0x9b, 0x23, 0x27, 0x5a, 0x2b,
+  0x90, 0x52, 0x70, 0x13, 0x8e, 0xe2, 0x82, 0x77, 0x63, 0x4e, 0x9b, 0x5e,
+  0x12, 0xa3, 0x5f, 0xf2, 0x5f, 0x37, 0xc4, 0xca, 0xa3, 0x79, 0x3c, 0x4b,
+  0x74, 0xa0, 0xe0, 0x7d, 0xaf, 0x99, 0x45, 0x26, 0x0f, 0xf1, 0xcc, 0xf1,
+  0x23, 0x62, 0x30, 0x3d, 0x65, 0x9d, 0xee, 0x8d, 0x82, 0x76, 0x8d, 0x28,
+  0x8e, 0x8f, 0x11, 0xce, 0x54, 0x87, 0xcf, 0x4d, 0x47, 0xe6, 0x89, 0x31,
+  0xc6, 0x05, 0xd8, 0x3d, 0x38, 0x3c, 0x0d, 0x3e, 0x98, 0x2c, 0x2d, 0x5a,
+  0x7c, 0xcb, 0xf7, 0x4a, 0xed, 0xf6, 0xc2, 0x6b, 0x93, 0x2c, 0x4a, 0x89,
+  0x83, 0x8d, 0xe8, 0x7c, 0xf1, 0xcc, 0xf8, 0xd4, 0x60, 0x55, 0xb8, 0x9d,
+  0x05, 0xb5, 0xc9, 0x1f, 0xa6, 0x25, 0xf3, 0x0d, 0x08, 0x20, 0x34, 0x5e,
+  0x5a, 0x14, 0xc8, 0x10, 0x74, 0xf6, 0x82, 0xf9, 0x83, 0xe3, 0xd1, 0xb3,
+  0xd1, 0x5d, 0x3c, 0x4d, 0x49, 0x96, 0x48, 0xdc, 0x5b, 0x60, 0xd1, 0x63,
+  0xbe, 0xe0, 0xa6, 0xd3, 0x15, 0x91, 0x5d, 0x9e, 0xb3, 0xb0, 0xc6, 0x3b,
+  0x38, 0x92, 0xc3, 0x31, 0x4b, 0xe8, 0x66, 0x08, 0x97, 0x33, 0x65, 0x26,
+  0x45, 0x44, 0x4a, 0x57, 0x0d, 0xc8, 0x90, 0xae, 0x04, 0x1c, 0x63, 0x4c,
+  0x1c, 0xa3, 0xe3, 0xb6, 0xc7, 0xe3, 0x64, 0x51, 0x16, 0x7e, 0x4e, 0x87,
+  0x7e, 0x29, 0x74, 0xc3, 0x69, 0x38, 0x79, 0xc2, 0x2b, 0x1f, 0xde, 0x9c,
+  0x58, 0x57, 0xc7, 0xc7, 0x71, 0x79, 0xda, 0xd5, 0x44, 0x97, 0x69, 0xe1,
+  0x56, 0xad, 0x04, 0x6d, 0xd0, 0x59, 0xc0, 0x9a, 0xcf, 0x78, 0xa0, 0xfc,
+  0x70, 0x21, 0x32, 0x12, 0xce, 0x1c, 0x6f, 0xa4, 0x08, 0x49, 0xd2, 0x2f,
+  0x73, 0x23, 0x5a, 0x4f, 0xd7, 0x38, 0xf5, 0xea, 0xf6, 0x94, 0xbb, 0x2f,
+  0x48, 0xbc, 0x24, 0xee, 0x3c, 0x29, 0x6e, 0xe8, 0x3e, 0xa5, 0xad, 0xbf,
+  0xbc, 0xe1, 0x99, 0xce, 0x88, 0x66, 0xee, 0x78, 0x7f, 0x17, 0x49, 0x32,
+  0x19, 0x44, 0x67, 0x57, 0x7c, 0x34, 0x73, 0x1a, 0x74, 0x89, 0xaf, 0x99,
+  0x5b, 0xd0, 0xba, 0x4d, 0x20, 0x7f, 0xcd, 0x1d, 0x57, 0xc0, 0x50, 0x82,
+  0x63, 0xcf, 0x94, 0x46, 0x8b, 0x1d, 0x31, 0xa3, 0x9f, 0x56, 0x59, 0x0b,
+  0x44, 0x00, 0x62, 0x01, 0x3c, 0xbc, 0x51, 0x12, 0x81, 0x12, 0x47, 0x49,
+  0x79, 0x9f, 0x24, 0xae, 0xb9, 0x22, 0x21, 0x76, 0xc6, 0x9b, 0x26, 0x97,
+  0xf9, 0xfc, 0x2e, 0xe3, 0x01, 0x6e, 0x6c, 0x9c, 0x5f, 0x9c, 0x7d, 0x75,
+  0x71, 0x3c, 0x1c, 0x46, 0x6f, 0x8e, 0x2f, 0x8f, 0x2f, 0x2a, 0xd4, 0x33,
+  0xcf, 0xf2, 0x19, 0x76, 0x74, 0x92, 0x16, 0x8b, 0x69, 0xbc, 0xe2, 0xad,
+  0xa6, 0x99, 0x5c, 0xe7, 0x7c, 0xb2, 0x66, 0x09, 0xb3, 0x96, 0xc9, 0x32,
+  0x07, 0x59, 0x64, 0x0b, 0xda, 0x3e, 0x15, 0x5b, 0xa8, 0xf1, 0x09, 0x64,
+  0x9d, 0xf9, 0xb5, 0x5f, 0x69, 0xba, 0xcd, 0x95, 0x43, 0x32, 0x8b, 0x74,
+  0xfb, 0xc1, 0xd2, 0x04, 0xe4, 0xd2, 0x9e, 0xff, 0x4c, 0x96, 0xa9, 0xc0,
+  0x9c, 0x88, 0x66, 0xd3, 0x19, 0x64, 0x09, 0xfa, 0xe9, 0x05, 0x88, 0xe4,
+  0x8a, 0xe4, 0x25, 0xe2, 0x9a, 0x35, 0x72, 0x77, 0xe3, 0xc4, 0xba, 0x42,
+  0xdc, 0x65, 0xf9, 0x97, 0x3a, 0xa7, 0xb1, 0xce, 0xd2, 0x39, 0x11, 0x18,
+  0x11, 0xa4, 0x9e, 0x72, 0xa6, 0x04, 0x1a, 0xeb, 0x95, 0xf0, 0x04, 0x5d,
+  0x91, 0xaa, 0x1c, 0x4d, 0x2f, 0xd3, 0x66, 0x13, 0x67, 0x75, 0xd3, 0xc3,
+  0xa0, 0x88, 0x34, 0xa9, 0xf9, 0x78, 0xc4, 0xac, 0x89, 0x05, 0x4b, 0x92,
+  0x06, 0x92, 0xd6, 0xde, 0x9c, 0xa4, 0x4a, 0x6f, 0xd0, 0xd8, 0xe2, 0x11,
+  0xef, 0x28, 0x3f, 0x50, 0x5b, 0x45, 0x3a, 0x44, 0xe0, 0x2d, 0xf7, 0x69,
+  0x81, 0x43, 0x75, 0x9f, 0x2d, 0xa7, 0x24, 0xd2, 0xf1, 0x03, 0xcb, 0x05,
+  0x5e, 0xa0, 0xae, 0x16, 0xfe, 0xf4, 0xcc, 0xd2, 0x07, 0x5e, 0xf5, 0x7a,
+  0x2b, 0x34, 0x34, 0xfa, 0x73, 0x41, 0x9b, 0x20, 0xc3, 0x19, 0xd4, 0x79,
+  0x2b, 0xb8, 0x46, 0x63, 0x0f, 0xf9, 0xb4, 0x80, 0xdd, 0x9d, 0x9f, 0x0d,
+  0x2f, 0x99, 0xfd, 0x9f, 0xbf, 0xbb, 0xa4, 0x86, 0xe8, 0x1a, 0x2a, 0x4a,
+  0xda, 0x4e, 0x7e, 0x71, 0x9e, 0x40, 0x86, 0xb6, 0xe6, 0x68, 0xd7, 0x52,
+  0x1c, 0x71, 0xdc, 0x2a, 0xd6, 0xa5, 0x8c, 0x51, 0x14, 0x0b, 0x26, 0x5e,
+  0x53, 0x2b, 0x8a, 0x9b, 0x84, 0x79, 0xb4, 0x7b, 0x29, 0xda, 0xfc, 0x7c,
+  0x8b, 0xb6, 0xbb, 0xef, 0x9a, 0xfb, 0x91, 0x9f, 0xfe, 0x89, 0x7b, 0x2e,
+  0xd2, 0x59, 0x3a, 0x8d, 0x83, 0xbb, 0x4d, 0x39, 0x11, 0xd3, 0xb5, 0x3b,
+  0x8f, 0x63, 0x62, 0xbb, 0x18, 0xb4, 0x97, 0xa3, 0x79, 0x05, 0x71, 0x9a,
+  0xfd, 0x46, 0x4d, 0xb2, 0x44, 0xde, 0x23, 0x51, 0xd6, 0x2d, 0x1c, 0xef,
+  0x18, 0x1f, 0xf3, 0xca, 0x32, 0xd5, 0x77, 0xad, 0xb1, 0x6c, 0xcc, 0xc9,
+  0xa1, 0x9e, 0xb9, 0x85, 0xeb, 0x8c, 0xe2, 0xbc, 0xe3, 0x38, 0x98, 0xe8,
+  0x4c, 0xd4, 0xe8, 0xf5, 0x92, 0x06, 0x2f, 0xab, 0xda, 0x8b, 0xfa, 0x9f,
+  0xf0, 0xc8, 0x59, 0xa4, 0x76, 0x27, 0x9a, 0x64, 0xb5, 0xf9, 0x64, 0xb0,
+  0x71, 0x06, 0x95, 0xcd, 0xe9, 0x77, 0x27, 0x2c, 0xe4, 0xcd, 0x99, 0xfd,
+  0xf5, 0x20, 0x47, 0x8f, 0x48, 0x6f, 0x4b, 0x40, 0x74, 0xc2, 0xcd, 0x58,
+  0x0a, 0x4a, 0xe6, 0x4c, 0x3c, 0x13, 0xe1, 0x8f, 0xfd, 0xbe, 0x7c, 0x85,
+  0x1d, 0x5f, 0xd1, 0x55, 0x1e, 0x5f, 0xc7, 0xa9, 0x3b, 0xe8, 0x4a, 0x68,
+  0xee, 0xd9, 0x79, 0xa6, 0x8f, 0x33, 0x37, 0x62, 0xc6, 0xaa, 0x7b, 0xba,
+  0x04, 0xff, 0x49, 0xf8, 0x5e, 0xa2, 0x4d, 0xc1, 0xca, 0x6a, 0xb3, 0xb8,
+  0x8d, 0xac, 0xb9, 0x11, 0xee, 0x5f, 0xbe, 0xca, 0x40, 0x99, 0xb8, 0x98,
+  0xa8, 0xc9, 0xce, 0x20, 0xfa, 0x9a, 0xb4, 0x01, 0x68, 0x8f, 0x10, 0x50,
+  0x52, 0xd6, 0x84, 0xe8, 0x86, 0xb9, 0x4f, 0x48, 0x17, 0x29, 0x4a, 0xe2,
+  0x1a, 0x60, 0x6a, 0xf8, 0x8c, 0xc6, 0xe9, 0xd8, 0xd0, 0x4d, 0x76, 0x8f,
+  0x6e, 0xdd, 0x24, 0xa8, 0x89, 0x22, 0xc5, 0x25, 0xca, 0x9f, 0xcf, 0x06,
+  0xd1, 0x26, 0x98, 0x26, 0x71, 0x56, 0xe6, 0xfe, 0x7e, 0x16, 0x6e, 0x3d,
+  0x88, 0x8c, 0x9d, 0xb8, 0x1d, 0x4f, 0x26, 0xcc, 0x41, 0x68, 0x04, 0xd1,
+  0xa7, 0x83, 0xdd, 0x17, 0x83, 0x9d, 0x01, 0x1b, 0x0b, 0x92, 0xbb, 0x34,
+  0x23, 0x75, 0x8d, 0x44, 0x2d, 0x1e, 0x4a, 0x14, 0xbc, 0x49, 0xea, 0x0b,
+  0x1f, 0xeb, 0xeb, 0xeb, 0xa9, 0x30, 0xd4, 0x6d, 0xd2, 0xef, 0x02, 0x9e,
+  0x9b, 0x93, 0x62, 0x01, 0x6e, 0xc3, 0x8b, 0xa3, 0xdb, 0x2a, 0x34, 0x17,
+  0x32, 0x5b, 0x5d, 0xce, 0x2d, 0x47, 0x27, 0xfd, 0x78, 0xbb, 0xdf, 0x8f,
+  0x17, 0xac, 0x94, 0xd4, 0xcc, 0x02, 0x9b, 0x44, 0xa3, 0xdb, 0xac, 0xc1,
+  0x6e, 0x45, 0xdf, 0xb1, 0x84, 0x01, 0xce, 0xcc, 0x72, 0xde, 0xdc, 0x69,
+  0x80, 0x58, 0x3a, 0x91, 0x41, 0xf8, 0x9c, 0x80, 0xf3, 0xf0, 0x19, 0x6a,
+  0x6b, 0x8e, 0x6f, 0x5f, 0xf0, 0x52, 0x12, 0x14, 0x58, 0x86, 0x53, 0xcd,
+  0xd0, 0x08, 0x11, 0xac, 0x95, 0x6e, 0x9a, 0xdc, 0x29, 0x28, 0x29, 0x8b,
+  0x38, 0x32, 0x0f, 0x7e, 0xb4, 0xd6, 0x1c, 0x9f, 0x91, 0x79, 0x97, 0x44,
+  0xc1, 0x87, 0x94, 0x15, 0xd0, 0x54, 0x65, 0x21, 0xba, 0x41, 0xa2, 0x71,
+  0x8e, 0x85, 0x18, 0xb0, 0x60, 0x9e, 0x95, 0x89, 0x5d, 0x96, 0x18, 0x6c,
+  0x74, 0x35, 0x8d, 0xb9, 0xed, 0xa2, 0xd6, 0x1c, 0xa9, 0xda, 0x99, 0xaa,
+  0x87, 0x45, 0x46, 0x8b, 0x36, 0x1c, 0x7e, 0xad, 0x97, 0x67, 0x11, 0x6d,
+  0xa6, 0xf3, 0xf1, 0x74, 0x09, 0x1d, 0xe1, 0x8c, 0x26, 0x46, 0x5f, 0x6d,
+  0xf9, 0x73, 0xd6, 0x3f, 0xa0, 0xf5, 0x63, 0x9d, 0xb9, 0x1f, 0xd3, 0x49,
+  0x28, 0xa3, 0x97, 0xf2, 0xa3, 0x28, 0xf9, 0x72, 0xf9, 0xbc, 0xbe, 0xa4,
+  0xcc, 0xab, 0xb6, 0xa2, 0xa1, 0xca, 0x89, 0x3c, 0xb5, 0x77, 0xfc, 0xea,
+  0x41, 0xf0, 0x0e, 0x2f, 0x54, 0x41, 0xcb, 0x67, 0x47, 0x1b, 0xec, 0x4d,
+  0x86, 0x32, 0xa8, 0x35, 0x37, 0xe4, 0x91, 0x92, 0x28, 0x37, 0x61, 0x72,
+  0xc1, 0x15, 0x1c, 0x1d, 0x7e, 0x75, 0xc2, 0x93, 0x24, 0x4d, 0x52, 0xee,
+  0x07, 0x9d, 0x74, 0x9a, 0x4c, 0x99, 0xd4, 0xb0, 0x62, 0x50, 0xfa, 0xa2,
+  0x50, 0xde, 0xd4, 0xff, 0x75, 0xde, 0x64, 0x3f, 0xd3, 0x1a, 0xc6, 0xdb,
+  0x4f, 0x07, 0x3b, 0x1d, 0x96, 0xf8, 0x69, 0xc7, 0x48, 0x9b, 0xc9, 0x26,
+  0xdc, 0xc9, 0x34, 0x9e, 0xdf, 0x16, 0x42, 0xad, 0xa0, 0x2c, 0x8c, 0x95,
+  0xee, 0xa1, 0x65, 0x9e, 0xd3, 0xd5, 0x38, 0x09, 0x2d, 0x2f, 0x76, 0x5c,
+  0x64, 0x3a, 0x38, 0x04, 0x7a, 0xef, 0xff, 0x6d, 0xc9, 0xfb, 0x31, 0x8b,
+  0xf3, 0x5b, 0x93, 0x2f, 0x58, 0xf6, 0x27, 0x79, 0x3c, 0xc3, 0xc6, 0x61,
+  0x5c, 0x78, 0xbe, 0xa5, 0xb9, 0xfe, 0xd7, 0xb4, 0xd0, 0xac, 0xe0, 0xb3,
+  0x25, 0x40, 0x8e, 0x5f, 0x66, 0xc2, 0x88, 0xdf, 0x0e, 0xcf, 0xfd, 0x74,
+  0xea, 0xfa, 0x28, 0xfd, 0xca, 0xad, 0xb3, 0xa9, 0x81, 0xc9, 0x81, 0xde,
+  0xa5, 0x23, 0x2a, 0xd6, 0x85, 0x69, 0x4c, 0xe7, 0x8c, 0x17, 0xcf, 0x08,
+  0xa8, 0xd9, 0x37, 0x7f, 0xcb, 0x44, 0xd4, 0x2d, 0x70, 0x0a, 0x82, 0xdd,
+  0xef, 0x13, 0x4b, 0x66, 0x63, 0x49, 0xfb, 0x46, 0x5f, 0xd2, 0xa9, 0x28,
+  0xdc, 0xb1, 0xb8, 0x4a, 0xaf, 0x97, 0x79, 0x22, 0x8c, 0x1c, 0xf6, 0x15,
+  0x33, 0xab, 0x30, 0xdb, 0xbd, 0xc9, 0x40, 0x7c, 0x24, 0xed, 0x26, 0xd3,
+  0xab, 0x5e, 0xad, 0x39, 0x3e, 0xbe, 0x38, 0xd7, 0x18, 0x30, 0x18, 0x43,
+  0x91, 0x8c, 0xd1, 0xd8, 0x3c, 0x51, 0x06, 0x3e, 0xe3, 0xa5, 0x65, 0xed,
+  0x3c, 0x1a, 0x4f, 0xe3, 0x74, 0x06, 0xd1, 0x58, 0x95, 0xcf, 0x3a, 0xdd,
+  0x5c, 0xaa, 0xe8, 0x06, 0x92, 0x19, 0xb1, 0xe4, 0x98, 0x17, 0x2c, 0x1b,
+  0xf2, 0x76, 0xc5, 0x76, 0x7d, 0x8a, 0x5c, 0x76, 0x93, 0x8c, 0x6f, 0x41,
+  0x94, 0xc1, 0x6d, 0xd9, 0xaf, 0x35, 0x27, 0x9b, 0xc2, 0xd2, 0x53, 0x79,
+  0xb3, 0xa4, 0x25, 0x5f, 0x64, 0x45, 0x91, 0x8e, 0x98, 0x26, 0x49, 0x9a,
+  0x5a, 0x8e, 0x71, 0x98, 0x69, 0xc5, 0x49, 0xc1, 0xcd, 0x63, 0xba, 0x8e,
+  0x4b, 0x58, 0xb3, 0x40, 0x35, 0x7d, 0x22, 0x91, 0xc5, 0xba, 0xd1, 0x09,
+  0xc3, 0xa9, 0x32, 0x88, 0x42, 0x05, 0x5e, 0xc8, 0x92, 0x22, 0x5d, 0x8e,
+  0xa3, 0xda, 0x6a, 0xd6, 0x9a, 0x93, 0xb5, 0xed, 0xb1, 0x3a, 0x95, 0x92,
+  0x4e, 0x2d, 0x12, 0x13, 0x54, 0x4e, 0x92, 0x8f, 0x94, 0x43, 0x93, 0x36,
+  0x94, 0x8e, 0xe9, 0xda, 0xeb, 0x4f, 0x52, 0xd2, 0x32, 0x4b, 0xfe, 0x6d,
+  0x5e, 0x4e, 0x67, 0xbd, 0x90, 0xfb, 0xbb, 0x1d, 0x9f, 0x27, 0xd7, 0x19,
+  0xe9, 0xb8, 0x65, 0x93, 0xea, 0xc0, 0x6d, 0xc0, 0x6c, 0x44, 0x7a, 0x70,
+  0xd4, 0x61, 0x72, 0x00, 0xc9, 0x10, 0xc4, 0x8c, 0xd9, 0xfe, 0x33, 0xe1,
+  0xd3, 0x89, 0xa1, 0xd0, 0x28, 0x94, 0x9f, 0xd6, 0x79, 0x12, 0x44, 0x79,
+  0x3a, 0x46, 0xc4, 0x79, 0x7a, 0x7c, 0x82, 0xc6, 0x10, 0xb0, 0x66, 0xf1,
+  0x0a, 0x5b, 0x44, 0x02, 0x89, 0x13, 0x01, 0x46, 0x2c, 0xe9, 0xb3, 0x56,
+  0x75, 0x9f, 0x8e, 0x45, 0xa0, 0xe6, 0x05, 0xa9, 0x33, 0x60, 0xd6, 0xe9,
+  0xa7, 0x29, 0x3f, 0x37, 0x5b, 0x16, 0x10, 0xb6, 0xf9, 0xb2, 0x15, 0x3d,
+  0xe4, 0x9e, 0xb6, 0xca, 0xb1, 0x5b, 0x88, 0x4c, 0x74, 0xdb, 0xb1, 0x24,
+  0x17, 0xe7, 0x29, 0x94, 0xae, 0x46, 0x73, 0x32, 0x66, 0x9e, 0x26, 0xc6,
+  0xa9, 0xc3, 0xe4, 0xd7, 0x55, 0xae, 0xf1, 0xf2, 0x0c, 0x0e, 0x16, 0xf3,
+  0xa4, 0xe0, 0xe0, 0x8c, 0xe8, 0x34, 0x8b, 0x91, 0x30, 0x7a, 0xc9, 0x77,
+  0xf6, 0x2b, 0x9e, 0xcb, 0x1a, 0x7e, 0x19, 0x9d, 0x43, 0xd5, 0xbb, 0xa9,
+  0xca, 0x3c, 0x01, 0x63, 0x14, 0x55, 0x4e, 0x9a, 0x83, 0x5e, 0xcc, 0xc7,
+  0x7d, 0xb9, 0xa8, 0x13, 0x2a, 0x11, 0x66, 0xc2, 0xbc, 0xd2, 0xb5, 0xb4,
+  0xf0, 0xd7, 0x2d, 0x6d, 0x4d, 0x92, 0xde, 0xd1, 0xbc, 0xbd, 0x02, 0x25,
+  0x4d, 0xc3, 0xb2, 0x11, 0x75, 0x86, 0x49, 0x59, 0x6f, 0xee, 0x10, 0xfd,
+  0xed, 0x77, 0xa2, 0xc0, 0x44, 0x22, 0xed, 0xea, 0xda, 0xd1, 0x0a, 0xab,
+  0x01, 0xe4, 0x8a, 0xd5, 0x91, 0x32, 0xea, 0xb0, 0x09, 0x7d, 0xf7, 0xd5,
+  0xb7, 0x07, 0xa7, 0xef, 0x8e, 0x77, 0xff, 0x5c, 0xa7, 0x1e, 0xfa, 0x6e,
+  0x4f, 0xbe, 0xdb, 0xeb, 0xb4, 0x71, 0x34, 0x92, 0x23, 0xba, 0xaf, 0xba,
+  0xa4, 0xb1, 0xce, 0x46, 0x19, 0x6c, 0x9a, 0x76, 0x23, 0x83, 0x8b, 0xd1,
+  0x10, 0x7a, 0x2a, 0xde, 0x97, 0x72, 0x01, 0xf2, 0xaa, 0xf0, 0xd8, 0xf9,
+  0xf6, 0xac, 0x8f, 0x1d, 0x6a, 0x3e, 0xee, 0x64, 0xc8, 0x52, 0x4c, 0x02,
+  0xf1, 0x24, 0x5c, 0x8f, 0xa2, 0xc4, 0x7d, 0xa8, 0x5b, 0xc4, 0xad, 0x8b,
+  0x6e, 0xd9, 0x93, 0x73, 0x54, 0xe7, 0xf5, 0x6e, 0xc2, 0x7e, 0x4c, 0x60,
+  0xb9, 0x05, 0xe4, 0xa3, 0x14, 0x74, 0x45, 0xba, 0x74, 0x5c, 0x8e, 0x6f,
+  0x06, 0x74, 0xe7, 0x09, 0x4b, 0xe1, 0x43, 0x2e, 0xc7, 0xb3, 0xce, 0xef,
+  0xf8, 0x46, 0x80, 0x51, 0xfb, 0x8e, 0x26, 0x52, 0x08, 0xed, 0x76, 0x74,
+  0x2c, 0xa4, 0x0b, 0xd2, 0xd6, 0x74, 0xf4, 0x3c, 0x83, 0xb6, 0x60, 0x01,
+  0x06, 0x9b, 0xe5, 0x13, 0x96, 0xd7, 0x9b, 0xa3, 0xa3, 0x93, 0xcd, 0xb8,
+  0x4b, 0xb5, 0x4a, 0xb3, 0x7b, 0x41, 0xe7, 0x81, 0xe3, 0x44, 0xc3, 0x66,
+  0xc5, 0x77, 0xa5, 0x67, 0xb2, 0x9b, 0x27, 0x7a, 0x80, 0x45, 0xc7, 0xad,
+  0x53, 0x3e, 0x35, 0x36, 0x22, 0x61, 0x5b, 0xe4, 0x4d, 0x77, 0x5d, 0x11,
+  0x4d, 0x9f, 0x12, 0x4d, 0x4f, 0x33, 0xe5, 0xe9, 0x5e, 0x70, 0x55, 0x3d,
+  0x5e, 0x69, 0x20, 0xbb, 0x6a, 0x39, 0x97, 0xa2, 0xe8, 0xeb, 0x2e, 0xd8,
+  0x28, 0xe5, 0x5c, 0xb9, 0x95, 0x25, 0xf5, 0x90, 0x6f, 0x5f, 0x90, 0xbd,
+  0xf1, 0x5c, 0x36, 0x79, 0xb5, 0x34, 0xf7, 0x36, 0x29, 0x8b, 0x71, 0xbc,
+  0x48, 0xb6, 0xf5, 0x46, 0xb7, 0x6d, 0x0c, 0xc6, 0xd1, 0x64, 0x5e, 0x67,
+  0x97, 0xc7, 0x5e, 0x54, 0x4a, 0x54, 0x3e, 0xf3, 0x2a, 0xbc, 0xb0, 0xca,
+  0xe0, 0xd8, 0x9a, 0xee, 0x8f, 0x1d, 0x8f, 0x1b, 0x02, 0xd5, 0x9c, 0x14,
+  0xaa, 0x01, 0xb1, 0x44, 0x37, 0x1d, 0xbb, 0x5e, 0x95, 0xb2, 0xec, 0x64,
+  0x50, 0x2f, 0x03, 0x16, 0x35, 0xf0, 0x71, 0xe4, 0x1c, 0x07, 0x75, 0x6e,
+  0x63, 0x97, 0x5f, 0xd4, 0x1f, 0xbb, 0x21, 0xf4, 0xff, 0x1a, 0x7b, 0x59,
+  0x40, 0xcd, 0xce, 0x58, 0x2d, 0x92, 0xed, 0xe7, 0x24, 0xfc, 0xde, 0x25,
+  0x8e, 0x51, 0xb4, 0x5f, 0x59, 0x5e, 0xe1, 0x33, 0x8e, 0x7d, 0x44, 0x8d,
+  0x4f, 0x96, 0xb3, 0x85, 0x4a, 0x1a, 0xbf, 0x6b, 0x39, 0x86, 0x20, 0x8a,
+  0x5f, 0x2a, 0x56, 0x40, 0xbe, 0xf9, 0x25, 0x82, 0xc5, 0x97, 0x22, 0x56,
+  0xf6, 0xe3, 0x62, 0x9c, 0xa6, 0xb5, 0xb7, 0x8e, 0xa1, 0x51, 0x45, 0xd1,
+  0xc1, 0xf0, 0xf0, 0xe4, 0xc4, 0xdb, 0x1e, 0xee, 0x45, 0x4a, 0xe7, 0x79,
+  0xb0, 0x7a, 0x49, 0x2b, 0xc2, 0x5e, 0xaa, 0x01, 0x4c, 0x78, 0x70, 0x44,
+  0x95, 0x2a, 0x71, 0xb5, 0x9d, 0xb6, 0x11, 0x2b, 0x6a, 0x44, 0x1a, 0x63,
+  0x11, 0x82, 0xa5, 0x19, 0x9a, 0x10, 0x5b, 0xc2, 0x40, 0x14, 0x74, 0x6b,
+  0x15, 0xaa, 0x43, 0xfd, 0xb9, 0x5c, 0x2d, 0x92, 0x57, 0x07, 0x90, 0x11,
+  0x6f, 0x1a, 0xa2, 0xb4, 0x69, 0x62, 0xe3, 0x98, 0xc6, 0x5f, 0x44, 0xca,
+  0x11, 0x71, 0x3d, 0xf1, 0x2e, 0x4f, 0xd4, 0xf4, 0xa0, 0xcc, 0x91, 0xa4,
+  0x02, 0x5a, 0xbe, 0x89, 0x68, 0xc5, 0x74, 0x0b, 0x3d, 0xd9, 0xab, 0xb3,
+  0x96, 0x15, 0xdd, 0xff, 0xb3, 0x22, 0x94, 0xb9, 0x70, 0x5d, 0x7f, 0x8c,
+  0xc4, 0xc5, 0x54, 0x83, 0xf3, 0xf2, 0x25, 0xbf, 0x51, 0x93, 0x13, 0x06,
+  0x5e, 0xd2, 0x68, 0x6e, 0x8c, 0x99, 0x53, 0xf5, 0x32, 0xad, 0xec, 0xf8,
+  0xb2, 0x58, 0xc2, 0xb4, 0xb4, 0x20, 0x81, 0xa9, 0x9c, 0x12, 0x8b, 0xeb,
+  0x45, 0xcb, 0x39, 0xff, 0x74, 0xba, 0xa9, 0xd7, 0xda, 0xbd, 0xf2, 0xc3,
+  0xba, 0x4d, 0x9e, 0xd2, 0x44, 0xe3, 0x28, 0xe4, 0xb3, 0x22, 0xf4, 0xda,
+  0x9a, 0xc9, 0xf1, 0x63, 0xa7, 0x0c, 0x38, 0xf7, 0x24, 0x65, 0x17, 0x1e,
+  0x0d, 0xb9, 0xbe, 0x63, 0x55, 0xf1, 0xd1, 0xe4, 0xc7, 0x68, 0xb3, 0x58,
+  0xb2, 0x88, 0x43, 0x7c, 0xdf, 0x04, 0x18, 0x2f, 0xd2, 0xd0, 0xf2, 0x9a,
+  0xec, 0x52, 0xbf, 0x0c, 0x88, 0xc7, 0x86, 0x1a, 0x4d, 0x7f, 0x9c, 0x2e,
+  0x6e, 0xf8, 0x74, 0xbc, 0x84, 0x06, 0xcc, 0x52, 0xb6, 0x7c, 0xd0, 0xb8,
+  0x9e, 0x87, 0xc3, 0x53, 0xd3, 0x66, 0x70, 0xc2, 0xc1, 0x51, 0xed, 0x6d,
+  0x5d, 0xff, 0xd4, 0xbc, 0x09, 0x66, 0xe3, 0x14, 0x96, 0xc8, 0x4d, 0xd7,
+  0x09, 0x87, 0x04, 0x3c, 0x7b, 0x59, 0x44, 0x14, 0x67, 0x51, 0x17, 0xbb,
+  0xad, 0x7d, 0x3b, 0x88, 0x2e, 0x98, 0x4f, 0x2e, 0x17, 0x6c, 0x56, 0x84,
+  0xeb, 0x11, 0x9f, 0xd7, 0x9a, 0xc3, 0xe0, 0x83, 0x0d, 0x85, 0xa7, 0xae,
+  0x72, 0xf6, 0x2a, 0x5c, 0x33, 0x0d, 0xbf, 0x23, 0xaa, 0xdf, 0xaf, 0xb3,
+  0x0c, 0xef, 0x12, 0x20, 0xc9, 0x66, 0x5e, 0x14, 0x53, 0x38, 0x61, 0x26,
+  0xd9, 0xb8, 0xd8, 0x26, 0x85, 0xb7, 0xd8, 0xb6, 0xc1, 0x55, 0xdc, 0x2d,
+  0xc6, 0x5c, 0x87, 0xc3, 0x60, 0x6e, 0x6c, 0x15, 0x11, 0xe1, 0xdb, 0x6d,
+  0x30, 0xa4, 0x12, 0x3a, 0x6e, 0xa2, 0x60, 0x9e, 0x82, 0xec, 0xbe, 0x9a,
+  0x2f, 0x2f, 0x4f, 0x87, 0x58, 0xae, 0xba, 0x64, 0xb8, 0x24, 0x96, 0x62,
+  0x9b, 0xc3, 0x6d, 0x5b, 0xd3, 0xb8, 0xae, 0xe4, 0x0a, 0x18, 0x0e, 0x0f,
+  0xf1, 0xe1, 0x70, 0xc9, 0x3a, 0x01, 0x75, 0x91, 0xaf, 0x22, 0x53, 0x83,
+  0x6b, 0xcd, 0xf1, 0x6c, 0x6d, 0x7e, 0x62, 0xe8, 0xca, 0xf2, 0xd5, 0xe0,
+  0x2a, 0x99, 0x64, 0x79, 0x3c, 0x20, 0x5e, 0x4d, 0x44, 0x09, 0xf7, 0x07,
+  0xe6, 0x4a, 0x87, 0xf5, 0x3d, 0xcd, 0x1e, 0xd3, 0xfc, 0xe4, 0x88, 0x9f,
+  0xae, 0x93, 0x13, 0xdd, 0xda, 0x49, 0xf1, 0x61, 0xc6, 0x89, 0x7b, 0xc3,
+  0x7c, 0x60, 0x6c, 0x22, 0x2d, 0xda, 0x18, 0xa7, 0x1d, 0x9b, 0x96, 0x5b,
+  0x0e, 0x76, 0xc7, 0x0a, 0x63, 0xa0, 0x41, 0x2e, 0xd8, 0xc8, 0x95, 0x4c,
+  0xda, 0xb9, 0xc3, 0x85, 0xa9, 0x36, 0x91, 0x7f, 0xd2, 0x1b, 0xd4, 0xea,
+  0x91, 0x04, 0xc4, 0x18, 0xaf, 0xb3, 0x9c, 0x38, 0xde, 0xac, 0x68, 0x90,
+  0x96, 0x38, 0x90, 0x55, 0xbf, 0x2a, 0x7a, 0x6a, 0xc0, 0x2c, 0x97, 0xb9,
+  0xac, 0xfe, 0x72, 0x1e, 0x74, 0x40, 0xcb, 0xb6, 0x9c, 0xc1, 0xe3, 0x6b,
+  0xab, 0xb0, 0x86, 0x63, 0x7a, 0xa5, 0x07, 0x0a, 0x5f, 0x20, 0x84, 0x16,
+  0xe0, 0xbe, 0x6c, 0x79, 0x99, 0xfb, 0xb8, 0x06, 0xe8, 0xe6, 0xac, 0x85,
+  0xd7, 0xe5, 0x13, 0xe7, 0x6a, 0xc8, 0x13, 0x7e, 0x14, 0xca, 0x17, 0xa9,
+  0xe9, 0x79, 0x75, 0xa9, 0x70, 0x1e, 0xfb, 0xbc, 0xf0, 0xcc, 0x91, 0x5f,
+  0x92, 0x42, 0x99, 0x51, 0x27, 0xf5, 0x33, 0xfe, 0x26, 0x7e, 0x48, 0x67,
+  0xcb, 0x19, 0x36, 0x88, 0x69, 0x4b, 0x1f, 0x13, 0x4e, 0xc5, 0xfc, 0x8e,
+  0x58, 0x61, 0x76, 0xaf, 0x77, 0xb3, 0x3f, 0xe4, 0xce, 0xde, 0x53, 0xe7,
+  0xe6, 0x32, 0x1f, 0xf9, 0x96, 0xa4, 0xb6, 0x81, 0x29, 0x7c, 0x66, 0x72,
+  0x9b, 0xb1, 0xbf, 0xa7, 0xca, 0x30, 0xa2, 0xc5, 0x4d, 0x5c, 0xd0, 0xad,
+  0xca, 0x77, 0x6b, 0xdb, 0x54, 0xe9, 0x5b, 0x7b, 0x3a, 0x69, 0x30, 0xeb,
+  0x0c, 0x72, 0x33, 0x2e, 0x68, 0x5a, 0xda, 0x01, 0xfb, 0xf2, 0x4d, 0xbe,
+  0x6c, 0xb1, 0x31, 0xcc, 0xe8, 0xd6, 0x9d, 0xc5, 0x0f, 0x58, 0x15, 0x93,
+  0xe0, 0x7e, 0x2d, 0x4a, 0x56, 0xe1, 0x38, 0xd8, 0x84, 0x9a, 0x24, 0xf3,
+  0x12, 0x82, 0x08, 0x4b, 0xe6, 0xf5, 0x4d, 0x70, 0x06, 0xa3, 0x4c, 0x79,
+  0x2c, 0x9e, 0x74, 0x66, 0x71, 0xbb, 0xee, 0xc4, 0x9a, 0xcf, 0x76, 0x58,
+  0x93, 0xb9, 0xe2, 0x2b, 0x58, 0xd7, 0x9b, 0x02, 0xec, 0x62, 0x9a, 0xf0,
+  0x62, 0x39, 0x1d, 0x6d, 0xa0, 0x0e, 0x2a, 0x6e, 0xa1, 0xd0, 0x98, 0x08,
+  0x6b, 0xa4, 0x72, 0x5d, 0xb1, 0x84, 0xda, 0xaa, 0xa7, 0xc6, 0x15, 0x7f,
+  0x8f, 0x18, 0xf7, 0x62, 0xd8, 0x2d, 0xe1, 0xe5, 0x2c, 0x2a, 0xe3, 0xaa,
+  0x68, 0x5b, 0xb5, 0xe6, 0xcc, 0x94, 0x01, 0x4a, 0xd9, 0x2c, 0xb6, 0x06,
+  0xaa, 0xfb, 0xb8, 0x39, 0xd1, 0x56, 0xde, 0xce, 0xb3, 0x7b, 0xd2, 0x36,
+  0xe7, 0x99, 0x74, 0x64, 0xeb, 0xcb, 0xc3, 0x6f, 0x70, 0xa3, 0x64, 0xae,
+  0xaa, 0x99, 0x0e, 0xca, 0xc9, 0x63, 0xfc, 0x74, 0xe9, 0x44, 0xa6, 0x50,
+  0x6e, 0x0e, 0xe5, 0xe5, 0xfa, 0x64, 0x45, 0x7a, 0x76, 0x2e, 0xdf, 0xa4,
+  0xf4, 0x02, 0x3c, 0x94, 0x2a, 0xa6, 0x6c, 0xef, 0xe9, 0x22, 0xe9, 0xa7,
+  0xb8, 0xe9, 0x91, 0xfe, 0xd8, 0xef, 0xf4, 0xda, 0x28, 0xae, 0x2e, 0x1c,
+  0xdb, 0x98, 0x9c, 0xa8, 0xd4, 0x2e, 0xa7, 0xab, 0xa2, 0xae, 0xc3, 0x64,
+  0xe2, 0x21, 0xb1, 0xae, 0x0b, 0x9d, 0x5e, 0xad, 0x9f, 0x7c, 0xdf, 0xfb,
+  0xc6, 0x84, 0x1e, 0xef, 0x6f, 0xb2, 0x69, 0xeb, 0x09, 0x0a, 0x54, 0xf5,
+  0x8c, 0x9b, 0x81, 0xfd, 0x90, 0x1a, 0x80, 0x1c, 0x5d, 0x63, 0x22, 0xd1,
+  0x78, 0x9a, 0xc4, 0xf9, 0x74, 0xa5, 0x6a, 0x5c, 0xfd, 0x04, 0xdd, 0xd9,
+  0x02, 0xc3, 0xc6, 0x1b, 0x13, 0x81, 0xe6, 0x73, 0x5e, 0x5e, 0xf5, 0x6f,
+  0x59, 0x1c, 0x44, 0x29, 0xe6, 0x7c, 0xe1, 0xe3, 0x7c, 0xf2, 0xef, 0x52,
+  0xb6, 0x19, 0x35, 0x56, 0x3b, 0x49, 0x26, 0xa3, 0x78, 0x7c, 0x8b, 0xb5,
+  0xe6, 0x16, 0xd5, 0x73, 0x75, 0x83, 0x88, 0x1e, 0x35, 0x33, 0x11, 0x29,
+  0xdf, 0xd0, 0xc1, 0x2b, 0xd2, 0x72, 0x19, 0xff, 0x8b, 0x27, 0x56, 0x8e,
+  0x6c, 0x9d, 0x90, 0xdb, 0x74, 0xe7, 0x35, 0x47, 0xfa, 0x10, 0x47, 0x9a,
+  0x44, 0xb3, 0xf9, 0x92, 0x64, 0x77, 0x62, 0xab, 0xd9, 0xd5, 0x15, 0xd1,
+  0xc8, 0xe7, 0x0d, 0xd3, 0x81, 0x3c, 0xb2, 0x7d, 0x21, 0x61, 0x50, 0xa1,
+  0x50, 0x18, 0x55, 0xdd, 0xbe, 0x7c, 0x69, 0xf3, 0xd0, 0xae, 0x53, 0xde,
+  0x0c, 0x69, 0xae, 0x69, 0x32, 0xab, 0x7e, 0x6f, 0x2b, 0x2b, 0xfe, 0x11,
+  0x8b, 0x9f, 0x82, 0x80, 0x35, 0x5a, 0xa9, 0x42, 0x1d, 0x97, 0xcd, 0x68,
+  0x0e, 0x63, 0xd2, 0xb7, 0xe9, 0x62, 0xc1, 0x3b, 0x25, 0x61, 0x18, 0x30,
+  0xb8, 0x39, 0xb3, 0xc8, 0x28, 0xb9, 0x4e, 0xe7, 0xd8, 0x52, 0x73, 0x32,
+  0x64, 0x4b, 0xd2, 0x1a, 0x64, 0xd0, 0xa3, 0x84, 0xce, 0x47, 0xbd, 0x39,
+  0x33, 0x4a, 0x78, 0xb7, 0xa9, 0x5a, 0x70, 0x26, 0xec, 0x22, 0x9d, 0x2b,
+  0xff, 0xe1, 0x5d, 0xc2, 0xb6, 0x40, 0xc7, 0x50, 0x8b, 0x58, 0xaf, 0xe5,
+  0xc8, 0xbc, 0xf6, 0x66, 0x1f, 0x73, 0x6d, 0x0c, 0x4f, 0xfe, 0xf7, 0xb1,
+  0x77, 0x72, 0x3b, 0x2f, 0xf2, 0x0a, 0xd4, 0xdd, 0x20, 0x87, 0x77, 0xac,
+  0x4b, 0x76, 0xfa, 0x87, 0xb4, 0x5d, 0x1d, 0x0c, 0xa5, 0xe2, 0xbb, 0x58,
+  0x96, 0x19, 0x1d, 0x70, 0x8d, 0x07, 0x40, 0x6c, 0x16, 0x53, 0x1c, 0xe9,
+  0x56, 0x79, 0xb2, 0x0d, 0x07, 0x50, 0xd6, 0xe0, 0x57, 0xd8, 0x42, 0xb8,
+  0xe1, 0x74, 0x8e, 0xb0, 0x41, 0x95, 0xea, 0x34, 0x29, 0x82, 0xed, 0x53,
+  0x47, 0xe3, 0x36, 0xb4, 0x63, 0xf5, 0x93, 0x37, 0x55, 0x05, 0x35, 0x14,
+  0x8b, 0x57, 0xb0, 0x85, 0x05, 0xfc, 0x7a, 0x37, 0x50, 0x5f, 0xb8, 0x05,
+  0x29, 0x09, 0x79, 0x7d, 0x1c, 0xf0, 0xf9, 0x38, 0x1b, 0x2c, 0xee, 0xf6,
+  0xbf, 0x92, 0x58, 0xa3, 0x06, 0x3d, 0xda, 0x22, 0x78, 0xc2, 0xcc, 0xb5,
+  0xd5, 0x0b, 0xa4, 0x0e, 0x69, 0xb3, 0x45, 0x60, 0xa3, 0x1b, 0x9a, 0x24,
+  0xa2, 0x98, 0x63, 0x26, 0x32, 0x5a, 0xdf, 0xc8, 0xc9, 0x9a, 0xd1, 0x4d,
+  0x4a, 0x23, 0xcf, 0xc7, 0x37, 0x2b, 0xbe, 0x28, 0xd8, 0xfc, 0x08, 0xf7,
+  0xcd, 0x65, 0x60, 0xc1, 0xaf, 0xb3, 0x2d, 0xf4, 0xa1, 0x96, 0x21, 0x1e,
+  0x7d, 0xc4, 0x12, 0x16, 0x3d, 0x67, 0x04, 0x54, 0x1b, 0x1d, 0xd1, 0xc5,
+  0x0d, 0xd3, 0x6c, 0x32, 0x65, 0x21, 0xe0, 0xa4, 0xcd, 0x06, 0xd3, 0xcf,
+  0x02, 0x2e, 0x8e, 0x7d, 0xa3, 0xeb, 0x85, 0x9a, 0x66, 0x46, 0x28, 0x06,
+  0x2c, 0xe9, 0x88, 0x6d, 0xb0, 0xd2, 0x17, 0x2e, 0x4a, 0xbe, 0x10, 0x57,
+  0xb5, 0xe6, 0xd4, 0x29, 0xa5, 0xef, 0xdb, 0xda, 0x9b, 0x5f, 0xaa, 0xbe,
+  0x9d, 0xec, 0x67, 0x91, 0xef, 0xec, 0xee, 0xb3, 0x85, 0x11, 0xa5, 0xaa,
+  0xae, 0xd5, 0x4b, 0x54, 0x29, 0xcb, 0xf3, 0xfd, 0xfe, 0x55, 0xd9, 0xb0,
+  0x72, 0x06, 0x5b, 0x5a, 0xdd, 0xe9, 0xe9, 0x15, 0x7c, 0x7a, 0x5b, 0xcc,
+  0x7d, 0x88, 0x52, 0xca, 0xe8, 0xf4, 0x35, 0x53, 0xdb, 0xe1, 0x05, 0xfd,
+  0x4c, 0xcd, 0xa9, 0xc7, 0x6c, 0x1d, 0x21, 0xa2, 0xac, 0x8f, 0xbf, 0xf9,
+  0x76, 0x18, 0x6d, 0x9e, 0x0d, 0xb7, 0x9f, 0xbc, 0xd8, 0xd9, 0xaa, 0xb7,
+  0xc5, 0x4b, 0x05, 0x89, 0xa5, 0xd5, 0x68, 0x3b, 0xdc, 0xe6, 0xc8, 0xda,
+  0x2d, 0x8e, 0x7e, 0xbe, 0x13, 0xa5, 0x37, 0xb0, 0xb2, 0x9c, 0x1f, 0xbf,
+  0x31, 0x6b, 0x18, 0xf6, 0x8a, 0x98, 0xdf, 0x21, 0x8d, 0x87, 0x8d, 0xf9,
+  0x4d, 0xc2, 0xb9, 0x48, 0xee, 0xcc, 0xa4, 0x16, 0x9d, 0x42, 0xa5, 0xc3,
+  0xb9, 0x60, 0xbb, 0x9d, 0x69, 0x87, 0x8b, 0x84, 0x79, 0x81, 0x6f, 0x41,
+  0xa5, 0x53, 0x16, 0x14, 0x1a, 0xa7, 0x75, 0x04, 0xc9, 0xb2, 0xa0, 0x31,
+  0xe5, 0x90, 0xfd, 0x39, 0x72, 0x62, 0xf2, 0xdb, 0x9d, 0x30, 0x5b, 0x93,
+  0x03, 0x38, 0x7b, 0x69, 0x95, 0xe1, 0xea, 0xfd, 0x34, 0xf0, 0xbf, 0x4e,
+  0xd8, 0xe2, 0xc4, 0x26, 0x92, 0x97, 0x8f, 0x58, 0xc0, 0x87, 0x89, 0xc8,
+  0xdc, 0xa1, 0x41, 0x0e, 0x2f, 0xc1, 0x3a, 0x8d, 0xe0, 0x07, 0x73, 0xdb,
+  0x78, 0x47, 0x6b, 0x8b, 0xdd, 0xcb, 0x82, 0xa6, 0x9d, 0x1f, 0x4f, 0x5c,
+  0xc4, 0x74, 0x4b, 0xaf, 0x74, 0x5d, 0xe3, 0x68, 0x94, 0x67, 0xf7, 0x1c,
+  0x03, 0x8c, 0x28, 0x04, 0x50, 0x5f, 0x2c, 0x41, 0xc1, 0x37, 0x0d, 0x23,
+  0x1f, 0xed, 0xe9, 0xd4, 0x39, 0x85, 0xbf, 0xbe, 0x7c, 0x73, 0x8a, 0x6d,
+  0x85, 0xf6, 0x22, 0xca, 0x8f, 0x8e, 0x79, 0x39, 0x22, 0xb1, 0x9e, 0xef,
+  0xfd, 0xd2, 0x99, 0x5d, 0x2a, 0x11, 0xbc, 0x46, 0xb9, 0x31, 0xa2, 0xa1,
+  0x94, 0x13, 0x2f, 0xda, 0x8c, 0xfe, 0xca, 0xf8, 0xbd, 0xc8, 0xc6, 0x97,
+  0x2d, 0x9d, 0xc6, 0x3e, 0x9b, 0xa4, 0xea, 0x66, 0x8d, 0xc5, 0x62, 0xaa,
+  0x26, 0x92, 0xed, 0x87, 0x3e, 0x29, 0xee, 0x7d, 0x1e, 0x5d, 0x9f, 0x9a,
+  0x17, 0xaf, 0x26, 0xb3, 0x98, 0x43, 0x12, 0x85, 0x85, 0x4e, 0xa2, 0xfe,
+  0x6b, 0xda, 0x09, 0x7e, 0xa2, 0xb1, 0x7b, 0x7e, 0x8f, 0xf4, 0x5e, 0x95,
+  0x45, 0x63, 0xe9, 0x56, 0x3e, 0x17, 0x2b, 0x9d, 0xba, 0x4c, 0x17, 0xf0,
+  0xdb, 0xe3, 0xf1, 0x68, 0x41, 0x7c, 0x7c, 0x5a, 0xe7, 0x0e, 0x6c, 0x3c,
+  0xce, 0x57, 0x12, 0xc9, 0xa0, 0xe6, 0x5d, 0x73, 0x72, 0x59, 0x60, 0x83,
+  0x36, 0x2b, 0x4f, 0x7a, 0x53, 0x72, 0xc6, 0xaa, 0x7a, 0xfd, 0xbc, 0xab,
+  0x8b, 0x96, 0x5f, 0xbb, 0x8b, 0xa7, 0x4b, 0x68, 0xaf, 0xb1, 0x6c, 0x84,
+  0xf8, 0x7d, 0x11, 0x37, 0x18, 0xc3, 0x50, 0x6b, 0x0d, 0xbb, 0x35, 0x68,
+  0xa3, 0x7c, 0x8e, 0x32, 0x91, 0xbb, 0xbd, 0x48, 0x5c, 0xfc, 0x81, 0x1d,
+  0x81, 0xaa, 0xa9, 0xd3, 0x62, 0x45, 0x65, 0x41, 0xe8, 0x3a, 0xae, 0x0f,
+  0x0e, 0xd7, 0xb3, 0x3a, 0x27, 0x84, 0xe0, 0x74, 0x61, 0x52, 0xbe, 0x0b,
+  0x2a, 0xe6, 0x65, 0x39, 0x3e, 0xb3, 0x24, 0xbf, 0x86, 0x84, 0x40, 0xd2,
+  0x5e, 0xd3, 0xa6, 0xa3, 0xec, 0x42, 0x03, 0xc2, 0x20, 0x98, 0xfc, 0xa1,
+  0x2f, 0x0e, 0x11, 0xdc, 0x17, 0x4b, 0xf6, 0x42, 0x0a, 0x71, 0x44, 0xdd,
+  0xfe, 0x44, 0x64, 0xb5, 0x57, 0x93, 0x78, 0x4e, 0x0b, 0xc1, 0xfb, 0xd8,
+  0x14, 0x74, 0xa6, 0xd3, 0x57, 0x53, 0x12, 0xba, 0x56, 0xdd, 0x48, 0x43,
+  0x97, 0x34, 0xa0, 0xa5, 0x54, 0xa1, 0x0c, 0x9b, 0x39, 0xbe, 0x59, 0xce,
+  0x6f, 0x4d, 0x68, 0x9a, 0x92, 0xd0, 0x5d, 0x44, 0x88, 0x9d, 0xaf, 0x35,
+  0xd7, 0x0d, 0x7a, 0xfb, 0x43, 0xd8, 0x76, 0xdb, 0x2a, 0x63, 0xf7, 0x39,
+  0x68, 0xd2, 0xd3, 0xb8, 0xbb, 0xb8, 0x24, 0xe6, 0x34, 0xfa, 0xa2, 0x67,
+  0x7e, 0xd7, 0xd2, 0xb9, 0x58, 0x60, 0x48, 0x8e, 0x9b, 0xe7, 0x30, 0x09,
+  0x7c, 0x3a, 0xf0, 0x22, 0xb8, 0x56, 0xc5, 0x6b, 0xc3, 0xe6, 0x3f, 0xf3,
+  0x39, 0x56, 0x94, 0xc6, 0x16, 0x85, 0xae, 0xf2, 0xaa, 0x78, 0xf6, 0x5c,
+  0x7e, 0x02, 0x4e, 0x5b, 0x61, 0xb2, 0x1f, 0x3a, 0x16, 0x53, 0x9d, 0xde,
+  0x84, 0x2d, 0xe2, 0x24, 0xd3, 0xac, 0x3f, 0x71, 0x6f, 0xc2, 0xe0, 0xc6,
+  0x6a, 0x00, 0x80, 0xa3, 0x86, 0x41, 0x74, 0x9e, 0x15, 0xd8, 0x5e, 0x1e,
+  0x46, 0x9b, 0xba, 0x19, 0xfb, 0xbb, 0x7a, 0x12, 0x75, 0xaf, 0xb2, 0x6c,
+  0x14, 0xe7, 0x5d, 0xdd, 0x41, 0x78, 0xa1, 0xa9, 0xb9, 0x89, 0xb0, 0x65,
+  0x78, 0x78, 0x85, 0xea, 0xbe, 0xa0, 0x07, 0xeb, 0x14, 0x3a, 0x8a, 0x2b,
+  0x76, 0x91, 0xf0, 0xdc, 0x3d, 0xc6, 0x91, 0x95, 0x8b, 0x31, 0x7d, 0x68,
+  0xb8, 0x1e, 0x84, 0xed, 0x29, 0x24, 0x98, 0x9a, 0xd7, 0x84, 0xe4, 0x00,
+  0x71, 0x7e, 0x2f, 0xf2, 0x46, 0xf7, 0x2c, 0x11, 0x21, 0x4c, 0x82, 0x68,
+  0xab, 0xc8, 0x92, 0xbb, 0x30, 0x3a, 0xfa, 0xb7, 0x23, 0x16, 0x5e, 0x37,
+  0x36, 0xbd, 0x1c, 0x61, 0x59, 0x6c, 0x22, 0x2e, 0x8e, 0x5b, 0x42, 0xd9,
+  0x2c, 0x88, 0x1b, 0xe6, 0x64, 0xcf, 0xe6, 0x5a, 0x02, 0x71, 0x7a, 0x34,
+  0x3f, 0x44, 0x3c, 0xe1, 0x84, 0xcc, 0x93, 0x7b, 0xf1, 0x17, 0xc2, 0xce,
+  0xc9, 0x17, 0x01, 0x33, 0x6d, 0xb3, 0x6a, 0x8d, 0x21, 0x7c, 0x14, 0x2a,
+  0x3e, 0x35, 0x94, 0x85, 0x39, 0x2f, 0x01, 0xb6, 0xee, 0xc3, 0x41, 0x1d,
+  0xde, 0x60, 0xd6, 0x72, 0x31, 0x23, 0xaa, 0xfe, 0x2a, 0x63, 0xeb, 0x94,
+  0xde, 0x15, 0x8d, 0x75, 0xe0, 0xa8, 0x07, 0x09, 0xc9, 0x45, 0xc0, 0x92,
+  0xac, 0x6b, 0x5c, 0x68, 0x06, 0xc6, 0x48, 0x96, 0xc3, 0x31, 0xff, 0x06,
+  0x95, 0x38, 0x26, 0xfa, 0x28, 0xa1, 0x5c, 0xaa, 0xae, 0xaa, 0x64, 0xd2,
+  0x73, 0xab, 0xab, 0x37, 0x9a, 0x44, 0x66, 0x2b, 0x85, 0x1a, 0xb7, 0xe5,
+  0xcd, 0x6d, 0x39, 0x94, 0xb2, 0xca, 0x29, 0x98, 0x6e, 0x6c, 0x6a, 0x70,
+  0x92, 0x33, 0xaf, 0x2f, 0xfc, 0x31, 0xa3, 0xe9, 0x0e, 0xaa, 0x12, 0xc7,
+  0x67, 0x83, 0x9d, 0xad, 0x16, 0xa1, 0x73, 0x24, 0x01, 0x43, 0x30, 0x9b,
+  0x4e, 0x53, 0x62, 0x0a, 0xca, 0xa3, 0x65, 0x3a, 0x92, 0x21, 0xe2, 0xfc,
+  0x8f, 0xa4, 0xf5, 0x19, 0xfb, 0x0d, 0x63, 0xec, 0x9c, 0x59, 0x84, 0x17,
+  0x5a, 0x94, 0x2e, 0xc7, 0x9f, 0x33, 0x09, 0xec, 0x8c, 0x8d, 0x6d, 0xb8,
+  0x90, 0x8d, 0xd8, 0xfb, 0x01, 0xda, 0xd7, 0x0e, 0x5d, 0x33, 0x6b, 0x60,
+  0xbf, 0x67, 0x0c, 0x2b, 0x2a, 0x2d, 0x17, 0x58, 0x56, 0xc3, 0x4a, 0xeb,
+  0xf7, 0x58, 0xd2, 0x6d, 0x92, 0x62, 0x7f, 0xa3, 0x61, 0x65, 0x41, 0xff,
+  0xed, 0x79, 0x6f, 0x5e, 0x1c, 0x09, 0xfc, 0xc8, 0x9e, 0x67, 0x85, 0x52,
+  0x86, 0x48, 0x36, 0x22, 0x97, 0xc4, 0x6b, 0x9a, 0xe3, 0x89, 0xfd, 0xa7,
+  0xc6, 0x57, 0x8c, 0x89, 0xbe, 0x59, 0x96, 0x2e, 0x32, 0xdb, 0x30, 0xdf,
+  0x94, 0x8b, 0x60, 0xc3, 0x27, 0x71, 0xc3, 0xcb, 0xec, 0x42, 0x7f, 0x88,
+  0xa5, 0xbe, 0x42, 0x6a, 0x43, 0xf4, 0x45, 0xa4, 0xce, 0x7f, 0x36, 0x38,
+  0xab, 0x90, 0xeb, 0x33, 0x00, 0x30, 0x78, 0x5c, 0xc6, 0x58, 0x86, 0xf6,
+  0xe6, 0xe0, 0x81, 0x0f, 0x57, 0x4f, 0xc8, 0x8f, 0xe3, 0x52, 0x0b, 0x49,
+  0xb9, 0x6a, 0xb8, 0x3c, 0x5f, 0x7d, 0x78, 0xf5, 0x7e, 0xe1, 0xe2, 0x7d,
+  0x60, 0xf5, 0x2e, 0x11, 0x65, 0x4c, 0xf2, 0x01, 0xa2, 0x4b, 0x5e, 0x05,
+  0x01, 0x0f, 0xac, 0xdd, 0x4b, 0x30, 0x9e, 0x77, 0x20, 0x57, 0x8f, 0x66,
+  0x60, 0xa2, 0x79, 0xf5, 0xab, 0xed, 0x3a, 0xa8, 0xd1, 0x46, 0xdf, 0xde,
+  0x9c, 0xe8, 0xea, 0xf3, 0x41, 0x10, 0x03, 0x04, 0x8d, 0x17, 0xd9, 0x14,
+  0xfc, 0x3a, 0xf5, 0x96, 0x3c, 0x2c, 0xd4, 0x44, 0xad, 0x67, 0xaf, 0x45,
+  0x98, 0xab, 0xc8, 0x74, 0x13, 0xbb, 0x54, 0x1b, 0xf3, 0xfb, 0xc2, 0x98,
+  0xf8, 0x07, 0x27, 0x27, 0xb3, 0xd3, 0xa0, 0x70, 0xc4, 0xe5, 0xa8, 0x04,
+  0x26, 0x56, 0x5b, 0x88, 0x64, 0x62, 0x9b, 0x68, 0xb1, 0x74, 0x19, 0x27,
+  0xf3, 0x01, 0x90, 0x4c, 0x8e, 0xc6, 0xdf, 0xb7, 0x7a, 0xd5, 0x05, 0xa3,
+  0x39, 0x4b, 0xd3, 0xe0, 0xf3, 0xeb, 0xd7, 0x2a, 0xe5, 0x95, 0xb2, 0xed,
+  0x63, 0xdd, 0xa5, 0x75, 0xfb, 0xfe, 0x4f, 0x9f, 0x22, 0xfc, 0x8b, 0x4e,
+  0xcd, 0xc2, 0x34, 0xd5, 0x0c, 0xed, 0x89, 0xe2, 0x9a, 0x1d, 0xbd, 0x6c,
+  0x58, 0xfd, 0xdb, 0x12, 0x06, 0xcc, 0xeb, 0x75, 0x4c, 0x00, 0xf7, 0x13,
+  0x5b, 0xe4, 0xd8, 0xd8, 0x34, 0x85, 0x64, 0x44, 0x4d, 0x83, 0xca, 0xbd,
+  0x3a, 0xd3, 0x47, 0xa0, 0x8f, 0x12, 0xad, 0x50, 0xe2, 0x23, 0xc4, 0xea,
+  0xc8, 0xb3, 0x46, 0x99, 0xa3, 0x24, 0x14, 0xd8, 0x9a, 0x14, 0x68, 0x1e,
+  0xe5, 0xf6, 0xdb, 0x4e, 0x42, 0x13, 0x0a, 0xf1, 0xba, 0x1f, 0xe1, 0xc1,
+  0xb5, 0x6e, 0xf7, 0x38, 0xf8, 0xa6, 0xe9, 0x43, 0xb4, 0x4b, 0x8e, 0xcd,
+  0xa2, 0x10, 0x39, 0x91, 0x7c, 0x40, 0x2b, 0x7e, 0x9f, 0xe5, 0x1a, 0xa5,
+  0x35, 0x4a, 0xc0, 0xf5, 0xf9, 0x88, 0xb2, 0x9b, 0x50, 0x6c, 0xdc, 0x1c,
+  0x17, 0xd7, 0x0c, 0xd9, 0x61, 0x9b, 0x75, 0x84, 0x68, 0x83, 0x81, 0x1a,
+  0x00, 0x35, 0xb6, 0xa7, 0x12, 0xcd, 0xe3, 0x64, 0x2a, 0x49, 0x1f, 0x89,
+  0xfa, 0x4b, 0x0d, 0xee, 0x6d, 0x77, 0xd8, 0x21, 0x52, 0x57, 0x13, 0x72,
+  0xb1, 0x94, 0xc6, 0x23, 0x78, 0x88, 0xe2, 0x6a, 0x82, 0x68, 0xeb, 0x9d,
+  0xf1, 0x6b, 0xfd, 0xef, 0x78, 0xd5, 0xc7, 0x0b, 0xb2, 0xf1, 0xc5, 0x32,
+  0x51, 0x55, 0x26, 0x58, 0x2f, 0x0e, 0x7d, 0xd8, 0x48, 0xe1, 0xaf, 0xc8,
+  0x6c, 0x4c, 0xc7, 0x24, 0x47, 0x8e, 0x62, 0x43, 0x53, 0xbb, 0x4d, 0xc4,
+  0x62, 0x25, 0x2e, 0xe9, 0x71, 0x52, 0xdd, 0x73, 0x44, 0xe6, 0xf7, 0x93,
+  0x45, 0x5e, 0xb6, 0xc4, 0x89, 0x4b, 0xe0, 0x85, 0xd3, 0x29, 0xf4, 0x69,
+  0x71, 0x85, 0xfa, 0x70, 0xf4, 0xe3, 0xf3, 0x0b, 0x49, 0x79, 0x3e, 0xe5,
+  0x5f, 0xd4, 0x78, 0x5b, 0x1f, 0x07, 0x2c, 0x0e, 0x1a, 0x8b, 0xca, 0x01,
+  0x60, 0x09, 0xcc, 0x5e, 0x2e, 0x09, 0x6a, 0x10, 0x64, 0x52, 0xb9, 0x24,
+  0x9f, 0x78, 0x7a, 0xcf, 0xa9, 0x33, 0x90, 0xe8, 0x1a, 0x6b, 0xeb, 0xb2,
+  0xad, 0x78, 0x24, 0x3c, 0x84, 0x9e, 0xdc, 0x97, 0x18, 0x84, 0x18, 0xac,
+  0xcd, 0x2e, 0x75, 0xc6, 0x5f, 0xb2, 0x7b, 0xc2, 0xa2, 0xba, 0xd6, 0xb8,
+  0x6a, 0x7b, 0x72, 0xc2, 0x85, 0xfb, 0x70, 0xb3, 0xfc, 0x66, 0x94, 0x23,
+  0x37, 0x2f, 0xa6, 0xa1, 0x0c, 0x6a, 0x53, 0x45, 0x1a, 0xc4, 0x43, 0x19,
+  0x64, 0x54, 0x9b, 0x02, 0x0a, 0x69, 0xcf, 0x24, 0x41, 0x6a, 0x00, 0x89,
+  0x3e, 0x3c, 0x61, 0x4b, 0xd5, 0x13, 0xd7, 0x32, 0xf4, 0x77, 0x5c, 0x7f,
+  0x92, 0x0b, 0x2e, 0xf9, 0x54, 0x0d, 0x03, 0x8a, 0x46, 0xac, 0x9b, 0x8b,
+  0x25, 0x59, 0x69, 0xf2, 0x85, 0x68, 0xed, 0x57, 0x6a, 0xbe, 0x8d, 0xa7,
+  0x69, 0xb9, 0x12, 0x49, 0x7f, 0x24, 0xba, 0x03, 0x9b, 0x7f, 0x58, 0xa7,
+  0x6f, 0x11, 0x39, 0x69, 0xe1, 0x27, 0xa9, 0xbc, 0x25, 0xb3, 0xd4, 0x6d,
+  0x6b, 0x1a, 0x49, 0x40, 0x1b, 0x26, 0xb4, 0x2d, 0x55, 0x64, 0x23, 0xce,
+  0x32, 0x4d, 0xc7, 0x29, 0xeb, 0x45, 0x3a, 0x14, 0x59, 0x19, 0xce, 0xfa,
+  0x50, 0x9a, 0x9f, 0x67, 0x6d, 0x54, 0x95, 0x82, 0x31, 0xd2, 0x50, 0x63,
+  0xc9, 0x89, 0xab, 0x92, 0x60, 0xa3, 0xf7, 0x23, 0x7c, 0x09, 0xbd, 0x1f,
+  0x1d, 0xc0, 0xa7, 0x34, 0xbe, 0xd1, 0xac, 0x51, 0xf6, 0xe5, 0x0b, 0x2d,
+  0x8d, 0x92, 0x9b, 0xf8, 0x2e, 0xcd, 0xf2, 0x41, 0x25, 0xaf, 0xa8, 0x61,
+  0x25, 0x2c, 0x88, 0x00, 0x48, 0x4e, 0x52, 0x2b, 0x14, 0xbf, 0x88, 0x18,
+  0x25, 0x97, 0x4f, 0x84, 0x2b, 0x1c, 0xdb, 0x81, 0xc0, 0xb4, 0xfe, 0xf9,
+  0xb6, 0x98, 0x62, 0xe1, 0x29, 0x6b, 0xc6, 0xe4, 0x21, 0xae, 0xca, 0xe5,
+  0xa0, 0xe8, 0xa3, 0x71, 0x71, 0xd7, 0x7e, 0xc2, 0x8a, 0xbb, 0xd6, 0x13,
+  0x26, 0x47, 0xcc, 0xa7, 0x77, 0xb9, 0x53, 0xd6, 0x3c, 0x66, 0xc3, 0x6f,
+  0x9d, 0x6b, 0xa4, 0x25, 0x72, 0x57, 0x0e, 0x97, 0x4d, 0xac, 0xed, 0x74,
+  0x29, 0x65, 0xbb, 0xf3, 0x65, 0x07, 0xec, 0xd1, 0x13, 0xe6, 0xa2, 0x49,
+  0xd1, 0xbf, 0x1e, 0xac, 0xf3, 0x83, 0xe1, 0xb7, 0xc1, 0x91, 0x0a, 0xf8,
+  0x95, 0xcb, 0xd9, 0xa8, 0xdf, 0xfd, 0x9c, 0x2f, 0x95, 0x5b, 0x04, 0x1a,
+  0xb7, 0xd5, 0x4a, 0x6a, 0xc5, 0xdd, 0x3f, 0x4b, 0x6a, 0x8d, 0xe5, 0x7d,
+  0x8c, 0xd4, 0xc2, 0x3d, 0x6a, 0x90, 0x1a, 0x26, 0xda, 0xa0, 0x34, 0x5b,
+  0xd8, 0x5f, 0x4c, 0x6a, 0x4a, 0xa2, 0x55, 0x4a, 0x53, 0xbe, 0x55, 0xa1,
+  0xb0, 0x80, 0x6c, 0x6a, 0xf1, 0x8a, 0xed, 0x16, 0xf9, 0xef, 0x10, 0x17,
+  0xa0, 0xc9, 0x7b, 0x92, 0x4c, 0x1c, 0x04, 0x40, 0x56, 0xad, 0xca, 0x88,
+  0xc7, 0xdc, 0x68, 0x0b, 0xc9, 0xf7, 0xd7, 0x8c, 0x04, 0xcb, 0xba, 0x7c,
+  0x5c, 0xe2, 0xa5, 0xc1, 0xf4, 0x2c, 0x90, 0x13, 0x62, 0x8f, 0x76, 0xb3,
+  0xd1, 0x22, 0x7f, 0xb0, 0x75, 0x4d, 0x62, 0x59, 0x91, 0xb4, 0x20, 0x11,
+  0x2e, 0xf4, 0x3a, 0x35, 0x35, 0xd0, 0xd0, 0xea, 0x20, 0x9b, 0xd5, 0xc6,
+  0x8b, 0xf8, 0xce, 0x26, 0x9b, 0x9a, 0x8b, 0x40, 0x0d, 0xc3, 0x17, 0x84,
+  0x2e, 0xf6, 0xc0, 0x23, 0x52, 0xc5, 0xe1, 0x8a, 0xcc, 0xbd, 0x1b, 0x81,
+  0x71, 0x10, 0xd4, 0x48, 0xd8, 0x16, 0x04, 0x12, 0xc4, 0xb8, 0xca, 0x9c,
+  0x7f, 0x07, 0xb9, 0x6d, 0x4d, 0xe0, 0x29, 0xaf, 0x87, 0x64, 0x93, 0x09,
+  0x3f, 0x6d, 0xc6, 0x1f, 0x28, 0x7f, 0xb5, 0x95, 0x51, 0x97, 0x7f, 0x63,
+  0x91, 0x2b, 0x49, 0x56, 0x1a, 0xaf, 0x99, 0x84, 0xde, 0x4e, 0x17, 0xa8,
+  0x24, 0xd6, 0x15, 0x31, 0xaf, 0x78, 0x67, 0x46, 0xc3, 0xd1, 0xc1, 0x13,
+  0xec, 0xe8, 0xc2, 0x75, 0x34, 0x90, 0x71, 0x29, 0x56, 0x19, 0x8e, 0x8d,
+  0x85, 0x89, 0x30, 0x4f, 0x7e, 0x43, 0xef, 0x62, 0x42, 0x0b, 0x86, 0xfc,
+  0x43, 0x26, 0x4c, 0x12, 0x2a, 0xd7, 0x99, 0xd2, 0xbc, 0x77, 0xa3, 0x73,
+  0xa1, 0x8f, 0x9f, 0xc7, 0xd7, 0x09, 0x67, 0x29, 0x8a, 0x9b, 0x48, 0x85,
+  0xad, 0x0f, 0xa4, 0x43, 0x35, 0x12, 0x8a, 0x58, 0x38, 0xf3, 0xce, 0xc0,
+  0x20, 0x7f, 0x08, 0x49, 0x60, 0x3e, 0x7b, 0x48, 0x17, 0xbf, 0x19, 0x72,
+  0x3c, 0x51, 0x8b, 0x73, 0x35, 0xb2, 0xdb, 0x30, 0x1c, 0xd4, 0x6a, 0xd4,
+  0xf9, 0x33, 0xfb, 0x8c, 0x3b, 0x36, 0x40, 0x37, 0xe5, 0xa6, 0x15, 0x94,
+  0x1f, 0xf1, 0xca, 0x66, 0xd5, 0xd3, 0x6c, 0x81, 0x24, 0x2e, 0x0a, 0x00,
+  0x20, 0x02, 0x4c, 0x12, 0xc4, 0x26, 0x49, 0x7e, 0xab, 0x93, 0x15, 0xc9,
+  0x73, 0x12, 0x23, 0x7a, 0xaa, 0xc3, 0xda, 0xd7, 0x33, 0x22, 0xfa, 0xb3,
+  0x0d, 0x4a, 0x93, 0xb0, 0x42, 0x56, 0x19, 0x4f, 0x19, 0xbd, 0xa3, 0xee,
+  0x44, 0x60, 0xf5, 0x48, 0xcd, 0xc3, 0x13, 0xc4, 0x80, 0xf0, 0x80, 0x62,
+  0x56, 0xd3, 0x52, 0x00, 0x3a, 0xb8, 0x69, 0xfd, 0x96, 0xde, 0xe8, 0x64,
+  0x7e, 0xcd, 0x49, 0x8a, 0x2f, 0x5b, 0x63, 0xa0, 0x92, 0xa9, 0xa5, 0xed,
+  0x5a, 0x90, 0xe4, 0x38, 0x5f, 0x2d, 0x98, 0xf1, 0xcb, 0x5b, 0xca, 0x8f,
+  0x00, 0x4c, 0x20, 0xf1, 0x90, 0x61, 0x6e, 0xf7, 0xa0, 0x2d, 0x08, 0xc0,
+  0xf5, 0xa8, 0xc1, 0xa2, 0x7c, 0x83, 0x2d, 0x68, 0xc1, 0x84, 0x3b, 0xc9,
+  0x67, 0x44, 0x26, 0xa3, 0x65, 0x3a, 0x9d, 0x48, 0x4c, 0x98, 0x8b, 0xbe,
+  0x6b, 0x38, 0x61, 0xb8, 0x9d, 0x22, 0xd4, 0xff, 0xf9, 0x22, 0xe3, 0x98,
+  0xa7, 0x4d, 0x1e, 0xd0, 0x9c, 0xa6, 0xbd, 0xa5, 0xf9, 0xe3, 0xcc, 0x18,
+  0xf5, 0x79, 0x15, 0xec, 0x1a, 0x26, 0xf3, 0xf8, 0x2e, 0x4e, 0xa7, 0xb8,
+  0xc3, 0xa8, 0xa1, 0x7c, 0x39, 0x47, 0xe7, 0xd5, 0x95, 0xba, 0x4b, 0xf3,
+  0x6c, 0x3e, 0x6b, 0xda, 0x37, 0x36, 0x2f, 0x4e, 0x86, 0x87, 0x51, 0x74,
+  0x36, 0x8c, 0xce, 0xde, 0x9e, 0xfe, 0xc0, 0xae, 0x43, 0xd6, 0x31, 0x05,
+  0x40, 0x83, 0xfb, 0x0f, 0xde, 0x8c, 0xee, 0xe2, 0x3c, 0x85, 0xbe, 0xd6,
+  0xf3, 0x1e, 0xb5, 0x16, 0x55, 0x5c, 0xce, 0x66, 0xff, 0xde, 0xb6, 0xd8,
+  0x87, 0x3d, 0xf2, 0xad, 0x85, 0xf8, 0xbf, 0x24, 0x2e, 0x52, 0x5a, 0x70,
+  0x98, 0xb9, 0xc7, 0x96, 0x9c, 0xb7, 0x6c, 0xe6, 0x8a, 0xb1, 0x35, 0x2c,
+  0x3c, 0xd5, 0x12, 0xa0, 0xc6, 0x17, 0x25, 0xf5, 0x4e, 0x13, 0xad, 0x45,
+  0x6c, 0xd0, 0x44, 0xaf, 0x45, 0xaf, 0x5d, 0xe3, 0x6b, 0x46, 0x04, 0xb2,
+  0x8b, 0x8f, 0x93, 0xb5, 0x5d, 0xc4, 0x2c, 0xbc, 0x3b, 0x6f, 0x08, 0x44,
+  0xa2, 0x79, 0x99, 0x67, 0x8b, 0x55, 0xf4, 0x55, 0xcc, 0x3c, 0x8f, 0xfb,
+  0x3a, 0x8a, 0x93, 0x59, 0x23, 0xaa, 0xa0, 0xc8, 0xc6, 0xb7, 0x49, 0x29,
+  0x27, 0x48, 0x7e, 0x77, 0xe4, 0x0c, 0x5d, 0x4f, 0x78, 0x66, 0xc4, 0x8b,
+  0x39, 0x61, 0xd3, 0x82, 0x51, 0x0f, 0x68, 0x8e, 0x86, 0xd2, 0x34, 0x3b,
+  0x1a, 0xae, 0x43, 0xa0, 0x0d, 0x2a, 0x93, 0x40, 0x13, 0x32, 0xb5, 0x7a,
+  0xa0, 0x61, 0xff, 0x98, 0x6f, 0x1a, 0xf6, 0xd0, 0xbf, 0x0c, 0xbc, 0xda,
+  0x3f, 0xee, 0x9b, 0x6a, 0xf9, 0x53, 0xfb, 0x32, 0x34, 0x63, 0xdf, 0xab,
+  0x57, 0x7b, 0xd0, 0x96, 0x86, 0xcd, 0x31, 0x7b, 0xb9, 0x6e, 0xb9, 0xb2,
+  0x24, 0x11, 0x50, 0x43, 0xeb, 0x68, 0x31, 0xe1, 0xd1, 0x8f, 0x24, 0x8d,
+  0x40, 0x02, 0x92, 0x2b, 0x8d, 0x59, 0x3a, 0x19, 0x6e, 0xde, 0xf3, 0xe3,
+  0x37, 0x6b, 0x42, 0xe6, 0x4c, 0x65, 0x4d, 0x4c, 0x8d, 0x22, 0xee, 0xe0,
+  0x14, 0x7a, 0xc9, 0x4d, 0x75, 0x83, 0x0d, 0x33, 0x7a, 0x6b, 0xcd, 0xfd,
+  0x6d, 0xc9, 0xc0, 0x41, 0x13, 0x2c, 0xba, 0xba, 0x1f, 0x5d, 0xfa, 0x7b,
+  0x70, 0xfc, 0x6a, 0xae, 0x02, 0x01, 0x20, 0x29, 0x9a, 0xee, 0x90, 0x4e,
+  0x30, 0x93, 0x8e, 0xc5, 0x5e, 0x05, 0xd1, 0x69, 0xc4, 0x0f, 0x38, 0x09,
+  0x29, 0xba, 0x4d, 0x56, 0x96, 0x59, 0xe7, 0x3e, 0x1b, 0x07, 0x10, 0x5c,
+  0x6e, 0xed, 0x74, 0x51, 0x38, 0x09, 0x9c, 0x7e, 0xce, 0x59, 0x87, 0xff,
+  0x1d, 0x76, 0x5f, 0xf7, 0x54, 0x14, 0xba, 0x7e, 0x9f, 0x1b, 0x04, 0xc7,
+  0x29, 0x02, 0xea, 0x9d, 0x35, 0xd2, 0x68, 0x1c, 0x60, 0xd4, 0x74, 0xd5,
+  0x6a, 0x02, 0xf0, 0xb0, 0x69, 0xcc, 0xa6, 0x34, 0xa1, 0xbe, 0x28, 0x2d,
+  0x08, 0x1c, 0xf1, 0xf1, 0xd3, 0x74, 0x94, 0xb3, 0x43, 0x0b, 0x92, 0x52,
+  0xc0, 0xac, 0x1b, 0xa2, 0x8a, 0x27, 0x20, 0x36, 0x82, 0xa4, 0xe3, 0x5b,
+  0x9c, 0x22, 0xd5, 0x2b, 0xc2, 0x2d, 0x37, 0xe1, 0x4f, 0x20, 0xa3, 0xb4,
+  0xaf, 0xba, 0x9e, 0x11, 0x97, 0x31, 0xe3, 0xcc, 0x20, 0x9b, 0x22, 0xe5,
+  0xc8, 0x1c, 0x48, 0x5e, 0xca, 0xff, 0x3c, 0x17, 0x72, 0x6c, 0x88, 0xc7,
+  0xfa, 0xfe, 0xe8, 0xe4, 0x02, 0x2c, 0x73, 0xb4, 0x5a, 0x93, 0x92, 0xb1,
+  0x9d, 0x94, 0xe3, 0xed, 0xc5, 0x6d, 0xba, 0x3d, 0x2f, 0x8a, 0xc9, 0x68,
+  0xcb, 0x65, 0x2d, 0x22, 0xc6, 0x9e, 0x43, 0x4b, 0xa2, 0xf3, 0x6f, 0x0e,
+  0x87, 0x9f, 0xec, 0xee, 0x72, 0x0a, 0xfd, 0x64, 0xc9, 0x0a, 0xd2, 0x26,
+  0x2d, 0x40, 0x23, 0x03, 0xae, 0xa0, 0x75, 0x9f, 0x0d, 0x8a, 0x6c, 0x0b,
+  0x0a, 0x80, 0x63, 0xb8, 0x58, 0x23, 0x44, 0xa8, 0xc0, 0x3f, 0xa9, 0xf9,
+  0x61, 0x6c, 0x56, 0xfc, 0x2d, 0xe3, 0x44, 0x84, 0x36, 0x10, 0xc5, 0x10,
+  0xbd, 0xe4, 0x7f, 0xd7, 0x70, 0xba, 0xe0, 0x8c, 0x03, 0x6a, 0xa6, 0xb2,
+  0x27, 0xfc, 0xb2, 0x4a, 0xf9, 0x1c, 0x74, 0x53, 0x39, 0xf1, 0x4d, 0x9d,
+  0x87, 0x9d, 0xba, 0x34, 0xcf, 0x5e, 0x74, 0x74, 0x7c, 0x01, 0x9a, 0x3c,
+  0x7e, 0xfb, 0x15, 0x84, 0x43, 0xce, 0xa1, 0xbb, 0x9e, 0xa7, 0x3f, 0x33,
+  0xb7, 0xa3, 0x26, 0x8b, 0x81, 0x66, 0x1f, 0x86, 0xc7, 0xb3, 0xd6, 0x1c,
+  0xaf, 0x17, 0xaf, 0x22, 0x0e, 0xd9, 0x6f, 0xbb, 0x4c, 0xb1, 0x30, 0xc6,
+  0xc3, 0x83, 0x70, 0x76, 0xbf, 0x12, 0x43, 0xa4, 0xa7, 0x68, 0x44, 0x74,
+  0x16, 0x5b, 0x0c, 0x21, 0x1c, 0x64, 0x14, 0x64, 0xf3, 0x31, 0x5d, 0xa8,
+  0xe3, 0x26, 0xf2, 0x98, 0x3a, 0x11, 0x0d, 0xab, 0x12, 0x89, 0x24, 0x36,
+  0xdf, 0x86, 0xcf, 0xd7, 0x3d, 0xb0, 0x59, 0x6c, 0x45, 0x8e, 0x7f, 0xa6,
+  0xf3, 0x20, 0x34, 0x8a, 0x79, 0x99, 0xaa, 0xdf, 0x86, 0x61, 0x27, 0x07,
+  0xbc, 0xa1, 0x41, 0xf2, 0xc4, 0x62, 0x77, 0x3c, 0x2c, 0xc7, 0x0f, 0x2b,
+  0xde, 0x13, 0xd7, 0x53, 0x65, 0xe9, 0x69, 0x4f, 0x55, 0xe6, 0xd4, 0x8b,
+  0xad, 0x91, 0x0e, 0x56, 0xc2, 0x96, 0xca, 0xb6, 0xee, 0xa0, 0xcd, 0xc6,
+  0xa6, 0x0a, 0xe3, 0x71, 0xc4, 0xa2, 0x11, 0xa7, 0x2d, 0xd2, 0x85, 0x79,
+  0xe9, 0x0f, 0x49, 0xa4, 0x7d, 0x7f, 0x78, 0xf0, 0xfe, 0xcb, 0x77, 0x6f,
+  0x8f, 0x4e, 0x8f, 0xbb, 0x75, 0x8a, 0xbc, 0xd2, 0x40, 0x51, 0x12, 0x3c,
+  0xc5, 0xe8, 0x55, 0x8b, 0x9d, 0xc4, 0xb5, 0x8e, 0x44, 0x5f, 0xb9, 0xe0,
+  0x35, 0xd0, 0xda, 0x56, 0xbc, 0xae, 0xfe, 0x2c, 0xe7, 0x13, 0x64, 0x16,
+  0x06, 0x93, 0xb7, 0x5c, 0x12, 0x75, 0x9d, 0xd9, 0xf8, 0x5a, 0xd4, 0x5d,
+  0x84, 0x89, 0xd3, 0x05, 0xcd, 0x32, 0xb6, 0x81, 0x7c, 0x48, 0x7e, 0x92,
+  0x87, 0x71, 0xaa, 0x88, 0xef, 0x1c, 0x14, 0x82, 0x55, 0x8f, 0x69, 0x40,
+  0x2d, 0xdb, 0x5d, 0x54, 0xe2, 0x15, 0xb8, 0x15, 0xa2, 0xe4, 0xbe, 0x0e,
+  0x72, 0x9c, 0x97, 0xdd, 0x5e, 0x94, 0xa4, 0x70, 0xc5, 0xa5, 0x41, 0x44,
+  0xcd, 0xa4, 0x35, 0xbd, 0x86, 0x03, 0x26, 0x63, 0xa1, 0xeb, 0x41, 0xf2,
+  0x90, 0x20, 0xb6, 0x43, 0xdf, 0x3a, 0x84, 0x71, 0xb7, 0x8c, 0xbe, 0xcb,
+  0x72, 0xa4, 0xed, 0x1f, 0x59, 0x84, 0xa5, 0x3d, 0x14, 0xcf, 0x57, 0x4d,
+  0xcf, 0x2d, 0xab, 0x44, 0xac, 0x15, 0x5c, 0x0b, 0x8a, 0xe2, 0xf9, 0xc1,
+  0xe5, 0xd7, 0x6d, 0x47, 0xb8, 0x4a, 0x86, 0x8f, 0xdd, 0x33, 0xaa, 0x92,
+  0x97, 0xeb, 0xe3, 0x37, 0xe5, 0xaa, 0x59, 0x7f, 0xd7, 0x54, 0x8f, 0x77,
+  0xf3, 0xba, 0x69, 0xc9, 0xaf, 0x72, 0xd7, 0x8d, 0xdd, 0x36, 0xa3, 0xd5,
+  0x7a, 0x92, 0x0c, 0x6f, 0x9a, 0xf5, 0x57, 0x4d, 0xf3, 0xae, 0xf1, 0x32,
+  0x0c, 0x77, 0xc9, 0xa7, 0xd5, 0x2e, 0x1b, 0xbd, 0x6b, 0xfe, 0x8f, 0xb8,
+  0x6a, 0x62, 0x9c, 0xa0, 0x1a, 0x0f, 0xf5, 0xe1, 0xb8, 0xff, 0x3a, 0x37,
+  0x0d, 0x42, 0x7b, 0x9b, 0x0c, 0x46, 0x58, 0x6c, 0x8d, 0xa9, 0x56, 0xc2,
+  0x37, 0x5b, 0x19, 0x62, 0xcf, 0xc4, 0xaf, 0xfa, 0x66, 0xb9, 0xae, 0xf0,
+  0xda, 0x4d, 0x0c, 0xdb, 0x1b, 0x33, 0x8c, 0x3c, 0x1b, 0x4b, 0x06, 0x96,
+  0x1a, 0x7b, 0x24, 0x47, 0xe9, 0x7d, 0x9e, 0xdc, 0xc4, 0x05, 0x31, 0x90,
+  0x65, 0x99, 0xb2, 0x25, 0xbc, 0xae, 0x03, 0x2c, 0x39, 0x6c, 0xd0, 0xa9,
+  0xfe, 0x91, 0x25, 0xfb, 0x45, 0x9a, 0xb6, 0xee, 0xd7, 0x4f, 0x4c, 0x0d,
+  0xac, 0xfd, 0xd8, 0xa2, 0xb0, 0x72, 0x5f, 0x57, 0x5b, 0x87, 0xa7, 0xfd,
+  0x10, 0xdf, 0x6d, 0xc6, 0x19, 0x9a, 0x30, 0xc7, 0x27, 0x57, 0x34, 0xdd,
+  0x34, 0xc8, 0xfd, 0x33, 0xd0, 0x08, 0xbd, 0xe2, 0xd2, 0xab, 0x36, 0xe3,
+  0x94, 0x7d, 0x0b, 0x76, 0xa2, 0x17, 0x50, 0x21, 0x00, 0x70, 0xd5, 0xed,
+  0x2c, 0x7e, 0x43, 0x0a, 0xba, 0x62, 0x63, 0x24, 0x51, 0xf1, 0x1a, 0x7b,
+  0xce, 0x6b, 0xc0, 0xcf, 0x14, 0xec, 0xbf, 0xe5, 0xc9, 0x6d, 0x32, 0x00,
+  0x92, 0x00, 0x6c, 0xc5, 0x50, 0x89, 0xb7, 0x58, 0x6e, 0x57, 0xa3, 0x16,
+  0x72, 0x4a, 0x14, 0x0d, 0xa6, 0x29, 0xa3, 0x28, 0x1c, 0x13, 0x22, 0xb9,
+  0xe0, 0x9b, 0x84, 0xbb, 0x42, 0xcd, 0xbb, 0x80, 0x49, 0x25, 0xce, 0x4a,
+  0x67, 0x34, 0xf8, 0x72, 0x92, 0xc4, 0xd3, 0xa8, 0x2d, 0x80, 0xe6, 0x4a,
+  0xe0, 0x55, 0xcd, 0x5e, 0x0d, 0xb1, 0x66, 0x6e, 0x46, 0xee, 0x48, 0x43,
+  0x20, 0x34, 0xde, 0x35, 0xc4, 0x96, 0xb8, 0x42, 0xde, 0x68, 0x83, 0x8a,
+  0x27, 0xc9, 0x34, 0x15, 0xa3, 0x9f, 0xe5, 0xf7, 0x41, 0x67, 0xd1, 0x2c,
+  0xc0, 0x02, 0x90, 0x27, 0x12, 0x13, 0xeb, 0x1e, 0x60, 0x30, 0x0f, 0x8d,
+  0x5a, 0x2c, 0xea, 0xcd, 0x6d, 0x2a, 0x3c, 0x09, 0xf0, 0x18, 0x35, 0x43,
+  0xcd, 0xe2, 0x90, 0x78, 0x58, 0x2b, 0x07, 0x95, 0xbb, 0xa5, 0x97, 0x1a,
+  0x8c, 0x58, 0xd8, 0xa0, 0x45, 0xde, 0xd0, 0xb3, 0xd9, 0x65, 0x2a, 0x64,
+  0x29, 0xa0, 0xc9, 0x58, 0xfe, 0x52, 0x54, 0xfc, 0xb8, 0x0c, 0xd3, 0x15,
+  0x25, 0xa9, 0x67, 0x6f, 0xaf, 0xdd, 0xe8, 0xab, 0x99, 0xc5, 0x1a, 0x7b,
+  0xc1, 0x4b, 0xd1, 0x2f, 0xe2, 0x2b, 0x87, 0x31, 0x42, 0x64, 0xcc, 0x12,
+  0x63, 0x36, 0xa6, 0xd5, 0x93, 0xc0, 0x25, 0x7c, 0xc6, 0xe6, 0x8e, 0x86,
+  0xab, 0x6b, 0x39, 0xe6, 0xd3, 0xc8, 0x06, 0x00, 0x6f, 0xc9, 0x8c, 0xd8,
+  0xc9, 0xec, 0xfc, 0xf8, 0xc5, 0x34, 0x65, 0xc8, 0xb8, 0x3c, 0x5b, 0x5e,
+  0xdf, 0xd0, 0x7d, 0x08, 0xd6, 0x82, 0xdb, 0xb5, 0xc5, 0x89, 0x51, 0x4b,
+  0x81, 0x86, 0x3c, 0x7b, 0x97, 0x4d, 0xd9, 0xac, 0xb9, 0xe9, 0x9a, 0x97,
+  0xd6, 0x9f, 0xee, 0xec, 0x62, 0xbc, 0x4f, 0x77, 0x3e, 0xad, 0x44, 0xb1,
+  0xb3, 0x39, 0x3d, 0x1e, 0x23, 0xc5, 0x25, 0xfa, 0x91, 0x6f, 0x8f, 0x9f,
+  0x5a, 0xfd, 0x2e, 0xb0, 0xcb, 0xc6, 0xf3, 0xd0, 0x12, 0x1b, 0x17, 0xb7,
+  0xe2, 0x2a, 0xe8, 0xd8, 0xfb, 0xfc, 0x7a, 0x47, 0xad, 0x19, 0xce, 0x1f,
+  0xdc, 0x86, 0xe2, 0xe3, 0x14, 0x5e, 0xce, 0x5a, 0x34, 0x36, 0x05, 0x69,
+  0xbd, 0x17, 0x40, 0xff, 0x41, 0x0c, 0x02, 0x24, 0xeb, 0xd5, 0x5a, 0xcb,
+  0xcc, 0xc1, 0xe1, 0xa1, 0xf7, 0xc6, 0x55, 0xe3, 0xbd, 0x9e, 0x70, 0xbc,
+  0xd7, 0xc7, 0x9d, 0x7e, 0x40, 0xc6, 0xf4, 0x34, 0xb6, 0x1a, 0x06, 0xf3,
+  0x4a, 0xda, 0xad, 0x5a, 0x54, 0x5a, 0x08, 0x0c, 0x46, 0xca, 0x65, 0x91,
+  0xd4, 0x57, 0x74, 0x7d, 0x46, 0x49, 0x00, 0x28, 0xa6, 0xd9, 0x25, 0x7c,
+  0x44, 0x82, 0xa4, 0x06, 0xb6, 0x79, 0x6e, 0xfb, 0x5c, 0x34, 0xc8, 0x7f,
+  0x2a, 0xed, 0xb5, 0x44, 0x0c, 0x59, 0xfc, 0x94, 0x38, 0xb4, 0xe1, 0xf6,
+  0x79, 0x40, 0x4a, 0xf4, 0x3c, 0x88, 0x14, 0xd7, 0x99, 0x95, 0xb4, 0x46,
+  0x71, 0x3e, 0x71, 0x3e, 0x99, 0xa8, 0x09, 0xc3, 0x61, 0xd2, 0x0d, 0xe7,
+  0xdf, 0x30, 0x54, 0x4d, 0x88, 0x52, 0xd2, 0xcc, 0x71, 0xb1, 0x80, 0x6d,
+  0xef, 0x5e, 0x6e, 0xcd, 0xc2, 0x88, 0x66, 0xa9, 0x84, 0x77, 0x06, 0x19,
+  0x1d, 0xf5, 0x05, 0xd3, 0x23, 0xf6, 0xa3, 0xfc, 0x6c, 0xa7, 0x41, 0xce,
+  0x17, 0xcb, 0x33, 0xd5, 0xf9, 0xf4, 0x05, 0xc9, 0x40, 0x96, 0xf0, 0x3c,
+  0x0f, 0xe2, 0x32, 0xbe, 0x31, 0xcb, 0x8d, 0xf8, 0x88, 0x9b, 0xc9, 0x53,
+  0x9b, 0xc3, 0x2d, 0xf3, 0x14, 0xcb, 0xd5, 0xab, 0xed, 0xc5, 0xf9, 0xb5,
+  0x70, 0x29, 0x0f, 0x39, 0xd2, 0x88, 0xb2, 0xeb, 0x37, 0xcc, 0x13, 0xd7,
+  0xa2, 0x2f, 0x70, 0x00, 0xc5, 0x5d, 0x4b, 0xe4, 0x1d, 0x34, 0xa3, 0xf1,
+  0xfd, 0xa4, 0x3d, 0x10, 0x45, 0x90, 0x2f, 0x33, 0x6c, 0xb3, 0x26, 0x4c,
+  0x1e, 0x7e, 0x77, 0x14, 0xa4, 0x23, 0xf2, 0x19, 0xc3, 0x9c, 0x54, 0xe6,
+  0x17, 0xd0, 0xea, 0x75, 0xb1, 0x72, 0x41, 0xa4, 0x0f, 0xc0, 0x60, 0x5f,
+  0x03, 0xa1, 0x3b, 0x59, 0xb8, 0xf4, 0x22, 0x60, 0xbf, 0x08, 0x5b, 0x63,
+  0x50, 0x57, 0xc0, 0xb7, 0xce, 0x9a, 0x22, 0xb1, 0x4f, 0x93, 0x45, 0x80,
+  0x82, 0x8f, 0x58, 0xe1, 0xfc, 0xaf, 0x8b, 0xd7, 0x87, 0xbb, 0x9f, 0x3e,
+  0xf9, 0x8c, 0x04, 0x74, 0x76, 0x88, 0xa6, 0xb5, 0x60, 0x5b, 0x09, 0x5c,
+  0x5d, 0x1f, 0xb1, 0xa4, 0x46, 0x25, 0x13, 0x30, 0xd5, 0x4f, 0x4f, 0x9c,
+  0x2f, 0xbb, 0x4f, 0x20, 0xf3, 0xa8, 0xcf, 0xb0, 0x11, 0x11, 0x95, 0xd1,
+  0x22, 0x9a, 0xce, 0x85, 0x15, 0xe3, 0x58, 0x0d, 0xac, 0x96, 0xdc, 0xa9,
+  0x83, 0x2a, 0x6a, 0x2e, 0x67, 0xc4, 0xf5, 0xa2, 0x8b, 0xe3, 0xcb, 0x8b,
+  0x5e, 0x34, 0xbc, 0x3c, 0xbb, 0x58, 0x13, 0x66, 0x46, 0x37, 0x27, 0x73,
+  0x25, 0x5e, 0x33, 0x26, 0x1b, 0x86, 0x15, 0x90, 0xe3, 0x56, 0xc9, 0xb6,
+  0x80, 0x5e, 0x23, 0x61, 0x86, 0x60, 0xaa, 0xb3, 0xfe, 0xba, 0xe0, 0xc2,
+  0xca, 0x6a, 0x81, 0x6c, 0x48, 0x92, 0x78, 0x74, 0x62, 0xb2, 0xed, 0x1f,
+  0x41, 0x21, 0x4c, 0x8b, 0x3c, 0x5d, 0xe7, 0xd0, 0xc1, 0x68, 0x15, 0x4c,
+  0xd0, 0xcb, 0x80, 0x6b, 0xc0, 0xaf, 0x5c, 0xf8, 0x06, 0x42, 0xfb, 0x1d,
+  0xc6, 0x35, 0x0e, 0x4a, 0xc7, 0xfc, 0xdc, 0x1d, 0x58, 0x8a, 0x6e, 0x93,
+  0x20, 0x6e, 0xeb, 0x03, 0xf4, 0x4b, 0x32, 0xc3, 0x96, 0x4b, 0x54, 0xe3,
+  0xff, 0x18, 0x3c, 0x50, 0x70, 0x9b, 0x21, 0xe3, 0x19, 0xe3, 0x29, 0x22,
+  0x17, 0x63, 0xdb, 0x16, 0x68, 0xe1, 0xf2, 0x07, 0x78, 0x97, 0xbb, 0xce,
+  0x5d, 0x9e, 0x29, 0x75, 0xc8, 0xbe, 0x90, 0xd4, 0x33, 0x2d, 0x91, 0x99,
+  0xd1, 0xb5, 0x51, 0x75, 0x1d, 0xa9, 0x55, 0xd8, 0xff, 0xb3, 0xc1, 0xee,
+  0x56, 0x8d, 0xc9, 0x70, 0xb4, 0x41, 0x2b, 0x67, 0x61, 0x3f, 0x48, 0x25,
+  0xc6, 0xc1, 0x10, 0xb7, 0x71, 0x0f, 0xd1, 0x85, 0x60, 0xa0, 0x1d, 0x00,
+  0xe1, 0xe2, 0xa7, 0xd6, 0x20, 0xa6, 0xa0, 0x20, 0x01, 0x9b, 0x74, 0x3d,
+  0x71, 0xeb, 0x9e, 0x8b, 0xff, 0x7f, 0x59, 0x67, 0xa7, 0x35, 0xff, 0x7d,
+  0x3d, 0xd0, 0xc6, 0xc3, 0xa5, 0x38, 0x97, 0x18, 0x3b, 0xc1, 0x5d, 0x94,
+  0x85, 0x25, 0xc5, 0x54, 0x66, 0xbe, 0xfb, 0xf1, 0x17, 0xdf, 0xa3, 0x61,
+  0x52, 0x1f, 0x8a, 0x93, 0xc2, 0xe1, 0x0b, 0x22, 0xa5, 0x48, 0x39, 0x98,
+  0x4b, 0x58, 0x05, 0xc2, 0xf9, 0x0c, 0x48, 0xc7, 0x16, 0x96, 0xf8, 0x32,
+  0x8b, 0x31, 0xb0, 0x71, 0x37, 0x6e, 0x31, 0xc8, 0xb2, 0x86, 0x0d, 0x0f,
+  0x15, 0x06, 0x7a, 0xa1, 0xdd, 0x30, 0xda, 0x98, 0x01, 0x2c, 0x08, 0x3e,
+  0xb5, 0x8f, 0x07, 0x68, 0x40, 0x9c, 0xe5, 0xaa, 0x9a, 0x37, 0x4e, 0xda,
+  0x79, 0xb8, 0xcb, 0xc2, 0x00, 0x21, 0x0b, 0x7a, 0xbe, 0x51, 0x8a, 0x89,
+  0xb8, 0x1a, 0x40, 0x22, 0x61, 0xf2, 0x4d, 0x20, 0x3c, 0x51, 0x5e, 0x11,
+  0xde, 0xa1, 0xe8, 0x37, 0xd5, 0xb8, 0x09, 0x5b, 0xe8, 0x86, 0xc4, 0xe5,
+  0xaf, 0x8b, 0x7e, 0x99, 0x21, 0xba, 0x2e, 0x7a, 0xa9, 0x9d, 0x7d, 0xde,
+  0x4a, 0xa2, 0x9c, 0x92, 0x14, 0x48, 0x7b, 0x86, 0x29, 0x09, 0xf4, 0xcc,
+  0xa1, 0xda, 0x2e, 0x69, 0x20, 0x43, 0xcf, 0xb1, 0x45, 0xd8, 0x6f, 0x80,
+  0x48, 0x01, 0x56, 0x53, 0xad, 0x12, 0x4e, 0x70, 0x32, 0x59, 0xc4, 0x94,
+  0x34, 0x43, 0x0a, 0xbf, 0x5c, 0xce, 0x68, 0x2a, 0xf7, 0x49, 0x32, 0xe9,
+  0x16, 0xd1, 0x10, 0x68, 0x8b, 0x75, 0x01, 0x99, 0xa3, 0x66, 0xb0, 0xe0,
+  0xca, 0x27, 0x11, 0x84, 0xc8, 0x2e, 0x12, 0x53, 0x38, 0xe3, 0xc8, 0x10,
+  0xf7, 0x42, 0xcd, 0xcc, 0x52, 0x94, 0xea, 0x8e, 0x88, 0xe1, 0x09, 0x23,
+  0x70, 0x1d, 0xbc, 0xbb, 0xfc, 0xba, 0x13, 0x05, 0xa8, 0xaa, 0x01, 0x23,
+  0xc6, 0x15, 0x5f, 0x92, 0x10, 0x71, 0xe7, 0x62, 0xeb, 0x72, 0x58, 0x4d,
+  0x5a, 0x60, 0x14, 0x6a, 0x16, 0xfb, 0x41, 0x9d, 0x45, 0x3c, 0xab, 0xb3,
+  0x08, 0xce, 0xfa, 0x06, 0x9f, 0xe8, 0xa7, 0x8b, 0x0f, 0x87, 0xf8, 0xb1,
+  0x3a, 0x60, 0x36, 0x80, 0x93, 0x73, 0x06, 0xb3, 0x05, 0xba, 0x70, 0x88,
+  0x59, 0xb2, 0xbc, 0xe6, 0xf0, 0xcf, 0x16, 0x00, 0x35, 0x86, 0xf8, 0xf0,
+  0x3a, 0x80, 0x06, 0xf6, 0xd3, 0x2a, 0x33, 0x35, 0x55, 0x02, 0x97, 0xa4,
+  0x37, 0xdd, 0x19, 0x9f, 0x0c, 0xb8, 0xd6, 0xcd, 0x36, 0x20, 0x8d, 0x4e,
+  0x4e, 0x4d, 0x88, 0x81, 0xd2, 0xf7, 0xe0, 0x61, 0x92, 0xa7, 0x46, 0xe3,
+  0x75, 0x03, 0x6e, 0x62, 0x35, 0x59, 0x22, 0x13, 0xc4, 0x4f, 0xe3, 0x86,
+  0x63, 0x15, 0xc0, 0xc2, 0xbe, 0x2a, 0x0b, 0xfa, 0x74, 0xb0, 0xb7, 0xd5,
+  0xaa, 0x41, 0x19, 0xdf, 0x61, 0x79, 0x9f, 0x13, 0x81, 0x88, 0x67, 0x8c,
+  0xa1, 0xdc, 0x4b, 0xb4, 0xa1, 0x44, 0xab, 0xe5, 0x72, 0xe6, 0x3c, 0xa6,
+  0x1f, 0x66, 0xd1, 0xc4, 0x47, 0xe2, 0x15, 0xaa, 0x1f, 0x28, 0x62, 0x8f,
+  0x1f, 0x11, 0x92, 0x09, 0xda, 0x8f, 0xa3, 0x73, 0x12, 0x09, 0xdc, 0x12,
+  0x07, 0x31, 0x5a, 0xf4, 0x0e, 0xd4, 0x13, 0x1e, 0xc6, 0x56, 0x5d, 0x80,
+  0xe1, 0xe4, 0x5c, 0xd8, 0xb9, 0x5f, 0x23, 0x5c, 0xc7, 0x82, 0x0c, 0x89,
+  0x15, 0xa6, 0x00, 0x7f, 0xcf, 0x69, 0x18, 0x88, 0x4d, 0x16, 0x54, 0x4a,
+  0x1c, 0x30, 0xd6, 0x00, 0xed, 0xf6, 0xdb, 0x68, 0x95, 0xab, 0xa4, 0x80,
+  0x8a, 0xbb, 0xb8, 0xd9, 0xdb, 0x4e, 0x87, 0x02, 0x85, 0x47, 0x80, 0x19,
+  0x12, 0x03, 0x41, 0x5c, 0xb4, 0xa6, 0x49, 0x76, 0x3f, 0x07, 0x20, 0x40,
+  0x8b, 0xf0, 0x87, 0xe1, 0x33, 0x53, 0x1b, 0x54, 0xaf, 0xc1, 0xbd, 0x9d,
+  0xc1, 0x43, 0x48, 0xe3, 0x45, 0x31, 0x95, 0x95, 0x71, 0x65, 0x7b, 0xa4,
+  0xc2, 0x0f, 0x2a, 0xf3, 0xd0, 0x6a, 0xe5, 0x2e, 0xa4, 0x69, 0x38, 0x3c,
+  0xdd, 0xbe, 0x3c, 0x1d, 0x86, 0x9b, 0x6f, 0x9b, 0xde, 0x4c, 0x4e, 0x86,
+  0x71, 0x17, 0x38, 0x72, 0x98, 0xb2, 0xc0, 0xb2, 0x06, 0xe0, 0x35, 0x9a,
+  0x3a, 0xae, 0x87, 0xc2, 0x94, 0x16, 0x75, 0xa1, 0x37, 0x8d, 0x45, 0xdb,
+  0x80, 0x7c, 0x8a, 0xc2, 0xe0, 0x61, 0x1c, 0xce, 0x62, 0xda, 0x37, 0x1a,
+  0x94, 0x58, 0x36, 0xfe, 0x84, 0x56, 0xdc, 0x96, 0x91, 0xaf, 0xa2, 0x66,
+  0x66, 0x68, 0x19, 0x4d, 0x69, 0x84, 0xd3, 0x42, 0x1c, 0xff, 0x88, 0x97,
+  0xe0, 0x31, 0xe9, 0x4e, 0xd5, 0xd4, 0x46, 0x5a, 0xb0, 0x9d, 0xad, 0xc7,
+  0x42, 0xbf, 0xee, 0x25, 0x40, 0x6e, 0x96, 0xe4, 0xb4, 0xeb, 0x80, 0x60,
+  0x91, 0xdc, 0x30, 0x1d, 0xa0, 0x5b, 0x7e, 0xc3, 0xb4, 0xde, 0x6d, 0xa6,
+  0x1d, 0x29, 0xb0, 0x51, 0x2c, 0x81, 0xa2, 0xb4, 0xe3, 0xde, 0xbe, 0xa4,
+  0x62, 0x8f, 0x7c, 0xc0, 0x89, 0xf0, 0x77, 0x96, 0x8f, 0x76, 0xb5, 0xe4,
+  0x4a, 0x3c, 0x2c, 0xae, 0xb7, 0xc5, 0xcf, 0xd6, 0xcf, 0x43, 0xb0, 0x54,
+  0xad, 0xc7, 0xe2, 0x42, 0xc9, 0xb4, 0xbe, 0xcb, 0x20, 0xee, 0x69, 0x76,
+  0xcd, 0x30, 0xa6, 0x16, 0x30, 0x0e, 0xc7, 0xbe, 0x43, 0x75, 0xa8, 0x2b,
+  0xe0, 0x53, 0x09, 0xc2, 0xd1, 0x3d, 0xaf, 0x99, 0x24, 0x44, 0xea, 0x61,
+  0x9a, 0xd0, 0x85, 0xb7, 0x94, 0x6d, 0x17, 0x6c, 0xd9, 0x74, 0x93, 0x3b,
+  0x9b, 0xe0, 0x78, 0x35, 0x10, 0x33, 0x5a, 0x51, 0xc1, 0x95, 0xa8, 0x11,
+  0x93, 0x4f, 0x21, 0x6a, 0x05, 0x3b, 0xa5, 0x8b, 0xc9, 0x13, 0x54, 0x85,
+  0x59, 0x3d, 0x0f, 0x37, 0xda, 0x93, 0x52, 0xcb, 0x72, 0xd5, 0xcf, 0x8a,
+  0x1e, 0x16, 0xb7, 0x88, 0xbf, 0xe0, 0xac, 0x5c, 0x8a, 0x93, 0xbe, 0x4c,
+  0x1a, 0xf8, 0x4e, 0x8f, 0x1e, 0x11, 0x37, 0x87, 0x47, 0x52, 0xea, 0xd7,
+  0x53, 0xae, 0xf3, 0xff, 0x33, 0xed, 0x7a, 0xe2, 0x55, 0xea, 0xd5, 0x14,
+  0x6e, 0xa3, 0x1a, 0x1c, 0xa7, 0xcd, 0x58, 0xdb, 0xad, 0x35, 0xa7, 0x97,
+  0xa6, 0x2a, 0x18, 0x6b, 0x09, 0x38, 0x80, 0x7b, 0x34, 0x1a, 0x96, 0x80,
+  0xc4, 0x46, 0x20, 0x8c, 0xd1, 0xf4, 0x5a, 0x1a, 0x1e, 0x8f, 0xdb, 0xe3,
+  0x80, 0x11, 0xba, 0x74, 0x78, 0x78, 0x48, 0x1f, 0x1c, 0x0a, 0x99, 0x1e,
+  0x2a, 0x47, 0x3d, 0xbc, 0xe1, 0x8c, 0xcd, 0xe9, 0x56, 0x34, 0xbc, 0x59,
+  0x72, 0xbe, 0x21, 0xcf, 0x91, 0x57, 0x56, 0x97, 0xb0, 0x1e, 0x42, 0x16,
+  0xaf, 0xd8, 0x96, 0x25, 0x10, 0x51, 0x15, 0x01, 0x4b, 0xec, 0x02, 0x48,
+  0x25, 0x35, 0xdf, 0xbf, 0xdd, 0x7f, 0xd2, 0x43, 0x6b, 0xaa, 0xf7, 0x72,
+  0xee, 0x00, 0x09, 0x9d, 0xdd, 0x78, 0xee, 0x88, 0x5f, 0xf5, 0xc2, 0x58,
+  0x0e, 0xcd, 0xdb, 0x83, 0x4b, 0x86, 0x80, 0x2e, 0x35, 0x06, 0xb5, 0x3d,
+  0xc0, 0xcd, 0x1d, 0x4b, 0xd0, 0x7f, 0x1c, 0xa0, 0x07, 0x9a, 0x8a, 0x01,
+  0x59, 0x96, 0x93, 0x20, 0x45, 0xb6, 0x1d, 0x68, 0x9c, 0x45, 0x8b, 0x60,
+  0xac, 0x2b, 0xda, 0x77, 0x3a, 0x8e, 0x24, 0xbe, 0xf1, 0x9f, 0x45, 0xf3,
+  0x78, 0x34, 0xf4, 0xa7, 0xca, 0xeb, 0x3f, 0x4a, 0xa4, 0xee, 0xb6, 0xf6,
+  0xfa, 0xd3, 0x3f, 0xbf, 0x4d, 0x89, 0x4a, 0x35, 0xfc, 0x98, 0x5c, 0x61,
+  0x4d, 0x6f, 0x71, 0x45, 0x3b, 0x73, 0x20, 0x37, 0x12, 0x97, 0xa7, 0x61,
+  0xbd, 0x05, 0x6d, 0xf7, 0x04, 0x88, 0x58, 0x42, 0x83, 0x0e, 0x33, 0xfb,
+  0x3e, 0x6e, 0x88, 0x37, 0x76, 0x50, 0xbd, 0x48, 0x89, 0x22, 0x3b, 0xe2,
+  0x5d, 0x71, 0xcd, 0xe7, 0xc9, 0x62, 0xba, 0x72, 0x66, 0x00, 0x6d, 0x7e,
+  0x9d, 0x98, 0x19, 0x1a, 0x93, 0xc2, 0x20, 0x66, 0x1b, 0x63, 0x51, 0x6d,
+  0x05, 0x1d, 0xc5, 0x2c, 0x04, 0x5e, 0x35, 0x22, 0xe5, 0x63, 0xed, 0xb9,
+  0x86, 0xc2, 0xdc, 0xdc, 0xa1, 0x40, 0xda, 0x72, 0xc0, 0x0d, 0x8a, 0x24,
+  0xad, 0x19, 0x50, 0x8f, 0x27, 0x6e, 0x4f, 0x79, 0xe9, 0x21, 0x1c, 0x25,
+  0xa4, 0x4d, 0x23, 0x03, 0x47, 0xe1, 0x2c, 0xfa, 0xe9, 0x5c, 0xd0, 0x13,
+  0x38, 0xe1, 0x15, 0x46, 0x79, 0xc1, 0xbf, 0xa8, 0xe3, 0x41, 0xc6, 0x45,
+  0x64, 0x08, 0x7f, 0xeb, 0x40, 0x2e, 0x0c, 0x02, 0xd5, 0xc7, 0xec, 0x03,
+  0xaa, 0xa3, 0x4d, 0x88, 0xf5, 0x88, 0x16, 0x87, 0x8a, 0x68, 0x71, 0xc9,
+  0xe1, 0x1c, 0x12, 0x59, 0x10, 0xe7, 0xe5, 0x36, 0xb0, 0x2b, 0x24, 0x43,
+  0x79, 0xcc, 0x18, 0xc7, 0x5a, 0x2a, 0xe0, 0xe2, 0xf5, 0xe1, 0xde, 0x93,
+  0xcf, 0x3e, 0x6b, 0x8d, 0x85, 0x4d, 0x34, 0x19, 0xcb, 0x43, 0x75, 0x73,
+  0x30, 0xa3, 0xe4, 0xb6, 0x8b, 0xcb, 0x91, 0xeb, 0xd0, 0x70, 0x2a, 0xb0,
+  0xa8, 0x98, 0x22, 0x23, 0x77, 0xc7, 0x4d, 0xe3, 0x3d, 0x0f, 0xa8, 0x2b,
+  0xd6, 0x37, 0x49, 0x11, 0xb3, 0x32, 0x29, 0x5a, 0x5e, 0xa3, 0x0a, 0x81,
+  0x26, 0x69, 0xc2, 0xf3, 0xe8, 0x0b, 0xa4, 0xb4, 0x71, 0x07, 0xb5, 0xe6,
+  0xfe, 0xca, 0x5a, 0xee, 0x75, 0x52, 0x36, 0xb3, 0x2c, 0x83, 0xe4, 0xfe,
+  0x47, 0x1a, 0x6f, 0xa1, 0x41, 0xcb, 0x12, 0x8d, 0x5e, 0x5a, 0x9a, 0x9d,
+  0x57, 0xcf, 0x23, 0x2b, 0x28, 0x44, 0x23, 0x62, 0xe2, 0x7b, 0xa9, 0xd6,
+  0x29, 0xcd, 0x30, 0xfb, 0xa2, 0x45, 0xc3, 0x2f, 0xcc, 0x8a, 0x0a, 0xd0,
+  0xb1, 0xb2, 0x8c, 0xad, 0xca, 0x19, 0xbc, 0x96, 0x0c, 0x0a, 0x81, 0x48,
+  0x04, 0xb5, 0xb4, 0x5a, 0x3d, 0x0c, 0xa6, 0x97, 0x69, 0x1b, 0xf2, 0xd1,
+  0x4b, 0xd7, 0x28, 0x00, 0x6f, 0x05, 0x97, 0x83, 0x87, 0xd2, 0xb6, 0x12,
+  0xa6, 0x75, 0x70, 0x92, 0x5e, 0x50, 0x15, 0xce, 0xa5, 0xad, 0xf3, 0xbb,
+  0xc1, 0x3a, 0x35, 0x14, 0xfd, 0xe3, 0x87, 0x78, 0x86, 0x22, 0x5d, 0x26,
+  0xf6, 0xc3, 0xab, 0xef, 0x53, 0xe7, 0x34, 0xd2, 0x25, 0x34, 0x92, 0xab,
+  0xdb, 0xa6, 0xcb, 0x0f, 0xd5, 0xf7, 0x9e, 0x5f, 0xea, 0x9a, 0x3d, 0x2f,
+  0xf4, 0xd1, 0x83, 0x22, 0x65, 0x38, 0x0e, 0x98, 0x50, 0x1c, 0xe6, 0xdc,
+  0xd5, 0x64, 0x4d, 0xf8, 0x1e, 0xbf, 0x09, 0xf8, 0xab, 0xfd, 0xd6, 0x80,
+  0x92, 0xfe, 0x6b, 0x37, 0xd2, 0x57, 0x5f, 0x54, 0x5a, 0xbb, 0xbf, 0x1f,
+  0xcc, 0x56, 0xf6, 0x5d, 0x51, 0xa9, 0x39, 0xe8, 0x73, 0xda, 0x1d, 0xf4,
+  0x05, 0xcf, 0xb2, 0x5b, 0x38, 0xe2, 0xf2, 0x48, 0x16, 0x61, 0xe9, 0x1b,
+  0x23, 0x34, 0xcd, 0xe2, 0x69, 0x66, 0xa2, 0xb9, 0x44, 0x06, 0x4f, 0x7f,
+  0x62, 0xed, 0xed, 0xaa, 0x93, 0x59, 0x0f, 0xfa, 0x75, 0xa6, 0xba, 0xe2,
+  0x88, 0xae, 0x15, 0xa3, 0xb2, 0xa6, 0x9a, 0x5a, 0x94, 0xf9, 0x72, 0x5c,
+  0x36, 0x3d, 0xb3, 0x56, 0x94, 0x4f, 0x71, 0x29, 0x83, 0x3c, 0x1f, 0xb1,
+  0x25, 0x56, 0x58, 0x82, 0xcb, 0xb3, 0xf1, 0x79, 0x0c, 0x75, 0x1c, 0x12,
+  0xe0, 0x33, 0x77, 0x7b, 0x22, 0x3d, 0x2b, 0x8a, 0x83, 0x87, 0x1d, 0x58,
+  0xbb, 0xf0, 0x9d, 0xfb, 0x64, 0xf4, 0xea, 0x0b, 0x0e, 0x39, 0x7c, 0x00,
+  0xbc, 0xab, 0xe0, 0x3c, 0x33, 0x0d, 0x6e, 0xf3, 0x9f, 0x9d, 0x88, 0x23,
+  0x4e, 0x5a, 0xd6, 0x9d, 0xb8, 0xf8, 0xba, 0x16, 0x03, 0x44, 0x94, 0xa0,
+  0xb5, 0xab, 0x2c, 0x5b, 0xdb, 0x98, 0x2b, 0x09, 0x88, 0xc5, 0x08, 0x92,
+  0x7a, 0x24, 0xc7, 0xc6, 0x53, 0xa1, 0x50, 0x1e, 0xef, 0xe2, 0x5c, 0xc1,
+  0xa5, 0x70, 0x0a, 0xdb, 0x90, 0x04, 0x46, 0x2b, 0x57, 0x39, 0xc2, 0xb2,
+  0x8a, 0x5f, 0xf5, 0xa4, 0xfa, 0x29, 0x2b, 0xab, 0xeb, 0x17, 0x84, 0x9f,
+  0x7e, 0xf5, 0x05, 0xd0, 0xca, 0xf8, 0xd7, 0x3f, 0xbb, 0xb7, 0xf9, 0x1f,
+  0xa2, 0x62, 0x62, 0x04, 0x6b, 0x27, 0xc2, 0xa2, 0xc8, 0xd5, 0x32, 0x87,
+  0x98, 0x91, 0xc8, 0x91, 0x94, 0xc2, 0x60, 0x06, 0x45, 0xac, 0xdc, 0xe4,
+  0xcd, 0xc1, 0xdb, 0x77, 0x07, 0xa7, 0x8f, 0xe6, 0xdc, 0x84, 0x96, 0x52,
+  0x17, 0x6b, 0x06, 0xc3, 0x65, 0x45, 0x70, 0xe4, 0xf3, 0xa8, 0x01, 0xff,
+  0x72, 0x13, 0x3e, 0x5e, 0x85, 0xc6, 0xe3, 0x50, 0xe8, 0xf5, 0x19, 0x82,
+  0x78, 0x78, 0x38, 0x21, 0xcb, 0x21, 0x50, 0x65, 0xa8, 0x35, 0x42, 0x1c,
+  0x8e, 0xcd, 0x3c, 0x96, 0xa2, 0x5c, 0xce, 0x8c, 0x31, 0x4d, 0x4b, 0x36,
+  0xb1, 0x32, 0x56, 0xe4, 0xa9, 0x16, 0xd9, 0xec, 0x7e, 0xd1, 0xc5, 0x1a,
+  0x74, 0x5f, 0x76, 0x79, 0x43, 0xf3, 0x78, 0xdc, 0x92, 0x2f, 0x53, 0xb8,
+  0x50, 0x8f, 0xa8, 0x2b, 0x54, 0xd3, 0xb5, 0x41, 0xe8, 0x9a, 0xc9, 0xc8,
+  0x10, 0xea, 0x31, 0xcf, 0x22, 0x75, 0x14, 0xc3, 0xa8, 0xd9, 0xe2, 0xa1,
+  0x02, 0xa4, 0x99, 0xcb, 0xf7, 0x95, 0x8a, 0x58, 0xb8, 0x16, 0xfc, 0xcc,
+  0x45, 0x03, 0xc9, 0x99, 0x63, 0x70, 0x24, 0x85, 0x40, 0x4b, 0xb6, 0x45,
+  0x87, 0xb8, 0xb5, 0xd1, 0xf1, 0xc8, 0x40, 0x38, 0x72, 0x87, 0x6e, 0xe5,
+  0x94, 0xc3, 0x74, 0x61, 0xe9, 0xa5, 0x2f, 0xaf, 0xaf, 0x35, 0x23, 0x19,
+  0x73, 0x06, 0x7e, 0x03, 0x4d, 0xba, 0x81, 0x6f, 0xa9, 0xf5, 0x6c, 0x89,
+  0x8c, 0xeb, 0xe0, 0x53, 0xfd, 0x6b, 0x12, 0x6b, 0xae, 0xa7, 0xd9, 0x28,
+  0xbb, 0xba, 0x7a, 0x84, 0x36, 0x24, 0x7f, 0x0c, 0x4d, 0x08, 0x5b, 0xee,
+  0x70, 0xe6, 0x08, 0xbf, 0x37, 0x92, 0x34, 0x3f, 0x54, 0x4b, 0x18, 0x88,
+  0x95, 0x53, 0x21, 0x4b, 0x1b, 0x93, 0x0a, 0x7c, 0x9c, 0xab, 0x5a, 0x81,
+  0x50, 0x94, 0x04, 0x15, 0x85, 0x47, 0xc3, 0x1d, 0x3d, 0xe8, 0x0c, 0x89,
+  0x36, 0x7f, 0xff, 0xc7, 0x8f, 0x3f, 0xb5, 0x80, 0x34, 0xb1, 0xeb, 0xc2,
+  0xc2, 0xfa, 0x39, 0xac, 0x59, 0xd3, 0x91, 0xe0, 0x24, 0x60, 0x83, 0x95,
+  0x87, 0x67, 0xd4, 0x92, 0x37, 0x41, 0xe8, 0x76, 0xf3, 0xc2, 0x28, 0x7c,
+  0x87, 0x56, 0x57, 0x55, 0xc3, 0x36, 0xa6, 0xc9, 0x75, 0x0c, 0xdc, 0x06,
+  0x7f, 0x79, 0xba, 0xdc, 0x57, 0x65, 0xd5, 0x4d, 0x00, 0x38, 0x97, 0xdb,
+  0x1e, 0x0a, 0x52, 0x30, 0x27, 0x5f, 0x9c, 0x38, 0x97, 0x4d, 0xb0, 0x11,
+  0x5f, 0xf1, 0x46, 0x34, 0x56, 0xcd, 0x03, 0x24, 0xf6, 0xea, 0xc1, 0xe6,
+  0x21, 0x2c, 0x01, 0xa0, 0x74, 0x05, 0x34, 0xa0, 0x0a, 0x0b, 0xb4, 0x16,
+  0x64, 0x2c, 0xcb, 0x6b, 0x38, 0x44, 0x22, 0x72, 0x79, 0x28, 0x46, 0x97,
+  0x39, 0xf7, 0xd5, 0xf1, 0x65, 0x64, 0xc0, 0x6f, 0x0d, 0xba, 0x0f, 0xca,
+  0xe6, 0x38, 0x08, 0x02, 0x87, 0x12, 0x27, 0x78, 0x15, 0xae, 0x70, 0xdf,
+  0x7d, 0x58, 0xbe, 0xa3, 0x4d, 0x09, 0x51, 0xc8, 0x21, 0xd1, 0xea, 0x0c,
+  0x8e, 0xc0, 0x2f, 0xdb, 0xa9, 0x41, 0xc3, 0x74, 0xff, 0xa3, 0xeb, 0xd1,
+  0x5f, 0xda, 0x22, 0x90, 0x2c, 0xc1, 0xad, 0x91, 0x76, 0xdf, 0x3f, 0xe9,
+  0x39, 0x40, 0x08, 0x5d, 0x2f, 0x59, 0x46, 0x37, 0x93, 0x51, 0x0b, 0xc0,
+  0xdb, 0xba, 0x71, 0x7c, 0x7d, 0x7c, 0x70, 0x64, 0x93, 0xfd, 0x1f, 0xc8,
+  0x9c, 0x77, 0x3e, 0xd0, 0x51, 0x22, 0xa0, 0x76, 0xcb, 0xb9, 0x95, 0x57,
+  0xc2, 0x9e, 0x39, 0xc3, 0x4d, 0x4b, 0xc4, 0x18, 0x89, 0x6c, 0x8c, 0x76,
+  0x2d, 0x9a, 0x1c, 0x4a, 0x04, 0x99, 0x83, 0x59, 0xa2, 0x2a, 0xdd, 0x7a,
+  0x84, 0x9e, 0xa1, 0xc0, 0xab, 0xd2, 0x5a, 0xff, 0x28, 0x28, 0x06, 0x18,
+  0x10, 0xf6, 0x0d, 0x52, 0xe2, 0xa6, 0x8b, 0x46, 0x6e, 0x54, 0x7c, 0xcd,
+  0x29, 0x97, 0xd3, 0x45, 0xf0, 0x6c, 0x90, 0x3e, 0xf7, 0x52, 0x7e, 0xae,
+  0xb9, 0x57, 0x8e, 0x01, 0x75, 0xa5, 0x8f, 0x86, 0x49, 0xa2, 0xd7, 0x41,
+  0xf1, 0x26, 0x92, 0x34, 0xf8, 0xca, 0xb8, 0x66, 0xa3, 0x2d, 0x6e, 0x7c,
+  0x62, 0xa1, 0xf5, 0x75, 0x08, 0x2a, 0x14, 0xfb, 0x0a, 0xe0, 0x49, 0xd0,
+  0x7a, 0x25, 0xdd, 0x4a, 0x93, 0xd7, 0xac, 0x6c, 0xd1, 0xa4, 0x51, 0x53,
+  0x86, 0xb8, 0x4d, 0x51, 0x92, 0x14, 0x68, 0x23, 0xe3, 0x97, 0x6e, 0xe2,
+  0x00, 0xd0, 0x4f, 0x20, 0x1c, 0xc4, 0xd3, 0xec, 0x8f, 0x8d, 0xf9, 0x35,
+  0x9b, 0x95, 0x3b, 0x9c, 0x62, 0xa7, 0xc0, 0x71, 0x4b, 0x6c, 0x1b, 0x84,
+  0x6d, 0x4e, 0xf6, 0xe7, 0x97, 0x34, 0xb1, 0x4f, 0xbb, 0x0c, 0xa3, 0xe9,
+  0xd6, 0x1c, 0x57, 0x15, 0xad, 0x9d, 0x33, 0x95, 0xc3, 0x09, 0x2a, 0x86,
+  0x13, 0x9e, 0xa3, 0xa5, 0x11, 0x22, 0x69, 0x0f, 0xa5, 0xdc, 0x1b, 0xb7,
+  0x1e, 0x5f, 0xc3, 0x45, 0xb9, 0xbc, 0xc2, 0x2c, 0x38, 0xcc, 0x46, 0x1c,
+  0x22, 0x18, 0xa8, 0xaf, 0x8d, 0x9a, 0xa1, 0x08, 0xb9, 0xad, 0x99, 0xe9,
+  0xfd, 0xf1, 0x78, 0x9d, 0x6f, 0x57, 0xa7, 0xe3, 0xab, 0xcf, 0x38, 0x56,
+  0xcf, 0xf6, 0x34, 0x29, 0x2b, 0x9e, 0xe4, 0xec, 0xe0, 0x60, 0x1b, 0x9b,
+  0x20, 0x7f, 0xdf, 0x37, 0x39, 0xba, 0xd6, 0xd8, 0x91, 0x44, 0x74, 0x2e,
+  0xe6, 0xc0, 0x76, 0x32, 0x49, 0x36, 0xd4, 0x69, 0xeb, 0x82, 0xd1, 0x15,
+  0x71, 0x9d, 0xde, 0x59, 0x59, 0x32, 0x8c, 0xac, 0x25, 0xe3, 0xcd, 0x06,
+  0x61, 0xb2, 0xbe, 0xfa, 0xf6, 0x05, 0x8e, 0x21, 0xe2, 0xec, 0xd8, 0x60,
+  0x3b, 0xc7, 0xd9, 0x14, 0xf8, 0x0d, 0x31, 0x5c, 0x09, 0xfb, 0x4c, 0xd8,
+  0x75, 0x3f, 0xdc, 0xd7, 0x24, 0xd5, 0xed, 0x77, 0xd6, 0xc4, 0xbb, 0x87,
+  0xac, 0xbd, 0x58, 0xe6, 0x56, 0x5d, 0x10, 0x41, 0x2a, 0x3a, 0x6a, 0xa0,
+  0xe2, 0x4f, 0x26, 0xdb, 0x3a, 0x62, 0x0b, 0xe6, 0x6a, 0x83, 0x32, 0xd4,
+  0x6c, 0x8d, 0x05, 0x82, 0x1a, 0x27, 0xfd, 0xec, 0xaa, 0x8f, 0x2a, 0x8d,
+  0x5c, 0x21, 0x8f, 0xd5, 0xb2, 0x80, 0xa0, 0x91, 0xba, 0x8b, 0x94, 0xc2,
+  0xc9, 0xa4, 0xed, 0x96, 0xd4, 0xc0, 0xf8, 0xdc, 0x59, 0xec, 0x74, 0x30,
+  0xba, 0x28, 0xfb, 0x6c, 0xe5, 0xb1, 0xd7, 0x1d, 0x40, 0x1b, 0xa3, 0x79,
+  0xc7, 0x79, 0x9e, 0xd2, 0x39, 0x6c, 0x80, 0x1a, 0x23, 0x8a, 0xb1, 0x27,
+  0x37, 0xa9, 0x84, 0x84, 0xb1, 0xaf, 0x67, 0x26, 0x4e, 0x3e, 0x38, 0x6a,
+  0x96, 0x0b, 0x88, 0x84, 0x9c, 0xb0, 0xdd, 0x26, 0xfb, 0xfa, 0x64, 0xb7,
+  0x5a, 0x89, 0x44, 0xf8, 0x2f, 0xc2, 0xdc, 0xe0, 0x75, 0x08, 0x27, 0xeb,
+  0x44, 0xe0, 0x20, 0xdf, 0x02, 0xac, 0x5a, 0x73, 0x01, 0xfc, 0x92, 0x6f,
+  0x8b, 0xe9, 0xb5, 0x2d, 0x16, 0x89, 0xdf, 0x32, 0xee, 0x11, 0xc8, 0xce,
+  0x5c, 0xc9, 0x7a, 0xb1, 0x1c, 0xcd, 0x26, 0xcf, 0xa2, 0x97, 0xf4, 0xcf,
+  0xe7, 0x2d, 0xbe, 0x73, 0x49, 0x2a, 0x57, 0x59, 0x58, 0x65, 0x21, 0xfc,
+  0xfe, 0x64, 0x8f, 0x4f, 0xc4, 0x03, 0xb5, 0x39, 0x4e, 0x11, 0x4a, 0x3a,
+  0x49, 0xaf, 0xd3, 0xb2, 0xd0, 0x34, 0x42, 0xbc, 0xb0, 0xb6, 0x5c, 0x16,
+  0xaf, 0xcf, 0xee, 0xde, 0x67, 0xd1, 0x28, 0x2d, 0xa3, 0x37, 0x47, 0xcf,
+  0xa4, 0xe0, 0x5e, 0xb1, 0x9c, 0xf9, 0xc2, 0xac, 0x00, 0x04, 0x46, 0xa5,
+  0xed, 0x2e, 0xc3, 0xf4, 0x2d, 0x47, 0xd3, 0x46, 0xed, 0x9b, 0xdb, 0x64,
+  0x55, 0x2b, 0x2a, 0xce, 0xb0, 0x63, 0x45, 0x52, 0xb7, 0xb3, 0x3b, 0x92,
+  0x43, 0xdd, 0x6e, 0xf5, 0xda, 0x37, 0x05, 0x7a, 0x9a, 0x3f, 0x8d, 0xa0,
+  0xb0, 0x6a, 0x5d, 0xb5, 0xe4, 0x7f, 0x90, 0x01, 0xef, 0xfb, 0xf0, 0xf0,
+  0x5c, 0xdc, 0x39, 0x08, 0xdd, 0x0b, 0x30, 0x24, 0x1e, 0xc3, 0xbe, 0xfd,
+  0xb4, 0x6a, 0x5a, 0x95, 0xb2, 0x9b, 0x86, 0x59, 0xd4, 0x27, 0xe5, 0xea,
+  0x7a, 0x5d, 0x2d, 0xc5, 0xe8, 0x04, 0xcf, 0xea, 0x31, 0x36, 0x8d, 0xf8,
+  0x14, 0x6f, 0x04, 0xa9, 0xcf, 0x72, 0xed, 0xf2, 0x41, 0x48, 0xc7, 0x5c,
+  0xd2, 0xb6, 0x81, 0xbe, 0xba, 0xf4, 0xf0, 0xc6, 0x56, 0xe0, 0x33, 0x5f,
+  0x0a, 0xa0, 0xf9, 0xc1, 0x82, 0xcd, 0x3c, 0xd1, 0xee, 0xe0, 0xa1, 0x17,
+  0x56, 0x17, 0x53, 0x00, 0x7c, 0x94, 0x11, 0x6b, 0x78, 0xa0, 0x10, 0x8e,
+  0x51, 0x1b, 0x0d, 0xb7, 0x2d, 0xf6, 0xb5, 0x29, 0x87, 0x27, 0xe5, 0xc2,
+  0x82, 0xf7, 0x88, 0x97, 0x5d, 0xc7, 0xc0, 0x5f, 0x0f, 0x28, 0x2f, 0xa5,
+  0x73, 0xa0, 0x90, 0x66, 0xeb, 0xe6, 0x2d, 0xdf, 0x06, 0xa0, 0xbe, 0x76,
+  0x0f, 0xab, 0x2c, 0x2e, 0xc1, 0xbd, 0x42, 0x6e, 0xc1, 0xd7, 0xcd, 0x22,
+  0x68, 0xdc, 0x8c, 0x3b, 0xbd, 0xd0, 0x7e, 0x65, 0x05, 0xfa, 0x7c, 0xf3,
+  0xf5, 0x22, 0xd4, 0x45, 0x77, 0x8c, 0xd2, 0x47, 0x35, 0x4b, 0xa3, 0xcd,
+  0x20, 0xfe, 0xc2, 0xea, 0xf8, 0x72, 0xa8, 0xd3, 0x60, 0x10, 0x1e, 0x27,
+  0x30, 0xf2, 0x2b, 0x66, 0x7e, 0xad, 0xb9, 0xdc, 0xe7, 0x82, 0x59, 0x18,
+  0x55, 0xeb, 0x53, 0x6b, 0xcd, 0xa9, 0x40, 0x4c, 0x76, 0xcd, 0x0c, 0x9c,
+  0x89, 0x24, 0xe1, 0x8f, 0xda, 0xae, 0x27, 0xf4, 0x26, 0x13, 0x09, 0xe2,
+  0x11, 0x68, 0x27, 0x5c, 0x91, 0xfa, 0x41, 0x74, 0x30, 0x37, 0x4d, 0x3c,
+  0xd2, 0x4a, 0x61, 0x48, 0xdc, 0x69, 0x54, 0x77, 0xb9, 0x4d, 0x1a, 0x26,
+  0x01, 0xb5, 0x09, 0x04, 0x33, 0x23, 0xb9, 0x6a, 0x67, 0x7f, 0x37, 0xac,
+  0x0b, 0x34, 0xd7, 0xf2, 0x11, 0x28, 0x96, 0xf3, 0xdb, 0x45, 0xdf, 0x9f,
+  0xa8, 0x24, 0xd6, 0x46, 0x2f, 0x0c, 0xbb, 0xbd, 0xfd, 0xfa, 0xe4, 0xf4,
+  0x78, 0x2b, 0x7a, 0x9d, 0x00, 0x57, 0xa4, 0x4a, 0x14, 0x38, 0xbe, 0xbf,
+  0x93, 0x4f, 0x8c, 0xfc, 0x55, 0x09, 0x6d, 0x8b, 0x1f, 0x51, 0x87, 0x05,
+  0xa4, 0x69, 0x39, 0x11, 0x98, 0x83, 0x64, 0x66, 0x65, 0x30, 0x5c, 0x1a,
+  0xb2, 0x3a, 0xc4, 0xd5, 0x00, 0xf4, 0xa3, 0xa5, 0xb8, 0x53, 0x1c, 0x85,
+  0xb5, 0x70, 0x3c, 0xde, 0x05, 0x93, 0x91, 0xc5, 0x01, 0xf3, 0xd8, 0xd5,
+  0x2a, 0x57, 0xa9, 0x8b, 0xbe, 0xae, 0x68, 0x5e, 0x91, 0xfe, 0x2c, 0xd1,
+  0xe8, 0x58, 0xb5, 0x59, 0x36, 0x71, 0xf8, 0x92, 0x52, 0xb2, 0x86, 0xe7,
+  0x1b, 0xac, 0xdd, 0x5f, 0x69, 0xed, 0xfe, 0xba, 0x9c, 0xdf, 0xf6, 0xb5,
+  0x34, 0xa1, 0x02, 0x7a, 0x14, 0xed, 0x67, 0xef, 0x3b, 0x17, 0x83, 0x82,
+  0xc0, 0x60, 0x31, 0x74, 0x36, 0x6b, 0xf4, 0xc5, 0x01, 0xbc, 0x5c, 0xef,
+  0xb1, 0x02, 0x3f, 0xa1, 0xf0, 0xc0, 0x91, 0xa3, 0x34, 0xb9, 0x31, 0x87,
+  0x25, 0xb3, 0x8e, 0xd8, 0xb1, 0x62, 0x89, 0xda, 0x74, 0x67, 0xe0, 0xb1,
+  0x15, 0x1b, 0x90, 0xb5, 0x85, 0xa6, 0x9d, 0xdd, 0x58, 0x8d, 0x3b, 0x08,
+  0xb0, 0x1a, 0x5b, 0x42, 0xa2, 0x40, 0xca, 0xb6, 0x4d, 0xba, 0xe6, 0x5d,
+  0x05, 0x46, 0x09, 0x4e, 0x64, 0x04, 0x59, 0x26, 0xa5, 0xda, 0x35, 0x2b,
+  0x09, 0x81, 0x91, 0x21, 0x7f, 0x17, 0x1e, 0xef, 0xc7, 0x06, 0x18, 0xd5,
+  0x06, 0x27, 0x02, 0x3d, 0xcb, 0x06, 0xdd, 0x06, 0xe1, 0x8c, 0xa7, 0x99,
+  0x54, 0x3d, 0xba, 0x0f, 0xdd, 0x9a, 0xff, 0x89, 0xfb, 0x9e, 0x2f, 0x33,
+  0xa5, 0xc4, 0x7e, 0x4b, 0x84, 0x7c, 0x08, 0x99, 0x6a, 0x18, 0x6b, 0xc8,
+  0x3a, 0x82, 0x18, 0x71, 0xe6, 0x9b, 0x98, 0x07, 0x25, 0xbf, 0x55, 0xc5,
+  0x58, 0x5b, 0x6c, 0xa8, 0x1f, 0x54, 0xf3, 0x70, 0x9c, 0xfa, 0x88, 0xc8,
+  0x2a, 0x2b, 0x52, 0xd9, 0x16, 0x67, 0x14, 0x0c, 0xf5, 0xe6, 0x66, 0x84,
+  0xb8, 0x81, 0x1b, 0xb8, 0xe4, 0x78, 0x17, 0x7a, 0x65, 0xda, 0x67, 0x30,
+  0xdf, 0x5b, 0xf0, 0xf5, 0xa2, 0x2d, 0x6e, 0x4c, 0xd3, 0xa9, 0x82, 0x49,
+  0x06, 0x56, 0x4e, 0x15, 0xf3, 0x2d, 0x6c, 0xc7, 0xe0, 0x5d, 0x49, 0x2c,
+  0xb5, 0xd6, 0x3a, 0xcd, 0xa0, 0x91, 0x10, 0x69, 0x40, 0x4c, 0x67, 0x1e,
+  0xd0, 0xe9, 0x80, 0x68, 0xab, 0xf1, 0x08, 0xe7, 0x6d, 0x48, 0xe4, 0x7a,
+  0xd2, 0x52, 0xa7, 0x9b, 0x61, 0xb8, 0x69, 0x8b, 0x2c, 0xb0, 0xc1, 0x95,
+  0x03, 0x6c, 0x49, 0xcc, 0xd3, 0x3c, 0x4b, 0x59, 0xb7, 0x98, 0xdd, 0x67,
+  0x75, 0x5a, 0x5d, 0xb9, 0x80, 0x50, 0x17, 0x28, 0x2b, 0xbe, 0x10, 0x2d,
+  0x08, 0xe4, 0x47, 0x15, 0xe0, 0xf2, 0xaf, 0x9d, 0x2c, 0x2a, 0xd3, 0x58,
+  0xbc, 0x61, 0xb8, 0xc6, 0xcd, 0x70, 0xc3, 0x40, 0x14, 0x8d, 0x7c, 0x81,
+  0x37, 0xe2, 0x07, 0x80, 0x6c, 0x40, 0x00, 0x9a, 0x54, 0x2e, 0x51, 0xa7,
+  0x28, 0x9c, 0xf2, 0x62, 0xae, 0x95, 0xfc, 0x1e, 0x58, 0x69, 0xd7, 0x94,
+  0x81, 0x43, 0xf2, 0xe5, 0x4d, 0xfc, 0xf0, 0x30, 0x28, 0x12, 0xa9, 0x8b,
+  0x56, 0x14, 0x53, 0x24, 0x7a, 0x56, 0xeb, 0xbf, 0x71, 0x9a, 0x7f, 0xb2,
+  0x88, 0xa7, 0x88, 0x76, 0x64, 0x7e, 0xb4, 0xae, 0xce, 0x56, 0x35, 0x5a,
+  0x41, 0x2a, 0x00, 0x4a, 0xb9, 0xf4, 0x54, 0xea, 0xc3, 0x04, 0x72, 0x1c,
+  0x03, 0x43, 0x15, 0xc2, 0x8a, 0x38, 0x04, 0x2b, 0x4a, 0x27, 0x0d, 0xa7,
+  0x93, 0x86, 0x76, 0xb1, 0xfb, 0x87, 0x77, 0xce, 0x0d, 0x82, 0xb5, 0x8d,
+  0x91, 0xda, 0xa1, 0x11, 0x59, 0xc2, 0xad, 0x9b, 0x77, 0x8c, 0xd1, 0x06,
+  0x48, 0xdd, 0x9a, 0x2c, 0x1b, 0xda, 0x6e, 0xfd, 0x7d, 0x2b, 0xb2, 0x1b,
+  0xe4, 0x5e, 0x80, 0xf7, 0xf0, 0x13, 0x99, 0xbb, 0xd3, 0x01, 0xc9, 0x8b,
+  0xea, 0x8d, 0x8d, 0xcb, 0xe0, 0x4a, 0x50, 0x38, 0x64, 0x8a, 0x97, 0x87,
+  0xe7, 0xef, 0xbf, 0x39, 0x3e, 0x3e, 0x3f, 0x39, 0x22, 0xde, 0x2f, 0x32,
+  0xa5, 0xfb, 0xe8, 0xed, 0xe5, 0xb7, 0xa7, 0x06, 0xcc, 0x61, 0xeb, 0xd3,
+  0xe0, 0xd6, 0x6c, 0xf8, 0x45, 0x73, 0xa7, 0xe9, 0x7c, 0xf9, 0xd0, 0x43,
+  0x79, 0x29, 0x52, 0x34, 0x0e, 0x4e, 0xbe, 0xef, 0x45, 0x5f, 0x9f, 0xf7,
+  0xdf, 0x7d, 0xdf, 0x48, 0x9e, 0xaa, 0x04, 0xe5, 0xd5, 0xcf, 0xb9, 0x0b,
+  0xd1, 0x03, 0x62, 0x98, 0x9f, 0xbb, 0x91, 0x58, 0x0b, 0xb8, 0xf2, 0xc7,
+  0x5d, 0xf6, 0x55, 0xdb, 0x7d, 0x78, 0xdb, 0x3b, 0xe3, 0x92, 0xec, 0x7d,
+  0xcb, 0x6d, 0x17, 0xcf, 0x38, 0xd1, 0x68, 0x10, 0x12, 0xd6, 0x2a, 0x7a,
+  0x49, 0xff, 0xb4, 0x65, 0x6b, 0x6e, 0x73, 0x91, 0xfa, 0xe8, 0x3c, 0x80,
+  0xae, 0x70, 0x0e, 0xac, 0x81, 0xc5, 0x2d, 0xa9, 0x25, 0x41, 0xd3, 0x8f,
+  0xd4, 0x49, 0x98, 0x37, 0xc0, 0x29, 0x5d, 0x0b, 0xbe, 0xa8, 0x2f, 0xcc,
+  0x7b, 0x49, 0xbb, 0xf3, 0xf1, 0x57, 0x4c, 0x53, 0xa5, 0x4e, 0x3f, 0x08,
+  0x88, 0xd0, 0x98, 0x22, 0x3f, 0x3a, 0x70, 0x80, 0x30, 0x2a, 0xb3, 0x70,
+  0x23, 0x98, 0x9f, 0xa2, 0x6e, 0xb4, 0xe0, 0xb0, 0x0b, 0x60, 0x82, 0x43,
+  0xf6, 0x40, 0x83, 0x34, 0xfa, 0x01, 0xa3, 0x23, 0xf4, 0x04, 0x27, 0x21,
+  0xc4, 0x48, 0x70, 0x38, 0x40, 0x5a, 0x9d, 0xac, 0x6c, 0x35, 0x5e, 0x01,
+  0xc8, 0xe4, 0xdf, 0x87, 0x8d, 0x70, 0x9b, 0x8f, 0xa2, 0x97, 0x08, 0xf8,
+  0x6b, 0x0f, 0xa4, 0xd6, 0xba, 0xb1, 0xdf, 0x24, 0xf9, 0x28, 0xc9, 0xb3,
+  0xa2, 0x9e, 0x43, 0xa7, 0x39, 0xf7, 0x5a, 0x9f, 0x93, 0x9b, 0x51, 0x68,
+  0xff, 0x86, 0xe1, 0x15, 0x42, 0x78, 0x22, 0x1e, 0xec, 0x46, 0xb6, 0x50,
+  0x17, 0xb1, 0x73, 0xdd, 0x5e, 0xd4, 0xe5, 0x4c, 0x41, 0xfe, 0x49, 0xac,
+  0xeb, 0x0a, 0xbe, 0x91, 0x34, 0x9e, 0x76, 0x7b, 0x4d, 0x78, 0xc4, 0xae,
+  0xae, 0x7a, 0x97, 0x36, 0x4e, 0x5a, 0xb3, 0x42, 0xaa, 0xb1, 0x8e, 0x43,
+  0x10, 0x5d, 0xd2, 0x42, 0x41, 0x17, 0x43, 0x0b, 0x5d, 0xd1, 0xc0, 0xb2,
+  0x72, 0xcd, 0x55, 0x53, 0xb5, 0xd6, 0xd5, 0x66, 0xa9, 0x72, 0x5e, 0x0d,
+  0x8d, 0x84, 0xb6, 0x6f, 0xe9, 0xec, 0x92, 0xf0, 0x0e, 0xed, 0xf9, 0x56,
+  0xd7, 0xee, 0x29, 0xcb, 0xaa, 0x5f, 0x0d, 0x87, 0x07, 0xe7, 0x27, 0xf5,
+  0xa5, 0xa6, 0x4f, 0xfb, 0x6f, 0xad, 0x46, 0xfc, 0x96, 0x51, 0x8a, 0xd7,
+  0x4d, 0x79, 0x06, 0xc8, 0x3c, 0x62, 0xe9, 0x9a, 0x43, 0x45, 0x04, 0x8a,
+  0xea, 0x5b, 0xba, 0xcc, 0xd6, 0x44, 0x38, 0x2a, 0xf8, 0x90, 0x9a, 0x38,
+  0xf3, 0xa8, 0x52, 0x7b, 0x92, 0x04, 0xc9, 0xdf, 0x90, 0xa6, 0xbe, 0x91,
+  0x7a, 0x66, 0x57, 0xe9, 0x35, 0x07, 0xe9, 0xe3, 0x67, 0x1b, 0x0e, 0x93,
+  0x03, 0x60, 0xd2, 0x12, 0xb0, 0xfe, 0x49, 0x2f, 0x31, 0x03, 0xf3, 0x4c,
+  0x73, 0xcc, 0x44, 0x70, 0x1e, 0x58, 0x4d, 0x89, 0x06, 0x4a, 0x94, 0xbd,
+  0x9c, 0x06, 0x21, 0x13, 0xd3, 0xc4, 0x47, 0xe4, 0x98, 0x62, 0x82, 0xbb,
+  0xdc, 0x37, 0x0a, 0x0d, 0xb1, 0x49, 0xae, 0x56, 0x07, 0x4f, 0x5f, 0x16,
+  0x3b, 0x7a, 0x38, 0x61, 0x15, 0x99, 0xc5, 0xd6, 0xc5, 0x4e, 0x7f, 0x7b,
+  0x23, 0x6b, 0x03, 0x1b, 0x20, 0x19, 0x90, 0xe1, 0x9a, 0xc3, 0x31, 0x0c,
+  0xa2, 0xb3, 0x45, 0x20, 0x7d, 0xdd, 0x24, 0x69, 0xee, 0x1d, 0xa2, 0x3e,
+  0x9f, 0x1d, 0x5c, 0xa1, 0x39, 0x59, 0x66, 0x3c, 0x59, 0xb5, 0x20, 0x8f,
+  0xae, 0xa0, 0x4c, 0x5b, 0xca, 0xa7, 0x18, 0xdf, 0x85, 0xe7, 0x8c, 0x66,
+  0x52, 0x26, 0xc5, 0x82, 0xf4, 0xd0, 0x46, 0xf5, 0x4f, 0x31, 0x70, 0x02,
+  0xf9, 0x80, 0x61, 0xa5, 0x0b, 0x04, 0xe1, 0x44, 0xc0, 0xe2, 0x5f, 0x55,
+  0xdc, 0x2e, 0xf0, 0x78, 0xd2, 0x29, 0xda, 0x54, 0xfc, 0xc2, 0xd6, 0x02,
+  0x85, 0xe2, 0x33, 0xe0, 0xc3, 0x1e, 0xa0, 0xfa, 0x5b, 0x79, 0x39, 0xdf,
+  0xbe, 0x87, 0xe1, 0xf1, 0x7e, 0xe0, 0xb4, 0x25, 0x6b, 0xda, 0x41, 0xa6,
+  0x04, 0x13, 0x70, 0xb0, 0x5d, 0xce, 0x81, 0x6c, 0x6c, 0x07, 0x40, 0xe8,
+  0xa2, 0x4e, 0x28, 0xf6, 0x43, 0x03, 0x0b, 0x2a, 0x03, 0xc8, 0xca, 0x77,
+  0x02, 0x0c, 0x31, 0xc9, 0x96, 0xcc, 0xe0, 0xe4, 0xd3, 0xba, 0x03, 0x27,
+  0x91, 0xd2, 0x8e, 0x05, 0x3b, 0x85, 0xd8, 0x8b, 0xd3, 0x52, 0x7c, 0xc2,
+  0x41, 0x33, 0xec, 0x47, 0x7f, 0xf9, 0x4b, 0x2f, 0xfa, 0x4b, 0x87, 0xfe,
+  0x2b, 0xe9, 0x3f, 0x5a, 0xcf, 0xbf, 0x48, 0x2d, 0x83, 0xbf, 0xdc, 0xd1,
+  0xfd, 0x19, 0x71, 0x49, 0xc2, 0x62, 0xca, 0x20, 0x02, 0x1e, 0xa7, 0xbe,
+  0x05, 0x5a, 0x43, 0x42, 0x0c, 0xb5, 0x3e, 0x07, 0x1f, 0x7e, 0x58, 0xb0,
+  0x26, 0x6e, 0xa9, 0x24, 0xb5, 0x86, 0x36, 0x6c, 0x39, 0x9b, 0x4b, 0x38,
+  0x8a, 0x6e, 0x3b, 0xc8, 0xba, 0xa1, 0x45, 0xc6, 0x51, 0xf7, 0x13, 0xf3,
+  0x9a, 0x97, 0x96, 0xda, 0x1a, 0x06, 0x69, 0xe2, 0x35, 0xa3, 0xeb, 0x52,
+  0xeb, 0x40, 0x4a, 0x9c, 0x52, 0x5b, 0xbc, 0xa6, 0xa8, 0xe1, 0x67, 0x73,
+  0xd8, 0xea, 0x01, 0x11, 0xaa, 0x8c, 0x55, 0x59, 0x21, 0x5b, 0xa5, 0x17,
+  0x37, 0x2b, 0xe8, 0x9a, 0x3a, 0x24, 0x57, 0xcb, 0x99, 0x46, 0xd9, 0x52,
+  0x56, 0xa4, 0x29, 0x7c, 0x5b, 0xe1, 0x52, 0x55, 0xd7, 0xad, 0x42, 0x66,
+  0xc8, 0x57, 0x68, 0x80, 0xdd, 0x7e, 0xb7, 0x8a, 0x8d, 0x68, 0x61, 0x3c,
+  0x6d, 0x75, 0x6e, 0x82, 0xa2, 0x34, 0x8d, 0xda, 0x98, 0xb0, 0x95, 0x2a,
+  0xfc, 0x97, 0x80, 0xec, 0x0b, 0xd0, 0x46, 0xe6, 0xbd, 0x49, 0xf0, 0x12,
+  0x56, 0x26, 0xa2, 0x7a, 0x3b, 0xb1, 0xd6, 0x46, 0x2d, 0x12, 0x05, 0x7e,
+  0xd3, 0x77, 0xd3, 0x32, 0x50, 0x84, 0xfa, 0x7d, 0xa9, 0x9c, 0xa9, 0x78,
+  0xd0, 0x90, 0x5a, 0x71, 0x39, 0xb1, 0xc6, 0x53, 0xa4, 0xb3, 0x45, 0xc3,
+  0xf2, 0xc8, 0x6b, 0xec, 0x85, 0x5e, 0x1e, 0x06, 0x70, 0xf0, 0xb9, 0x9a,
+  0xce, 0xfd, 0x5c, 0xd9, 0xc8, 0x30, 0x03, 0x8a, 0x80, 0x18, 0xa7, 0x00,
+  0x2a, 0xe3, 0xe3, 0x76, 0x5a, 0xbc, 0xf6, 0x0d, 0x33, 0x15, 0x8f, 0xe9,
+  0x55, 0xd4, 0x59, 0xab, 0xa5, 0x74, 0xea, 0x2f, 0x9c, 0x32, 0xec, 0x8b,
+  0xee, 0xb8, 0x60, 0xfd, 0x8d, 0x61, 0x94, 0x13, 0x7c, 0xb6, 0x29, 0x10,
+  0x49, 0xb4, 0x76, 0xa1, 0x4b, 0x8a, 0x0c, 0x99, 0xd3, 0x1a, 0x5f, 0x8c,
+  0x38, 0xb1, 0x04, 0x3a, 0x52, 0x4f, 0x25, 0x57, 0x42, 0x5d, 0x07, 0x7b,
+  0x6a, 0x36, 0x16, 0xce, 0xe1, 0xbf, 0x55, 0xf4, 0x37, 0xb5, 0x41, 0x6c,
+  0x9a, 0xb6, 0xf7, 0x37, 0xbb, 0xc7, 0xb6, 0xd4, 0x4a, 0x2e, 0x79, 0xa9,
+  0x6b, 0xa0, 0x5b, 0xc2, 0x2b, 0xc8, 0x81, 0x09, 0xa5, 0x90, 0xea, 0xe9,
+  0xbd, 0xe5, 0x7c, 0xe2, 0xc2, 0x04, 0x0d, 0xeb, 0x65, 0x2d, 0x55, 0x43,
+  0xd1, 0xe1, 0x1e, 0x15, 0x74, 0x4e, 0x89, 0xc7, 0x73, 0x16, 0xf8, 0x1c,
+  0x0a, 0x27, 0x20, 0x67, 0x39, 0x29, 0xb1, 0x8d, 0x9d, 0xd9, 0xdd, 0x72,
+  0x71, 0xa0, 0xa8, 0xeb, 0x27, 0x85, 0x1e, 0x55, 0x0d, 0xeb, 0xdc, 0x64,
+  0x02, 0xf7, 0xd3, 0xd9, 0x67, 0xcd, 0x4a, 0x19, 0x83, 0x9f, 0x65, 0xf3,
+  0x28, 0x00, 0x4c, 0xe9, 0xeb, 0xb3, 0x37, 0xc7, 0x2e, 0xe3, 0x55, 0x4c,
+  0x7d, 0xfc, 0x49, 0x2b, 0xc4, 0xe3, 0x00, 0xf9, 0x04, 0x86, 0x00, 0xd1,
+  0x6b, 0xd6, 0xe8, 0x94, 0x25, 0xba, 0x4e, 0xca, 0xc5, 0xfd, 0x32, 0x9d,
+  0x6c, 0x02, 0xa4, 0xe3, 0xdd, 0xdb, 0x93, 0xef, 0xfb, 0x62, 0x29, 0x16,
+  0x45, 0xce, 0x70, 0x2a, 0x0c, 0xe5, 0x42, 0xbc, 0x09, 0xb3, 0x16, 0x4c,
+  0x16, 0xa5, 0x1a, 0x1c, 0x33, 0x45, 0x25, 0x42, 0xae, 0x5f, 0x3a, 0x17,
+  0x21, 0x46, 0x1a, 0xa4, 0x7b, 0xe3, 0x6c, 0x4e, 0xec, 0x1b, 0x58, 0x4b,
+  0x02, 0xa0, 0xd1, 0x92, 0xbd, 0x5b, 0x5d, 0x89, 0xe8, 0xe0, 0xfc, 0xfc,
+  0xe8, 0xe0, 0xf2, 0xc0, 0xcd, 0x0d, 0xe0, 0x46, 0xe0, 0x73, 0x10, 0x67,
+  0x58, 0xb1, 0xd7, 0x4a, 0x49, 0xdd, 0xdf, 0x73, 0x86, 0x60, 0x9d, 0xf3,
+  0x9d, 0x5f, 0x9c, 0xb1, 0x99, 0xf1, 0xf7, 0x7f, 0x39, 0xf0, 0x15, 0xe2,
+  0x50, 0x0a, 0xa9, 0x59, 0xa8, 0x6b, 0x6f, 0x8b, 0xc7, 0x77, 0xef, 0xc6,
+  0xa7, 0x71, 0x42, 0x22, 0xc7, 0x45, 0xef, 0x79, 0x43, 0xf3, 0xb1, 0x13,
+  0x4e, 0x6c, 0x35, 0xb0, 0x00, 0xbd, 0x96, 0xdc, 0xb2, 0x60, 0x22, 0x99,
+  0xe7, 0xa7, 0x86, 0xf5, 0x64, 0x8b, 0x35, 0x8d, 0x92, 0x87, 0x64, 0xbc,
+  0x2c, 0xc1, 0xbb, 0xd8, 0x9b, 0xc1, 0xf4, 0x35, 0xe1, 0x95, 0xaa, 0x3b,
+  0xea, 0xeb, 0xdb, 0xe3, 0x61, 0x13, 0x85, 0x03, 0x49, 0x4a, 0x67, 0x26,
+  0x55, 0x31, 0x06, 0x3a, 0x5a, 0x5f, 0x17, 0xa3, 0x71, 0x76, 0x04, 0x48,
+  0x91, 0xe8, 0xdc, 0xe8, 0xb1, 0xb1, 0x20, 0x9f, 0x10, 0xe3, 0xeb, 0x5b,
+  0x88, 0xa9, 0x4c, 0x9c, 0x3e, 0x68, 0x3c, 0x54, 0xba, 0x1a, 0x0f, 0x2c,
+  0x26, 0x35, 0xbd, 0x9f, 0xca, 0xa7, 0x42, 0x06, 0x55, 0x37, 0xf5, 0x28,
+  0x64, 0x8c, 0x3e, 0x05, 0xa8, 0x62, 0x44, 0x21, 0x36, 0xfd, 0x39, 0xe6,
+  0x58, 0xa4, 0x47, 0x49, 0x2a, 0x26, 0x11, 0x97, 0xff, 0xda, 0xde, 0x1d,
+  0xec, 0x74, 0x9a, 0xa3, 0x47, 0xe2, 0x19, 0x2c, 0xe3, 0xf1, 0x5c, 0xee,
+  0x67, 0x01, 0xe6, 0xcd, 0x3e, 0x3c, 0x40, 0xe1, 0xa0, 0x24, 0xf3, 0x21,
+  0x6e, 0xa1, 0x6d, 0x2c, 0xfd, 0xb3, 0x86, 0x77, 0x48, 0x3c, 0x9c, 0x9e,
+  0x25, 0xcf, 0x33, 0x84, 0x95, 0xc6, 0x6c, 0x2c, 0x83, 0x9f, 0xa0, 0xd3,
+  0xbe, 0xc0, 0xf3, 0x89, 0x44, 0x3b, 0xd4, 0xd6, 0xf9, 0x51, 0xdd, 0x65,
+  0x7d, 0x98, 0xa0, 0xa3, 0x01, 0xf7, 0xf1, 0x5a, 0x6e, 0x57, 0x71, 0x8b,
+  0x5a, 0xa1, 0xfb, 0x56, 0xf0, 0xd5, 0x03, 0xc1, 0x3f, 0x0e, 0x35, 0x0d,
+  0xce, 0x83, 0xe3, 0xea, 0x81, 0x1c, 0x55, 0xc5, 0x9a, 0x93, 0xe6, 0x6f,
+  0xce, 0x2a, 0x65, 0x00, 0xf1, 0x7b, 0xf3, 0xb6, 0xad, 0x94, 0x8d, 0x8e,
+  0xb4, 0xe7, 0xbe, 0x5c, 0xb8, 0x6a, 0xa9, 0x43, 0x15, 0x96, 0xa0, 0x44,
+  0xb6, 0xf3, 0x02, 0xac, 0x81, 0x07, 0x31, 0x29, 0x95, 0xd4, 0xc1, 0xa9,
+  0xc0, 0xa9, 0x48, 0x40, 0xad, 0x68, 0x51, 0x32, 0x2c, 0xf1, 0xb8, 0x7b,
+  0x2f, 0x14, 0xbf, 0xf7, 0xbb, 0xb6, 0xa2, 0xdb, 0xfb, 0x8a, 0xcf, 0x92,
+  0x25, 0xa2, 0xc3, 0x89, 0xdf, 0x9e, 0x43, 0x22, 0x34, 0x51, 0xa9, 0xff,
+  0xda, 0x99, 0xd5, 0xcc, 0xee, 0xc6, 0x3a, 0x2a, 0x2d, 0x79, 0x13, 0x24,
+  0x54, 0x80, 0x2c, 0xd8, 0xb2, 0x8b, 0xd2, 0x60, 0x3d, 0x36, 0x71, 0x09,
+  0x3b, 0xc8, 0x18, 0x62, 0x21, 0x36, 0xe8, 0x3b, 0x3d, 0x04, 0xd4, 0xd7,
+  0x35, 0x49, 0xc7, 0x6b, 0x42, 0xaa, 0x0d, 0x64, 0xc4, 0xd7, 0xd7, 0x65,
+  0xef, 0x40, 0x61, 0x99, 0xb5, 0xef, 0x81, 0x9f, 0x35, 0x99, 0x6c, 0x3e,
+  0xd9, 0x12, 0x23, 0x86, 0xab, 0x9c, 0x0d, 0xc7, 0xdd, 0xbf, 0xa8, 0x3c,
+  0xaa, 0x70, 0xe0, 0x4b, 0x10, 0xb6, 0x6d, 0xab, 0x8b, 0x2c, 0x7b, 0x2c,
+  0xcf, 0x66, 0x4a, 0x92, 0x4e, 0xd9, 0x87, 0x69, 0xe9, 0x25, 0x89, 0x5c,
+  0xc9, 0x64, 0xad, 0x96, 0x29, 0xd0, 0x0c, 0xf1, 0x43, 0x3a, 0x5b, 0xce,
+  0xbc, 0xe7, 0x99, 0x71, 0x79, 0xcb, 0xa4, 0x59, 0xe1, 0x50, 0x6d, 0x1a,
+  0x0d, 0x79, 0x5a, 0xfd, 0x5e, 0x3a, 0x43, 0x20, 0x13, 0x4b, 0x0c, 0x11,
+  0xbc, 0x2a, 0xac, 0xfe, 0xd3, 0x78, 0x38, 0x8b, 0x3f, 0x5d, 0x88, 0x0c,
+  0xc1, 0x71, 0x2b, 0x13, 0x71, 0x9c, 0x32, 0x05, 0xd5, 0x37, 0xd5, 0x86,
+  0x81, 0x0a, 0x06, 0xe2, 0x94, 0x90, 0x60, 0xa0, 0x79, 0xc9, 0xa9, 0x72,
+  0x23, 0x6a, 0xe2, 0x3e, 0x9d, 0x94, 0x37, 0xed, 0x78, 0x83, 0xb2, 0x8e,
+  0x98, 0x77, 0x24, 0x08, 0x25, 0x1c, 0x5e, 0x82, 0xa5, 0x82, 0xcf, 0x78,
+  0x5b, 0x0c, 0xc7, 0x2e, 0xdb, 0x3e, 0x26, 0xba, 0xbb, 0xe2, 0xf4, 0x88,
+  0xa6, 0x9e, 0xa0, 0x61, 0x71, 0x03, 0x3b, 0xa2, 0x08, 0xbc, 0xbd, 0xed,
+  0xf2, 0x2d, 0xd9, 0xfd, 0x46, 0xad, 0x22, 0x02, 0x5b, 0x84, 0x60, 0x6a,
+  0xad, 0x0e, 0xce, 0x11, 0x31, 0xb7, 0xe9, 0xb4, 0x59, 0x20, 0x71, 0x05,
+  0x65, 0x2a, 0xea, 0xce, 0x24, 0x8c, 0xf5, 0x4d, 0x57, 0x0d, 0xf8, 0x28,
+  0x84, 0xac, 0x1e, 0xed, 0x9e, 0xa4, 0x3e, 0x44, 0xdd, 0x6b, 0xe9, 0xe6,
+  0x2b, 0xff, 0x50, 0xad, 0x39, 0xef, 0x04, 0xb7, 0x5b, 0xa4, 0xd8, 0x8f,
+  0xf6, 0x76, 0x76, 0xbe, 0xe9, 0x45, 0x4f, 0xa4, 0x74, 0xec, 0xee, 0x57,
+  0xad, 0x2b, 0x24, 0x0b, 0x84, 0x2d, 0x56, 0xfd, 0x33, 0xbe, 0x03, 0xaf,
+  0xd7, 0x45, 0xc3, 0x8c, 0x58, 0x53, 0x9c, 0x2c, 0x03, 0xdb, 0xb2, 0x2c,
+  0xfe, 0x9a, 0xad, 0x82, 0x19, 0xbb, 0x0e, 0x85, 0x30, 0x43, 0xdc, 0x10,
+  0xef, 0xde, 0x0d, 0xfd, 0xc6, 0xde, 0x7b, 0xdb, 0x58, 0xf4, 0xd3, 0x92,
+  0xcf, 0x5e, 0xdc, 0xf0, 0xf1, 0x1f, 0x2d, 0x73, 0x9c, 0x64, 0x76, 0x84,
+  0x4a, 0x39, 0x22, 0xb6, 0xad, 0x43, 0x67, 0x90, 0x5a, 0xd2, 0xbe, 0x74,
+  0x6a, 0x59, 0x99, 0xce, 0xa0, 0xbd, 0xde, 0x23, 0xe2, 0x67, 0x5c, 0x41,
+  0xd8, 0x1f, 0x48, 0x61, 0x42, 0xff, 0x72, 0x4c, 0xbc, 0xe2, 0x21, 0xda,
+  0x4e, 0xe8, 0x61, 0xac, 0x4f, 0x96, 0xb5, 0x2a, 0xd1, 0x53, 0x61, 0x60,
+  0x86, 0x29, 0x1c, 0x73, 0x64, 0xfc, 0xb4, 0x85, 0x96, 0xe9, 0xe1, 0x81,
+  0x48, 0xd3, 0xe0, 0xb7, 0x53, 0x7e, 0x60, 0xba, 0xea, 0x35, 0xd5, 0x0e,
+  0x0e, 0x0b, 0x84, 0x3f, 0xc0, 0x14, 0xa1, 0x70, 0x54, 0x9c, 0x3e, 0x3b,
+  0x46, 0x89, 0x1a, 0x8e, 0xec, 0xfa, 0xed, 0xcc, 0x52, 0x53, 0xc6, 0xe3,
+  0x4f, 0x8b, 0xb2, 0xcf, 0xee, 0xdd, 0xf5, 0xa8, 0x5d, 0x9a, 0x53, 0x6e,
+  0xe8, 0x5d, 0x13, 0x8f, 0x86, 0x29, 0x96, 0x6c, 0x29, 0xbd, 0x81, 0x28,
+  0x4a, 0x68, 0xc9, 0xcc, 0xbe, 0xfa, 0x8d, 0x40, 0x3f, 0xd6, 0x8f, 0xef,
+  0xd2, 0xe4, 0x9e, 0xd3, 0xb2, 0x8f, 0x3d, 0x28, 0x59, 0x95, 0x67, 0x58,
+  0xf5, 0x8b, 0x59, 0x3c, 0xbe, 0xa1, 0x0b, 0xa5, 0x8f, 0xb8, 0xeb, 0x16,
+  0x19, 0x2b, 0xac, 0xa0, 0x5a, 0x1f, 0x16, 0x83, 0xe1, 0xb8, 0x34, 0x2c,
+  0xc3, 0xa5, 0x0b, 0x90, 0x14, 0x79, 0x10, 0x6b, 0x40, 0xb0, 0xc4, 0x58,
+  0xea, 0x70, 0xae, 0xa0, 0x39, 0x66, 0xb9, 0x41, 0xc9, 0x7e, 0x48, 0x6c,
+  0x90, 0x2c, 0x35, 0x43, 0xe3, 0x7a, 0x7b, 0x3a, 0xf4, 0x18, 0x01, 0xa5,
+  0x56, 0x52, 0x80, 0xad, 0x60, 0xc8, 0x52, 0xe1, 0xeb, 0x35, 0x55, 0xa5,
+  0x0b, 0x01, 0xcc, 0x97, 0xf8, 0x20, 0x44, 0xbf, 0x88, 0x78, 0x9b, 0xe6,
+  0x15, 0xac, 0x07, 0x6e, 0xfd, 0xcf, 0x1a, 0xa0, 0x3d, 0x91, 0x2a, 0x3a,
+  0xed, 0x91, 0x2a, 0x9c, 0x51, 0x17, 0x16, 0x42, 0x87, 0xb1, 0x19, 0x49,
+  0x5e, 0x44, 0x62, 0x74, 0x69, 0xdf, 0x56, 0x25, 0x15, 0xce, 0xd1, 0x10,
+  0x64, 0x98, 0x97, 0xc4, 0xd1, 0x3e, 0xff, 0xb1, 0x4f, 0xff, 0xfe, 0xd4,
+  0xf0, 0x05, 0x96, 0x82, 0x27, 0xa3, 0x26, 0x2d, 0x0b, 0x2b, 0xcd, 0x3d,
+  0x3c, 0xbe, 0x54, 0xa6, 0x47, 0x3b, 0xf2, 0x6d, 0x11, 0x14, 0x16, 0x68,
+  0x0d, 0x91, 0x30, 0xb7, 0xdc, 0x66, 0xc1, 0x50, 0x40, 0x01, 0x00, 0xb9,
+  0x44, 0x0d, 0x59, 0x2b, 0xb0, 0x0b, 0xcc, 0xe5, 0xc6, 0x91, 0xd2, 0x1d,
+  0x75, 0xd5, 0x95, 0x5d, 0xed, 0xe3, 0xc4, 0xfb, 0x25, 0x7d, 0x7d, 0xc7,
+  0x11, 0x03, 0xc4, 0x14, 0x2b, 0x86, 0x7a, 0x12, 0x71, 0xae, 0xc8, 0x5c,
+  0x42, 0x0b, 0x28, 0x19, 0xc3, 0x6f, 0x3a, 0x72, 0x19, 0x8d, 0x48, 0xa2,
+  0x33, 0x48, 0xc0, 0xa5, 0xce, 0xf3, 0x3c, 0xbb, 0xb7, 0xb3, 0xaf, 0x61,
+  0xc9, 0x81, 0xcc, 0xe0, 0x1d, 0x8c, 0xd4, 0xf6, 0x72, 0xd1, 0xe2, 0x79,
+  0xe5, 0x54, 0x85, 0x06, 0x90, 0x48, 0x98, 0x89, 0x19, 0xd6, 0xc9, 0x68,
+  0x0d, 0x4f, 0x01, 0x92, 0xfc, 0x96, 0x47, 0x51, 0x75, 0xa5, 0x4d, 0xc4,
+  0x96, 0xed, 0xd2, 0x2b, 0x34, 0x74, 0x1b, 0x18, 0x3a, 0x1c, 0x8b, 0xdc,
+  0x28, 0x3d, 0x2e, 0xa9, 0xd5, 0xc0, 0x5d, 0xb0, 0xb8, 0xeb, 0x32, 0x72,
+  0x25, 0x3a, 0x36, 0xd9, 0x93, 0x39, 0x86, 0xfd, 0x4b, 0x03, 0xc2, 0xeb,
+  0x65, 0x32, 0xda, 0x70, 0x09, 0x88, 0x03, 0x3c, 0xf9, 0xfe, 0xfb, 0x00,
+  0x9a, 0x84, 0xe5, 0xcd, 0xad, 0x5e, 0x85, 0x69, 0xd5, 0x2a, 0x46, 0x12,
+  0x15, 0x65, 0x2d, 0xa7, 0xdc, 0xc2, 0xec, 0x35, 0x14, 0x95, 0x23, 0x31,
+  0xa0, 0xc4, 0x0d, 0x5c, 0x08, 0xbc, 0x15, 0xb8, 0xd6, 0xe0, 0xf7, 0x20,
+  0x0c, 0xac, 0xa5, 0x7e, 0x94, 0x0b, 0xf9, 0xe9, 0xf9, 0xd8, 0x5b, 0x89,
+  0x3c, 0x41, 0x78, 0x5a, 0xb8, 0x54, 0x85, 0xa3, 0x18, 0xba, 0x95, 0xee,
+  0xe7, 0x83, 0xb6, 0xca, 0x26, 0x4d, 0xec, 0x44, 0xc9, 0x62, 0xc0, 0x8c,
+  0x70, 0x7e, 0xa5, 0x1a, 0x0f, 0x9b, 0xa6, 0xc6, 0x79, 0xa2, 0x9e, 0x9b,
+  0xc2, 0x95, 0x96, 0x6f, 0x9c, 0x57, 0xb1, 0xf3, 0x20, 0xd2, 0x4a, 0xc0,
+  0xc2, 0x39, 0x5c, 0x57, 0xce, 0x2e, 0xae, 0x1f, 0x1f, 0xcf, 0x10, 0xee,
+  0x16, 0x3f, 0xde, 0x6b, 0x0a, 0x08, 0xf7, 0x28, 0x3f, 0x12, 0x98, 0xee,
+  0x10, 0x72, 0xa5, 0x99, 0x49, 0x82, 0x79, 0xf3, 0xa7, 0x6a, 0x91, 0x3d,
+  0xcd, 0x9b, 0x13, 0xd2, 0x6b, 0xab, 0x24, 0xd8, 0x2f, 0xf3, 0x25, 0x56,
+  0x88, 0x37, 0x84, 0x41, 0xdc, 0x58, 0x32, 0xb6, 0x74, 0x32, 0x76, 0xf2,
+  0x59, 0x74, 0x99, 0xdc, 0x62, 0xde, 0xdd, 0xda, 0x0c, 0x02, 0xb1, 0x79,
+  0x59, 0xda, 0x3a, 0xa7, 0xa9, 0x57, 0x02, 0x24, 0xfa, 0x7d, 0x12, 0x4c,
+  0xfb, 0x78, 0xac, 0x68, 0x54, 0x76, 0x68, 0xd8, 0xbc, 0xa4, 0x85, 0x22,
+  0x5c, 0x30, 0xd3, 0x21, 0x8c, 0x86, 0xd4, 0x65, 0x14, 0x33, 0x05, 0xb1,
+  0x09, 0xee, 0xab, 0xe3, 0xcb, 0xfa, 0xd1, 0x02, 0x74, 0x84, 0xaa, 0x8a,
+  0xc8, 0x9f, 0xa0, 0xbf, 0xcf, 0xdf, 0x5d, 0x6e, 0x79, 0x73, 0xc0, 0x24,
+  0xab, 0xd9, 0xac, 0xac, 0xf5, 0x96, 0x4c, 0x14, 0xc9, 0x51, 0x50, 0x50,
+  0x06, 0x24, 0x9a, 0xb8, 0x03, 0xc1, 0x28, 0x0a, 0x4f, 0x76, 0x76, 0x49,
+  0x54, 0xdb, 0xd9, 0x83, 0xd5, 0xe5, 0xc9, 0xce, 0x13, 0x67, 0xce, 0xb6,
+  0xa7, 0x1a, 0x37, 0x1e, 0xd3, 0x34, 0xf0, 0x17, 0x50, 0xcc, 0x56, 0xb4,
+  0xee, 0xe8, 0xc9, 0xc3, 0x03, 0xbe, 0xea, 0x55, 0xb1, 0x7a, 0x8a, 0x44,
+  0xa7, 0xef, 0x86, 0xba, 0xe6, 0x68, 0xf9, 0x15, 0x87, 0xf9, 0x64, 0x39,
+  0x97, 0xd8, 0x2f, 0x56, 0x7d, 0x91, 0xf1, 0x50, 0xbf, 0x1c, 0x42, 0x3a,
+  0x78, 0x8c, 0x35, 0x9d, 0xb2, 0x78, 0x5f, 0x61, 0x64, 0x3d, 0x8f, 0x4c,
+  0x22, 0x70, 0xbf, 0xa6, 0xdd, 0x59, 0x2a, 0x62, 0xad, 0xb9, 0x3f, 0x05,
+  0x28, 0x9f, 0x52, 0x20, 0x05, 0xa4, 0x1e, 0x70, 0x37, 0x54, 0xbc, 0xe2,
+  0xa4, 0x31, 0x7f, 0x4a, 0x32, 0x75, 0x10, 0x36, 0xf3, 0x20, 0xb2, 0x1c,
+  0x8f, 0x4a, 0xd2, 0x7f, 0x99, 0x67, 0x93, 0xe5, 0x18, 0x77, 0x3d, 0x87,
+  0xbd, 0x70, 0x21, 0xbf, 0x91, 0xa0, 0x3e, 0x1a, 0x88, 0x06, 0x37, 0xed,
+  0x89, 0xb4, 0xa9, 0x66, 0x2b, 0x6c, 0x3a, 0x9e, 0x73, 0x69, 0xbb, 0xac,
+  0xd9, 0xb0, 0xd1, 0xc8, 0x65, 0x0b, 0xd7, 0x59, 0xc4, 0xfc, 0x2a, 0x53,
+  0xd3, 0x5f, 0x13, 0xa4, 0x17, 0x74, 0x09, 0x27, 0x9d, 0x99, 0xd5, 0x63,
+  0x29, 0x46, 0x07, 0xda, 0xf9, 0x92, 0x83, 0xd5, 0x6a, 0xed, 0x55, 0x60,
+  0x58, 0x67, 0x0c, 0x2a, 0x9b, 0x8f, 0xe9, 0x78, 0xbf, 0xd4, 0xa8, 0xcd,
+  0xa6, 0xab, 0x1f, 0xa0, 0x23, 0x43, 0x67, 0xc2, 0x57, 0xac, 0x48, 0x0f,
+  0x3a, 0xa5, 0xeb, 0x2a, 0x32, 0xf5, 0x4c, 0xe0, 0x87, 0x35, 0x69, 0xa6,
+  0x99, 0xb8, 0x05, 0x64, 0x55, 0xbf, 0xe2, 0x1f, 0xcc, 0xb1, 0x0c, 0x5d,
+  0x00, 0x2d, 0x68, 0x91, 0xb4, 0xd0, 0xe9, 0x82, 0x41, 0xbe, 0x9a, 0xb6,
+  0xed, 0xf5, 0x18, 0x25, 0x3a, 0x6d, 0x30, 0xf1, 0x7f, 0xe7, 0xb4, 0xe1,
+  0x76, 0xfd, 0x65, 0xc3, 0x7c, 0x40, 0x91, 0x1a, 0xc4, 0x59, 0xbe, 0x84,
+  0xe2, 0xf6, 0x91, 0x6a, 0x39, 0xde, 0xd8, 0x34, 0xf5, 0x75, 0xcb, 0xe7,
+  0x5b, 0x0b, 0xe6, 0x84, 0x00, 0x3a, 0x31, 0xf3, 0x58, 0x17, 0xda, 0xe9,
+  0x2f, 0xb6, 0xb4, 0x1a, 0x49, 0x8d, 0xfb, 0x18, 0x99, 0x97, 0xbd, 0x2a,
+  0x3c, 0xce, 0xba, 0x7a, 0x82, 0x08, 0x7c, 0x04, 0x63, 0x0d, 0x79, 0x0d,
+  0xe0, 0x8f, 0x71, 0xfd, 0x26, 0x0f, 0xf0, 0xb9, 0x10, 0x9f, 0x7a, 0xfe,
+  0x64, 0xd0, 0x6e, 0xfb, 0x11, 0x25, 0xdd, 0x87, 0x9c, 0x1a, 0x57, 0x16,
+  0x27, 0x85, 0xc0, 0xc9, 0x2c, 0x72, 0x86, 0x96, 0x0d, 0x66, 0xd7, 0x6b,
+  0xc1, 0xcd, 0x43, 0xe0, 0x39, 0x83, 0x80, 0x8b, 0x8c, 0x5c, 0x36, 0xa2,
+  0x91, 0x2c, 0xfe, 0xc8, 0x4a, 0x72, 0x79, 0x23, 0x17, 0x4f, 0xb3, 0xe1,
+  0x3d, 0xe6, 0x69, 0xe3, 0xb6, 0x06, 0x5a, 0x96, 0xa4, 0x59, 0x36, 0x16,
+  0x4b, 0x28, 0x04, 0xb7, 0x9b, 0x41, 0x53, 0x64, 0xa4, 0x6a, 0xe4, 0x8d,
+  0x50, 0x2a, 0xe4, 0xaf, 0xb3, 0x12, 0x80, 0xb0, 0xdf, 0xcb, 0x4a, 0x6d,
+  0x48, 0x4f, 0x15, 0xb3, 0x6d, 0x21, 0x8c, 0x47, 0x23, 0xda, 0xde, 0x28,
+  0x21, 0x88, 0x1a, 0x3c, 0x57, 0x78, 0x61, 0x25, 0x5b, 0x51, 0x70, 0x0d,
+  0xe3, 0x85, 0xb8, 0x50, 0x06, 0xc4, 0x5a, 0x67, 0x85, 0x6b, 0x71, 0x77,
+  0x91, 0x1c, 0x31, 0x08, 0x60, 0x54, 0x83, 0x38, 0x7e, 0x2d, 0x11, 0x9c,
+  0x5a, 0x01, 0x83, 0x11, 0x8a, 0x9c, 0xff, 0x35, 0x1b, 0xa9, 0x94, 0xc4,
+  0x37, 0x7d, 0x1b, 0x72, 0xed, 0x15, 0xa2, 0xc3, 0x49, 0x6d, 0x8f, 0x26,
+  0x4b, 0x71, 0x12, 0xf2, 0x80, 0xe6, 0x49, 0xc9, 0x0a, 0x2c, 0x62, 0xc7,
+  0x45, 0xcf, 0xa0, 0xd3, 0x24, 0xd8, 0x8e, 0x88, 0x69, 0x95, 0x98, 0xc2,
+  0x06, 0x68, 0x9c, 0xab, 0xec, 0xa4, 0x72, 0x34, 0x16, 0x87, 0x5d, 0x61,
+  0x6b, 0x64, 0x80, 0x5f, 0x4f, 0x19, 0x7e, 0x83, 0xdd, 0x98, 0x37, 0xa3,
+  0xf6, 0xde, 0xe0, 0xc3, 0x01, 0x57, 0xac, 0xe4, 0x18, 0x6a, 0x71, 0x4f,
+  0x2c, 0x35, 0xb5, 0x4f, 0x8a, 0x21, 0xfb, 0x56, 0xe6, 0xdb, 0x5c, 0x9e,
+  0xb8, 0xcc, 0xc7, 0x8d, 0x46, 0x6e, 0x7d, 0xa6, 0x5b, 0x81, 0x00, 0x0b,
+  0x6c, 0xd9, 0x00, 0x0f, 0x13, 0xf3, 0x78, 0xaf, 0xbf, 0x64, 0xce, 0x8f,
+  0xb3, 0x15, 0x3a, 0x44, 0x5a, 0xcc, 0xf5, 0xdd, 0xc2, 0xf9, 0x17, 0x54,
+  0xb5, 0xe5, 0x9d, 0x00, 0xf4, 0x56, 0x5b, 0x1d, 0x65, 0x87, 0x27, 0xbb,
+  0x5a, 0x34, 0x82, 0x27, 0x24, 0x0c, 0x5a, 0x96, 0xee, 0x4a, 0x0a, 0x54,
+  0x99, 0xdf, 0xca, 0xcb, 0xda, 0xae, 0x86, 0x55, 0x28, 0x6b, 0x08, 0x38,
+  0x4a, 0xcb, 0xe8, 0x1a, 0xf5, 0xaa, 0x59, 0xc4, 0xc4, 0x1c, 0x37, 0x9f,
+  0x6e, 0x41, 0xa9, 0x2e, 0x17, 0x9b, 0xbb, 0x5b, 0x82, 0xbb, 0xa6, 0xa9,
+  0xfc, 0x16, 0xbe, 0xd1, 0xe6, 0x3d, 0xf4, 0xf5, 0xaf, 0x82, 0xda, 0xaa,
+  0xcc, 0x3b, 0x00, 0x09, 0x8b, 0xf8, 0xcd, 0x2b, 0x39, 0x14, 0x78, 0xdc,
+  0x34, 0x7a, 0x36, 0x42, 0xb6, 0x70, 0x46, 0xc9, 0x6a, 0x5b, 0xb0, 0x9f,
+  0xa6, 0x10, 0xc8, 0xf5, 0xcd, 0xb4, 0x0c, 0x33, 0xf8, 0x38, 0xbf, 0x59,
+  0x2a, 0x89, 0xd0, 0xea, 0x4d, 0x27, 0x7d, 0x90, 0xf1, 0x75, 0x9e, 0x35,
+  0x11, 0xc2, 0xd8, 0xc9, 0xce, 0x6b, 0xb0, 0x65, 0xae, 0xd0, 0xd6, 0x4a,
+  0x19, 0x1d, 0x76, 0x29, 0x76, 0xc2, 0x3a, 0x68, 0xe6, 0xb5, 0xac, 0x1b,
+  0x86, 0x2a, 0x5b, 0xda, 0xa0, 0xf7, 0x83, 0xe8, 0x6f, 0xcb, 0x74, 0x7c,
+  0x8b, 0xbd, 0x45, 0xf8, 0x13, 0x3c, 0x54, 0x89, 0x93, 0x5b, 0xe9, 0x7a,
+  0x60, 0xc9, 0x5c, 0x2a, 0x62, 0xb1, 0xfe, 0x09, 0x31, 0xc5, 0xa8, 0xac,
+  0xa5, 0x4a, 0x0d, 0x9f, 0x55, 0xa7, 0x57, 0x00, 0x25, 0x4a, 0x4e, 0xa0,
+  0x5a, 0x60, 0x44, 0x1b, 0x99, 0x64, 0x1c, 0x21, 0xcb, 0x8e, 0x16, 0xa1,
+  0x82, 0x75, 0xd8, 0xec, 0xdd, 0xd9, 0x8a, 0xb3, 0xd0, 0xbb, 0x15, 0xd2,
+  0x8b, 0xba, 0xc4, 0xb3, 0xe8, 0x9e, 0xe8, 0xda, 0xfa, 0xd6, 0x1c, 0xf2,
+  0x4d, 0xb4, 0xeb, 0x35, 0x5d, 0x0b, 0x69, 0x4b, 0x17, 0xbe, 0x75, 0x69,
+  0x3c, 0xb8, 0x6b, 0x31, 0xd7, 0xbe, 0xf9, 0xde, 0x6b, 0x6d, 0x7f, 0xab,
+  0x6b, 0xe6, 0x31, 0x1b, 0xf0, 0xb8, 0xd5, 0x7a, 0xf6, 0x9c, 0x44, 0xec,
+  0xae, 0xbc, 0x12, 0xb6, 0x78, 0xcb, 0xa2, 0x99, 0xe0, 0xe7, 0x2a, 0xb0,
+  0xf1, 0x84, 0x99, 0x6e, 0xd8, 0xda, 0x13, 0x5b, 0x6d, 0x19, 0xe1, 0x64,
+  0xf2, 0xba, 0x36, 0xcb, 0x74, 0x39, 0xa8, 0x0c, 0x56, 0x43, 0xdc, 0xd6,
+  0xa4, 0x2d, 0x59, 0x25, 0xf8, 0xa8, 0x12, 0x0f, 0xd7, 0x52, 0x0c, 0x3e,
+  0xa9, 0x3e, 0xd1, 0x9e, 0xbe, 0xcc, 0xea, 0xc3, 0x24, 0xe1, 0x48, 0x23,
+  0x89, 0x7f, 0x7a, 0x93, 0x8e, 0xf3, 0xac, 0xc8, 0xae, 0xe4, 0x56, 0xf7,
+  0xb8, 0x99, 0x6a, 0x70, 0xe2, 0xf4, 0xe2, 0x98, 0x9d, 0xbb, 0x4d, 0x7e,
+  0xa1, 0xe5, 0xf8, 0xd8, 0xf2, 0x8b, 0x80, 0x42, 0xba, 0xb4, 0x67, 0x44,
+  0xeb, 0xcc, 0x45, 0xd8, 0x12, 0x5c, 0x8a, 0x21, 0x3c, 0x8e, 0x9c, 0x5b,
+  0x87, 0xcf, 0xb9, 0x85, 0x4c, 0x3e, 0x7b, 0x5c, 0x93, 0xe6, 0xad, 0xd0,
+  0x2a, 0x2e, 0x66, 0xbd, 0x9d, 0x68, 0x65, 0x1d, 0xc5, 0x44, 0x12, 0xe5,
+  0xc7, 0x5e, 0x6b, 0x1f, 0x9d, 0x29, 0x30, 0xc0, 0x2f, 0x87, 0xd1, 0x38,
+  0xac, 0x98, 0xc8, 0x81, 0x80, 0x27, 0xc7, 0x97, 0xaf, 0xa3, 0x49, 0x1e,
+  0xd3, 0xf4, 0xf1, 0x6f, 0x9f, 0x74, 0x80, 0x9f, 0xe3, 0x46, 0x16, 0x70,
+  0xb1, 0xe0, 0x4d, 0xea, 0xb3, 0xe7, 0xb1, 0xbf, 0xf3, 0x74, 0x50, 0x3e,
+  0xb4, 0x46, 0x0a, 0x86, 0xd6, 0x4b, 0xad, 0xac, 0xe1, 0xb7, 0x4b, 0x13,
+  0x3c, 0x73, 0xc4, 0xcc, 0x3e, 0xac, 0x1a, 0x20, 0x87, 0x6d, 0xa0, 0xc0,
+  0xa8, 0x57, 0xdc, 0xc7, 0xf3, 0x9e, 0x4a, 0x3e, 0x36, 0xec, 0xb2, 0x35,
+  0xea, 0x52, 0x02, 0x2d, 0xab, 0xa1, 0x94, 0x4d, 0x3d, 0xa4, 0x35, 0xb0,
+  0xd2, 0xe2, 0x2a, 0xdb, 0xe2, 0x28, 0xed, 0xe3, 0x35, 0xe8, 0x89, 0x45,
+  0x95, 0x30, 0xdb, 0xb5, 0x78, 0x5f, 0x5b, 0xa6, 0x86, 0xa1, 0x81, 0x18,
+  0x36, 0x50, 0x81, 0x45, 0x58, 0x93, 0xf4, 0xcb, 0x76, 0xa3, 0xfe, 0x52,
+  0xd3, 0x61, 0xdb, 0x93, 0x84, 0xac, 0x10, 0xb4, 0x61, 0xbb, 0xd5, 0x48,
+  0x0c, 0x52, 0xaa, 0xb9, 0x1e, 0x07, 0x52, 0x3b, 0x57, 0xc2, 0xcf, 0xea,
+  0x1c, 0xad, 0xbf, 0x8c, 0xa2, 0xfd, 0xae, 0x10, 0x79, 0x32, 0xe7, 0x9a,
+  0x1a, 0x42, 0xda, 0xb8, 0xbd, 0x1d, 0x1f, 0xac, 0x32, 0x3c, 0x97, 0xcc,
+  0xd2, 0x5f, 0xb6, 0x8f, 0x2e, 0xce, 0x13, 0xbe, 0x9c, 0x24, 0x04, 0x52,
+  0x4b, 0x88, 0x0d, 0xfe, 0x1d, 0x88, 0xdb, 0x55, 0x7c, 0x05, 0xcf, 0x87,
+  0xde, 0x6e, 0x23, 0x48, 0x7f, 0xb4, 0xe4, 0xef, 0x5a, 0x2b, 0x75, 0x2b,
+  0x33, 0x94, 0x27, 0xd4, 0x29, 0x1b, 0xb8, 0x56, 0x0b, 0x0e, 0x94, 0x9b,
+  0x31, 0x72, 0xb0, 0x99, 0xdc, 0x59, 0xfa, 0x63, 0xfd, 0xb8, 0x4e, 0x13,
+  0x4b, 0xe1, 0x1d, 0xa1, 0x10, 0x51, 0x33, 0xbb, 0x4b, 0x1f, 0xb0, 0x33,
+  0x49, 0xe3, 0xda, 0x7a, 0xd4, 0xe6, 0xa0, 0x46, 0x03, 0x2e, 0x81, 0x4b,
+  0x85, 0x7e, 0x81, 0x32, 0x50, 0x6b, 0x83, 0x36, 0xe2, 0xd0, 0xd8, 0x19,
+  0x36, 0xe3, 0x66, 0x49, 0x02, 0x69, 0xaf, 0xc5, 0x6a, 0x6e, 0x86, 0xdc,
+  0x14, 0x85, 0x30, 0x62, 0xa4, 0xe0, 0x5b, 0x96, 0x96, 0xbc, 0xce, 0x99,
+  0xde, 0x77, 0x40, 0x3b, 0xb4, 0x52, 0x46, 0x8f, 0x14, 0xe8, 0x12, 0xab,
+  0x91, 0x56, 0x98, 0xc7, 0xa8, 0xdc, 0x02, 0x3e, 0x1e, 0x76, 0x67, 0x50,
+  0xf8, 0x62, 0xf7, 0xbc, 0x86, 0x0d, 0x36, 0x88, 0x2f, 0x73, 0x19, 0x80,
+  0xec, 0x9f, 0x54, 0xb3, 0x5b, 0x83, 0x89, 0x48, 0x65, 0x11, 0x62, 0x22,
+  0xd2, 0xa7, 0x70, 0x26, 0x0f, 0x76, 0xd1, 0x32, 0x92, 0x6a, 0xa6, 0xc6,
+  0x63, 0x74, 0xb0, 0x14, 0xdb, 0x84, 0xcf, 0xea, 0xe0, 0x94, 0x76, 0x18,
+  0x4e, 0xd5, 0x58, 0x7b, 0x79, 0x78, 0x1e, 0xd8, 0xc2, 0x49, 0x85, 0x2b,
+  0x9a, 0x29, 0x4d, 0x2e, 0xca, 0x0c, 0xc1, 0x3a, 0x73, 0xd7, 0xfa, 0xec,
+  0xdf, 0xb8, 0x36, 0x7e, 0x06, 0xc1, 0xf2, 0xb8, 0x0f, 0x6b, 0x4b, 0xa3,
+  0xf9, 0x7b, 0xe9, 0xa4, 0x35, 0x8b, 0x42, 0x17, 0xc8, 0x70, 0xb8, 0x75,
+  0x89, 0x38, 0x6b, 0xcc, 0xd2, 0x24, 0x4f, 0x8e, 0x68, 0x30, 0x2c, 0xdc,
+  0x5c, 0x13, 0xf9, 0x7c, 0xe9, 0x73, 0xba, 0x9a, 0x52, 0x59, 0x90, 0x09,
+  0x0e, 0x37, 0x07, 0x6a, 0x37, 0x79, 0x63, 0x1d, 0xb7, 0x92, 0x84, 0xb8,
+  0x1d, 0xe2, 0x37, 0xd6, 0x2c, 0xd2, 0xf6, 0x3c, 0x79, 0x14, 0x57, 0xe7,
+  0xc0, 0x90, 0x9b, 0xa5, 0x80, 0x79, 0x69, 0xee, 0x9a, 0xc3, 0x6a, 0xcf,
+  0x13, 0x64, 0x00, 0xf2, 0x80, 0x83, 0x11, 0x17, 0x2d, 0xb7, 0x13, 0x72,
+  0xa2, 0x92, 0x99, 0xba, 0xb5, 0x46, 0x79, 0x76, 0x4b, 0x27, 0x84, 0xdf,
+  0x83, 0x30, 0xca, 0x6b, 0x2f, 0x87, 0xdc, 0x4c, 0x59, 0x74, 0x0c, 0x14,
+  0xee, 0xb5, 0x69, 0x98, 0x33, 0xbc, 0x6b, 0x4d, 0xa4, 0xf1, 0x87, 0x45,
+  0x80, 0xa6, 0x10, 0x06, 0x68, 0x17, 0x28, 0xae, 0x1e, 0xae, 0x80, 0x04,
+  0xb7, 0xbc, 0x18, 0x5c, 0x1a, 0x1a, 0x69, 0x03, 0x9a, 0xf7, 0x37, 0xa7,
+  0x21, 0x47, 0x16, 0x21, 0x0d, 0xb5, 0xec, 0x79, 0x85, 0x98, 0x44, 0x12,
+  0x78, 0x49, 0x54, 0x25, 0x77, 0x3c, 0xbb, 0xfd, 0xea, 0xca, 0x3f, 0xa0,
+  0x4e, 0xfb, 0x3e, 0x64, 0x5d, 0x5c, 0x83, 0x57, 0x6a, 0x08, 0x15, 0xa3,
+  0xe3, 0xc4, 0xa3, 0xc8, 0xc7, 0x22, 0x5e, 0xf4, 0x50, 0x06, 0x92, 0x75,
+  0xdd, 0xe6, 0xed, 0xee, 0x53, 0x6a, 0x54, 0x5d, 0x81, 0xa3, 0x82, 0xf7,
+  0x07, 0x19, 0xaa, 0x69, 0x50, 0x43, 0xe6, 0x8f, 0x61, 0x90, 0x74, 0x9b,
+  0xd1, 0x12, 0xc8, 0x06, 0x49, 0xe1, 0x4d, 0xb3, 0x12, 0x17, 0xe3, 0x72,
+  0xd8, 0x18, 0x1b, 0x25, 0xe4, 0x19, 0x18, 0xdc, 0x20, 0x3a, 0x66, 0x3b,
+  0x6b, 0x8b, 0xf2, 0x90, 0xba, 0x5a, 0x87, 0x52, 0x32, 0x3c, 0x55, 0xec,
+  0x04, 0x89, 0xbe, 0x56, 0x6d, 0x8c, 0xeb, 0x84, 0x21, 0x5b, 0xcf, 0xa5,
+  0x48, 0x48, 0xe9, 0xb6, 0x36, 0x45, 0xaa, 0x28, 0x25, 0x91, 0x5d, 0xe3,
+  0x1d, 0xed, 0x03, 0x07, 0x95, 0xf5, 0xda, 0xdb, 0xfb, 0x7b, 0x91, 0xb8,
+  0x2c, 0xa1, 0x67, 0x08, 0xc0, 0x4b, 0xdb, 0x64, 0xa3, 0xe0, 0xb1, 0xf0,
+  0x95, 0xfd, 0xcf, 0x76, 0x2c, 0x22, 0x8b, 0x33, 0xd8, 0xc3, 0x67, 0x90,
+  0xd0, 0xdd, 0xbc, 0x67, 0x90, 0xe8, 0x9e, 0x95, 0xee, 0xc9, 0x3a, 0x34,
+  0xeb, 0x8b, 0xc1, 0xd3, 0x8a, 0x79, 0x77, 0x5e, 0x4e, 0x67, 0x0e, 0x1a,
+  0xc8, 0x74, 0x82, 0xb7, 0x97, 0xa7, 0x6f, 0xa2, 0x86, 0x2e, 0x20, 0x5a,
+  0x68, 0xdb, 0x77, 0xff, 0x8a, 0x52, 0x40, 0x5f, 0x9c, 0x9c, 0x0c, 0xa1,
+  0x12, 0xa8, 0xa3, 0xba, 0x11, 0x70, 0x51, 0x0a, 0xf9, 0xb0, 0x58, 0x95,
+  0xa7, 0xa4, 0xd2, 0x93, 0x0c, 0x49, 0xbf, 0x97, 0xd9, 0x38, 0x9b, 0x72,
+  0x32, 0x21, 0xbf, 0x93, 0x68, 0xa9, 0x78, 0x5c, 0xef, 0x0c, 0x5d, 0x36,
+  0x05, 0x57, 0x22, 0x4d, 0xbc, 0x11, 0x30, 0xb3, 0xd0, 0x90, 0x63, 0xc7,
+  0x52, 0x14, 0xf1, 0x8a, 0xef, 0x0a, 0x2e, 0x50, 0x39, 0xd1, 0x9b, 0x26,
+  0x05, 0xde, 0x37, 0x0b, 0x9a, 0x6a, 0xe3, 0xb8, 0x4d, 0x11, 0xf5, 0xd7,
+  0x48, 0xe5, 0xd4, 0x9a, 0x55, 0x35, 0x25, 0x7f, 0x3e, 0xc9, 0x72, 0xb8,
+  0xed, 0x02, 0x94, 0x18, 0x40, 0x9b, 0x2d, 0x11, 0x14, 0x03, 0xae, 0xb9,
+  0x6a, 0x1e, 0xa5, 0xfb, 0x9b, 0x4c, 0x43, 0x7d, 0x65, 0xa5, 0x99, 0x31,
+  0x49, 0x1c, 0x04, 0xdc, 0x73, 0x02, 0x30, 0x22, 0x38, 0x85, 0x8e, 0x93,
+  0x04, 0xbb, 0xd1, 0xe6, 0x5e, 0x73, 0x55, 0xe2, 0x24, 0xd3, 0xaa, 0x27,
+  0xf6, 0x4d, 0xda, 0x9c, 0xa3, 0xf4, 0x7a, 0x0d, 0xfe, 0x56, 0x9b, 0xd2,
+  0xc1, 0xa3, 0x71, 0xfa, 0x46, 0xbb, 0xba, 0xd1, 0x1a, 0x1d, 0x5c, 0xd1,
+  0x37, 0x88, 0xda, 0x7e, 0x41, 0x86, 0x97, 0xaf, 0x58, 0x2a, 0xda, 0x86,
+  0xa8, 0x1b, 0xb8, 0xf8, 0x4c, 0xd7, 0x78, 0xd7, 0x70, 0x68, 0x3d, 0xa6,
+  0x52, 0x54, 0x53, 0xb3, 0x78, 0x4a, 0xff, 0xa3, 0xd2, 0x71, 0x46, 0x23,
+  0x55, 0x29, 0xb2, 0x35, 0x84, 0xf3, 0x3b, 0xa4, 0x7d, 0x98, 0x9c, 0x99,
+  0xe9, 0x43, 0x21, 0x1a, 0x55, 0x51, 0x4e, 0x32, 0x06, 0x17, 0xb1, 0xa0,
+  0xa4, 0xdc, 0x2e, 0xf3, 0xbf, 0xff, 0xa3, 0xe9, 0xa7, 0xfe, 0xf1, 0x27,
+  0xd8, 0x87, 0x10, 0x5e, 0xeb, 0x7c, 0x28, 0x46, 0x46, 0x85, 0xc7, 0x16,
+  0xe4, 0x1d, 0xe3, 0x5c, 0x16, 0x9d, 0xa1, 0x55, 0x06, 0xaf, 0xab, 0x30,
+  0x16, 0x99, 0x66, 0x89, 0x07, 0x3a, 0x3a, 0xbb, 0x08, 0x80, 0xf7, 0x12,
+  0xd4, 0xf1, 0x0d, 0x8a, 0x07, 0x48, 0xc4, 0xf4, 0x3a, 0xc4, 0x25, 0x8b,
+  0x47, 0x57, 0x30, 0x1f, 0x0b, 0x2b, 0xe7, 0x40, 0x60, 0xb1, 0x9f, 0x63,
+  0x06, 0x7c, 0xd1, 0xc0, 0x19, 0x98, 0xce, 0x9b, 0x68, 0x20, 0xb2, 0xd1,
+  0x1a, 0xd3, 0xfb, 0x77, 0x3a, 0x65, 0xbd, 0xf2, 0x3e, 0xfb, 0xc7, 0x80,
+  0xbd, 0x6a, 0xe0, 0xc4, 0xfd, 0x4c, 0xc0, 0x43, 0xdf, 0x7f, 0xb2, 0xcb,
+  0x7a, 0x77, 0xa7, 0x09, 0x99, 0x8a, 0x45, 0xb0, 0x4d, 0x77, 0x51, 0xfa,
+  0x6b, 0xc0, 0x47, 0xaa, 0xdd, 0x71, 0x2f, 0x3d, 0xbe, 0x14, 0xfe, 0x31,
+  0xe0, 0x7f, 0x7f, 0xdc, 0xed, 0x3f, 0xfb, 0xc9, 0xf5, 0xfa, 0xc9, 0xee,
+  0xfb, 0x4f, 0xf6, 0x3a, 0x6d, 0xa8, 0xaa, 0x6c, 0x99, 0x58, 0x1a, 0x12,
+  0xa6, 0xe9, 0x73, 0x5a, 0x3b, 0x54, 0x1c, 0x5d, 0x6a, 0xf9, 0xf1, 0x68,
+  0x6b, 0x00, 0x7f, 0x6c, 0x71, 0x22, 0xb2, 0xda, 0xd2, 0x9e, 0x69, 0xaf,
+  0x10, 0xb6, 0x62, 0x09, 0xf7, 0xa5, 0x00, 0x03, 0xed, 0x56, 0x2b, 0xe3,
+  0xc1, 0xb2, 0x8d, 0x60, 0x1b, 0xb5, 0x19, 0x36, 0xcc, 0x93, 0x1c, 0xf4,
+  0x33, 0x59, 0xd1, 0xc5, 0x27, 0x60, 0x17, 0x2e, 0xab, 0xd7, 0x44, 0x49,
+  0xab, 0x29, 0x2a, 0xf9, 0x43, 0x9b, 0xb1, 0x15, 0x13, 0x8b, 0x90, 0x6a,
+  0xb2, 0xd5, 0xa6, 0xd0, 0x78, 0x1d, 0xc2, 0xd3, 0xfc, 0x28, 0x71, 0xf5,
+  0x45, 0x95, 0xd8, 0xfd, 0xf9, 0xa9, 0x41, 0x4e, 0xb4, 0x9e, 0x9e, 0xa0,
+  0xa9, 0x58, 0x67, 0x14, 0xd4, 0x7a, 0x56, 0x90, 0x59, 0x87, 0xe4, 0x84,
+  0xaf, 0xee, 0x81, 0x2b, 0xdd, 0x00, 0x4a, 0x42, 0x2a, 0x96, 0x73, 0xf7,
+  0x84, 0x60, 0x5e, 0xe1, 0xcb, 0x2e, 0x5c, 0x43, 0xb2, 0xed, 0x88, 0xa6,
+  0x51, 0xcf, 0x68, 0x59, 0x36, 0x93, 0xec, 0x07, 0x5b, 0xad, 0xa1, 0xa6,
+  0x06, 0x2a, 0xe5, 0x63, 0x76, 0xa3, 0x20, 0xc8, 0x29, 0x2a, 0x04, 0xb6,
+  0x93, 0x01, 0xc4, 0x05, 0xf1, 0x22, 0xf1, 0x86, 0x81, 0x46, 0x30, 0xa7,
+  0x16, 0xdb, 0xeb, 0x39, 0x1c, 0x98, 0x64, 0x5a, 0x24, 0x83, 0x7f, 0x2b,
+  0xf9, 0x55, 0xb6, 0xa8, 0x1f, 0x37, 0x3c, 0x80, 0x15, 0xf6, 0x2f, 0x61,
+  0x1f, 0xd5, 0x2a, 0x7c, 0x52, 0x59, 0xc0, 0x95, 0xb9, 0x73, 0x93, 0x2a,
+  0x84, 0x3c, 0x1a, 0x59, 0x12, 0xb1, 0xd9, 0xa5, 0x24, 0x6d, 0xb4, 0x01,
+  0x4c, 0x82, 0x14, 0x52, 0xe7, 0x92, 0x80, 0x77, 0x3e, 0x93, 0xe4, 0x2e,
+  0x96, 0x6f, 0x9b, 0x60, 0x78, 0xee, 0x26, 0xac, 0xe8, 0xdb, 0x52, 0x4d,
+  0x5c, 0x99, 0xdd, 0x18, 0xdc, 0x49, 0x6a, 0x35, 0x54, 0xe7, 0xdb, 0xa2,
+  0x81, 0xb9, 0xd2, 0xa2, 0x4b, 0x27, 0x1f, 0x48, 0x46, 0x25, 0xb4, 0xa4,
+  0x4e, 0x9f, 0x63, 0x65, 0x3a, 0x02, 0x49, 0x0b, 0xe5, 0x30, 0x68, 0xee,
+  0x51, 0xf0, 0xae, 0x17, 0x55, 0xd7, 0x30, 0x5b, 0x8d, 0xa2, 0x97, 0x8b,
+  0x9b, 0x9c, 0x64, 0x9a, 0x47, 0x40, 0x08, 0xe8, 0x29, 0x79, 0xc6, 0x31,
+  0xda, 0x85, 0x4f, 0xda, 0xff, 0x0d, 0xb3, 0xe1, 0x39, 0xb0, 0xfe, 0xc9,
+  0xce, 0x6e, 0xa3, 0x0a, 0x89, 0x2f, 0x3c, 0xae, 0xba, 0x23, 0x2f, 0x31,
+  0x2d, 0xce, 0xc5, 0xeb, 0xc3, 0x28, 0xda, 0x7b, 0xbe, 0xfb, 0x7c, 0x7b,
+  0x77, 0x67, 0xf0, 0x64, 0xb0, 0x17, 0x39, 0xd3, 0x38, 0xc9, 0xea, 0x5c,
+  0xe6, 0x07, 0xa1, 0x35, 0xed, 0xd1, 0x28, 0xac, 0xf0, 0x51, 0x63, 0x1c,
+  0x37, 0xe3, 0x3e, 0x81, 0xf1, 0xc5, 0x5f, 0xe1, 0x31, 0x07, 0xce, 0xb8,
+  0xc8, 0x0c, 0xb3, 0x7d, 0x37, 0x9c, 0xd5, 0xf3, 0x3e, 0xc6, 0xa1, 0x42,
+  0xdf, 0x52, 0xd0, 0x94, 0xa3, 0xe5, 0x28, 0x25, 0xa1, 0xa5, 0xe4, 0x22,
+  0x78, 0xac, 0x41, 0x90, 0x28, 0x6b, 0x58, 0x3d, 0x3d, 0x8e, 0x05, 0x74,
+  0x55, 0x12, 0xdb, 0x03, 0x14, 0x4d, 0x56, 0x09, 0x0c, 0x17, 0x88, 0x54,
+  0x4d, 0x35, 0x17, 0x17, 0xc0, 0x2b, 0x74, 0xe3, 0x4b, 0xd9, 0x99, 0xaf,
+  0x5d, 0x36, 0x70, 0xdc, 0x1a, 0xe7, 0x09, 0xac, 0x4e, 0xaf, 0xfd, 0x72,
+  0x51, 0x29, 0x0e, 0x39, 0xf2, 0x70, 0x24, 0xfa, 0x81, 0x10, 0xab, 0x88,
+  0x82, 0x98, 0x77, 0x1b, 0x74, 0x5a, 0xea, 0x6a, 0x25, 0xf8, 0x1d, 0x57,
+  0x34, 0x0f, 0xf6, 0xee, 0x8a, 0x8e, 0x27, 0x46, 0x65, 0x14, 0xc7, 0x7e,
+  0x2c, 0xc0, 0xf0, 0x11, 0x9c, 0x39, 0xa1, 0x85, 0xbd, 0xff, 0x2f, 0xd1,
+  0xc2, 0xde, 0xff, 0x4f, 0x0b, 0xff, 0x26, 0x5a, 0x78, 0x51, 0xa3, 0x05,
+  0xd6, 0xec, 0x88, 0x6f, 0xa9, 0x82, 0xd7, 0x44, 0xe2, 0x11, 0xaa, 0x08,
+  0xc8, 0xc2, 0xd7, 0x8f, 0x63, 0xfd, 0x5e, 0x60, 0x42, 0xf4, 0x65, 0x85,
+  0x0e, 0x42, 0x45, 0x3b, 0x8d, 0x83, 0x6c, 0x22, 0x69, 0x72, 0xc1, 0x3e,
+  0xf6, 0xc3, 0x9f, 0xbb, 0xb7, 0x58, 0x8c, 0xe6, 0xcf, 0x96, 0x62, 0x1c,
+  0x49, 0xae, 0xb0, 0x0b, 0xf0, 0xed, 0xf6, 0xf0, 0x25, 0xc2, 0xaf, 0x39,
+  0xe3, 0xbe, 0xc1, 0xdf, 0x61, 0x4f, 0x31, 0x9d, 0x1d, 0xed, 0x48, 0xcd,
+  0x5f, 0x1b, 0x92, 0x96, 0x68, 0xc8, 0xa3, 0x2e, 0x5d, 0x05, 0x8c, 0xb6,
+  0xe1, 0x53, 0x79, 0x5b, 0xca, 0x38, 0x5f, 0xa5, 0x0f, 0xa2, 0xcf, 0xfe,
+  0x9c, 0xe4, 0x59, 0x64, 0xfe, 0x26, 0x0d, 0xa5, 0x03, 0x7c, 0x94, 0xa5,
+  0xc4, 0xfb, 0x0f, 0xb9, 0xd7, 0x86, 0x88, 0xfa, 0x27, 0xa0, 0xfa, 0x49,
+  0xf4, 0x24, 0xc7, 0x84, 0xd9, 0x68, 0x98, 0x06, 0x26, 0x93, 0xd4, 0x84,
+  0x3f, 0xbf, 0x70, 0x56, 0x66, 0x0f, 0xae, 0xec, 0xb2, 0xa5, 0xa2, 0x2c,
+  0xaf, 0xcc, 0x66, 0xd9, 0x52, 0x34, 0x37, 0xbd, 0x92, 0x6c, 0x0a, 0x19,
+  0x8e, 0xcb, 0x0a, 0x6e, 0x08, 0x1d, 0xfd, 0x28, 0x3a, 0x4a, 0xe6, 0x2b,
+  0xb3, 0xcd, 0x78, 0x8d, 0x5e, 0x2a, 0x33, 0x41, 0xc6, 0x29, 0xbd, 0xcb,
+  0xc3, 0x4c, 0x54, 0x6e, 0x88, 0xcd, 0x21, 0x55, 0xc7, 0x5c, 0xb6, 0xb8,
+  0x3e, 0x5e, 0xb9, 0x65, 0xc8, 0x44, 0x98, 0x0b, 0xd7, 0x62, 0x13, 0x00,
+  0x00, 0x26, 0xbe, 0xa2, 0x3f, 0x6b, 0xf1, 0xd1, 0x65, 0xd8, 0x82, 0xde,
+  0x2b, 0x1e, 0x9c, 0x62, 0x39, 0xfa, 0x2b, 0x58, 0x14, 0x13, 0x26, 0xd7,
+  0xad, 0xe1, 0x33, 0x18, 0xa2, 0xde, 0x71, 0xad, 0x83, 0xe5, 0x48, 0x50,
+  0x0e, 0xca, 0x66, 0x73, 0xf4, 0x21, 0x04, 0x6b, 0x97, 0x01, 0xaf, 0x74,
+  0x16, 0xd8, 0xe9, 0x1a, 0x93, 0x0a, 0xcc, 0x4d, 0x8d, 0x7d, 0xb7, 0xf3,
+  0xc4, 0x55, 0x92, 0x0a, 0x35, 0x2c, 0x84, 0x9b, 0xe5, 0x56, 0x53, 0x1c,
+  0xd5, 0xce, 0xac, 0xc6, 0x8f, 0xaf, 0x6d, 0x8b, 0xa8, 0xb5, 0xc7, 0xca,
+  0x4e, 0xd1, 0xfb, 0x13, 0xff, 0x68, 0xaf, 0x96, 0x5b, 0x49, 0xd0, 0x30,
+  0x1b, 0x3c, 0x3f, 0x8e, 0xa3, 0x81, 0xd7, 0xd7, 0x75, 0xf0, 0x8a, 0xbf,
+  0x95, 0x1e, 0x1e, 0x6f, 0x1b, 0xda, 0xcc, 0x2f, 0xe8, 0xe0, 0xdd, 0xdc,
+  0x22, 0xc1, 0x8c, 0xcc, 0x17, 0x2e, 0x60, 0x93, 0xa4, 0xbc, 0x7c, 0x2e,
+  0x06, 0x74, 0x91, 0x48, 0x63, 0xab, 0x1f, 0xc7, 0x79, 0x38, 0xc0, 0xfb,
+  0xaa, 0x07, 0x39, 0x30, 0x80, 0xce, 0x14, 0xfc, 0x95, 0xfe, 0xe5, 0xbd,
+  0x85, 0x76, 0x6a, 0x71, 0xd1, 0x26, 0x2d, 0x2e, 0xb2, 0x52, 0x22, 0xb4,
+  0xd9, 0x6c, 0xc9, 0xd2, 0x6d, 0xce, 0x77, 0x43, 0x0b, 0xc6, 0x91, 0x6d,
+  0x84, 0x25, 0xe9, 0x73, 0xb3, 0xdc, 0xe0, 0x72, 0x21, 0x4e, 0x50, 0x49,
+  0x58, 0xd0, 0x32, 0x0f, 0xc8, 0x60, 0x30, 0xca, 0x95, 0x9e, 0xeb, 0x86,
+  0x29, 0x98, 0x4c, 0x70, 0xd9, 0xb9, 0xf0, 0xee, 0xbb, 0x2c, 0x9d, 0xa0,
+  0x04, 0x6e, 0x9e, 0xb7, 0xe0, 0xbf, 0x7f, 0x5c, 0xbc, 0x65, 0x2f, 0xc0,
+  0x79, 0x89, 0x8b, 0xd0, 0x3d, 0xd6, 0xb4, 0x0a, 0xbb, 0xf8, 0xdf, 0x58,
+  0x42, 0xda, 0x88, 0x88, 0xe7, 0x71, 0x69, 0x47, 0xcc, 0x6f, 0x03, 0x46,
+  0x29, 0x29, 0xd7, 0xec, 0xad, 0x1b, 0x27, 0x2d, 0xf8, 0x7e, 0x50, 0x0b,
+  0xdb, 0x83, 0xb5, 0x6a, 0x11, 0x92, 0x7b, 0x8d, 0xfb, 0x44, 0x02, 0xbe,
+  0x3f, 0x7c, 0xab, 0xb4, 0x5c, 0x2a, 0x7a, 0xa7, 0x04, 0x9c, 0x51, 0x2a,
+  0xb2, 0x39, 0xf9, 0x60, 0xd0, 0x12, 0x6f, 0x66, 0x94, 0x2c, 0x21, 0x6c,
+  0xf7, 0xe1, 0xdb, 0x39, 0x0c, 0x20, 0x24, 0xca, 0x88, 0x13, 0xe0, 0x17,
+  0x4e, 0xe5, 0x61, 0xd5, 0x27, 0x85, 0x8c, 0xcd, 0x6e, 0xad, 0x13, 0xb0,
+  0x8d, 0x5e, 0x20, 0x94, 0x87, 0x88, 0x26, 0x95, 0x2c, 0xf5, 0x9a, 0x97,
+  0xda, 0x0c, 0xb4, 0x5a, 0x59, 0x77, 0x36, 0x5b, 0xd6, 0x69, 0x71, 0x6e,
+  0xb5, 0x7c, 0x45, 0x93, 0x0a, 0x6b, 0xb7, 0x9b, 0xb9, 0xdd, 0xd0, 0x02,
+  0x05, 0xc7, 0x5b, 0x12, 0x56, 0x40, 0x5b, 0xac, 0x95, 0xb6, 0xcb, 0x5e,
+  0xdb, 0x2e, 0x52, 0x3d, 0x67, 0x8c, 0x87, 0x3e, 0xf1, 0xba, 0x45, 0x2d,
+  0x61, 0xe5, 0x49, 0xdb, 0x94, 0x81, 0xa8, 0xf9, 0xe8, 0x84, 0xb9, 0xf3,
+  0xb5, 0xf1, 0xcc, 0x51, 0x38, 0x53, 0x9b, 0xd9, 0x3a, 0xeb, 0x93, 0x4c,
+  0x52, 0xe7, 0xf8, 0x4e, 0xdc, 0x9c, 0x68, 0x13, 0xca, 0x22, 0xb3, 0x19,
+  0x5e, 0x96, 0xa0, 0x2f, 0x51, 0x35, 0x1b, 0x13, 0x86, 0x0e, 0x2f, 0x29,
+  0x17, 0xf2, 0x9c, 0x1e, 0x07, 0x8f, 0x68, 0x51, 0x1f, 0xa4, 0xee, 0x0a,
+  0xe6, 0xd4, 0xb4, 0xa1, 0x16, 0xd2, 0x11, 0x0f, 0x2c, 0xad, 0x86, 0xfa,
+  0xc8, 0x1a, 0x4d, 0x60, 0xcc, 0x7d, 0x84, 0xac, 0xc3, 0x55, 0x12, 0xcb,
+  0x6f, 0x7d, 0x04, 0x52, 0xd3, 0xf7, 0x9f, 0x5c, 0x24, 0xe9, 0xbf, 0x65,
+  0x95, 0xb4, 0xaf, 0xd6, 0x4c, 0x86, 0x70, 0x99, 0x1a, 0x33, 0x5a, 0x17,
+  0xc2, 0xb4, 0x66, 0xe7, 0xd7, 0x05, 0x31, 0xd5, 0xa7, 0xd5, 0x16, 0x6a,
+  0xda, 0x3e, 0x31, 0x85, 0xfe, 0xf2, 0x03, 0x51, 0xee, 0xeb, 0xe6, 0x87,
+  0x8e, 0xeb, 0xde, 0x40, 0xf7, 0xb0, 0xa6, 0x36, 0x55, 0x48, 0xe1, 0x51,
+  0x2d, 0xc8, 0x99, 0xc8, 0x3f, 0x86, 0x39, 0xc9, 0x9c, 0xd9, 0x28, 0xff,
+  0x6b, 0xee, 0x22, 0xdc, 0x41, 0x95, 0x3d, 0x44, 0x17, 0x95, 0xa9, 0xb4,
+  0xf8, 0xc3, 0x1a, 0x9b, 0xb7, 0x3b, 0xd8, 0x01, 0xb7, 0x7d, 0x58, 0xc1,
+  0x04, 0xba, 0xcf, 0x77, 0xd7, 0x4f, 0x9f, 0x37, 0x0a, 0x59, 0xb8, 0xc2,
+  0xcf, 0x1e, 0x03, 0x56, 0x4a, 0xa7, 0xf0, 0xfb, 0x36, 0x32, 0x43, 0xae,
+  0xf2, 0x49, 0x7f, 0x1a, 0x4e, 0xb4, 0x1e, 0xd4, 0x2f, 0x2d, 0x03, 0x4c,
+  0x3f, 0xce, 0xcb, 0xc3, 0xcb, 0xbb, 0x3b, 0x9f, 0xed, 0xb4, 0xe6, 0x2e,
+  0x43, 0x84, 0x08, 0x0a, 0xd2, 0x39, 0xc4, 0x4d, 0x11, 0x4d, 0xb5, 0x2a,
+  0x6e, 0x62, 0x83, 0x53, 0xe7, 0x47, 0x6b, 0x60, 0xc6, 0x66, 0xff, 0x61,
+  0x5b, 0xd7, 0x80, 0xe5, 0xc2, 0x54, 0x03, 0xaa, 0xd5, 0x25, 0xee, 0xb2,
+  0x15, 0x0f, 0xcf, 0xde, 0xbe, 0x3d, 0x3e, 0x24, 0x55, 0xec, 0x26, 0x87,
+  0xe0, 0xe8, 0xdc, 0x98, 0x6d, 0x66, 0x51, 0x5f, 0x6a, 0x43, 0x06, 0xc0,
+  0x8b, 0x13, 0x48, 0xf0, 0xce, 0x19, 0x50, 0xe3, 0x2f, 0x2d, 0xc4, 0xb9,
+  0x3b, 0xd8, 0x0d, 0xb6, 0x6a, 0x61, 0x23, 0x2d, 0x39, 0xd1, 0x70, 0xda,
+  0x1a, 0x3f, 0x65, 0x7d, 0xca, 0x9c, 0xcd, 0xe0, 0x53, 0x9d, 0x65, 0x23,
+  0x01, 0x0f, 0x97, 0x41, 0x8b, 0xbe, 0x6c, 0x2d, 0x99, 0x72, 0x86, 0x64,
+  0x17, 0x59, 0x19, 0xcd, 0x5e, 0xc3, 0x40, 0x22, 0xb7, 0x2c, 0x0a, 0x3d,
+  0xd6, 0xb2, 0x30, 0x61, 0x01, 0x9d, 0x59, 0x02, 0x09, 0x4c, 0xf4, 0xce,
+  0xb4, 0xd4, 0xa2, 0x99, 0x00, 0xd1, 0x86, 0x7d, 0xd7, 0xc5, 0xad, 0x2b,
+  0xe8, 0x3f, 0xf5, 0xd2, 0xb8, 0xef, 0xa8, 0xd7, 0x78, 0x41, 0x1d, 0x21,
+  0x57, 0xa7, 0x10, 0x80, 0x5d, 0x77, 0x50, 0x2a, 0xdb, 0x6e, 0x5b, 0xe7,
+  0x52, 0x9d, 0x5a, 0xb2, 0x08, 0x9c, 0x13, 0xcb, 0x25, 0x81, 0xc8, 0xcb,
+  0x2a, 0x53, 0x6a, 0x56, 0x91, 0x86, 0xb1, 0x58, 0x64, 0xac, 0x32, 0x8a,
+  0x96, 0xc2, 0xd3, 0x4a, 0xf5, 0x12, 0xd8, 0x14, 0xcf, 0x85, 0x8c, 0x74,
+  0xad, 0x1c, 0x05, 0x65, 0x95, 0x43, 0xb8, 0x1c, 0x3d, 0x02, 0x40, 0xca,
+  0x76, 0x3f, 0x71, 0x24, 0x3e, 0x8a, 0x3d, 0xea, 0x42, 0xe3, 0x2c, 0xc6,
+  0x70, 0x4d, 0x75, 0x83, 0x7f, 0x3b, 0xf6, 0xe8, 0xf9, 0xb6, 0xd6, 0x56,
+  0x47, 0x3e, 0xf1, 0xba, 0xfc, 0x9c, 0xd7, 0x5a, 0x0a, 0x19, 0xfe, 0xe1,
+  0xa2, 0x76, 0x3a, 0xb4, 0xf8, 0x69, 0x96, 0x6f, 0x43, 0xc0, 0xe3, 0x12,
+  0x7c, 0x79, 0x36, 0x35, 0xe8, 0xec, 0x16, 0xd0, 0x43, 0x04, 0x1c, 0xd9,
+  0x55, 0x41, 0x4d, 0xab, 0x2d, 0x44, 0x9d, 0xb3, 0x33, 0x9f, 0x46, 0x29,
+  0xa2, 0xa3, 0x16, 0x5a, 0xb5, 0xca, 0xe7, 0x27, 0xf3, 0x06, 0x70, 0x1f,
+  0x3f, 0x01, 0x78, 0x3d, 0xe5, 0xeb, 0x38, 0x6e, 0x82, 0xa7, 0xad, 0x4c,
+  0xd1, 0x95, 0x80, 0x35, 0x42, 0x61, 0x60, 0x3b, 0xa5, 0x96, 0x06, 0xaa,
+  0x37, 0xa7, 0x38, 0x75, 0x8b, 0x80, 0x93, 0x5a, 0x1e, 0x92, 0x40, 0x8a,
+  0xe4, 0xa5, 0x61, 0x40, 0x54, 0x0a, 0xd6, 0xc6, 0xc5, 0x6d, 0xb1, 0x16,
+  0x9a, 0xbb, 0x1a, 0xed, 0x4d, 0xa3, 0x0b, 0x90, 0xfb, 0xad, 0x55, 0x81,
+  0xdc, 0x2a, 0xc3, 0x51, 0x32, 0x25, 0x56, 0x9b, 0x73, 0x5b, 0xd4, 0x80,
+  0x23, 0x6d, 0x28, 0xac, 0x0e, 0xc0, 0xbf, 0x5d, 0xf3, 0x4b, 0x07, 0x49,
+  0xd4, 0x61, 0x68, 0xff, 0x4e, 0x98, 0xf6, 0x25, 0xda, 0x88, 0x7b, 0x95,
+  0x2b, 0x71, 0xd0, 0x50, 0xdd, 0x58, 0x5b, 0x5c, 0x14, 0xc6, 0x5e, 0xd5,
+  0xb2, 0xcf, 0x5b, 0xb6, 0xf9, 0x6e, 0x9e, 0x3e, 0xe0, 0x2a, 0x68, 0xe2,
+  0x05, 0xbb, 0x79, 0x3f, 0x32, 0xaa, 0xdd, 0x17, 0x7b, 0x83, 0xdd, 0xe7,
+  0x9f, 0x0d, 0x76, 0x77, 0x06, 0xbb, 0x95, 0xd1, 0x41, 0x41, 0xe2, 0x90,
+  0xbf, 0xb0, 0x9d, 0x96, 0x4b, 0xb4, 0x2d, 0x76, 0x25, 0xec, 0x60, 0xb6,
+  0x1a, 0x04, 0x91, 0xeb, 0x8d, 0x2e, 0x34, 0xba, 0xbd, 0xc5, 0xcc, 0xe2,
+  0xfc, 0xd0, 0x4a, 0x6a, 0xd0, 0x0e, 0x9c, 0x6a, 0x16, 0x6c, 0xaa, 0x84,
+  0x37, 0x7a, 0xe3, 0x4f, 0x4b, 0x25, 0xa4, 0x20, 0x4d, 0xaa, 0x52, 0x78,
+  0xda, 0x45, 0xe4, 0xb9, 0xfe, 0xff, 0x85, 0xe3, 0xae, 0x68, 0x34, 0x1c,
+  0xf8, 0xe6, 0x8e, 0x21, 0xf4, 0x18, 0x17, 0x1d, 0x0b, 0xbe, 0x7f, 0x7e,
+  0x76, 0x71, 0xa9, 0x09, 0xda, 0xc2, 0x0e, 0xe2, 0xe2, 0x6e, 0xe0, 0xa2,
+  0xe5, 0x10, 0x9d, 0xab, 0x97, 0x4b, 0xe9, 0xa0, 0x3a, 0xac, 0xb9, 0xe3,
+  0xf3, 0x0b, 0x8f, 0xa2, 0x10, 0xdc, 0xa1, 0x68, 0xd3, 0x65, 0x0c, 0xb3,
+  0x58, 0x8b, 0xd6, 0xfa, 0xa4, 0xb2, 0x71, 0x8e, 0x08, 0x5e, 0x83, 0x9d,
+  0x97, 0x56, 0x68, 0xea, 0xc1, 0x2d, 0xf8, 0xb5, 0x3f, 0xfd, 0xc9, 0xb3,
+  0xa8, 0x21, 0xa7, 0xb4, 0x69, 0x45, 0x44, 0xd8, 0x38, 0x9f, 0x79, 0xf7,
+  0xba, 0x00, 0xc0, 0x44, 0x9d, 0xfd, 0x1f, 0x91, 0xf8, 0xf6, 0x53, 0xff,
+  0x47, 0xfa, 0xf3, 0xa7, 0x8e, 0xbb, 0x06, 0xa0, 0x50, 0x89, 0x67, 0xd1,
+  0x4d, 0x5e, 0x36, 0x08, 0x35, 0x63, 0x51, 0x7f, 0x54, 0xae, 0x02, 0xde,
+  0x2e, 0x8e, 0x87, 0xc4, 0x41, 0x14, 0x8c, 0x04, 0x0f, 0xa8, 0x13, 0x1b,
+  0x76, 0x8a, 0x14, 0x29, 0x23, 0x4a, 0x71, 0x6b, 0x89, 0x74, 0xc0, 0xd8,
+  0x20, 0x10, 0xf0, 0x62, 0xcf, 0x70, 0xc7, 0xd8, 0x49, 0x7a, 0x2f, 0x6c,
+  0x27, 0x36, 0x88, 0x15, 0xb9, 0x7f, 0x18, 0x5a, 0x53, 0x5d, 0xb8, 0xf2,
+  0xc1, 0x86, 0x4b, 0x09, 0xe7, 0x7c, 0x2c, 0x52, 0xf1, 0xb9, 0xa4, 0x94,
+  0x1a, 0x92, 0x10, 0x3c, 0x96, 0xb8, 0x80, 0xd9, 0x74, 0xce, 0x7e, 0x65,
+  0xb3, 0x3e, 0xe5, 0x69, 0x71, 0xcb, 0x33, 0x54, 0xd0, 0x82, 0x48, 0x90,
+  0x35, 0x36, 0x02, 0x45, 0x1f, 0x23, 0xb3, 0xbc, 0x5a, 0x8e, 0xd7, 0x37,
+  0x3b, 0x67, 0x70, 0x0b, 0xfc, 0xcd, 0xc8, 0x4c, 0xcb, 0x0e, 0xa9, 0x7f,
+  0x52, 0xd0, 0xf9, 0x3c, 0x5c, 0x69, 0x36, 0xaf, 0x14, 0xcb, 0x10, 0x94,
+  0x2b, 0x83, 0x72, 0x6b, 0xe4, 0x53, 0x85, 0xc0, 0x84, 0x2e, 0x15, 0x08,
+  0x41, 0x0b, 0xf1, 0xc4, 0x90, 0x0a, 0x35, 0xaf, 0x1d, 0xb4, 0x18, 0x42,
+  0x65, 0xb6, 0x60, 0x50, 0x58, 0x06, 0x92, 0x0e, 0xa2, 0x0d, 0xfe, 0xb0,
+  0x48, 0xe2, 0x9c, 0xb8, 0x17, 0xbb, 0x8a, 0x83, 0xc9, 0xfd, 0x2f, 0x6a,
+  0x16, 0x40, 0xa9, 0x0c, 0xec, 0x8b, 0x91, 0xb7, 0xdd, 0x6f, 0xdb, 0x43,
+  0xb9, 0xe4, 0x38, 0xcc, 0x1c, 0x2c, 0x3a, 0xce, 0x47, 0x69, 0x99, 0xc7,
+  0x1a, 0x65, 0xaf, 0x08, 0x21, 0x81, 0x70, 0xa1, 0x65, 0x3c, 0x86, 0xeb,
+  0x50, 0x42, 0x06, 0xd1, 0xff, 0x42, 0xa7, 0xfa, 0xb6, 0xd8, 0x2b, 0x90,
+  0x9a, 0xfa, 0xe5, 0xf1, 0xeb, 0xb3, 0x8b, 0xe3, 0x6a, 0x42, 0xa7, 0x80,
+  0x07, 0x44, 0x6d, 0x35, 0xc9, 0x36, 0x51, 0x3a, 0x59, 0x8d, 0x25, 0x56,
+  0xaa, 0x4d, 0x80, 0x08, 0xce, 0xbf, 0x3b, 0x0a, 0x4e, 0x9e, 0xc1, 0xac,
+  0x58, 0xa3, 0xbd, 0x56, 0xaf, 0x2e, 0xf8, 0xe7, 0x16, 0x8a, 0x61, 0x0b,
+  0xba, 0x83, 0x8d, 0x4f, 0xe0, 0x73, 0x50, 0xc8, 0xcb, 0x0c, 0x33, 0x08,
+  0xe4, 0x2c, 0x0a, 0x76, 0x4a, 0xb8, 0x46, 0x5b, 0x60, 0x73, 0x89, 0xd9,
+  0x4b, 0xed, 0x4b, 0x35, 0x71, 0xc4, 0x12, 0x98, 0xc0, 0xd1, 0x0a, 0x83,
+  0xa8, 0xd9, 0x91, 0xc2, 0xac, 0x48, 0x2f, 0x8d, 0x92, 0x34, 0x82, 0xc3,
+  0xc6, 0x9e, 0x5d, 0xf1, 0x60, 0x9b, 0xc2, 0xa0, 0x58, 0x3b, 0x51, 0x08,
+  0x6e, 0x23, 0x55, 0xa5, 0xad, 0x06, 0x40, 0xcb, 0xed, 0xeb, 0xd6, 0x57,
+  0x3b, 0xdf, 0x2c, 0xb6, 0x2a, 0xd5, 0xb6, 0x6d, 0xf1, 0xac, 0xa8, 0xe3,
+  0x9f, 0xba, 0xde, 0x12, 0xdf, 0x82, 0xb8, 0xe3, 0xc0, 0xd0, 0x2d, 0x05,
+  0x6f, 0x6b, 0xe0, 0x3c, 0xfe, 0xed, 0x55, 0xfc, 0xdc, 0xac, 0x01, 0x17,
+  0xd1, 0x5a, 0xce, 0x5b, 0x05, 0x04, 0x03, 0x9a, 0xb4, 0x93, 0x6c, 0xd0,
+  0x89, 0x1a, 0x18, 0x61, 0xed, 0x28, 0xe0, 0x71, 0x1b, 0xd8, 0x93, 0x4f,
+  0x2a, 0x75, 0xf5, 0x2b, 0x47, 0x0a, 0xdd, 0xfe, 0x83, 0x79, 0xc6, 0x91,
+  0xf8, 0x1e, 0x15, 0xab, 0x79, 0x09, 0xa1, 0x49, 0x92, 0x0a, 0xc7, 0x59,
+  0x9e, 0x37, 0x8d, 0x8e, 0x28, 0x76, 0xe5, 0x36, 0x0d, 0x19, 0x15, 0x17,
+  0xaf, 0x0f, 0x5f, 0x3c, 0x7b, 0x01, 0xd1, 0x0f, 0x65, 0xd5, 0x34, 0x1f,
+  0x4d, 0xa3, 0x0d, 0x11, 0xc6, 0xe9, 0x87, 0xdc, 0x60, 0x07, 0xda, 0x92,
+  0x9a, 0x01, 0x47, 0xc9, 0x54, 0xf0, 0x29, 0x86, 0x41, 0x13, 0x83, 0x56,
+  0xd3, 0x69, 0xdb, 0xed, 0xb9, 0xae, 0x3a, 0xb0, 0xdd, 0x1a, 0x18, 0x7d,
+  0x2a, 0xb1, 0x6f, 0x5a, 0x5d, 0xd4, 0xd4, 0x25, 0xd2, 0xd0, 0xe7, 0xd0,
+  0x66, 0x74, 0x13, 0x7b, 0x8e, 0xea, 0x5c, 0xd5, 0xd6, 0xa2, 0xad, 0xb9,
+  0xbf, 0x55, 0xcf, 0x73, 0xad, 0xf2, 0x04, 0x0e, 0x40, 0xa5, 0xda, 0xf8,
+  0x00, 0x1e, 0x05, 0xd6, 0x03, 0xda, 0x0c, 0x25, 0x6a, 0xc4, 0x32, 0x67,
+  0x0c, 0x87, 0x33, 0x78, 0xf2, 0x6a, 0xe9, 0xaf, 0x59, 0xbb, 0xf9, 0xe6,
+  0x3a, 0x5f, 0x48, 0xc2, 0x63, 0x1b, 0x40, 0x6d, 0x18, 0x07, 0x23, 0x8f,
+  0x1a, 0xb1, 0xa3, 0xe6, 0x06, 0xac, 0x16, 0x78, 0xf7, 0xe4, 0xc8, 0xd5,
+  0x39, 0xf7, 0xd1, 0x3c, 0xa3, 0x55, 0x7b, 0x73, 0xee, 0x31, 0x10, 0x9b,
+  0x67, 0x8a, 0xae, 0x29, 0x2f, 0x35, 0x8f, 0x2c, 0x51, 0x1e, 0xdf, 0xb5,
+  0x37, 0xa7, 0xad, 0x88, 0x32, 0x29, 0x6d, 0x58, 0xc3, 0x08, 0x54, 0xb5,
+  0x4a, 0x73, 0xbc, 0x31, 0x9c, 0xe8, 0x6d, 0xdd, 0x34, 0x6b, 0x16, 0xde,
+  0x90, 0x10, 0x2e, 0x82, 0xf8, 0x07, 0xd7, 0x62, 0x06, 0xd3, 0xa0, 0x61,
+  0x35, 0xaa, 0x7b, 0xad, 0x08, 0xeb, 0x9f, 0xa3, 0x9d, 0x51, 0x2a, 0xe0,
+  0x55, 0x4d, 0x52, 0xae, 0x5b, 0x49, 0x44, 0x49, 0x43, 0xf3, 0x78, 0x33,
+  0x9c, 0xc2, 0x3c, 0xca, 0xc6, 0x65, 0x30, 0x03, 0x7e, 0xa0, 0xbd, 0x39,
+  0x15, 0x0d, 0x9a, 0x33, 0x63, 0x3f, 0x0b, 0xd2, 0x98, 0x1e, 0x9f, 0x99,
+  0x3c, 0xd8, 0xd8, 0x64, 0xfa, 0x50, 0x58, 0x51, 0x63, 0x87, 0xd7, 0xcf,
+  0xac, 0x6d, 0x87, 0x31, 0x82, 0xfa, 0x06, 0xfb, 0x14, 0x2b, 0x3c, 0xde,
+  0x6f, 0x6f, 0xce, 0xed, 0x30, 0x9e, 0x7c, 0x74, 0x83, 0xb5, 0x97, 0xc6,
+  0x2a, 0x4c, 0xe7, 0x0a, 0x8d, 0xf9, 0x5e, 0x10, 0x02, 0x38, 0xef, 0xbf,
+  0x7c, 0xff, 0xf8, 0x82, 0x4c, 0xe7, 0x06, 0xa5, 0xc5, 0xc9, 0xed, 0xfe,
+  0xe0, 0x6a, 0x5c, 0x5e, 0x5c, 0x05, 0xd9, 0x8a, 0xc4, 0xbc, 0xb0, 0x86,
+  0xec, 0x7d, 0x7f, 0x1e, 0x7b, 0x69, 0x91, 0xa5, 0x92, 0x8b, 0xaf, 0x68,
+  0x41, 0x51, 0x65, 0x88, 0x51, 0x1b, 0x46, 0x4f, 0x10, 0x4b, 0xdc, 0x98,
+  0xe2, 0xec, 0x96, 0x1d, 0x2b, 0xee, 0x76, 0x7b, 0xbf, 0x5e, 0x87, 0x01,
+  0x1d, 0xcb, 0xe3, 0x9e, 0x8e, 0x65, 0x56, 0x4e, 0x39, 0x77, 0x19, 0xe7,
+  0x1f, 0xde, 0xed, 0x6a, 0x97, 0xee, 0x4c, 0xd6, 0xc7, 0xb7, 0xb8, 0x9f,
+  0x58, 0xe7, 0xfc, 0xab, 0x75, 0x1c, 0x02, 0x24, 0xc7, 0xa3, 0x22, 0x9b,
+  0x2e, 0x4b, 0x89, 0xd6, 0x93, 0xc6, 0xae, 0x4c, 0x40, 0x5c, 0xb3, 0x14,
+  0x88, 0x4f, 0xb5, 0xbb, 0x7d, 0x7d, 0x52, 0x75, 0x2e, 0x88, 0xea, 0x06,
+  0x18, 0x86, 0xed, 0x58, 0xbf, 0x38, 0xfa, 0xb4, 0x1f, 0xa2, 0x00, 0x7e,
+  0x7b, 0xe6, 0x95, 0xb7, 0x2c, 0xd0, 0x7a, 0x86, 0xa7, 0xbd, 0xd6, 0x0e,
+  0xc4, 0x24, 0x61, 0xcc, 0x3d, 0x25, 0x05, 0x8e, 0x4e, 0xd4, 0xfa, 0xf0,
+  0xca, 0xf7, 0x1e, 0x23, 0xa4, 0xb5, 0x6b, 0x9c, 0xcf, 0x3e, 0x70, 0xc8,
+  0xe9, 0x01, 0x3f, 0x2b, 0x86, 0x06, 0x0b, 0x66, 0xd5, 0x38, 0x99, 0x7a,
+  0x8c, 0xd7, 0xac, 0xfc, 0xba, 0x11, 0x54, 0xa8, 0xf0, 0xb1, 0x91, 0xf0,
+  0x83, 0x6d, 0x83, 0x09, 0x80, 0xfc, 0xd8, 0x09, 0xbf, 0x0a, 0x38, 0x65,
+  0x7b, 0x73, 0x3a, 0x5c, 0xff, 0x9e, 0x2e, 0x4f, 0xcf, 0xcc, 0x66, 0x13,
+  0x35, 0x43, 0xb3, 0x06, 0xda, 0xa4, 0x0d, 0x3b, 0xe0, 0xbf, 0x88, 0x41,
+  0xb0, 0xda, 0x31, 0x9d, 0x57, 0x62, 0x2b, 0xa9, 0xc7, 0x6c, 0x06, 0x0c,
+  0x98, 0xf6, 0x18, 0x72, 0x49, 0x21, 0x0b, 0x91, 0xfe, 0xdd, 0xb6, 0x0b,
+  0x5a, 0x80, 0xa0, 0x0d, 0x5b, 0xb9, 0xd4, 0xfb, 0x10, 0xd5, 0xae, 0xc5,
+  0x0c, 0x66, 0x25, 0xc0, 0x62, 0xa0, 0xda, 0x51, 0xd7, 0x48, 0x5e, 0x14,
+  0x46, 0x29, 0x59, 0x90, 0x85, 0xe9, 0x63, 0x62, 0x3c, 0x72, 0xa2, 0xb0,
+  0x3c, 0xde, 0x28, 0x55, 0xc3, 0x59, 0x1b, 0x52, 0xb0, 0xb4, 0x5a, 0x05,
+  0x6d, 0x50, 0x2f, 0x53, 0xdb, 0x4f, 0xae, 0x27, 0x7d, 0x25, 0x8e, 0x2a,
+  0x2b, 0xea, 0xe7, 0xdb, 0x58, 0x08, 0x52, 0x7f, 0x5f, 0xe2, 0xc7, 0xe7,
+  0x6b, 0x6b, 0x2f, 0x0e, 0x7d, 0x01, 0xc6, 0xe8, 0x42, 0x42, 0x7f, 0x98,
+  0xa7, 0x32, 0x06, 0x8e, 0x2a, 0xd0, 0x9b, 0x6c, 0x6b, 0x91, 0x5a, 0xbd,
+  0x82, 0x8e, 0x3f, 0x5e, 0xb6, 0x95, 0x66, 0xd8, 0xb2, 0xda, 0x82, 0x68,
+  0x7a, 0x77, 0xb0, 0xdb, 0x33, 0xdd, 0x4a, 0xa5, 0x38, 0x93, 0x90, 0xf9,
+  0x93, 0x58, 0x53, 0x7a, 0x22, 0xd4, 0x4f, 0xac, 0x5b, 0xc7, 0x2e, 0x24,
+  0xe4, 0x55, 0xc5, 0xc6, 0xb0, 0xbc, 0x26, 0x57, 0x09, 0x74, 0x42, 0x39,
+  0x23, 0xd9, 0x34, 0xa8, 0x68, 0xa7, 0xff, 0xf4, 0xc5, 0x8b, 0xca, 0xbd,
+  0x1e, 0x2a, 0xc1, 0xcf, 0x76, 0x76, 0x04, 0xde, 0xa7, 0xfe, 0x1a, 0x7d,
+  0xd1, 0x7f, 0x81, 0x17, 0xab, 0xaf, 0x09, 0x08, 0xcc, 0xfa, 0xf7, 0xfa,
+  0xfc, 0x4d, 0x4b, 0x77, 0xb0, 0xe0, 0xac, 0x7d, 0xeb, 0x05, 0x77, 0xd7,
+  0xf2, 0x16, 0x1e, 0x96, 0x75, 0xcc, 0xae, 0xae, 0xb8, 0x74, 0x35, 0x3f,
+  0x29, 0x18, 0xe0, 0x59, 0x7e, 0x1f, 0xe7, 0x93, 0xe6, 0x74, 0x77, 0x7a,
+  0xfd, 0xdd, 0x75, 0xd3, 0x75, 0x75, 0x26, 0xb1, 0x9d, 0xac, 0x09, 0x6d,
+  0xfe, 0x71, 0x6b, 0xf3, 0xeb, 0xad, 0xb6, 0xd9, 0x7f, 0xba, 0xb3, 0xd3,
+  0x7b, 0xce, 0x3f, 0x5f, 0xbc, 0x58, 0x1b, 0x63, 0xe2, 0xfb, 0x78, 0x62,
+  0x53, 0xab, 0x8c, 0x96, 0xda, 0x69, 0x69, 0x7d, 0x97, 0x5a, 0xdd, 0x7d,
+  0xf1, 0xa2, 0xc7, 0xbd, 0x3c, 0xfb, 0xa8, 0xd6, 0xcb, 0xfb, 0xcc, 0x9b,
+  0xce, 0xf9, 0x75, 0x4f, 0x8e, 0x45, 0x6d, 0x06, 0xf4, 0x27, 0xa2, 0x98,
+  0x18, 0xf5, 0x28, 0x32, 0xef, 0x82, 0x96, 0xa1, 0x54, 0x1f, 0x7c, 0x80,
+  0xdb, 0x88, 0x40, 0xbf, 0x05, 0xf2, 0xf0, 0xa0, 0x29, 0x8a, 0xfa, 0x11,
+  0x7b, 0xff, 0x82, 0xf9, 0xe3, 0x3d, 0xa2, 0xf6, 0x99, 0xb8, 0xc2, 0xae,
+  0x19, 0x71, 0xc9, 0xb2, 0xf4, 0x8a, 0x68, 0x93, 0xc8, 0x65, 0x0b, 0xb6,
+  0x80, 0xbb, 0x78, 0x9a, 0x1a, 0x92, 0x43, 0xd4, 0x85, 0x01, 0x4b, 0x50,
+  0x39, 0xe8, 0xf7, 0x6c, 0xd1, 0x45, 0xbd, 0x9c, 0xe9, 0xc4, 0x69, 0x22,
+  0xe6, 0x95, 0x92, 0x27, 0xfb, 0xf2, 0x8c, 0x1c, 0x34, 0xa8, 0x73, 0x0f,
+  0x03, 0xc1, 0x23, 0x64, 0xef, 0x50, 0xad, 0xd7, 0xc8, 0x01, 0x23, 0x79,
+  0x44, 0x5f, 0x81, 0xc2, 0x85, 0xb9, 0xca, 0x4f, 0xb3, 0x5b, 0x04, 0x08,
+  0x78, 0xe6, 0x30, 0x98, 0x07, 0xde, 0xc0, 0x49, 0x62, 0x30, 0xcb, 0x35,
+  0x1c, 0x18, 0xf7, 0xbe, 0xd8, 0x63, 0x96, 0xa2, 0x88, 0xfa, 0x43, 0xf6,
+  0x03, 0x2c, 0x67, 0x9a, 0xbb, 0x25, 0xa9, 0x13, 0xac, 0x9f, 0xde, 0xc7,
+  0x79, 0x62, 0x59, 0xa7, 0xa4, 0x37, 0x1b, 0x07, 0x70, 0x40, 0xab, 0x9a,
+  0x39, 0xa9, 0xc9, 0xe3, 0x1e, 0x0b, 0xc1, 0x10, 0xad, 0x25, 0x58, 0x69,
+  0x82, 0x78, 0x50, 0x4d, 0xb2, 0x65, 0xdb, 0x3f, 0xec, 0x74, 0x15, 0x77,
+  0x98, 0xa1, 0xad, 0x9b, 0x85, 0x4e, 0x70, 0xe0, 0x36, 0x6a, 0x2e, 0x30,
+  0x7e, 0x0a, 0xc9, 0xb0, 0x40, 0x69, 0x72, 0x25, 0x5c, 0xdd, 0x2c, 0xc0,
+  0x8e, 0x78, 0x8b, 0xc0, 0x98, 0x64, 0xf1, 0x0d, 0x02, 0x4b, 0x0b, 0x46,
+  0x5b, 0x74, 0x91, 0x40, 0xd4, 0x01, 0xf0, 0xa5, 0xb2, 0x63, 0xb4, 0x57,
+  0x8e, 0x09, 0xd2, 0xa6, 0x45, 0x9b, 0x41, 0xd8, 0x22, 0x68, 0x2b, 0xd0,
+  0xf9, 0x0d, 0x51, 0x35, 0x93, 0x18, 0xbc, 0xad, 0x81, 0x0c, 0x00, 0x46,
+  0x5b, 0xd9, 0x09, 0x00, 0xf2, 0x84, 0x5b, 0x9a, 0x3c, 0x94, 0x80, 0xc4,
+  0xc6, 0x93, 0x76, 0x39, 0x0f, 0x4f, 0xfe, 0xf7, 0xf1, 0xe0, 0xd7, 0xb0,
+  0x26, 0xd7, 0x23, 0xcf, 0xf3, 0xf8, 0xde, 0xa3, 0x43, 0xa8, 0xb7, 0xd8,
+  0x05, 0xbe, 0xc5, 0xd3, 0xa9, 0xaf, 0x73, 0x0f, 0xbf, 0x1f, 0x09, 0xfb,
+  0x99, 0xa1, 0xc5, 0xbb, 0x1a, 0xf6, 0x6b, 0xd1, 0xc5, 0x39, 0xc3, 0x6f,
+  0x82, 0x0a, 0xce, 0xa1, 0x61, 0xd9, 0x81, 0xbe, 0xcc, 0xe0, 0x7e, 0xb1,
+  0x8a, 0x52, 0x4b, 0xea, 0x04, 0xa5, 0xda, 0xea, 0xf6, 0x29, 0x1a, 0x62,
+  0x03, 0x8c, 0x3d, 0x8c, 0x8b, 0xb9, 0xf0, 0x29, 0x0d, 0x3c, 0xf3, 0x35,
+  0xc8, 0x17, 0x08, 0x44, 0x15, 0x17, 0x76, 0x58, 0xda, 0xd6, 0xec, 0x06,
+  0x81, 0x71, 0x1c, 0xc4, 0x8f, 0xac, 0x9b, 0x36, 0x73, 0x14, 0xaf, 0x6d,
+  0x19, 0xcf, 0x16, 0x2d, 0xe9, 0x2e, 0x92, 0x99, 0x6b, 0x08, 0x49, 0xac,
+  0x1c, 0xf9, 0x80, 0x54, 0x74, 0xd6, 0x6c, 0x2e, 0xc8, 0xc1, 0x11, 0xca,
+  0xa5, 0x17, 0xe1, 0x88, 0x70, 0xfd, 0x54, 0x73, 0x47, 0x58, 0x16, 0x03,
+  0x66, 0x70, 0xd3, 0x9d, 0xc8, 0x67, 0x03, 0x2b, 0x9f, 0x02, 0x33, 0x10,
+  0x51, 0x6d, 0x3c, 0x08, 0x91, 0xee, 0x13, 0x8d, 0x70, 0x92, 0x48, 0x11,
+  0x84, 0x55, 0x72, 0x68, 0x94, 0x56, 0x6c, 0x8d, 0xd7, 0xec, 0xa0, 0x07,
+  0xe5, 0x94, 0xae, 0xb1, 0x7e, 0xfe, 0x16, 0x96, 0x54, 0x18, 0xb3, 0xdd,
+  0x11, 0x7f, 0x82, 0x75, 0x6f, 0xb9, 0x18, 0x34, 0xb1, 0x8c, 0x83, 0x6a,
+  0x42, 0xfa, 0x3e, 0x75, 0xbf, 0x13, 0xba, 0x0a, 0xc1, 0x28, 0x34, 0x04,
+  0xd9, 0xd5, 0x6e, 0x49, 0x8b, 0xd6, 0xda, 0x1f, 0x30, 0x1c, 0xb3, 0x05,
+  0xd4, 0xcd, 0x57, 0xa6, 0x2b, 0x36, 0x7e, 0xc9, 0x62, 0xde, 0xe7, 0x72,
+  0x6c, 0x82, 0x6b, 0xd6, 0xf3, 0x80, 0xd1, 0xd1, 0xd3, 0x87, 0x87, 0x86,
+  0x62, 0x12, 0x40, 0xe8, 0x4a, 0xf1, 0x31, 0x21, 0xf6, 0x67, 0x0f, 0x0f,
+  0xd5, 0x2f, 0xd7, 0xc0, 0xaa, 0x88, 0x23, 0x89, 0xf7, 0x7b, 0x94, 0x49,
+  0x72, 0x95, 0xac, 0x56, 0xdc, 0xb2, 0x8e, 0x72, 0x39, 0xdf, 0xc7, 0x88,
+  0xba, 0x6d, 0x7a, 0x1a, 0x21, 0x71, 0xb8, 0x2a, 0x39, 0x96, 0xe5, 0xc3,
+  0x89, 0xb7, 0x37, 0xc4, 0x0a, 0x04, 0x0c, 0x55, 0x83, 0x62, 0xb5, 0x41,
+  0x2b, 0x59, 0xd4, 0xb2, 0x4e, 0xdc, 0x8b, 0x2c, 0x7b, 0x0a, 0xd4, 0xd1,
+  0x32, 0x9d, 0xf2, 0x6b, 0xc0, 0xe0, 0xa4, 0x16, 0x76, 0x69, 0xf9, 0xd3,
+  0xf9, 0xb2, 0x4c, 0x0a, 0x57, 0x2f, 0x3b, 0xa8, 0x35, 0xd7, 0xb6, 0xec,
+  0x53, 0xe0, 0x05, 0x49, 0x38, 0x48, 0xbd, 0xa0, 0x97, 0x8e, 0x4b, 0x21,
+  0x17, 0x14, 0x69, 0x46, 0x49, 0xb6, 0x8f, 0x57, 0x5b, 0x92, 0x89, 0x22,
+  0x17, 0x18, 0xaa, 0x47, 0x33, 0x79, 0xa0, 0xd5, 0x96, 0x08, 0xd1, 0x08,
+  0x1e, 0x5e, 0x92, 0x2e, 0xf8, 0xb6, 0xb9, 0xce, 0x72, 0xda, 0xd4, 0xd9,
+  0x20, 0xc8, 0xdc, 0x6b, 0x44, 0x19, 0x4a, 0x57, 0x0e, 0xeb, 0x8f, 0xcb,
+  0x88, 0x38, 0x88, 0xdc, 0x32, 0x2b, 0x95, 0x31, 0x6a, 0x2c, 0x2b, 0x73,
+  0x1d, 0xc4, 0x2f, 0xd9, 0xb8, 0x1f, 0x8b, 0xca, 0xdf, 0x1b, 0x3c, 0x69,
+  0x2b, 0x9b, 0x5a, 0xc1, 0x24, 0x89, 0x02, 0x61, 0xdf, 0x59, 0x36, 0x1f,
+  0x29, 0x9e, 0xda, 0x58, 0xdc, 0x31, 0x07, 0x17, 0x84, 0xd5, 0x53, 0x6b,
+  0xe7, 0x5e, 0x16, 0xf1, 0x11, 0x08, 0x43, 0xc3, 0x79, 0x2e, 0xa6, 0x49,
+  0xb2, 0x90, 0xb1, 0x39, 0x64, 0x60, 0x2b, 0x9e, 0x2b, 0x27, 0x15, 0x61,
+  0xf8, 0x4a, 0xa4, 0x7a, 0xdf, 0xae, 0xe3, 0x00, 0x11, 0xec, 0xf8, 0x30,
+  0x69, 0x5b, 0x65, 0xbb, 0x76, 0x4e, 0xb3, 0x29, 0xe2, 0x8a, 0x25, 0xac,
+  0xad, 0x29, 0x75, 0x65, 0x5b, 0x8a, 0xe1, 0xb8, 0x6d, 0x75, 0x44, 0xa5,
+  0x9b, 0x51, 0xab, 0x7c, 0xdb, 0x2c, 0x1b, 0x21, 0x40, 0xf7, 0xb8, 0x9a,
+  0x12, 0x81, 0xcd, 0x47, 0x05, 0x5c, 0x99, 0x11, 0x7c, 0xb6, 0x8a, 0x68,
+  0x35, 0x70, 0xbc, 0x47, 0x0a, 0xa2, 0x60, 0x09, 0x1b, 0xb1, 0xcb, 0x48,
+  0x28, 0xa8, 0xa1, 0x65, 0x9b, 0xf4, 0xe8, 0x22, 0x88, 0x1c, 0x35, 0xf2,
+  0xd8, 0x07, 0x9e, 0x44, 0x9a, 0x35, 0x16, 0xfe, 0x5d, 0x14, 0xa3, 0x15,
+  0x90, 0x8a, 0x47, 0xa9, 0xe6, 0x83, 0xd8, 0x97, 0x97, 0x7a, 0x78, 0x25,
+  0xb3, 0x51, 0xaf, 0x0c, 0x96, 0xe8, 0x43, 0xa7, 0x4c, 0xa4, 0x8c, 0x2b,
+  0xa0, 0x0b, 0xbd, 0x31, 0x1b, 0x0a, 0x9c, 0xf2, 0x27, 0xe3, 0x23, 0xc8,
+  0x57, 0x8d, 0x59, 0x42, 0xe1, 0x42, 0x94, 0x9b, 0x9c, 0x80, 0xae, 0x43,
+  0xdb, 0xe2, 0x8f, 0x01, 0x38, 0xa6, 0xce, 0x4a, 0xf4, 0xdf, 0x48, 0x9f,
+  0x04, 0xc2, 0xa0, 0xf0, 0xac, 0x49, 0x0b, 0x42, 0xe8, 0xdb, 0x8c, 0x23,
+  0x47, 0xf4, 0xca, 0xbd, 0xf2, 0xed, 0xe8, 0x9b, 0x4d, 0x1c, 0x41, 0xb4,
+  0x63, 0x29, 0x32, 0xd4, 0x44, 0xaf, 0x82, 0x60, 0x6d, 0xc3, 0x46, 0xcc,
+  0x13, 0xfc, 0x4a, 0x12, 0x27, 0x22, 0x17, 0x65, 0x8b, 0x17, 0x00, 0xac,
+  0x9d, 0xbd, 0x47, 0x70, 0xbe, 0xf1, 0x74, 0x5a, 0xd0, 0x4c, 0xb1, 0x01,
+  0xd4, 0x46, 0xca, 0x50, 0x69, 0x97, 0xc6, 0x98, 0x9a, 0x89, 0x4a, 0x9a,
+  0x13, 0xac, 0x83, 0xe9, 0x16, 0x61, 0xe5, 0x98, 0x94, 0x51, 0x36, 0x44,
+  0x72, 0xac, 0x80, 0x9a, 0x0e, 0xa4, 0x56, 0x40, 0xd9, 0xc4, 0x19, 0xf3,
+  0x79, 0xcc, 0x20, 0xf0, 0x52, 0x24, 0x71, 0xc3, 0xfa, 0x74, 0x0c, 0xfb,
+  0x63, 0x58, 0x5d, 0x4d, 0xdc, 0x5c, 0x47, 0xb5, 0xba, 0xac, 0x4c, 0xb7,
+  0xff, 0x3c, 0xe1, 0x16, 0x5c, 0x3e, 0x84, 0x0b, 0x30, 0xd6, 0x37, 0x6f,
+  0x88, 0x0f, 0xc5, 0x8a, 0xf0, 0xb7, 0x65, 0xca, 0x24, 0x2a, 0x11, 0x45,
+  0x47, 0x80, 0x61, 0x2f, 0x34, 0xb8, 0xfc, 0x1a, 0xe1, 0x1b, 0xea, 0xef,
+  0xce, 0x9d, 0x64, 0xd0, 0x80, 0xa3, 0x05, 0x92, 0xd2, 0xc0, 0x50, 0x43,
+  0x01, 0x78, 0x39, 0x5b, 0x86, 0xd8, 0x69, 0xfd, 0x21, 0x8f, 0x84, 0x5a,
+  0xed, 0xa3, 0x8d, 0xb6, 0xbb, 0xdf, 0x63, 0x76, 0xf6, 0xa5, 0xc8, 0x8c,
+  0x97, 0x67, 0x30, 0x1c, 0xc8, 0x1d, 0x32, 0x02, 0x03, 0x6f, 0x12, 0xdc,
+  0x98, 0x06, 0x94, 0x3c, 0x73, 0xd8, 0x4a, 0x24, 0x33, 0xd7, 0x11, 0x2f,
+  0x9e, 0x46, 0x2f, 0x3f, 0x10, 0x33, 0xaa, 0x65, 0x4d, 0xd4, 0x4c, 0x32,
+  0x3c, 0x3b, 0xfc, 0x66, 0xf8, 0xf4, 0x83, 0xc1, 0xa2, 0xeb, 0xab, 0xbb,
+  0x3e, 0x1a, 0x2e, 0xfa, 0x48, 0x39, 0x85, 0x96, 0xac, 0x09, 0x2e, 0x2c,
+  0x93, 0xd3, 0xa5, 0x56, 0xc0, 0xa1, 0xca, 0xc0, 0xb7, 0x69, 0xb6, 0x74,
+  0x88, 0x4d, 0x91, 0x8f, 0x9a, 0xec, 0x39, 0xb0, 0xb7, 0x55, 0x23, 0x83,
+  0x2c, 0xe1, 0x3d, 0x11, 0xfc, 0xb6, 0xe4, 0x61, 0x3c, 0x5d, 0x16, 0xe9,
+  0xdd, 0x6f, 0x5a, 0xc8, 0x5b, 0x56, 0x3d, 0xfe, 0xa7, 0x96, 0x3d, 0xfe,
+  0xb8, 0x75, 0x6f, 0x30, 0x91, 0x5f, 0xb8, 0xee, 0x6d, 0x45, 0xdc, 0xff,
+  0xef, 0x58, 0xf7, 0x67, 0x7d, 0x07, 0x1f, 0xf4, 0xf2, 0x97, 0x86, 0x4a,
+  0x63, 0x0b, 0x9e, 0x69, 0x68, 0xe9, 0x26, 0xac, 0x5f, 0x49, 0x18, 0x6d,
+  0xca, 0xa5, 0x4a, 0xa6, 0x77, 0xc9, 0x1a, 0x0c, 0x23, 0x98, 0x80, 0xb7,
+  0x3e, 0x78, 0x62, 0xdc, 0x4e, 0x89, 0x5f, 0x5a, 0xf6, 0xaa, 0xbe, 0x76,
+  0xff, 0xc4, 0xce, 0x39, 0x89, 0xc0, 0xef, 0x5d, 0xeb, 0xe6, 0x85, 0x7b,
+  0x27, 0x97, 0xe6, 0xff, 0xd4, 0xce, 0xd5, 0xa4, 0xe5, 0xea, 0x2c, 0x50,
+  0x40, 0xc1, 0xc6, 0x2e, 0x25, 0x7b, 0xe9, 0x5e, 0x9c, 0xa2, 0x8a, 0x8e,
+  0xc3, 0xe9, 0x71, 0x01, 0x44, 0x4d, 0xd4, 0x3a, 0x25, 0x87, 0x4a, 0x85,
+  0x56, 0xdd, 0x0d, 0x57, 0x30, 0x6c, 0xab, 0x41, 0x3c, 0xff, 0xcc, 0x99,
+  0x35, 0x82, 0xe1, 0xc8, 0x40, 0x80, 0x48, 0x19, 0x99, 0x08, 0x7d, 0x81,
+  0x34, 0xda, 0x42, 0x11, 0xa1, 0xb7, 0x03, 0xd4, 0xd2, 0xaa, 0xc3, 0x7c,
+  0x90, 0x64, 0x2a, 0x87, 0xbb, 0x05, 0xc2, 0x73, 0x5d, 0x44, 0xfe, 0xff,
+  0x91, 0x07, 0xbb, 0x8d, 0x3c, 0x2c, 0x28, 0xfe, 0xa3, 0x89, 0xc3, 0x85,
+  0xb2, 0xfd, 0x4b, 0xe4, 0xd1, 0x76, 0xce, 0x36, 0x35, 0x3e, 0x8f, 0x97,
+  0xc9, 0x78, 0xfe, 0x96, 0x2f, 0x97, 0x08, 0x54, 0x4d, 0xdc, 0xea, 0x27,
+  0xe7, 0xdf, 0x3e, 0x87, 0x33, 0x63, 0xd8, 0x04, 0xc5, 0x39, 0x3d, 0x3a,
+  0x38, 0x6f, 0x61, 0x61, 0xd7, 0x74, 0xcb, 0x2f, 0xd2, 0x3e, 0xdb, 0x3f,
+  0x59, 0x30, 0x7d, 0xa9, 0xbf, 0x30, 0x11, 0xb5, 0x89, 0xde, 0xa6, 0x5f,
+  0xd8, 0xf3, 0xe0, 0x7e, 0x8a, 0xa7, 0x81, 0x59, 0xaa, 0xf9, 0x9a, 0xc5,
+  0xf2, 0xf1, 0x6c, 0xb2, 0x2d, 0x7f, 0xf6, 0xaf, 0xfe, 0x36, 0x99, 0x0f,
+  0x1e, 0xa1, 0x95, 0xb8, 0x12, 0xbc, 0xae, 0x05, 0x64, 0xd2, 0x66, 0xbe,
+  0xac, 0xab, 0x6b, 0x57, 0x37, 0xcd, 0xbb, 0x53, 0x15, 0x69, 0x2a, 0x0e,
+  0xa0, 0x57, 0xd6, 0xcd, 0x92, 0x3f, 0x9d, 0x44, 0x0a, 0xea, 0x16, 0x35,
+  0x13, 0x1e, 0xf0, 0xfd, 0xb6, 0x6f, 0xe9, 0x5f, 0xeb, 0xcd, 0xda, 0xe3,
+  0xb0, 0xd3, 0xb6, 0xe6, 0x64, 0x14, 0x22, 0x2b, 0xd7, 0x9e, 0x14, 0xad,
+  0x5f, 0x8a, 0x56, 0xa2, 0xba, 0xa9, 0xbf, 0x22, 0xfa, 0x8a, 0x49, 0xd8,
+  0x80, 0x23, 0x10, 0xc8, 0xe9, 0x72, 0x6c, 0x99, 0x29, 0xe9, 0x7c, 0xbc,
+  0x88, 0x25, 0x79, 0xbd, 0xbe, 0x05, 0x8f, 0xe3, 0xcb, 0x55, 0x67, 0x33,
+  0x4f, 0xea, 0xf1, 0x96, 0x07, 0x45, 0x05, 0x49, 0x47, 0x9e, 0x8b, 0x2c,
+  0xe3, 0x0a, 0xdb, 0x8a, 0x10, 0x28, 0x2d, 0x7d, 0x85, 0x48, 0x15, 0xdc,
+  0x44, 0xf2, 0x48, 0x23, 0xff, 0xbe, 0x74, 0x00, 0x84, 0x51, 0x7e, 0x35,
+  0xde, 0x7d, 0xf1, 0x7c, 0x97, 0xa5, 0xde, 0x55, 0x21, 0x30, 0x55, 0x85,
+  0x36, 0xf3, 0x74, 0xf0, 0x64, 0xfb, 0xe9, 0xe0, 0x69, 0xe4, 0xb1, 0xd9,
+  0x47, 0x49, 0x6b, 0x4a, 0x6e, 0x32, 0x46, 0x3a, 0xff, 0x48, 0x8f, 0xdc,
+  0xdb, 0xe3, 0x43, 0xab, 0x1a, 0x8b, 0x24, 0xd5, 0x2a, 0x2c, 0xa5, 0x56,
+  0x35, 0xe5, 0xc5, 0x93, 0x52, 0x08, 0xed, 0xa8, 0xde, 0xad, 0xcb, 0xe2,
+  0xf3, 0x8d, 0x11, 0xb6, 0x32, 0xd7, 0x39, 0xd3, 0xba, 0x12, 0xcb, 0xba,
+  0xd1, 0xf2, 0x67, 0x2d, 0x91, 0x78, 0xf5, 0xb5, 0x09, 0x56, 0x6e, 0xf0,
+  0x81, 0x9d, 0x29, 0x27, 0xc4, 0x5b, 0xdb, 0x9d, 0xc6, 0x17, 0xae, 0xda,
+  0x11, 0x31, 0x0c, 0x14, 0x9f, 0x2f, 0x14, 0x80, 0x89, 0x5f, 0xb1, 0x78,
+  0xb1, 0x4a, 0x24, 0x91, 0xd9, 0xba, 0xd7, 0x86, 0x0c, 0x06, 0x70, 0x46,
+  0x02, 0xe7, 0x07, 0x70, 0xfd, 0x6e, 0xbf, 0x6b, 0x57, 0x85, 0x19, 0xcb,
+  0x83, 0x0a, 0xb2, 0x86, 0xf8, 0xb4, 0xfe, 0xd0, 0x6b, 0x51, 0x0e, 0x44,
+  0xb5, 0x88, 0x5d, 0x87, 0x9d, 0x24, 0x0e, 0x06, 0x8d, 0x38, 0xca, 0x0d,
+  0x33, 0x3d, 0xb5, 0xe2, 0x4c, 0x92, 0x71, 0x53, 0xc7, 0x72, 0x40, 0x1f,
+  0xf4, 0xfc, 0x38, 0x5e, 0xc4, 0xa3, 0x74, 0x9a, 0x96, 0x69, 0x4b, 0x78,
+  0xde, 0xaf, 0x28, 0xfb, 0x95, 0xe3, 0x45, 0x7f, 0x9e, 0xb5, 0xd9, 0x08,
+  0x2f, 0xb9, 0xec, 0x49, 0x00, 0x76, 0xfb, 0xfe, 0xed, 0xd9, 0xd1, 0xf1,
+  0xe9, 0xc1, 0x0f, 0xe6, 0xf5, 0x76, 0xa1, 0xc7, 0xa8, 0x1d, 0x9b, 0xc4,
+  0xc5, 0xea, 0x7d, 0x91, 0x94, 0xf4, 0xe5, 0xe6, 0x93, 0x2d, 0xf6, 0x47,
+  0xd5, 0xaf, 0x59, 0x56, 0xbf, 0xc2, 0x5a, 0x08, 0x6a, 0xb0, 0xf5, 0xf3,
+  0xa8, 0x91, 0xc9, 0x6e, 0xc5, 0xd1, 0x50, 0xd2, 0xfd, 0x5a, 0x26, 0xd3,
+  0x79, 0x52, 0x2a, 0xf0, 0x7d, 0xf4, 0xf2, 0xec, 0xfc, 0xf2, 0xd5, 0x5d,
+  0x3c, 0xad, 0x93, 0x0c, 0x03, 0x09, 0x69, 0x8b, 0x85, 0x51, 0x88, 0xbc,
+  0x19, 0x84, 0x30, 0x0e, 0x5d, 0xac, 0xa0, 0x3d, 0xd9, 0x06, 0x56, 0x71,
+  0x79, 0xf9, 0xc3, 0xf9, 0xf1, 0xab, 0x97, 0xac, 0x32, 0x7f, 0xce, 0x8a,
+  0xbe, 0x9a, 0x4a, 0xa0, 0x41, 0xf3, 0x3a, 0xaf, 0x16, 0xcd, 0xeb, 0xfb,
+  0xfb, 0xa3, 0x93, 0xe1, 0xf9, 0xe9, 0xd9, 0xe1, 0xab, 0x97, 0xdf, 0xb3,
+  0x81, 0x95, 0x0b, 0x6a, 0x04, 0xef, 0xba, 0xcf, 0x5c, 0x1c, 0x54, 0x13,
+  0x09, 0xf8, 0xf8, 0xbb, 0xf7, 0xc7, 0x6f, 0xbf, 0x7d, 0xf5, 0xf2, 0x2e,
+  0xce, 0x7b, 0x3c, 0x3f, 0x79, 0x9b, 0x13, 0x9a, 0x5b, 0xea, 0x2e, 0x54,
+  0xf6, 0x92, 0x73, 0x0f, 0x46, 0xd3, 0x5b, 0xa9, 0xc1, 0x83, 0xc2, 0x37,
+  0x8d, 0x00, 0x84, 0x4b, 0xc4, 0x69, 0xb3, 0xd1, 0x82, 0x7f, 0x8b, 0xbe,
+  0x3c, 0xfd, 0x86, 0xdd, 0x5b, 0xee, 0x6e, 0x46, 0x94, 0x2b, 0x91, 0xc9,
+  0xe7, 0xcf, 0x76, 0xf7, 0xb6, 0x82, 0x92, 0x1a, 0xec, 0x24, 0xa7, 0x11,
+  0xdf, 0x36, 0x8c, 0x26, 0x3f, 0x1b, 0xe2, 0xac, 0x07, 0xbb, 0xd6, 0x5a,
+  0xe2, 0x7c, 0x03, 0x08, 0xb0, 0x74, 0x1e, 0xcf, 0xb9, 0x90, 0x22, 0x42,
+  0x94, 0x38, 0x32, 0xa3, 0x04, 0x82, 0x08, 0x3b, 0xb0, 0x1b, 0x79, 0xb8,
+  0x97, 0x3e, 0x9a, 0x75, 0xc0, 0xc6, 0x6c, 0xbb, 0xa1, 0x69, 0x38, 0xea,
+  0xf7, 0x6e, 0x27, 0xe4, 0x5f, 0xfb, 0x60, 0xb4, 0x27, 0xc1, 0x87, 0xb0,
+  0x56, 0x97, 0x8c, 0xce, 0xbe, 0x60, 0xd7, 0xe5, 0x23, 0x31, 0x2f, 0x58,
+  0x3f, 0x8f, 0x73, 0x5c, 0x65, 0x56, 0x81, 0xff, 0x49, 0xc9, 0xd4, 0x21,
+  0xae, 0xbd, 0xbb, 0x38, 0x5d, 0xc3, 0xbe, 0x5c, 0x4d, 0x79, 0x8f, 0xfd,
+  0x66, 0xd5, 0xe1, 0x5d, 0xc3, 0xc0, 0x59, 0x3b, 0x74, 0xfb, 0x11, 0x5b,
+  0xfd, 0xed, 0x47, 0x1c, 0x60, 0x92, 0x75, 0x07, 0x67, 0xbe, 0xab, 0xbb,
+  0x03, 0x5a, 0x10, 0xd4, 0x5d, 0x9a, 0x42, 0x8a, 0x24, 0xdc, 0x6d, 0x63,
+  0x08, 0xbc, 0x7e, 0x1b, 0x6b, 0x02, 0xe1, 0x22, 0x71, 0xc3, 0x28, 0x96,
+  0x4c, 0x26, 0xc8, 0xd3, 0x18, 0x8f, 0x65, 0x21, 0x56, 0x67, 0xa1, 0x48,
+  0x34, 0x1b, 0x2d, 0x50, 0x86, 0x42, 0x50, 0x37, 0x1c, 0x9f, 0x54, 0xba,
+  0x8a, 0xdc, 0xd8, 0xbb, 0x6a, 0x04, 0x9a, 0x11, 0x69, 0xe0, 0x11, 0xac,
+  0x0b, 0x12, 0x1a, 0x67, 0xe4, 0x93, 0x52, 0xc4, 0xe8, 0xcc, 0x5a, 0x06,
+  0x87, 0x33, 0x4f, 0x57, 0x41, 0xd8, 0x82, 0x6c, 0x6c, 0x10, 0x12, 0xde,
+  0x30, 0x5b, 0xb3, 0xc9, 0x68, 0xe0, 0xe8, 0xcd, 0x08, 0x0d, 0x52, 0x02,
+  0xfb, 0xaf, 0x36, 0x87, 0x5b, 0x4a, 0xc6, 0x42, 0x6e, 0xe7, 0xef, 0x7c,
+  0x92, 0x4f, 0x5b, 0xf5, 0xa9, 0x75, 0x04, 0xe8, 0xd4, 0x6d, 0xbf, 0x50,
+  0x9d, 0x7e, 0x87, 0x41, 0x0c, 0xd5, 0x5e, 0x09, 0x08, 0x43, 0x3b, 0x6e,
+  0x74, 0x4b, 0x71, 0x99, 0x18, 0x9f, 0x44, 0x14, 0xb7, 0xe2, 0xf0, 0x49,
+  0xbc, 0x6d, 0x74, 0x30, 0x85, 0x77, 0x99, 0x78, 0xe3, 0xaa, 0x57, 0xef,
+  0x63, 0xd0, 0x89, 0x2a, 0x48, 0x89, 0x62, 0x3f, 0xdd, 0x6a, 0x60, 0x8a,
+  0xae, 0x30, 0xf4, 0xd0, 0x16, 0x10, 0xe6, 0xc3, 0xf2, 0x50, 0x6b, 0x43,
+  0x43, 0x80, 0x05, 0x58, 0x49, 0x33, 0x1f, 0x1c, 0x72, 0x03, 0x52, 0x71,
+  0xa5, 0x68, 0x0b, 0xa7, 0xba, 0xc0, 0x95, 0xe5, 0x42, 0x98, 0x14, 0x2d,
+  0x5f, 0xec, 0xc2, 0xda, 0x26, 0x84, 0xb0, 0x36, 0xdc, 0x11, 0xd9, 0xc4,
+  0x96, 0x45, 0xb5, 0x2a, 0x8e, 0x96, 0x73, 0xc0, 0x6c, 0xa0, 0x7f, 0xe9,
+  0x41, 0xf8, 0x18, 0x42, 0xaf, 0x25, 0x59, 0x47, 0x81, 0x9d, 0xfb, 0x97,
+  0x0d, 0x48, 0x23, 0x7e, 0x61, 0x11, 0xa7, 0x79, 0x10, 0x4a, 0x83, 0xf0,
+  0x35, 0x9e, 0xbb, 0x50, 0x92, 0x06, 0x3e, 0x42, 0xea, 0x1d, 0x08, 0x69,
+  0xc3, 0x4f, 0xb2, 0xb6, 0xa4, 0x44, 0xe7, 0x7a, 0x9a, 0x8d, 0x46, 0x34,
+  0xa9, 0x8e, 0x49, 0xa4, 0x34, 0xc2, 0x38, 0xbf, 0x86, 0x92, 0xd6, 0x33,
+  0xbc, 0x2b, 0x7f, 0x58, 0x01, 0x97, 0x8a, 0xbe, 0xd6, 0x45, 0xfa, 0x6b,
+  0x1d, 0xb1, 0xcc, 0xe3, 0x5f, 0x03, 0xc8, 0x34, 0xac, 0x49, 0x29, 0xee,
+  0x6f, 0x7c, 0x1e, 0x59, 0xff, 0x75, 0x8e, 0x5f, 0xae, 0x38, 0x56, 0xd2,
+  0x5d, 0x9f, 0xca, 0x7c, 0xc0, 0x72, 0x14, 0xc3, 0x32, 0x6d, 0x09, 0xb6,
+  0xe7, 0x09, 0xd3, 0x04, 0x3a, 0x7f, 0xe7, 0x51, 0xec, 0xf6, 0xf8, 0xdf,
+  0xbd, 0x7f, 0x74, 0x0c, 0xa9, 0x94, 0xb1, 0xa2, 0x65, 0xf0, 0x25, 0xa3,
+  0x43, 0x16, 0x06, 0x8f, 0xda, 0x82, 0x86, 0xca, 0x15, 0xbc, 0xd6, 0xb6,
+  0x9e, 0xce, 0xae, 0x7f, 0xdc, 0xed, 0xef, 0xee, 0xec, 0xec, 0xfc, 0x34,
+  0x58, 0xf0, 0xd2, 0x5d, 0xa1, 0x79, 0xfa, 0x77, 0xb0, 0x48, 0xc7, 0x1c,
+  0xf2, 0x42, 0x9b, 0x99, 0xc6, 0xdc, 0xf4, 0xb6, 0xf4, 0xb7, 0x1d, 0x5e,
+  0x9f, 0x39, 0x27, 0xef, 0xb4, 0xf2, 0x71, 0x07, 0x48, 0x4d, 0x47, 0xe2,
+  0x6a, 0xa9, 0xe0, 0xf5, 0x2c, 0x77, 0x4f, 0x96, 0x12, 0x8d, 0x20, 0xd1,
+  0x1a, 0xea, 0x26, 0xe6, 0xcd, 0x26, 0x52, 0x95, 0x62, 0x60, 0x7c, 0xe3,
+  0xf5, 0x5a, 0x2b, 0x17, 0xe3, 0xdb, 0x44, 0x50, 0x7d, 0x38, 0x0f, 0x36,
+  0xa8, 0xde, 0xd2, 0x73, 0x89, 0x01, 0x38, 0xb0, 0x4a, 0xf7, 0x72, 0x6e,
+  0x9b, 0x40, 0xc3, 0x7c, 0xcc, 0x48, 0xfa, 0xe4, 0xaf, 0x8d, 0xcb, 0xb9,
+  0x7a, 0x11, 0x56, 0xbd, 0x22, 0x91, 0xfc, 0xd2, 0x3a, 0x72, 0x69, 0x9b,
+  0x82, 0xee, 0x4d, 0x1d, 0xa1, 0x99, 0x03, 0xc1, 0xfc, 0xfd, 0x3b, 0x81,
+  0x34, 0x1e, 0x65, 0x05, 0xbc, 0xf5, 0xba, 0x68, 0x0d, 0xe5, 0xa7, 0x18,
+  0xa7, 0xe9, 0x6f, 0x2a, 0xb5, 0xa2, 0x57, 0x74, 0xf3, 0xf8, 0x86, 0xc5,
+  0xb2, 0x5d, 0xb2, 0x5b, 0xe1, 0x66, 0xf9, 0xdd, 0x12, 0x73, 0x87, 0xdb,
+  0xaf, 0xff, 0x83, 0x36, 0x8c, 0xab, 0x1b, 0x36, 0xaa, 0x3d, 0x61, 0xaa,
+  0xa2, 0x28, 0x4e, 0x93, 0x98, 0x83, 0x8a, 0xcd, 0x4c, 0x73, 0x93, 0x3c,
+  0x88, 0xc0, 0xd0, 0x84, 0x09, 0x10, 0x9f, 0x2e, 0x7b, 0x4d, 0x54, 0xef,
+  0x3b, 0x18, 0x1e, 0x9e, 0x9c, 0x54, 0x14, 0x62, 0x5e, 0xbc, 0x01, 0x43,
+  0xa0, 0x8b, 0x9b, 0xa5, 0x98, 0xd1, 0x2a, 0xb2, 0x93, 0x07, 0xc3, 0x6d,
+  0xc8, 0x29, 0x1c, 0x92, 0x86, 0xf4, 0x51, 0x46, 0x20, 0x8f, 0x8b, 0xd4,
+  0x62, 0x00, 0x63, 0xc9, 0xfd, 0x5a, 0xce, 0x59, 0xa2, 0xe0, 0xc0, 0x98,
+  0x9b, 0x25, 0x1d, 0xc9, 0xe2, 0x23, 0x4d, 0x6f, 0x1f, 0x4b, 0x8f, 0xbf,
+  0x3d, 0xe9, 0xb5, 0x04, 0x3b, 0x9d, 0xe7, 0x1a, 0x53, 0x26, 0xa1, 0x2f,
+  0x91, 0x44, 0x2a, 0x31, 0x6e, 0x39, 0xdf, 0x1a, 0x42, 0x81, 0x19, 0x8a,
+  0x09, 0x61, 0xb4, 0xb8, 0x52, 0x0c, 0x40, 0xab, 0x05, 0x69, 0x47, 0xf5,
+  0x84, 0xa2, 0x8e, 0x9b, 0xff, 0xb4, 0x22, 0x85, 0x5a, 0x8d, 0xa0, 0xe8,
+  0x25, 0xff, 0xbb, 0x6f, 0x05, 0x7a, 0xd6, 0x95, 0xde, 0x74, 0x99, 0x28,
+  0xcd, 0x92, 0x3e, 0x21, 0xb0, 0xaf, 0x5c, 0xb7, 0x8f, 0x83, 0xb9, 0x0f,
+  0xa2, 0x33, 0xb7, 0x2f, 0xbe, 0x28, 0x20, 0xda, 0xac, 0x57, 0x28, 0x5b,
+  0x07, 0xec, 0x8e, 0xf4, 0xc3, 0xeb, 0x54, 0x09, 0xdf, 0x8f, 0x6b, 0xd3,
+  0x8c, 0x8b, 0x6c, 0x8f, 0xcc, 0x45, 0x7b, 0xa6, 0x9b, 0x78, 0x9a, 0xcd,
+  0xb7, 0x5a, 0x97, 0x0a, 0x5b, 0x45, 0x82, 0x26, 0xc7, 0x90, 0x89, 0xf5,
+  0xce, 0x15, 0x05, 0x6c, 0x8b, 0x03, 0x40, 0xf0, 0x0b, 0xe4, 0x5a, 0x2e,
+  0xe9, 0x71, 0x7e, 0xd2, 0xd7, 0x30, 0x48, 0x45, 0xde, 0x97, 0x6c, 0x37,
+  0x01, 0xb6, 0xaf, 0xe3, 0xda, 0xb4, 0x2d, 0x84, 0xcf, 0xa7, 0x16, 0xd4,
+  0xe8, 0x0a, 0xf4, 0xd5, 0x72, 0x51, 0x9b, 0x9b, 0x70, 0x1b, 0x1b, 0x5f,
+  0x5d, 0xa8, 0x44, 0xe2, 0xb3, 0x60, 0x5c, 0x84, 0xca, 0xde, 0x48, 0xab,
+  0xe0, 0xb9, 0x34, 0x49, 0xb5, 0x28, 0xc8, 0x35, 0x8e, 0x95, 0x69, 0x83,
+  0x35, 0x0a, 0x48, 0x7e, 0x9f, 0x78, 0xce, 0x32, 0xda, 0xef, 0xfc, 0x86,
+  0x27, 0xe3, 0x9d, 0x59, 0xc0, 0x7f, 0x7d, 0x82, 0x6c, 0x80, 0xfc, 0xb7,
+  0x12, 0xe4, 0xff, 0xbf, 0xd7, 0x7e, 0xaf, 0xdf, 0xfd, 0xb6, 0x7b, 0xdd,
+  0xe7, 0x79, 0xbf, 0x24, 0xa1, 0x6f, 0xdd, 0xbe, 0xc6, 0x10, 0x22, 0x0d,
+  0xe4, 0xbf, 0x01, 0xd7, 0x0a, 0xb5, 0x8b, 0xaf, 0x9c, 0x1b, 0x5a, 0x22,
+  0x17, 0x07, 0xd5, 0x44, 0xc7, 0x30, 0x58, 0x0c, 0x93, 0xd4, 0xa9, 0xd1,
+  0xcd, 0x62, 0x4b, 0x12, 0x12, 0x82, 0xd4, 0xf5, 0x0f, 0x54, 0x72, 0x30,
+  0x35, 0x45, 0x1c, 0x5e, 0x95, 0x04, 0x63, 0x49, 0x7f, 0xe5, 0xb0, 0x10,
+  0x03, 0x90, 0x80, 0x88, 0xde, 0xb6, 0xb8, 0x3c, 0x21, 0x0e, 0x70, 0x17,
+  0xa3, 0x60, 0xcf, 0x05, 0x29, 0x85, 0xc5, 0x13, 0x14, 0x8c, 0xe2, 0x03,
+  0x78, 0xf0, 0x6a, 0x72, 0x0a, 0xd6, 0x33, 0xb8, 0xc6, 0xda, 0xcb, 0xaa,
+  0x8a, 0xe1, 0x92, 0xd7, 0x12, 0x32, 0x0a, 0xd0, 0x57, 0xed, 0x2a, 0xd9,
+  0x2e, 0xe3, 0xe9, 0x6d, 0xcc, 0x12, 0xc9, 0x20, 0x7a, 0x23, 0xeb, 0xea,
+  0x8b, 0xde, 0x36, 0xe2, 0x3f, 0x46, 0xcb, 0xeb, 0x6b, 0xa0, 0x4b, 0x1e,
+  0xc8, 0x0d, 0x54, 0x18, 0x40, 0x04, 0x0c, 0x93, 0xdd, 0xcf, 0xbb, 0x1a,
+  0xc8, 0xd9, 0xb9, 0xa1, 0xcb, 0x9a, 0x16, 0x89, 0xc5, 0xa1, 0x8e, 0xd6,
+  0xc2, 0x6e, 0x64, 0x79, 0x31, 0xfd, 0xf7, 0xa2, 0xee, 0xcb, 0xf6, 0x97,
+  0x48, 0x41, 0x4f, 0x68, 0x54, 0x52, 0x07, 0xc5, 0xa9, 0xff, 0xb4, 0x86,
+  0x37, 0x29, 0x5d, 0x68, 0xf3, 0x66, 0xf0, 0x96, 0x16, 0x56, 0x83, 0x87,
+  0x40, 0x02, 0x7a, 0xe3, 0xd6, 0x41, 0xfe, 0xd1, 0xfa, 0x33, 0xc8, 0x58,
+  0xa4, 0x40, 0x5e, 0x65, 0x8d, 0xe4, 0x7a, 0x4d, 0x7f, 0xd2, 0xfe, 0x1f,
+  0x2d, 0xba, 0x95, 0x1a, 0xb7, 0x10, 0x59, 0x08, 0x94, 0xa7, 0x78, 0x4b,
+  0x32, 0xa9, 0xc2, 0x17, 0x98, 0x50, 0xa9, 0xa7, 0x2e, 0x25, 0xf6, 0x53,
+  0xda, 0x46, 0x11, 0x15, 0x13, 0x2f, 0xfe, 0x78, 0xb8, 0x48, 0xb3, 0x08,
+  0x73, 0x79, 0x50, 0x2d, 0x28, 0xb1, 0xee, 0x6a, 0x34, 0x93, 0x87, 0x3f,
+  0x35, 0x45, 0x89, 0x4a, 0x6b, 0x5a, 0xf5, 0x15, 0xb7, 0x26, 0x3f, 0x68,
+  0x15, 0xfb, 0xd4, 0xaa, 0xda, 0x6b, 0xa2, 0x48, 0x20, 0x51, 0xca, 0xc1,
+  0x88, 0x38, 0x39, 0xa4, 0x2a, 0x44, 0x9b, 0xcd, 0xfc, 0x9f, 0x95, 0xc3,
+  0x2a, 0x8d, 0x3d, 0x22, 0x88, 0x01, 0xdc, 0x6d, 0xe8, 0x82, 0x8c, 0x04,
+  0x53, 0xda, 0xc2, 0xfe, 0x10, 0x57, 0x14, 0x9c, 0x8a, 0xa0, 0x7e, 0x4a,
+  0xb3, 0x52, 0x1b, 0x84, 0xa3, 0x4a, 0xc5, 0x4b, 0x31, 0x28, 0x8b, 0x6e,
+  0x2d, 0xf6, 0x2e, 0x17, 0x61, 0x6e, 0x68, 0xd6, 0x29, 0x0c, 0x5a, 0xc5,
+  0xa0, 0xad, 0xda, 0x81, 0x06, 0xd9, 0x89, 0x58, 0xa6, 0xbb, 0xa8, 0x49,
+  0x3d, 0xac, 0x42, 0x58, 0x13, 0x1c, 0x7c, 0x0f, 0xaa, 0x77, 0xd1, 0xeb,
+  0x4d, 0x69, 0x1a, 0x85, 0x9c, 0x9e, 0xe4, 0x13, 0x08, 0xd0, 0x2b, 0x2d,
+  0x1e, 0x93, 0xa2, 0x6a, 0xc7, 0xfc, 0xd6, 0x82, 0x96, 0x24, 0xdf, 0x20,
+  0x19, 0x2f, 0xcb, 0xaa, 0x1d, 0x37, 0x18, 0x93, 0xc6, 0x24, 0x63, 0x48,
+  0x9b, 0x38, 0x03, 0x0a, 0xbe, 0xd8, 0x71, 0x10, 0xd1, 0xfb, 0x9d, 0x2d,
+  0x93, 0xdb, 0xa1, 0xd6, 0xac, 0x43, 0x25, 0x06, 0x91, 0xdb, 0x90, 0x49,
+  0x52, 0x85, 0x91, 0x01, 0xc5, 0xc6, 0xa4, 0x7e, 0x4d, 0x5b, 0xf7, 0x44,
+  0x7e, 0x79, 0x6b, 0xef, 0xaf, 0x25, 0x7f, 0x24, 0xe8, 0xdc, 0x95, 0x1f,
+  0xd0, 0xd4, 0x92, 0x62, 0x0d, 0x30, 0x45, 0xd0, 0x73, 0xc6, 0x28, 0x77,
+  0x21, 0x70, 0xb4, 0xbd, 0x6a, 0x8b, 0xbf, 0xdf, 0x44, 0x3f, 0xba, 0x7b,
+  0x1e, 0x98, 0x6f, 0x98, 0x01, 0xe3, 0x23, 0x5d, 0xce, 0xb4, 0xa9, 0x46,
+  0xdc, 0xe6, 0xa3, 0xa7, 0xf4, 0xe3, 0x1b, 0xfe, 0x61, 0x65, 0x9f, 0x19,
+  0x2b, 0xcb, 0xcc, 0x17, 0x4d, 0xe0, 0x03, 0x2e, 0x0d, 0x27, 0xe7, 0x7e,
+  0x08, 0x2a, 0x7a, 0x8d, 0x5f, 0xf2, 0xe4, 0x91, 0x77, 0x68, 0x6e, 0x3f,
+  0xb3, 0x03, 0x71, 0x59, 0x66, 0x4c, 0x89, 0x63, 0x24, 0x6a, 0xcc, 0x18,
+  0x59, 0xd5, 0x11, 0x8c, 0xfe, 0xa9, 0x1e, 0xaa, 0x02, 0x47, 0x49, 0x99,
+  0x4b, 0xba, 0x06, 0xca, 0x69, 0x7d, 0x7f, 0x52, 0xf8, 0xaa, 0x15, 0x72,
+  0xf1, 0xd1, 0xb9, 0x3d, 0x56, 0x3e, 0xb7, 0x81, 0x19, 0x59, 0x6b, 0x98,
+  0x97, 0x82, 0x16, 0xf3, 0xd9, 0xc7, 0xad, 0xe2, 0x11, 0xdf, 0x32, 0x76,
+  0x0b, 0x3b, 0x2c, 0x32, 0x2d, 0xda, 0x2a, 0x92, 0x97, 0x2f, 0xda, 0x8a,
+  0x87, 0x55, 0x42, 0x50, 0xf4, 0xe4, 0xf6, 0xc1, 0xe1, 0xd2, 0x43, 0x3c,
+  0x1f, 0x98, 0xcb, 0xad, 0x99, 0x5a, 0x66, 0x74, 0xd1, 0xe6, 0x2b, 0x7f,
+  0xb5, 0x45, 0x74, 0x4d, 0x0e, 0x04, 0x8d, 0x1a, 0x9d, 0xaf, 0x49, 0xe0,
+  0x9d, 0x90, 0xd8, 0x33, 0x65, 0x0b, 0xaf, 0xa4, 0x1e, 0xfd, 0xae, 0x51,
+  0x88, 0xba, 0x58, 0xcd, 0xc7, 0x37, 0x47, 0x6f, 0x87, 0xeb, 0x92, 0x78,
+  0xd3, 0xc2, 0x45, 0x2b, 0x73, 0x78, 0x09, 0x3f, 0x4d, 0x42, 0x1c, 0xb3,
+  0x45, 0x48, 0x7f, 0x1a, 0xcd, 0xd2, 0x02, 0xae, 0x71, 0xfe, 0xf6, 0xf8,
+  0xab, 0x33, 0xfb, 0xb1, 0x76, 0xc9, 0x1f, 0x5d, 0xe1, 0x53, 0x4e, 0xd0,
+  0x7d, 0x2c, 0xd7, 0xd9, 0x06, 0xe7, 0x6a, 0x4c, 0x79, 0x2f, 0x04, 0x11,
+  0xe4, 0x94, 0x5f, 0x17, 0x5a, 0xec, 0x29, 0x49, 0xe2, 0xa3, 0x7c, 0x5d,
+  0x16, 0x37, 0x1d, 0xb7, 0xbd, 0xaf, 0xbe, 0x6c, 0xde, 0x56, 0x47, 0x6f,
+  0xd7, 0x74, 0xc7, 0xdf, 0xf4, 0x2d, 0x81, 0x49, 0xaf, 0x68, 0x2d, 0x6c,
+  0x87, 0x6c, 0xf2, 0x96, 0x93, 0x77, 0x7e, 0x62, 0x3f, 0x2a, 0x53, 0xb7,
+  0x2b, 0x91, 0x8f, 0xbb, 0xd0, 0xbc, 0xe0, 0x33, 0x00, 0x9a, 0x64, 0x1a,
+  0xd3, 0x35, 0x19, 0xb5, 0x54, 0xc9, 0x0d, 0xac, 0xfe, 0x0e, 0xd9, 0x4e,
+  0xbc, 0x21, 0x7e, 0x95, 0x15, 0x58, 0xd1, 0x0a, 0x72, 0x21, 0x97, 0x5e,
+  0x2a, 0xbb, 0xcf, 0xd7, 0xa4, 0x5a, 0x37, 0xf5, 0xca, 0xfe, 0x3d, 0x5d,
+  0x52, 0x70, 0x4c, 0xb3, 0x0c, 0x18, 0xbd, 0x94, 0xeb, 0xe8, 0xf3, 0xc6,
+  0x81, 0x10, 0xc4, 0x17, 0xb3, 0x0a, 0x9b, 0x13, 0x10, 0xf7, 0x3a, 0x1b,
+  0x78, 0x1c, 0x66, 0x10, 0x8a, 0xbd, 0x27, 0xa8, 0xa5, 0xc6, 0xd3, 0x14,
+  0x04, 0xa1, 0x46, 0xb0, 0x28, 0xc9, 0x76, 0xde, 0x39, 0x61, 0x61, 0x06,
+  0xd2, 0x75, 0xa4, 0x25, 0x0e, 0xcb, 0xdc, 0xd9, 0x87, 0x59, 0xfe, 0xd5,
+  0xcc, 0x6a, 0x71, 0x76, 0x37, 0x82, 0x0b, 0x1e, 0xd8, 0x5c, 0xf3, 0x60,
+  0x37, 0x53, 0x55, 0x44, 0x76, 0x35, 0xa7, 0x24, 0xb7, 0x5a, 0x1b, 0x0e,
+  0x92, 0x84, 0x5b, 0x63, 0x2a, 0x11, 0x05, 0xd5, 0x91, 0x87, 0x3b, 0xb0,
+  0x8e, 0x71, 0x8e, 0x95, 0x18, 0x80, 0x24, 0x5f, 0x19, 0x89, 0xcd, 0xe3,
+  0x25, 0x1b, 0xae, 0xe0, 0x78, 0x40, 0x79, 0xba, 0xd6, 0xe6, 0x56, 0x7c,
+  0x6f, 0x77, 0xbe, 0x30, 0x73, 0x59, 0xc7, 0xac, 0xe9, 0x1e, 0x80, 0x4c,
+  0xab, 0x72, 0xc4, 0x16, 0x5c, 0x6e, 0x4b, 0xd1, 0xe2, 0x63, 0x14, 0xa7,
+  0x01, 0xaa, 0xe9, 0xa0, 0x2c, 0x53, 0xe7, 0x8b, 0x7e, 0xa7, 0xf5, 0xf6,
+  0x0b, 0x8a, 0x6d, 0x45, 0x0a, 0x93, 0x6d, 0xd6, 0x6e, 0x33, 0xef, 0x49,
+  0x2f, 0xa6, 0x23, 0x31, 0x9c, 0x7e, 0x99, 0x96, 0xcb, 0xb2, 0x11, 0x96,
+  0xa8, 0x19, 0xfa, 0xf0, 0xc8, 0x42, 0x47, 0xe0, 0x05, 0xf7, 0x5e, 0x53,
+  0x08, 0x7b, 0x6c, 0x0e, 0x2c, 0x11, 0x59, 0xa8, 0x36, 0xc6, 0x11, 0xd0,
+  0x10, 0x18, 0xe6, 0xa7, 0x2e, 0xae, 0x1c, 0xf0, 0x45, 0xef, 0x47, 0x87,
+  0xdb, 0xc9, 0xa3, 0x2d, 0x16, 0xd1, 0xef, 0xff, 0x6e, 0x5f, 0x02, 0x92,
+  0xe2, 0x1f, 0xb6, 0x5e, 0x56, 0x08, 0xab, 0x5d, 0xea, 0xfe, 0xbd, 0xb7,
+  0xc9, 0xc8, 0xca, 0x20, 0x4b, 0x90, 0x9b, 0xfb, 0xbd, 0xab, 0x10, 0xea,
+  0x9a, 0x88, 0xe6, 0xc9, 0xbd, 0x48, 0x4a, 0x0d, 0x9d, 0x40, 0x24, 0xcd,
+  0xbf, 0x70, 0x45, 0x5c, 0x7a, 0x85, 0x24, 0x46, 0x76, 0xfc, 0x4b, 0x22,
+  0x9c, 0x90, 0xd7, 0x5f, 0x72, 0x15, 0xed, 0x49, 0xf0, 0xa1, 0x81, 0xb3,
+  0x3c, 0x2a, 0x9f, 0x37, 0xa5, 0x10, 0x76, 0x48, 0xee, 0x63, 0x37, 0x7e,
+  0xdf, 0x17, 0xb8, 0x11, 0xa5, 0x6e, 0x9e, 0x2e, 0x8d, 0xd9, 0x3e, 0xb3,
+  0x22, 0xac, 0xf3, 0x27, 0x7b, 0xfd, 0x40, 0x99, 0xee, 0x35, 0x6a, 0x1a,
+  0xb2, 0xe7, 0x91, 0xe5, 0xa4, 0xa0, 0x4e, 0x1e, 0xd3, 0xf8, 0xef, 0x23,
+  0xad, 0x7c, 0xc4, 0xce, 0x2c, 0x49, 0xea, 0x9a, 0x98, 0x56, 0x1a, 0x14,
+  0xee, 0x6e, 0xd5, 0xe3, 0x5a, 0x89, 0x27, 0xd8, 0x1d, 0x27, 0xdf, 0x58,
+  0x8a, 0xb4, 0x84, 0x88, 0xb4, 0xc5, 0x1b, 0x20, 0x90, 0xc2, 0x8a, 0x8b,
+  0x4a, 0x43, 0x50, 0xa3, 0xe1, 0xad, 0x64, 0x83, 0xb1, 0xd4, 0x9b, 0x83,
+  0x7a, 0xee, 0x9d, 0xf3, 0x70, 0x61, 0xb2, 0x3e, 0xd4, 0x7f, 0xbc, 0x48,
+  0x81, 0xd6, 0x47, 0x91, 0x12, 0x84, 0x5d, 0x78, 0x65, 0xa7, 0x93, 0xe0,
+  0xfc, 0x48, 0xdd, 0x99, 0xc8, 0x45, 0x26, 0xec, 0x3f, 0xde, 0x9c, 0x6a,
+  0x45, 0x8d, 0xe9, 0xb3, 0x4f, 0xe7, 0x3d, 0xd2, 0xf9, 0xdc, 0x6a, 0x10,
+  0x33, 0x49, 0x72, 0x86, 0xcb, 0xaa, 0xe5, 0xfb, 0xf9, 0x89, 0x31, 0x0a,
+  0xbb, 0x6e, 0xe3, 0xe3, 0xbd, 0xc2, 0x32, 0xa1, 0xb5, 0x52, 0x68, 0x25,
+  0xcc, 0xd7, 0x8a, 0xbc, 0x04, 0x92, 0x4b, 0xd8, 0x3a, 0xe0, 0xae, 0xba,
+  0x36, 0xb8, 0xd3, 0xa8, 0x91, 0x2e, 0xf4, 0x19, 0x97, 0xed, 0x41, 0x32,
+  0xc4, 0x34, 0x8d, 0x7d, 0x06, 0xb7, 0x4c, 0x81, 0x07, 0x17, 0xc3, 0xfa,
+  0xca, 0xb2, 0x32, 0x89, 0xba, 0x8f, 0x37, 0xe7, 0xb0, 0x2c, 0x59, 0x2f,
+  0x59, 0xb7, 0x32, 0x02, 0x4e, 0x5a, 0x5f, 0x99, 0xea, 0x82, 0xe8, 0x8a,
+  0x78, 0x8d, 0xb3, 0xc5, 0xdf, 0x1e, 0xad, 0x49, 0xa5, 0x8c, 0xa2, 0x4d,
+  0x43, 0x50, 0x14, 0xcb, 0xd9, 0x96, 0x02, 0x1c, 0xdb, 0x3d, 0xa8, 0xc0,
+  0xc1, 0x1f, 0x6a, 0x0e, 0x79, 0x30, 0x8d, 0x14, 0x95, 0xa7, 0x8d, 0xe8,
+  0x4e, 0xb6, 0xa1, 0xbc, 0x97, 0x24, 0x3f, 0xa7, 0x39, 0xb8, 0x94, 0x3f,
+  0x14, 0x69, 0xd0, 0xec, 0xa7, 0x9e, 0x47, 0x21, 0x16, 0x27, 0x1a, 0xae,
+  0xb0, 0x0f, 0x50, 0x2d, 0x64, 0x21, 0x9e, 0x7d, 0xa2, 0x28, 0x48, 0x30,
+  0xae, 0xbb, 0x0c, 0x27, 0xb9, 0x48, 0xed, 0xe6, 0x9a, 0xa5, 0xd3, 0x0f,
+  0x34, 0x37, 0x4d, 0x55, 0xa9, 0x82, 0x78, 0xb6, 0x6c, 0x3d, 0xc0, 0x98,
+  0x10, 0x73, 0x4e, 0x56, 0xd4, 0x97, 0x1f, 0x28, 0x2b, 0x62, 0x43, 0xaa,
+  0x4e, 0x14, 0x71, 0xea, 0x25, 0xbd, 0x6e, 0x86, 0x3e, 0x71, 0xaf, 0x96,
+  0x71, 0xfe, 0x81, 0x5d, 0x94, 0x4c, 0x51, 0x44, 0xd5, 0x7a, 0x21, 0x12,
+  0x96, 0x0f, 0x54, 0xae, 0x50, 0xe1, 0xa0, 0x7d, 0xc8, 0x55, 0xd2, 0xb2,
+  0xac, 0x25, 0x0d, 0x37, 0xac, 0x8f, 0xcb, 0xd5, 0xb3, 0xf9, 0x45, 0x83,
+  0x0a, 0x8a, 0x9e, 0x47, 0x1e, 0xb8, 0xc9, 0xc2, 0x56, 0x24, 0x64, 0x7b,
+  0x33, 0xcb, 0x1f, 0x6f, 0x4e, 0x89, 0xf2, 0x23, 0x66, 0x14, 0x2f, 0x16,
+  0xda, 0xdb, 0x87, 0x37, 0xe1, 0x37, 0x99, 0xaf, 0x96, 0xa7, 0xdb, 0x26,
+  0xc6, 0x1b, 0xd9, 0xc4, 0xb7, 0xd9, 0x68, 0x59, 0xdc, 0x48, 0x56, 0x79,
+  0x16, 0x7d, 0x98, 0x67, 0x05, 0xc0, 0xfb, 0xb5, 0x49, 0x3f, 0x52, 0x37,
+  0x2f, 0x5c, 0x06, 0xc6, 0xd4, 0x53, 0x9e, 0xf6, 0x3f, 0xb4, 0x0e, 0x12,
+  0xa5, 0x64, 0xf9, 0x87, 0x3c, 0x09, 0x08, 0x0a, 0x2e, 0xe9, 0x9a, 0xce,
+  0x22, 0xa9, 0x5e, 0x83, 0x0f, 0x8d, 0x2e, 0x2d, 0xbc, 0x65, 0x25, 0x86,
+  0xd3, 0x26, 0xe9, 0xd7, 0x41, 0x26, 0x05, 0xb0, 0x80, 0xc3, 0x47, 0x3f,
+  0xc8, 0x19, 0xb4, 0x06, 0xbb, 0x00, 0xdb, 0x7b, 0x29, 0x68, 0x6c, 0xce,
+  0xd8, 0x40, 0xc4, 0x6c, 0x89, 0xa9, 0xad, 0x37, 0xc7, 0x66, 0x13, 0xb1,
+  0x2e, 0xdf, 0xb1, 0xe2, 0xb6, 0x86, 0x24, 0x2d, 0x48, 0x73, 0xdd, 0xc9,
+  0x07, 0x04, 0x35, 0xaf, 0xb3, 0xe6, 0x8f, 0x07, 0xd5, 0xdb, 0x1e, 0xef,
+  0x9f, 0x38, 0xdc, 0xc2, 0x2d, 0x8f, 0x9c, 0x7e, 0xe1, 0x3f, 0x3d, 0x47,
+  0x79, 0x3d, 0x48, 0xa2, 0x1f, 0x47, 0x0a, 0x52, 0x2b, 0xc0, 0x65, 0x8c,
+  0xd6, 0xf2, 0x49, 0x11, 0xbe, 0xc8, 0x5f, 0x6a, 0x4d, 0xcb, 0xfb, 0xb8,
+  0xf8, 0xd0, 0xe8, 0x62, 0xd1, 0xc6, 0xaa, 0x8b, 0x20, 0xd6, 0x1f, 0x8d,
+  0x94, 0x01, 0x51, 0x47, 0x62, 0xd4, 0xfa, 0x18, 0xae, 0xae, 0x39, 0xe1,
+  0x48, 0x05, 0x77, 0x61, 0x2a, 0xc1, 0x7a, 0x85, 0xf9, 0x91, 0x1f, 0xbc,
+  0xc6, 0xdb, 0x92, 0x27, 0x31, 0x56, 0x8c, 0xfc, 0xe3, 0x8f, 0xcf, 0xaf,
+  0xce, 0xcb, 0x03, 0x5c, 0x20, 0xc0, 0xe9, 0x34, 0x0f, 0xcf, 0x48, 0x8f,
+  0xd6, 0x07, 0xd6, 0x8c, 0x63, 0x28, 0xe5, 0x12, 0x0c, 0x8f, 0x51, 0x9d,
+  0x41, 0x58, 0xc5, 0xb7, 0x66, 0x96, 0x7e, 0x8b, 0xac, 0xa2, 0x3b, 0x50,
+  0x41, 0x52, 0x9d, 0x27, 0xc9, 0xc4, 0x50, 0xb3, 0x48, 0x30, 0xe1, 0xe3,
+  0x53, 0x26, 0x1f, 0xc3, 0xe4, 0x0a, 0xda, 0xc2, 0x26, 0xba, 0x58, 0xfa,
+  0x73, 0xf2, 0xde, 0x40, 0x5e, 0x42, 0xe1, 0xc0, 0xa7, 0xc7, 0x4b, 0x5c,
+  0xa7, 0x88, 0x3e, 0x2c, 0x9f, 0xdb, 0xd3, 0x2d, 0x27, 0x10, 0xad, 0x69,
+  0x48, 0x55, 0xf4, 0x71, 0xad, 0xad, 0x8d, 0x02, 0x43, 0x5b, 0xea, 0xaf,
+  0x78, 0xb4, 0x2d, 0x0b, 0x80, 0x70, 0xc3, 0x82, 0xe8, 0xfb, 0x81, 0xcd,
+  0x6a, 0x93, 0x8c, 0xd1, 0xa3, 0x2b, 0xd6, 0xa0, 0xcc, 0x5a, 0xe4, 0xa6,
+  0xf5, 0xe3, 0x0f, 0xf4, 0xce, 0xc7, 0x7b, 0x84, 0x39, 0xd1, 0xa4, 0xb6,
   0x8d, 0x66, 0x49, 0x92, 0x64, 0xe2, 0xf7, 0x81, 0xbb, 0x8e, 0xd9, 0xeb,
-  0x17, 0x40, 0xf0, 0xc8, 0x33, 0x81, 0x52, 0x4a, 0x2a, 0x45, 0xb1, 0xcc,
-  0x05, 0xaa, 0xe1, 0xc3, 0xa4, 0xe4, 0x8e, 0xbf, 0xb5, 0xc7, 0xf1, 0xbb,
-  0x3c, 0x19, 0x92, 0xf1, 0xf4, 0x20, 0xad, 0x19, 0x95, 0xdb, 0xcf, 0x70,
-  0x54, 0xfa, 0x61, 0x7d, 0x4c, 0x7e, 0x50, 0xbf, 0x72, 0x54, 0xd2, 0xde,
-  0x47, 0x8c, 0x49, 0xa1, 0x75, 0xde, 0x73, 0x70, 0xb7, 0xb1, 0x84, 0x43,
-  0xf9, 0xac, 0x7f, 0x89, 0xcf, 0x14, 0xd5, 0xd4, 0xd6, 0x3a, 0x99, 0xb8,
-  0xd4, 0xa9, 0x5e, 0xb3, 0x6c, 0x6f, 0xd4, 0x16, 0xc1, 0x0b, 0xb5, 0x62,
-  0xde, 0x84, 0xe2, 0x23, 0x65, 0xc0, 0x84, 0x38, 0x2e, 0x14, 0xf9, 0xd6,
-  0xd9, 0x60, 0x48, 0xd9, 0x8e, 0xdc, 0x17, 0x48, 0x90, 0x57, 0xb5, 0x20,
-  0x47, 0x1e, 0xc1, 0x47, 0xf3, 0x8f, 0x8f, 0x48, 0x38, 0xe7, 0x31, 0x18,
-  0x17, 0x2e, 0xdc, 0x18, 0x30, 0xe9, 0xe0, 0x63, 0xd5, 0x52, 0x92, 0x3c,
-  0xf1, 0x95, 0xd9, 0x3f, 0x46, 0x7d, 0x5b, 0xa7, 0x55, 0x34, 0xc7, 0x61,
-  0x9d, 0xbd, 0x17, 0x9d, 0x45, 0x8a, 0xc0, 0x54, 0x88, 0x1c, 0xcb, 0x88,
-  0xc5, 0xb0, 0x68, 0x91, 0xfe, 0xa9, 0x57, 0x63, 0x3f, 0x34, 0x0e, 0x9d,
-  0x8a, 0x22, 0x13, 0x55, 0xab, 0xc3, 0x23, 0x73, 0x1c, 0x3a, 0xe1, 0x98,
-  0xd3, 0xf5, 0x58, 0x09, 0xff, 0xc0, 0x65, 0xeb, 0x1a, 0xd4, 0xfc, 0x27,
-  0xe0, 0x11, 0x48, 0x02, 0x58, 0x23, 0x0f, 0xb5, 0x99, 0xb9, 0x7d, 0x45,
-  0x7a, 0x21, 0xa0, 0x1e, 0xdf, 0x03, 0x12, 0xf1, 0x32, 0x80, 0x29, 0xc7,
-  0x07, 0x66, 0x37, 0x17, 0x6c, 0xaa, 0xe5, 0x42, 0x0a, 0xdf, 0x31, 0x0e,
-  0x43, 0x06, 0x7b, 0xf7, 0x87, 0x0a, 0x1f, 0xb6, 0xa0, 0xaf, 0x5b, 0x8c,
-  0x7d, 0x2d, 0xab, 0xbc, 0xa9, 0xdd, 0x15, 0xc5, 0xf4, 0x3d, 0x3d, 0x99,
-  0x5e, 0xad, 0xde, 0x0b, 0x8b, 0xff, 0x88, 0x2b, 0x54, 0x1e, 0x34, 0xc6,
-  0xc9, 0x3e, 0x15, 0x3a, 0xc6, 0x24, 0xe0, 0x25, 0x24, 0x8e, 0x5d, 0x89,
-  0xed, 0x15, 0x4d, 0xa6, 0xe3, 0x8f, 0xd2, 0xfe, 0x9c, 0x99, 0xc0, 0x9d,
-  0xb8, 0x01, 0x03, 0x18, 0xc1, 0x03, 0xcc, 0x1d, 0x58, 0x5b, 0x1f, 0x96,
-  0xb1, 0xb8, 0x11, 0x8f, 0xca, 0xfe, 0x98, 0xf8, 0xfd, 0xdb, 0xc5, 0x4a,
-  0xb8, 0xbc, 0xd0, 0x8f, 0xab, 0x43, 0x55, 0x4f, 0x11, 0xf0, 0xe5, 0x7e,
-  0x7e, 0x7b, 0x4c, 0x81, 0x8f, 0xf3, 0xf6, 0x26, 0x0f, 0xa9, 0x00, 0xbd,
-  0x84, 0x81, 0x2a, 0x81, 0x85, 0x4b, 0x99, 0x41, 0x91, 0x94, 0x6d, 0xa5,
-  0x84, 0x35, 0xbf, 0xd7, 0x22, 0xef, 0x65, 0x0a, 0x39, 0xd7, 0x45, 0x59,
-  0x93, 0xd1, 0xc2, 0x0d, 0xa1, 0xbb, 0x78, 0xa3, 0x45, 0x6d, 0xf4, 0xd5,
-  0x2b, 0x0a, 0x49, 0xe8, 0x79, 0x40, 0xba, 0x41, 0x07, 0xc1, 0xe6, 0x36,
-  0xe6, 0xb6, 0x64, 0xcb, 0xb7, 0xae, 0x08, 0x44, 0x3c, 0x0d, 0xac, 0xe7,
-  0x81, 0xf6, 0xa0, 0x38, 0x23, 0x1c, 0xc5, 0x7f, 0xa7, 0xb5, 0x15, 0x5d,
-  0x9d, 0xa8, 0x35, 0xf5, 0xb0, 0xc0, 0x76, 0x49, 0xcb, 0xa0, 0xf1, 0x4f,
-  0x01, 0xcf, 0x64, 0x85, 0x9f, 0xc5, 0x62, 0xc4, 0xaf, 0x4b, 0xd4, 0xa4,
-  0xd2, 0x2a, 0x5f, 0x63, 0xf4, 0x6d, 0xd3, 0x04, 0xef, 0x4a, 0x68, 0x39,
-  0x15, 0x26, 0x18, 0xa1, 0x84, 0x12, 0x34, 0x0a, 0x50, 0x38, 0x03, 0x60,
-  0xb3, 0x02, 0x99, 0x94, 0x95, 0xe0, 0xa2, 0x98, 0x6c, 0xed, 0xb3, 0x15,
-  0xab, 0x17, 0x6a, 0xb2, 0x6a, 0x50, 0x62, 0x73, 0x16, 0x12, 0x16, 0xc7,
-  0x74, 0x3d, 0xb0, 0xa1, 0x56, 0xa0, 0x6b, 0x9d, 0xe5, 0x73, 0x58, 0x09,
-  0xd3, 0x40, 0xb0, 0xe2, 0x6e, 0x2f, 0xa8, 0x3a, 0x05, 0x0d, 0xb8, 0x01,
-  0x2f, 0x2a, 0x90, 0xfc, 0x5c, 0x57, 0xa1, 0x01, 0x12, 0xc2, 0xd2, 0xe9,
-  0x7d, 0xbc, 0x32, 0x90, 0x1a, 0x69, 0xa5, 0x8d, 0x68, 0x50, 0x0c, 0xd4,
-  0x62, 0x74, 0xf5, 0xd1, 0xd6, 0xb2, 0xa6, 0x56, 0xbe, 0x60, 0x53, 0x43,
-  0xcf, 0xb7, 0x5c, 0xac, 0x40, 0x42, 0xe7, 0x09, 0xdc, 0x00, 0x3e, 0xa0,
-  0x3f, 0x3f, 0x1a, 0x43, 0xf8, 0x1b, 0xb1, 0x86, 0x1f, 0x10, 0x26, 0x24,
-  0x97, 0xd9, 0xda, 0xea, 0x1a, 0x4c, 0x44, 0x86, 0x9b, 0x9b, 0xc2, 0x8d,
-  0x3a, 0x26, 0xf5, 0x81, 0xb4, 0x10, 0x7b, 0x53, 0xab, 0x35, 0x86, 0x39,
-  0x57, 0x1f, 0x5f, 0x64, 0x10, 0x14, 0xee, 0xf0, 0xf6, 0x2f, 0x2b, 0x79,
-  0x44, 0x75, 0x64, 0x9e, 0x96, 0x3a, 0x02, 0xb5, 0x8a, 0x6f, 0x3a, 0x14,
-  0x04, 0x40, 0xdc, 0xa7, 0x85, 0x46, 0x5d, 0x19, 0xa2, 0x9c, 0x26, 0x73,
-  0x69, 0x0e, 0xc2, 0xd7, 0xc7, 0x97, 0x5b, 0x4d, 0x00, 0xa3, 0x78, 0x12,
-  0x0e, 0x2c, 0x02, 0xa0, 0xa5, 0x1e, 0x09, 0x71, 0x8b, 0x56, 0x52, 0x08,
-  0x69, 0xeb, 0x92, 0x87, 0xc5, 0x34, 0x9e, 0x6b, 0x59, 0xb5, 0x5a, 0x73,
-  0x87, 0xb4, 0x0c, 0xd9, 0x3c, 0x8c, 0x12, 0x0a, 0xe5, 0x87, 0x50, 0xd9,
-  0xe6, 0xf4, 0x1c, 0xf1, 0x29, 0x1d, 0x1d, 0x9f, 0x1e, 0x5f, 0x1e, 0x4b,
-  0xa6, 0x6d, 0x43, 0x24, 0x99, 0xa2, 0xf8, 0x71, 0x99, 0x8c, 0x6f, 0xe6,
-  0x19, 0xdd, 0xbd, 0x12, 0xd2, 0x41, 0x37, 0xfd, 0xf7, 0xc9, 0xe8, 0xe8,
-  0xe0, 0x3b, 0x09, 0x69, 0x28, 0xa2, 0xf3, 0x8b, 0xb3, 0xf3, 0xd7, 0x27,
-  0x6f, 0x8f, 0x7a, 0xd1, 0xe1, 0xd9, 0xf9, 0x8f, 0xbd, 0xe8, 0xcd, 0xd9,
-  0x77, 0xc7, 0x2d, 0x3e, 0x45, 0xf6, 0x67, 0x37, 0x33, 0xce, 0x5e, 0xaf,
-  0xd9, 0xed, 0x10, 0x91, 0x52, 0xb7, 0x3a, 0x58, 0xfc, 0xd3, 0x93, 0xe1,
-  0x25, 0xb6, 0xbe, 0x1e, 0xef, 0x85, 0x90, 0x76, 0x01, 0x54, 0x4f, 0x0b,
-  0x0b, 0xe0, 0xe0, 0x9a, 0x61, 0xbf, 0x1f, 0x55, 0xaf, 0x38, 0xbc, 0x87,
-  0xe5, 0x76, 0xc5, 0xbe, 0xe2, 0x7f, 0x5b, 0x31, 0x13, 0x9d, 0xe6, 0xc1,
-  0xae, 0x6e, 0xad, 0xf8, 0x73, 0x23, 0x79, 0x39, 0xf4, 0xb2, 0xc0, 0x34,
-  0x8d, 0x6a, 0xf2, 0x7a, 0x34, 0x59, 0xe6, 0x4d, 0x89, 0x27, 0x8e, 0x82,
-  0x0e, 0x25, 0x57, 0xa9, 0x57, 0x51, 0xda, 0xd8, 0xfd, 0x58, 0xf8, 0x72,
-  0x1e, 0xd4, 0x7d, 0xf0, 0x42, 0xc3, 0xb1, 0x63, 0x90, 0x95, 0x01, 0x42,
-  0x40, 0x30, 0x24, 0x9b, 0xf6, 0x2e, 0x29, 0xf8, 0x53, 0x46, 0x3c, 0xe2,
-  0x9b, 0x48, 0x0a, 0x40, 0xfd, 0xf8, 0x01, 0x0c, 0x09, 0x8d, 0x32, 0xac,
-  0xe6, 0x04, 0x0a, 0x03, 0x5a, 0x16, 0xbe, 0xc8, 0x4f, 0x0c, 0x1f, 0x10,
-  0xd6, 0xa4, 0xa9, 0x9d, 0x88, 0x12, 0x80, 0x08, 0x87, 0x20, 0xfb, 0x0c,
-  0xf1, 0x90, 0x74, 0xb7, 0xc8, 0x01, 0x21, 0x8e, 0xdf, 0x8b, 0x04, 0x55,
-  0xec, 0x06, 0xa9, 0xfc, 0xfa, 0x5e, 0xbf, 0xc5, 0x40, 0xc2, 0x82, 0xf3,
-  0x1a, 0x7e, 0xfe, 0xdb, 0xd1, 0xc4, 0x8f, 0x8e, 0x26, 0x64, 0x0d, 0x5f,
-  0xe2, 0x8f, 0x5f, 0x45, 0x15, 0x01, 0xa2, 0x97, 0x68, 0x85, 0x9b, 0x24,
-  0xb6, 0x55, 0xc8, 0xa3, 0xdf, 0xc8, 0x6a, 0x98, 0x6c, 0x49, 0x40, 0xbb,
-  0xdf, 0x6b, 0x35, 0xe9, 0xb0, 0x54, 0x54, 0x25, 0x89, 0xe0, 0x19, 0x09,
-  0x3f, 0x68, 0x88, 0x33, 0xb2, 0xc5, 0x12, 0x30, 0x9c, 0x32, 0x14, 0xb3,
-  0x54, 0x98, 0xe7, 0x5c, 0x8d, 0xf2, 0x77, 0x5c, 0xba, 0x5f, 0x38, 0xf3,
-  0x99, 0x1e, 0xef, 0x83, 0xfc, 0x5f, 0x4e, 0x62, 0x98, 0xd8, 0x2c, 0xba,
-  0x68, 0x2d, 0xc2, 0xf8, 0x16, 0x73, 0x53, 0x2d, 0x0b, 0xa9, 0xd6, 0x5b,
-  0x16, 0x3f, 0x38, 0x49, 0x7d, 0xc4, 0x68, 0x7f, 0x5a, 0xbb, 0x63, 0xa2,
-  0xe5, 0xe1, 0x75, 0x89, 0x93, 0xd6, 0x84, 0x41, 0x01, 0x0c, 0xe4, 0xc3,
-  0x47, 0xcf, 0xf6, 0x22, 0x2d, 0xae, 0xb3, 0xa6, 0xbd, 0xc0, 0xd8, 0xd8,
-  0xc0, 0x5a, 0x11, 0xd4, 0x34, 0x40, 0x6f, 0x54, 0xa7, 0x61, 0x52, 0x01,
-  0xea, 0xb8, 0x20, 0x80, 0x84, 0x98, 0x1a, 0x9e, 0x91, 0x18, 0x82, 0x82,
-  0x3b, 0x6d, 0x28, 0xd7, 0x0c, 0x98, 0xab, 0xf1, 0x90, 0x82, 0x11, 0xc1,
-  0x91, 0x0b, 0x0e, 0x35, 0x97, 0xc6, 0xa8, 0xf6, 0x58, 0x8f, 0xba, 0x7a,
-  0x9d, 0x18, 0x7c, 0x42, 0x4b, 0x06, 0x87, 0x73, 0x9b, 0x05, 0x69, 0x92,
-  0x6a, 0x87, 0x35, 0x5e, 0xfb, 0x87, 0x6a, 0xda, 0x3b, 0x35, 0xc7, 0x83,
-  0xe4, 0x94, 0xf7, 0xf6, 0x8c, 0xf7, 0x42, 0xee, 0xab, 0xda, 0x64, 0xf5,
-  0xfe, 0x6a, 0x97, 0x9f, 0x84, 0xef, 0xd4, 0xde, 0x08, 0x6b, 0x43, 0x6d,
-  0xf6, 0xb7, 0x5c, 0xdc, 0x24, 0x30, 0x45, 0x65, 0x97, 0x9b, 0xf6, 0x90,
-  0xd8, 0x83, 0xba, 0xb8, 0xd0, 0xdb, 0x6c, 0x3a, 0x09, 0x76, 0x5b, 0x67,
-  0xca, 0xbd, 0x6d, 0x8b, 0xdd, 0xd3, 0x55, 0xa6, 0x2c, 0x1a, 0xf2, 0x77,
-  0xa3, 0xad, 0x79, 0x72, 0x1f, 0xb6, 0xe5, 0x05, 0x07, 0xd7, 0xde, 0xef,
-  0x19, 0x82, 0xce, 0x28, 0x7c, 0xd0, 0xba, 0x8b, 0x56, 0x54, 0x5e, 0x00,
-  0xf3, 0x39, 0x0c, 0xbf, 0x79, 0x8b, 0x19, 0x83, 0x06, 0xd0, 0x17, 0x5b,
-  0x81, 0xa0, 0x24, 0x1b, 0x34, 0xe9, 0x00, 0xe3, 0xac, 0x8b, 0xc0, 0xa7,
-  0x74, 0x0c, 0x7d, 0xe9, 0x12, 0x03, 0xe1, 0xab, 0x16, 0x9d, 0x0d, 0x6b,
-  0xd5, 0xa3, 0x66, 0x29, 0x67, 0x2b, 0xb6, 0x66, 0xf7, 0x80, 0xd4, 0x5c,
-  0xe7, 0x15, 0xb3, 0x77, 0xd4, 0xe1, 0xf0, 0xf6, 0x51, 0xb1, 0xcc, 0x27,
-  0xcb, 0x59, 0x27, 0xcc, 0x82, 0xef, 0x79, 0xe8, 0xc4, 0x66, 0x85, 0x7b,
-  0xbe, 0x84, 0xa8, 0xcf, 0x67, 0x3b, 0x35, 0x1b, 0xfa, 0x30, 0xa9, 0x80,
-  0x2c, 0x20, 0x49, 0x6c, 0x37, 0xa4, 0x1f, 0x6a, 0xaf, 0x21, 0x24, 0x96,
-  0x7c, 0xaf, 0xfd, 0x8e, 0x9b, 0xb7, 0x43, 0x8b, 0xc9, 0x02, 0xf8, 0xee,
-  0x60, 0xa7, 0x5d, 0xdc, 0x7d, 0xcd, 0xc9, 0x15, 0xbe, 0xd4, 0x74, 0x4a,
-  0xda, 0x2b, 0x0f, 0xb6, 0xf0, 0xb2, 0x9b, 0x44, 0x65, 0xb8, 0x1a, 0xc4,
-  0x76, 0x40, 0xeb, 0x57, 0xc0, 0x95, 0x2b, 0xc7, 0x5b, 0x38, 0xce, 0x80,
-  0xbc, 0xf4, 0x44, 0xcc, 0xe9, 0xfb, 0xd6, 0x44, 0x58, 0x8f, 0x78, 0x97,
-  0x59, 0xee, 0xb4, 0xb8, 0xdb, 0x6d, 0x2d, 0x61, 0x61, 0x83, 0xab, 0x14,
-  0xc2, 0xbe, 0x3c, 0x1d, 0xba, 0x28, 0xe1, 0x5d, 0x11, 0xc2, 0x1d, 0x02,
-  0x8a, 0x29, 0x44, 0x6b, 0x6a, 0xb3, 0xf3, 0xab, 0x2a, 0x81, 0xfb, 0x21,
-  0xec, 0xf1, 0x85, 0x59, 0x4c, 0xef, 0xf6, 0x5a, 0x87, 0x50, 0x5b, 0x1e,
-  0x1e, 0x00, 0x5b, 0x59, 0x6c, 0x00, 0x7b, 0xcd, 0x01, 0x18, 0x80, 0x6c,
-  0xfb, 0x10, 0xf8, 0xe5, 0xc6, 0x10, 0x9e, 0xe8, 0x10, 0x9e, 0x7c, 0xfc,
-  0x2a, 0x84, 0x83, 0x78, 0xf2, 0xeb, 0x56, 0xa1, 0x75, 0x08, 0x4f, 0x39,
-  0xa0, 0x7e, 0x71, 0xf7, 0xb4, 0x49, 0x88, 0x66, 0x12, 0xe3, 0xc0, 0x43,
-  0x86, 0x4a, 0x99, 0x02, 0x84, 0xcb, 0xbb, 0xcb, 0xb9, 0x40, 0xb5, 0xd5,
-  0x13, 0x05, 0xe7, 0xf7, 0x3e, 0xa6, 0x93, 0x7a, 0xc5, 0x41, 0x1d, 0x31,
-  0x3d, 0xa8, 0x9a, 0x8a, 0x02, 0xc1, 0x5c, 0xe9, 0x2f, 0x1c, 0x64, 0xdc,
-  0xd7, 0x5e, 0x6a, 0x65, 0xa6, 0x51, 0x29, 0x77, 0x4d, 0xac, 0x33, 0xe2,
-  0xd1, 0x04, 0xce, 0x4c, 0x0b, 0xe8, 0x64, 0xdc, 0xd4, 0x53, 0x1b, 0x57,
-  0x22, 0x81, 0xa7, 0xc1, 0x74, 0x9f, 0xcb, 0x74, 0x9f, 0xff, 0xdf, 0x34,
-  0xdd, 0xe7, 0xeb, 0xa7, 0xfb, 0x89, 0x58, 0x15, 0x00, 0x1b, 0xda, 0x1f,
-  0xc5, 0x79, 0x1b, 0xaa, 0xb2, 0x00, 0x94, 0x6b, 0xb8, 0xa4, 0xc3, 0x18,
-  0xad, 0x84, 0xfd, 0x17, 0x82, 0xcb, 0x24, 0xdf, 0x50, 0x33, 0xeb, 0x59,
-  0x41, 0x45, 0xa2, 0x67, 0x9c, 0xa4, 0xa2, 0x4c, 0xc7, 0xcc, 0xe7, 0xb8,
-  0x1a, 0x8a, 0x8b, 0xf3, 0xfd, 0x5f, 0xdb, 0x83, 0xd6, 0x8a, 0x9c, 0x47,
-  0xcd, 0x9a, 0x99, 0xbd, 0x08, 0x98, 0xba, 0xd5, 0xca, 0x9b, 0xc1, 0xf5,
-  0x7e, 0xfc, 0xf6, 0xbb, 0x93, 0x8b, 0xb3, 0xb7, 0x6f, 0x8e, 0xdf, 0xba,
-  0x68, 0x1b, 0x16, 0x7e, 0x5a, 0x2d, 0x18, 0xad, 0x75, 0x57, 0x44, 0xfe,
-  0x85, 0x25, 0x87, 0xd3, 0x66, 0x17, 0x0b, 0xfd, 0x6b, 0x10, 0x36, 0x17,
-  0x3c, 0x64, 0x87, 0x8f, 0xc5, 0xb2, 0x05, 0x3b, 0x07, 0x26, 0x1c, 0xe1,
-  0x36, 0x90, 0xd0, 0x23, 0x57, 0x3b, 0x9d, 0x2d, 0x6f, 0x0f, 0xe3, 0x64,
-  0x61, 0xeb, 0xe7, 0xef, 0x13, 0x2d, 0xdc, 0x18, 0x44, 0xad, 0x55, 0x06,
-  0xe1, 0x37, 0x2f, 0x68, 0xf0, 0x27, 0x33, 0x5e, 0xed, 0x6f, 0x6f, 0xff,
-  0x0c, 0x1c, 0xc0, 0x2f, 0xd4, 0xbe, 0xd9, 0xbc, 0x92, 0x43, 0x3b, 0x8e,
-  0x2f, 0x0f, 0x62, 0x69, 0x7e, 0xb0, 0x97, 0x6d, 0x04, 0xfe, 0xac, 0xe1,
-  0x7b, 0xd2, 0xa5, 0x7f, 0xf8, 0xf1, 0x37, 0xee, 0x62, 0x58, 0x29, 0x49,
-  0xf1, 0x9b, 0x77, 0x51, 0xd1, 0xae, 0x0f, 0x4e, 0x4f, 0xff, 0xa5, 0x0e,
-  0x2a, 0xc6, 0xd3, 0x6a, 0x1f, 0xd0, 0x3a, 0x9c, 0xc5, 0xb0, 0xef, 0x2c,
-  0x86, 0xb6, 0xbd, 0x0d, 0x60, 0xfb, 0x40, 0x3b, 0x79, 0x7b, 0xa6, 0xa3,
-  0x11, 0x73, 0x53, 0xdf, 0xaa, 0xbd, 0x4c, 0x5c, 0x25, 0x45, 0x1e, 0x58,
-  0x03, 0xa7, 0x3a, 0xfc, 0xd2, 0x4e, 0x37, 0xca, 0x25, 0x00, 0xb5, 0x0c,
-  0xf9, 0x48, 0x99, 0xb3, 0x2b, 0x0a, 0x3a, 0x22, 0x0c, 0xd6, 0x48, 0x67,
-  0x6a, 0x31, 0x0c, 0x73, 0x5d, 0x5f, 0x0e, 0xe9, 0x42, 0xf9, 0x5d, 0x4e,
-  0xe7, 0x62, 0xa2, 0xeb, 0x09, 0x98, 0x73, 0x09, 0x84, 0x7c, 0x56, 0x04,
-  0x30, 0x14, 0x3e, 0x45, 0x3f, 0x9c, 0x5c, 0x46, 0x87, 0x67, 0x47, 0xfe,
-  0x88, 0x5e, 0x6a, 0x20, 0x27, 0xfe, 0x61, 0x53, 0xcd, 0x9c, 0xed, 0x4b,
-  0x2c, 0xdc, 0x91, 0x12, 0x02, 0x44, 0x34, 0xab, 0xc3, 0xc0, 0x41, 0x75,
-  0x85, 0xd9, 0xf8, 0x50, 0xf2, 0x2d, 0x97, 0x40, 0xb9, 0x49, 0x60, 0x45,
-  0xa8, 0x20, 0x04, 0x17, 0x56, 0x54, 0x65, 0x05, 0xe4, 0x1c, 0xe2, 0x27,
-  0x62, 0x72, 0x20, 0xd6, 0xc2, 0x65, 0xdb, 0xe6, 0x62, 0x4b, 0x22, 0xc9,
-  0xea, 0x20, 0x54, 0x25, 0x42, 0x54, 0x34, 0xa9, 0x75, 0x91, 0xa3, 0x00,
-  0x40, 0x4f, 0xf3, 0x7c, 0xb8, 0xa2, 0x8c, 0x0c, 0x25, 0x8c, 0xfb, 0xdc,
-  0x55, 0xbb, 0xff, 0xdc, 0x03, 0x6a, 0x78, 0x8c, 0x2a, 0x98, 0x0e, 0x38,
-  0x55, 0x02, 0x16, 0x1e, 0x30, 0x42, 0x85, 0x18, 0xb3, 0x32, 0x29, 0x52,
-  0xfc, 0xba, 0xb1, 0xe3, 0xae, 0x09, 0xd7, 0xcf, 0x9e, 0x52, 0xbb, 0x60,
-  0xc9, 0xb3, 0x40, 0x25, 0xee, 0xa5, 0xf4, 0x97, 0xe0, 0x48, 0x3f, 0xd1,
-  0xc1, 0x5c, 0x9c, 0xd2, 0xe4, 0xa7, 0x62, 0x0a, 0xd7, 0x98, 0x6f, 0x94,
-  0xc8, 0x81, 0xf7, 0x84, 0xf5, 0x5d, 0x2d, 0x78, 0xea, 0xdf, 0x7c, 0x66,
-  0xe6, 0x36, 0x25, 0x06, 0xbb, 0x07, 0x8c, 0x0a, 0xe0, 0x14, 0x52, 0xa5,
-  0x4a, 0x49, 0x5a, 0x80, 0x5f, 0xc7, 0x02, 0x7a, 0x87, 0x32, 0x35, 0x8d,
-  0x52, 0xbb, 0xda, 0x4a, 0x20, 0x37, 0x3e, 0x5f, 0xd3, 0x0f, 0xaa, 0x91,
-  0x4b, 0x11, 0x4c, 0x74, 0x52, 0x0f, 0xb8, 0xe2, 0xf6, 0x9b, 0xad, 0x7d,
-  0x56, 0x5f, 0x14, 0x8b, 0x6a, 0x63, 0x38, 0x86, 0x2c, 0x74, 0xa2, 0x7f,
-  0xee, 0x98, 0x05, 0xfb, 0x3c, 0x39, 0x29, 0xca, 0x85, 0x4b, 0xa0, 0xb2,
-  0xd1, 0xc0, 0xa5, 0x6b, 0xc9, 0x87, 0xf0, 0xda, 0x03, 0xeb, 0x0a, 0xbb,
-  0x36, 0xd6, 0xf1, 0x36, 0xf4, 0xc3, 0x3c, 0xe4, 0xa8, 0x2f, 0x7c, 0x27,
-  0x31, 0x3c, 0x54, 0x74, 0x8f, 0xcc, 0x53, 0xb7, 0x05, 0xd2, 0xb4, 0x7c,
-  0xc4, 0x7e, 0x3f, 0xe2, 0xcb, 0x99, 0xfb, 0xdb, 0xde, 0x68, 0xe2, 0x14,
-  0x09, 0x1b, 0xf1, 0x71, 0x50, 0x58, 0x07, 0x94, 0xe3, 0xab, 0x54, 0xf1,
-  0x43, 0x3c, 0x7c, 0x3c, 0x57, 0xbf, 0x05, 0x90, 0xda, 0x07, 0x48, 0x27,
-  0x6d, 0x5c, 0xa2, 0xa5, 0x24, 0xea, 0x42, 0xa9, 0x9e, 0x04, 0xf8, 0x96,
-  0x38, 0xd3, 0x01, 0x04, 0x14, 0x9f, 0x21, 0x53, 0xce, 0xc5, 0x85, 0x14,
-  0x45, 0x0d, 0xf7, 0x5c, 0x50, 0xec, 0xd5, 0x9f, 0x89, 0xdd, 0xfa, 0x62,
-  0x9f, 0x1f, 0x0c, 0x87, 0xb6, 0xd0, 0x87, 0xe1, 0x82, 0xca, 0x12, 0xaa,
-  0x6b, 0x13, 0x49, 0xd3, 0x9a, 0x53, 0xd8, 0x34, 0x64, 0x68, 0x1b, 0xb5,
-  0xe8, 0x88, 0xdd, 0x27, 0xae, 0x2f, 0xd7, 0xd5, 0x77, 0xd2, 0x56, 0xef,
-  0x23, 0xbb, 0x6a, 0xef, 0xeb, 0xbb, 0x96, 0xbe, 0x9e, 0x36, 0x88, 0x68,
-  0x6f, 0xef, 0xb3, 0x48, 0xf3, 0x08, 0x88, 0x84, 0xd0, 0x9f, 0xef, 0x30,
-  0xe8, 0x91, 0x9e, 0xeb, 0x2b, 0x58, 0x44, 0xd2, 0x5a, 0x2d, 0x1b, 0xa3,
-  0x09, 0xba, 0x7a, 0xe6, 0xba, 0x22, 0xa1, 0xa2, 0x0b, 0x53, 0x97, 0x1e,
-  0x92, 0xc6, 0xd9, 0x71, 0x48, 0xbb, 0x27, 0xbc, 0x06, 0xc4, 0xc7, 0xd7,
-  0xc6, 0x9b, 0xd8, 0x28, 0x82, 0x7e, 0x3e, 0xf3, 0x53, 0xf2, 0xe3, 0x96,
-  0xda, 0x05, 0x48, 0xae, 0x1f, 0x04, 0x87, 0xd5, 0x11, 0x8a, 0x85, 0x29,
-  0x39, 0xbf, 0x45, 0x3d, 0x5b, 0x42, 0x5e, 0xf5, 0xbd, 0xc8, 0xf1, 0x3b,
-  0xd7, 0x4a, 0x78, 0x02, 0xaa, 0x82, 0xf2, 0x60, 0x71, 0x05, 0xa3, 0x04,
-  0xe6, 0x1a, 0x3e, 0xee, 0xd6, 0x43, 0x1e, 0x9e, 0xf6, 0xdd, 0x17, 0x7e,
-  0x4d, 0x6c, 0x48, 0x66, 0x6a, 0xdc, 0xd6, 0xe3, 0xe3, 0x2d, 0x22, 0x22,
-  0xdc, 0xf1, 0xdf, 0x17, 0xc7, 0x97, 0x17, 0x1c, 0xd2, 0x1a, 0x01, 0x66,
-  0xa5, 0xae, 0x29, 0xd3, 0x91, 0xda, 0x72, 0x66, 0x79, 0x29, 0xd5, 0x11,
-  0x70, 0x5d, 0x4f, 0xc9, 0x52, 0x8c, 0x18, 0xf7, 0x0c, 0x5d, 0x1c, 0xd5,
-  0xda, 0xc4, 0xbe, 0x50, 0x90, 0xdc, 0x43, 0x3e, 0xc4, 0x4c, 0x4f, 0x86,
-  0x5b, 0x7f, 0x1f, 0xe7, 0x23, 0x70, 0x8a, 0xc2, 0x38, 0x5d, 0x30, 0xfc,
-  0xc0, 0xb9, 0xdf, 0x2d, 0x30, 0x05, 0x79, 0x4f, 0xca, 0x00, 0x25, 0x9c,
-  0xbc, 0x61, 0x24, 0x72, 0x9d, 0xc7, 0x73, 0xc9, 0x5b, 0x95, 0x41, 0xb8,
-  0x14, 0x55, 0x74, 0xa7, 0x40, 0xfe, 0x12, 0xa1, 0x0e, 0xac, 0xad, 0x28,
-  0x7a, 0xca, 0x15, 0xf8, 0x9a, 0x36, 0xa7, 0x51, 0x76, 0x67, 0xae, 0x49,
-  0x4d, 0xfa, 0x90, 0xd2, 0x3e, 0xd8, 0x2f, 0xdc, 0xa7, 0x50, 0x35, 0xfa,
-  0x57, 0x24, 0x33, 0xf3, 0x82, 0x99, 0x19, 0x21, 0x58, 0x36, 0x39, 0x94,
-  0xdf, 0x23, 0x07, 0xc5, 0xd6, 0xac, 0x76, 0x1a, 0x25, 0x41, 0xc5, 0xe0,
-  0x04, 0xe3, 0x00, 0xca, 0xae, 0x58, 0xd1, 0xcc, 0x67, 0xcd, 0x81, 0x29,
-  0x48, 0x4e, 0xd0, 0xcd, 0xb3, 0x26, 0x41, 0x0c, 0x2f, 0xcf, 0x2e, 0x82,
-  0x72, 0xc4, 0x55, 0xa6, 0xab, 0xf1, 0xc0, 0xfc, 0x88, 0xf7, 0xce, 0xf6,
-  0x5a, 0x5c, 0x07, 0x2e, 0x49, 0x52, 0x82, 0x8e, 0x38, 0xdb, 0xde, 0xf7,
-  0xfa, 0xdc, 0x3b, 0xba, 0x74, 0x6a, 0xdf, 0x91, 0x06, 0xc0, 0x59, 0x83,
-  0x86, 0x76, 0x46, 0x37, 0x24, 0x09, 0xde, 0xb3, 0xc0, 0xfe, 0xb2, 0x27,
-  0xe7, 0xec, 0x6c, 0x09, 0x5a, 0x97, 0x6c, 0x47, 0x26, 0x23, 0xcd, 0x7b,
-  0x64, 0xbb, 0x95, 0x1a, 0xa6, 0x9c, 0x31, 0xb0, 0x4e, 0x8a, 0x72, 0x86,
-  0xce, 0x7c, 0x8d, 0x73, 0x35, 0xfd, 0xbb, 0xab, 0xcb, 0x23, 0x73, 0xc3,
-  0xd8, 0xcc, 0x5e, 0x01, 0x71, 0xa4, 0x68, 0xe4, 0x05, 0x6a, 0x77, 0xd4,
-  0x37, 0x7b, 0x4c, 0xa2, 0x80, 0xb8, 0x5c, 0x33, 0x0d, 0xb7, 0x72, 0xe2,
-  0x91, 0x17, 0x2b, 0x76, 0xdc, 0x3a, 0x9f, 0x9f, 0x5d, 0x5c, 0xda, 0xd0,
-  0xd0, 0x2d, 0x3e, 0xa8, 0x1d, 0x1f, 0xf6, 0xd4, 0x6b, 0x8e, 0x0e, 0x18,
-  0x8b, 0xd6, 0xb3, 0x6b, 0xaf, 0x25, 0xaf, 0x9b, 0x82, 0x76, 0xac, 0x21,
-  0x86, 0xb2, 0xcb, 0x57, 0xe6, 0xfb, 0x72, 0x35, 0x73, 0xae, 0x5c, 0x16,
-  0x3c, 0xf3, 0xe7, 0x76, 0x3f, 0xa6, 0x4f, 0x02, 0x7d, 0xb2, 0xdb, 0xa4,
-  0x0e, 0x16, 0xbe, 0x2f, 0x8e, 0x87, 0x97, 0x32, 0x76, 0xfe, 0xad, 0x31,
-  0x76, 0xc9, 0x84, 0xd4, 0x0f, 0xdb, 0x1d, 0x4b, 0x5a, 0xf9, 0x48, 0xc2,
-  0x31, 0xb8, 0x7d, 0xe7, 0x0a, 0x0a, 0xd6, 0xec, 0x49, 0x10, 0xd2, 0x07,
-  0xae, 0xa9, 0xb4, 0x72, 0x79, 0x63, 0xf5, 0x41, 0x3b, 0xda, 0x4b, 0x87,
-  0x2e, 0x5d, 0x39, 0x12, 0x59, 0x7e, 0x1b, 0xb4, 0xf0, 0xd4, 0xb7, 0xb0,
-  0x60, 0xf6, 0xae, 0x0d, 0x9c, 0x98, 0x75, 0x9c, 0x3f, 0x74, 0xce, 0xe7,
-  0xeb, 0x64, 0x6e, 0x84, 0x21, 0xcf, 0xf9, 0x76, 0x9e, 0xb9, 0xbc, 0x68,
-  0x13, 0x8f, 0x82, 0xa1, 0xf0, 0xc7, 0x16, 0x0b, 0x0f, 0x47, 0x63, 0x8d,
-  0xec, 0x9e, 0x3c, 0xf7, 0x17, 0x04, 0x8b, 0xcf, 0xde, 0xb9, 0xa3, 0x2b,
-  0x10, 0x5c, 0x48, 0xec, 0x1b, 0x4b, 0xe7, 0x4b, 0x80, 0xb5, 0x10, 0x97,
-  0x98, 0x32, 0x66, 0x94, 0x7a, 0x67, 0x1a, 0x86, 0x68, 0x8d, 0x30, 0xf4,
-  0xfd, 0xe8, 0x45, 0x44, 0x6a, 0xbc, 0xdf, 0x2e, 0xc9, 0x36, 0xc4, 0x61,
-  0xf6, 0x32, 0x1e, 0x1d, 0xdc, 0xb9, 0xbb, 0x2d, 0x06, 0xd1, 0x39, 0x63,
-  0xb9, 0xc2, 0xc4, 0x5e, 0xfc, 0x87, 0x6f, 0x4d, 0x0e, 0x0b, 0x63, 0x8c,
-  0xf3, 0xfd, 0x89, 0xc0, 0x8b, 0x94, 0x8b, 0x70, 0xe3, 0x13, 0xfe, 0x35,
-  0x40, 0x86, 0x6c, 0x4c, 0xf9, 0x85, 0x7f, 0xb9, 0xa0, 0x79, 0x90, 0x62,
-  0x52, 0x7f, 0xe4, 0xa9, 0xd2, 0x16, 0x69, 0x2d, 0x68, 0xc2, 0x71, 0x67,
-  0x3e, 0xd3, 0xbc, 0x25, 0x29, 0x07, 0x38, 0xa2, 0x85, 0x2b, 0x7b, 0xa6,
-  0xc2, 0xc5, 0x83, 0xa6, 0xe4, 0x4e, 0x38, 0x90, 0x75, 0x02, 0xd0, 0x05,
-  0x9d, 0x1c, 0xae, 0x95, 0x44, 0x6d, 0xcd, 0x99, 0xe1, 0x4e, 0xcd, 0x71,
-  0x5e, 0x49, 0xf5, 0xc2, 0xc2, 0x2a, 0x34, 0x45, 0xb3, 0xf0, 0x78, 0x0d,
-  0x98, 0xf6, 0xa9, 0x50, 0xa3, 0x23, 0x1d, 0x77, 0x8d, 0x55, 0x46, 0xc7,
-  0x1d, 0xbb, 0x0c, 0x52, 0xec, 0x36, 0xab, 0x96, 0xa8, 0x06, 0x13, 0x34,
-  0xf5, 0xcc, 0x37, 0x75, 0x05, 0x40, 0x36, 0xe3, 0xef, 0x07, 0x15, 0x1e,
-  0xe4, 0xd0, 0xd8, 0x52, 0xf7, 0xa4, 0xe8, 0x0a, 0x12, 0x05, 0xd3, 0x72,
-  0xac, 0x82, 0x3e, 0x84, 0x18, 0x2e, 0xb3, 0x4c, 0x2a, 0x63, 0xba, 0x58,
-  0xbf, 0x81, 0x44, 0x11, 0x36, 0xcd, 0xee, 0x85, 0xa6, 0x08, 0xdf, 0xa4,
-  0xb2, 0x26, 0xec, 0x36, 0x68, 0xd4, 0xda, 0x5d, 0xce, 0x1a, 0xe5, 0x72,
-  0x9e, 0x7e, 0xae, 0xea, 0xdb, 0xed, 0x9c, 0x8b, 0xc7, 0x5f, 0x1e, 0x9f,
-  0xbe, 0x3d, 0xbe, 0x74, 0x78, 0x1d, 0x36, 0x9b, 0xe0, 0xf9, 0x17, 0x6a,
-  0xd8, 0x52, 0xed, 0xca, 0x70, 0x89, 0xeb, 0xee, 0xd7, 0x67, 0xbb, 0xce,
-  0xb6, 0xc3, 0x81, 0x73, 0xdd, 0x42, 0xce, 0x5f, 0x10, 0x3e, 0x87, 0x32,
-  0xc5, 0xdf, 0x44, 0x6f, 0x8e, 0x9e, 0x71, 0x38, 0xff, 0x75, 0x92, 0x33,
-  0x32, 0xba, 0x57, 0x76, 0xb2, 0x80, 0x13, 0x3c, 0xdb, 0x0b, 0xf1, 0x24,
-  0x44, 0x41, 0x51, 0x96, 0xa1, 0xa2, 0x2c, 0x2d, 0x12, 0x27, 0xa0, 0x92,
-  0xae, 0x2a, 0xf6, 0x40, 0x03, 0x68, 0x35, 0xf0, 0x10, 0x08, 0x07, 0xf5,
-  0x7a, 0xc9, 0x55, 0x36, 0xf1, 0xec, 0x89, 0x67, 0x13, 0xf9, 0x6a, 0xc1,
-  0x90, 0x67, 0x52, 0x50, 0xb9, 0x85, 0x66, 0x9f, 0x09, 0x6b, 0x3a, 0x94,
-  0x93, 0xc5, 0xd2, 0x62, 0xf3, 0x35, 0x24, 0xc1, 0xc2, 0xdc, 0x16, 0xbc,
-  0xf7, 0x2c, 0xd4, 0xd7, 0x0a, 0x2d, 0xa4, 0x4a, 0xeb, 0x87, 0x9a, 0x01,
-  0x28, 0xfd, 0xec, 0x9f, 0x7d, 0xee, 0x9e, 0xe5, 0x8a, 0x92, 0xe9, 0x5c,
-  0xc1, 0x68, 0x1e, 0x79, 0x43, 0xa5, 0x4c, 0xb9, 0x7c, 0xbd, 0xfc, 0x23,
-  0x92, 0x45, 0xb0, 0xf6, 0xc1, 0x2b, 0x2f, 0xaa, 0xea, 0x28, 0x30, 0x58,
-  0x7d, 0x5d, 0x14, 0x9e, 0x54, 0xba, 0xb8, 0x09, 0xc9, 0xff, 0xb9, 0xdc,
-  0x85, 0xe7, 0xf5, 0x68, 0x48, 0xe3, 0x32, 0x15, 0x10, 0x00, 0x3b, 0x4c,
-  0x42, 0x5c, 0x87, 0x74, 0x40, 0xf4, 0x95, 0x3a, 0x69, 0xf2, 0xb3, 0xc1,
-  0xe5, 0xf1, 0x7c, 0x57, 0xa9, 0x92, 0xa6, 0x9c, 0x5d, 0xcf, 0x49, 0xc7,
-  0x0f, 0x32, 0x41, 0xac, 0x2a, 0x68, 0xf0, 0xf8, 0x9e, 0x1e, 0x49, 0x29,
-  0xa8, 0x0b, 0xb6, 0xc3, 0xf0, 0xc3, 0xfe, 0x81, 0x27, 0x4a, 0xb5, 0xe2,
-  0x4b, 0x93, 0x62, 0xe9, 0x0c, 0xfc, 0xcc, 0x36, 0xc4, 0xa4, 0x12, 0x5a,
-  0xff, 0xfc, 0xa9, 0x4a, 0x37, 0x26, 0x80, 0x32, 0xe7, 0xe7, 0x85, 0x98,
-  0x32, 0xd8, 0x42, 0x83, 0x11, 0x3e, 0xd7, 0xcb, 0x45, 0xb7, 0x52, 0x1d,
-  0x9f, 0xb1, 0xf1, 0xc0, 0x02, 0x71, 0xb5, 0xf7, 0xe9, 0x5c, 0x23, 0xc0,
-  0x1b, 0xaf, 0x3f, 0x5f, 0x63, 0xd5, 0x50, 0x4f, 0xc4, 0x31, 0x68, 0x29,
-  0x78, 0xfe, 0x33, 0x7f, 0x12, 0x24, 0xd1, 0x5f, 0xe0, 0x01, 0x5c, 0xa8,
-  0x17, 0x5c, 0xdb, 0x86, 0xa6, 0x68, 0x67, 0x89, 0x75, 0x83, 0x85, 0x25,
-  0xe4, 0xb7, 0xb9, 0xf2, 0x5c, 0xf7, 0xa4, 0x95, 0x47, 0x69, 0x70, 0x8c,
-  0x9f, 0x0b, 0x49, 0xbd, 0x06, 0xa6, 0xae, 0x97, 0xc0, 0xe7, 0x15, 0x94,
-  0x6b, 0xff, 0xf4, 0x0b, 0xa5, 0x0d, 0xbb, 0x91, 0x4c, 0x10, 0x5c, 0xfb,
-  0xc6, 0x67, 0x3b, 0xa1, 0x58, 0x38, 0x61, 0x5b, 0x9a, 0xa4, 0x53, 0xaf,
-  0x7d, 0x41, 0x28, 0xe3, 0x84, 0x18, 0xf5, 0x35, 0x11, 0x35, 0x9e, 0xf1,
-  0x38, 0x02, 0xfe, 0xb1, 0xbd, 0x2a, 0x5b, 0x0b, 0x85, 0x94, 0xe8, 0xe4,
-  0x28, 0x78, 0xf0, 0x89, 0x9f, 0x60, 0x3c, 0xe5, 0xfb, 0x76, 0x25, 0xaa,
-  0x7e, 0xa1, 0x40, 0xe3, 0xc1, 0xa3, 0x4f, 0x35, 0x0a, 0x93, 0xe3, 0x6f,
-  0x6f, 0x64, 0xf9, 0x1b, 0xcf, 0x08, 0x39, 0x1c, 0xba, 0xca, 0xcb, 0x12,
-  0x4c, 0x59, 0xb4, 0x5d, 0xb3, 0x9f, 0x3d, 0x7f, 0xe4, 0x59, 0xbd, 0x96,
-  0x0a, 0x77, 0x99, 0x06, 0xef, 0x7d, 0xd6, 0x3c, 0xe6, 0x26, 0x78, 0x5b,
-  0xb0, 0x32, 0x1d, 0x35, 0x3e, 0x69, 0xd1, 0x26, 0x07, 0x5f, 0xff, 0x87,
-  0xd9, 0x56, 0x72, 0x8e, 0xc2, 0x2c, 0xfe, 0x23, 0x1c, 0xef, 0xe7, 0x8e,
-  0x9e, 0x9c, 0x55, 0xc5, 0x15, 0x64, 0x08, 0xa1, 0x71, 0x7d, 0x79, 0x13,
-  0xac, 0x4e, 0xd0, 0x82, 0xec, 0xf9, 0xc1, 0x3c, 0x2c, 0x13, 0xad, 0xda,
-  0x96, 0x26, 0xa8, 0x5b, 0xc4, 0x93, 0x8e, 0xee, 0x1b, 0xda, 0x54, 0x50,
-  0x47, 0x60, 0x9d, 0xda, 0xa9, 0x1d, 0x83, 0xe2, 0x66, 0x29, 0xba, 0xad,
-  0x9b, 0x91, 0x2f, 0x67, 0x1f, 0xbc, 0xb6, 0xe7, 0xb9, 0x17, 0xc6, 0x06,
-  0xb9, 0xec, 0x90, 0x46, 0x2b, 0xca, 0x6f, 0x04, 0x32, 0x64, 0x09, 0x9a,
-  0x55, 0x3f, 0x94, 0x89, 0x31, 0x63, 0x45, 0x14, 0x6d, 0xc6, 0x6b, 0x12,
-  0xb3, 0x34, 0x8e, 0x3a, 0xe8, 0x46, 0x85, 0x07, 0xf6, 0xe0, 0xd2, 0x2e,
-  0xdd, 0x24, 0xe3, 0x5b, 0x3b, 0x32, 0xda, 0x88, 0x8f, 0xbe, 0xf6, 0x6f,
-  0xfd, 0xf0, 0x83, 0xf0, 0x1c, 0x94, 0xcb, 0x0c, 0x0c, 0xb9, 0x0e, 0xd0,
-  0x9c, 0x0e, 0xa8, 0x5c, 0x53, 0xbc, 0xdd, 0x28, 0x66, 0x9d, 0x27, 0xd3,
-  0x84, 0x81, 0xc3, 0x44, 0x32, 0xc5, 0x42, 0xb7, 0x05, 0x3f, 0x72, 0x54,
-  0x88, 0x94, 0xe2, 0x49, 0x14, 0x5c, 0x6e, 0xce, 0xfe, 0x6b, 0xb5, 0x4e,
-  0xd0, 0x08, 0x0e, 0xde, 0x5d, 0x7e, 0x73, 0x76, 0x31, 0x8c, 0xb6, 0x39,
-  0x4f, 0xfa, 0xf2, 0xe2, 0xe4, 0xab, 0x77, 0xa4, 0xf1, 0x39, 0xcb, 0xf3,
-  0x51, 0x4c, 0xba, 0xe0, 0x34, 0x1a, 0x96, 0xc9, 0x7c, 0x94, 0xe4, 0xd7,
-  0x86, 0x3b, 0x0e, 0x60, 0x13, 0xe6, 0xdd, 0x59, 0x2e, 0xd8, 0xab, 0xbe,
-  0x0e, 0xb6, 0xd9, 0xce, 0x25, 0xf8, 0x2b, 0xa5, 0x2f, 0x33, 0xaf, 0xcd,
-  0xa4, 0xb5, 0x34, 0x6f, 0x57, 0x7d, 0xfd, 0xf2, 0x9b, 0x83, 0xb7, 0xdf,
-  0x0e, 0x0d, 0xdd, 0xee, 0xfb, 0xef, 0xbf, 0x0f, 0x1d, 0x2f, 0xfb, 0xdb,
-  0xdb, 0xc0, 0x33, 0xbb, 0x89, 0x1f, 0x1e, 0x06, 0x45, 0xb2, 0xb1, 0x41,
-  0xe7, 0x68, 0xc3, 0xe7, 0x12, 0x28, 0xe4, 0x71, 0xb1, 0xa4, 0x9b, 0x8e,
-  0xbe, 0xde, 0x5e, 0x2c, 0x47, 0x0c, 0xb1, 0xbc, 0xbd, 0x2c, 0xb5, 0xa0,
-  0x04, 0xde, 0xde, 0xde, 0xd8, 0x18, 0x1e, 0x1f, 0x47, 0x07, 0xa7, 0xc3,
-  0xb3, 0xe0, 0xdd, 0xcd, 0xdd, 0x2d, 0x12, 0x03, 0xae, 0x93, 0x92, 0x7e,
-  0xd9, 0xd8, 0x38, 0x3d, 0xb8, 0x64, 0x2d, 0xe7, 0xbb, 0xe3, 0x8b, 0xe1,
-  0xc9, 0xd9, 0x5b, 0xde, 0x1d, 0xc6, 0x81, 0x88, 0xa7, 0xf7, 0x8c, 0xbd,
-  0x75, 0x95, 0x22, 0x4f, 0xf3, 0xde, 0x4a, 0x39, 0x30, 0xb8, 0x09, 0x89,
-  0x2a, 0x22, 0xb7, 0x89, 0x63, 0xc9, 0x0a, 0xfd, 0x48, 0x4c, 0x40, 0xc9,
-  0xaa, 0x86, 0x79, 0x1f, 0x37, 0x22, 0x6f, 0xe8, 0x10, 0x7c, 0x96, 0x64,
-  0x24, 0x21, 0x33, 0x3d, 0x41, 0x20, 0x40, 0xb0, 0x7a, 0x00, 0x91, 0xd0,
-  0x3a, 0xf1, 0xe1, 0xc9, 0x9b, 0x73, 0x92, 0xf9, 0xdf, 0x0d, 0x0f, 0xbe,
-  0x3e, 0xe6, 0x47, 0xbf, 0x4e, 0x4a, 0xbf, 0x1f, 0x52, 0x72, 0x82, 0x3b,
-  0x79, 0x9b, 0x94, 0xc5, 0x38, 0x5e, 0x70, 0xd4, 0x39, 0x75, 0xd3, 0x17,
-  0xbe, 0x18, 0xb4, 0x2d, 0xd2, 0x9f, 0x07, 0xa3, 0x9e, 0xeb, 0xf3, 0x40,
-  0x8a, 0x0e, 0xdb, 0xbd, 0x38, 0x3e, 0x38, 0x7a, 0x73, 0x6c, 0xf1, 0x54,
-  0x02, 0xf5, 0x48, 0x8d, 0xde, 0x64, 0xb3, 0x24, 0x30, 0x7e, 0xf2, 0x5d,
-  0xc5, 0x8b, 0x4f, 0xdf, 0x70, 0x49, 0x86, 0xf6, 0xee, 0xfc, 0x46, 0xe1,
-  0xd9, 0xc1, 0x55, 0xba, 0x2d, 0xad, 0x5b, 0x7f, 0xb1, 0x5b, 0x12, 0xc3,
-  0x4c, 0x51, 0xf1, 0x4d, 0xb4, 0x58, 0xa8, 0xbf, 0x9f, 0xef, 0xec, 0xec,
-  0x3c, 0x32, 0x0f, 0xd8, 0x19, 0xf5, 0x16, 0xa0, 0xa9, 0xec, 0xf3, 0xe3,
-  0xdb, 0xbe, 0x7d, 0x23, 0xcd, 0xd0, 0x70, 0xcb, 0x7f, 0x4a, 0xb5, 0x66,
-  0x46, 0xe1, 0x6e, 0x1f, 0xf4, 0x38, 0xcb, 0xdc, 0x1e, 0x54, 0x96, 0x67,
-  0xc2, 0x38, 0x37, 0x69, 0x69, 0xa8, 0x57, 0x78, 0x43, 0x86, 0x3e, 0x49,
-  0xc1, 0x7e, 0xe2, 0x7c, 0x55, 0x6f, 0x92, 0xbf, 0xa1, 0x36, 0xf9, 0xc7,
-  0x20, 0xcb, 0xaf, 0xb7, 0x67, 0xfb, 0xb8, 0x64, 0xe9, 0xa1, 0xd7, 0x09,
-  0xea, 0xfe, 0xdc, 0x67, 0x2e, 0xf4, 0xa8, 0xe0, 0xa5, 0xe5, 0x38, 0xc7,
-  0x8f, 0x18, 0xd7, 0xaf, 0x58, 0x07, 0x6c, 0x27, 0x17, 0x97, 0x95, 0x99,
-  0x5b, 0x38, 0x46, 0x4b, 0x27, 0x05, 0x6f, 0x19, 0x5b, 0x99, 0x06, 0xc4,
-  0x42, 0xa8, 0x17, 0xfa, 0x5c, 0x88, 0x84, 0x7e, 0xcd, 0x89, 0x68, 0x06,
-  0xe5, 0x43, 0xc9, 0x6f, 0xb1, 0xb3, 0x56, 0x8d, 0xb7, 0x80, 0xad, 0x22,
-  0x96, 0x95, 0x67, 0x24, 0xa3, 0xc7, 0x92, 0x7e, 0x33, 0x44, 0x54, 0xbb,
-  0xa2, 0xe2, 0x38, 0xd0, 0x08, 0x6e, 0xb8, 0xde, 0x67, 0xbf, 0x0f, 0x0a,
-  0x2a, 0x1c, 0xbd, 0x7c, 0x44, 0xe7, 0xc1, 0xa4, 0x64, 0xf5, 0xe7, 0x7a,
-  0x71, 0x04, 0xd4, 0x33, 0xa4, 0x51, 0x34, 0xfa, 0x02, 0xc4, 0x52, 0x8e,
-  0x80, 0xb7, 0x42, 0xba, 0x43, 0xc9, 0x9a, 0x41, 0x22, 0x85, 0xaa, 0xd0,
-  0x17, 0xed, 0xc9, 0x36, 0xc2, 0x71, 0x3e, 0xba, 0xa7, 0xc3, 0x73, 0x57,
-  0x01, 0x87, 0x56, 0xe0, 0x8e, 0x97, 0xe0, 0x36, 0xc1, 0xec, 0x43, 0x61,
-  0xf7, 0x91, 0xc1, 0xec, 0xd3, 0x2a, 0xf0, 0x1b, 0xff, 0x6b, 0x7b, 0x50,
-  0x14, 0x37, 0xdb, 0xe9, 0xe4, 0xfd, 0xa4, 0x88, 0xe9, 0x33, 0xe2, 0x6b,
-  0x8d, 0x8f, 0x07, 0xf4, 0x61, 0xf4, 0xd7, 0x0a, 0xdf, 0x2f, 0xc6, 0xed,
-  0x33, 0xf9, 0x5f, 0xdb, 0x0c, 0xfe, 0x05, 0x80, 0xe2, 0x60, 0xe1, 0x5a,
-  0xb8, 0x07, 0xcd, 0x4a, 0x70, 0xe6, 0xe8, 0x38, 0xb6, 0x53, 0x46, 0xff,
-  0x3a, 0xea, 0x28, 0xb9, 0xfd, 0xb4, 0xb7, 0xb3, 0xb3, 0xbb, 0xbf, 0xfb,
-  0xf9, 0x8b, 0x9d, 0xfd, 0xdd, 0xdd, 0xdd, 0xbd, 0xfd, 0xdd, 0xfd, 0xfd,
-  0xbd, 0x9d, 0x9f, 0xb7, 0x3b, 0x1b, 0x1b, 0x47, 0x67, 0xdf, 0xbf, 0x3d,
-  0x3d, 0x3b, 0x38, 0x8a, 0x2e, 0xcf, 0x48, 0xdb, 0x65, 0x5b, 0x45, 0xcb,
-  0x49, 0x07, 0xea, 0x53, 0x99, 0xc9, 0xcd, 0x16, 0xda, 0x35, 0x1b, 0x5d,
-  0x66, 0x10, 0x8a, 0xf9, 0xa5, 0xc1, 0x4d, 0x39, 0xfb, 0x30, 0xfb, 0xfa,
-  0x98, 0x4e, 0x7a, 0x12, 0x15, 0xe6, 0xf5, 0x1e, 0x6c, 0xad, 0x11, 0xa9,
-  0x42, 0x99, 0xba, 0x92, 0xe3, 0x70, 0xb2, 0xb9, 0xa8, 0xc0, 0x4d, 0xf1,
-  0x4b, 0xfb, 0x0a, 0x12, 0x52, 0x9c, 0xa4, 0xa8, 0x06, 0x34, 0xb8, 0x62,
-  0x01, 0xea, 0xb7, 0x94, 0xd2, 0xec, 0x24, 0x0f, 0x6c, 0x35, 0x26, 0x78,
-  0xb6, 0x76, 0x4a, 0x74, 0xf1, 0x24, 0x0f, 0x98, 0x75, 0x95, 0x4d, 0x08,
-  0x92, 0x99, 0x9f, 0x1d, 0x00, 0x8c, 0x4c, 0x93, 0x4b, 0x73, 0x1b, 0x32,
-  0x1c, 0xd8, 0x2d, 0xdd, 0x71, 0x3f, 0xc6, 0x3d, 0x7c, 0x17, 0xfc, 0x4d,
-  0x78, 0xe9, 0x6c, 0x3b, 0xf3, 0x93, 0x0c, 0xe0, 0xdd, 0xf0, 0xe4, 0xed,
-  0xd7, 0xf0, 0x2f, 0x7d, 0x7f, 0x76, 0x71, 0x34, 0xa4, 0x66, 0xf9, 0x36,
-  0xde, 0x80, 0x05, 0x82, 0x0f, 0xad, 0x8e, 0x4a, 0x8e, 0x00, 0x77, 0xfd,
-  0x67, 0xa8, 0x1b, 0x93, 0x9e, 0xcb, 0x3e, 0xc0, 0x30, 0x03, 0x69, 0x91,
-  0x53, 0x0a, 0xda, 0x19, 0x1c, 0x4e, 0x83, 0xbc, 0xfe, 0xe5, 0x2c, 0x66,
-  0x38, 0xd8, 0x64, 0x20, 0xa8, 0x6a, 0x88, 0x24, 0xd8, 0x66, 0x54, 0x95,
-  0x6d, 0x96, 0x5a, 0xb7, 0xcb, 0x0c, 0xac, 0x02, 0xad, 0x64, 0xb9, 0x03,
-  0xd0, 0xad, 0xac, 0x08, 0x9f, 0xb1, 0xab, 0x69, 0x7c, 0x8d, 0x0e, 0x9b,
-  0xc7, 0x2f, 0xe8, 0x4c, 0xbb, 0xff, 0xd8, 0x2e, 0x51, 0xb3, 0x8f, 0xdb,
-  0x3b, 0x01, 0x01, 0x20, 0xdd, 0x1d, 0x79, 0x12, 0x6a, 0x18, 0x17, 0x11,
-  0x09, 0x35, 0x66, 0xd8, 0xcb, 0xce, 0x85, 0x30, 0xea, 0x48, 0xbf, 0x5a,
-  0x81, 0x70, 0x43, 0x8c, 0x0a, 0xfd, 0x20, 0x2d, 0x4a, 0x24, 0x7b, 0x14,
-  0x93, 0xf3, 0x1a, 0xb4, 0x04, 0xc4, 0xa3, 0x4f, 0x9f, 0xe8, 0x25, 0x4b,
-  0xce, 0x83, 0xa1, 0xb1, 0x47, 0x12, 0x11, 0xc3, 0xb9, 0x3f, 0x2a, 0xb3,
-  0x75, 0x18, 0x68, 0x39, 0x1d, 0xa7, 0x65, 0xc7, 0x72, 0x8c, 0x3c, 0xee,
-  0x96, 0xcf, 0x65, 0x2d, 0x4a, 0x1a, 0x4a, 0x4c, 0xb7, 0x87, 0x16, 0x1d,
-  0xd1, 0xac, 0xdb, 0x6c, 0x36, 0x93, 0x6c, 0xcc, 0x0e, 0x27, 0xa0, 0xf8,
-  0x56, 0x52, 0xcd, 0xa4, 0x72, 0x45, 0x35, 0x98, 0xcf, 0x72, 0xef, 0x92,
-  0xfe, 0x81, 0x55, 0x77, 0x2c, 0xdd, 0xdb, 0x7d, 0x98, 0x1d, 0x93, 0xc4,
-  0x49, 0xbc, 0x52, 0x28, 0x47, 0xa3, 0xfa, 0x03, 0x64, 0xff, 0xca, 0xb2,
-  0x85, 0xd5, 0x4b, 0x1a, 0x5c, 0xb5, 0x9a, 0x1a, 0xb2, 0x81, 0x40, 0x60,
-  0x97, 0xcc, 0x14, 0x2c, 0x8f, 0x16, 0xd4, 0x73, 0xaf, 0xf2, 0x5e, 0xa4,
-  0x65, 0x91, 0x4c, 0xaf, 0xd8, 0x10, 0xe1, 0x2b, 0xbf, 0x8d, 0x56, 0x41,
-  0x03, 0x32, 0x09, 0x89, 0xff, 0x5d, 0xce, 0x5d, 0x46, 0x4c, 0xa6, 0x3c,
-  0xe3, 0x1a, 0x8c, 0x53, 0x01, 0xbc, 0xab, 0x8c, 0x42, 0x1c, 0x33, 0x03,
-  0xc3, 0xe5, 0xde, 0x88, 0x1c, 0x40, 0x6f, 0x6d, 0x0a, 0x0e, 0x0e, 0x0e,
-  0x70, 0x5c, 0xa0, 0x8e, 0xe0, 0xc1, 0xe5, 0x88, 0x56, 0xdb, 0x3d, 0xc7,
-  0x6b, 0xc7, 0x36, 0x6e, 0xac, 0xda, 0x61, 0x58, 0x56, 0x45, 0x60, 0x08,
-  0xa1, 0x67, 0x56, 0x50, 0xc5, 0x69, 0x80, 0x30, 0x8a, 0xd3, 0x41, 0x43,
-  0xb0, 0xea, 0xb2, 0x70, 0x2b, 0x0a, 0x0c, 0xef, 0xd8, 0x15, 0x0f, 0x6a,
-  0x3b, 0x86, 0xca, 0x91, 0xd6, 0x9f, 0xc3, 0x0f, 0x1f, 0xc1, 0xe6, 0x90,
-  0x4c, 0xe8, 0x9f, 0xae, 0xe4, 0x94, 0xa4, 0xf3, 0xc7, 0x0f, 0xa3, 0x0e,
-  0xe2, 0xa3, 0x3a, 0xc6, 0x5c, 0x35, 0x2f, 0x09, 0xd6, 0x50, 0x1f, 0x20,
-  0x23, 0xfe, 0x57, 0x44, 0xda, 0xb7, 0xa0, 0x7d, 0x56, 0xe0, 0x1c, 0x71,
-  0x10, 0x24, 0xcc, 0x77, 0x3f, 0xfa, 0x2a, 0x2e, 0xd2, 0x71, 0x2f, 0x3a,
-  0x4a, 0x49, 0x56, 0x2f, 0x7b, 0x1e, 0x91, 0xd1, 0x21, 0x59, 0x0e, 0xa2,
-  0xef, 0xad, 0x3a, 0x28, 0xdd, 0xb9, 0x08, 0xfc, 0x84, 0x5d, 0xb1, 0xe2,
-  0xf0, 0xa5, 0x65, 0x50, 0xab, 0xab, 0x4b, 0x0b, 0x23, 0x2a, 0x42, 0xdb,
-  0x1e, 0x6d, 0x0e, 0x9b, 0x19, 0x17, 0xb7, 0x55, 0x98, 0x75, 0x91, 0xaa,
-  0x0a, 0xb6, 0x1d, 0xb2, 0x08, 0x84, 0xf5, 0x9d, 0x6b, 0xa1, 0x0b, 0xa5,
-  0xb9, 0x6c, 0x6e, 0x71, 0x3c, 0xde, 0x91, 0xaa, 0x96, 0x9c, 0x42, 0xc3,
-  0x66, 0xcc, 0xd5, 0x8b, 0xdb, 0xc8, 0x8e, 0xeb, 0x06, 0x42, 0xcb, 0x69,
-  0x9d, 0x78, 0x45, 0x94, 0x9f, 0x9c, 0x5d, 0x1e, 0xff, 0x21, 0x1a, 0xa6,
-  0x5c, 0x64, 0xd1, 0x51, 0x0e, 0x1f, 0x72, 0xae, 0x7c, 0xae, 0x5e, 0xa8,
+  0x17, 0x20, 0xf0, 0xc8, 0x33, 0x81, 0x5a, 0x4a, 0x2a, 0x45, 0xb1, 0xcc,
+  0x05, 0xad, 0xf7, 0xc3, 0xa4, 0xe4, 0xce, 0xbf, 0xb5, 0xc7, 0xf1, 0xbb,
+  0x3c, 0x95, 0x05, 0x57, 0x74, 0xc4, 0x59, 0x5a, 0x33, 0x2a, 0xb7, 0x9f,
+  0x58, 0x10, 0x1b, 0x96, 0x45, 0xce, 0xfd, 0x4a, 0xa3, 0x92, 0xd6, 0x3e,
+  0x62, 0x4c, 0x8a, 0xac, 0xf3, 0x9e, 0x83, 0xbb, 0x75, 0x4c, 0x87, 0xf2,
+  0x51, 0xff, 0x92, 0x3f, 0x52, 0x6a, 0xb0, 0x95, 0xe6, 0x93, 0x62, 0xb9,
+  0x53, 0xbd, 0x96, 0xb2, 0xbd, 0x51, 0x5b, 0x04, 0x2f, 0xb4, 0x8a, 0x79,
+  0x13, 0x8a, 0x8f, 0xb4, 0x01, 0x13, 0xe2, 0xb8, 0xb2, 0xe4, 0x5b, 0xad,
+  0x6b, 0x4e, 0x5d, 0x92, 0xba, 0x1d, 0xb9, 0x6f, 0x90, 0x1f, 0x9f, 0x1a,
+  0x0c, 0xc8, 0x18, 0x7e, 0x94, 0x8f, 0xe3, 0x1f, 0x1f, 0x91, 0x70, 0xce,
+  0x63, 0x30, 0x1e, 0x5c, 0xb8, 0x31, 0xd0, 0x10, 0xfc, 0x87, 0xe2, 0x30,
+  0x03, 0x75, 0x06, 0x95, 0xd9, 0xd3, 0xf9, 0x47, 0x89, 0x42, 0xed, 0x5a,
+  0x45, 0x73, 0x1c, 0xd6, 0xdd, 0x7b, 0xa8, 0x2c, 0x92, 0xf1, 0x1d, 0x57,
+  0x88, 0x1c, 0xcb, 0xe8, 0xea, 0xa3, 0x30, 0x2f, 0xed, 0x8b, 0xcb, 0x19,
+  0x43, 0xfa, 0xd0, 0x38, 0x74, 0x32, 0x5a, 0x34, 0xa6, 0x5a, 0x1b, 0x1e,
+  0xe9, 0xe3, 0x50, 0x09, 0xc7, 0x9c, 0xae, 0xc7, 0x4a, 0xf8, 0x07, 0x2e,
+  0x5b, 0xd7, 0xa0, 0xe6, 0x3f, 0x01, 0x90, 0x40, 0x12, 0xc0, 0x1a, 0x79,
+  0xa8, 0xcd, 0xcc, 0xed, 0x2b, 0xd2, 0x0b, 0x81, 0xf5, 0xf8, 0x1e, 0x90,
+  0x88, 0x4c, 0x73, 0x86, 0x51, 0x8e, 0x0f, 0xcc, 0x6a, 0x2e, 0xd8, 0x54,
+  0xcb, 0x85, 0x14, 0xbe, 0x63, 0x1c, 0x86, 0x0c, 0x16, 0xef, 0x0f, 0x15,
+  0x3e, 0x6c, 0xc1, 0x5e, 0xb7, 0x18, 0xfb, 0x5a, 0x56, 0x79, 0x53, 0xbb,
+  0x2b, 0x8a, 0xe9, 0x7b, 0x7a, 0x32, 0xbd, 0x5a, 0xbd, 0x17, 0x16, 0xff,
+  0xe1, 0x2b, 0x54, 0x9e, 0xb3, 0x93, 0xc2, 0x2e, 0x15, 0x3a, 0xc3, 0x24,
+  0xdf, 0x25, 0x24, 0x8d, 0x5d, 0x89, 0xe1, 0x35, 0x42, 0x93, 0xe9, 0xf8,
+  0xa3, 0xb4, 0x3f, 0xa7, 0x15, 0xbb, 0x33, 0x37, 0x60, 0xf8, 0x22, 0x78,
+  0x80, 0x61, 0x57, 0xd3, 0xb6, 0x3e, 0x2c, 0x63, 0x71, 0x23, 0x1e, 0x95,
+  0xfd, 0x31, 0xf1, 0xfb, 0xd7, 0x8b, 0x95, 0x70, 0x99, 0xa1, 0x1f, 0x57,
+  0x87, 0xaa, 0x1a, 0xca, 0xef, 0x4b, 0x1e, 0xad, 0xcb, 0x8f, 0x46, 0x86,
+  0xdc, 0x3f, 0x89, 0x29, 0xf0, 0xd1, 0xf9, 0xd0, 0xc9, 0x43, 0x2a, 0x50,
+  0x2f, 0x6d, 0x29, 0x28, 0xca, 0x10, 0x8a, 0xa4, 0x6c, 0x4f, 0x0b, 0x7b,
+  0x58, 0xb9, 0xb8, 0x7b, 0x99, 0x42, 0xce, 0x85, 0x51, 0xd6, 0xe4, 0xb3,
+  0xa0, 0xcc, 0x8b, 0x20, 0x27, 0xc5, 0x1b, 0x2d, 0x6a, 0xa3, 0x8f, 0xc0,
+  0x29, 0x24, 0xa1, 0x47, 0x5a, 0xef, 0x20, 0xd0, 0xdc, 0x46, 0xdc, 0x96,
+  0x6c, 0x19, 0xfa, 0xfa, 0xe3, 0x69, 0x68, 0x3f, 0x0f, 0x14, 0x08, 0x85,
+  0x1a, 0xe1, 0x48, 0x7e, 0x44, 0xc0, 0x05, 0xeb, 0xdf, 0x16, 0x73, 0x06,
+  0xae, 0x4b, 0x4a, 0x06, 0x4d, 0x60, 0xba, 0x52, 0x9c, 0x52, 0xae, 0xfa,
+  0x2c, 0xe6, 0x22, 0x7e, 0x57, 0x22, 0x26, 0x41, 0xa9, 0x16, 0xea, 0x47,
+  0xdf, 0x37, 0x4d, 0xf0, 0xae, 0x8a, 0x96, 0x53, 0x61, 0x82, 0xe1, 0x49,
+  0x28, 0x41, 0xa3, 0x00, 0x85, 0x33, 0x00, 0x36, 0x2b, 0x90, 0xe1, 0xea,
+  0xe3, 0x9a, 0x98, 0x62, 0xec, 0xc3, 0x7a, 0xd5, 0xcb, 0x34, 0xd9, 0xe6,
+  0xc0, 0xe6, 0x0c, 0xa4, 0x18, 0x5f, 0x62, 0xb1, 0x1e, 0xd8, 0x50, 0x2b,
+  0xd0, 0xb5, 0xce, 0xf2, 0xe9, 0x8a, 0x8d, 0x48, 0x4b, 0x88, 0x56, 0xdc,
+  0xed, 0x05, 0x74, 0x00, 0x15, 0xb8, 0x81, 0x2f, 0xea, 0xea, 0xd2, 0x34,
+  0x40, 0x42, 0xd8, 0xd2, 0x13, 0xaf, 0x0c, 0xa3, 0x46, 0xda, 0x68, 0x25,
+  0xc1, 0x5e, 0x10, 0xa2, 0x6b, 0xa5, 0xba, 0x5a, 0xcb, 0x9a, 0x5a, 0xf9,
+  0x82, 0x4d, 0x0d, 0x3d, 0xdf, 0x72, 0xb1, 0x02, 0x09, 0x9d, 0x28, 0x70,
+  0x03, 0xb8, 0x80, 0xfe, 0xf4, 0x68, 0x0c, 0xe1, 0xaf, 0xc4, 0x1a, 0xbe,
+  0x47, 0x98, 0x90, 0x5c, 0x66, 0x6b, 0xab, 0x6b, 0x30, 0x19, 0x19, 0x6e,
+  0x6e, 0x0a, 0x27, 0xea, 0x98, 0xb4, 0x07, 0xd2, 0x43, 0xec, 0x4d, 0x2d,
+  0xd7, 0x18, 0xa6, 0x5c, 0x7d, 0x64, 0x91, 0x41, 0x50, 0xb7, 0x43, 0xdb,
+  0xbf, 0xac, 0x70, 0x1e, 0x27, 0xa7, 0x0a, 0xd2, 0xd9, 0x9a, 0x3a, 0x02,
+  0x61, 0xb6, 0x87, 0x2c, 0xbc, 0x8e, 0x06, 0x31, 0x10, 0xf7, 0x69, 0xa1,
+  0x51, 0x57, 0x0a, 0x29, 0xa7, 0xe9, 0x5c, 0xf0, 0xff, 0x7f, 0x75, 0x7c,
+  0xb9, 0xd5, 0x04, 0x30, 0x8a, 0x27, 0x7e, 0x64, 0x80, 0xb2, 0xd4, 0xf3,
+  0x20, 0x3e, 0x51, 0xa8, 0x8a, 0x96, 0x40, 0x28, 0x8a, 0x4e, 0xf2, 0xb0,
+  0x98, 0xc6, 0x73, 0xad, 0xaa, 0x56, 0x6b, 0xee, 0x90, 0x96, 0x81, 0x39,
+  0x59, 0x10, 0x26, 0xa4, 0x5e, 0x77, 0x57, 0x71, 0xdd, 0x29, 0xdc, 0x48,
+  0xd1, 0xe1, 0x16, 0x8f, 0x8e, 0x4f, 0x8f, 0x2f, 0x8f, 0x11, 0x41, 0xdd,
+  0x10, 0x49, 0xa6, 0x28, 0x7e, 0x5c, 0x26, 0xe3, 0x9b, 0x79, 0x46, 0x77,
+  0xaf, 0x84, 0x74, 0xd0, 0x4d, 0xff, 0x5d, 0x32, 0x3a, 0x3a, 0xf8, 0x56,
+  0x42, 0x1a, 0x8a, 0xe8, 0xfc, 0xe2, 0xec, 0xfc, 0xf5, 0xc9, 0xdb, 0xa3,
+  0x5e, 0x74, 0x78, 0x76, 0xfe, 0x43, 0x2f, 0x7a, 0x73, 0xf6, 0xed, 0x71,
+  0x8b, 0x4f, 0x91, 0xfd, 0xd9, 0xcd, 0x8c, 0xb3, 0xd7, 0x6b, 0x76, 0x3b,
+  0x44, 0xa4, 0xd4, 0xad, 0x0e, 0x12, 0x7d, 0x4e, 0x4f, 0x86, 0x97, 0xd8,
+  0xfa, 0x7a, 0xbc, 0x17, 0x62, 0xda, 0x05, 0x78, 0x3d, 0x2d, 0x2c, 0x80,
+  0x83, 0xab, 0x86, 0xfd, 0x76, 0x54, 0xbd, 0xe2, 0xf0, 0x1e, 0x96, 0xda,
+  0x15, 0xfb, 0x8a, 0xff, 0x6d, 0xc1, 0x4c, 0x8c, 0xbd, 0xe6, 0xc1, 0xfe,
+  0x5e, 0x2d, 0xf6, 0x73, 0x23, 0x79, 0x39, 0xf4, 0xb2, 0xe0, 0x34, 0x8d,
+  0x6a, 0xf2, 0x7a, 0x34, 0x59, 0xe6, 0x4d, 0x89, 0x27, 0x8e, 0x82, 0x0e,
+  0x25, 0x57, 0xa9, 0x57, 0x51, 0xda, 0xd8, 0xfb, 0x58, 0xf8, 0x82, 0x1e,
+  0xd4, 0x7d, 0xf0, 0x42, 0xc3, 0xb1, 0x23, 0x88, 0x95, 0x21, 0x02, 0x59,
+  0x38, 0x24, 0x9b, 0xf6, 0x2e, 0x29, 0xf8, 0x53, 0x86, 0x3b, 0xe2, 0x9b,
+  0x48, 0x70, 0x88, 0x7e, 0x78, 0xbc, 0x94, 0xb1, 0x84, 0x18, 0x86, 0xbe,
+  0x78, 0x61, 0x3e, 0x4b, 0x07, 0x8c, 0x89, 0xcb, 0x3c, 0x86, 0x0b, 0x28,
+  0xc2, 0x9a, 0x34, 0xb5, 0x13, 0xd5, 0x0e, 0x24, 0xc8, 0x21, 0x48, 0x40,
+  0x43, 0x44, 0x24, 0xdd, 0x2e, 0x72, 0x4a, 0x88, 0xeb, 0xf7, 0x24, 0x13,
+  0x13, 0x90, 0xd5, 0xfa, 0x5e, 0xbf, 0xc5, 0x40, 0xc2, 0x82, 0xf3, 0x1a,
+  0x7e, 0xfe, 0xeb, 0xd1, 0xc4, 0x0f, 0x8e, 0x26, 0x64, 0x0d, 0x5f, 0xe2,
+  0x8f, 0x5f, 0x44, 0x15, 0x01, 0xa4, 0x97, 0xe8, 0x84, 0x9b, 0xe9, 0xbc,
+  0x4a, 0x1e, 0xfd, 0x46, 0x56, 0xc3, 0x64, 0x4b, 0xcd, 0x4b, 0xc1, 0x6e,
+  0xab, 0x5d, 0x87, 0xe5, 0xa2, 0x2a, 0x51, 0x54, 0x28, 0xa2, 0x45, 0x9c,
+  0x91, 0x2d, 0x96, 0x70, 0xe1, 0x94, 0xa1, 0x98, 0xa5, 0xc2, 0x3c, 0x24,
+  0x9f, 0xdf, 0x70, 0xe9, 0x7e, 0xe6, 0xcc, 0x67, 0x7a, 0xbc, 0x0f, 0xf2,
+  0x7f, 0x39, 0x61, 0xf1, 0x99, 0x98, 0x9e, 0x86, 0x17, 0xad, 0x45, 0x18,
+  0xdf, 0x22, 0x66, 0x2a, 0x1c, 0x3c, 0x56, 0xeb, 0x2d, 0x8b, 0x1f, 0x9c,
+  0xa5, 0x3e, 0x62, 0xb4, 0x3f, 0xad, 0xdb, 0x31, 0xd1, 0xda, 0xf0, 0x58,
+  0xe1, 0x96, 0x9b, 0x5f, 0x2b, 0x2d, 0x2b, 0x78, 0x23, 0x1f, 0x3f, 0x7a,
+  0xdc, 0x55, 0xaa, 0x59, 0xd3, 0xa4, 0xda, 0x1a, 0xf9, 0xdb, 0x16, 0x7a,
+  0x73, 0x10, 0xed, 0xe1, 0x34, 0x4c, 0x28, 0x40, 0x1d, 0x17, 0x04, 0x90,
+  0x10, 0x53, 0xc3, 0x33, 0x12, 0x42, 0x50, 0x70, 0x97, 0x0d, 0xe5, 0x9a,
+  0x0d, 0x73, 0x16, 0x11, 0xa9, 0x28, 0x11, 0x08, 0x5e, 0xf0, 0xc0, 0xb9,
+  0x34, 0x4a, 0xb5, 0xc9, 0x1a, 0xec, 0xaa, 0x81, 0x14, 0xb7, 0x64, 0x70,
+  0x68, 0x60, 0x82, 0x4f, 0x92, 0xd4, 0x30, 0x6e, 0xe5, 0xb3, 0xbf, 0x53,
+  0x00, 0x4c, 0x5c, 0x73, 0x48, 0x7a, 0xa7, 0xb6, 0x78, 0x8c, 0x9c, 0xf0,
+  0xbe, 0x26, 0xe3, 0xbd, 0x90, 0x94, 0xf7, 0xda, 0x64, 0xf5, 0x06, 0x6b,
+  0x97, 0x9f, 0x84, 0xef, 0xd4, 0xde, 0x50, 0xdc, 0x6c, 0xd4, 0x85, 0xda,
+  0xec, 0x6f, 0xb9, 0xb8, 0x49, 0x40, 0x8a, 0xca, 0x36, 0x37, 0xed, 0x21,
+  0xb1, 0xb3, 0x4c, 0xb8, 0xc8, 0xdb, 0x6c, 0x3a, 0xf1, 0xe7, 0xc9, 0xb2,
+  0x95, 0xb8, 0xb3, 0x6d, 0xb1, 0x7b, 0xba, 0xaa, 0x94, 0x45, 0x53, 0xfe,
+  0x6e, 0x34, 0x36, 0x4f, 0xee, 0xc3, 0xc6, 0xbc, 0xec, 0xe0, 0x1a, 0xfc,
+  0x2d, 0x43, 0xd0, 0x19, 0x83, 0x0f, 0x5a, 0x77, 0xd1, 0x8a, 0xca, 0xcb,
+  0x29, 0xee, 0x01, 0x84, 0x9f, 0x69, 0x4c, 0x10, 0x54, 0x02, 0x1b, 0x73,
+  0x5f, 0xac, 0x05, 0x20, 0x31, 0x43, 0x27, 0x6d, 0x4b, 0xbd, 0xee, 0x9f,
+  0xd2, 0x31, 0x74, 0xb5, 0x4b, 0x74, 0xdc, 0xd5, 0x8a, 0xb3, 0x61, 0xa5,
+  0x7a, 0x29, 0x5a, 0xca, 0xc9, 0x8a, 0xed, 0xd9, 0x3d, 0x20, 0x35, 0xd7,
+  0x75, 0xc5, 0xe8, 0x1d, 0x75, 0x38, 0xbc, 0x7d, 0x54, 0x2c, 0xf3, 0xc9,
+  0x72, 0xd6, 0x09, 0xb3, 0xe0, 0x75, 0x61, 0x98, 0x81, 0x36, 0x2b, 0xdc,
+  0xf3, 0x25, 0x44, 0xbd, 0x3e, 0xdb, 0xa9, 0x59, 0xd0, 0x0d, 0x9f, 0x30,
+  0x40, 0x24, 0xec, 0xef, 0x86, 0xf4, 0x43, 0xed, 0x35, 0x84, 0xc4, 0x92,
+  0xef, 0xb5, 0xdf, 0x70, 0xf3, 0x76, 0x68, 0x31, 0x59, 0x00, 0xdf, 0x1d,
+  0xec, 0xb4, 0x8b, 0xbb, 0x1c, 0xbd, 0x37, 0x4e, 0x7c, 0x71, 0xed, 0x94,
+  0xd4, 0x57, 0x1e, 0x6d, 0xe1, 0x25, 0x37, 0x89, 0xcb, 0x70, 0x75, 0x88,
+  0xf5, 0x90, 0xd6, 0xaf, 0x80, 0x2b, 0x57, 0x8d, 0xb7, 0x70, 0x5c, 0x01,
+  0x69, 0xe9, 0x89, 0x98, 0xd3, 0xf7, 0x9d, 0xa8, 0x19, 0x0c, 0x6f, 0x97,
+  0x59, 0xee, 0xb4, 0xb8, 0xdb, 0x6d, 0x2d, 0x61, 0x51, 0x1b, 0x1a, 0x4b,
+  0x62, 0x97, 0xa7, 0x43, 0x17, 0x20, 0xbc, 0x2b, 0x22, 0xb8, 0xc3, 0x3f,
+  0xf1, 0xb5, 0xeb, 0xd7, 0xd4, 0x66, 0xe7, 0x97, 0x55, 0x08, 0xf7, 0x43,
+  0xd8, 0xe3, 0x0b, 0xb3, 0x98, 0xde, 0xed, 0xb5, 0x0e, 0xc1, 0xc6, 0x50,
+  0x19, 0x04, 0x1b, 0x5a, 0x6c, 0x10, 0x7b, 0xcd, 0x41, 0x3c, 0x56, 0x1e,
+  0x9e, 0x5f, 0x6d, 0x0c, 0xe1, 0x89, 0x0e, 0xe1, 0xc9, 0xc7, 0xae, 0x42,
+  0x38, 0x80, 0x27, 0xbf, 0x74, 0x15, 0x5a, 0x87, 0xf0, 0x94, 0x03, 0xea,
+  0x17, 0x77, 0x4f, 0x5b, 0x32, 0x7b, 0xcc, 0x26, 0x06, 0x56, 0x05, 0xb4,
+  0x94, 0xa9, 0x14, 0xe3, 0xf4, 0x2e, 0x73, 0x2e, 0x43, 0x68, 0x05, 0x45,
+  0x33, 0xef, 0x61, 0x3a, 0xa9, 0x57, 0x1c, 0xd4, 0x31, 0x7b, 0xe0, 0x6b,
+  0x41, 0x81, 0xb9, 0xd2, 0x5f, 0x38, 0xc6, 0xb8, 0xaf, 0x3d, 0xd4, 0x8a,
+  0x4c, 0x4b, 0x99, 0xdc, 0x35, 0xb1, 0xce, 0x48, 0x78, 0x14, 0x44, 0x33,
+  0x2d, 0xa0, 0x93, 0x71, 0x5b, 0x4f, 0x6d, 0x50, 0x89, 0x04, 0x9e, 0x06,
+  0xd3, 0x7d, 0x2e, 0xd3, 0x7d, 0xfe, 0x7f, 0xd3, 0x74, 0x9f, 0xaf, 0x9f,
+  0xee, 0x27, 0x62, 0x55, 0x00, 0x66, 0x68, 0x7f, 0x14, 0xe7, 0x6b, 0x51,
+  0x95, 0x2d, 0x5c, 0xd2, 0x01, 0x8c, 0x56, 0xc2, 0xfe, 0x0b, 0x41, 0x66,
+  0x92, 0x6f, 0xa8, 0x99, 0xf5, 0xac, 0xa0, 0x22, 0xd1, 0x33, 0x54, 0x52,
+  0x51, 0xa6, 0x63, 0xe6, 0x73, 0x5c, 0x0d, 0xc5, 0xc5, 0xf9, 0xfe, 0xf7,
+  0xf6, 0xa0, 0xb5, 0x22, 0xe7, 0x51, 0xb3, 0x66, 0x66, 0x2f, 0x02, 0xa6,
+  0x6e, 0x50, 0x7a, 0x33, 0x40, 0xb8, 0xa1, 0x76, 0x8f, 0xdf, 0x7e, 0x7b,
+  0x72, 0x71, 0xf6, 0xf6, 0xcd, 0xf1, 0x5b, 0x17, 0x6d, 0x73, 0x89, 0xfa,
+  0x83, 0x6d, 0x56, 0xb4, 0xb6, 0xba, 0x2b, 0x22, 0xff, 0xc2, 0x94, 0xc3,
+  0x69, 0xb3, 0x8b, 0x85, 0xfe, 0x35, 0x08, 0x9b, 0x0b, 0x1e, 0xb2, 0xe3,
+  0xc7, 0x42, 0xd9, 0x82, 0x7d, 0x03, 0x13, 0x8e, 0x71, 0x1b, 0x48, 0xe8,
+  0x91, 0x2b, 0x9d, 0xce, 0xb6, 0xb7, 0x87, 0x71, 0xb2, 0xb0, 0xf5, 0xf3,
+  0xf7, 0x89, 0x16, 0x6e, 0x0c, 0xa2, 0xd6, 0x2a, 0x83, 0xf0, 0x9b, 0x17,
+  0x34, 0xf8, 0xa3, 0x19, 0xaf, 0xf6, 0xb7, 0xb7, 0x7f, 0x02, 0x0e, 0xe0,
+  0xe7, 0x6a, 0xdf, 0x6c, 0x5e, 0xc9, 0xa1, 0x21, 0xc7, 0xd7, 0x06, 0xb1,
+  0x3c, 0x3f, 0x58, 0xcc, 0x36, 0x02, 0x7f, 0xd6, 0xf0, 0x3d, 0xe9, 0xd2,
+  0xdf, 0xff, 0xf0, 0x2b, 0x77, 0x31, 0xac, 0x94, 0xa4, 0xf8, 0xd5, 0xbb,
+  0xa8, 0x68, 0xd7, 0x07, 0xa7, 0xa7, 0xbf, 0x6a, 0x07, 0x50, 0x39, 0xbc,
+  0xbd, 0xb0, 0xef, 0xec, 0x85, 0x96, 0x24, 0xd9, 0x50, 0x66, 0x2b, 0xda,
+  0xc9, 0xdb, 0x33, 0x1d, 0x8d, 0x98, 0x9b, 0xfa, 0x56, 0xed, 0x65, 0xe2,
+  0x2a, 0x29, 0xf2, 0xc0, 0x1a, 0x38, 0xd5, 0xf8, 0x12, 0xa2, 0x93, 0x03,
+  0xec, 0x34, 0xab, 0x2f, 0x50, 0xcb, 0x90, 0x92, 0x94, 0x39, 0xdb, 0xa2,
+  0x40, 0x24, 0x9a, 0xd1, 0xba, 0xc5, 0x30, 0xcc, 0x20, 0x14, 0x1c, 0xd2,
+  0x85, 0xfa, 0xbb, 0x9c, 0xce, 0xc5, 0x44, 0xa7, 0x68, 0xce, 0x25, 0x00,
+  0xf2, 0x59, 0x11, 0xc0, 0x50, 0xf8, 0x14, 0x7d, 0x7f, 0x72, 0x19, 0x1d,
+  0x9e, 0x1d, 0xf9, 0x23, 0x7a, 0x29, 0x81, 0x9c, 0x39, 0x4a, 0x26, 0x2d,
+  0xe7, 0xc4, 0xc4, 0x58, 0x5d, 0x48, 0xaf, 0x80, 0x87, 0xe6, 0x60, 0xd1,
+  0x11, 0x53, 0x67, 0x76, 0x22, 0x5a, 0x50, 0x29, 0xf8, 0x96, 0x4b, 0xa0,
+  0xdc, 0x24, 0xb0, 0x22, 0x54, 0x41, 0x82, 0x9d, 0xa9, 0x96, 0xe3, 0xa6,
+  0x19, 0x3c, 0x87, 0x58, 0x8a, 0x58, 0x1d, 0x88, 0xbb, 0x70, 0xe5, 0xb6,
+  0xb9, 0x58, 0x93, 0x48, 0xb8, 0x3a, 0xf0, 0xba, 0x44, 0x80, 0x8a, 0x26,
+  0x85, 0x70, 0x72, 0x14, 0x00, 0xd0, 0x82, 0xa3, 0x0f, 0x8c, 0xd0, 0x8e,
+  0xd1, 0x54, 0xe2, 0x3e, 0x77, 0xd5, 0xee, 0x3f, 0xf7, 0x80, 0x1a, 0x1e,
+  0xa3, 0x0a, 0xa6, 0x03, 0x4e, 0x94, 0x98, 0x58, 0xd2, 0x91, 0x81, 0x8c,
+  0x59, 0x95, 0x14, 0x29, 0x7e, 0xdd, 0xd8, 0x71, 0xd7, 0x84, 0xeb, 0x67,
+  0x4f, 0xa9, 0x5d, 0x90, 0xe4, 0x59, 0x9e, 0x12, 0xf7, 0x52, 0xfa, 0x73,
+  0x70, 0xa4, 0x9f, 0xe8, 0x60, 0x2e, 0x4e, 0x69, 0xe6, 0x53, 0xb1, 0x83,
+  0x6b, 0xcc, 0x37, 0x2a, 0xe4, 0xc0, 0x7b, 0xc2, 0xfa, 0xae, 0x16, 0x3c,
+  0xf5, 0x6f, 0x3e, 0x33, 0x73, 0x9b, 0x92, 0x82, 0x47, 0xf2, 0x54, 0x2a,
+  0x10, 0xd7, 0xae, 0x2a, 0x93, 0x4a, 0xa8, 0x12, 0x2c, 0x36, 0x86, 0xbb,
+  0x4c, 0x6c, 0xdb, 0xcd, 0xda, 0x10, 0xb5, 0x38, 0x9c, 0xe7, 0xb5, 0x7e,
+  0xac, 0x1b, 0x54, 0x23, 0x97, 0x22, 0x98, 0xe8, 0xa2, 0x1e, 0x70, 0xc5,
+  0xcd, 0x37, 0x5b, 0xfb, 0xb4, 0xbe, 0x28, 0xbe, 0x6e, 0xbc, 0xb4, 0xe8,
+  0x9e, 0xfc, 0xcc, 0x31, 0x8b, 0xe8, 0x3e, 0xe1, 0x9c, 0x28, 0x3d, 0x93,
+  0xa8, 0x69, 0x64, 0xb3, 0xb3, 0xf8, 0x09, 0x49, 0x95, 0x04, 0xd0, 0x95,
+  0xc6, 0x5b, 0x8e, 0x75, 0xbc, 0x0d, 0xfd, 0x30, 0x0f, 0x39, 0xea, 0x0b,
+  0xdf, 0x49, 0x14, 0xc3, 0x45, 0xc5, 0xa6, 0xce, 0x79, 0xea, 0x36, 0x41,
+  0xda, 0x97, 0x8f, 0xd8, 0xf3, 0x47, 0x9c, 0x39, 0x73, 0x7f, 0xeb, 0x1b,
+  0x0d, 0x9c, 0xa2, 0x5a, 0x18, 0x14, 0xaf, 0x82, 0x54, 0xe3, 0x0b, 0x6b,
+  0xf8, 0x21, 0x1a, 0x3e, 0x9e, 0xab, 0xdf, 0x42, 0x80, 0xda, 0x19, 0x9c,
+  0x3b, 0x6b, 0xc4, 0x9c, 0x66, 0x57, 0xa5, 0xab, 0x10, 0xc4, 0x2a, 0xf5,
+  0x24, 0x40, 0xb8, 0xc4, 0xa9, 0xf6, 0x8d, 0xe2, 0x0c, 0x99, 0x76, 0x0e,
+  0x07, 0x52, 0xd4, 0x70, 0xcf, 0x05, 0xd5, 0x5e, 0xfd, 0x99, 0xd8, 0xad,
+  0x2d, 0xf6, 0xf9, 0xc1, 0x70, 0x68, 0x4b, 0x0d, 0x14, 0x29, 0x5b, 0x4f,
+  0x59, 0x41, 0xf5, 0x6c, 0x22, 0x63, 0x5a, 0x53, 0x0a, 0x5b, 0x0c, 0x19,
+  0xda, 0x48, 0x2d, 0x3a, 0x62, 0xf7, 0x89, 0x5f, 0x73, 0xd7, 0xd9, 0xb7,
+  0xd2, 0x5a, 0xef, 0x23, 0x3b, 0x6b, 0xed, 0xeb, 0xdb, 0x96, 0xbe, 0x9e,
+  0xd6, 0xe6, 0xb5, 0xb7, 0xf7, 0xa9, 0xa6, 0x10, 0xd0, 0x5a, 0x1f, 0x56,
+  0x28, 0x45, 0x89, 0x43, 0x6d, 0x0d, 0xf4, 0x60, 0xdf, 0xd0, 0x22, 0x92,
+  0xd6, 0x6a, 0xd9, 0x18, 0x4c, 0xd0, 0xd5, 0x33, 0x3f, 0x2d, 0x92, 0x2a,
+  0xb8, 0x3d, 0x36, 0x7b, 0xc8, 0x31, 0x69, 0x9c, 0x1e, 0x60, 0x83, 0xf0,
+  0x51, 0x39, 0xe1, 0x91, 0x11, 0x1f, 0x5f, 0x13, 0x6f, 0x62, 0xc3, 0x08,
+  0xfa, 0xf9, 0xd4, 0xf5, 0xe3, 0x46, 0xce, 0x7a, 0xa8, 0xe4, 0xd5, 0x0f,
+  0x42, 0x8e, 0xa0, 0x34, 0x12, 0x44, 0xa4, 0xa9, 0xa3, 0xa0, 0x49, 0xb2,
+  0xfa, 0xb6, 0xef, 0x45, 0x8e, 0xdf, 0xb9, 0x16, 0xc2, 0x13, 0x50, 0x15,
+  0x94, 0x07, 0x8b, 0x2b, 0x08, 0x25, 0x52, 0x2a, 0x3d, 0xf6, 0xe6, 0xd5,
+  0x3c, 0x3c, 0xed, 0xbb, 0x2f, 0x82, 0x35, 0xb1, 0x61, 0x99, 0xad, 0x71,
+  0xdb, 0x8e, 0x8f, 0x63, 0x21, 0x22, 0xdd, 0xf1, 0xdf, 0x17, 0xc7, 0x97,
+  0x17, 0x1c, 0xd3, 0x0a, 0x98, 0x95, 0xba, 0xa6, 0x4c, 0x67, 0x6a, 0xcb,
+  0x99, 0xe5, 0xa5, 0x50, 0x47, 0xc0, 0x75, 0x3d, 0x25, 0x4b, 0x31, 0x62,
+  0xdc, 0x33, 0x9c, 0x79, 0x5d, 0xa9, 0x4d, 0xec, 0xab, 0x04, 0xc9, 0x3d,
+  0xe4, 0x23, 0x34, 0xf5, 0x64, 0xb8, 0xf5, 0xf7, 0x71, 0x3e, 0x40, 0x53,
+  0x14, 0xb6, 0xa6, 0xa1, 0xf0, 0x03, 0x75, 0xbd, 0xbb, 0xa8, 0x14, 0x49,
+  0x79, 0x8a, 0xcd, 0x43, 0xac, 0x01, 0xe5, 0x0d, 0x23, 0x91, 0xeb, 0x9c,
+  0xae, 0x49, 0x49, 0x5c, 0xb5, 0xeb, 0xd0, 0x79, 0x03, 0xa5, 0x4b, 0xf9,
+  0x14, 0x61, 0xea, 0x40, 0xdb, 0x8a, 0x9e, 0xee, 0xec, 0x34, 0x9b, 0x8b,
+  0x47, 0xd9, 0x9d, 0xb9, 0x26, 0x35, 0xe9, 0x43, 0x4a, 0xfb, 0x60, 0xbf,
+  0x70, 0x99, 0x42, 0xd7, 0xe8, 0x5f, 0x91, 0xcc, 0xcc, 0x0b, 0x66, 0x66,
+  0x84, 0x60, 0xd9, 0xe4, 0x50, 0x7e, 0x87, 0x24, 0x14, 0x5d, 0xb2, 0xea,
+  0x51, 0x94, 0xfc, 0x14, 0xc3, 0x12, 0x8c, 0xad, 0xa6, 0x21, 0x12, 0xd9,
+  0x56, 0x34, 0xfb, 0x59, 0xcb, 0x3c, 0x15, 0x24, 0x27, 0xe8, 0xe6, 0x59,
+  0x0b, 0x41, 0x44, 0xc3, 0xcb, 0xb3, 0x8b, 0x28, 0xa8, 0x48, 0x5c, 0xe5,
+  0xba, 0x88, 0x67, 0xe0, 0x27, 0x9c, 0x77, 0xb6, 0xd7, 0xe2, 0x3a, 0x70,
+  0x49, 0x92, 0x12, 0x74, 0xc4, 0xd9, 0xf6, 0xbe, 0xd7, 0xe7, 0xde, 0xd1,
+  0xa5, 0x73, 0xfb, 0x96, 0x34, 0x00, 0xce, 0x1a, 0x34, 0xb8, 0x33, 0xba,
+  0x1f, 0x49, 0xf0, 0x9e, 0x05, 0xf6, 0x97, 0x3d, 0x39, 0x67, 0x67, 0x4b,
+  0xd0, 0xba, 0xe4, 0x3b, 0x32, 0x19, 0x69, 0xe6, 0x23, 0x9b, 0xad, 0xd4,
+  0x30, 0xe5, 0x8c, 0x81, 0x75, 0x52, 0x94, 0x33, 0x74, 0xe6, 0x01, 0xed,
+  0xc4, 0xf2, 0x3f, 0xa8, 0x79, 0xfd, 0xf0, 0x39, 0x32, 0xd9, 0xd4, 0x8d,
+  0xa2, 0x24, 0xa4, 0xb5, 0x3b, 0xea, 0x9b, 0x3d, 0x26, 0x51, 0x60, 0xa2,
+  0x35, 0x7c, 0x25, 0xdc, 0xca, 0xc9, 0x46, 0x5e, 0xac, 0xd8, 0xf1, 0xeb,
+  0x7c, 0x7e, 0x76, 0x71, 0x69, 0x05, 0x6d, 0xf4, 0xde, 0xc4, 0x47, 0xb5,
+  0x13, 0xc4, 0xce, 0x7a, 0x48, 0x80, 0x41, 0x6d, 0xf3, 0xf6, 0x5a, 0xf2,
+  0x02, 0xae, 0x87, 0x56, 0xb5, 0x0d, 0x2e, 0x84, 0x91, 0xaf, 0xcc, 0xf3,
+  0xe5, 0xca, 0xe5, 0x80, 0xe5, 0x68, 0x2a, 0x0f, 0xf3, 0xe7, 0x76, 0x3f,
+  0xa6, 0x4f, 0x02, 0x7d, 0xb2, 0xdb, 0x42, 0x1d, 0x2c, 0x80, 0x5f, 0x1c,
+  0x0f, 0x2f, 0x65, 0xd5, 0xf8, 0xb7, 0xc6, 0xc8, 0x25, 0x15, 0x52, 0x3f,
+  0x6c, 0x75, 0x2c, 0x81, 0x3a, 0x38, 0x44, 0x66, 0xa6, 0x75, 0xe6, 0x9c,
+  0x37, 0x28, 0x58, 0xb3, 0x27, 0x41, 0x48, 0x1f, 0x18, 0xa7, 0xd2, 0xca,
+  0xa5, 0xd5, 0x1d, 0x8c, 0x3a, 0xda, 0x49, 0x87, 0xae, 0x5c, 0x39, 0x14,
+  0x59, 0x7e, 0x1b, 0xb4, 0xf0, 0x34, 0x60, 0x16, 0xcc, 0xdc, 0xb5, 0x81,
+  0x13, 0xb3, 0x8c, 0xf3, 0x87, 0xce, 0xf9, 0x7c, 0x9d, 0xcc, 0x8d, 0x30,
+  0xe4, 0x39, 0xdf, 0xce, 0x33, 0x97, 0x17, 0x6d, 0xe2, 0x51, 0x30, 0x14,
+  0xfe, 0xd8, 0xa2, 0xe1, 0xe1, 0x68, 0xac, 0x91, 0xdd, 0x93, 0xe7, 0x6e,
+  0x15, 0x59, 0x74, 0x76, 0xae, 0x1d, 0x99, 0x7e, 0x70, 0x17, 0xb1, 0x6b,
+  0x2c, 0x9d, 0x2f, 0x13, 0x2d, 0xda, 0x11, 0xe7, 0xd3, 0x14, 0xa1, 0xac,
+  0xe2, 0x9b, 0x69, 0x18, 0xa2, 0x35, 0xc2, 0xd0, 0xf7, 0xa3, 0x17, 0x11,
+  0xa9, 0xf1, 0x7e, 0xb7, 0x24, 0xd9, 0x10, 0x27, 0xd9, 0xcb, 0x78, 0x74,
+  0x70, 0xe7, 0xee, 0xb6, 0x18, 0x44, 0xe7, 0x8c, 0xe5, 0x0a, 0x13, 0x7b,
+  0xf1, 0x1f, 0xbe, 0x35, 0x39, 0x2c, 0x8c, 0x31, 0xce, 0xd7, 0x27, 0x84,
+  0xd3, 0x94, 0x8b, 0x70, 0xe3, 0x13, 0xfe, 0x35, 0x40, 0x86, 0x6c, 0x4c,
+  0xf9, 0x85, 0x7f, 0xb9, 0xa0, 0x89, 0x90, 0x6e, 0x52, 0x7f, 0xe4, 0xa9,
+  0xd2, 0x16, 0x29, 0x2e, 0x68, 0x82, 0x3b, 0x00, 0x7b, 0xe6, 0x33, 0xcd,
+  0x5b, 0x92, 0x72, 0x7c, 0x23, 0x5a, 0xb8, 0xb2, 0x67, 0x4c, 0x8c, 0x95,
+  0xe7, 0x7c, 0x53, 0x72, 0x27, 0x1c, 0xc8, 0x3a, 0x01, 0xe8, 0x82, 0xce,
+  0x0d, 0x97, 0x4b, 0xa2, 0xb6, 0xe6, 0xcc, 0x70, 0xa7, 0xe6, 0x3b, 0xf7,
+  0xd9, 0x5e, 0xcc, 0x33, 0x47, 0x76, 0x78, 0xda, 0x0a, 0x8f, 0xd7, 0x80,
+  0x69, 0x9f, 0x0a, 0x35, 0x3a, 0xd2, 0x71, 0xd7, 0x58, 0x65, 0x74, 0xdc,
+  0xb1, 0xcb, 0x20, 0xc5, 0x76, 0xb3, 0x6a, 0x89, 0x52, 0x30, 0x41, 0x53,
+  0xcf, 0x7c, 0x53, 0x57, 0x9c, 0xf9, 0xe7, 0xda, 0xf2, 0x3c, 0xc8, 0x43,
+  0xb1, 0xa5, 0xee, 0x31, 0xd5, 0x13, 0xe4, 0x2a, 0x6b, 0x68, 0x0a, 0xd5,
+  0xfb, 0xe3, 0xa9, 0x10, 0xc3, 0x65, 0x96, 0x49, 0x59, 0x4c, 0x17, 0xeb,
+  0x37, 0x90, 0x28, 0xc2, 0xa6, 0xd9, 0xbd, 0xe8, 0xa9, 0x7a, 0xa5, 0x15,
+  0xcb, 0xd8, 0x6b, 0xd0, 0xa8, 0xb5, 0xbb, 0x9c, 0x35, 0xca, 0xe5, 0x3c,
+  0xfd, 0x4c, 0xd5, 0xb7, 0xdb, 0x39, 0x17, 0x8f, 0xbf, 0x3c, 0x3e, 0x7d,
+  0x7b, 0x7c, 0xe9, 0x00, 0x3b, 0x6c, 0x42, 0xc1, 0xf3, 0x2f, 0xd4, 0xb0,
+  0xa5, 0xda, 0x95, 0xe1, 0x12, 0xd7, 0xdd, 0xaf, 0xcf, 0x76, 0x9d, 0x6d,
+  0x87, 0x23, 0xe7, 0xba, 0x85, 0x9c, 0xbf, 0x20, 0x7e, 0x0e, 0x65, 0x8a,
+  0xbf, 0x8e, 0xde, 0x1c, 0x3d, 0xe3, 0x60, 0xfe, 0xeb, 0x24, 0x67, 0x64,
+  0x74, 0xaf, 0xec, 0x64, 0x01, 0x27, 0x78, 0xb6, 0x17, 0xe0, 0x49, 0xc8,
+  0x65, 0x96, 0xea, 0xf9, 0x60, 0x31, 0x96, 0x56, 0x88, 0xf3, 0x4f, 0x49,
+  0x51, 0x15, 0x6b, 0x20, 0x34, 0x6b, 0xb1, 0x32, 0x2a, 0x76, 0x88, 0xc8,
+  0x06, 0xf5, 0x7a, 0xc9, 0x55, 0x36, 0xf1, 0xec, 0x89, 0x67, 0x13, 0xf9,
+  0x6a, 0xc1, 0xa8, 0x67, 0x52, 0x50, 0xb9, 0x85, 0x66, 0x9f, 0x09, 0x6b,
+  0x3a, 0x94, 0x93, 0xc5, 0xf2, 0x62, 0xf3, 0x35, 0x0e, 0x49, 0x12, 0x73,
+  0x5b, 0xf0, 0xde, 0xb3, 0x50, 0x5f, 0x2b, 0xb4, 0x92, 0x2a, 0xad, 0x1f,
+  0x4a, 0x06, 0xa0, 0xfa, 0xb3, 0x7f, 0xf6, 0xb9, 0x7b, 0x96, 0xeb, 0x49,
+  0xa6, 0x73, 0x05, 0xa3, 0x79, 0xe4, 0x0d, 0x95, 0x32, 0xe5, 0xf2, 0xf5,
+  0x31, 0x32, 0x22, 0x5b, 0x04, 0x6b, 0x1f, 0xbc, 0xf2, 0xa2, 0xaa, 0x8e,
+  0x02, 0xe7, 0xd4, 0xd7, 0xb8, 0xe0, 0x49, 0xa5, 0x8b, 0x9b, 0x90, 0xfc,
+  0x9f, 0xcb, 0x5d, 0x78, 0xce, 0xe1, 0x90, 0x95, 0xfd, 0x34, 0x36, 0x53,
+  0x41, 0x01, 0xb0, 0xd3, 0x24, 0xd4, 0x75, 0x78, 0x60, 0x6f, 0xd4, 0x49,
+  0x93, 0x1f, 0x0d, 0x2e, 0x8f, 0xe7, 0xbb, 0x4a, 0x95, 0x34, 0xe5, 0xec,
+  0x7a, 0x4e, 0x3a, 0xfe, 0xa4, 0x59, 0x16, 0x34, 0x78, 0x7c, 0x4f, 0x8f,
+  0xa4, 0x54, 0xd4, 0x05, 0xdb, 0x61, 0xfc, 0x61, 0xff, 0xc0, 0x13, 0xa5,
+  0x5a, 0x71, 0xa5, 0x49, 0xb1, 0x74, 0x06, 0x7e, 0x66, 0x1b, 0x62, 0x52,
+  0x09, 0xad, 0x7f, 0xfe, 0x54, 0xa5, 0x1b, 0x93, 0x42, 0x99, 0xf3, 0xf3,
+  0x42, 0x4c, 0x19, 0x6c, 0xa1, 0xc1, 0x08, 0x9f, 0xeb, 0xe5, 0xa2, 0x5b,
+  0x59, 0x5a, 0xe9, 0x6e, 0xe5, 0x81, 0x05, 0xe2, 0x6a, 0xef, 0xd3, 0xb9,
+  0xc6, 0x7f, 0x37, 0x5e, 0x7f, 0xbe, 0xc6, 0xaa, 0xa1, 0xbe, 0x88, 0x63,
+  0xd0, 0x52, 0xf0, 0xfc, 0xa7, 0xee, 0x24, 0x38, 0x90, 0xae, 0x9e, 0x8b,
+  0xf3, 0x82, 0x57, 0xdb, 0xa0, 0x14, 0xed, 0x20, 0x41, 0xaf, 0x5e, 0xf8,
+  0xaa, 0x18, 0x6d, 0xae, 0x3c, 0xd7, 0x3d, 0xe9, 0xe4, 0x51, 0x1a, 0x1c,
+  0xe3, 0xe7, 0x42, 0x52, 0xaf, 0xe1, 0x49, 0xb6, 0x73, 0xc0, 0xe1, 0xb8,
+  0x21, 0xca, 0xb5, 0x7f, 0xfa, 0x85, 0xd2, 0x86, 0xdd, 0x48, 0x26, 0x08,
+  0xae, 0x7d, 0xe3, 0xd3, 0x9d, 0x50, 0x2c, 0x9c, 0xb0, 0x2d, 0x4d, 0xd2,
+  0xa9, 0xd7, 0xbe, 0x20, 0x94, 0x71, 0x42, 0x8c, 0xfa, 0x9a, 0x88, 0x1a,
+  0xcf, 0x78, 0x18, 0x01, 0xff, 0xd8, 0x5e, 0x95, 0xad, 0x85, 0x42, 0x4a,
+  0x74, 0x72, 0x14, 0x3c, 0xf8, 0xc4, 0x4f, 0x30, 0x9e, 0xf2, 0x7d, 0xbb,
+  0x12, 0x4d, 0xbf, 0x50, 0xa0, 0xf1, 0xe0, 0xd1, 0xa7, 0x1a, 0x85, 0xc9,
+  0xf1, 0xb7, 0x37, 0xb2, 0xfe, 0x8d, 0x67, 0x84, 0x1c, 0x0e, 0x5d, 0xe1,
+  0x65, 0x09, 0xa7, 0x2c, 0xda, 0xae, 0xd9, 0x4f, 0x9f, 0x3f, 0xf2, 0xac,
+  0x5e, 0x4b, 0x85, 0xbb, 0x4c, 0x83, 0xf7, 0x3e, 0x6d, 0x1e, 0x73, 0x13,
+  0xbc, 0x2d, 0x5a, 0x59, 0x4f, 0x5a, 0xb4, 0xc9, 0xc1, 0xd7, 0xff, 0x61,
+  0xa6, 0x95, 0x9c, 0xa3, 0x30, 0x8b, 0xff, 0x08, 0xc7, 0xfb, 0x59, 0x18,
+  0xf2, 0x2c, 0x76, 0x15, 0x57, 0x93, 0x21, 0x84, 0xc6, 0xf5, 0xd5, 0x4d,
+  0xb0, 0x3a, 0x41, 0x0b, 0xb2, 0xe7, 0x74, 0x53, 0x07, 0x75, 0xa2, 0x55,
+  0xd3, 0xd2, 0x14, 0x75, 0x8b, 0x78, 0xd2, 0xd1, 0x7d, 0x4d, 0x9b, 0x0a,
+  0xea, 0x08, 0xac, 0x53, 0x3b, 0xb5, 0x63, 0x50, 0xdc, 0x2c, 0x45, 0xb5,
+  0x75, 0x33, 0xf2, 0xe5, 0xec, 0x83, 0xd7, 0xf6, 0x3c, 0xf7, 0xd2, 0x8b,
+  0x55, 0xf2, 0x30, 0x0e, 0x19, 0xfe, 0x57, 0xf4, 0xdf, 0x08, 0xa4, 0xc8,
+  0x57, 0x31, 0x0d, 0x08, 0xb5, 0x62, 0x0c, 0xf4, 0x60, 0x33, 0x6e, 0x4f,
+  0xcc, 0xd2, 0x38, 0xea, 0xa0, 0x1b, 0x15, 0x1e, 0xd8, 0x81, 0x4b, 0xbb,
+  0x74, 0x93, 0x8c, 0x6f, 0xed, 0xc8, 0xb8, 0x36, 0x9a, 0x6f, 0x7d, 0xff,
+  0xbd, 0xf0, 0x1c, 0x07, 0xf9, 0xa2, 0xd6, 0x53, 0x07, 0x68, 0x4e, 0x67,
+  0x54, 0x60, 0xc4, 0x79, 0xbb, 0x51, 0xcc, 0x3a, 0x4f, 0xa6, 0x09, 0x03,
+  0x87, 0x89, 0x64, 0x8a, 0x85, 0x6e, 0x0b, 0x7e, 0xe4, 0x88, 0x10, 0x29,
+  0xc5, 0x93, 0x28, 0xb8, 0xdc, 0x9c, 0xfd, 0xd7, 0x6a, 0xa0, 0xa0, 0x11,
+  0x1c, 0xbc, 0xbb, 0xfc, 0xfa, 0xec, 0x62, 0x18, 0x6d, 0x73, 0x9e, 0xf4,
+  0xe5, 0xc5, 0xc9, 0x97, 0xef, 0x48, 0xe1, 0x73, 0x96, 0xe7, 0xa3, 0x98,
+  0x14, 0xc1, 0x29, 0x87, 0x6a, 0x24, 0xf3, 0x51, 0x92, 0x5f, 0x1b, 0xf0,
+  0x38, 0x90, 0x4d, 0x98, 0x77, 0x67, 0xb9, 0xaf, 0xd2, 0x21, 0x85, 0xb0,
+  0xcd, 0xb2, 0x8e, 0xf0, 0xaf, 0x94, 0xbe, 0xcb, 0xbc, 0x36, 0x93, 0x56,
+  0x73, 0xdf, 0x7d, 0xf5, 0xf5, 0xcb, 0xaf, 0x0f, 0xde, 0x7e, 0x33, 0x34,
+  0x74, 0xbb, 0xef, 0xbe, 0xfb, 0x2e, 0x74, 0xbc, 0xec, 0x6f, 0x6f, 0x03,
+  0xcf, 0xec, 0x26, 0x7e, 0x78, 0x18, 0x14, 0xc9, 0xc6, 0x06, 0x9d, 0xa3,
+  0x0d, 0x9f, 0x4b, 0xa0, 0x90, 0xc7, 0xc5, 0x92, 0x6e, 0x3a, 0xfa, 0x7a,
+  0x7b, 0xb1, 0x1c, 0x31, 0xc4, 0xf2, 0xf6, 0xb2, 0xd4, 0x82, 0x12, 0x78,
+  0x7b, 0x7b, 0x63, 0x63, 0x78, 0x7c, 0x1c, 0x1d, 0x9c, 0x0e, 0xcf, 0x82,
+  0x77, 0x37, 0x77, 0xb7, 0x48, 0x12, 0xb8, 0x4e, 0x4a, 0xfa, 0x65, 0x63,
+  0xe3, 0xf4, 0xe0, 0x92, 0x95, 0x9c, 0x6f, 0x8f, 0x2f, 0x86, 0x27, 0x67,
+  0x6f, 0x79, 0x77, 0x18, 0x08, 0x22, 0x9e, 0xde, 0x33, 0xf6, 0xd6, 0x55,
+  0x8a, 0x3c, 0xcd, 0x7b, 0x2b, 0xe5, 0xc0, 0xe0, 0x26, 0x24, 0xaa, 0x88,
+  0xec, 0x26, 0x8e, 0x25, 0xab, 0xf3, 0x23, 0x31, 0x01, 0x25, 0xab, 0x1a,
+  0xe6, 0x7d, 0xdc, 0x88, 0xbc, 0xa1, 0x43, 0xa0, 0xde, 0x93, 0x91, 0x84,
+  0xcc, 0xf4, 0x04, 0x81, 0x00, 0xc1, 0xea, 0x01, 0x44, 0x42, 0xeb, 0xc4,
+  0x87, 0x27, 0x6f, 0xce, 0x49, 0xe6, 0x7f, 0x37, 0x3c, 0xf8, 0xea, 0x98,
+  0x1f, 0xfd, 0x2a, 0x29, 0xfd, 0x76, 0x48, 0xc9, 0x09, 0xee, 0xe4, 0x6d,
+  0x52, 0x16, 0xe3, 0x78, 0xc1, 0x71, 0xe7, 0xd4, 0x4d, 0x5f, 0xf8, 0x62,
+  0xd0, 0xb6, 0x48, 0x7f, 0x1e, 0x8c, 0x7a, 0xae, 0xcf, 0x03, 0x29, 0x3a,
+  0x6c, 0xf7, 0xe2, 0xf8, 0xe0, 0xe8, 0xcd, 0xb1, 0x05, 0x54, 0xc9, 0x3d,
+  0x42, 0x8d, 0xde, 0x64, 0x5c, 0xbd, 0xc6, 0x99, 0x3e, 0xf9, 0xae, 0xe2,
+  0xc5, 0xa7, 0x6f, 0xb8, 0x24, 0x43, 0x7b, 0x77, 0x7e, 0xa3, 0xf0, 0xec,
+  0xe0, 0x2a, 0xdd, 0x96, 0xd6, 0xad, 0xbf, 0xd8, 0x2d, 0x89, 0x45, 0x26,
+  0xa9, 0xfc, 0x26, 0x6a, 0x2c, 0xd4, 0xdf, 0xcf, 0x76, 0x76, 0x76, 0x1e,
+  0x99, 0x07, 0x0c, 0x8d, 0x7a, 0x0b, 0xd0, 0x54, 0xf6, 0xf9, 0xf1, 0x6d,
+  0xdf, 0xbe, 0x51, 0x66, 0x68, 0xb6, 0xe5, 0x3f, 0xe7, 0xa2, 0x78, 0xa7,
+  0x65, 0xd2, 0x3e, 0xe8, 0x71, 0x96, 0xb9, 0x3d, 0xa8, 0x2c, 0xcf, 0x84,
+  0x71, 0x6e, 0xd2, 0x32, 0xc0, 0x49, 0xb3, 0xa1, 0x4f, 0x52, 0xb0, 0x9f,
+  0x38, 0x5f, 0xd5, 0x9b, 0xe4, 0x6f, 0xa8, 0x4d, 0xfe, 0x31, 0xc8, 0xf2,
+  0xeb, 0xed, 0xd9, 0x3e, 0x2e, 0x59, 0x7a, 0xe8, 0x75, 0x82, 0xba, 0x3f,
+  0xf7, 0x99, 0x0b, 0x3d, 0x2a, 0x78, 0x69, 0x39, 0xca, 0xf1, 0x23, 0xc6,
+  0xf5, 0x0b, 0xd6, 0x01, 0xdb, 0xc9, 0xf5, 0x65, 0x65, 0xe6, 0x16, 0x8e,
+  0xd1, 0xd2, 0x49, 0xc1, 0x5b, 0xc6, 0x66, 0xa6, 0x01, 0xb1, 0x10, 0xea,
+  0x85, 0x3e, 0x17, 0x22, 0xa1, 0x5f, 0x73, 0x22, 0x9a, 0x41, 0xf9, 0x50,
+  0xf2, 0x5b, 0xec, 0xac, 0x55, 0x6b, 0x31, 0x60, 0xab, 0x88, 0x65, 0xe5,
+  0x19, 0xc9, 0xe8, 0xb1, 0xa4, 0xdf, 0x0c, 0x11, 0xd6, 0x1e, 0x44, 0xa3,
+  0x21, 0xd4, 0x9d, 0x1b, 0xae, 0xf7, 0xd9, 0xef, 0x83, 0x82, 0x0a, 0x47,
+  0x2f, 0x1f, 0xd1, 0x79, 0x30, 0x29, 0x59, 0xfd, 0xb9, 0x5e, 0x1c, 0x01,
+  0xf5, 0x0c, 0x69, 0x14, 0x8d, 0xbe, 0x00, 0xb2, 0x94, 0x23, 0xe8, 0xad,
+  0x90, 0xee, 0x50, 0xb4, 0x66, 0x90, 0x48, 0xa1, 0x2a, 0xf4, 0x45, 0x7b,
+  0xb2, 0x8d, 0x68, 0x9c, 0x8f, 0xee, 0xe9, 0xf0, 0xdc, 0xd5, 0xc0, 0xa1,
+  0x15, 0xb8, 0xe3, 0x25, 0xb8, 0x4d, 0x30, 0xfb, 0x50, 0xd6, 0x7d, 0x64,
+  0x30, 0xfb, 0xb4, 0x0a, 0xfc, 0xc6, 0x7f, 0x6f, 0x0f, 0x8a, 0xe2, 0x66,
+  0x3b, 0x9d, 0xbc, 0x9f, 0x14, 0x31, 0x7d, 0x46, 0x7c, 0xad, 0xf1, 0xf1,
+  0x80, 0x3e, 0x8c, 0xfe, 0x52, 0xe1, 0xfb, 0xc5, 0xb8, 0x7d, 0x26, 0xff,
+  0xbd, 0xcd, 0xe0, 0x5f, 0x00, 0x28, 0x0e, 0x16, 0xae, 0x85, 0x7b, 0xd0,
+  0xac, 0x04, 0x67, 0x8e, 0x8e, 0x63, 0x3b, 0x65, 0xf4, 0xaf, 0xa3, 0x8e,
+  0x92, 0xdb, 0x8f, 0x7b, 0x3b, 0x3b, 0xbb, 0xfb, 0xbb, 0x9f, 0xbd, 0xd8,
+  0xd9, 0xdf, 0xdd, 0xdd, 0xdd, 0xdb, 0xdf, 0xdd, 0xdf, 0xdf, 0xdb, 0xf9,
+  0x69, 0xbb, 0xb3, 0xb1, 0x71, 0x74, 0xf6, 0xdd, 0xdb, 0xd3, 0xb3, 0x83,
+  0xa3, 0xe8, 0xf2, 0x8c, 0xf4, 0x5d, 0xb6, 0x55, 0xb4, 0x9c, 0x74, 0xa0,
+  0x3e, 0x95, 0x99, 0xdc, 0x6c, 0x71, 0x50, 0xa2, 0xa3, 0xd1, 0x65, 0x06,
+  0xa1, 0x98, 0x5f, 0x1a, 0xdc, 0x94, 0xb3, 0x0f, 0xb3, 0xaf, 0x8f, 0xe9,
+  0xa4, 0x27, 0x51, 0x61, 0x5e, 0xef, 0xc1, 0xd6, 0x1a, 0x91, 0x2a, 0x94,
+  0xa9, 0x2b, 0x3a, 0x0e, 0x27, 0x9b, 0x8b, 0x0a, 0xdc, 0x14, 0xd7, 0xb4,
+  0x8f, 0x9b, 0x94, 0xe2, 0x24, 0x45, 0x35, 0xa0, 0xc1, 0x15, 0x0b, 0x50,
+  0xbf, 0xa5, 0x14, 0x66, 0x27, 0x79, 0x60, 0xab, 0x31, 0xc1, 0xb3, 0xb5,
+  0x53, 0xa2, 0x8b, 0x27, 0x79, 0xc0, 0xac, 0xab, 0x6c, 0x42, 0x90, 0xcc,
+  0xfc, 0xec, 0x80, 0x60, 0x64, 0x9a, 0x5c, 0x9a, 0xdb, 0x90, 0xe1, 0xbe,
+  0x6e, 0xe9, 0x8e, 0xfb, 0x31, 0xee, 0xe1, 0xbb, 0xe0, 0x6f, 0xc2, 0x4b,
+  0x67, 0xdb, 0x99, 0x9f, 0x64, 0x00, 0xef, 0x86, 0x27, 0x6f, 0xbf, 0x82,
+  0x7f, 0xe9, 0xbb, 0xb3, 0x8b, 0xa3, 0x21, 0x35, 0xcb, 0xb7, 0xf1, 0x06,
+  0x2c, 0x10, 0x7c, 0x68, 0x75, 0x54, 0x72, 0x04, 0xb8, 0xeb, 0x3f, 0x41,
+  0xe3, 0x98, 0xf4, 0x5c, 0xea, 0x01, 0x86, 0x19, 0x48, 0x8b, 0x9c, 0x52,
+  0xd0, 0xce, 0xe0, 0x70, 0x1a, 0xe4, 0xf5, 0x2f, 0x66, 0x31, 0x83, 0xc1,
+  0x26, 0x03, 0x41, 0x55, 0x43, 0x24, 0xc1, 0x36, 0xc3, 0xaa, 0x6c, 0xb3,
+  0xd4, 0xba, 0x5d, 0x66, 0x60, 0x15, 0x68, 0x25, 0xcb, 0x1d, 0x80, 0x6e,
+  0x65, 0x45, 0xf8, 0x8c, 0x5d, 0x4d, 0xe3, 0x6b, 0x74, 0xd8, 0x3c, 0x7e,
+  0x41, 0x67, 0xda, 0xfd, 0xc7, 0x76, 0x89, 0x9a, 0x7d, 0xdc, 0xde, 0x09,
+  0x08, 0x00, 0xd9, 0xee, 0xc8, 0x93, 0x50, 0xc3, 0xb8, 0x48, 0x48, 0xa8,
+  0x31, 0xc3, 0x2e, 0x76, 0x2e, 0x84, 0x51, 0x47, 0xfa, 0xd5, 0x02, 0x95,
+  0x1b, 0x62, 0x54, 0xe8, 0x07, 0x69, 0x51, 0x22, 0xd9, 0xa3, 0x92, 0x9c,
+  0x57, 0xa0, 0x0b, 0xc4, 0xc3, 0xa3, 0x4f, 0x24, 0x7a, 0x41, 0x5f, 0x94,
+  0x25, 0xe7, 0xc1, 0xd0, 0xd8, 0x23, 0x89, 0x88, 0xe1, 0xdc, 0x1f, 0x15,
+  0xd9, 0x3a, 0x0c, 0xb3, 0x9c, 0x8e, 0xd3, 0xb2, 0x63, 0x49, 0x46, 0x1e,
+  0x78, 0xcb, 0x3b, 0xc0, 0x8a, 0x92, 0x86, 0x12, 0xd3, 0xed, 0xa1, 0x55,
+  0x47, 0x34, 0xe9, 0x36, 0x9b, 0xcd, 0x24, 0x1b, 0xb3, 0xc3, 0x09, 0x28,
+  0xbe, 0x95, 0x54, 0x73, 0xa9, 0x5c, 0x5d, 0x0d, 0xe6, 0xb3, 0xdc, 0xbb,
+  0xa4, 0x7f, 0x48, 0x34, 0xbe, 0xb1, 0x74, 0x6f, 0xf7, 0x61, 0x76, 0x4c,
+  0x12, 0x27, 0xf1, 0x4a, 0xa1, 0x1c, 0x8d, 0xe9, 0x0f, 0x90, 0xfd, 0x2b,
+  0xcb, 0x16, 0x56, 0x2f, 0x69, 0x70, 0xd5, 0x6a, 0x6a, 0xc8, 0x06, 0x02,
+  0x81, 0x5d, 0x32, 0x53, 0xb0, 0x3c, 0x5a, 0x50, 0xcf, 0xbd, 0xca, 0x7b,
+  0x91, 0x96, 0x45, 0x32, 0xbd, 0xd2, 0x22, 0x74, 0x5a, 0xf7, 0x6d, 0xb4,
+  0x0a, 0x1a, 0x90, 0x49, 0x48, 0xfc, 0xef, 0x72, 0xee, 0x32, 0x62, 0x32,
+  0xe5, 0x19, 0xd7, 0x60, 0x9c, 0x8a, 0xe0, 0x5d, 0x65, 0x14, 0xe2, 0x99,
+  0x19, 0x18, 0xc4, 0xed, 0x46, 0xe4, 0x00, 0x7a, 0x6b, 0x53, 0x70, 0x68,
+  0x70, 0x80, 0xe4, 0x02, 0x75, 0x04, 0x0f, 0x2e, 0x47, 0xb4, 0xda, 0xee,
+  0x39, 0x5e, 0x3b, 0xb6, 0x71, 0x63, 0xd5, 0x0e, 0xc3, 0xb2, 0x2a, 0x02,
+  0x43, 0x68, 0x70, 0x7e, 0x7e, 0x50, 0x34, 0x40, 0x18, 0xc5, 0xe9, 0xa0,
+  0x21, 0x58, 0x75, 0x59, 0xb8, 0x15, 0x05, 0x8a, 0x77, 0xec, 0x8a, 0x07,
+  0xb5, 0x1d, 0x43, 0xe5, 0x48, 0xeb, 0xcf, 0xe1, 0x87, 0x8f, 0x60, 0x73,
+  0x48, 0x26, 0xf4, 0x4f, 0x57, 0x72, 0x4a, 0xd2, 0xf9, 0xe3, 0x87, 0x51,
+  0x07, 0xf1, 0x51, 0x1d, 0x63, 0xae, 0x9a, 0x97, 0x04, 0x6b, 0xa8, 0x8f,
+  0x92, 0x11, 0x07, 0x2c, 0x22, 0xed, 0x5b, 0xd0, 0x3e, 0x2b, 0x70, 0x8e,
+  0x38, 0x08, 0x12, 0xe6, 0xbb, 0x1f, 0x7d, 0x19, 0x17, 0xe9, 0xb8, 0x17,
+  0x1d, 0xa5, 0x24, 0xab, 0x97, 0x3d, 0x8f, 0xc9, 0xe8, 0x90, 0x2c, 0x07,
+  0xd1, 0x77, 0x56, 0x1d, 0x94, 0xee, 0x5c, 0xc4, 0x9e, 0xc2, 0xb4, 0xe8,
+  0x12, 0xd5, 0x36, 0xc4, 0x66, 0xab, 0x56, 0xd7, 0x30, 0x29, 0x0c, 0x6d,
+  0x7b, 0xb8, 0x39, 0x6c, 0x66, 0x5c, 0xdc, 0x56, 0x81, 0xd6, 0x45, 0xaa,
+  0x2a, 0xd8, 0x76, 0xc8, 0x22, 0x10, 0xd6, 0x77, 0xae, 0x85, 0x2e, 0x94,
+  0xe6, 0xb2, 0xb9, 0x05, 0x28, 0x79, 0x47, 0xaa, 0xda, 0x72, 0x0a, 0x0d,
+  0x9b, 0x31, 0x4f, 0x2f, 0x6e, 0x23, 0x3b, 0xae, 0x1b, 0x08, 0x2d, 0xa7,
+  0x75, 0xe2, 0x15, 0x51, 0x7e, 0x72, 0x76, 0x79, 0xfc, 0xbb, 0x68, 0x98,
+  0x72, 0x9d, 0x45, 0x47, 0x39, 0x7c, 0xc8, 0xd9, 0xd9, 0xad, 0x5e, 0xa8,
   0xc6, 0x9e, 0xba, 0x34, 0x55, 0x35, 0x0b, 0x5a, 0x2e, 0x84, 0x94, 0xcf,
-  0x09, 0x60, 0xe5, 0x40, 0xb3, 0x77, 0x69, 0x1c, 0xb9, 0x02, 0xd6, 0x3c,
-  0xf7, 0xf7, 0x4c, 0xfa, 0xef, 0x3d, 0xc4, 0xf8, 0x52, 0x5f, 0x04, 0x00,
-  0x1c, 0xb7, 0xa3, 0x36, 0x01, 0xd8, 0x52, 0xc6, 0x69, 0x4e, 0x57, 0x30,
-  0xf3, 0xa9, 0xb1, 0x98, 0x01, 0x11, 0xe3, 0x86, 0xb1, 0xb3, 0x99, 0x23,
-  0x1e, 0x11, 0x5d, 0x61, 0xb9, 0xc6, 0x48, 0x87, 0x9b, 0xae, 0xc4, 0x0d,
-  0x85, 0x5b, 0xc0, 0xce, 0x5d, 0xc8, 0x4a, 0x91, 0x0e, 0x8a, 0xb4, 0x3a,
-  0x54, 0xe8, 0x50, 0x08, 0xc2, 0x0d, 0xc4, 0x8d, 0x51, 0xab, 0x90, 0x25,
-  0xe6, 0xee, 0x66, 0x0b, 0x64, 0x3b, 0x0e, 0xec, 0x61, 0x3a, 0x9d, 0x44,
-  0xb3, 0x95, 0xa6, 0x3c, 0x2b, 0x1f, 0xe6, 0x1c, 0x1d, 0xa8, 0x2b, 0x9f,
-  0x7f, 0xde, 0xb8, 0x77, 0x1f, 0xdc, 0xd3, 0xfb, 0xf4, 0x75, 0xa0, 0x16,
-  0x4d, 0xd9, 0xe7, 0x68, 0xa5, 0x80, 0xbc, 0x6e, 0xd4, 0x90, 0x39, 0xc3,
-  0x1c, 0x46, 0xe9, 0xd0, 0xd9, 0x0f, 0x5b, 0xf6, 0xc5, 0x95, 0x3a, 0xda,
-  0x10, 0xa1, 0x5b, 0x4b, 0x0b, 0x14, 0xe2, 0xb9, 0x5e, 0x23, 0x85, 0xda,
-  0xc9, 0xab, 0x0f, 0x36, 0x10, 0x50, 0x48, 0x48, 0x1a, 0xb0, 0x4c, 0xc3,
-  0xf2, 0xd6, 0x30, 0xd3, 0x86, 0x39, 0xef, 0x44, 0x07, 0xe3, 0x30, 0x0b,
-  0xab, 0x67, 0x6d, 0xe0, 0x20, 0xf3, 0xdd, 0x8d, 0xd1, 0x7f, 0xb7, 0x7e,
-  0x38, 0xef, 0xfe, 0x95, 0xe1, 0x1c, 0x44, 0x8f, 0x06, 0xfb, 0x69, 0x05,
-  0x04, 0x66, 0x22, 0x85, 0x9e, 0xd4, 0x49, 0x06, 0x8b, 0x90, 0xd1, 0x9f,
-  0xac, 0xd1, 0x98, 0x9d, 0x00, 0xa3, 0x2a, 0xd8, 0x64, 0x53, 0x5d, 0x99,
-  0x67, 0xf2, 0x34, 0xe4, 0x47, 0x6e, 0xbf, 0x67, 0x43, 0xf9, 0xd8, 0xe1,
-  0x5a, 0x96, 0xbb, 0x45, 0xab, 0xfa, 0xfe, 0x24, 0x03, 0x4b, 0x5a, 0xe0,
-  0xa0, 0xff, 0x20, 0x01, 0xd2, 0x72, 0xec, 0x19, 0x7b, 0xfc, 0x01, 0x91,
-  0x1b, 0x34, 0x58, 0x8f, 0xfb, 0xca, 0x33, 0x41, 0x66, 0x54, 0xed, 0x35,
-  0xfd, 0x6c, 0x57, 0xe0, 0x9a, 0x88, 0x3d, 0x2a, 0x36, 0x1e, 0xe9, 0x99,
-  0x74, 0x59, 0x2d, 0x10, 0x7e, 0x58, 0x2d, 0xd7, 0x25, 0xf7, 0x8a, 0x14,
-  0x9d, 0xc7, 0xca, 0x05, 0xf5, 0xcf, 0x51, 0xf8, 0x4b, 0xc6, 0x28, 0x85,
-  0x8d, 0xb5, 0x1c, 0x8a, 0x54, 0x59, 0xc5, 0x3d, 0x9f, 0x24, 0xd2, 0x52,
-  0xb9, 0x36, 0x0c, 0xf8, 0x30, 0x60, 0xbc, 0x42, 0xce, 0x60, 0xdf, 0xd1,
-  0xd5, 0x32, 0x47, 0x7c, 0x86, 0x66, 0xa3, 0x6b, 0x2a, 0x21, 0x35, 0x7a,
-  0x71, 0xf0, 0xf6, 0xeb, 0x63, 0x9c, 0x77, 0x66, 0xbb, 0x2e, 0x9f, 0x01,
-  0xb9, 0x71, 0x7d, 0x38, 0x8b, 0x0b, 0x41, 0xea, 0x48, 0xf9, 0x8d, 0xc9,
-  0x72, 0xcc, 0x8e, 0xea, 0x77, 0x0e, 0xd4, 0x12, 0x38, 0x9d, 0xd3, 0x14,
-  0x89, 0x2a, 0xb1, 0x8b, 0x20, 0xd8, 0x88, 0x4c, 0x3d, 0x05, 0xc7, 0x60,
-  0x91, 0x86, 0x43, 0x24, 0x33, 0x20, 0x61, 0x8f, 0x16, 0xb1, 0xa6, 0x68,
-  0xc5, 0x61, 0xd6, 0x8f, 0x6a, 0x02, 0x83, 0xca, 0x14, 0xf8, 0xee, 0x90,
-  0x80, 0x48, 0x27, 0x75, 0xe6, 0x90, 0x3a, 0x07, 0xa1, 0xc6, 0x25, 0x00,
-  0x49, 0xbb, 0x3b, 0x3b, 0x1e, 0x73, 0x27, 0x76, 0x0d, 0x36, 0x88, 0x2c,
-  0x8f, 0x76, 0xfa, 0x2f, 0x5e, 0xac, 0xa3, 0x1f, 0xd7, 0x28, 0xb2, 0x50,
-  0x9e, 0x7d, 0x74, 0x9b, 0x7d, 0x7e, 0x74, 0x5d, 0x9b, 0x2d, 0xb2, 0x05,
-  0x0a, 0x75, 0xa8, 0x3b, 0xbe, 0x70, 0x31, 0x1f, 0xaa, 0x83, 0x88, 0xed,
-  0x0b, 0xb6, 0xc8, 0xb9, 0x13, 0x30, 0x78, 0x29, 0x37, 0x22, 0x27, 0x09,
-  0x00, 0x42, 0xca, 0xd4, 0x95, 0x05, 0x7b, 0xe4, 0x53, 0x67, 0xa2, 0xfd,
-  0xa8, 0x85, 0x09, 0x44, 0xcc, 0x35, 0x4b, 0x74, 0xd5, 0x9c, 0x8d, 0x31,
-  0xd2, 0x77, 0xe7, 0xac, 0x8c, 0x92, 0xee, 0x22, 0x02, 0x3b, 0x49, 0x9f,
-  0x30, 0x4c, 0x6c, 0xd7, 0x64, 0xd1, 0x77, 0x5a, 0xc0, 0x8e, 0x6b, 0x0f,
-  0xb0, 0x6f, 0x46, 0x20, 0x8b, 0xd3, 0xb9, 0xc4, 0xdd, 0xf8, 0xdd, 0x5f,
-  0xa3, 0x18, 0x5f, 0x46, 0xfd, 0x80, 0xa5, 0x2b, 0x0a, 0x0f, 0xf3, 0xf3,
-  0xd9, 0xca, 0x64, 0x14, 0xed, 0x01, 0xad, 0x9b, 0xa1, 0xab, 0x52, 0xd0,
-  0xb7, 0xa7, 0x82, 0x25, 0x28, 0xa8, 0xc1, 0xd2, 0x5b, 0xba, 0x94, 0x6e,
-  0x70, 0x45, 0xd4, 0x18, 0xf8, 0xc7, 0x0d, 0x25, 0x5e, 0x5f, 0x98, 0x93,
-  0xef, 0xa3, 0x9e, 0x69, 0x27, 0x75, 0x45, 0x59, 0x21, 0x1b, 0xf9, 0x41,
-  0x9c, 0x9f, 0xec, 0xbf, 0x3f, 0xb6, 0x47, 0x46, 0xc5, 0x87, 0xd3, 0x6a,
-  0xae, 0xd7, 0x46, 0xd9, 0x6a, 0x30, 0xb8, 0x94, 0xf7, 0xa5, 0xeb, 0xb8,
-  0xbd, 0x3b, 0x79, 0xdf, 0x96, 0xa3, 0x85, 0xe8, 0xf9, 0xda, 0x57, 0x6c,
-  0x26, 0x17, 0xef, 0x6d, 0x28, 0x12, 0xac, 0x9d, 0x80, 0x5b, 0xa4, 0x55,
-  0x0e, 0xbe, 0x11, 0x69, 0xce, 0x04, 0x80, 0x9b, 0x98, 0x6e, 0x80, 0x33,
-  0x0b, 0xde, 0x76, 0x8b, 0x68, 0x8a, 0x2b, 0xc5, 0xa6, 0x40, 0x61, 0x92,
-  0x93, 0x2b, 0x4b, 0xec, 0xf4, 0x60, 0x1f, 0xf9, 0x72, 0x2e, 0xb3, 0x80,
-  0xc3, 0x81, 0x06, 0x1f, 0x17, 0x37, 0x70, 0xb2, 0x3b, 0x05, 0xa9, 0x79,
-  0x13, 0x85, 0x80, 0x15, 0x74, 0xf5, 0xc8, 0xbd, 0x03, 0xae, 0x5a, 0x59,
-  0x8a, 0xea, 0x0a, 0x04, 0xfa, 0xc4, 0xc7, 0x52, 0x3e, 0xb3, 0x8c, 0x56,
-  0x63, 0x29, 0x88, 0xbf, 0x51, 0xe2, 0xb0, 0x46, 0x72, 0x55, 0x7d, 0x4c,
-  0xda, 0x12, 0x51, 0x06, 0xea, 0x0f, 0xea, 0xc2, 0x21, 0xc1, 0xb6, 0xb6,
-  0x84, 0x90, 0x65, 0x81, 0x5b, 0x20, 0xf9, 0xb6, 0xc6, 0x66, 0x35, 0x8b,
-  0x04, 0x4a, 0xa8, 0x87, 0xba, 0xd1, 0xbc, 0x1b, 0x86, 0xc4, 0x97, 0x28,
-  0x3f, 0x58, 0xf0, 0x19, 0x89, 0x3c, 0x93, 0x3e, 0x31, 0x43, 0x19, 0xa0,
-  0x24, 0xb5, 0xa0, 0x68, 0xe9, 0xd9, 0xf0, 0xd2, 0xd5, 0x2b, 0x37, 0x39,
-  0xf0, 0xbb, 0xe3, 0x8b, 0xaf, 0xce, 0x86, 0xc7, 0xc4, 0x21, 0x8e, 0x8e,
-  0xbf, 0x7a, 0xc7, 0xdc, 0x83, 0x77, 0x4c, 0x8c, 0x14, 0x40, 0x65, 0x10,
-  0x94, 0x65, 0xe4, 0x12, 0x39, 0x19, 0x59, 0x32, 0x22, 0x7b, 0x46, 0x19,
-  0x1a, 0xd3, 0xa5, 0x52, 0xf4, 0x34, 0x11, 0xad, 0x36, 0x45, 0x34, 0x9d,
-  0x07, 0x2c, 0x61, 0xd9, 0x79, 0xce, 0x18, 0xc3, 0xa5, 0x61, 0x74, 0x18,
-  0xc6, 0x6d, 0xb1, 0xef, 0x65, 0xe3, 0x3b, 0xb1, 0x61, 0xe8, 0x81, 0xf0,
-  0x55, 0x74, 0xac, 0x5e, 0xce, 0x20, 0x28, 0x85, 0xab, 0xe8, 0xd5, 0xd3,
-  0x4c, 0x6e, 0x2f, 0x4e, 0x23, 0xc2, 0x59, 0x06, 0x2e, 0x7b, 0x8a, 0xaa,
-  0x7b, 0x8a, 0x3f, 0xa9, 0xb5, 0x6b, 0x0a, 0x21, 0x38, 0x62, 0x33, 0x92,
-  0x7f, 0x31, 0x55, 0xb6, 0x0c, 0x2e, 0x54, 0x24, 0x92, 0xb0, 0x2c, 0xb7,
-  0xa7, 0x9a, 0xf9, 0x25, 0x62, 0x45, 0x71, 0x15, 0x37, 0xf9, 0x48, 0x30,
-  0x64, 0x80, 0x68, 0x0b, 0x82, 0x1f, 0x2c, 0xe5, 0x5d, 0x1c, 0xb8, 0x14,
-  0xaf, 0x7c, 0xe0, 0xf9, 0x52, 0xd2, 0xb9, 0x5b, 0xcf, 0x0e, 0x2e, 0x65,
-  0xa6, 0x9c, 0x5b, 0x2a, 0x17, 0x72, 0x08, 0x87, 0x11, 0x66, 0x46, 0x71,
-  0x60, 0x8e, 0x43, 0x4e, 0x93, 0xf3, 0xc4, 0x81, 0x71, 0x81, 0x04, 0xbc,
-  0xbe, 0x20, 0x8c, 0xd9, 0x59, 0x34, 0x9c, 0xc7, 0x47, 0xc5, 0xba, 0x42,
-  0xba, 0xec, 0xed, 0xe6, 0x2d, 0x85, 0xf1, 0x28, 0xaa, 0xd7, 0xfd, 0xd4,
-  0x33, 0x28, 0xad, 0x4b, 0x2d, 0x98, 0xf2, 0xa1, 0x0c, 0x4d, 0x6c, 0x1b,
-  0x1b, 0x1b, 0x47, 0xc7, 0x97, 0x07, 0x27, 0xa7, 0xc7, 0x47, 0xd1, 0xc9,
-  0xdb, 0xd7, 0x67, 0x17, 0x6f, 0x0e, 0x2e, 0xd5, 0xc9, 0x74, 0xe4, 0x74,
-  0x54, 0x57, 0xce, 0xc4, 0x99, 0x00, 0xbc, 0xfe, 0x0a, 0x12, 0xa6, 0x5d,
-  0xbc, 0x56, 0xbc, 0x20, 0x59, 0x86, 0xa4, 0xb2, 0x06, 0x1b, 0x91, 0x3a,
-  0xa7, 0x7c, 0x81, 0x12, 0xbe, 0x9f, 0xb7, 0x9d, 0x43, 0x61, 0x60, 0xcb,
-  0x69, 0x1a, 0x26, 0xb0, 0xbf, 0x1e, 0x6d, 0xca, 0x95, 0xe3, 0x92, 0xbb,
-  0x89, 0xb7, 0x53, 0xf2, 0x60, 0x40, 0x93, 0xfd, 0x13, 0xce, 0x6d, 0x85,
-  0x78, 0xa9, 0x55, 0xcd, 0x4f, 0x4a, 0x57, 0xcc, 0x8f, 0xc9, 0x85, 0xdb,
-  0x09, 0xb2, 0xab, 0x88, 0x02, 0x51, 0x34, 0x38, 0x68, 0xd3, 0x25, 0x2a,
-  0x59, 0x05, 0x12, 0x71, 0x69, 0x4a, 0xb9, 0x90, 0x60, 0x7f, 0x35, 0x47,
-  0x9b, 0xa8, 0x59, 0xe8, 0x20, 0x79, 0x28, 0x93, 0x79, 0xc1, 0xa5, 0xa0,
-  0xec, 0xac, 0xf3, 0x2b, 0x9e, 0x89, 0x9a, 0x1d, 0x57, 0x41, 0x0f, 0xc3,
-  0xa6, 0x36, 0x9d, 0x13, 0x82, 0x24, 0x97, 0xfe, 0x89, 0xa2, 0x98, 0xf1,
-  0x5a, 0x70, 0xcd, 0x5f, 0xfe, 0x39, 0xb7, 0xbc, 0x7e, 0x17, 0xa5, 0xe1,
-  0x15, 0x96, 0xa0, 0xee, 0x91, 0x9e, 0x36, 0x7f, 0x6e, 0x0b, 0xa3, 0xb4,
-  0x23, 0x7a, 0x88, 0xcb, 0x48, 0xf6, 0xb5, 0x7b, 0x0d, 0x93, 0x82, 0x2e,
-  0x6c, 0x5b, 0x28, 0xc2, 0x13, 0x84, 0x80, 0x51, 0x26, 0x40, 0x25, 0x58,
-  0x03, 0x99, 0x07, 0xe8, 0xbb, 0x34, 0xa3, 0x31, 0x8b, 0xf8, 0xde, 0xce,
-  0xeb, 0x8a, 0x34, 0x35, 0xaa, 0x61, 0xbb, 0x02, 0x61, 0x43, 0xf7, 0x2c,
-  0x56, 0x32, 0x78, 0x21, 0xf6, 0x7e, 0x57, 0xac, 0xff, 0xa6, 0x61, 0x9b,
-  0x33, 0xc9, 0x6a, 0x83, 0xea, 0x39, 0x68, 0x9a, 0xa9, 0x2b, 0x93, 0x0a,
-  0x5f, 0xac, 0x7a, 0x2a, 0x43, 0x4e, 0x6f, 0x5d, 0x63, 0xf4, 0x93, 0xb6,
-  0x11, 0x28, 0x17, 0x47, 0x79, 0x4f, 0xad, 0xe6, 0x15, 0xc3, 0x63, 0xc7,
-  0x60, 0x0d, 0x1b, 0x9a, 0x72, 0xa4, 0x9c, 0x12, 0xa6, 0xd3, 0x30, 0x0b,
-  0x77, 0xcc, 0xf5, 0xa5, 0x92, 0xc2, 0x6a, 0x76, 0x85, 0xb1, 0xe4, 0xe2,
-  0x51, 0x57, 0xe8, 0x51, 0x30, 0xbd, 0xf9, 0x86, 0x21, 0x25, 0xda, 0x4b,
-  0x16, 0x27, 0x00, 0xee, 0x2f, 0xf9, 0xd8, 0x60, 0xf2, 0xec, 0xce, 0x4c,
-  0xe2, 0x02, 0x36, 0x46, 0x84, 0x94, 0xca, 0x9d, 0x01, 0x12, 0xc0, 0x5c,
-  0x9d, 0xd9, 0x12, 0x97, 0x8f, 0xaf, 0x29, 0xdc, 0x17, 0xd8, 0x8a, 0x98,
-  0xb3, 0xca, 0xec, 0x50, 0x48, 0x70, 0x9b, 0x6b, 0xc5, 0xea, 0xce, 0x53,
-  0x33, 0x88, 0x50, 0xd2, 0x90, 0x8d, 0xf3, 0xac, 0x90, 0xf3, 0x06, 0x49,
-  0xbb, 0x23, 0xb5, 0x1f, 0x98, 0x0c, 0x3a, 0x8b, 0x1b, 0xea, 0xa3, 0x13,
-  0x5d, 0xb3, 0xae, 0x32, 0xca, 0xc2, 0x78, 0x37, 0xdd, 0x96, 0x89, 0x3c,
-  0xfe, 0xea, 0x22, 0xbe, 0x8a, 0x93, 0xe9, 0xa7, 0x7b, 0x3b, 0xc3, 0xf8,
-  0x7a, 0x39, 0x8d, 0xff, 0x88, 0x17, 0x5f, 0x3d, 0x79, 0xb2, 0xb7, 0xf3,
-  0xd9, 0xe7, 0x3b, 0x9d, 0x9a, 0xab, 0x28, 0xf0, 0x33, 0xc3, 0x6d, 0x88,
-  0x72, 0xcd, 0xcc, 0x77, 0xd1, 0xcf, 0x60, 0x7c, 0x9d, 0x72, 0x37, 0xdf,
-  0xb0, 0xf0, 0xa2, 0x6b, 0x10, 0x23, 0x24, 0x42, 0xd8, 0xa4, 0x54, 0x86,
-  0xe2, 0xd4, 0x79, 0xa2, 0xeb, 0x4f, 0x76, 0xf7, 0x85, 0x95, 0x5d, 0xc3,
-  0x2e, 0x15, 0x0b, 0xc5, 0x46, 0x2f, 0xd3, 0x39, 0xdd, 0x40, 0x5f, 0x44,
-  0x65, 0x7c, 0xed, 0x68, 0x15, 0x2d, 0xb8, 0x4a, 0xce, 0x66, 0x09, 0xbf,
-  0x4a, 0x51, 0xa2, 0x76, 0x10, 0x6d, 0x5e, 0x0a, 0x60, 0x1a, 0x04, 0x9f,
-  0x45, 0x92, 0x4f, 0x25, 0xdb, 0x35, 0x9e, 0x59, 0xc8, 0x25, 0xbf, 0xcf,
-  0xce, 0xf8, 0xc1, 0x62, 0xea, 0xea, 0x56, 0x43, 0x03, 0x4b, 0x3d, 0xc1,
-  0x4d, 0x17, 0x85, 0xaf, 0x93, 0x24, 0xd7, 0x4d, 0x08, 0xc5, 0x46, 0x8b,
-  0x85, 0x2a, 0x10, 0x1d, 0xcc, 0xaa, 0xe7, 0xca, 0xad, 0xf4, 0x27, 0x36,
-  0xd3, 0x01, 0x7e, 0x47, 0x35, 0x3a, 0xad, 0x82, 0xdc, 0x59, 0x48, 0x7e,
-  0x90, 0xab, 0xf2, 0xa1, 0xd9, 0xc4, 0x95, 0x79, 0xc5, 0xa5, 0xdf, 0x98,
-  0x97, 0xa6, 0xe4, 0xee, 0x7e, 0xf1, 0x0a, 0x04, 0xb1, 0xfb, 0xc5, 0x1f,
-  0xdd, 0x67, 0x7b, 0xfa, 0xd9, 0xde, 0x17, 0x7f, 0x1c, 0x0c, 0x30, 0x3e,
-  0xa6, 0x90, 0xae, 0x7d, 0xdd, 0xd5, 0xb4, 0xc3, 0x58, 0x8f, 0xb0, 0xfc,
-  0xe5, 0x90, 0x77, 0x64, 0xaf, 0x3b, 0xd6, 0x73, 0xb8, 0xca, 0x3d, 0xb5,
-  0xbd, 0x3b, 0xbe, 0x95, 0x1a, 0x5e, 0x31, 0x40, 0x3d, 0x8b, 0xb6, 0x45,
-  0x77, 0x26, 0x42, 0xb4, 0x53, 0x38, 0xc8, 0x92, 0x38, 0xfa, 0x13, 0x53,
-  0xea, 0x9f, 0x36, 0x22, 0x35, 0x91, 0xf3, 0x76, 0xa0, 0x2c, 0x61, 0x64,
-  0x64, 0x2b, 0xb5, 0xe5, 0x05, 0xf0, 0x8d, 0x5b, 0xe6, 0x10, 0x4b, 0xbe,
-  0x03, 0x83, 0x42, 0x17, 0x7f, 0xd6, 0x7c, 0x44, 0xd9, 0x70, 0xe6, 0x67,
-  0xc8, 0x66, 0x90, 0xa4, 0x20, 0x92, 0x30, 0x4a, 0xe6, 0x0d, 0x78, 0xf2,
-  0xd3, 0x1f, 0x7e, 0x50, 0x71, 0x8a, 0x7e, 0xd1, 0x71, 0xdf, 0x10, 0x27,
-  0x9a, 0x10, 0x73, 0x9b, 0xa1, 0x9c, 0x82, 0xd6, 0x26, 0xd1, 0x0b, 0xff,
-  0x4a, 0xe7, 0x29, 0x8d, 0xd0, 0xc6, 0x4a, 0x25, 0x5f, 0x1e, 0x19, 0x96,
-  0xf4, 0x58, 0x98, 0x18, 0x28, 0x73, 0x13, 0xae, 0x40, 0x1f, 0x6a, 0x11,
-  0x12, 0x3e, 0xef, 0x1c, 0x36, 0x1d, 0xb4, 0x4f, 0x8d, 0x99, 0x1a, 0xac,
-  0x1b, 0x09, 0x8a, 0x15, 0x19, 0xe7, 0x55, 0x47, 0x1e, 0xbc, 0x4e, 0x3b,
-  0x6a, 0xe0, 0x95, 0x4f, 0x3a, 0x3e, 0x87, 0x54, 0x76, 0x03, 0x5b, 0xf6,
-  0x4a, 0x04, 0xa7, 0xf4, 0x97, 0xe4, 0xd5, 0xee, 0x4e, 0xfb, 0x13, 0xac,
-  0x0d, 0x45, 0x8c, 0xbe, 0xfa, 0xca, 0x1b, 0xc8, 0x1f, 0x7b, 0x3e, 0x9d,
-  0xc8, 0xd3, 0x5a, 0x54, 0x10, 0x25, 0x56, 0x5e, 0x75, 0x46, 0x7c, 0xbf,
-  0xf2, 0xff, 0xaf, 0x19, 0x07, 0x02, 0xbe, 0xf4, 0xd9, 0x62, 0x39, 0x9a,
-  0xa5, 0x95, 0x01, 0x6f, 0xf3, 0x04, 0xbf, 0x80, 0x49, 0x25, 0x71, 0xb4,
-  0x81, 0x5a, 0xb4, 0x22, 0xf9, 0x75, 0xaf, 0xb2, 0x6c, 0x14, 0xe7, 0x5d,
-  0x35, 0xa2, 0xda, 0x38, 0xbb, 0xbb, 0x7b, 0x4f, 0x9e, 0x3e, 0xeb, 0x0e,
-  0x54, 0x4a, 0x03, 0x83, 0x80, 0x62, 0x96, 0xaa, 0x2a, 0x23, 0x4d, 0xb8,
-  0xb4, 0x40, 0x5f, 0x5b, 0xbe, 0xd5, 0xd9, 0xc0, 0x3c, 0x8c, 0xbb, 0x7b,
-  0x25, 0xbd, 0xfd, 0x91, 0xfb, 0x79, 0x85, 0x2e, 0xfe, 0x98, 0x4e, 0x5e,
-  0xb9, 0x19, 0xfe, 0x91, 0xe7, 0xf2, 0x4a, 0x27, 0x41, 0xfb, 0x6a, 0x81,
-  0xf4, 0xc5, 0xd6, 0x46, 0x2b, 0x57, 0x6b, 0xdd, 0x5c, 0xdb, 0xc4, 0x0d,
-  0x4c, 0x1a, 0x9e, 0xae, 0xfe, 0x44, 0x2c, 0xb7, 0x90, 0x55, 0x7d, 0x20,
-  0xf9, 0xf6, 0x43, 0x9f, 0x5a, 0xe9, 0x73, 0x2b, 0x7d, 0xcf, 0xae, 0xa3,
-  0x19, 0x67, 0x8d, 0xf0, 0x46, 0xf4, 0x34, 0x9b, 0x60, 0x0a, 0x5b, 0x87,
-  0x0a, 0x02, 0x59, 0x06, 0x3f, 0xd2, 0xe1, 0xd7, 0x27, 0x5d, 0x75, 0xd0,
-  0x8a, 0xe2, 0xd6, 0x6b, 0x33, 0xae, 0xb9, 0xa8, 0x09, 0x05, 0x21, 0xd8,
-  0x30, 0x38, 0x83, 0x98, 0xfd, 0x8d, 0xdc, 0xaf, 0x24, 0xfe, 0x50, 0x67,
-  0x7a, 0xe7, 0x4c, 0xd9, 0x5c, 0x97, 0xe3, 0x93, 0xb0, 0x19, 0xe0, 0xba,
-  0x88, 0xe3, 0x11, 0x96, 0xea, 0x85, 0xcb, 0x1a, 0xe8, 0xbf, 0x76, 0xde,
-  0x00, 0x17, 0xa5, 0xae, 0x8f, 0xd2, 0x57, 0xc2, 0x4d, 0x8c, 0x41, 0x74,
-  0x5c, 0x01, 0x2a, 0xa1, 0x84, 0x90, 0x77, 0xc0, 0x97, 0x31, 0x4a, 0x2a,
-  0x95, 0x8d, 0x44, 0x2c, 0x64, 0xee, 0xf9, 0xd2, 0x55, 0x2c, 0xfa, 0x22,
-  0x02, 0xee, 0xbf, 0xbc, 0xa5, 0x71, 0xe8, 0x95, 0x0a, 0xaf, 0x78, 0x49,
-  0x95, 0x03, 0xe7, 0xf9, 0x08, 0xbc, 0xb6, 0x2a, 0x16, 0x48, 0x0b, 0x32,
-  0xd1, 0xd1, 0x4a, 0xd5, 0x7f, 0x6e, 0xa1, 0xfb, 0x17, 0x1c, 0x82, 0x97,
-  0xbc, 0x0d, 0xf8, 0xfa, 0x8b, 0xae, 0x98, 0xf0, 0xdc, 0xbb, 0x3c, 0x8c,
-  0x9a, 0x67, 0x45, 0x08, 0x34, 0x9c, 0x0f, 0x89, 0xd3, 0x06, 0xe7, 0x22,
-  0xb2, 0x18, 0xa7, 0x99, 0xce, 0xa1, 0x4e, 0xa5, 0xc9, 0x94, 0x33, 0xcc,
-  0x58, 0xac, 0x54, 0x59, 0xa8, 0xa7, 0x8d, 0x27, 0x1c, 0x40, 0xc8, 0xb2,
-  0x63, 0x97, 0x03, 0x70, 0xf0, 0x5e, 0xd7, 0xa1, 0xc3, 0xb0, 0x48, 0x9d,
-  0x80, 0xdd, 0xe5, 0x89, 0x95, 0x1c, 0xdb, 0x50, 0x38, 0x12, 0x2f, 0xcb,
-  0x87, 0x13, 0x2b, 0x02, 0xd1, 0xc1, 0xc7, 0xea, 0x4b, 0x0e, 0x72, 0xe3,
-  0x88, 0xbc, 0xe6, 0x44, 0x18, 0xed, 0xf4, 0x15, 0x2f, 0xf7, 0xee, 0xe0,
-  0x3a, 0xbd, 0x92, 0xc5, 0x20, 0x16, 0x79, 0x9d, 0x6c, 0xd3, 0x9f, 0x3d,
-  0xfa, 0x7c, 0x8f, 0x65, 0x32, 0xfe, 0xe5, 0x09, 0xfc, 0xf6, 0xe1, 0xcd,
-  0x1f, 0x9c, 0x0d, 0x77, 0x2e, 0xf8, 0x97, 0xd4, 0xdd, 0xf8, 0x6a, 0x92,
-  0xd6, 0x51, 0x82, 0xcc, 0x2b, 0xc8, 0xab, 0x82, 0xb4, 0xea, 0xcd, 0xcd,
-  0xac, 0x66, 0xb1, 0x42, 0xba, 0xe4, 0xc0, 0x51, 0x17, 0xe6, 0xa6, 0x8e,
-  0x45, 0x15, 0xd3, 0x59, 0xea, 0x4e, 0xd5, 0x60, 0xc2, 0x81, 0xb6, 0xb8,
-  0x57, 0x93, 0xfb, 0xad, 0x5e, 0x18, 0x3c, 0x64, 0x95, 0x36, 0x5d, 0x41,
-  0x60, 0x24, 0xdd, 0x72, 0xf7, 0x9b, 0x5a, 0xdb, 0x2a, 0xc8, 0x96, 0xc1,
-  0x36, 0xa7, 0xf5, 0x1d, 0xac, 0xd6, 0x87, 0x92, 0x80, 0x8f, 0xb4, 0x28,
-  0xb7, 0xb8, 0x9b, 0x64, 0x5a, 0x40, 0x53, 0xe7, 0x41, 0x6f, 0x44, 0xc1,
-  0xba, 0x1b, 0x4a, 0x06, 0xba, 0xea, 0x72, 0xb5, 0xaa, 0x6d, 0xf8, 0x83,
-  0x84, 0xb7, 0x1d, 0xcf, 0x04, 0x15, 0x1e, 0x64, 0x3b, 0xed, 0xcb, 0x7d,
-  0xa9, 0x42, 0x50, 0xff, 0xf5, 0x20, 0x3a, 0x45, 0xe8, 0x5b, 0x11, 0x4b,
-  0x5e, 0xb1, 0xdd, 0xa9, 0x46, 0x01, 0x44, 0x2e, 0x22, 0x75, 0x6f, 0x48,
-  0x3c, 0x29, 0x27, 0x73, 0x1a, 0x19, 0x01, 0xc9, 0xce, 0xab, 0x99, 0x22,
-  0x51, 0xa8, 0x04, 0xd2, 0x83, 0x15, 0xda, 0x3d, 0x87, 0xc2, 0x6d, 0xae,
-  0xca, 0x72, 0x40, 0xa4, 0x41, 0x23, 0xe2, 0xd0, 0x57, 0x91, 0x33, 0x60,
-  0xe5, 0x8e, 0xf0, 0x25, 0x67, 0x34, 0x11, 0x33, 0x8b, 0x96, 0xf6, 0x15,
-  0x1f, 0x16, 0xb5, 0x06, 0xca, 0xe2, 0xb9, 0x33, 0xe9, 0x74, 0xa0, 0x29,
-  0x4e, 0x13, 0xa7, 0x4e, 0x2b, 0x14, 0xaf, 0x40, 0xe3, 0x66, 0x0a, 0x8d,
-  0x24, 0x02, 0x86, 0xf7, 0x2f, 0xf0, 0x20, 0x79, 0x5c, 0xf1, 0x1d, 0xfd,
-  0xc2, 0x97, 0xfc, 0x28, 0xa7, 0x9d, 0x4e, 0x72, 0xb9, 0x0e, 0xd0, 0x6b,
-  0x58, 0xb6, 0xec, 0x9b, 0xcb, 0x37, 0xa7, 0x91, 0xe5, 0x67, 0x5f, 0x79,
-  0xe1, 0xd0, 0xa2, 0x76, 0x30, 0x45, 0xb5, 0x85, 0x88, 0x04, 0xa4, 0x4f,
-  0xc9, 0xcd, 0x26, 0x6b, 0xcb, 0x49, 0x5e, 0x11, 0x0a, 0x4b, 0x87, 0xc7,
-  0x34, 0x78, 0x42, 0x5e, 0xdd, 0x10, 0xfc, 0x84, 0x2e, 0x2f, 0x41, 0xb7,
-  0x17, 0x75, 0x79, 0xa8, 0xfc, 0x45, 0x17, 0xeb, 0x89, 0x8f, 0x83, 0xe5,
-  0xeb, 0x0e, 0x5a, 0x4e, 0x1e, 0x3f, 0xf3, 0xea, 0xcb, 0xca, 0x2a, 0xe1,
-  0x73, 0x6b, 0xea, 0x95, 0x44, 0xcb, 0x36, 0xa4, 0x6c, 0x7b, 0x37, 0x68,
-  0xff, 0xd5, 0x21, 0xb5, 0x22, 0x65, 0xd1, 0x64, 0x4f, 0x20, 0x50, 0xbb,
-  0xcf, 0x52, 0x64, 0xa2, 0x34, 0x1a, 0xfa, 0xf0, 0xc9, 0xbd, 0x34, 0xf6,
-  0xe3, 0xc2, 0x83, 0x84, 0xa3, 0x09, 0x09, 0x18, 0xb7, 0xa5, 0xdd, 0x4c,
-  0x45, 0xd3, 0xbb, 0xcf, 0x60, 0x57, 0x00, 0x9f, 0xd9, 0x1d, 0x20, 0x35,
-  0xc1, 0x63, 0xe9, 0xb8, 0x06, 0x9c, 0xba, 0xde, 0xc1, 0x82, 0x76, 0xcc,
-  0x4c, 0xe2, 0x94, 0x78, 0x5b, 0xe5, 0x36, 0x7e, 0xb5, 0x48, 0xc7, 0xa8,
-  0x73, 0xfa, 0xea, 0xcb, 0x49, 0x76, 0xcd, 0xdc, 0xaa, 0x47, 0x17, 0x2b,
-  0xff, 0xec, 0xf0, 0xc3, 0x7b, 0xda, 0xa9, 0x0c, 0x18, 0x67, 0x45, 0xe4,
-  0x76, 0xfb, 0x7b, 0x4d, 0xf8, 0x12, 0x35, 0x3c, 0xc9, 0xc6, 0xda, 0xb6,
-  0x6b, 0x5a, 0xf6, 0x83, 0xda, 0x77, 0x5f, 0x84, 0x7d, 0xd9, 0xe2, 0xc4,
-  0xda, 0xb2, 0x94, 0xa7, 0x9b, 0xa6, 0xa5, 0x5c, 0xdf, 0x0e, 0x57, 0x1d,
-  0x26, 0x2d, 0xae, 0x30, 0x21, 0x77, 0xd5, 0x54, 0xe3, 0xe5, 0xbb, 0x5f,
-  0x76, 0x25, 0xd4, 0xb1, 0xfb, 0xb2, 0x0b, 0xae, 0xc5, 0xbc, 0xc8, 0x50,
-  0x74, 0xf5, 0x42, 0xea, 0xca, 0x4d, 0xd8, 0x17, 0x79, 0x41, 0x8b, 0x07,
-  0x56, 0xa2, 0x53, 0x98, 0x61, 0x98, 0xe2, 0x18, 0x06, 0xd6, 0xc0, 0x30,
-  0x00, 0x78, 0x6f, 0x8c, 0x8a, 0x91, 0x69, 0x46, 0xa5, 0xb8, 0xa4, 0xf5,
-  0xa2, 0x85, 0x28, 0x86, 0x44, 0xdf, 0x82, 0x1d, 0xae, 0x62, 0xd8, 0x5c,
-  0xce, 0x17, 0x9c, 0xd6, 0x35, 0x2e, 0x05, 0x4b, 0x1a, 0x67, 0x69, 0x10,
-  0xbd, 0x9b, 0x0b, 0xec, 0x5d, 0xc2, 0xea, 0x71, 0xe8, 0x2f, 0xef, 0x39,
-  0xbf, 0x3f, 0x2d, 0x54, 0xc5, 0x9f, 0x18, 0x0e, 0x58, 0xcc, 0x21, 0x62,
-  0xb6, 0xd6, 0x7e, 0xf9, 0x6a, 0xcd, 0x39, 0x1a, 0x41, 0xcd, 0xd2, 0x90,
-  0x04, 0x5c, 0xc2, 0xaf, 0x32, 0x20, 0xf6, 0xce, 0x1d, 0xbf, 0x3e, 0xbe,
-  0xb8, 0x38, 0xbe, 0xe0, 0xf5, 0x3e, 0xa8, 0xe2, 0xd7, 0xdf, 0x68, 0x64,
-  0xb4, 0x47, 0x66, 0xb3, 0x88, 0xb0, 0x66, 0x59, 0x63, 0xe1, 0x84, 0x0a,
-  0xa5, 0xb4, 0x11, 0x99, 0x9f, 0x5b, 0xb2, 0xdc, 0xc5, 0x20, 0x0c, 0x6b,
-  0x22, 0xe2, 0x01, 0x9d, 0xe5, 0x7e, 0xca, 0xd7, 0x8a, 0xc0, 0xd0, 0x87,
-  0xc2, 0xc4, 0x46, 0x64, 0xaf, 0xe6, 0x5a, 0x80, 0x04, 0x57, 0xb5, 0xe9,
-  0x8e, 0x81, 0x5c, 0x3a, 0xd0, 0x10, 0xae, 0x44, 0xbd, 0xd7, 0x53, 0x67,
-  0x8e, 0xc0, 0x7c, 0xaf, 0xf8, 0x80, 0xb2, 0xaa, 0x84, 0x95, 0x28, 0xca,
-  0xe5, 0x22, 0x9d, 0x38, 0xe3, 0x2e, 0x7d, 0x4e, 0xf2, 0x5e, 0x24, 0x47,
-  0xbc, 0xb0, 0x11, 0xc3, 0x99, 0x68, 0xb6, 0x87, 0xd0, 0xb8, 0x26, 0x69,
-  0xe5, 0xde, 0x34, 0x86, 0x98, 0x7f, 0xa9, 0x5a, 0xa9, 0x98, 0xd9, 0xb5,
-  0x8c, 0x2d, 0x25, 0xfc, 0x04, 0x46, 0x45, 0x66, 0x15, 0x16, 0x2b, 0x10,
-  0xb2, 0x05, 0x36, 0x5d, 0xcd, 0x7c, 0x20, 0xa4, 0x2f, 0x28, 0x78, 0x81,
-  0x44, 0x8d, 0x7c, 0x3f, 0xfa, 0xa9, 0x48, 0xc7, 0x3f, 0xfb, 0x9b, 0x03,
-  0x21, 0xcc, 0x3e, 0x56, 0x51, 0x62, 0x0b, 0x68, 0xf2, 0xba, 0x50, 0xaa,
-  0xfb, 0x4a, 0x82, 0xd4, 0xbb, 0xe1, 0xf1, 0x45, 0x74, 0xf0, 0x35, 0xa3,
-  0x3b, 0xfd, 0xf7, 0x76, 0x97, 0x9f, 0xd3, 0x9b, 0xc1, 0xf6, 0x56, 0x53,
-  0x72, 0x93, 0x49, 0x58, 0x6b, 0x62, 0x50, 0xd9, 0xd8, 0xd4, 0xca, 0xc7,
-  0xf8, 0xeb, 0xbd, 0xba, 0x85, 0x1b, 0xd1, 0x07, 0x37, 0xf1, 0x63, 0xb6,
-  0x90, 0x0f, 0x58, 0xb8, 0x89, 0x92, 0xcb, 0x2f, 0x0e, 0x08, 0xdb, 0x1a,
-  0x1d, 0x7d, 0xd1, 0x50, 0x33, 0x65, 0x93, 0x0e, 0xa2, 0xee, 0x9b, 0xec,
-  0x17, 0x12, 0x04, 0xe2, 0xed, 0x27, 0x83, 0x9d, 0x68, 0xf3, 0xfb, 0x74,
-  0xfe, 0xe2, 0xd9, 0x5f, 0xa2, 0x93, 0xad, 0x6e, 0x25, 0xc8, 0x53, 0x60,
-  0x9c, 0x47, 0xf1, 0xfc, 0xd6, 0xed, 0xd8, 0x19, 0x4e, 0xb5, 0x84, 0xae,
-  0x18, 0x18, 0xa8, 0x54, 0x26, 0x5c, 0xdb, 0x22, 0x12, 0x8d, 0x34, 0x5e,
-  0x34, 0xfa, 0xce, 0xc1, 0xd1, 0xb1, 0x4e, 0x4f, 0x4f, 0x4d, 0x78, 0xe9,
-  0x5e, 0x3c, 0x6b, 0x34, 0xf1, 0xd4, 0xb5, 0xf1, 0x4e, 0xda, 0xf8, 0x95,
-  0x4d, 0xec, 0x0d, 0x76, 0xf6, 0xa2, 0xcd, 0xb3, 0xe1, 0xf6, 0x9e, 0x6b,
-  0xa1, 0xd9, 0xc4, 0x1e, 0x9a, 0xe0, 0x87, 0xaa, 0x2f, 0x3f, 0xe5, 0xfe,
-  0x7f, 0x4a, 0xe6, 0x3f, 0x47, 0x9b, 0x3f, 0xec, 0xee, 0x52, 0x03, 0x7f,
-  0x89, 0x0e, 0x4e, 0x7e, 0x88, 0x9e, 0x0e, 0xa8, 0xb1, 0xb7, 0xf1, 0x9d,
-  0x36, 0xa7, 0x18, 0x4e, 0x43, 0x34, 0x42, 0xdf, 0x37, 0xda, 0x78, 0x56,
-  0x6b, 0xe3, 0x94, 0xf4, 0xc0, 0x07, 0xba, 0x52, 0x76, 0x06, 0x4f, 0xf6,
-  0xa2, 0xf4, 0xd9, 0xe7, 0xcf, 0xad, 0x21, 0x6d, 0x03, 0xdf, 0x57, 0x6d,
-  0x93, 0x92, 0xe5, 0x4b, 0x62, 0xce, 0xf1, 0x03, 0x31, 0x33, 0x70, 0x08,
-  0xc0, 0xa7, 0xde, 0xc4, 0xf9, 0x44, 0xc9, 0x8d, 0x8b, 0xaa, 0xd0, 0x4e,
-  0x29, 0x3a, 0x58, 0x02, 0x23, 0x25, 0x5d, 0x9a, 0xfb, 0x8d, 0xe1, 0xb0,
-  0x2e, 0x6a, 0x8f, 0xfe, 0x25, 0x7a, 0x33, 0x3c, 0x39, 0xa6, 0x19, 0xed,
-  0xd0, 0xd0, 0xfc, 0x1a, 0xca, 0x80, 0xf0, 0x15, 0x16, 0x97, 0x56, 0x75,
-  0x83, 0xf3, 0x7e, 0xd0, 0x86, 0xc9, 0xd8, 0x12, 0xd1, 0xc5, 0xb0, 0x8d,
-  0x59, 0x51, 0xa0, 0xdf, 0x77, 0x44, 0x6b, 0xfd, 0x83, 0x6b, 0x56, 0x19,
-  0xe4, 0x9a, 0x45, 0xd7, 0xdf, 0x66, 0x73, 0x3a, 0x26, 0x79, 0x96, 0x73,
-  0x98, 0x47, 0xb7, 0x22, 0x29, 0x7c, 0x7b, 0x74, 0x2c, 0x79, 0x6a, 0x6f,
-  0xe2, 0x39, 0xb1, 0x48, 0x06, 0x75, 0x28, 0x6e, 0xd9, 0xeb, 0x2e, 0xce,
-  0x1b, 0x79, 0xff, 0x74, 0x35, 0x7f, 0xa0, 0x7d, 0xfc, 0x6c, 0xb0, 0xcb,
-  0xa8, 0x76, 0xac, 0xe5, 0xbe, 0x7e, 0x43, 0x7f, 0xef, 0x3e, 0xed, 0x46,
-  0xfc, 0x55, 0x55, 0x63, 0xb7, 0xf3, 0xba, 0x71, 0x78, 0x76, 0xf6, 0xed,
-  0x89, 0x04, 0x60, 0x1c, 0xaa, 0x11, 0x95, 0x05, 0x2b, 0xa7, 0x05, 0x0b,
-  0x73, 0x25, 0x6d, 0xcd, 0xc7, 0x8f, 0xc3, 0xf5, 0x76, 0x9b, 0x24, 0x0b,
-  0xc0, 0xd0, 0xd5, 0x38, 0x42, 0xa9, 0x2c, 0x5a, 0x46, 0xc6, 0x82, 0x74,
-  0x3a, 0xa9, 0x02, 0x52, 0x14, 0x8c, 0x10, 0x66, 0x06, 0xdb, 0xd1, 0xca,
-  0xe5, 0xc2, 0xc6, 0xbe, 0x08, 0xa4, 0x16, 0xb2, 0xd7, 0xa6, 0xcc, 0xe0,
-  0x2c, 0x55, 0xe0, 0xe9, 0x45, 0xd5, 0x75, 0xbb, 0xc3, 0xa4, 0xec, 0xcb,
-  0xa0, 0xf7, 0xd5, 0x46, 0xdb, 0x55, 0x83, 0x93, 0x33, 0x97, 0x2d, 0x14,
-  0x93, 0x16, 0x86, 0xe2, 0xd5, 0x82, 0x6b, 0x55, 0xd2, 0x9c, 0x94, 0x35,
-  0xa3, 0x18, 0x6b, 0x82, 0x58, 0xa2, 0xb7, 0x07, 0x6f, 0x8e, 0x5f, 0x7d,
-  0x77, 0x70, 0xfa, 0xee, 0x98, 0x5e, 0x61, 0x54, 0xd6, 0x4d, 0x1f, 0x6f,
-  0x84, 0x31, 0xce, 0xd2, 0x71, 0x36, 0x65, 0x9f, 0x52, 0xf7, 0x2f, 0xdd,
-  0x0d, 0x09, 0xaf, 0x8c, 0x3a, 0xfc, 0xd6, 0xae, 0xbc, 0x46, 0x74, 0xc1,
-  0x7f, 0xed, 0xc9, 0x5f, 0x7b, 0x7f, 0xe9, 0x6c, 0x55, 0x26, 0xdd, 0xd0,
-  0x8a, 0x99, 0x5e, 0xee, 0x25, 0xae, 0x0e, 0x55, 0x52, 0x10, 0xd3, 0x2b,
-  0xab, 0xd2, 0x31, 0x8f, 0x8c, 0x5d, 0x6d, 0xfc, 0xec, 0xe6, 0x68, 0x15,
-  0xea, 0xdc, 0x1d, 0x7e, 0xe9, 0x15, 0x84, 0x8b, 0x0e, 0xe7, 0x3c, 0xa9,
-  0xb8, 0x01, 0x67, 0x35, 0xb7, 0x61, 0x4d, 0x24, 0x0f, 0x0b, 0x0e, 0xdf,
-  0xda, 0xec, 0xc8, 0x2f, 0xaf, 0x8e, 0x0e, 0x2e, 0x8f, 0xf9, 0x05, 0xeb,
-  0xde, 0xca, 0x5a, 0x5b, 0xe4, 0x2d, 0x8f, 0x67, 0xb3, 0x23, 0x1f, 0xbe,
-  0xe2, 0x09, 0x75, 0xa4, 0xc6, 0x80, 0xe0, 0x2b, 0xd6, 0xc6, 0x95, 0xcd,
-  0x35, 0x88, 0x31, 0x48, 0xd1, 0x2b, 0x2c, 0x4e, 0x64, 0xb3, 0x23, 0xdf,
-  0x75, 0x9c, 0xbd, 0x56, 0xcb, 0xb6, 0xaa, 0x73, 0x72, 0x82, 0xb8, 0xdc,
-  0x46, 0x7a, 0x90, 0x94, 0x99, 0xf0, 0xfb, 0xa3, 0xae, 0x09, 0xb1, 0x30,
-  0x05, 0x20, 0x73, 0x6e, 0xe3, 0x35, 0xa3, 0x90, 0x6d, 0x4a, 0x59, 0xb6,
-  0xbb, 0xf7, 0xe4, 0x2f, 0x58, 0xcf, 0x57, 0x9d, 0x6d, 0xba, 0x1b, 0x3a,
-  0x7f, 0xe1, 0xae, 0xd3, 0x32, 0x28, 0xb7, 0xa2, 0xdd, 0xb0, 0x2e, 0xa5,
-  0x14, 0x25, 0x41, 0x2a, 0xbc, 0xeb, 0xb0, 0x85, 0xc9, 0xbc, 0xb0, 0xa0,
-  0xf7, 0x92, 0x3d, 0x60, 0x19, 0xe6, 0xe6, 0xbe, 0xc7, 0x7e, 0xa1, 0x64,
-  0xe0, 0xdc, 0xe1, 0x82, 0x4a, 0x77, 0xe1, 0xfd, 0xd1, 0x93, 0x77, 0x65,
-  0x8e, 0x5a, 0x04, 0x86, 0xfb, 0x9c, 0xad, 0x2c, 0xc1, 0x00, 0x7d, 0x41,
-  0x1e, 0x97, 0x3d, 0x6b, 0x48, 0xc5, 0x23, 0xb5, 0xe5, 0x98, 0x22, 0x02,
-  0x91, 0x80, 0x58, 0xcb, 0x0a, 0x72, 0x92, 0xf8, 0xfb, 0x83, 0x30, 0x07,
-  0xbb, 0xb3, 0xe3, 0x11, 0x67, 0xca, 0xb9, 0x68, 0xea, 0x40, 0x0b, 0x77,
-  0x4b, 0x6f, 0xc7, 0x2f, 0x0d, 0x00, 0x05, 0xf8, 0xa2, 0x94, 0xb5, 0x2c,
-  0x9c, 0xcd, 0x08, 0xbe, 0x45, 0x7d, 0xb6, 0xba, 0x4f, 0xb5, 0x3c, 0x05,
-  0x4c, 0x43, 0x54, 0x78, 0xd1, 0x8d, 0x89, 0xd5, 0xcc, 0x93, 0xfc, 0xd1,
-  0x10, 0x87, 0x16, 0xd7, 0x13, 0xa6, 0x18, 0xa4, 0xb9, 0xf0, 0x3b, 0x83,
-  0xc1, 0xc0, 0x17, 0x01, 0xe1, 0x6d, 0x51, 0x8f, 0x13, 0x10, 0xc5, 0x03,
-  0xd4, 0x33, 0xac, 0xf1, 0x26, 0x04, 0x79, 0x08, 0xd3, 0x5b, 0x1a, 0xee,
-  0xa2, 0xd6, 0x08, 0x77, 0x34, 0x02, 0x9b, 0x46, 0x57, 0xbb, 0xed, 0x5a,
-  0x91, 0x81, 0xdb, 0xb6, 0x4d, 0x78, 0x64, 0x6c, 0x62, 0x6b, 0x2c, 0x62,
-  0xa4, 0xe6, 0x3b, 0x3e, 0x95, 0xb9, 0xb5, 0x60, 0x0a, 0xe6, 0x74, 0x7d,
-  0xa9, 0x81, 0x8a, 0x2d, 0x91, 0x45, 0xd3, 0xa1, 0x68, 0x81, 0x1b, 0x66,
-  0x72, 0xd9, 0x3d, 0x32, 0x39, 0x91, 0x2f, 0xca, 0xd1, 0x1f, 0x73, 0x31,
-  0x0d, 0xd8, 0x0d, 0xe2, 0x30, 0x7f, 0xad, 0x9d, 0x89, 0x98, 0x66, 0x59,
-  0x5f, 0x86, 0xdc, 0xaf, 0xd9, 0x2f, 0x9a, 0xe3, 0x5d, 0xc4, 0x8a, 0x8e,
-  0x45, 0x62, 0x5b, 0x36, 0x83, 0x93, 0x4b, 0x27, 0xef, 0xcd, 0x24, 0x1c,
-  0xe3, 0xd5, 0x97, 0x2c, 0x69, 0x4b, 0x50, 0x31, 0xee, 0xa1, 0x99, 0xb2,
-  0x8f, 0x79, 0xc7, 0xc7, 0xd6, 0xa2, 0x73, 0x8d, 0xd7, 0xd6, 0xc6, 0xdf,
-  0xca, 0x55, 0xd6, 0x45, 0x2b, 0x2a, 0xd6, 0x64, 0x08, 0xca, 0x01, 0xdf,
-  0x8b, 0xe2, 0x7b, 0x2e, 0x46, 0x43, 0x34, 0x28, 0x6e, 0x32, 0xb1, 0xc8,
-  0x9c, 0x06, 0x76, 0x45, 0x37, 0x43, 0xab, 0xf6, 0x1c, 0xfb, 0x7a, 0xcf,
-  0x86, 0x07, 0x2b, 0x20, 0x6f, 0x66, 0xc0, 0x4b, 0x51, 0x4e, 0x84, 0x41,
-  0xb9, 0x54, 0x50, 0x37, 0xd5, 0x9c, 0x47, 0x4e, 0x2c, 0x7a, 0xa8, 0x74,
-  0x93, 0x22, 0x1a, 0x90, 0x6d, 0x1c, 0x12, 0x45, 0x61, 0xab, 0x25, 0xb5,
-  0xbe, 0xad, 0x13, 0xe7, 0x8d, 0x86, 0xb9, 0x89, 0xe5, 0xe9, 0x79, 0x36,
-  0xef, 0xbb, 0x12, 0x43, 0x2e, 0xe2, 0x2a, 0x4f, 0xaf, 0xaf, 0x45, 0x63,
-  0x8b, 0xea, 0x53, 0x6b, 0x27, 0xb2, 0x53, 0x5e, 0x15, 0x0e, 0xd9, 0x5c,
-  0xad, 0x5b, 0xcd, 0x4b, 0x57, 0xc6, 0x54, 0x2d, 0x2e, 0x15, 0x62, 0x36,
-  0x0f, 0xa4, 0xec, 0x1b, 0xc0, 0xb3, 0x24, 0xcd, 0x92, 0xcd, 0x5e, 0x55,
-  0x8f, 0xf1, 0xd9, 0x05, 0x33, 0xb1, 0xc2, 0x6d, 0x79, 0xb7, 0x70, 0x9b,
-  0x0e, 0x50, 0x19, 0x1f, 0x6f, 0x32, 0x61, 0xbb, 0xf2, 0x8c, 0xaf, 0xe2,
-  0x7b, 0x17, 0xec, 0x24, 0x20, 0xbb, 0xa3, 0xd8, 0x6b, 0x5c, 0x1b, 0x51,
-  0xc5, 0xba, 0xcb, 0x85, 0x2f, 0x4f, 0xe6, 0xca, 0x87, 0xb2, 0xbb, 0xc4,
-  0xe3, 0x1a, 0x79, 0x03, 0xa3, 0xc7, 0x86, 0xd3, 0xd3, 0xef, 0x98, 0x49,
-  0xcd, 0x9d, 0xeb, 0xf8, 0x15, 0x26, 0x59, 0x5b, 0x95, 0x41, 0x14, 0x34,
-  0x29, 0x66, 0x92, 0x2c, 0x64, 0xf1, 0x32, 0x36, 0xf5, 0x52, 0x5b, 0x8b,
-  0x1a, 0xcb, 0x0f, 0xbc, 0xfd, 0x40, 0x35, 0x11, 0x1c, 0x59, 0xa5, 0xaa,
-  0xc2, 0x45, 0xc6, 0x79, 0x6f, 0xaf, 0xcd, 0xb2, 0xe3, 0x36, 0xa9, 0x83,
-  0x94, 0x93, 0x91, 0x12, 0x01, 0x68, 0x80, 0x05, 0x3a, 0xe7, 0xb0, 0x3f,
-  0x98, 0xc6, 0x1c, 0xb2, 0x92, 0x49, 0x2c, 0x00, 0xb6, 0x0c, 0x44, 0x0d,
-  0x43, 0x5a, 0x8d, 0xa7, 0x36, 0x8e, 0x9f, 0x8b, 0xcd, 0x10, 0x5a, 0x63,
-  0x21, 0x05, 0xcd, 0x10, 0x95, 0x20, 0x28, 0x77, 0x6c, 0xcc, 0xfd, 0xf1,
-  0xf4, 0xcb, 0x51, 0xe5, 0x8c, 0x7e, 0xe8, 0xc8, 0x9e, 0x5f, 0x9c, 0x7d,
-  0x7d, 0x71, 0x3c, 0x1c, 0x46, 0x6f, 0x8e, 0x2f, 0x45, 0xe5, 0xbf, 0x94,
-  0x38, 0x38, 0x01, 0x27, 0x86, 0x9b, 0xc1, 0x10, 0x12, 0x2c, 0xd6, 0xc4,
-  0xec, 0x09, 0xc0, 0x53, 0xcd, 0xd8, 0x85, 0x06, 0x51, 0x0e, 0xea, 0xfc,
-  0x54, 0xc3, 0xe7, 0x6e, 0x60, 0xe8, 0x47, 0x30, 0x13, 0x3c, 0x91, 0xce,
-  0x6e, 0xee, 0xad, 0xa9, 0x90, 0x91, 0x25, 0xbc, 0xe9, 0xc6, 0x38, 0x97,
-  0xb7, 0x9e, 0xf3, 0xed, 0x4d, 0x3f, 0x31, 0xbd, 0x4f, 0xa3, 0x4b, 0x2b,
-  0xd6, 0xfd, 0x29, 0xa9, 0xc1, 0x4a, 0x1f, 0x9f, 0x46, 0x3f, 0x50, 0x9b,
-  0x13, 0x5a, 0x75, 0xad, 0xc0, 0x38, 0x44, 0x91, 0x0d, 0x5f, 0xc8, 0x04,
-  0x20, 0xa7, 0x61, 0x71, 0x9d, 0x65, 0x9e, 0x7f, 0xa0, 0xe0, 0x2f, 0x12,
-  0xe6, 0x05, 0xee, 0x49, 0x83, 0xe9, 0x5c, 0xcf, 0xfc, 0x36, 0xea, 0x88,
-  0x9d, 0x26, 0x57, 0x25, 0x04, 0x12, 0xee, 0x8e, 0x9a, 0xdb, 0x61, 0xf8,
-  0xc2, 0xdd, 0x37, 0xfc, 0xd1, 0x4e, 0xf4, 0xe4, 0xf3, 0xe7, 0x3b, 0x9f,
-  0xcb, 0xaf, 0xf6, 0xef, 0x8b, 0xa7, 0x3b, 0x0a, 0x03, 0x4a, 0x7f, 0x3d,
-  0xdd, 0x7f, 0xba, 0xbb, 0xcf, 0xf0, 0x44, 0x3b, 0xfb, 0x3b, 0xf4, 0xff,
-  0x4f, 0xf5, 0x13, 0xc6, 0x60, 0x7a, 0xb1, 0xf7, 0xf9, 0x67, 0x08, 0x83,
-  0x61, 0xfa, 0x98, 0x52, 0x27, 0xfd, 0x32, 0xeb, 0x03, 0xc3, 0x01, 0x42,
-  0xd0, 0xa7, 0x55, 0x83, 0x24, 0xfb, 0xd5, 0xb9, 0x92, 0x22, 0x4f, 0xdc,
-  0x95, 0x67, 0x36, 0xe3, 0xaa, 0xe4, 0xf1, 0x87, 0x25, 0x64, 0xdd, 0x34,
-  0xf4, 0x6d, 0x29, 0xe3, 0x09, 0x50, 0x94, 0xca, 0x3b, 0x24, 0x32, 0x4a,
-  0x0e, 0x55, 0xf8, 0xf2, 0xaf, 0xe9, 0xda, 0x72, 0x0d, 0x37, 0x80, 0xaa,
-  0xa2, 0x5b, 0xa5, 0xef, 0x8d, 0x65, 0x09, 0x89, 0x46, 0x82, 0xd2, 0xa4,
-  0xb5, 0x52, 0xa2, 0xbf, 0xb6, 0x3f, 0x31, 0x60, 0xf1, 0x5b, 0x4a, 0x0d,
-  0x51, 0xb3, 0x37, 0xab, 0xa8, 0xda, 0xd6, 0x57, 0x85, 0x78, 0x36, 0xfc,
-  0xf6, 0xfb, 0x95, 0x0a, 0x6a, 0x7c, 0x3a, 0x4c, 0x11, 0xa9, 0xe7, 0xd2,
-  0x32, 0xe5, 0x46, 0x73, 0xef, 0x16, 0x61, 0x7b, 0x1f, 0xd3, 0x9c, 0x9f,
-  0x11, 0x28, 0xd8, 0xed, 0x5c, 0x3f, 0xd8, 0x9c, 0x54, 0x22, 0xda, 0x5c,
-  0xb1, 0x50, 0xc3, 0xc5, 0x72, 0x15, 0x05, 0xf1, 0xaa, 0x23, 0xd9, 0xbe,
-  0xbc, 0xa1, 0xe2, 0x67, 0x81, 0xcc, 0x20, 0x11, 0x14, 0xee, 0x32, 0xdc,
-  0xf6, 0xf2, 0xbc, 0x51, 0x76, 0xa3, 0x2b, 0xa6, 0xc6, 0xa0, 0x3f, 0xed,
-  0x03, 0xe7, 0xc9, 0x1d, 0xba, 0x47, 0xa7, 0xe6, 0x83, 0xdb, 0x5d, 0x3d,
-  0x9b, 0x4d, 0x17, 0x2c, 0xde, 0x76, 0x24, 0xfd, 0x73, 0x88, 0x1f, 0x77,
-  0xcd, 0x85, 0x17, 0x11, 0x4a, 0x19, 0x61, 0x7c, 0x9c, 0xba, 0x9f, 0x2d,
-  0x19, 0x9c, 0x76, 0xcb, 0x58, 0x58, 0xff, 0x13, 0x17, 0xaf, 0x85, 0x7b,
-  0x4d, 0x01, 0xd9, 0x63, 0xa1, 0xfc, 0x69, 0x98, 0x56, 0x56, 0x81, 0x62,
-  0x0f, 0x61, 0x60, 0x37, 0xa4, 0xb8, 0x30, 0xdd, 0xb4, 0x74, 0x73, 0x04,
-  0x65, 0xbb, 0xfe, 0xb0, 0xb1, 0x31, 0x3c, 0x3f, 0x3e, 0x3e, 0x8a, 0x4e,
-  0x4f, 0xde, 0x9c, 0x5c, 0x06, 0x02, 0xb9, 0xbb, 0x48, 0xcc, 0xe0, 0x5a,
-  0x68, 0x00, 0x5b, 0x6d, 0x39, 0x3c, 0xea, 0xa0, 0x42, 0x37, 0xeb, 0x55,
-  0x3e, 0x4b, 0x34, 0x8d, 0x61, 0x5a, 0x7f, 0x0f, 0xaa, 0x37, 0x80, 0x2a,
-  0x50, 0x5f, 0xc3, 0x0b, 0x74, 0x05, 0x09, 0x37, 0x63, 0x57, 0xe5, 0xa7,
-  0xff, 0xa3, 0x06, 0x68, 0x54, 0x25, 0x27, 0x05, 0x4f, 0x73, 0x15, 0x9c,
-  0x34, 0xa8, 0xb5, 0x36, 0x2a, 0x5e, 0xdb, 0x64, 0xaa, 0x85, 0x44, 0x9d,
-  0x85, 0x0e, 0xf1, 0x7a, 0xf7, 0x09, 0x12, 0x62, 0x67, 0xa9, 0x40, 0x38,
-  0x87, 0xc1, 0xc4, 0xae, 0x6a, 0xca, 0x65, 0x26, 0x7c, 0x3c, 0xec, 0x31,
-  0x2c, 0x68, 0x65, 0x91, 0xb4, 0xd6, 0x57, 0x58, 0x2a, 0xe9, 0xc9, 0x8e,
-  0xcb, 0x17, 0x58, 0x80, 0xe7, 0xa8, 0xa8, 0xcf, 0x9d, 0xed, 0x46, 0x24,
-  0x8f, 0x2c, 0x59, 0xaa, 0xcf, 0x97, 0xf3, 0xc6, 0x75, 0xf7, 0xa3, 0xbc,
-  0x4b, 0xf3, 0x7f, 0xbe, 0x83, 0xeb, 0xed, 0x2a, 0xce, 0xfb, 0x24, 0x79,
-  0xad, 0xfa, 0x66, 0x5c, 0x15, 0x8a, 0xd0, 0x40, 0x63, 0x31, 0xfd, 0x24,
-  0xbe, 0xc6, 0x47, 0x4d, 0x5a, 0xf4, 0x49, 0x1f, 0x19, 0x5c, 0x92, 0x53,
-  0x3d, 0x00, 0x3c, 0xf5, 0x5e, 0x84, 0x0a, 0xd5, 0x2e, 0xf4, 0x59, 0x64,
-  0x1d, 0x0f, 0xac, 0x67, 0xbb, 0xe8, 0x79, 0x14, 0xaa, 0x9e, 0x66, 0xea,
-  0x1c, 0x4a, 0x79, 0x9a, 0x3a, 0x97, 0xa6, 0x68, 0x3d, 0x8b, 0x76, 0x3f,
-  0xe7, 0x79, 0x7c, 0xdc, 0x7c, 0xb8, 0x94, 0x85, 0x45, 0xb1, 0x89, 0xba,
-  0x90, 0xf9, 0xdd, 0x94, 0xbc, 0x04, 0xa0, 0x95, 0xcb, 0xea, 0x5a, 0x34,
-  0x2c, 0xa2, 0xf5, 0x58, 0x3f, 0x51, 0x57, 0x3a, 0x2c, 0x53, 0xf0, 0x6d,
-  0x8b, 0x84, 0x84, 0xaa, 0x8d, 0xb2, 0x2e, 0x6c, 0x6b, 0x95, 0x68, 0xbd,
-  0x6e, 0xee, 0x33, 0xe6, 0xb0, 0x0c, 0x6c, 0x1d, 0x21, 0x5a, 0xbb, 0x4f,
-  0x27, 0x90, 0xaa, 0xcd, 0x08, 0x00, 0xfa, 0x13, 0xe2, 0x93, 0x20, 0x69,
-  0xb8, 0x2e, 0xe1, 0xf3, 0x74, 0x23, 0x53, 0x01, 0x06, 0xf5, 0x2c, 0x61,
-  0x5c, 0xd8, 0x84, 0xfc, 0xc0, 0x65, 0x58, 0xaa, 0xae, 0x01, 0x66, 0xcd,
-  0x1d, 0xdf, 0x0b, 0x07, 0xee, 0x97, 0xe5, 0xd4, 0xec, 0x0a, 0xbe, 0xce,
-  0x42, 0x75, 0xce, 0x9c, 0xcc, 0x1f, 0x4c, 0x7b, 0x77, 0x87, 0xe4, 0xd7,
-  0x69, 0x56, 0x2f, 0xc8, 0xd6, 0x54, 0x4a, 0x31, 0xad, 0x3e, 0x56, 0x67,
-  0x77, 0xe7, 0xdb, 0xf5, 0xab, 0x0e, 0xf4, 0xd8, 0x47, 0x5f, 0xde, 0x7b,
-  0xfa, 0xc8, 0xa6, 0x9d, 0xe5, 0x95, 0x02, 0x3b, 0x22, 0x08, 0x7a, 0x07,
-  0x4c, 0x63, 0xdb, 0x88, 0xf0, 0x93, 0xeb, 0x18, 0x35, 0xd8, 0x1f, 0x19,
-  0xbd, 0x25, 0x68, 0xd4, 0x86, 0xf2, 0x46, 0xc3, 0xb1, 0xe5, 0xcb, 0x82,
-  0x2d, 0x64, 0x0b, 0xc0, 0x0d, 0x79, 0x35, 0xd6, 0xa5, 0x74, 0x4a, 0x8e,
-  0x77, 0xf0, 0xb6, 0x70, 0xce, 0x5e, 0x95, 0x49, 0x18, 0xf5, 0xe4, 0xc9,
-  0xf5, 0x52, 0x92, 0xa8, 0x33, 0x51, 0xfb, 0x19, 0x8f, 0x51, 0xcf, 0x2b,
-  0xf1, 0x66, 0x8e, 0x1c, 0x12, 0x7a, 0x02, 0xe3, 0x1d, 0xc7, 0x26, 0xb2,
-  0x8a, 0xc8, 0x51, 0xbf, 0x18, 0xd8, 0x3e, 0x3b, 0x66, 0x67, 0x18, 0xb8,
-  0x81, 0x1c, 0xaf, 0xb0, 0xd2, 0x93, 0xd4, 0x41, 0x1a, 0x20, 0x43, 0x51,
-  0x08, 0xc5, 0x31, 0x7b, 0xce, 0xeb, 0x62, 0xa7, 0x58, 0x29, 0x1e, 0x02,
-  0x34, 0xd0, 0x53, 0xaa, 0x45, 0x4b, 0xae, 0x2b, 0xe6, 0xf8, 0x85, 0xa5,
-  0xa0, 0x0a, 0x48, 0x2c, 0xdb, 0xfd, 0x0f, 0xcf, 0xde, 0xbe, 0x3e, 0xf9,
-  0xda, 0x01, 0x5b, 0x08, 0x13, 0x5f, 0x96, 0x19, 0xdb, 0x35, 0xc5, 0x68,
-  0x28, 0x96, 0xe4, 0xd0, 0xe1, 0xad, 0x95, 0x36, 0x34, 0xec, 0x96, 0xd8,
-  0xd3, 0xfb, 0xf0, 0x03, 0x30, 0x90, 0xf9, 0x13, 0xb6, 0x95, 0x4b, 0xf6,
-  0x78, 0xb1, 0xe5, 0x2d, 0x0f, 0x35, 0xe8, 0x1d, 0x49, 0xcf, 0x88, 0xf3,
-  0x72, 0xb9, 0x70, 0xd1, 0x83, 0x41, 0xa5, 0x0e, 0x85, 0x8f, 0xe4, 0x5b,
-  0x81, 0x2b, 0x46, 0x2f, 0x17, 0xc2, 0x9a, 0x24, 0xea, 0xb1, 0x6a, 0xd8,
-  0x95, 0x3b, 0x80, 0x2d, 0x0b, 0x9a, 0x6e, 0xaf, 0x17, 0x40, 0x23, 0x24,
-  0x67, 0xca, 0x90, 0x58, 0x61, 0xa0, 0xbc, 0xb9, 0x72, 0xb8, 0x4c, 0x97,
-  0x4c, 0xd4, 0x8a, 0x2c, 0xcd, 0x44, 0x33, 0xe3, 0x79, 0x4b, 0xed, 0xd6,
-  0x1f, 0x5d, 0x15, 0x5b, 0x0d, 0xfb, 0xf5, 0xae, 0x22, 0x57, 0xae, 0xc0,
-  0x87, 0x26, 0xc9, 0x60, 0x11, 0x42, 0x58, 0xf4, 0xc4, 0xe5, 0x89, 0x4f,
-  0x5e, 0xb1, 0x87, 0x66, 0x7f, 0x80, 0x42, 0x97, 0x88, 0xdf, 0x09, 0x2b,
-  0x50, 0x29, 0x97, 0xf4, 0x60, 0xa7, 0x27, 0x57, 0x41, 0x4a, 0x99, 0x84,
-  0x08, 0x1a, 0xd1, 0x89, 0xb9, 0x98, 0x6d, 0x2d, 0xdd, 0x4f, 0xba, 0xfd,
-  0x62, 0x35, 0x1b, 0x65, 0x53, 0xcb, 0xb8, 0x70, 0x49, 0xd5, 0xf6, 0x50,
-  0x49, 0xd3, 0x40, 0xcc, 0xa0, 0x94, 0x1d, 0x44, 0xd7, 0x81, 0x85, 0xd2,
-  0x87, 0x49, 0xf9, 0xf1, 0x0b, 0xba, 0x3e, 0x3c, 0x45, 0x36, 0x0b, 0x97,
-  0xe1, 0x9f, 0xcc, 0xc7, 0xd3, 0x4c, 0xa9, 0x9a, 0x13, 0x63, 0xb1, 0x52,
-  0xd5, 0xa9, 0xb3, 0xef, 0x2f, 0x5b, 0xb2, 0xb1, 0x03, 0xc8, 0xd9, 0x24,
-  0xee, 0xb0, 0x71, 0xf8, 0x7b, 0x9b, 0x20, 0xbf, 0x2d, 0x5f, 0x68, 0x38,
-  0xbe, 0x41, 0x23, 0x50, 0x43, 0x02, 0xb5, 0x4d, 0x43, 0xfd, 0xab, 0xd8,
-  0x16, 0xc5, 0x03, 0xf8, 0xa3, 0x75, 0x6e, 0x8f, 0xd6, 0x96, 0x9e, 0xe8,
-  0x29, 0xce, 0xaf, 0x15, 0x73, 0x48, 0x9d, 0x6a, 0x50, 0x12, 0x1d, 0x00,
-  0xba, 0xb3, 0x51, 0xb2, 0x50, 0xe2, 0xc2, 0x65, 0x20, 0x3e, 0x2d, 0x25,
-  0xa9, 0x4f, 0xd3, 0x9f, 0xc4, 0x3a, 0xe9, 0x08, 0x31, 0xe0, 0x38, 0x9f,
-  0xb8, 0x90, 0x94, 0xd8, 0xdf, 0x65, 0x06, 0xcc, 0xec, 0x4d, 0xb5, 0x7a,
-  0x99, 0x05, 0xaf, 0xb1, 0x3d, 0x0f, 0x9a, 0x70, 0xa2, 0x36, 0x14, 0xe9,
-  0x0a, 0xb2, 0x04, 0x03, 0x6e, 0x21, 0xeb, 0x27, 0x29, 0x7c, 0x13, 0xf2,
-  0xfd, 0x2b, 0x4d, 0x31, 0xa7, 0xf3, 0xac, 0xa0, 0x01, 0x0a, 0x86, 0xf4,
-  0xf9, 0x8e, 0x5a, 0xe2, 0x4a, 0x8d, 0x53, 0x2d, 0xa2, 0x83, 0x8b, 0x63,
-  0x92, 0x6c, 0xaf, 0xe7, 0x48, 0x0a, 0xe7, 0x11, 0x96, 0xba, 0x3f, 0x10,
-  0xac, 0x79, 0x15, 0xf4, 0x7c, 0x70, 0x87, 0xf7, 0xc1, 0x9b, 0x4c, 0x4c,
-  0x1a, 0x1f, 0x40, 0x87, 0xcc, 0x05, 0xa0, 0x31, 0xc9, 0x8d, 0x0d, 0xac,
-  0x0f, 0x5c, 0x87, 0xb3, 0xbb, 0x85, 0xa4, 0xd8, 0x5b, 0x42, 0x5d, 0x65,
-  0x06, 0xd4, 0x77, 0xde, 0x60, 0xeb, 0x21, 0x42, 0x9f, 0xad, 0x35, 0x4e,
-  0xb5, 0xcf, 0x41, 0xf8, 0xbb, 0xe1, 0x8c, 0x69, 0x5f, 0x15, 0x0f, 0xa8,
-  0x27, 0xa7, 0x5e, 0xbb, 0xf5, 0xe8, 0xef, 0xb8, 0x67, 0x58, 0x16, 0xa9,
-  0xcb, 0x05, 0x89, 0x0b, 0xad, 0x17, 0x43, 0xf6, 0x24, 0x10, 0x7e, 0x25,
-  0x1f, 0x8f, 0x83, 0xab, 0xc5, 0x46, 0xcd, 0xc2, 0x4f, 0x5c, 0x24, 0x56,
-  0x50, 0x09, 0xea, 0xc0, 0x44, 0xcf, 0x2a, 0x53, 0x05, 0xc7, 0x09, 0x8f,
-  0x18, 0x68, 0xe3, 0x56, 0x04, 0x80, 0x90, 0x3f, 0xb5, 0x9a, 0x79, 0x3f,
-  0x71, 0xb3, 0xf5, 0x63, 0x70, 0x5f, 0xf2, 0x47, 0xaf, 0x1c, 0xee, 0x10,
-  0x8f, 0x62, 0xc0, 0x1d, 0x81, 0xa5, 0xc2, 0x7d, 0xca, 0xbf, 0xe0, 0x63,
-  0x04, 0xbc, 0x19, 0x7a, 0x5b, 0x05, 0x3b, 0x44, 0x31, 0xdf, 0xc3, 0x81,
-  0x88, 0x8f, 0x0f, 0x1c, 0x7a, 0x14, 0x8a, 0xc6, 0x41, 0x95, 0x23, 0x36,
-  0xe5, 0x70, 0x06, 0xaf, 0x1d, 0xf8, 0x22, 0xa9, 0x54, 0x45, 0x72, 0x29,
-  0x42, 0x9d, 0x7e, 0x87, 0xd6, 0xa2, 0x3b, 0x9d, 0x7a, 0x86, 0x6f, 0x8f,
-  0xf1, 0xae, 0x22, 0x9b, 0xce, 0x0b, 0x4c, 0xca, 0xbb, 0x18, 0x4f, 0x7a,
-  0x55, 0xc9, 0x6d, 0xe0, 0x7a, 0x1c, 0x9c, 0xfa, 0xe3, 0xb0, 0x5f, 0x90,
-  0x1f, 0x82, 0x70, 0x81, 0xbb, 0xb4, 0x30, 0x3f, 0x24, 0xd1, 0xf6, 0x58,
-  0x63, 0x23, 0x24, 0x91, 0x3a, 0x29, 0xc7, 0xc1, 0x52, 0x26, 0xe3, 0x9b,
-  0x4c, 0xc2, 0x69, 0x69, 0xd1, 0x82, 0xb4, 0xcb, 0x4e, 0xf4, 0x5f, 0x4a,
-  0x03, 0xdf, 0xfa, 0x6c, 0x3d, 0x26, 0x84, 0x81, 0xa0, 0x6a, 0x0d, 0x3c,
-  0x41, 0x1c, 0xff, 0x70, 0x79, 0x71, 0x10, 0x7d, 0x73, 0x7c, 0x70, 0x74,
-  0x7c, 0x31, 0xac, 0x5d, 0xfa, 0x1a, 0x05, 0x22, 0x12, 0x1a, 0xdb, 0x83,
-  0x21, 0x1a, 0x5b, 0xce, 0xbf, 0x06, 0xec, 0x1b, 0xd7, 0x8b, 0x57, 0x38,
-  0x48, 0x74, 0x3e, 0x58, 0x21, 0x12, 0xc7, 0x01, 0x47, 0xa5, 0x71, 0xe4,
-  0x73, 0x16, 0xb4, 0xa1, 0xa5, 0x7f, 0x9d, 0xf5, 0x3c, 0x4c, 0x95, 0xf1,
-  0x70, 0x4e, 0xfe, 0x32, 0x99, 0x64, 0x96, 0x05, 0x58, 0xdd, 0xb9, 0x6f,
-  0x7c, 0xc2, 0x75, 0xc0, 0xb6, 0xf4, 0x92, 0x51, 0x03, 0x62, 0xe7, 0x87,
-  0x3e, 0xf5, 0xdb, 0xa7, 0xc5, 0xef, 0x33, 0xe2, 0xd6, 0x2a, 0x29, 0x3a,
-  0x35, 0x6b, 0x60, 0xb5, 0xfb, 0x0d, 0xa9, 0x41, 0xd0, 0x38, 0x49, 0xdf,
-  0xb4, 0xb6, 0xc4, 0xa7, 0x6b, 0xca, 0x95, 0x01, 0xea, 0x1a, 0x04, 0x2e,
-  0xd5, 0x40, 0x48, 0xd6, 0x13, 0xd4, 0xc8, 0x6b, 0xd1, 0x38, 0x25, 0xaf,
-  0x66, 0x6a, 0x58, 0x18, 0x06, 0xa2, 0x53, 0x80, 0xac, 0x93, 0x96, 0x7a,
-  0xa9, 0xc3, 0x2e, 0x62, 0x70, 0x90, 0x34, 0x2c, 0x7d, 0x28, 0xbc, 0x1f,
-  0xe0, 0x0b, 0xd1, 0x00, 0xfd, 0xa2, 0xe2, 0x2a, 0x55, 0xbb, 0xa8, 0x62,
-  0x63, 0x6a, 0x73, 0x3c, 0x06, 0x47, 0xf3, 0x16, 0xd7, 0xcf, 0x5d, 0x1a,
-  0x30, 0xb6, 0xbe, 0x2b, 0xc1, 0x60, 0xac, 0xd4, 0xc3, 0xd4, 0xc9, 0xe1,
-  0x66, 0xb2, 0xf1, 0x26, 0xaf, 0x06, 0x49, 0x40, 0x21, 0x31, 0xa3, 0x88,
-  0x07, 0x02, 0xc7, 0xdd, 0x73, 0x49, 0xf4, 0x4d, 0x56, 0xe0, 0x2e, 0x68,
-  0x3e, 0xce, 0x97, 0x7c, 0xdb, 0xf2, 0xe3, 0x0d, 0x75, 0x75, 0x39, 0xc8,
-  0x3b, 0x60, 0x44, 0x82, 0x7d, 0x9d, 0x1f, 0x5c, 0x7e, 0x03, 0x47, 0x2b,
-  0x48, 0xf8, 0x08, 0x48, 0x0f, 0xe6, 0x5e, 0x6b, 0xe6, 0x62, 0x39, 0x05,
-  0x4e, 0xe4, 0x5f, 0xc3, 0xee, 0x32, 0x79, 0x12, 0x8e, 0x3c, 0x98, 0x28,
-  0x01, 0x05, 0x94, 0xaa, 0xe1, 0xb1, 0x5a, 0x58, 0x06, 0x51, 0xef, 0x2e,
-  0xd1, 0xce, 0x85, 0x5d, 0x76, 0x25, 0x13, 0xbd, 0x2b, 0x73, 0x02, 0xd1,
-  0xb3, 0x30, 0xc7, 0x1a, 0x4f, 0x88, 0xa4, 0x88, 0x2f, 0xae, 0x34, 0xc5,
-  0xb6, 0x47, 0x7b, 0xda, 0x0e, 0x8d, 0x15, 0x1c, 0xe9, 0x2f, 0x67, 0xab,
-  0x41, 0x13, 0x37, 0x24, 0xfa, 0x6a, 0x59, 0x56, 0xd9, 0x4a, 0x0d, 0xcf,
-  0xd1, 0x49, 0x96, 0x79, 0x96, 0x95, 0x55, 0x44, 0x44, 0xac, 0x8e, 0x9c,
-  0x68, 0xc1, 0x40, 0x93, 0xb1, 0x70, 0x53, 0x73, 0x95, 0xbb, 0x43, 0xc1,
-  0x30, 0x1e, 0x15, 0xd9, 0x74, 0x59, 0x06, 0x81, 0xd7, 0xbf, 0x6e, 0xcc,
-  0xc1, 0xa0, 0x37, 0x4f, 0x06, 0x89, 0x11, 0x14, 0x47, 0x0e, 0xe7, 0x31,
-  0x69, 0xfa, 0x5c, 0x05, 0x96, 0xfd, 0x8e, 0x79, 0x36, 0xaf, 0x56, 0x3f,
-  0x41, 0x8c, 0xf7, 0xd6, 0xc6, 0xc6, 0xd0, 0x36, 0x9b, 0xc1, 0xf7, 0x9a,
-  0x9b, 0x0e, 0x9c, 0x08, 0x20, 0xfc, 0x89, 0xdf, 0x60, 0x4c, 0xbf, 0x18,
-  0x1e, 0x52, 0x22, 0x7b, 0x0a, 0x16, 0x2e, 0x7b, 0x9c, 0x16, 0xd5, 0x49,
-  0xe1, 0x2b, 0xe7, 0xb9, 0xb0, 0xc4, 0xb2, 0xcb, 0xcc, 0x80, 0x72, 0xd5,
-  0x73, 0xe7, 0x09, 0xa2, 0x92, 0x9a, 0xde, 0x8a, 0x98, 0xc9, 0x97, 0x80,
-  0x82, 0x73, 0xf9, 0xa8, 0x5c, 0x1e, 0xe4, 0xf6, 0xff, 0xda, 0x8e, 0x7a,
-  0x02, 0x73, 0xd3, 0x02, 0x36, 0xb2, 0x8c, 0xfe, 0x1f, 0x84, 0x60, 0x29,
-  0x58, 0x21, 0xb7, 0x59, 0x43, 0xf8, 0x1b, 0x90, 0x0a, 0x75, 0x93, 0x8f,
-  0x3d, 0xf5, 0x93, 0x74, 0x90, 0xdc, 0xb3, 0xfe, 0x62, 0x3a, 0x02, 0x7f,
-  0x61, 0x59, 0xa6, 0x1e, 0x38, 0x06, 0x78, 0x17, 0x57, 0xce, 0xaa, 0xc7,
-  0x85, 0xa3, 0xa4, 0x8a, 0x92, 0x88, 0xf5, 0xa8, 0x22, 0x60, 0x1e, 0xd4,
-  0x8d, 0xa8, 0xa2, 0xb7, 0x17, 0x51, 0x91, 0xc9, 0x4f, 0xcb, 0x36, 0xd2,
-  0x18, 0x2f, 0x25, 0x7f, 0x55, 0xa3, 0xb4, 0x04, 0x46, 0x2e, 0xe2, 0x8f,
-  0xc5, 0x9d, 0x4a, 0x58, 0x9d, 0x39, 0x26, 0x6d, 0x8c, 0x26, 0x04, 0xb0,
-  0xdf, 0x12, 0xc0, 0x67, 0x5a, 0x0a, 0xd2, 0x55, 0x46, 0x45, 0xb2, 0x36,
-  0x57, 0x1d, 0x32, 0x45, 0xc6, 0x6e, 0x54, 0x4b, 0xe0, 0xd8, 0x08, 0x8b,
-  0xc8, 0xc9, 0xe8, 0xf5, 0xea, 0x47, 0x42, 0x3c, 0x7c, 0x74, 0xf7, 0x71,
-  0x5a, 0x86, 0x12, 0x81, 0xcd, 0x88, 0x34, 0x3c, 0x85, 0xab, 0x1f, 0xad,
-  0x2a, 0xa1, 0x29, 0x3e, 0x6e, 0xf3, 0x9a, 0xf3, 0x3b, 0xd4, 0x22, 0xa5,
-  0x58, 0x22, 0x30, 0x7f, 0xdd, 0xa4, 0x1a, 0x5d, 0x2a, 0x8b, 0x6e, 0xe6,
-  0x40, 0xb6, 0x67, 0xc0, 0xbc, 0xc7, 0xa1, 0x05, 0xde, 0xbb, 0xea, 0x02,
-  0x20, 0x06, 0xcd, 0xd3, 0x32, 0x70, 0xa8, 0x7b, 0x7a, 0x83, 0x9c, 0x84,
-  0x99, 0xe4, 0x58, 0x15, 0x17, 0xee, 0xfc, 0x51, 0x5d, 0x87, 0xfd, 0x71,
-  0x14, 0xeb, 0x3c, 0xf2, 0xeb, 0x51, 0xc8, 0x55, 0xb2, 0xb7, 0x0b, 0x95,
-  0x54, 0x02, 0x37, 0x00, 0x62, 0x67, 0x05, 0xad, 0x3c, 0x3c, 0x4b, 0x75,
-  0xdd, 0x51, 0x2e, 0x13, 0x18, 0x89, 0x96, 0x64, 0xaf, 0x7e, 0x66, 0x91,
-  0x08, 0x03, 0x8f, 0x53, 0xa5, 0xf2, 0x89, 0x24, 0x6e, 0x17, 0x65, 0xbe,
-  0x1c, 0x57, 0x00, 0xab, 0x40, 0x0c, 0x15, 0xff, 0xbc, 0x5b, 0xde, 0x2c,
-  0xd4, 0xea, 0x37, 0xe3, 0x4a, 0x1a, 0x8b, 0x3e, 0x19, 0x76, 0xb1, 0x25,
-  0x65, 0x40, 0xb5, 0x0c, 0x32, 0xb4, 0x13, 0x1a, 0xbf, 0x23, 0xb0, 0xfe,
-  0xb9, 0x4b, 0xa2, 0xaf, 0xe0, 0x7e, 0x49, 0x4a, 0x42, 0x70, 0xeb, 0xaa,
-  0x08, 0x06, 0x91, 0x23, 0x8f, 0x14, 0x81, 0x0c, 0x02, 0x0d, 0x1b, 0x2b,
-  0x37, 0x1c, 0x4a, 0x18, 0x75, 0xd7, 0xf7, 0x75, 0x3f, 0xa9, 0xbf, 0x6d,
-  0x5a, 0x48, 0x03, 0xde, 0x77, 0x35, 0x1d, 0x0a, 0x8f, 0x34, 0x56, 0x8b,
-  0x55, 0x4d, 0xa6, 0x34, 0x65, 0x27, 0x19, 0xca, 0x49, 0x9c, 0xe9, 0xfa,
-  0x0d, 0x5c, 0x25, 0x4e, 0xab, 0x78, 0x5a, 0x13, 0x24, 0x9a, 0xb7, 0xe2,
-  0xb9, 0xa0, 0x90, 0x34, 0x88, 0xe8, 0xc8, 0xac, 0xa9, 0x60, 0x36, 0x58,
-  0x30, 0xd6, 0x69, 0x6c, 0x93, 0x4e, 0xce, 0x5d, 0x17, 0x34, 0x04, 0x9e,
-  0x71, 0x77, 0x9a, 0xec, 0x74, 0x83, 0xa2, 0x14, 0x9b, 0x12, 0xf5, 0x9f,
-  0x41, 0xef, 0x61, 0xcb, 0x21, 0x26, 0x28, 0x76, 0x0b, 0x8e, 0x70, 0xdb,
-  0x6a, 0x19, 0x0a, 0x35, 0xf1, 0x6b, 0x07, 0xb3, 0xfb, 0x62, 0x6f, 0xb0,
-  0xfb, 0xfc, 0xf3, 0xc1, 0xce, 0x60, 0x77, 0x87, 0x39, 0x0b, 0x0f, 0x25,
-  0x18, 0x9c, 0xac, 0x4b, 0x4b, 0x57, 0x95, 0xf7, 0x9a, 0x7d, 0xbe, 0x3d,
-  0xbe, 0xfc, 0xfe, 0xec, 0xe2, 0xdb, 0xe8, 0xe4, 0xed, 0xe5, 0xf1, 0xc5,
-  0xeb, 0x83, 0xc3, 0x8f, 0x85, 0x1e, 0x0e, 0x0d, 0xd6, 0x41, 0x21, 0xc2,
-  0xc4, 0x2f, 0x4c, 0xd3, 0x2a, 0xe8, 0xd7, 0x2c, 0x29, 0x6f, 0x76, 0xf6,
-  0x77, 0x1f, 0xc5, 0x2b, 0x6d, 0x31, 0x0c, 0xfa, 0xf7, 0x6d, 0x52, 0xbb,
-  0x3c, 0xa9, 0xf5, 0xad, 0x38, 0x14, 0xb4, 0xa1, 0x04, 0x58, 0xb9, 0xe0,
-  0x5c, 0x30, 0x78, 0x14, 0x25, 0x48, 0x47, 0x79, 0x6c, 0x26, 0xa9, 0x91,
-  0x80, 0x26, 0x4a, 0x46, 0xad, 0xe2, 0xbb, 0x68, 0x10, 0xba, 0xb2, 0x5b,
-  0x8e, 0x51, 0x5e, 0xa6, 0xd3, 0x52, 0x0d, 0x29, 0x82, 0x81, 0x38, 0x81,
-  0x70, 0xd7, 0x5a, 0x9b, 0x17, 0x55, 0xb9, 0xa4, 0x38, 0xef, 0xc4, 0x25,
-  0x8a, 0x38, 0xe0, 0x81, 0x4a, 0xba, 0x0d, 0xc6, 0x5a, 0xad, 0xdb, 0x18,
-  0xc6, 0xd0, 0xd6, 0x00, 0x08, 0x0b, 0x8b, 0x6d, 0xc6, 0xc4, 0x2a, 0x46,
-  0xd1, 0x43, 0x1d, 0x08, 0x4e, 0x43, 0x30, 0x1a, 0xe9, 0x0a, 0xa2, 0x94,
-  0x81, 0xde, 0x56, 0xe1, 0x33, 0xe5, 0x76, 0x42, 0xf2, 0x84, 0x48, 0x7e,
-  0x86, 0xcf, 0xcd, 0xad, 0x17, 0x15, 0x58, 0xb5, 0x48, 0x0a, 0x45, 0x84,
-  0xaf, 0x8b, 0x90, 0x8d, 0x10, 0xcd, 0x49, 0x1e, 0xdf, 0x73, 0xfd, 0x19,
-  0x11, 0x1b, 0x7c, 0x30, 0x63, 0x50, 0xed, 0x82, 0x45, 0x26, 0xbf, 0xe6,
-  0xd1, 0xf9, 0xf1, 0x9b, 0xbe, 0x15, 0xc1, 0xa3, 0xdf, 0xc5, 0x0c, 0x65,
-  0xb0, 0x9b, 0x92, 0xdc, 0xb3, 0x48, 0xe6, 0x16, 0x50, 0x03, 0x9e, 0xa8,
-  0x11, 0x40, 0xe1, 0x04, 0xf8, 0xd0, 0x88, 0x45, 0x42, 0x78, 0xad, 0xe2,
-  0x97, 0xd9, 0xa5, 0xd5, 0x82, 0x80, 0xc7, 0xfb, 0xa9, 0x51, 0xcb, 0xd1,
-  0xa6, 0x8b, 0xd4, 0xe5, 0xfe, 0x10, 0x8e, 0x8a, 0x68, 0x01, 0x17, 0x20,
-  0x90, 0x59, 0xb2, 0xf5, 0xf9, 0xb7, 0x87, 0xc3, 0x4f, 0x76, 0xf7, 0x74,
-  0x38, 0x5b, 0x03, 0x0f, 0x67, 0xd9, 0xc8, 0xc3, 0x07, 0xbb, 0x0e, 0xc7,
-  0x68, 0x59, 0xd5, 0x38, 0xe0, 0xd8, 0x8c, 0x4d, 0x97, 0x19, 0xb4, 0x55,
-  0x49, 0x0d, 0x42, 0xf8, 0xd7, 0xca, 0x09, 0x97, 0xae, 0x50, 0x1d, 0x3b,
-  0x43, 0x50, 0x6d, 0x41, 0xeb, 0x1d, 0x94, 0x2e, 0xde, 0x2f, 0x9e, 0xdb,
-  0x47, 0xd2, 0xb2, 0xb6, 0x86, 0xb4, 0x71, 0x1f, 0xd3, 0x52, 0xdf, 0x73,
-  0x5e, 0x6f, 0xff, 0x2d, 0xa3, 0x26, 0xea, 0xa5, 0x6e, 0xb8, 0x3c, 0xbe,
-  0x1b, 0x1c, 0x00, 0x0d, 0x61, 0x9f, 0x58, 0x45, 0x95, 0xb9, 0x07, 0x74,
-  0xe7, 0xa7, 0xcf, 0x68, 0xa3, 0xe8, 0x64, 0x09, 0x54, 0x03, 0x33, 0x85,
-  0x6c, 0xca, 0x4a, 0x8b, 0x7b, 0xe4, 0x28, 0x67, 0xe4, 0xfc, 0x85, 0x04,
-  0x93, 0xbe, 0x1d, 0x44, 0xdf, 0x24, 0xf3, 0x42, 0xab, 0x15, 0x5b, 0xf2,
-  0x15, 0x82, 0x03, 0xb9, 0x68, 0x12, 0x4a, 0xdc, 0x9c, 0x26, 0xb1, 0x82,
-  0x08, 0x12, 0xaf, 0x2b, 0x44, 0xb7, 0xb5, 0xf2, 0x0e, 0x31, 0x87, 0xe8,
-  0xe1, 0x26, 0x52, 0x03, 0x2d, 0xaa, 0x1c, 0xa6, 0x85, 0x36, 0xb0, 0x59,
-  0x85, 0x02, 0x04, 0x34, 0x35, 0x9a, 0xd3, 0x63, 0x0e, 0x2f, 0x93, 0xda,
-  0x93, 0x6f, 0x80, 0xb5, 0xca, 0x76, 0x42, 0xd1, 0xb5, 0x3c, 0x53, 0x99,
-  0xe4, 0x37, 0x6c, 0xf4, 0x28, 0xe8, 0xba, 0x89, 0xe7, 0xe3, 0xd5, 0x60,
-  0x42, 0x52, 0x2c, 0x9b, 0xcd, 0x06, 0xcb, 0xdb, 0xed, 0xe0, 0x98, 0x32,
-  0xcb, 0xbf, 0x11, 0x58, 0x80, 0xaa, 0xc9, 0xdb, 0x8a, 0xf3, 0x35, 0x51,
-  0xbb, 0xe2, 0xca, 0x99, 0x60, 0x92, 0xb0, 0x04, 0x7f, 0x39, 0x9e, 0x6b,
-  0xf1, 0xad, 0x8e, 0x23, 0x07, 0xf3, 0xc9, 0x2d, 0x0c, 0x16, 0xc9, 0x6c,
-  0xdf, 0xa5, 0x20, 0x1b, 0x7f, 0x50, 0x74, 0x70, 0xa7, 0x52, 0x04, 0xe6,
-  0xd9, 0x79, 0x72, 0x3d, 0x55, 0x81, 0x22, 0x54, 0x5a, 0x3c, 0x6c, 0x6b,
-  0x33, 0x0d, 0x44, 0x54, 0x1d, 0x78, 0x20, 0x50, 0x7c, 0x89, 0x38, 0xd5,
-  0x0c, 0x35, 0x51, 0x8c, 0xf1, 0x6b, 0x49, 0x58, 0xdf, 0x88, 0x82, 0x85,
-  0x00, 0x71, 0x14, 0x85, 0x50, 0xc5, 0xb8, 0x63, 0xe1, 0x48, 0xea, 0x78,
-  0xa2, 0x6f, 0x85, 0x42, 0x80, 0xf1, 0xab, 0xa1, 0xd1, 0x70, 0x7b, 0x5a,
-  0x11, 0x3c, 0x39, 0x2b, 0xf4, 0xf5, 0xdd, 0x13, 0xb6, 0x75, 0x5f, 0x9e,
-  0x0e, 0x7b, 0x42, 0x0f, 0xf3, 0xe4, 0x3e, 0xa0, 0x2c, 0x81, 0xa5, 0x56,
-  0xf2, 0x63, 0xcb, 0x8f, 0x84, 0xaf, 0x59, 0x01, 0xde, 0x5c, 0x46, 0x23,
-  0x9c, 0xc1, 0x3b, 0xc9, 0x7c, 0x16, 0x84, 0x2d, 0x84, 0xc6, 0x13, 0xf3,
-  0x70, 0xac, 0x9a, 0x88, 0x08, 0x44, 0x0e, 0xe0, 0x85, 0xa1, 0xf3, 0x48,
-  0x60, 0x7a, 0xd2, 0x8b, 0xfa, 0x7b, 0x80, 0xcd, 0xd9, 0xad, 0x2e, 0x64,
-  0xcc, 0x45, 0x3e, 0xe2, 0x31, 0x8a, 0x1a, 0x6d, 0xb8, 0x62, 0xeb, 0xc6,
-  0x12, 0x36, 0x95, 0xac, 0xef, 0xe8, 0x7d, 0xfe, 0xb1, 0xa7, 0x93, 0xba,
-  0xdb, 0x45, 0xe8, 0x36, 0xcb, 0xa3, 0x77, 0xc9, 0x74, 0xd5, 0x14, 0x1b,
-  0xf6, 0x1e, 0xdd, 0x59, 0x24, 0x49, 0xdc, 0xa7, 0x0e, 0x52, 0x55, 0x50,
-  0xb5, 0x61, 0x08, 0x55, 0x20, 0x43, 0x1b, 0x00, 0x2d, 0xa3, 0x9a, 0xb8,
-  0xe7, 0xd1, 0xdd, 0x9e, 0x79, 0x9a, 0xf9, 0x1b, 0x5b, 0x3c, 0x31, 0xd5,
-  0x7b, 0x46, 0xd2, 0xc8, 0x5d, 0xe4, 0x70, 0xb7, 0x80, 0x72, 0x39, 0xf5,
-  0x89, 0xe8, 0x96, 0x38, 0x49, 0x85, 0xd3, 0x64, 0x73, 0x35, 0x2a, 0x48,
-  0xae, 0x7b, 0x3c, 0x17, 0xc4, 0x57, 0x92, 0x85, 0x7d, 0x90, 0x13, 0x42,
-  0xc0, 0x71, 0xa6, 0x49, 0x82, 0x2d, 0x96, 0x33, 0xad, 0xce, 0x04, 0x46,
-  0xdc, 0xc3, 0x75, 0x5b, 0x46, 0xc4, 0x89, 0x53, 0x09, 0xf9, 0x9b, 0x42,
-  0x98, 0x86, 0x80, 0xa5, 0xc6, 0x52, 0xbf, 0x50, 0x6c, 0x01, 0x13, 0x38,
-  0x3d, 0xd0, 0xcb, 0x4d, 0x2a, 0x36, 0x0c, 0x44, 0xa8, 0x62, 0xc1, 0x88,
-  0x55, 0x74, 0x23, 0x3a, 0x7d, 0x4b, 0x6e, 0xb4, 0xcc, 0x10, 0x02, 0xeb,
-  0x04, 0x06, 0x69, 0x63, 0x08, 0xa1, 0x33, 0xea, 0x86, 0x3c, 0xb2, 0xff,
-  0x05, 0xaf, 0x41, 0xd1, 0xf5, 0x8b, 0xa6, 0x20, 0xc1, 0xd5, 0x15, 0x50,
-  0xf7, 0x48, 0xa1, 0x60, 0x17, 0xe7, 0xb9, 0x55, 0x13, 0xed, 0x26, 0x0f,
-  0x2c, 0x20, 0x75, 0xb5, 0x57, 0xf9, 0x5a, 0x50, 0x00, 0xb0, 0xb8, 0xe7,
-  0x27, 0x6f, 0xa5, 0x3e, 0xa6, 0x3b, 0x48, 0x09, 0x43, 0x26, 0x6e, 0x48,
-  0x69, 0x57, 0x8c, 0x27, 0x56, 0x9c, 0x89, 0x48, 0xec, 0x4d, 0x4c, 0x6c,
-  0x7c, 0x40, 0x52, 0xed, 0xeb, 0x62, 0x29, 0xbd, 0x77, 0xf9, 0x92, 0x2c,
-  0x8a, 0x69, 0xb7, 0x56, 0xf4, 0xcd, 0x6d, 0x66, 0xed, 0x36, 0x72, 0x86,
-  0xac, 0xf1, 0x24, 0xac, 0x98, 0xab, 0xad, 0x54, 0x98, 0x64, 0xaf, 0x96,
-  0x27, 0x19, 0x5a, 0xd0, 0x3f, 0x89, 0x06, 0xdb, 0xd4, 0x61, 0xb1, 0x6d,
-  0x2f, 0x2e, 0x6e, 0xc7, 0x05, 0x5d, 0x8f, 0x9c, 0x14, 0xfc, 0x93, 0x43,
-  0x72, 0xe6, 0x11, 0x4f, 0x7e, 0x8e, 0xfa, 0xe3, 0x29, 0xe6, 0x17, 0xa1,
-  0xbc, 0xe4, 0x4f, 0x44, 0x32, 0xfc, 0xc4, 0xcf, 0x1b, 0x9c, 0x25, 0x37,
-  0x7c, 0xf7, 0x86, 0x71, 0xd4, 0x51, 0xc2, 0xef, 0xf2, 0xe2, 0xe0, 0xed,
-  0xf0, 0xb5, 0x18, 0x59, 0x2f, 0xb3, 0xa0, 0x32, 0xa0, 0x5a, 0xa8, 0xcd,
-  0x13, 0xe9, 0x90, 0xc6, 0xee, 0x05, 0xdc, 0xdb, 0x82, 0xb4, 0xb5, 0x6c,
-  0x60, 0xaf, 0x0e, 0x62, 0x2c, 0x35, 0x07, 0xc1, 0xab, 0xe9, 0x30, 0x6d,
-  0x16, 0x5b, 0xee, 0x62, 0x2d, 0xc2, 0x6a, 0x25, 0x1e, 0xe3, 0xce, 0xb0,
-  0x51, 0xf5, 0x21, 0x26, 0x94, 0x43, 0x1b, 0x8c, 0x7d, 0x2a, 0xbc, 0x7c,
-  0x2d, 0xae, 0xe4, 0x21, 0xa9, 0x1e, 0x7d, 0x85, 0xc5, 0x0f, 0x6a, 0xb3,
-  0x38, 0xc3, 0x9c, 0xf0, 0x72, 0x45, 0x83, 0x73, 0x8d, 0x87, 0x89, 0x84,
-  0xd6, 0xf4, 0xe6, 0x9f, 0x76, 0xb7, 0xda, 0x9b, 0xbf, 0xfc, 0xb5, 0xcd,
-  0xb7, 0x8f, 0xdd, 0x64, 0x7d, 0x9f, 0xa7, 0xb2, 0xf9, 0xa7, 0xbd, 0xad,
-  0x47, 0x67, 0x14, 0x66, 0xda, 0xf9, 0x3e, 0xe9, 0x0d, 0x1e, 0x6c, 0xf4,
-  0xca, 0xea, 0xc0, 0xea, 0x1d, 0xec, 0x62, 0x3d, 0xae, 0x3c, 0xca, 0x5d,
-  0x05, 0xf5, 0x81, 0x63, 0x81, 0x9d, 0xe4, 0xe7, 0x5d, 0x38, 0x9a, 0xb2,
-  0x70, 0xf2, 0x3f, 0x8f, 0x43, 0x74, 0x40, 0x52, 0xc4, 0x43, 0x76, 0xc7,
-  0xe9, 0xe6, 0x45, 0x36, 0x40, 0xdf, 0x7b, 0x8f, 0xf4, 0xed, 0x67, 0x17,
-  0xa8, 0xb9, 0xec, 0x0f, 0xe5, 0x80, 0x2a, 0xc3, 0x83, 0xd5, 0x7e, 0x36,
-  0x7c, 0xc9, 0xc9, 0xf5, 0xfd, 0x5d, 0x9e, 0xbc, 0x39, 0x66, 0xdc, 0xd8,
-  0xa3, 0x13, 0xc6, 0x2f, 0x1b, 0x2a, 0x82, 0xa0, 0x69, 0xb4, 0x0e, 0x5c,
-  0x35, 0x04, 0xb7, 0x17, 0x47, 0xa1, 0x8b, 0x5b, 0x72, 0xa7, 0xdf, 0xed,
-  0x04, 0x77, 0xad, 0x81, 0xb5, 0x85, 0xa5, 0xef, 0x9d, 0x5c, 0xf5, 0xdf,
-  0x64, 0x13, 0x68, 0x5d, 0x7d, 0x81, 0xa3, 0xa6, 0xb7, 0xe8, 0xc3, 0x77,
-  0xf3, 0x59, 0xe5, 0xe3, 0x30, 0x49, 0x50, 0x15, 0xea, 0x8d, 0x75, 0x05,
-  0x00, 0x7e, 0xd9, 0xee, 0xf7, 0x51, 0xef, 0x55, 0xe2, 0x83, 0xd4, 0x4b,
-  0x50, 0xc1, 0x78, 0xb0, 0xb3, 0x4f, 0xeb, 0x93, 0x4e, 0x57, 0xe2, 0xd1,
-  0x8e, 0x7d, 0x1c, 0x92, 0xcf, 0x08, 0xbc, 0xe6, 0xac, 0x24, 0x6f, 0x2c,
-  0x12, 0x73, 0xd0, 0x46, 0x08, 0x49, 0x09, 0xb9, 0x3c, 0xb9, 0xf7, 0x81,
-  0x34, 0x5a, 0x5c, 0x2f, 0x5b, 0xac, 0x30, 0xc9, 0xfb, 0x8a, 0x8f, 0xbe,
-  0xd5, 0x51, 0xf7, 0x8b, 0xbc, 0x53, 0x29, 0x79, 0x21, 0x3d, 0x84, 0x04,
-  0xa8, 0x9f, 0x68, 0x85, 0x88, 0xb3, 0x3c, 0x60, 0x60, 0x3a, 0x6c, 0x2b,
-  0xfa, 0x12, 0xc0, 0x55, 0x06, 0xe8, 0x9a, 0xd5, 0x71, 0x7a, 0xeb, 0xe5,
-  0x06, 0x5f, 0x6b, 0x03, 0x36, 0x9a, 0x9b, 0x97, 0x85, 0xb8, 0xce, 0xa2,
-  0x5a, 0xbe, 0x2e, 0x89, 0x2c, 0x69, 0x58, 0x72, 0xc2, 0xbb, 0xfd, 0x2e,
-  0x10, 0xb5, 0xd3, 0x79, 0xcb, 0x64, 0xfa, 0xbf, 0x7e, 0x36, 0x0d, 0x1f,
-  0x5e, 0xd4, 0xb9, 0x62, 0x60, 0x05, 0x76, 0x88, 0x74, 0x64, 0x00, 0x82,
-  0x35, 0x22, 0xb4, 0x45, 0xf2, 0x3c, 0xb3, 0x35, 0xd3, 0x4b, 0x44, 0x47,
-  0x73, 0x21, 0x96, 0xce, 0xda, 0x2a, 0x46, 0x2e, 0xe6, 0xa3, 0xcb, 0xc5,
-  0x04, 0xde, 0x7d, 0x89, 0x6b, 0xfc, 0xcf, 0x78, 0xbe, 0x8c, 0xf3, 0x55,
-  0xb4, 0xbb, 0xd7, 0x8b, 0xf6, 0x76, 0x76, 0xf7, 0x5a, 0xe6, 0xd0, 0xf9,
-  0x4f, 0x8e, 0xae, 0xd9, 0xc3, 0xd7, 0x9d, 0x8f, 0x9d, 0x85, 0x8f, 0x91,
-  0xc7, 0xad, 0xaa, 0xd9, 0xa4, 0xc4, 0x7b, 0xd8, 0xd1, 0x27, 0x15, 0x6e,
-  0xb9, 0xa6, 0x1d, 0x00, 0xd1, 0x20, 0x53, 0x88, 0xcd, 0xc9, 0x6a, 0x4f,
-  0xb9, 0x32, 0x25, 0xfc, 0xc4, 0x86, 0x96, 0x15, 0x43, 0x08, 0x85, 0x33,
-  0xbc, 0xc5, 0x39, 0x0a, 0x6b, 0x55, 0xf7, 0x28, 0x2d, 0x6d, 0x5b, 0x38,
-  0x46, 0x83, 0xf7, 0x86, 0xe8, 0xfd, 0xe8, 0xe4, 0xf0, 0xd2, 0x10, 0xf3,
-  0xae, 0xf8, 0x3a, 0xcd, 0x57, 0x1f, 0x57, 0xa3, 0xe8, 0xd1, 0x67, 0x26,
-  0xfb, 0x37, 0x09, 0x49, 0x64, 0xf3, 0xd1, 0xf2, 0x7a, 0xff, 0x6f, 0x71,
-  0x7e, 0x9d, 0xcd, 0x3f, 0xf4, 0xfc, 0x04, 0x49, 0x4a, 0xfb, 0xc4, 0xa0,
-  0x76, 0x5f, 0xec, 0x3e, 0x91, 0x08, 0xf8, 0x94, 0x4b, 0x9a, 0x81, 0x3f,
-  0x74, 0x67, 0x5d, 0x01, 0x6c, 0x40, 0xe8, 0xbd, 0x43, 0x69, 0x98, 0x4f,
-  0xba, 0xa2, 0x6e, 0xc5, 0xe1, 0xb3, 0x13, 0x7d, 0x56, 0xb2, 0x99, 0xbb,
-  0xc0, 0x09, 0xa1, 0xc7, 0x39, 0xf5, 0x6f, 0xb9, 0xe8, 0x0e, 0x2a, 0x27,
-  0xfc, 0x03, 0x73, 0xe5, 0x2e, 0x5c, 0x49, 0xa6, 0x43, 0xe1, 0xc9, 0xca,
-  0x4e, 0x47, 0x79, 0x12, 0xdf, 0xfa, 0x22, 0x77, 0x1e, 0xcd, 0xc1, 0x6c,
-  0xe7, 0x17, 0xaf, 0x0f, 0x05, 0x03, 0xd3, 0x72, 0x70, 0xb0, 0xd4, 0x91,
-  0xb3, 0x74, 0x6c, 0xf1, 0x28, 0x3f, 0xd0, 0x3f, 0x07, 0xc9, 0xef, 0x4f,
-  0x46, 0x1f, 0xf1, 0x10, 0x9d, 0x3b, 0x81, 0x1b, 0x3b, 0xa8, 0x96, 0x33,
-  0x60, 0x99, 0xbf, 0x64, 0x52, 0xb3, 0x8a, 0x76, 0x9b, 0x52, 0xa1, 0x4d,
-  0x6c, 0xd7, 0x3c, 0x34, 0x57, 0x74, 0x57, 0x8d, 0x05, 0x34, 0x6e, 0xae,
-  0x7e, 0x76, 0x74, 0x70, 0x1e, 0xe8, 0x4d, 0xd0, 0x4b, 0xbc, 0x8d, 0x88,
-  0x9f, 0x63, 0x99, 0x19, 0x05, 0x33, 0xc5, 0x94, 0xb4, 0xea, 0x79, 0x69,
-  0xb7, 0x04, 0x9f, 0x9c, 0xdc, 0xc5, 0x12, 0x69, 0x9d, 0xe9, 0x75, 0x02,
-  0x73, 0x06, 0xf0, 0xbc, 0xa7, 0x93, 0x18, 0x1e, 0x35, 0xbd, 0x84, 0x20,
-  0x84, 0xa2, 0xad, 0x54, 0xc3, 0x6a, 0x68, 0x6f, 0x1e, 0x22, 0xcd, 0x06,
-  0xd0, 0xb4, 0x07, 0xf9, 0x5d, 0x1e, 0xe3, 0x4c, 0xd7, 0x95, 0x4d, 0x40,
-  0xf8, 0x33, 0x0d, 0x3e, 0x2e, 0x6e, 0x89, 0x95, 0x8a, 0x27, 0x98, 0x7a,
-  0x4f, 0xc7, 0x89, 0xd9, 0x54, 0x27, 0xa9, 0x44, 0x64, 0xb0, 0x35, 0x03,
-  0x58, 0x3a, 0x95, 0x0d, 0x93, 0x1b, 0x88, 0x95, 0x97, 0x69, 0x91, 0x08,
-  0xee, 0x5d, 0x74, 0x79, 0x9f, 0x89, 0xd0, 0xe9, 0x00, 0x07, 0x24, 0xa6,
-  0xb1, 0x58, 0xa6, 0x02, 0x9d, 0x41, 0x9b, 0x07, 0x7e, 0x10, 0x94, 0x57,
-  0xeb, 0x38, 0x43, 0xca, 0x91, 0x73, 0xa0, 0x0d, 0x8f, 0xbe, 0x8d, 0x38,
-  0x47, 0x9b, 0xfb, 0x38, 0xe4, 0x9a, 0x04, 0xec, 0x0b, 0x9f, 0x41, 0x91,
-  0xf8, 0x7a, 0xc9, 0xe7, 0xfd, 0xf0, 0x26, 0x5e, 0xb0, 0x48, 0xbc, 0xbb,
-  0xc3, 0xda, 0xf7, 0xf7, 0x96, 0xed, 0xc5, 0x07, 0xd5, 0xca, 0x91, 0x16,
-  0x9d, 0x40, 0x31, 0x9f, 0x70, 0x35, 0x51, 0x96, 0x89, 0xab, 0x36, 0x3f,
-  0xba, 0x3d, 0x8b, 0xed, 0x19, 0x33, 0xac, 0x69, 0x41, 0xa4, 0x91, 0x17,
-  0x93, 0xdb, 0xed, 0x31, 0xfd, 0xf3, 0x64, 0x67, 0x1b, 0x50, 0x8c, 0x25,
-  0x4c, 0x64, 0x4c, 0x93, 0x7b, 0x7b, 0xcf, 0x9e, 0xf5, 0xa2, 0x0e, 0x1b,
-  0xad, 0xac, 0x03, 0x3e, 0x12, 0x74, 0xb2, 0x3a, 0x6d, 0x75, 0xe6, 0xb6,
-  0xf3, 0xab, 0x31, 0xff, 0xc7, 0xaf, 0x59, 0xad, 0xa8, 0x4b, 0x4d, 0xdf,
-  0xc0, 0x3a, 0xcc, 0x43, 0xac, 0x15, 0x23, 0xab, 0x7b, 0xda, 0x07, 0x33,
-  0x4b, 0xb0, 0x07, 0x62, 0x91, 0x64, 0x0b, 0x73, 0x33, 0xce, 0x14, 0x20,
-  0x1f, 0xdd, 0x07, 0xce, 0x19, 0x38, 0x86, 0x25, 0xae, 0x4a, 0x13, 0xeb,
-  0x8b, 0xe5, 0xa8, 0xaf, 0x19, 0xa6, 0xa2, 0x67, 0xa4, 0x74, 0x72, 0xe9,
-  0xcf, 0xa9, 0x59, 0x7f, 0x1b, 0x1c, 0xf9, 0xab, 0xa8, 0xa3, 0xb4, 0xc5,
-  0x3f, 0x06, 0xf0, 0x12, 0x26, 0x63, 0x9e, 0x46, 0xf6, 0x4a, 0xff, 0xf8,
-  0x8f, 0xff, 0xa0, 0x66, 0xff, 0x83, 0x5b, 0x79, 0xf5, 0xa7, 0xa2, 0xbc,
-  0x09, 0x9e, 0xe9, 0x28, 0xc1, 0x9f, 0x78, 0x1f, 0x29, 0xe2, 0x9e, 0x00,
-  0x54, 0x8a, 0x44, 0xa8, 0x37, 0xa7, 0xca, 0x91, 0x7b, 0xc1, 0xfc, 0x52,
-  0xa4, 0xa8, 0x89, 0xcd, 0xcd, 0x85, 0x1d, 0x7c, 0xc5, 0xfe, 0xcb, 0x84,
-  0x53, 0x9b, 0x89, 0x0a, 0x81, 0x44, 0xb7, 0x65, 0x22, 0xc6, 0xf1, 0xdb,
-  0xef, 0x4e, 0x2e, 0xce, 0xde, 0xbe, 0x39, 0x7e, 0x7b, 0x19, 0x7d, 0x77,
-  0x70, 0x71, 0x72, 0xf0, 0xd5, 0xa9, 0x66, 0x50, 0xf3, 0x14, 0x38, 0x5a,
-  0x44, 0x44, 0xef, 0x1a, 0x8e, 0x68, 0x90, 0xd1, 0xd2, 0x0a, 0x9e, 0x5f,
-  0x2b, 0x17, 0xf8, 0x5e, 0x81, 0xa9, 0x61, 0x5e, 0x7d, 0x8f, 0x02, 0x16,
-  0x3d, 0x76, 0xf8, 0xbd, 0xb7, 0x5a, 0x16, 0x6c, 0xb6, 0x5c, 0x05, 0x39,
-  0xb9, 0x1c, 0xc8, 0xc2, 0x54, 0x6a, 0xfc, 0xc9, 0xd7, 0x1d, 0x52, 0x78,
-  0xff, 0x41, 0xf4, 0xb5, 0xa4, 0x75, 0x6b, 0x48, 0x95, 0x7b, 0x55, 0x53,
-  0x8c, 0x60, 0xc6, 0x71, 0x63, 0x38, 0x38, 0x3d, 0xf5, 0x5d, 0x3d, 0x5e,
-  0x85, 0x41, 0xe1, 0x7c, 0x24, 0x0b, 0xe8, 0xc6, 0x2a, 0x0a, 0x5f, 0x67,
-  0x1e, 0x65, 0x7b, 0xbe, 0x0a, 0x01, 0xb5, 0xb9, 0x33, 0xda, 0x8e, 0x4d,
-  0xc1, 0x62, 0x60, 0x77, 0x23, 0x1d, 0xa0, 0xb4, 0xb8, 0xed, 0x45, 0xdd,
-  0x3f, 0x75, 0x25, 0x3b, 0x2b, 0x01, 0xdc, 0xac, 0xd4, 0x78, 0xd8, 0xf2,
-  0x83, 0x7a, 0x7b, 0xe6, 0xc7, 0xa4, 0x4e, 0x34, 0x37, 0x00, 0xf7, 0xa2,
-  0xf7, 0x7f, 0x16, 0x26, 0xcf, 0x20, 0xf0, 0xd0, 0x3f, 0xae, 0x88, 0xfe,
-  0x2e, 0xc5, 0x5c, 0x69, 0x94, 0xfd, 0x24, 0xad, 0xef, 0x42, 0x69, 0x8b,
-  0xc7, 0x01, 0xaa, 0xb0, 0x98, 0x71, 0x58, 0xf9, 0x85, 0x1c, 0xe0, 0x2a,
-  0x7b, 0xcb, 0x52, 0xb3, 0x89, 0x48, 0xbd, 0x53, 0xcb, 0x42, 0x39, 0x28,
-  0xa8, 0xea, 0x61, 0xdb, 0x6a, 0x3d, 0xc0, 0x65, 0xc5, 0x81, 0xe5, 0x79,
-  0x3a, 0x51, 0x9c, 0xba, 0x56, 0xaa, 0x18, 0xc0, 0xd3, 0x71, 0x71, 0x08,
-  0x50, 0xef, 0x39, 0x17, 0x80, 0x72, 0x85, 0x10, 0x24, 0x08, 0x95, 0xb8,
-  0x48, 0xce, 0x99, 0x5d, 0x73, 0x15, 0x42, 0x10, 0xd8, 0x09, 0x11, 0x3d,
-  0xbe, 0xce, 0x4c, 0xfc, 0x8e, 0x9d, 0xfb, 0x55, 0x32, 0xb6, 0x24, 0x66,
-  0xc7, 0xa4, 0x30, 0x07, 0x44, 0xe5, 0x2c, 0x60, 0x70, 0xd4, 0x9a, 0xbd,
-  0x99, 0xe3, 0x94, 0x60, 0x2f, 0xd3, 0x38, 0x86, 0x22, 0x48, 0xf7, 0xf5,
-  0x61, 0xf0, 0xcc, 0x4b, 0xc4, 0x45, 0x69, 0xc8, 0x50, 0xc0, 0xdf, 0xb2,
-  0xf4, 0x60, 0x44, 0xcc, 0x61, 0x58, 0xfc, 0x20, 0x9a, 0xd4, 0xe0, 0x47,
-  0x34, 0x69, 0xa6, 0x50, 0x3a, 0x3d, 0x53, 0xce, 0x44, 0x32, 0x4e, 0x14,
-  0x47, 0xa3, 0xf4, 0x3a, 0x32, 0x2b, 0x48, 0xc4, 0x54, 0x02, 0x94, 0xb0,
-  0x6c, 0x96, 0xf0, 0x56, 0x01, 0x03, 0x0c, 0xb2, 0xfb, 0x0d, 0x57, 0x88,
-  0xf7, 0xa0, 0x55, 0x36, 0x93, 0x82, 0x23, 0xf5, 0x03, 0x2b, 0x1a, 0x2c,
-  0xe9, 0x4b, 0x5e, 0x47, 0x0b, 0x6b, 0x52, 0x7c, 0x6b, 0x0d, 0xf2, 0x62,
-  0x13, 0x2d, 0xe0, 0xf6, 0xe6, 0x48, 0x29, 0xb1, 0xf4, 0x5c, 0xac, 0x83,
-  0x05, 0xc0, 0x32, 0xb7, 0x80, 0x65, 0x85, 0xab, 0x4d, 0x6d, 0x3a, 0x80,
-  0x6a, 0x6e, 0x65, 0x2c, 0x10, 0x9f, 0x4c, 0xf4, 0x12, 0x9f, 0x5e, 0xa9,
-  0x26, 0x61, 0x9b, 0xa5, 0x50, 0x4c, 0x57, 0x52, 0xd6, 0x9e, 0xc6, 0xb7,
-  0x19, 0x30, 0x9e, 0x39, 0x91, 0x88, 0x3c, 0x26, 0xfa, 0xa3, 0xfe, 0xd5,
-  0x17, 0xef, 0x65, 0x6c, 0x85, 0xb7, 0x8a, 0x2d, 0xef, 0xc1, 0x16, 0x29,
-  0x80, 0xa9, 0x75, 0xac, 0x05, 0xad, 0x30, 0x5e, 0xda, 0x2f, 0x33, 0x44,
-  0x85, 0x76, 0xac, 0xc8, 0x32, 0x37, 0xa6, 0xd3, 0x00, 0xa2, 0x5a, 0xcc,
-  0x11, 0x71, 0x43, 0xf8, 0x70, 0xe5, 0xe9, 0x0f, 0x34, 0x86, 0x44, 0xe0,
-  0x6c, 0x83, 0x99, 0x68, 0x74, 0x32, 0x8b, 0x67, 0x35, 0xf3, 0x58, 0xc0,
-  0xd1, 0xcc, 0xdb, 0x1a, 0xde, 0x4c, 0x5a, 0x19, 0x21, 0x8d, 0x67, 0x22,
-  0x3c, 0x7a, 0xf2, 0x9b, 0xad, 0x24, 0x7e, 0x6d, 0x63, 0xe3, 0xf0, 0xdd,
-  0xf0, 0xf2, 0xec, 0x4d, 0x74, 0xf6, 0xee, 0xf2, 0xfc, 0xdd, 0xa5, 0x5e,
-  0x5d, 0x23, 0x89, 0xfe, 0x15, 0x1d, 0x51, 0xa4, 0x00, 0xdb, 0xcd, 0x99,
-  0xba, 0x90, 0x11, 0xac, 0x90, 0x01, 0x9a, 0x2e, 0x40, 0xa9, 0x71, 0xd9,
-  0x3d, 0xc0, 0x6e, 0x12, 0xc4, 0x5b, 0xac, 0xf9, 0x3d, 0xad, 0x39, 0x32,
-  0x33, 0x61, 0xdb, 0xb1, 0x64, 0x21, 0xe8, 0x3d, 0xed, 0x55, 0x47, 0x6a,
-  0x75, 0xcc, 0xe0, 0xec, 0xad, 0x82, 0x02, 0xf9, 0x88, 0x1c, 0xb3, 0xed,
-  0x78, 0xd3, 0x4f, 0x18, 0x1c, 0x88, 0xb0, 0x98, 0x71, 0x69, 0xc6, 0x4c,
-  0x8b, 0xcf, 0x44, 0xd0, 0x4a, 0x35, 0x45, 0x2d, 0xcc, 0x94, 0x2b, 0x33,
-  0x9a, 0xe1, 0x8d, 0x8b, 0xad, 0xe6, 0x78, 0x14, 0xc4, 0x94, 0x89, 0x43,
-  0x9e, 0x83, 0xb7, 0xac, 0xc0, 0xfc, 0x3d, 0x9b, 0xc0, 0x1b, 0xd7, 0xec,
-  0x7d, 0xd4, 0xfd, 0x3e, 0x09, 0x1b, 0xfc, 0xf4, 0x1f, 0x9c, 0x00, 0xf8,
-  0xde, 0x3e, 0xf9, 0xa7, 0x74, 0xf9, 0xd7, 0x79, 0x17, 0xa1, 0x58, 0x55,
-  0xcf, 0xeb, 0xb7, 0xc7, 0x17, 0x5f, 0x1d, 0x5f, 0x9c, 0x0d, 0x11, 0x7e,
-  0x62, 0xe6, 0xae, 0x26, 0xb1, 0xdf, 0x26, 0xf9, 0x28, 0xc9, 0x33, 0x2d,
-  0x24, 0x63, 0x7f, 0x3d, 0xdb, 0xfe, 0x7a, 0x38, 0x3c, 0x38, 0x3f, 0x71,
-  0x35, 0x47, 0x5c, 0x2a, 0x92, 0xe8, 0x48, 0x73, 0x49, 0x96, 0xe3, 0xf9,
-  0xdb, 0x2b, 0x44, 0x17, 0xe3, 0x5b, 0x09, 0x51, 0x6d, 0xf8, 0x38, 0xcd,
-  0x46, 0xcb, 0xce, 0x4d, 0xcd, 0x50, 0xe3, 0x86, 0x0d, 0x5d, 0x48, 0x12,
-  0xb5, 0x85, 0x80, 0x5f, 0xb3, 0x49, 0xb9, 0xe7, 0xc2, 0xb8, 0x6e, 0xf3,
-  0x51, 0x9f, 0x08, 0xfd, 0xd6, 0xea, 0x43, 0x4a, 0x30, 0x3d, 0xb1, 0x49,
-  0x89, 0xb2, 0xf5, 0x76, 0x86, 0x5b, 0xae, 0x0a, 0xbb, 0x7d, 0xcb, 0x47,
-  0x83, 0xcb, 0x62, 0x4c, 0x07, 0xc2, 0xd9, 0xe5, 0x2c, 0x59, 0xe8, 0x24,
-  0xb3, 0xd7, 0xc7, 0xc0, 0x0e, 0xa8, 0x37, 0x57, 0xaf, 0x4a, 0x4c, 0x5d,
-  0xf4, 0xc9, 0x53, 0x07, 0xfa, 0x14, 0x16, 0x0c, 0xbd, 0x22, 0xe1, 0x7b,
-  0x71, 0x3f, 0xd1, 0x0b, 0x04, 0x10, 0xc7, 0x73, 0xb1, 0x72, 0x0b, 0xff,
-  0xae, 0xfb, 0x3a, 0xb8, 0xc0, 0x16, 0xa2, 0xfe, 0x35, 0xa6, 0x39, 0x1a,
-  0x4d, 0xe3, 0xf9, 0x2d, 0x6e, 0x32, 0xdc, 0x4d, 0xac, 0x6e, 0x1a, 0x96,
-  0x11, 0x97, 0x23, 0x83, 0x6b, 0x4b, 0xe1, 0x05, 0x20, 0x00, 0x5a, 0xf1,
-  0x73, 0xb6, 0xec, 0x3a, 0xc8, 0xa6, 0xc0, 0x89, 0x83, 0x93, 0xe4, 0x17,
-  0x81, 0xad, 0x46, 0xc7, 0xa7, 0x74, 0x29, 0xb9, 0x4c, 0x05, 0xa8, 0xe7,
-  0xc9, 0x94, 0x81, 0x77, 0x2c, 0xb8, 0x44, 0x92, 0xf3, 0x52, 0x30, 0x31,
-  0x61, 0x1c, 0x86, 0xbe, 0x0d, 0x37, 0x04, 0x28, 0x05, 0x39, 0x88, 0x85,
-  0xab, 0x51, 0xa1, 0x5c, 0x5b, 0x18, 0x18, 0xc0, 0x25, 0x7d, 0xc9, 0x8a,
-  0xb0, 0x88, 0x89, 0xc6, 0x6c, 0x1d, 0xfa, 0xd0, 0x92, 0xd8, 0xbe, 0x93,
-  0x41, 0x78, 0x91, 0xd4, 0x39, 0xab, 0x2a, 0x29, 0x12, 0x6b, 0xb7, 0x49,
-  0x5e, 0x6f, 0x33, 0x00, 0x80, 0x01, 0x52, 0x03, 0x62, 0xfd, 0x76, 0xf0,
-  0x32, 0x16, 0xf7, 0x5a, 0x8d, 0x35, 0xb5, 0x81, 0x0f, 0xac, 0xba, 0x3a,
-  0xc2, 0x9f, 0xc4, 0xff, 0x84, 0x38, 0x49, 0xbd, 0x7d, 0xcb, 0x09, 0xb8,
-  0x4d, 0x5e, 0x41, 0x3a, 0x0d, 0x43, 0x3c, 0x05, 0x01, 0x01, 0x66, 0x41,
-  0x09, 0xfa, 0x87, 0x06, 0xe3, 0x64, 0xdb, 0xfe, 0x5b, 0xbe, 0x2a, 0xb2,
-  0xfe, 0x68, 0x09, 0x9d, 0xcc, 0x63, 0x75, 0x69, 0x22, 0x20, 0x17, 0x05,
-  0x06, 0x38, 0x17, 0xbe, 0x67, 0xb7, 0x06, 0x52, 0xac, 0xc5, 0xd3, 0x81,
-  0x9c, 0xbb, 0x2a, 0x70, 0x8b, 0x83, 0xeb, 0x90, 0x40, 0x76, 0x04, 0xf4,
-  0x6a, 0xd4, 0xb2, 0x8e, 0x50, 0x37, 0xd9, 0x85, 0x9c, 0xcd, 0xb5, 0x6a,
-  0x1e, 0xec, 0xec, 0xd5, 0xb0, 0xdd, 0xd2, 0xa1, 0xa5, 0x5f, 0x42, 0x44,
-  0x48, 0x14, 0x43, 0xdc, 0xe2, 0x71, 0x2d, 0xfa, 0xff, 0xae, 0xe4, 0xfa,
-  0x40, 0x82, 0x34, 0x10, 0x4f, 0xa5, 0xc8, 0xc3, 0xda, 0x5b, 0x44, 0x0e,
-  0x53, 0x79, 0x79, 0xf9, 0xe3, 0xf9, 0xf1, 0x2b, 0x7b, 0xf3, 0xb1, 0x3d,
-  0x13, 0x00, 0x2e, 0x84, 0x5f, 0x24, 0x0a, 0x76, 0x19, 0xd4, 0xe0, 0x24,
-  0x22, 0xeb, 0x97, 0xe6, 0x16, 0x96, 0x6e, 0xfa, 0xd1, 0x0f, 0x47, 0x27,
-  0xc3, 0xf3, 0xd3, 0xb3, 0xc3, 0x57, 0x2f, 0x7f, 0x30, 0x6e, 0xfc, 0x05,
-  0x23, 0xce, 0x88, 0x8c, 0xe6, 0x3e, 0xf3, 0x00, 0x01, 0xfa, 0xde, 0xdb,
-  0xe3, 0xef, 0xdf, 0x93, 0x66, 0xf0, 0x8a, 0x41, 0xc1, 0x7b, 0x77, 0xf1,
-  0x54, 0x5f, 0x62, 0xf5, 0xaa, 0x45, 0xae, 0x0b, 0xd2, 0x39, 0xda, 0x16,
-  0x96, 0xe5, 0x89, 0x00, 0xa1, 0x75, 0x05, 0x09, 0x5a, 0x23, 0xb2, 0x82,
-  0x7a, 0x42, 0x71, 0x25, 0x37, 0xb3, 0xa5, 0x38, 0x63, 0xe6, 0x6e, 0xfe,
-  0x6e, 0x29, 0x91, 0x79, 0xec, 0x8d, 0x0e, 0x9d, 0xbc, 0x08, 0x7e, 0xd4,
-  0x6f, 0x7c, 0x50, 0xa8, 0xc2, 0xef, 0xe6, 0x1c, 0x0b, 0xe1, 0xb0, 0x0c,
-  0xb5, 0x42, 0x26, 0xdc, 0xa7, 0x0a, 0x78, 0xa8, 0x48, 0x3e, 0x1c, 0x87,
-  0x69, 0x21, 0xd9, 0xae, 0x0a, 0xb3, 0x88, 0x2f, 0x6e, 0x2c, 0xf1, 0x78,
-  0x4c, 0x3f, 0x18, 0x63, 0x92, 0xcb, 0xb9, 0x9c, 0x73, 0x55, 0xf6, 0xe1,
-  0x25, 0xab, 0x50, 0x5a, 0xb5, 0x4c, 0xcd, 0xcf, 0x56, 0x52, 0x0e, 0x89,
-  0xff, 0x55, 0xec, 0xca, 0xb0, 0xd4, 0x44, 0xe5, 0x44, 0x3b, 0x36, 0x57,
-  0xcd, 0x04, 0x64, 0x2b, 0x82, 0xa4, 0x17, 0xb2, 0x10, 0x2a, 0x08, 0xac,
-  0xf1, 0x95, 0x1d, 0xe0, 0x4c, 0x49, 0xa3, 0x56, 0x71, 0x01, 0xd5, 0x52,
-  0xb0, 0x3b, 0xd3, 0x74, 0xe4, 0x0d, 0xe6, 0x35, 0x4f, 0x24, 0x3b, 0xba,
-  0x15, 0xf1, 0x21, 0x3c, 0x42, 0x66, 0x0a, 0xf7, 0xe9, 0xb5, 0x45, 0x66,
-  0xe5, 0x13, 0x85, 0xf8, 0x61, 0xaa, 0x0e, 0x93, 0x20, 0x9d, 0x92, 0x0a,
-  0xc5, 0xc4, 0x44, 0x34, 0xf7, 0x69, 0x10, 0xca, 0xa8, 0x20, 0x42, 0xc0,
-  0x3e, 0x55, 0x96, 0x8d, 0x7a, 0xe5, 0x92, 0xce, 0xc4, 0x46, 0x16, 0x12,
-  0x58, 0x90, 0x9e, 0x8d, 0x90, 0x13, 0x9d, 0x59, 0x43, 0xfa, 0x50, 0xb1,
-  0xf1, 0x9a, 0xf3, 0xa0, 0x80, 0xd4, 0x34, 0x61, 0x51, 0x0b, 0xd6, 0xb7,
-  0xb0, 0x33, 0xbb, 0x49, 0x79, 0x05, 0x47, 0xcb, 0xb0, 0x9e, 0x97, 0x1b,
-  0xbd, 0x94, 0xb4, 0xc0, 0xc2, 0x23, 0xd8, 0x2e, 0xce, 0x81, 0x84, 0x58,
-  0x2a, 0xd2, 0xb8, 0x29, 0x3d, 0x1a, 0x39, 0x37, 0xa8, 0x82, 0xc2, 0x18,
-  0x5d, 0x5a, 0xa9, 0xbe, 0xc7, 0x56, 0xd4, 0xad, 0xa6, 0x90, 0x6f, 0x9e,
-  0x58, 0x08, 0x8c, 0x98, 0x18, 0x0a, 0xf6, 0x35, 0xcc, 0xc7, 0xee, 0x32,
-  0xe6, 0xcc, 0x15, 0x0e, 0x05, 0xc9, 0x15, 0x70, 0x67, 0xc9, 0xc5, 0xd1,
-  0xb5, 0x82, 0x28, 0xea, 0x5f, 0xb2, 0xc3, 0xcd, 0xc0, 0xd8, 0x7c, 0x2c,
-  0xb0, 0x2c, 0x77, 0x40, 0x56, 0x62, 0x5a, 0x5f, 0x69, 0x87, 0x2e, 0xcb,
-  0xda, 0x36, 0xab, 0x27, 0x49, 0x3b, 0x31, 0x72, 0x44, 0xcc, 0xa6, 0x1b,
-  0xe4, 0x1a, 0x16, 0x9a, 0xc1, 0xe9, 0x9c, 0x95, 0xc2, 0xf0, 0x50, 0xb1,
-  0xc8, 0xe7, 0x3c, 0x55, 0x9c, 0x82, 0x24, 0x59, 0x2e, 0x50, 0x7e, 0x67,
-  0xac, 0x08, 0xe4, 0x08, 0xfe, 0x74, 0xed, 0xd9, 0x1d, 0xe2, 0xd7, 0x8a,
-  0x16, 0xf5, 0xcd, 0xbb, 0xd3, 0xcb, 0x93, 0xf3, 0xd0, 0xf1, 0x18, 0x7d,
-  0x7f, 0x72, 0xf9, 0x0d, 0xc9, 0xeb, 0x5c, 0xdb, 0xf9, 0x94, 0xbd, 0x3b,
-  0x6f, 0xde, 0x1c, 0xbc, 0xe5, 0x0c, 0xf5, 0xb7, 0x88, 0x91, 0x3b, 0x80,
-  0xce, 0xc0, 0xdc, 0x88, 0x56, 0x98, 0x49, 0x87, 0x73, 0x97, 0x7b, 0x4d,
-  0x2f, 0x43, 0xed, 0xf4, 0x81, 0xe1, 0xf0, 0x11, 0x0a, 0xd7, 0x88, 0x37,
-  0x5c, 0x75, 0x82, 0x15, 0xdb, 0x74, 0x70, 0x6a, 0x59, 0xcf, 0xe2, 0x75,
-  0xae, 0x43, 0x8f, 0x23, 0x4f, 0x4e, 0x64, 0x73, 0xf8, 0x54, 0xe5, 0xea,
-  0xf6, 0x9e, 0x0b, 0x6c, 0xa8, 0x03, 0x31, 0x45, 0xcc, 0x2a, 0x89, 0x4c,
-  0x73, 0x55, 0x69, 0xe4, 0xba, 0xac, 0xc6, 0xad, 0x53, 0x8f, 0x18, 0x12,
-  0x9c, 0xca, 0x99, 0x37, 0x06, 0xb2, 0xb2, 0xc9, 0xfa, 0xf2, 0xc5, 0x69,
-  0x78, 0x9f, 0x56, 0xeb, 0x07, 0x5b, 0xa0, 0xd9, 0x75, 0x96, 0xf8, 0x83,
-  0xdb, 0x3f, 0xb3, 0x66, 0xcc, 0xf2, 0x0b, 0x0d, 0x4c, 0xee, 0x96, 0x3e,
-  0xb3, 0xb5, 0x3e, 0x6d, 0xc9, 0x96, 0xab, 0x51, 0xa3, 0x96, 0xb3, 0x7d,
-  0x91, 0x2a, 0x2b, 0x55, 0xbc, 0x81, 0x1c, 0x7b, 0xe6, 0x5a, 0xd6, 0x80,
-  0x06, 0xc4, 0xf5, 0x6a, 0x6a, 0x8c, 0xce, 0x19, 0xcc, 0xd2, 0x1e, 0xab,
-  0x64, 0xf6, 0xd6, 0x4a, 0x89, 0x5b, 0x6a, 0x14, 0x12, 0x22, 0x19, 0xc2,
-  0xc5, 0xfb, 0x4c, 0x51, 0x96, 0x2b, 0xcb, 0x06, 0xc9, 0x43, 0xc2, 0xee,
-  0x4d, 0xfe, 0xf5, 0x6f, 0x8b, 0xeb, 0x30, 0x6b, 0x0a, 0x73, 0xd5, 0xf4,
-  0xe0, 0x76, 0x4c, 0x60, 0x91, 0x8a, 0xb4, 0x38, 0x59, 0x65, 0x04, 0x5a,
-  0x71, 0x6c, 0x77, 0x5d, 0x87, 0xfa, 0xfd, 0x5e, 0xf3, 0xfb, 0x3d, 0xb1,
-  0x38, 0x72, 0x05, 0x7a, 0x87, 0xa7, 0x29, 0xb9, 0xc0, 0xa1, 0xf4, 0x66,
-  0x32, 0x01, 0x53, 0x98, 0x14, 0xab, 0x87, 0x5b, 0x45, 0x58, 0xa2, 0x98,
-  0xfd, 0x39, 0x16, 0x69, 0x99, 0x23, 0xc7, 0x11, 0x8f, 0xc0, 0x42, 0x2c,
-  0x01, 0xa4, 0x08, 0xd7, 0x02, 0x9b, 0xe2, 0xdb, 0x8a, 0x1a, 0xa4, 0xef,
-  0x9f, 0xba, 0x80, 0x6e, 0xcf, 0xd2, 0x50, 0xe0, 0x4b, 0x33, 0x6a, 0xfa,
-  0xe9, 0xe2, 0xce, 0x0a, 0x5c, 0xd2, 0xaf, 0xcf, 0x5d, 0x71, 0x97, 0xa2,
-  0xe2, 0x9e, 0xaa, 0x00, 0xd7, 0x1a, 0xef, 0xc7, 0xe0, 0x10, 0x60, 0xc7,
-  0x8c, 0xc1, 0x61, 0xbe, 0x0e, 0x6a, 0xe3, 0x4a, 0xaa, 0xa1, 0xbd, 0x41,
-  0xa9, 0x49, 0xd8, 0x96, 0xa7, 0xc8, 0xae, 0x04, 0x3b, 0x0a, 0x78, 0x4b,
-  0x88, 0x13, 0xaf, 0xbb, 0xfe, 0xd3, 0xde, 0xce, 0xce, 0xee, 0xfe, 0xee,
-  0xe7, 0x2f, 0x76, 0xf6, 0x77, 0x77, 0x77, 0xf7, 0xf6, 0x77, 0xf7, 0xf7,
-  0xf7, 0x76, 0x7e, 0xde, 0x66, 0xd3, 0xd1, 0x5d, 0x9a, 0xdc, 0xbb, 0x4a,
-  0xf2, 0xdf, 0xcb, 0x35, 0x0d, 0x7f, 0xc1, 0x4a, 0xdc, 0x80, 0xcc, 0x25,
-  0x55, 0xc3, 0x35, 0xc1, 0xc7, 0x21, 0x13, 0x48, 0xf0, 0xb5, 0x00, 0x92,
-  0x2d, 0x7c, 0xb6, 0x22, 0xce, 0x60, 0x00, 0x98, 0x8c, 0x51, 0xfd, 0x7d,
-  0xc9, 0x33, 0x1d, 0xb1, 0x34, 0x00, 0x91, 0xa6, 0x70, 0xb9, 0x61, 0xd7,
-  0xd3, 0x6c, 0x34, 0x42, 0x00, 0xbc, 0x4b, 0x8f, 0x1c, 0x44, 0x8c, 0xcc,
-  0x79, 0x2b, 0x24, 0xa1, 0x4e, 0x03, 0x84, 0xa7, 0xc9, 0x41, 0xf7, 0xab,
-  0x23, 0x72, 0x97, 0x86, 0xe4, 0x8e, 0x33, 0x46, 0xa5, 0x9f, 0x30, 0x53,
-  0xa2, 0x45, 0xca, 0x5d, 0xda, 0x44, 0x74, 0x95, 0x7c, 0xbe, 0xb3, 0xbf,
-  0xcf, 0x85, 0x23, 0x3e, 0xdd, 0xed, 0x69, 0x64, 0x61, 0x18, 0x2e, 0xdd,
-  0x73, 0xb7, 0x93, 0xb4, 0xc1, 0xda, 0x47, 0x38, 0xcf, 0xf9, 0x72, 0x96,
-  0xe4, 0xaa, 0x87, 0xe0, 0x3e, 0x14, 0x00, 0x19, 0x26, 0x46, 0x1b, 0xb2,
-  0x7b, 0x16, 0xa5, 0x50, 0x60, 0x92, 0x97, 0xfc, 0x06, 0x7f, 0x79, 0xea,
-  0x39, 0xc7, 0x51, 0x99, 0x4b, 0x91, 0x49, 0x7e, 0x18, 0x02, 0x39, 0x50,
-  0x31, 0xb2, 0xdb, 0x50, 0x56, 0xd5, 0x9c, 0x8e, 0x9f, 0x82, 0xc1, 0xef,
-  0x3d, 0xdb, 0xfd, 0x59, 0x02, 0xd9, 0x98, 0xc0, 0xfd, 0x2a, 0x68, 0x69,
-  0xb0, 0x89, 0xca, 0x23, 0x92, 0x06, 0xa6, 0x84, 0xb1, 0x99, 0x0c, 0xae,
-  0x07, 0x26, 0x24, 0xa8, 0xe1, 0xb0, 0x17, 0x86, 0x13, 0x0b, 0x82, 0xb5,
-  0xd4, 0x64, 0x87, 0xda, 0x65, 0xb6, 0x21, 0xb3, 0xed, 0x8a, 0x5d, 0xb2,
-  0x52, 0xe3, 0x65, 0x83, 0xae, 0x8c, 0x83, 0x93, 0x53, 0x8e, 0x57, 0x39,
-  0x25, 0x09, 0x6c, 0x68, 0xac, 0x0c, 0x21, 0x3d, 0x88, 0xb7, 0x99, 0xa7,
-  0x7c, 0x9b, 0xf6, 0x1c, 0xb4, 0xbc, 0x85, 0xc5, 0x43, 0xac, 0x60, 0xbb,
-  0xbb, 0x48, 0xe6, 0x8a, 0x03, 0x45, 0xf2, 0x30, 0xf1, 0xb3, 0x42, 0xcc,
-  0x29, 0x80, 0x5b, 0x64, 0x1c, 0x62, 0xf8, 0x38, 0x20, 0xf1, 0xca, 0xc2,
-  0xa3, 0x9a, 0x45, 0x9e, 0x4c, 0x93, 0x3b, 0xb5, 0x7b, 0x08, 0x78, 0xdd,
-  0xd7, 0xea, 0x5e, 0x90, 0x62, 0x76, 0xa5, 0xf7, 0x92, 0x54, 0x3c, 0x18,
-  0xdc, 0xe7, 0xb6, 0xe4, 0xfd, 0xfb, 0x74, 0x6e, 0x14, 0xff, 0x75, 0x80,
-  0xcb, 0xe6, 0xcd, 0xe1, 0xf7, 0xfa, 0x2c, 0x82, 0x6a, 0x1c, 0xd2, 0xbb,
-  0x42, 0x33, 0x76, 0xeb, 0x51, 0x81, 0xa2, 0xca, 0x5b, 0x39, 0x24, 0x31,
-  0x8b, 0xf5, 0x0c, 0x13, 0x53, 0x8c, 0x79, 0x2c, 0xb5, 0xf4, 0xd8, 0x84,
-  0x82, 0x96, 0xae, 0x48, 0x5e, 0x62, 0xe4, 0xf3, 0x5e, 0xe4, 0x0b, 0xc7,
-  0x67, 0x53, 0xfa, 0x13, 0x81, 0x0e, 0xbc, 0xea, 0x78, 0x96, 0x31, 0xfd,
-  0x82, 0xf0, 0x23, 0xfa, 0x53, 0xc2, 0x5e, 0xf5, 0x2f, 0x34, 0x95, 0x2f,
-  0x01, 0x1d, 0xd9, 0x13, 0x62, 0x65, 0x7f, 0x40, 0x39, 0x1e, 0xb8, 0xd1,
-  0xab, 0x3b, 0x4e, 0xc6, 0x7f, 0x64, 0xde, 0x22, 0x63, 0x13, 0x59, 0x6e,
-  0xab, 0x2b, 0xbb, 0x30, 0x92, 0xea, 0x55, 0x5f, 0x2d, 0xd9, 0x4e, 0xed,
-  0xaa, 0x33, 0xf0, 0x28, 0x66, 0x4c, 0x5a, 0x89, 0x14, 0x8a, 0x73, 0x8d,
-  0xb3, 0xc0, 0xb5, 0xa4, 0xdd, 0x95, 0xd6, 0x4f, 0xb3, 0x7b, 0xae, 0x72,
-  0x77, 0x75, 0xc5, 0x75, 0xcb, 0xcf, 0xe6, 0x1e, 0x22, 0x92, 0xb9, 0xaa,
-  0x3c, 0x38, 0xb3, 0xd2, 0x1a, 0x34, 0x37, 0x2b, 0x60, 0x6f, 0x81, 0x8b,
-  0x83, 0xe8, 0x00, 0xab, 0x44, 0xb2, 0x10, 0x9a, 0x13, 0x37, 0x1b, 0xc4,
-  0xc1, 0x5a, 0x9c, 0x9c, 0x96, 0xe0, 0xe5, 0x1b, 0x72, 0x86, 0x72, 0x7f,
-  0x1c, 0x13, 0x36, 0xcb, 0xe6, 0x16, 0xf6, 0xbc, 0x2c, 0x04, 0x30, 0xcc,
-  0xea, 0xf5, 0x6e, 0x88, 0xcd, 0x30, 0x9d, 0x2a, 0x42, 0xaf, 0x0a, 0xce,
-  0x78, 0x23, 0x9c, 0xcc, 0xa4, 0xbf, 0xb8, 0x59, 0xd8, 0x4e, 0x1b, 0xbf,
-  0x12, 0x66, 0xa6, 0x81, 0xb6, 0xb8, 0xde, 0xce, 0xbf, 0x39, 0x1f, 0x44,
-  0xc7, 0xdc, 0x92, 0x8c, 0x49, 0xef, 0x21, 0x68, 0x50, 0xf4, 0x1d, 0x4d,
-  0xf6, 0x9a, 0x19, 0xf8, 0x59, 0xce, 0x7f, 0xa1, 0x35, 0xfd, 0x52, 0x8c,
-  0x26, 0xf8, 0xb6, 0xda, 0x2b, 0x35, 0x64, 0x11, 0x71, 0xe7, 0xf8, 0x9d,
-  0x8e, 0x0a, 0x71, 0x47, 0xb7, 0x4d, 0xbe, 0x87, 0x2c, 0xaf, 0xc0, 0x2b,
-  0xc8, 0x9b, 0x11, 0x31, 0x4d, 0xb0, 0xbe, 0xc5, 0x0a, 0xfb, 0x07, 0x85,
-  0x1b, 0x98, 0x1c, 0x7a, 0x3d, 0x48, 0x03, 0x01, 0x69, 0x29, 0xf9, 0xb9,
-  0xc0, 0x1a, 0x39, 0x57, 0xb9, 0x00, 0x0b, 0xe4, 0x89, 0x86, 0x21, 0x65,
-  0xea, 0xc0, 0x10, 0x7d, 0xa3, 0x48, 0x6a, 0xc7, 0x35, 0x10, 0xaf, 0xec,
-  0x0b, 0x16, 0x8a, 0x79, 0x2c, 0xc4, 0x84, 0x68, 0x0b, 0x06, 0x1b, 0xff,
-  0x2f, 0xc2, 0x9c, 0x57, 0xd1, 0x1d, 0x06, 0x02, 0x00,
+  0xb9, 0x97, 0xf2, 0xe5, 0xbc, 0x32, 0xa0, 0xd9, 0xbb, 0x34, 0x8e, 0x5c,
+  0x01, 0x6b, 0x9e, 0xfb, 0x7b, 0x26, 0xfd, 0xf7, 0x1e, 0x62, 0x7c, 0xa9,
+  0x2f, 0x02, 0x00, 0x8e, 0xdb, 0x51, 0x9b, 0x00, 0x6c, 0x29, 0xe3, 0x34,
+  0xa7, 0x2b, 0x98, 0xf9, 0xd4, 0x58, 0xcc, 0x80, 0x88, 0x71, 0xc3, 0xd8,
+  0xd9, 0xcc, 0x11, 0x8f, 0x88, 0xae, 0xb0, 0x5c, 0x63, 0xa4, 0xc3, 0x09,
+  0x3c, 0xb8, 0x9a, 0x16, 0xed, 0xdc, 0x85, 0xac, 0x14, 0x09, 0xa1, 0x48,
+  0xab, 0x43, 0x85, 0x0e, 0x85, 0x20, 0xdc, 0x40, 0xdc, 0x18, 0xb5, 0x0a,
+  0x59, 0x62, 0xee, 0x6e, 0xb6, 0x40, 0xb6, 0xe3, 0xb0, 0x1e, 0xa6, 0xd3,
+  0x49, 0x34, 0x5b, 0x69, 0xca, 0xb3, 0xf2, 0x61, 0xce, 0xd1, 0x81, 0xba,
+  0xf2, 0xd9, 0x67, 0x8d, 0x7b, 0xf7, 0xc1, 0x3d, 0xbd, 0x4f, 0x5f, 0x07,
+  0x6a, 0xd1, 0x94, 0x7d, 0x8e, 0x56, 0x0a, 0xc8, 0xeb, 0x46, 0x0d, 0x99,
+  0x33, 0x4c, 0x63, 0x94, 0x0e, 0x9d, 0xfd, 0xb0, 0x65, 0x5f, 0x5c, 0xb5,
+  0xa3, 0x0d, 0x11, 0xba, 0x65, 0x9c, 0x71, 0x21, 0x9e, 0xeb, 0x35, 0x52,
+  0xa8, 0x9d, 0xbc, 0xfa, 0x60, 0x03, 0x01, 0x85, 0x84, 0xa4, 0x01, 0xcb,
+  0x34, 0x2c, 0x6f, 0x0d, 0x33, 0x6d, 0x98, 0x73, 0x4e, 0x74, 0x30, 0x0e,
+  0xb3, 0xb0, 0x7a, 0xd6, 0x06, 0x0e, 0x32, 0xdf, 0xdd, 0x18, 0xfd, 0x77,
+  0xeb, 0x87, 0xf3, 0xee, 0x9f, 0x19, 0xce, 0x41, 0xf4, 0x68, 0xb0, 0x9f,
+  0xd6, 0x3f, 0x60, 0x26, 0x52, 0xe8, 0x49, 0x9d, 0x64, 0x30, 0x08, 0x19,
+  0xfd, 0xc9, 0x1a, 0x8d, 0xd9, 0x09, 0x30, 0xaa, 0x62, 0x4d, 0x36, 0xd5,
+  0x95, 0x79, 0x26, 0x4f, 0x43, 0x7e, 0xe4, 0xf6, 0x7b, 0x36, 0x94, 0x8f,
+  0x1d, 0xae, 0xe5, 0xb9, 0x5b, 0xb4, 0xaa, 0xef, 0x4f, 0x32, 0xb0, 0xa4,
+  0x85, 0x20, 0xe6, 0x5f, 0x10, 0xc8, 0xe5, 0x79, 0xc6, 0x1e, 0x7f, 0x40,
+  0xe0, 0x06, 0x0d, 0xd6, 0x97, 0x90, 0xe3, 0x99, 0x20, 0x33, 0xaa, 0xf6,
+  0x9a, 0x7e, 0xb6, 0x2b, 0x70, 0x4d, 0xc4, 0x1e, 0x15, 0x1b, 0x8f, 0xf4,
+  0x4c, 0xba, 0xac, 0x16, 0x08, 0x3f, 0xac, 0x96, 0xeb, 0x92, 0x7b, 0x45,
+  0x8a, 0xce, 0x63, 0xe5, 0x82, 0x5a, 0xd6, 0x28, 0xfc, 0x25, 0x63, 0x94,
+  0xba, 0xc6, 0x5a, 0x0e, 0x45, 0x8a, 0xac, 0xe2, 0x9e, 0x4f, 0x12, 0x69,
+  0xa9, 0x5c, 0x1b, 0x06, 0x7c, 0x18, 0x30, 0x5e, 0x21, 0x67, 0xb0, 0xef,
+  0xe8, 0x6a, 0x99, 0x23, 0x3c, 0x43, 0xb3, 0xd1, 0x35, 0x99, 0x90, 0x1a,
+  0xbd, 0x38, 0x78, 0xfb, 0xd5, 0x31, 0xce, 0x3b, 0xb3, 0x5d, 0x9f, 0x3a,
+  0xcb, 0xb9, 0x71, 0x7d, 0x38, 0x8b, 0x0b, 0x01, 0xeb, 0x48, 0xf9, 0x8d,
+  0xc9, 0x72, 0xcc, 0x7e, 0xea, 0x77, 0x7a, 0x0c, 0xd2, 0x02, 0x38, 0x9d,
+  0xd3, 0x94, 0x07, 0xc1, 0x2c, 0x57, 0x5d, 0xc2, 0x1b, 0x91, 0xa9, 0xa7,
+  0xe0, 0x18, 0x2c, 0xd2, 0xd0, 0x0a, 0x41, 0x97, 0x2d, 0x96, 0xa3, 0x45,
+  0xac, 0x29, 0x5a, 0x71, 0x98, 0xf5, 0xa3, 0x9a, 0xc0, 0xa0, 0x32, 0x05,
+  0xbe, 0x3b, 0x24, 0x20, 0xd2, 0x49, 0x9d, 0x39, 0xa4, 0xce, 0x41, 0xa8,
+  0x71, 0x09, 0x3e, 0xd2, 0xee, 0xce, 0x8e, 0xc7, 0xdc, 0xf1, 0xd9, 0x4b,
+  0x0d, 0x22, 0xcb, 0xa3, 0x9d, 0xfe, 0x8b, 0x17, 0xeb, 0xe8, 0xc7, 0x35,
+  0x8a, 0x2c, 0x94, 0x67, 0x1f, 0xdd, 0x66, 0x9f, 0x1f, 0x5d, 0xd7, 0x66,
+  0x8b, 0x6c, 0x81, 0x32, 0x1d, 0xea, 0x8e, 0x2f, 0x5c, 0xcc, 0x87, 0xea,
+  0x20, 0x62, 0xfb, 0x82, 0x2d, 0x72, 0xee, 0x04, 0x0c, 0x5e, 0xca, 0x8d,
+  0xc8, 0x49, 0x02, 0x80, 0x90, 0x32, 0x75, 0x65, 0xc1, 0x1e, 0xf9, 0xd4,
+  0x99, 0x68, 0x3f, 0x6a, 0x61, 0x02, 0x11, 0x73, 0xcd, 0x12, 0x5d, 0x35,
+  0x67, 0x63, 0x8c, 0xf4, 0xdd, 0x39, 0x2b, 0xa3, 0xa4, 0xbb, 0x88, 0xc0,
+  0x4e, 0xd2, 0x27, 0x0c, 0x13, 0xdb, 0x35, 0x59, 0xf4, 0x9d, 0x16, 0xb0,
+  0xe3, 0xe2, 0x03, 0xec, 0x9b, 0x11, 0xc8, 0xe2, 0x74, 0xae, 0x95, 0xe4,
+  0xdc, 0xee, 0xaf, 0x51, 0x8c, 0x2f, 0xa3, 0x7e, 0xc0, 0xd2, 0x15, 0x85,
+  0x87, 0xf9, 0xf9, 0x6c, 0x65, 0x32, 0x8a, 0xf6, 0x80, 0xd6, 0xcd, 0xd0,
+  0x55, 0xa9, 0xe8, 0xdb, 0x53, 0xc1, 0x12, 0x14, 0xd4, 0x60, 0xe9, 0x2d,
+  0x5d, 0x4a, 0x37, 0xb8, 0x22, 0x6a, 0x0c, 0xfc, 0xe3, 0x86, 0x12, 0xb7,
+  0xd4, 0xe6, 0x34, 0x29, 0x36, 0xe5, 0xfc, 0x47, 0xd5, 0x4e, 0xea, 0x8a,
+  0xb2, 0x42, 0x36, 0xf2, 0x83, 0x38, 0x3f, 0xd9, 0xbf, 0x3e, 0xb6, 0x47,
+  0x46, 0xc5, 0x87, 0xd3, 0x6a, 0xae, 0xd7, 0x46, 0xd9, 0x6a, 0x30, 0xb8,
+  0x94, 0xf7, 0xa5, 0xeb, 0xb8, 0xbd, 0x3b, 0x79, 0xdf, 0x96, 0xa3, 0x85,
+  0xe8, 0xf9, 0xda, 0x57, 0x64, 0x26, 0x17, 0xed, 0x6d, 0x38, 0x12, 0xac,
+  0x9d, 0x80, 0x5b, 0xa4, 0x55, 0x0e, 0xbe, 0x11, 0x69, 0xce, 0x04, 0x70,
+  0x9b, 0x98, 0x6e, 0x00, 0x34, 0x0b, 0xde, 0x76, 0x8b, 0x68, 0x8a, 0x2b,
+  0x45, 0xa7, 0x40, 0x61, 0x92, 0x13, 0x64, 0xa2, 0xb0, 0xcb, 0xc4, 0x83,
+  0x7d, 0xe4, 0xcb, 0xb9, 0xcc, 0x02, 0x0e, 0x07, 0x1a, 0x7c, 0x5c, 0xdc,
+  0xc0, 0xc9, 0xee, 0x14, 0xa4, 0xe6, 0x4d, 0x14, 0x02, 0x56, 0xd0, 0xd5,
+  0x23, 0xf7, 0x0e, 0xb8, 0x6a, 0x65, 0x29, 0xaa, 0x2b, 0x10, 0xe8, 0x13,
+  0x1f, 0x4b, 0xf9, 0xcc, 0x32, 0x5a, 0x8d, 0xa5, 0x20, 0xfe, 0x46, 0x89,
+  0xc3, 0x1a, 0xc9, 0x55, 0xf5, 0x31, 0x69, 0x4b, 0x44, 0x19, 0xa8, 0x3f,
+  0xa8, 0x0b, 0x87, 0xf4, 0xda, 0xda, 0x12, 0x42, 0x96, 0x05, 0x68, 0x81,
+  0xa4, 0xdb, 0x1a, 0x9b, 0xd5, 0x2c, 0x12, 0x28, 0xa1, 0x1e, 0xea, 0x46,
+  0xf3, 0x6e, 0x18, 0x13, 0x5f, 0x82, 0xfc, 0x60, 0xc1, 0x67, 0x24, 0xf2,
+  0x4c, 0xfa, 0xc4, 0x0c, 0x65, 0x80, 0x92, 0xd4, 0x22, 0x81, 0x55, 0xc3,
+  0x4b, 0x57, 0xaa, 0xdc, 0xe4, 0xc0, 0x6f, 0x8f, 0x2f, 0xbe, 0x3c, 0x1b,
+  0x1e, 0x13, 0x87, 0x38, 0x3a, 0xfe, 0xf2, 0x1d, 0x73, 0x0f, 0xde, 0x31,
+  0x31, 0x52, 0x00, 0x97, 0x41, 0x50, 0x96, 0x91, 0x4c, 0xe4, 0x64, 0x64,
+  0xc9, 0x89, 0xec, 0x19, 0x65, 0x68, 0x4c, 0x97, 0x4a, 0xd1, 0xd3, 0x44,
+  0xb4, 0xda, 0x14, 0xd1, 0x74, 0x1e, 0xb2, 0x84, 0x65, 0xe7, 0x39, 0x63,
+  0x0c, 0x97, 0x86, 0xd1, 0x61, 0x18, 0xb7, 0xc5, 0xbe, 0x97, 0x8d, 0xef,
+  0xc4, 0x86, 0xa1, 0x07, 0xc2, 0x57, 0xd1, 0xb1, 0x6a, 0x39, 0x83, 0xa0,
+  0x14, 0xae, 0xc2, 0x57, 0x4f, 0x33, 0xb9, 0xbd, 0x38, 0x8d, 0x08, 0x67,
+  0x19, 0xb8, 0xec, 0x29, 0xaa, 0xee, 0x29, 0xfe, 0xa4, 0xd6, 0xae, 0x29,
+  0x84, 0xe0, 0x88, 0xcd, 0x48, 0x0a, 0xc6, 0x54, 0xd9, 0x32, 0xb8, 0x50,
+  0x91, 0x48, 0xc2, 0xb2, 0xdc, 0x9e, 0x6a, 0xe6, 0x97, 0xa0, 0x15, 0x85,
+  0x55, 0xdc, 0xe4, 0x23, 0xc1, 0x90, 0x01, 0xa2, 0x2d, 0x08, 0x7e, 0xb0,
+  0xd4, 0x77, 0x71, 0xe0, 0x52, 0xbc, 0xf2, 0x81, 0xe7, 0x4b, 0x49, 0xe7,
+  0x6e, 0x3d, 0x3b, 0xb8, 0x94, 0x99, 0x72, 0x72, 0xa9, 0x5c, 0xc8, 0xae,
+  0xa2, 0x36, 0xfc, 0x48, 0x3e, 0x33, 0x8a, 0x03, 0x73, 0x1c, 0x6e, 0x9a,
+  0x9c, 0x27, 0x0e, 0x8d, 0x0b, 0x24, 0xe0, 0xf5, 0x05, 0x61, 0xcc, 0xce,
+  0xa2, 0xe1, 0x3c, 0xf5, 0x9c, 0x68, 0xf5, 0x76, 0xf3, 0x96, 0xc2, 0x78,
+  0x14, 0xd5, 0xeb, 0x7e, 0xea, 0x19, 0x94, 0xd6, 0xa5, 0x16, 0x4c, 0xf9,
+  0x50, 0x86, 0x26, 0xb6, 0x8d, 0x8d, 0x8d, 0xa3, 0xe3, 0xcb, 0x83, 0x93,
+  0xd3, 0xe3, 0xa3, 0xe8, 0xe4, 0xed, 0xeb, 0xb3, 0x8b, 0x37, 0x07, 0x97,
+  0xea, 0x64, 0x3a, 0x72, 0x3a, 0xaa, 0x2b, 0x67, 0xe2, 0x4c, 0x00, 0x5e,
+  0x7f, 0x05, 0x09, 0xd3, 0x2e, 0x5e, 0x2b, 0x60, 0x90, 0x2c, 0x43, 0x52,
+  0x59, 0x83, 0x8d, 0x48, 0x9d, 0x53, 0xbe, 0x40, 0x09, 0xdf, 0xcf, 0xdb,
+  0xce, 0xa1, 0x30, 0xb0, 0xe5, 0x34, 0x0d, 0x13, 0xd8, 0x5f, 0x8f, 0x36,
+  0xe5, 0x8a, 0x71, 0xc9, 0xdd, 0x04, 0xdc, 0x7a, 0x64, 0xc1, 0x80, 0x26,
+  0xfb, 0x27, 0x9c, 0xdb, 0x0a, 0xf1, 0x52, 0xab, 0x9a, 0x9f, 0x94, 0xae,
+  0x98, 0x1f, 0x93, 0x0b, 0xb7, 0x13, 0x64, 0x57, 0x11, 0x05, 0xa2, 0x6a,
+  0x70, 0xd0, 0xa6, 0x4b, 0x54, 0xb2, 0x0a, 0x24, 0xe2, 0xd2, 0xc4, 0x27,
+  0xe1, 0xfe, 0x72, 0x26, 0xd7, 0x06, 0x7b, 0x6d, 0x4b, 0xad, 0x8d, 0xf1,
+  0x50, 0x26, 0xf3, 0x82, 0xeb, 0x40, 0xd9, 0x59, 0xe7, 0x57, 0x3c, 0x13,
+  0x35, 0x3b, 0xae, 0x82, 0x1e, 0x86, 0x4d, 0x6d, 0x3a, 0x27, 0x04, 0x49,
+  0x2e, 0xfd, 0x13, 0x45, 0x31, 0xe3, 0xb5, 0xe0, 0x9a, 0xbf, 0xfc, 0x73,
+  0xee, 0xd3, 0xfa, 0x35, 0x4a, 0xc3, 0x2b, 0x2c, 0x41, 0xdd, 0x23, 0x3d,
+  0x6d, 0xfe, 0xdc, 0x16, 0x46, 0x69, 0x47, 0xf4, 0x10, 0x17, 0x91, 0xec,
+  0x6b, 0xf7, 0x1a, 0x26, 0x05, 0x5d, 0xd8, 0xb6, 0x50, 0x84, 0x27, 0x08,
+  0x01, 0xa3, 0x4c, 0x80, 0x4a, 0xb0, 0x06, 0x32, 0x0f, 0xd0, 0x77, 0x69,
+  0x46, 0x63, 0x16, 0xf1, 0xbd, 0x9d, 0xd7, 0x15, 0x69, 0x6a, 0x54, 0xc3,
+  0x76, 0x05, 0xc2, 0x86, 0xee, 0x59, 0xac, 0x64, 0xf0, 0x42, 0xec, 0xfd,
+  0xae, 0x58, 0xff, 0x4d, 0xc3, 0x36, 0x67, 0x92, 0xd5, 0x06, 0xd5, 0x73,
+  0xd0, 0x34, 0x53, 0x57, 0x26, 0x15, 0xbe, 0x58, 0xf5, 0x54, 0x86, 0x9c,
+  0xde, 0xba, 0xc6, 0xe8, 0x27, 0x6d, 0x23, 0x50, 0x2e, 0x8e, 0xf2, 0x9e,
+  0x5a, 0xcc, 0x2b, 0x86, 0xc7, 0x8e, 0xd1, 0x1a, 0x36, 0x14, 0x90, 0x41,
+  0x39, 0x25, 0x4c, 0xa7, 0x61, 0x1e, 0xee, 0x98, 0xeb, 0x4b, 0x71, 0x8d,
+  0x4e, 0xad, 0x27, 0x17, 0xc4, 0x92, 0x8b, 0x47, 0x5d, 0x91, 0x47, 0xc1,
+  0xf4, 0xe6, 0x1b, 0x86, 0x94, 0x68, 0x2f, 0x59, 0x9c, 0x00, 0xb8, 0xbf,
+  0xe4, 0x63, 0x83, 0xc9, 0xb3, 0x3b, 0x33, 0x89, 0x0b, 0xd8, 0x18, 0x11,
+  0x52, 0x2a, 0x77, 0x06, 0x48, 0x00, 0x73, 0x75, 0x66, 0x4b, 0x5c, 0x3e,
+  0xbe, 0xac, 0x70, 0x5f, 0x60, 0x2b, 0x62, 0xce, 0x2a, 0xb3, 0x43, 0x21,
+  0xc1, 0x6d, 0xae, 0x15, 0xab, 0x3b, 0x4f, 0xcd, 0x20, 0x42, 0x49, 0x43,
+  0x36, 0xce, 0xb3, 0x42, 0xce, 0x1b, 0x24, 0xed, 0x8e, 0xaf, 0xfe, 0xd0,
+  0x59, 0xdc, 0x50, 0x1f, 0x9d, 0xe8, 0x9a, 0x75, 0x95, 0x51, 0x16, 0xc6,
+  0xbb, 0xe9, 0xb6, 0x4c, 0xe4, 0xf1, 0x57, 0x17, 0xf1, 0x55, 0x9c, 0x4c,
+  0x7f, 0xbf, 0xb7, 0x33, 0x8c, 0xaf, 0x97, 0xd3, 0xf8, 0x0f, 0x78, 0xf1,
+  0xd5, 0x93, 0x27, 0x7b, 0x3b, 0x9f, 0x7e, 0xb6, 0xd3, 0xa9, 0xb9, 0x8a,
+  0x02, 0x3f, 0x33, 0xdc, 0x86, 0x28, 0xd7, 0xcc, 0x7c, 0x17, 0xfd, 0x0c,
+  0xc6, 0xd7, 0x29, 0x77, 0xf3, 0x35, 0x0b, 0x2f, 0xba, 0x06, 0x31, 0x02,
+  0x22, 0x84, 0x4d, 0x6a, 0x5d, 0x28, 0xba, 0x71, 0x89, 0xae, 0x3f, 0xd9,
+  0xdd, 0x17, 0x56, 0x76, 0x0d, 0xbb, 0x54, 0x2c, 0x14, 0x1b, 0xbd, 0x4c,
+  0xe7, 0x74, 0x03, 0x7d, 0x1e, 0x95, 0xf1, 0xb5, 0xa3, 0x55, 0xb4, 0xe0,
+  0x2a, 0x39, 0x9b, 0x25, 0xfc, 0x2a, 0x45, 0x4d, 0xe1, 0x41, 0xb4, 0x79,
+  0x29, 0x90, 0x69, 0x10, 0x7c, 0x16, 0x49, 0x3e, 0x95, 0x6c, 0xd7, 0x78,
+  0x66, 0x21, 0x97, 0xfc, 0x3e, 0x3b, 0xe3, 0x07, 0x8b, 0xa9, 0xab, 0x5b,
+  0x0d, 0x0d, 0x2c, 0xf5, 0x04, 0x37, 0x5d, 0x14, 0xbe, 0x4e, 0x92, 0x5c,
+  0x37, 0x21, 0x18, 0x1b, 0x2d, 0x16, 0xaa, 0x40, 0x74, 0x30, 0xab, 0x9e,
+  0x2b, 0xb8, 0xd2, 0x9f, 0xd8, 0x4c, 0x07, 0xf8, 0x1d, 0xd5, 0xe8, 0xb4,
+  0xa8, 0x6e, 0x67, 0x21, 0xf9, 0x41, 0xae, 0xc8, 0x87, 0xa6, 0x13, 0x57,
+  0xe6, 0x15, 0x97, 0x7e, 0x63, 0x5e, 0x9a, 0x92, 0xbb, 0xfb, 0xf9, 0x2b,
+  0x10, 0xc4, 0xee, 0xe7, 0x7f, 0x70, 0x9f, 0xed, 0xe9, 0x67, 0x7b, 0x9f,
+  0xff, 0x61, 0x30, 0xc0, 0xf8, 0x98, 0x42, 0xba, 0xf6, 0x75, 0x57, 0x93,
+  0x0e, 0x63, 0x3d, 0xc2, 0xf2, 0x97, 0x43, 0xde, 0x91, 0xbd, 0xee, 0x58,
+  0xcf, 0xe1, 0x2a, 0xf7, 0xd4, 0xf6, 0xee, 0xf8, 0x56, 0x6a, 0x80, 0xc5,
+  0x40, 0xf5, 0x2c, 0xda, 0x16, 0xdd, 0x99, 0x08, 0xd1, 0x4e, 0xe1, 0x20,
+  0x4b, 0xe2, 0xe8, 0x8f, 0x4c, 0xa9, 0x7f, 0xdc, 0x88, 0xd4, 0x44, 0xce,
+  0xdb, 0x81, 0xb2, 0x84, 0x91, 0x91, 0xad, 0xd4, 0x96, 0x17, 0xc8, 0x37,
+  0x6e, 0x99, 0xa3, 0x2c, 0xf9, 0x0e, 0x0c, 0x0a, 0x5d, 0xfc, 0x49, 0x61,
+  0x7f, 0x64, 0xc3, 0x99, 0x9f, 0x21, 0x9f, 0x41, 0xb2, 0x82, 0x48, 0xc2,
+  0x28, 0x99, 0x37, 0xe0, 0xc9, 0xdf, 0x7f, 0xff, 0xbd, 0x8a, 0x53, 0xf4,
+  0x8b, 0x8e, 0xfb, 0x86, 0x38, 0xd1, 0x84, 0x98, 0xdb, 0x0c, 0xe5, 0x14,
+  0xb4, 0x32, 0x89, 0x5e, 0xf8, 0x57, 0x3a, 0x4f, 0x69, 0x84, 0x36, 0x56,
+  0xea, 0xf8, 0xf2, 0xc8, 0xb0, 0xa4, 0xc7, 0xc2, 0xc4, 0x40, 0x99, 0x9b,
+  0x70, 0x05, 0xfa, 0x50, 0x8b, 0x90, 0xf0, 0x79, 0xe7, 0xb0, 0xe9, 0xa0,
+  0x7d, 0x6a, 0xcc, 0xd4, 0x60, 0xdd, 0x48, 0x50, 0xac, 0xc8, 0x38, 0xaf,
+  0x3a, 0xf2, 0xe0, 0x75, 0xda, 0x51, 0x03, 0xaf, 0x7c, 0xd2, 0xf1, 0x39,
+  0xa4, 0xb2, 0x1b, 0xd8, 0xb2, 0x57, 0x22, 0x38, 0xa5, 0x3f, 0x27, 0xaf,
+  0x76, 0x77, 0xda, 0x9f, 0x60, 0x6d, 0x28, 0x62, 0xf4, 0xd5, 0x57, 0xde,
+  0x40, 0xfe, 0xd8, 0xf3, 0xe9, 0x44, 0x9e, 0xd6, 0xa2, 0x82, 0x28, 0xb2,
+  0xf2, 0xaa, 0x33, 0xe2, 0xfb, 0x95, 0xff, 0x7f, 0xcd, 0x38, 0x10, 0xf0,
+  0xa5, 0xcf, 0x16, 0xcb, 0xd1, 0x2c, 0xad, 0x0c, 0x78, 0x9b, 0x27, 0xf8,
+  0x39, 0x4c, 0x2a, 0x89, 0xa3, 0x0d, 0x54, 0xa3, 0x15, 0xc9, 0xaf, 0x7b,
+  0x95, 0x65, 0xa3, 0x38, 0xef, 0xaa, 0x11, 0xd5, 0xc6, 0xd9, 0xdd, 0xdd,
+  0x7b, 0xf2, 0xf4, 0x59, 0x77, 0xa0, 0x52, 0x1a, 0x18, 0x04, 0x14, 0xb3,
+  0x54, 0x55, 0x19, 0x69, 0x22, 0x96, 0xe3, 0x19, 0xd6, 0x96, 0x6f, 0x75,
+  0x36, 0x30, 0x0f, 0xe3, 0xee, 0x5e, 0x49, 0x6f, 0x7f, 0xe0, 0x7e, 0x5e,
+  0xa1, 0x8b, 0x3f, 0xa4, 0x93, 0x57, 0x6e, 0x86, 0x7f, 0xe0, 0xb9, 0xbc,
+  0xd2, 0x49, 0xd0, 0xbe, 0x5a, 0x2c, 0x7d, 0xb1, 0xb5, 0xd1, 0xca, 0xd5,
+  0x5a, 0x37, 0xd7, 0x36, 0x71, 0x03, 0x93, 0x86, 0xa7, 0xab, 0x3f, 0x11,
+  0xcb, 0x2d, 0x64, 0x55, 0x1f, 0x48, 0xbe, 0xfd, 0xd0, 0xa7, 0x56, 0xfa,
+  0xdc, 0x4a, 0xdf, 0xb3, 0xeb, 0x68, 0xc6, 0x89, 0x23, 0xbc, 0x11, 0x3d,
+  0xcd, 0x26, 0x98, 0xc2, 0xd6, 0xa1, 0x82, 0x40, 0x96, 0xc1, 0x8f, 0x74,
+  0xf8, 0xd5, 0x49, 0x57, 0x1d, 0xb4, 0xa2, 0xb8, 0xf5, 0xda, 0x8c, 0x6b,
+  0x2e, 0x6a, 0x42, 0x51, 0x08, 0x36, 0x0c, 0x1e, 0x3c, 0x66, 0x7f, 0x23,
+  0xf7, 0x2b, 0xa9, 0x3f, 0xd4, 0x99, 0xde, 0x39, 0x53, 0x36, 0xd7, 0xe5,
+  0xf8, 0x24, 0x6c, 0x06, 0xa8, 0x2e, 0xe2, 0x78, 0x84, 0xa5, 0x7a, 0xe1,
+  0xb2, 0x06, 0xfa, 0xaf, 0x9d, 0x37, 0xc0, 0x45, 0xa9, 0xeb, 0xa3, 0xf4,
+  0x95, 0x70, 0x13, 0x63, 0x10, 0x1d, 0x57, 0x82, 0x4a, 0x28, 0x21, 0xe4,
+  0x1d, 0xf0, 0x65, 0x8c, 0x92, 0x4a, 0x61, 0x23, 0x11, 0x0b, 0x99, 0x7b,
+  0xbe, 0x74, 0x35, 0x8b, 0x3e, 0x8f, 0x80, 0xfb, 0x2f, 0x6f, 0x69, 0x1c,
+  0x7a, 0xa5, 0xbe, 0x2b, 0x5e, 0x52, 0xe5, 0xc0, 0x79, 0x3e, 0x02, 0xaf,
+  0xad, 0x8a, 0x05, 0xd2, 0x82, 0x4c, 0x74, 0xb4, 0x52, 0xf5, 0x9f, 0x5b,
+  0xe8, 0xfe, 0x19, 0x87, 0xe0, 0x25, 0x6f, 0x03, 0xbe, 0xfe, 0xbc, 0x2b,
+  0x26, 0x3c, 0xf7, 0x2e, 0x0f, 0xa3, 0xe6, 0x59, 0x11, 0x02, 0x0d, 0xe7,
+  0x93, 0x5d, 0x39, 0x38, 0x17, 0x91, 0xc5, 0x38, 0xc9, 0x74, 0x0e, 0x75,
+  0x2a, 0x4d, 0xa6, 0x13, 0x2d, 0xab, 0xa6, 0xb2, 0x50, 0x4f, 0x1b, 0x4f,
+  0x38, 0x83, 0x97, 0x65, 0xc7, 0x2e, 0x07, 0xe0, 0xe0, 0xbd, 0xae, 0x43,
+  0x87, 0x61, 0x91, 0x3a, 0x01, 0xbb, 0xcb, 0x13, 0x2b, 0x39, 0xb6, 0xa1,
+  0xc9, 0x65, 0x5e, 0x96, 0x0f, 0x27, 0x56, 0x04, 0xa2, 0x83, 0x8f, 0xd5,
+  0x97, 0x1c, 0xe4, 0xc6, 0x11, 0x79, 0xcd, 0x89, 0x30, 0xda, 0xe9, 0x2b,
+  0x5e, 0xee, 0xdd, 0xc1, 0x75, 0x7a, 0x25, 0x8b, 0x41, 0x2c, 0xf2, 0x3a,
+  0xd9, 0xa6, 0x3f, 0x7b, 0xf4, 0xf9, 0x1e, 0xcb, 0x64, 0xfc, 0xcb, 0x13,
+  0xf8, 0xed, 0xc3, 0x9b, 0x3f, 0x38, 0x1b, 0xee, 0x5c, 0xf0, 0x2f, 0xa9,
+  0xbb, 0xf1, 0xd5, 0x24, 0xad, 0xa3, 0x04, 0x99, 0x2b, 0xf0, 0xa6, 0x17,
+  0x34, 0x7b, 0x81, 0xb9, 0x19, 0xc0, 0x6b, 0x19, 0xa4, 0x93, 0xc2, 0x87,
+  0xb9, 0xa9, 0x63, 0x51, 0xc5, 0x74, 0x96, 0xba, 0x53, 0x35, 0x98, 0x70,
+  0xa0, 0x2d, 0xee, 0xd5, 0xe4, 0x7e, 0xab, 0x17, 0x06, 0x0f, 0x59, 0xa5,
+  0x4d, 0x57, 0x0e, 0x18, 0x59, 0x68, 0xdc, 0xfd, 0xa6, 0xd6, 0xb6, 0x62,
+  0x2c, 0x07, 0x4d, 0x97, 0xc1, 0x36, 0xa7, 0xf5, 0x1d, 0xac, 0x96, 0x87,
+  0x92, 0x80, 0x8f, 0xb4, 0x28, 0xb7, 0xb8, 0x9b, 0x64, 0x5a, 0x40, 0x53,
+  0xe7, 0x41, 0x6f, 0x44, 0xc1, 0xba, 0x1b, 0x4a, 0x06, 0xba, 0xea, 0x72,
+  0xbd, 0xaa, 0x6d, 0xf8, 0x83, 0x84, 0xb7, 0x1d, 0xcf, 0x04, 0x14, 0x1e,
+  0x64, 0x3b, 0xed, 0xcb, 0x7d, 0xa9, 0x42, 0x50, 0xff, 0xf5, 0x20, 0x3a,
+  0x45, 0xe8, 0x5b, 0x11, 0x4b, 0x66, 0xb1, 0xdd, 0xa9, 0x46, 0x01, 0x44,
+  0x2e, 0x22, 0x75, 0x6f, 0x48, 0xa1, 0x2e, 0x4e, 0xe6, 0x34, 0x32, 0x02,
+  0x8e, 0x9d, 0x57, 0x33, 0x45, 0xa2, 0x50, 0x09, 0xa4, 0x07, 0x2b, 0xb4,
+  0x7b, 0x0e, 0x65, 0xdb, 0x5c, 0xd9, 0xe8, 0x80, 0x48, 0x83, 0x46, 0xc4,
+  0xa1, 0xaf, 0x22, 0x67, 0xc0, 0xca, 0x1d, 0xe1, 0x4b, 0xce, 0x68, 0x22,
+  0x66, 0x16, 0x2d, 0xed, 0x2b, 0x3e, 0x2c, 0x6a, 0x0d, 0x94, 0xc5, 0x73,
+  0x67, 0xd2, 0xe9, 0x40, 0x53, 0x9c, 0x26, 0x4e, 0x9d, 0x56, 0x30, 0x5e,
+  0xc1, 0xc5, 0xcd, 0x14, 0x1a, 0x49, 0x04, 0x0c, 0xef, 0x5f, 0xe0, 0x41,
+  0xf2, 0xb8, 0xe2, 0x3b, 0xfa, 0x85, 0x2f, 0xf9, 0x51, 0x4e, 0x3b, 0x9d,
+  0xe4, 0x72, 0x1d, 0xa0, 0x57, 0xe0, 0xa6, 0x38, 0xd8, 0xcb, 0x37, 0xa7,
+  0x91, 0x65, 0x68, 0x5f, 0x79, 0xe1, 0xd0, 0xa2, 0x76, 0x30, 0x45, 0xb5,
+  0x85, 0x88, 0x04, 0xa4, 0x4f, 0xc9, 0xcd, 0x26, 0x6b, 0xcb, 0x49, 0x5e,
+  0x11, 0x2f, 0x4e, 0xe5, 0x98, 0x06, 0x4f, 0xc8, 0xab, 0x4c, 0x3b, 0x44,
+  0x1a, 0x5d, 0x5e, 0x82, 0x6e, 0x2f, 0xea, 0xf2, 0x50, 0xf9, 0x8b, 0x2e,
+  0xd6, 0x13, 0x1f, 0x07, 0xcb, 0xd7, 0x1d, 0xb4, 0x9c, 0x3c, 0x7e, 0xe6,
+  0xd5, 0x17, 0x95, 0x55, 0xc2, 0xe7, 0xd6, 0xd4, 0x2b, 0x89, 0x96, 0x6d,
+  0x48, 0xd9, 0xf6, 0x6e, 0xd0, 0xfe, 0xab, 0x43, 0x6a, 0x45, 0x0a, 0xa3,
+  0xc9, 0x9e, 0x40, 0xa0, 0x76, 0x9f, 0xa5, 0x48, 0x45, 0x69, 0x34, 0xf4,
+  0xe1, 0x93, 0x7b, 0x69, 0xec, 0xc7, 0x85, 0x07, 0x09, 0x47, 0x13, 0x12,
+  0x30, 0x6e, 0x4b, 0xbb, 0x99, 0x8a, 0xa6, 0x77, 0x9f, 0xc1, 0xae, 0x00,
+  0x3e, 0xb3, 0x3b, 0x40, 0x6a, 0x82, 0x87, 0xd2, 0x71, 0x0d, 0x38, 0x75,
+  0xbd, 0x83, 0x05, 0xed, 0x98, 0x99, 0xc4, 0x29, 0xf1, 0xb6, 0xca, 0x6d,
+  0xfc, 0x6a, 0x91, 0x8e, 0x51, 0xe7, 0xf4, 0xd5, 0x17, 0x93, 0xec, 0x9a,
+  0xb9, 0x55, 0x8f, 0x2e, 0x56, 0xfe, 0xd9, 0xe1, 0x87, 0xf7, 0xb4, 0x53,
+  0x19, 0x30, 0xce, 0x8a, 0xc8, 0xed, 0xf6, 0xf7, 0x9a, 0xf0, 0x25, 0x6a,
+  0x78, 0x92, 0x8d, 0xb5, 0x6d, 0xd7, 0xb4, 0xec, 0x07, 0xb5, 0xef, 0xbe,
+  0x08, 0xfb, 0xb2, 0xc5, 0x89, 0xb5, 0x65, 0x29, 0x50, 0x37, 0x4d, 0x4b,
+  0xb9, 0xbe, 0x1d, 0xae, 0x3a, 0x4c, 0x5a, 0x5c, 0x63, 0x42, 0xee, 0xaa,
+  0xa9, 0xc6, 0xcb, 0x77, 0xbf, 0xe8, 0x4a, 0xa8, 0x63, 0xf7, 0x65, 0x17,
+  0x5c, 0x8b, 0x79, 0x91, 0xa1, 0xe8, 0xea, 0x85, 0xd4, 0x95, 0x9b, 0xb0,
+  0x2f, 0xf2, 0x82, 0x16, 0x0f, 0xac, 0x44, 0xa7, 0x30, 0xc3, 0x30, 0xc5,
+  0x31, 0x0c, 0xac, 0x81, 0x61, 0xc0, 0x97, 0xcd, 0x63, 0x64, 0x9a, 0x51,
+  0x29, 0x2e, 0x69, 0xbd, 0x68, 0x21, 0x8a, 0x21, 0xd1, 0xb7, 0x60, 0x87,
+  0xab, 0x18, 0x36, 0x97, 0xf3, 0x05, 0xa7, 0x75, 0x8d, 0x51, 0x55, 0x57,
+  0xcf, 0xd2, 0x20, 0x7a, 0x37, 0x17, 0xdc, 0xbb, 0x84, 0xd5, 0xe3, 0xd0,
+  0x5f, 0xde, 0x73, 0x7e, 0x7f, 0x5a, 0xa8, 0x8a, 0x3f, 0x31, 0x1c, 0xb0,
+  0x98, 0x43, 0xc4, 0x6c, 0xad, 0xfd, 0xf2, 0xd5, 0x9a, 0x73, 0x34, 0x82,
+  0x9a, 0xa5, 0x21, 0x09, 0xb8, 0x84, 0x5f, 0x65, 0x40, 0xec, 0x9d, 0x3b,
+  0x7e, 0x7d, 0x7c, 0x71, 0x71, 0x7c, 0xc1, 0xeb, 0x7d, 0x50, 0xc5, 0xaf,
+  0xbf, 0xd1, 0xc8, 0x68, 0x8f, 0xcc, 0x66, 0x11, 0x61, 0xcd, 0xb2, 0xc6,
+  0xc2, 0x09, 0x15, 0x4a, 0x69, 0x23, 0x32, 0x3f, 0xb7, 0x64, 0xb9, 0x8b,
+  0x41, 0x18, 0xd6, 0x44, 0xc4, 0x03, 0x3a, 0xcb, 0xfd, 0x94, 0xaf, 0x15,
+  0x81, 0xa1, 0x0f, 0x85, 0x89, 0x8d, 0xc8, 0x5e, 0xcd, 0xb5, 0xfe, 0x08,
+  0xae, 0x6a, 0xd3, 0x1d, 0x03, 0xb9, 0x74, 0xa0, 0x21, 0x5c, 0x89, 0x7a,
+  0xaf, 0x7d, 0x6d, 0x71, 0xcc, 0xf7, 0x8a, 0x0f, 0x28, 0xab, 0x4a, 0x58,
+  0x89, 0xa2, 0x5c, 0x2e, 0xd2, 0x89, 0x33, 0xee, 0xd2, 0xe7, 0x24, 0xef,
+  0x45, 0x72, 0xc4, 0x0b, 0x1b, 0x31, 0x9c, 0x89, 0x66, 0x7b, 0x08, 0x8d,
+  0x6b, 0x92, 0x54, 0xee, 0x4d, 0x63, 0x88, 0xf9, 0x97, 0xa2, 0x95, 0x8a,
+  0x99, 0x5d, 0xcb, 0xd8, 0x52, 0xc2, 0x4f, 0x60, 0x54, 0x64, 0x56, 0x61,
+  0xb1, 0x02, 0x21, 0x5b, 0x60, 0xd3, 0xd5, 0xcc, 0x07, 0x42, 0xfa, 0x82,
+  0x82, 0x17, 0x48, 0xd4, 0xc8, 0xf7, 0xa3, 0x1f, 0x8b, 0x74, 0xfc, 0x93,
+  0xbf, 0x39, 0x10, 0xc2, 0xec, 0x63, 0x15, 0x25, 0xb6, 0x80, 0x26, 0xaf,
+  0x0b, 0xa5, 0xba, 0xaf, 0x24, 0x48, 0xbd, 0x1b, 0x1e, 0x5f, 0x44, 0x07,
+  0x5f, 0x31, 0xba, 0xd3, 0xbf, 0xb6, 0xbb, 0xfc, 0x9c, 0xde, 0x0c, 0xb6,
+  0xb7, 0x9a, 0x92, 0x9b, 0x98, 0xe1, 0x5b, 0xeb, 0x26, 0x84, 0x1b, 0x9b,
+  0x5a, 0xf5, 0x98, 0x20, 0x77, 0xb2, 0xb2, 0x85, 0x1b, 0xd1, 0x07, 0x37,
+  0xf1, 0x63, 0xb6, 0x90, 0x0f, 0x58, 0xb8, 0x89, 0x92, 0xcb, 0x2f, 0x0e,
+  0x08, 0xdb, 0x1a, 0x1d, 0x7d, 0xd1, 0x50, 0x33, 0x65, 0x93, 0x0e, 0xa2,
+  0xee, 0x9b, 0xec, 0x67, 0x12, 0x04, 0xe2, 0xed, 0x27, 0x83, 0x9d, 0x68,
+  0xf3, 0xbb, 0x74, 0xfe, 0xe2, 0xd9, 0x9f, 0xa3, 0x93, 0xad, 0x6e, 0x25,
+  0xc8, 0x53, 0x60, 0x9c, 0x47, 0xf1, 0xfc, 0xd6, 0xed, 0xd8, 0x19, 0x4e,
+  0xb5, 0x84, 0xae, 0x18, 0x18, 0xa8, 0x54, 0x26, 0x5c, 0xdb, 0x22, 0x12,
+  0x8d, 0x34, 0x5e, 0x34, 0xfa, 0xd6, 0x01, 0xd2, 0xb1, 0x4e, 0x4f, 0x4f,
+  0x4d, 0x78, 0xe9, 0x5e, 0x3c, 0x6b, 0x34, 0xf1, 0xd4, 0xb5, 0xf1, 0x4e,
+  0xda, 0xf8, 0x85, 0x4d, 0xec, 0x0d, 0x76, 0xf6, 0xa2, 0xcd, 0xb3, 0xe1,
+  0xf6, 0x9e, 0x6b, 0xa1, 0xd9, 0xc4, 0x1e, 0x9a, 0xe0, 0x87, 0xaa, 0x2f,
+  0x3f, 0xe5, 0xfe, 0x7f, 0x4c, 0xe6, 0x3f, 0x45, 0x9b, 0xdf, 0xef, 0xee,
+  0x52, 0x03, 0x7f, 0x8e, 0x0e, 0x4e, 0xbe, 0x8f, 0x9e, 0x0e, 0xa8, 0xb1,
+  0xb7, 0xf1, 0x9d, 0x36, 0xa7, 0x18, 0x4e, 0x43, 0x34, 0x42, 0xdf, 0x37,
+  0xda, 0x78, 0x56, 0x6b, 0xe3, 0x94, 0xf4, 0xc0, 0x07, 0xba, 0x52, 0x76,
+  0x06, 0x4f, 0xf6, 0xa2, 0xf4, 0xd9, 0x67, 0xcf, 0xad, 0x21, 0x6d, 0x03,
+  0xdf, 0x57, 0x6d, 0x93, 0x92, 0xe5, 0x4b, 0x62, 0xce, 0xf1, 0x03, 0x31,
+  0x33, 0x70, 0x08, 0x40, 0xa7, 0xde, 0xc4, 0xf9, 0x44, 0xc9, 0x8d, 0x8b,
+  0xaa, 0xd0, 0x4e, 0x29, 0x3a, 0x58, 0x02, 0x23, 0x25, 0x5d, 0x9a, 0xfb,
+  0x8d, 0xe1, 0xb0, 0x2e, 0x6a, 0x8f, 0xfe, 0x39, 0x7a, 0x33, 0x3c, 0x39,
+  0xa6, 0x19, 0xed, 0xd0, 0xd0, 0xfc, 0x1a, 0xca, 0x80, 0xf0, 0x15, 0x16,
+  0x97, 0x56, 0x75, 0x83, 0xf3, 0x7e, 0xd0, 0x86, 0xc9, 0xd8, 0x12, 0xd1,
+  0xc5, 0xb0, 0x8d, 0x59, 0x51, 0xa0, 0xdf, 0x77, 0x44, 0x6b, 0xfd, 0x83,
+  0x6b, 0x56, 0x19, 0xe4, 0x9a, 0x45, 0xd7, 0xdf, 0x64, 0x73, 0x3a, 0x26,
+  0x79, 0x96, 0x73, 0x98, 0x47, 0xb7, 0x22, 0x29, 0x7c, 0x73, 0x74, 0x2c,
+  0x79, 0x6a, 0x6f, 0xe2, 0x39, 0xb1, 0x48, 0x46, 0x74, 0x28, 0x6e, 0xd9,
+  0xeb, 0x2e, 0xce, 0x1b, 0x79, 0xff, 0x74, 0x35, 0x7f, 0xa0, 0x7d, 0xfc,
+  0x74, 0xb0, 0xcb, 0xa8, 0x76, 0xac, 0xe5, 0xbe, 0x7e, 0x43, 0x7f, 0xef,
+  0x3e, 0xed, 0x46, 0xfc, 0x55, 0x55, 0x63, 0xb7, 0xf3, 0xba, 0x71, 0x78,
+  0x76, 0xf6, 0xcd, 0x89, 0x04, 0x60, 0x1c, 0xaa, 0x11, 0x95, 0x05, 0x2b,
+  0xa7, 0x05, 0x0b, 0x73, 0x25, 0x6d, 0xcd, 0xc7, 0x8f, 0xc3, 0xf5, 0x76,
+  0x9b, 0x24, 0x0b, 0xc0, 0xd0, 0xd5, 0x38, 0x42, 0xa9, 0x2c, 0x5a, 0x46,
+  0xc6, 0x82, 0x74, 0x3a, 0xa9, 0xa2, 0x51, 0x14, 0x8c, 0x10, 0x66, 0x06,
+  0xdb, 0xd1, 0xca, 0xe5, 0xc2, 0xc6, 0xbe, 0x08, 0x24, 0x86, 0xe8, 0xa2,
+  0x58, 0xcd, 0xe0, 0x2c, 0x55, 0xe0, 0xe9, 0x45, 0xd5, 0x75, 0xbb, 0xc3,
+  0xa4, 0xec, 0xcb, 0xa0, 0xf7, 0xd5, 0x46, 0xdb, 0x55, 0x83, 0x93, 0x33,
+  0x97, 0x2d, 0x14, 0x93, 0x16, 0x86, 0xe2, 0xd5, 0x82, 0x8b, 0x55, 0x4e,
+  0x5d, 0x3d, 0x61, 0x14, 0x63, 0x4d, 0x10, 0x4b, 0xf4, 0xf6, 0xe0, 0xcd,
+  0xf1, 0xab, 0x6f, 0x0f, 0x4e, 0xdf, 0x1d, 0xd3, 0x2b, 0x8c, 0xca, 0xba,
+  0xe9, 0xe3, 0x8d, 0x30, 0xc6, 0x59, 0x3a, 0xce, 0xa6, 0xec, 0x53, 0xea,
+  0xfe, 0xb9, 0xbb, 0x21, 0xe1, 0x95, 0x51, 0x87, 0xdf, 0xda, 0x95, 0xd7,
+  0x88, 0x2e, 0xf8, 0xaf, 0x3d, 0xf9, 0x6b, 0xef, 0xcf, 0x9d, 0xad, 0xca,
+  0xa4, 0x1b, 0x5a, 0x31, 0xd3, 0xcb, 0xbd, 0xc4, 0xd5, 0xa1, 0x4a, 0x0a,
+  0x62, 0x7a, 0x65, 0x55, 0x3a, 0xe6, 0x91, 0xb1, 0xab, 0x8d, 0x9f, 0xdd,
+  0x1c, 0xad, 0x42, 0x9d, 0xbb, 0xc3, 0x2f, 0xbd, 0x82, 0x70, 0xd1, 0xe1,
+  0x9c, 0x27, 0x15, 0x37, 0xe0, 0xac, 0xe6, 0x36, 0xac, 0x89, 0xe4, 0x61,
+  0xc1, 0xe1, 0x5b, 0x9b, 0x1d, 0xf9, 0xe5, 0xd5, 0xd1, 0xc1, 0xe5, 0x31,
+  0xbf, 0x60, 0xdd, 0x5b, 0x59, 0x6b, 0x8b, 0xbc, 0xe5, 0xf1, 0x6c, 0x76,
+  0xe4, 0xc3, 0x57, 0x3c, 0xa1, 0x8e, 0xd4, 0x18, 0x10, 0x80, 0xc5, 0xda,
+  0xb8, 0xb2, 0xb9, 0x06, 0x31, 0x06, 0x29, 0x7a, 0x85, 0xc5, 0x89, 0x6c,
+  0x76, 0xe4, 0xbb, 0x8e, 0xb3, 0xd7, 0x6a, 0xe1, 0x56, 0x75, 0x4e, 0x4e,
+  0x10, 0x97, 0xdb, 0x48, 0x0f, 0x92, 0x5a, 0x49, 0x7e, 0x7f, 0xd4, 0x35,
+  0x21, 0x16, 0xa6, 0x00, 0x64, 0xce, 0x6d, 0xbc, 0x66, 0x14, 0xb2, 0x4d,
+  0x29, 0xcb, 0x76, 0xf7, 0x9e, 0xfc, 0x19, 0xeb, 0xf9, 0xaa, 0xb3, 0x4d,
+  0x77, 0x43, 0xe7, 0xcf, 0xdc, 0x75, 0x5a, 0x06, 0xe5, 0x56, 0xb4, 0x1b,
+  0xd6, 0xa5, 0x94, 0xa2, 0x24, 0x48, 0x85, 0x77, 0x1d, 0xb6, 0x30, 0x99,
+  0x17, 0x16, 0xf4, 0x5e, 0xb2, 0x07, 0x2c, 0xc9, 0xdc, 0xdc, 0xf7, 0xd8,
+  0x2f, 0x94, 0x0c, 0x9c, 0x3b, 0x68, 0x52, 0xe9, 0x2e, 0xbc, 0x3f, 0x7a,
+  0xf2, 0xae, 0xcc, 0x51, 0x8b, 0xc0, 0x70, 0x9f, 0xb3, 0x95, 0x25, 0x18,
+  0xa0, 0x2f, 0xc8, 0xe3, 0xb2, 0x67, 0x0d, 0xa9, 0x78, 0xa4, 0xb6, 0x1c,
+  0x53, 0x44, 0x20, 0x12, 0x10, 0x6b, 0x59, 0x41, 0x4e, 0x12, 0x7f, 0x7f,
+  0x10, 0xe6, 0x60, 0x77, 0x76, 0x3c, 0xe2, 0x4c, 0x39, 0x17, 0x4d, 0x1d,
+  0x68, 0xe1, 0x6e, 0xe9, 0xed, 0xf8, 0xa5, 0x01, 0xa0, 0x00, 0x5f, 0x94,
+  0xb2, 0x96, 0x85, 0xb3, 0x19, 0xc1, 0xb7, 0xa8, 0xcf, 0x56, 0xf7, 0xa9,
+  0x96, 0xa7, 0x80, 0x69, 0x88, 0x0a, 0x2f, 0xba, 0x31, 0xb1, 0x9a, 0x79,
+  0x92, 0x3f, 0x1a, 0xe2, 0xd0, 0xe2, 0x7a, 0xc2, 0x14, 0x83, 0x34, 0x17,
+  0x7e, 0x67, 0x30, 0x18, 0xf8, 0x32, 0x20, 0xbc, 0x2d, 0xea, 0x71, 0x02,
+  0xa2, 0x78, 0x80, 0x7a, 0x86, 0x35, 0xde, 0x84, 0x20, 0x0f, 0x61, 0x7a,
+  0x4b, 0xc3, 0x5d, 0xd4, 0x1a, 0xe1, 0x8e, 0x46, 0x60, 0xd3, 0xe8, 0x6a,
+  0xb7, 0x5d, 0x2b, 0x32, 0x70, 0xdb, 0xb6, 0x09, 0x8f, 0x8c, 0x4d, 0x6c,
+  0x8d, 0x45, 0x8c, 0xd4, 0x7c, 0xc7, 0xa7, 0x32, 0xb7, 0x16, 0x4c, 0xc1,
+  0x9c, 0xae, 0x2f, 0x35, 0x50, 0xb1, 0x25, 0xb2, 0x68, 0x3a, 0x14, 0x2d,
+  0x70, 0xc3, 0x4c, 0x2e, 0xbb, 0x47, 0x26, 0x27, 0xf2, 0x45, 0x39, 0xfa,
+  0x63, 0x2e, 0xa6, 0x01, 0xbb, 0x41, 0x1c, 0xe6, 0xaf, 0xb5, 0x33, 0x11,
+  0xd3, 0x2c, 0xeb, 0xcb, 0x90, 0xfb, 0x35, 0xfb, 0x45, 0x73, 0xbc, 0x8b,
+  0x58, 0xb1, 0xb1, 0x48, 0x6c, 0xcb, 0x66, 0x70, 0x72, 0xe9, 0xe4, 0xbd,
+  0x99, 0x84, 0x63, 0xbc, 0xfa, 0x92, 0x25, 0x6d, 0x09, 0x2a, 0xc6, 0x3d,
+  0x34, 0x4f, 0xf6, 0x31, 0xef, 0xf8, 0xd8, 0x5a, 0x74, 0xae, 0xf1, 0xda,
+  0xda, 0xf8, 0x5b, 0xb9, 0xca, 0xba, 0x68, 0x45, 0xc5, 0x9a, 0x0c, 0x41,
+  0x39, 0xe0, 0x7b, 0x51, 0x7c, 0xcf, 0xd5, 0x68, 0x88, 0x06, 0xc5, 0x4d,
+  0x26, 0x16, 0x99, 0xd3, 0xc0, 0xae, 0xe8, 0x66, 0x68, 0xe5, 0x9e, 0x63,
+  0x5f, 0xef, 0xd9, 0x00, 0x61, 0x05, 0xe4, 0xcd, 0x0c, 0x78, 0x29, 0xca,
+  0x89, 0x30, 0x28, 0x97, 0x0a, 0xea, 0xa6, 0x9a, 0xf3, 0xc8, 0x89, 0x45,
+  0x0f, 0x95, 0x6e, 0x52, 0x44, 0x03, 0xb2, 0x8d, 0x43, 0xa2, 0x28, 0x6c,
+  0xb5, 0xa4, 0xd6, 0xb7, 0x75, 0xe2, 0xbc, 0xd1, 0x30, 0x37, 0xb1, 0x3c,
+  0x3d, 0xcf, 0xe6, 0x7d, 0x57, 0x5f, 0xc8, 0x45, 0x5c, 0xe5, 0xe9, 0xf5,
+  0xb5, 0x68, 0x6c, 0x51, 0x7d, 0x6a, 0xed, 0x44, 0x76, 0xca, 0xab, 0xc2,
+  0x21, 0x9b, 0xab, 0x75, 0xab, 0x79, 0xe9, 0xea, 0x98, 0xaa, 0xc5, 0xa5,
+  0x42, 0xcc, 0xe6, 0x81, 0x94, 0x7d, 0x2b, 0x51, 0x07, 0x06, 0x69, 0x96,
+  0x6c, 0xf6, 0xaa, 0x7a, 0x8c, 0xcf, 0x2e, 0x36, 0x50, 0xde, 0x7e, 0xee,
+  0xb3, 0x4a, 0x6d, 0xd3, 0x01, 0x2a, 0xe3, 0xe3, 0x4d, 0x26, 0x6c, 0x57,
+  0x9e, 0xf1, 0x55, 0x7c, 0xef, 0x82, 0x9d, 0x04, 0x65, 0x77, 0x14, 0x7b,
+  0x8d, 0x6b, 0x23, 0xaa, 0x58, 0x77, 0x0b, 0xd4, 0xad, 0x56, 0x3e, 0x94,
+  0xdd, 0x25, 0x1e, 0xd9, 0xc8, 0x1b, 0x18, 0x3d, 0x18, 0x9d, 0x9e, 0x7e,
+  0xc7, 0x4c, 0x6a, 0xee, 0x5c, 0xc7, 0xaf, 0x30, 0xc9, 0xda, 0xaa, 0x0c,
+  0xa2, 0xa0, 0x49, 0x31, 0x93, 0x64, 0x21, 0x8b, 0x97, 0xb1, 0xa9, 0x97,
+  0xda, 0x5a, 0xd4, 0x58, 0x7e, 0xa0, 0xed, 0x07, 0xaa, 0x89, 0xe0, 0xc8,
+  0x2a, 0x55, 0x15, 0x2e, 0x32, 0xce, 0x7b, 0x7b, 0x6d, 0x96, 0x1d, 0xb7,
+  0x49, 0x1d, 0xa4, 0x9c, 0x8c, 0x94, 0x08, 0x40, 0x03, 0x2c, 0xd0, 0x39,
+  0x87, 0xfd, 0xc1, 0x34, 0xe6, 0x90, 0x95, 0x4c, 0x62, 0x01, 0xb0, 0x65,
+  0x20, 0x6a, 0x18, 0xd2, 0x6a, 0x3c, 0xb5, 0x71, 0xfc, 0x5c, 0x6c, 0x86,
+  0xd0, 0x1a, 0x60, 0xe9, 0xb8, 0x19, 0xa2, 0x12, 0x04, 0xe5, 0x8e, 0x8d,
+  0xb9, 0x3f, 0x9e, 0x7e, 0x39, 0xaa, 0x9c, 0xd1, 0x0f, 0x1d, 0xd9, 0xf3,
+  0x8b, 0xb3, 0xaf, 0x2e, 0x8e, 0x87, 0xc3, 0xe8, 0xcd, 0xf1, 0xa5, 0xa8,
+  0xfc, 0x97, 0x12, 0x07, 0x27, 0xe0, 0xc4, 0x70, 0x33, 0x18, 0x42, 0x82,
+  0xc5, 0x9a, 0x98, 0x3d, 0x01, 0x68, 0xaa, 0x19, 0xbb, 0xd0, 0x20, 0xca,
+  0x41, 0x9d, 0x9f, 0x6a, 0xf8, 0xdc, 0x0d, 0x0c, 0xfd, 0x08, 0x66, 0x82,
+  0x27, 0xd2, 0xd9, 0xcd, 0xbd, 0x35, 0x15, 0x32, 0xb2, 0x84, 0x37, 0xdd,
+  0x18, 0xe7, 0xf2, 0xd6, 0x73, 0xbe, 0xbd, 0xe9, 0x27, 0xa6, 0xf7, 0xfb,
+  0xe8, 0xd2, 0x8a, 0x75, 0xff, 0x9e, 0xd4, 0x60, 0xa5, 0x8f, 0xdf, 0x47,
+  0xdf, 0x53, 0x9b, 0x13, 0x5a, 0x75, 0x2d, 0xc0, 0x38, 0x44, 0x91, 0x0d,
+  0x5f, 0xc8, 0x04, 0x25, 0x20, 0xc2, 0xe2, 0x3a, 0xcb, 0x3c, 0xff, 0x40,
+  0xc1, 0x5f, 0x24, 0xcc, 0x0b, 0xa8, 0x80, 0x06, 0xd3, 0xb9, 0x9e, 0xf9,
+  0x6d, 0x00, 0x65, 0x9e, 0x26, 0x57, 0x25, 0x04, 0x12, 0xee, 0x8e, 0x9a,
+  0xdb, 0x61, 0xf8, 0xc2, 0xdd, 0x37, 0xfc, 0xd1, 0x4e, 0xf4, 0xe4, 0xb3,
+  0xe7, 0x3b, 0x9f, 0xc9, 0xaf, 0xf6, 0xef, 0x8b, 0xa7, 0x3b, 0x0a, 0x03,
+  0x4a, 0x7f, 0x3d, 0xdd, 0x7f, 0xba, 0xbb, 0xcf, 0xf0, 0x44, 0x3b, 0xfb,
+  0x3b, 0xf4, 0xff, 0x4f, 0xf5, 0x13, 0xc6, 0x60, 0x7a, 0xb1, 0xf7, 0xd9,
+  0xa7, 0x08, 0x83, 0x61, 0xfa, 0x98, 0x52, 0x27, 0xfd, 0x32, 0xeb, 0x03,
+  0xc3, 0x01, 0x42, 0xd0, 0xef, 0xab, 0x06, 0x49, 0xf6, 0xab, 0x73, 0x21,
+  0x45, 0x9e, 0xb8, 0x2b, 0xcf, 0x6c, 0xc6, 0x55, 0x49, 0xe3, 0x0f, 0x4b,
+  0xc8, 0xba, 0x69, 0xe8, 0xdb, 0x52, 0xc5, 0x13, 0xa0, 0x28, 0x95, 0x77,
+  0x48, 0x64, 0x94, 0x1c, 0xaa, 0xf0, 0xe5, 0x5f, 0xd2, 0xb5, 0xe5, 0x1a,
+  0x6e, 0x00, 0x55, 0x45, 0xb7, 0x4a, 0xdf, 0x1b, 0xcb, 0x12, 0x12, 0x8d,
+  0x04, 0xa5, 0x49, 0x6b, 0x85, 0x44, 0x7f, 0x69, 0x7f, 0x62, 0xc0, 0xe2,
+  0xb7, 0x94, 0x1a, 0xa2, 0x66, 0x6f, 0x56, 0x51, 0xb5, 0xad, 0xaf, 0x0a,
+  0xf1, 0x6c, 0xf8, 0xed, 0xf7, 0x2b, 0x15, 0x54, 0x1e, 0x75, 0x98, 0x22,
+  0x52, 0xcf, 0xa5, 0x65, 0xca, 0x8d, 0xe6, 0xde, 0x2d, 0xc2, 0xf6, 0x3e,
+  0xa6, 0x39, 0x3f, 0x23, 0x50, 0xb0, 0xdb, 0xb9, 0x7e, 0xb0, 0x39, 0xa9,
+  0x44, 0xb4, 0xb9, 0x62, 0xa1, 0x86, 0x8b, 0xe5, 0x2a, 0x0a, 0xe2, 0x55,
+  0x47, 0xb2, 0x7d, 0x79, 0x43, 0xc5, 0xcf, 0x02, 0x99, 0x41, 0x22, 0x28,
+  0xdc, 0x65, 0xb8, 0xed, 0xe5, 0x79, 0xa3, 0xec, 0x46, 0x57, 0x4c, 0x8d,
+  0x41, 0x7f, 0xda, 0x07, 0xce, 0x93, 0x3b, 0x74, 0x8f, 0x4e, 0xcd, 0x07,
+  0xb7, 0xbb, 0x6a, 0x36, 0x9b, 0x2e, 0x58, 0xbc, 0xed, 0x48, 0xfa, 0xe7,
+  0x10, 0x3f, 0xee, 0x9a, 0x0b, 0x2f, 0x22, 0x94, 0x32, 0x52, 0x24, 0x63,
+  0x86, 0xdb, 0x62, 0x70, 0xda, 0x2d, 0x63, 0x61, 0xfd, 0x4f, 0x5c, 0xbc,
+  0x16, 0xee, 0x35, 0x05, 0x64, 0x8f, 0x85, 0xf2, 0xa7, 0x61, 0x5a, 0x59,
+  0x05, 0x8a, 0x3d, 0x04, 0x81, 0xdd, 0x90, 0xda, 0xc2, 0x74, 0xd3, 0xd2,
+  0xcd, 0x11, 0x94, 0xed, 0xfa, 0xdd, 0xc6, 0xc6, 0xf0, 0xfc, 0xf8, 0xf8,
+  0x28, 0x3a, 0x3d, 0x79, 0x73, 0x72, 0x19, 0x08, 0xe4, 0xee, 0x22, 0x31,
+  0x83, 0x6b, 0x61, 0xb5, 0x5b, 0xaa, 0xcb, 0xe1, 0x51, 0x07, 0xa5, 0x3f,
+  0xbb, 0xca, 0x67, 0x89, 0xa6, 0x31, 0x4c, 0xeb, 0xef, 0x41, 0xf5, 0x06,
+  0x50, 0x05, 0xea, 0x6b, 0x78, 0x81, 0xae, 0x20, 0xe1, 0x66, 0xec, 0xaa,
+  0xfc, 0xf4, 0x7f, 0xd0, 0x00, 0x8d, 0xaa, 0xe4, 0xa4, 0xe0, 0x69, 0xae,
+  0x88, 0x93, 0x06, 0xb5, 0xd6, 0x46, 0xc5, 0x6b, 0x9b, 0x4c, 0xb5, 0x90,
+  0xa8, 0xb3, 0xd0, 0x21, 0x5e, 0xef, 0x3e, 0x41, 0x42, 0xec, 0x2c, 0x15,
+  0x08, 0xe7, 0x30, 0x98, 0xd8, 0x55, 0x4d, 0xb9, 0xcc, 0x84, 0x8f, 0x87,
+  0x3d, 0x86, 0x05, 0xad, 0x2c, 0x92, 0xd6, 0xfa, 0x0a, 0x4b, 0x25, 0x3d,
+  0xd9, 0x71, 0xf9, 0x02, 0x0b, 0xf0, 0x1c, 0x15, 0xf5, 0xb9, 0xb3, 0xdd,
+  0x88, 0xe4, 0x91, 0x25, 0x4b, 0xf5, 0xf9, 0x72, 0xde, 0xb8, 0xee, 0x7e,
+  0x90, 0x77, 0x69, 0xfe, 0xcf, 0x77, 0x70, 0xbd, 0x5d, 0xc5, 0x79, 0x9f,
+  0x24, 0xaf, 0x55, 0xdf, 0x8c, 0xab, 0x42, 0x11, 0x1a, 0x68, 0x2c, 0xa6,
+  0x9f, 0xc4, 0xd7, 0xf8, 0xa8, 0x49, 0x8b, 0x3e, 0xe9, 0x23, 0x83, 0x4b,
+  0x72, 0xaa, 0x07, 0x80, 0xa7, 0xde, 0x8b, 0x50, 0xa1, 0xda, 0x85, 0x3e,
+  0x8b, 0xac, 0xe3, 0x81, 0xf5, 0x6c, 0x17, 0x3d, 0x8f, 0x42, 0xd5, 0xd3,
+  0x4c, 0x9d, 0x43, 0x29, 0x4f, 0x53, 0xe7, 0xd2, 0x14, 0xad, 0x67, 0xd1,
+  0xee, 0x67, 0x3c, 0x8f, 0x8f, 0x9b, 0x0f, 0xd7, 0xb2, 0xb0, 0x28, 0x36,
+  0x51, 0x17, 0x32, 0xbf, 0x9b, 0x92, 0x97, 0x00, 0xb4, 0x72, 0x59, 0x5d,
+  0x8b, 0x86, 0x45, 0xb4, 0x1e, 0xeb, 0x27, 0xea, 0x4a, 0x87, 0x65, 0x0a,
+  0xbe, 0x6d, 0x91, 0x90, 0x50, 0xb5, 0x51, 0xd6, 0x85, 0x6d, 0xad, 0x12,
+  0xad, 0xd7, 0xcd, 0x7d, 0xc6, 0x1c, 0x96, 0x81, 0xad, 0x23, 0x44, 0x6b,
+  0xf7, 0xe9, 0x04, 0x52, 0xb5, 0x19, 0x01, 0x40, 0x7f, 0x42, 0x7c, 0x12,
+  0x24, 0x0d, 0xd7, 0x25, 0x7c, 0x9e, 0x6e, 0x64, 0x2a, 0xc0, 0xf0, 0xb2,
+  0x66, 0x30, 0x2e, 0x6c, 0x42, 0x7e, 0xe0, 0x32, 0x2c, 0x55, 0xd7, 0x00,
+  0xb3, 0xe6, 0x8e, 0xef, 0x85, 0x03, 0xf7, 0xcb, 0x72, 0x6a, 0x76, 0x05,
+  0x5f, 0x67, 0xa1, 0x3a, 0x67, 0x4e, 0xe6, 0x0f, 0xa6, 0xbd, 0xbb, 0x43,
+  0xf2, 0xeb, 0x34, 0xab, 0x17, 0x64, 0x6b, 0x2a, 0xa5, 0x98, 0x56, 0x1f,
+  0xab, 0xb3, 0xbb, 0xf3, 0xcd, 0xfa, 0x55, 0x07, 0x48, 0xeb, 0xa3, 0x2f,
+  0xef, 0x3d, 0x7d, 0x64, 0xd3, 0xce, 0x72, 0x57, 0x61, 0xc7, 0x03, 0x8d,
+  0x78, 0x07, 0x4c, 0x63, 0xdb, 0x88, 0xf0, 0x93, 0xeb, 0x18, 0x25, 0xd8,
+  0x1f, 0x19, 0xbd, 0x25, 0x68, 0xd4, 0x86, 0xf2, 0x46, 0xc3, 0xb1, 0xe5,
+  0xcb, 0x82, 0x2d, 0x64, 0x0b, 0xc0, 0x0d, 0x79, 0x35, 0xd6, 0xa5, 0x74,
+  0x4a, 0x8e, 0x77, 0xf0, 0xb6, 0x70, 0xce, 0x5e, 0x95, 0x49, 0x18, 0xf5,
+  0xe4, 0xc9, 0xf5, 0x52, 0x92, 0xa8, 0x33, 0x51, 0xfb, 0x19, 0x8f, 0x51,
+  0xcf, 0x2b, 0xf1, 0x66, 0x8e, 0x1c, 0x12, 0x7a, 0x02, 0xe3, 0x1d, 0xc7,
+  0x26, 0xb2, 0x8a, 0xc8, 0x51, 0xbf, 0x18, 0xd8, 0x3e, 0x3b, 0x66, 0x67,
+  0x18, 0xb8, 0x81, 0x1c, 0xaf, 0xb0, 0xd4, 0x93, 0x54, 0x41, 0x1a, 0x20,
+  0x43, 0x51, 0x08, 0xc5, 0x31, 0x7b, 0xce, 0xeb, 0x62, 0xa7, 0x58, 0x29,
+  0x1e, 0x02, 0x34, 0xd0, 0x53, 0xaa, 0x45, 0x4b, 0xae, 0x2b, 0xe6, 0xf8,
+  0x85, 0xa5, 0xa0, 0x0a, 0x4c, 0x2c, 0xdb, 0xfd, 0x0f, 0xcf, 0xde, 0xbe,
+  0x3e, 0xf9, 0xca, 0x01, 0x5b, 0x08, 0x13, 0x5f, 0x96, 0x19, 0xdb, 0x35,
+  0xc5, 0x68, 0xe8, 0x8a, 0x70, 0x39, 0x87, 0xb7, 0x56, 0xda, 0xd0, 0xb0,
+  0x5b, 0x62, 0x4f, 0xef, 0xc3, 0x0f, 0xc0, 0x40, 0xe6, 0x4f, 0xd8, 0x56,
+  0x2e, 0xd9, 0xe3, 0xc5, 0x96, 0xb7, 0x3c, 0xd4, 0xa0, 0x77, 0x24, 0x3d,
+  0x23, 0xce, 0xcb, 0xe5, 0xc2, 0x45, 0x0f, 0x06, 0x95, 0x3a, 0x14, 0x40,
+  0x92, 0x6f, 0x05, 0xae, 0x18, 0xbd, 0x5c, 0x08, 0x6b, 0x92, 0xa8, 0xc7,
+  0xaa, 0x61, 0x57, 0xee, 0x00, 0xb6, 0x2c, 0x68, 0xba, 0xbd, 0x5e, 0x00,
+  0x8d, 0x90, 0x9c, 0x29, 0xe3, 0x61, 0x85, 0x81, 0xf2, 0xe6, 0xca, 0xe1,
+  0x32, 0x5d, 0x32, 0x51, 0x2b, 0xb2, 0x34, 0x13, 0xcd, 0x8c, 0xe7, 0x2d,
+  0xb5, 0x5b, 0x7f, 0x70, 0x55, 0x6c, 0x35, 0xec, 0xd7, 0xbb, 0x8a, 0x0a,
+  0x57, 0x92, 0xd4, 0x85, 0x26, 0xc9, 0x60, 0x11, 0x42, 0x58, 0xf4, 0xc4,
+  0xe5, 0x89, 0x4f, 0x5e, 0xb1, 0x87, 0x66, 0x7f, 0x80, 0x42, 0x97, 0x88,
+  0xdf, 0x09, 0x6b, 0x50, 0x29, 0x97, 0xf4, 0x60, 0xa7, 0x27, 0x57, 0x41,
+  0x4a, 0x99, 0x84, 0x08, 0x1a, 0xd1, 0x89, 0xb9, 0x98, 0x6d, 0x2d, 0xdd,
+  0x4f, 0xba, 0xfd, 0x62, 0x35, 0x1b, 0x65, 0x53, 0xcb, 0xb8, 0x70, 0x49,
+  0xd5, 0xf6, 0x50, 0x49, 0xd3, 0x40, 0xcc, 0xa0, 0x14, 0x1d, 0x44, 0xd7,
+  0x81, 0x85, 0xd2, 0x87, 0x49, 0xf9, 0xf1, 0x0b, 0xba, 0x3e, 0x3c, 0x45,
+  0x36, 0x0b, 0x97, 0xe1, 0x9f, 0xcc, 0xc7, 0xd3, 0x4c, 0xa9, 0x9a, 0x13,
+  0x63, 0xb1, 0x52, 0xd5, 0xa9, 0xb3, 0xef, 0x2f, 0x5b, 0xb2, 0xb1, 0x03,
+  0xc8, 0xd9, 0x24, 0xee, 0xb0, 0x71, 0xf8, 0x3b, 0x9b, 0x20, 0xbf, 0x2d,
+  0x5f, 0x68, 0x38, 0xbe, 0x41, 0x23, 0x50, 0x43, 0x02, 0xb5, 0x4d, 0x43,
+  0xfd, 0x8b, 0xd8, 0x16, 0xc5, 0x03, 0xf8, 0x83, 0x75, 0x6e, 0x8f, 0xd6,
+  0x96, 0x9e, 0xe8, 0x29, 0xce, 0xaf, 0x15, 0x73, 0x48, 0x9d, 0x6a, 0x50,
+  0x12, 0x1d, 0x00, 0xba, 0xb3, 0x51, 0xb2, 0x50, 0xe2, 0xc2, 0x65, 0x20,
+  0x3e, 0x2d, 0x25, 0xa9, 0x4f, 0xd3, 0x9f, 0xc4, 0x3a, 0xe9, 0x08, 0x31,
+  0xe0, 0x38, 0x9f, 0xb8, 0x90, 0x94, 0xd8, 0xdf, 0x65, 0x86, 0xcc, 0xec,
+  0x4d, 0xb5, 0x7a, 0x99, 0x05, 0xaf, 0xb1, 0x3d, 0x0f, 0x9a, 0x70, 0xa2,
+  0x36, 0x14, 0xe9, 0x0a, 0xb2, 0x04, 0x03, 0x6e, 0x21, 0xeb, 0x27, 0x29,
+  0x7c, 0x13, 0xf2, 0xfd, 0x2b, 0x4d, 0x31, 0xa7, 0xf3, 0xac, 0xa0, 0x01,
+  0x0a, 0x86, 0xf4, 0xd9, 0x8e, 0x5a, 0xe2, 0x4a, 0x8d, 0x53, 0x2d, 0xa2,
+  0x83, 0x8b, 0x63, 0x92, 0x6c, 0xaf, 0xe7, 0x48, 0x0a, 0xe7, 0x11, 0x96,
+  0xba, 0x3f, 0x10, 0xac, 0x79, 0x15, 0xf4, 0x7c, 0x70, 0x87, 0xf7, 0xc1,
+  0x9b, 0x4c, 0x4c, 0x1a, 0x1f, 0x40, 0x87, 0xcc, 0x05, 0xa0, 0x31, 0xc9,
+  0x8d, 0x0d, 0xac, 0x0f, 0x5c, 0x87, 0xb3, 0xbb, 0x85, 0xa4, 0xd8, 0x5b,
+  0x42, 0x5d, 0x65, 0x06, 0xd4, 0x77, 0xde, 0x60, 0xeb, 0x21, 0x42, 0x9f,
+  0xad, 0x35, 0x4e, 0xb5, 0xcf, 0x41, 0xf8, 0x9b, 0xe1, 0x8c, 0x69, 0x5f,
+  0x15, 0x0f, 0xa8, 0x27, 0xa7, 0x5e, 0xbb, 0xf5, 0xe8, 0x6f, 0xb8, 0x67,
+  0x58, 0x16, 0xa9, 0xcb, 0x05, 0x89, 0x0b, 0xad, 0x17, 0x43, 0xf6, 0x24,
+  0x10, 0x7e, 0x25, 0x1f, 0x8f, 0x83, 0xab, 0xc5, 0x46, 0xcd, 0xc2, 0x4f,
+  0x5c, 0x24, 0x56, 0x51, 0x09, 0xea, 0xc0, 0x44, 0xcf, 0x2a, 0x53, 0x05,
+  0xc7, 0x09, 0x8f, 0x18, 0x68, 0xe3, 0x56, 0x04, 0x80, 0x90, 0x3f, 0xb5,
+  0x9a, 0x79, 0x3f, 0x71, 0xb3, 0xf5, 0x63, 0x70, 0x5f, 0xf2, 0x47, 0xaf,
+  0x1c, 0xee, 0x10, 0x8f, 0x62, 0xc0, 0x1d, 0x81, 0xa5, 0xc2, 0x7d, 0xca,
+  0xbf, 0xe0, 0x63, 0x04, 0xbc, 0x19, 0x7a, 0x5b, 0x05, 0x3b, 0x44, 0x21,
+  0xdf, 0xc3, 0x81, 0x88, 0x8f, 0x0f, 0x1c, 0x7a, 0x14, 0x8a, 0xc6, 0x41,
+  0x95, 0x23, 0x36, 0xe5, 0x70, 0x06, 0xaf, 0x1d, 0xf8, 0x22, 0xa9, 0x54,
+  0x45, 0x72, 0x29, 0x42, 0x9d, 0x7e, 0x87, 0xd6, 0xa2, 0x3b, 0x9d, 0x7a,
+  0x86, 0x6f, 0x8f, 0xf1, 0xae, 0x22, 0x9b, 0xce, 0x0b, 0x4c, 0xca, 0xbb,
+  0x18, 0x4f, 0x7a, 0x55, 0xc9, 0x6d, 0xe0, 0x7a, 0x1c, 0x9c, 0xfa, 0xe3,
+  0xb0, 0x5f, 0x90, 0x1f, 0x82, 0x70, 0x81, 0xbb, 0xb4, 0x30, 0x3f, 0x24,
+  0xd1, 0xf6, 0x58, 0x63, 0x23, 0x24, 0x91, 0x3a, 0x29, 0xc7, 0xc1, 0x52,
+  0x26, 0xe3, 0x9b, 0x4c, 0xc2, 0x69, 0x69, 0xd1, 0x82, 0xb4, 0xcb, 0x4e,
+  0xf4, 0x5f, 0x4a, 0x03, 0xdf, 0xf8, 0x6c, 0x3d, 0x26, 0x84, 0x81, 0xa0,
+  0x6a, 0x0d, 0x3c, 0x41, 0x1c, 0x7f, 0x7f, 0x79, 0x71, 0x10, 0x7d, 0x7d,
+  0x7c, 0x70, 0x74, 0x7c, 0x31, 0xac, 0x5d, 0xfa, 0x1a, 0x05, 0x22, 0x12,
+  0x1a, 0xdb, 0x83, 0x21, 0x1a, 0x5b, 0xce, 0xbf, 0x06, 0xec, 0x1b, 0xd7,
+  0x8b, 0x57, 0x38, 0x48, 0x74, 0x3e, 0x58, 0x21, 0x12, 0xc7, 0x01, 0x47,
+  0xa5, 0x71, 0xe4, 0x73, 0x16, 0xb4, 0xa1, 0xa5, 0x7f, 0x9d, 0xf5, 0x3c,
+  0x4c, 0x95, 0xf1, 0x70, 0x4e, 0xfe, 0x32, 0x99, 0x64, 0x96, 0x05, 0x58,
+  0xdd, 0xb9, 0xaf, 0x7d, 0xc2, 0x75, 0xc0, 0xb6, 0xf4, 0x92, 0x51, 0x03,
+  0x62, 0xe7, 0xfb, 0x3e, 0xf5, 0xdb, 0xa7, 0xc5, 0xef, 0x33, 0xe2, 0xd6,
+  0x2a, 0x29, 0x3a, 0x35, 0x6b, 0x60, 0xb5, 0xfb, 0x0d, 0x29, 0x70, 0xd9,
+  0x38, 0x49, 0x5f, 0xb7, 0xb6, 0xc4, 0xa7, 0x6b, 0xca, 0x95, 0x01, 0xea,
+  0x1a, 0x04, 0x2e, 0xd5, 0x40, 0x48, 0xd6, 0x13, 0xd4, 0xc8, 0x6b, 0xd1,
+  0x38, 0x25, 0xaf, 0x66, 0x6a, 0x58, 0x18, 0x06, 0xa2, 0x53, 0x80, 0xac,
+  0x93, 0x96, 0x7a, 0xa9, 0xc3, 0x2e, 0x62, 0x70, 0x90, 0x34, 0x2c, 0x7d,
+  0x28, 0xbc, 0x1f, 0xe0, 0x0b, 0xd1, 0x00, 0xfd, 0xa2, 0xe2, 0x2a, 0x55,
+  0xbb, 0xa8, 0x16, 0xa7, 0xd1, 0xe6, 0x78, 0x0c, 0x8e, 0xe6, 0x2d, 0xae,
+  0x9f, 0xbb, 0x34, 0x60, 0x6c, 0x7d, 0x57, 0x82, 0xc1, 0x58, 0xa9, 0x87,
+  0xa9, 0x93, 0xc3, 0xcd, 0x64, 0xe3, 0x4d, 0x5e, 0x0d, 0x92, 0x80, 0x42,
+  0x62, 0x46, 0x11, 0x0f, 0x04, 0x8e, 0xbb, 0xe7, 0x92, 0xe8, 0xeb, 0xac,
+  0xc0, 0x5d, 0xd0, 0x7c, 0x9c, 0x2f, 0xf9, 0xb6, 0xe5, 0xc7, 0x1b, 0xea,
+  0xea, 0x72, 0x90, 0x77, 0xc0, 0x88, 0x04, 0xfb, 0x3a, 0x3f, 0xb8, 0xfc,
+  0x1a, 0x8e, 0x56, 0x90, 0xf0, 0x11, 0x90, 0x1e, 0xcc, 0xbd, 0xd6, 0xcc,
+  0xc5, 0x72, 0x0a, 0x9c, 0xc8, 0xbf, 0x86, 0xdd, 0x65, 0xf2, 0x24, 0x1c,
+  0x79, 0x30, 0x51, 0x02, 0x0a, 0x28, 0x55, 0xc3, 0x63, 0xb5, 0xb4, 0x0c,
+  0xa2, 0xde, 0x5d, 0xa2, 0x9d, 0x0b, 0xbb, 0xec, 0x4a, 0x26, 0x7a, 0x57,
+  0xe6, 0x04, 0xa2, 0x67, 0x61, 0x8e, 0x35, 0x9e, 0x10, 0x49, 0x11, 0x5f,
+  0x5c, 0x69, 0x8a, 0x6d, 0x8f, 0xf6, 0xb4, 0x1d, 0x1a, 0x2b, 0x38, 0xd2,
+  0x5f, 0xcc, 0x56, 0x83, 0x26, 0x6e, 0x48, 0xf4, 0xe5, 0xb2, 0xac, 0xb2,
+  0x95, 0x1a, 0x9e, 0xa3, 0x93, 0x2c, 0xf3, 0x2c, 0x2b, 0xab, 0x88, 0x88,
+  0x58, 0x1d, 0x39, 0xd1, 0x82, 0x81, 0x26, 0x63, 0xe1, 0xa6, 0xe6, 0x2a,
+  0x77, 0x87, 0x82, 0x61, 0x3c, 0x2a, 0xb2, 0xe9, 0xb2, 0x0c, 0x02, 0xaf,
+  0x7f, 0xd9, 0x98, 0x83, 0x41, 0x6f, 0x9e, 0x0c, 0x12, 0x23, 0x28, 0x8e,
+  0x1c, 0xce, 0x63, 0xd2, 0xf4, 0xb9, 0x0a, 0x2c, 0xfb, 0x1d, 0xf3, 0x6c,
+  0x5e, 0xad, 0x7e, 0x82, 0x18, 0xef, 0xad, 0x8d, 0x8d, 0xa1, 0x6d, 0x36,
+  0x83, 0xef, 0x35, 0x37, 0x1d, 0x38, 0x11, 0x40, 0xf8, 0x13, 0xbf, 0xc1,
+  0x98, 0x7e, 0x31, 0x3c, 0xa4, 0x44, 0xf6, 0x14, 0x2c, 0x5c, 0xf6, 0x38,
+  0x2d, 0xaa, 0x93, 0xc2, 0x57, 0xce, 0x73, 0x61, 0x89, 0x65, 0x97, 0x99,
+  0x01, 0xe5, 0xaa, 0xe7, 0xce, 0x13, 0x44, 0x25, 0x35, 0xbd, 0x15, 0x31,
+  0x93, 0x2f, 0x01, 0x05, 0xe7, 0xf2, 0x51, 0xb9, 0x3c, 0xc8, 0xed, 0xff,
+  0xde, 0x8e, 0x7a, 0x02, 0x73, 0xd3, 0x02, 0x36, 0xb2, 0x8c, 0xfe, 0x1f,
+  0x84, 0x60, 0x29, 0x58, 0x21, 0xb7, 0x59, 0x43, 0xf8, 0x1b, 0x90, 0x0a,
+  0x75, 0x93, 0x8f, 0x3d, 0xf5, 0x93, 0x74, 0x90, 0xdc, 0xb3, 0xfe, 0x62,
+  0x3a, 0x02, 0x7f, 0x61, 0x59, 0xa6, 0x1e, 0x38, 0x06, 0x78, 0x17, 0x57,
+  0xce, 0xaa, 0xc7, 0x85, 0xa3, 0xa4, 0x8c, 0x92, 0x88, 0xf5, 0xa8, 0x22,
+  0x60, 0x1e, 0xd4, 0x8d, 0xa8, 0xa2, 0xb7, 0x17, 0x51, 0x91, 0xc9, 0x4f,
+  0xcb, 0x36, 0xd2, 0x18, 0x2f, 0x25, 0x7f, 0x55, 0xa3, 0xb4, 0x62, 0x8b,
+  0x96, 0x31, 0xb3, 0xb8, 0x53, 0x09, 0xab, 0x33, 0xc7, 0xa4, 0x8d, 0xd1,
+  0x84, 0x00, 0xf6, 0x5b, 0x02, 0xf8, 0x0c, 0x97, 0x4d, 0xe1, 0x0b, 0xa3,
+  0x22, 0x59, 0x9b, 0xab, 0x0e, 0x99, 0x22, 0x63, 0x37, 0xaa, 0x25, 0x70,
+  0xb8, 0x8d, 0xf2, 0xa3, 0xd7, 0xab, 0x1f, 0x09, 0xf1, 0xf0, 0xd1, 0xdd,
+  0xc7, 0x69, 0x19, 0x4a, 0x04, 0x36, 0x23, 0xd2, 0xf0, 0x14, 0xae, 0x7e,
+  0xb4, 0xaa, 0x84, 0xa6, 0xf8, 0xb8, 0xcd, 0x6b, 0xce, 0xef, 0x50, 0x8b,
+  0x94, 0x62, 0x89, 0xc0, 0xfc, 0x75, 0x93, 0x6a, 0x74, 0xa9, 0x2c, 0xba,
+  0x99, 0x03, 0xd9, 0x9e, 0x01, 0xf3, 0x1e, 0x87, 0x16, 0x78, 0xef, 0xaa,
+  0x0b, 0x80, 0x18, 0x34, 0x4f, 0xcb, 0xc0, 0xa1, 0xee, 0xe9, 0x0d, 0x72,
+  0x12, 0x66, 0x92, 0x63, 0x55, 0x5c, 0xb8, 0xf3, 0x47, 0x75, 0x1d, 0xf6,
+  0xc7, 0x51, 0xac, 0xf3, 0xc8, 0xaf, 0x47, 0x21, 0x57, 0xc9, 0xde, 0x2e,
+  0x54, 0x52, 0x09, 0xdc, 0x00, 0x88, 0x9d, 0x95, 0xb3, 0xaa, 0x54, 0x1f,
+  0x09, 0xd6, 0x1d, 0xf5, 0x32, 0x81, 0x91, 0x68, 0x49, 0xf6, 0xea, 0x67,
+  0x16, 0x89, 0x30, 0xf0, 0x38, 0x55, 0xca, 0x9e, 0x48, 0xe2, 0x76, 0x51,
+  0xe6, 0xcb, 0x71, 0x05, 0xb0, 0x0a, 0xc4, 0x50, 0xf1, 0xcf, 0xbb, 0xe5,
+  0xcd, 0x42, 0xad, 0x7e, 0x33, 0xae, 0xa4, 0xb1, 0xe8, 0x93, 0x61, 0x17,
+  0x5b, 0x52, 0x06, 0x54, 0x8b, 0x20, 0x43, 0x3b, 0xa1, 0xf1, 0x3b, 0x02,
+  0xeb, 0x9f, 0xbb, 0x24, 0xfa, 0x0a, 0xee, 0x97, 0xa4, 0x24, 0x04, 0xb7,
+  0xae, 0x8a, 0x60, 0x10, 0x39, 0xf2, 0x48, 0x11, 0xc8, 0x20, 0xd0, 0xb0,
+  0xb1, 0x72, 0xc3, 0xa1, 0x84, 0x51, 0x77, 0x7d, 0x5f, 0xf7, 0x93, 0xfa,
+  0xdb, 0xa6, 0x85, 0x34, 0xe0, 0x7d, 0x57, 0xd6, 0xa1, 0xf0, 0x48, 0x63,
+  0xb5, 0x58, 0xd5, 0x64, 0x4a, 0x53, 0x76, 0x92, 0xa1, 0x9c, 0xc4, 0x99,
+  0xae, 0xdf, 0xc0, 0x55, 0xe2, 0xb4, 0x72, 0xa7, 0x35, 0x41, 0xa2, 0x79,
+  0x2b, 0x9e, 0x0b, 0x0a, 0x49, 0x83, 0x88, 0x8e, 0xcc, 0x9a, 0x0a, 0x66,
+  0x83, 0x05, 0x63, 0x9d, 0xc6, 0x36, 0xe9, 0xe4, 0xdc, 0x75, 0x41, 0x43,
+  0xe0, 0x19, 0x77, 0xa7, 0xc9, 0x4e, 0x37, 0xa8, 0x4b, 0xb1, 0x29, 0x51,
+  0xff, 0x19, 0xf4, 0x1e, 0xb6, 0x1c, 0x62, 0x82, 0x62, 0xb7, 0xe0, 0x08,
+  0xb7, 0xad, 0x96, 0xa1, 0x50, 0x13, 0xbf, 0x74, 0x30, 0xbb, 0x2f, 0xf6,
+  0x06, 0xbb, 0xcf, 0x3f, 0x1b, 0xec, 0x0c, 0x76, 0x77, 0x98, 0xb3, 0xf0,
+  0x50, 0x82, 0xc1, 0xc9, 0xba, 0xb4, 0x74, 0x55, 0x79, 0xaf, 0xd9, 0xe7,
+  0xdb, 0xe3, 0xcb, 0xef, 0xce, 0x2e, 0xbe, 0x89, 0x4e, 0xde, 0x5e, 0x1e,
+  0x5f, 0xbc, 0x3e, 0x38, 0xfc, 0x58, 0xe8, 0xe1, 0xd0, 0x60, 0x1d, 0x14,
+  0x22, 0x4c, 0xfc, 0xc2, 0x34, 0xad, 0x82, 0x7e, 0xcd, 0x92, 0xf2, 0x66,
+  0x67, 0x7f, 0xf7, 0x51, 0xbc, 0xd2, 0x16, 0xc3, 0xa0, 0x7f, 0xdf, 0x26,
+  0xb5, 0xcb, 0x93, 0x5a, 0xdf, 0x8a, 0x43, 0x41, 0x1b, 0x4a, 0x80, 0x95,
+  0x0b, 0xce, 0x05, 0x83, 0x47, 0x51, 0x82, 0x74, 0x94, 0xc7, 0x66, 0x92,
+  0x1a, 0x09, 0x68, 0xa2, 0x64, 0xd4, 0x2a, 0xbe, 0x8b, 0x06, 0xa1, 0x2b,
+  0xbb, 0xe5, 0x18, 0xe5, 0x65, 0x3a, 0x2d, 0xd5, 0x90, 0x22, 0x18, 0x88,
+  0x13, 0x08, 0x77, 0xc6, 0x90, 0xad, 0x30, 0x2f, 0xea, 0xf2, 0xa2, 0x30,
+  0x97, 0x14, 0xe6, 0x9d, 0xb8, 0x44, 0x11, 0x07, 0x3c, 0x50, 0x49, 0xb7,
+  0xc1, 0x58, 0xab, 0x75, 0x1b, 0xc3, 0x18, 0xda, 0x1a, 0x00, 0x61, 0x61,
+  0xb1, 0xcd, 0x98, 0x58, 0xc5, 0x28, 0x7a, 0xa8, 0x03, 0xc1, 0x69, 0x08,
+  0x46, 0x23, 0x5d, 0x41, 0x94, 0x32, 0xd0, 0xdb, 0x2a, 0x7c, 0xa6, 0xdc,
+  0x4e, 0x48, 0x9e, 0x10, 0xc9, 0xcf, 0xf0, 0xb9, 0xb9, 0xf5, 0xa2, 0x02,
+  0xab, 0x16, 0x49, 0xa1, 0x88, 0xf0, 0x75, 0x11, 0xb2, 0x11, 0xa2, 0x39,
+  0xc9, 0xe3, 0x7b, 0xae, 0x3f, 0x23, 0x62, 0x83, 0x0f, 0x66, 0x0c, 0x8a,
+  0x5d, 0xb0, 0xc8, 0xe4, 0xd7, 0x3c, 0x3a, 0x3f, 0x7e, 0xd3, 0xb7, 0x3a,
+  0x78, 0xf4, 0xbb, 0x98, 0xa1, 0x0c, 0x76, 0x53, 0x92, 0x7b, 0x16, 0xc9,
+  0xdc, 0x02, 0x6a, 0xc0, 0x13, 0x35, 0x02, 0x28, 0x9c, 0x00, 0x1f, 0x1a,
+  0xb1, 0x48, 0x08, 0xaf, 0x55, 0xfc, 0x32, 0xbb, 0xb4, 0x5a, 0x10, 0xf0,
+  0x78, 0x3f, 0x35, 0x6a, 0x39, 0xda, 0x74, 0x91, 0xba, 0xdc, 0x1f, 0xc2,
+  0x51, 0x11, 0x2d, 0xe0, 0x02, 0x04, 0x32, 0x4b, 0xb6, 0x3e, 0xff, 0xe6,
+  0x70, 0xf8, 0xc9, 0xee, 0x9e, 0x0e, 0x67, 0x6b, 0xe0, 0xe1, 0x2c, 0x1b,
+  0x79, 0xf8, 0x60, 0xd7, 0xe1, 0x18, 0x2d, 0xab, 0x1a, 0x07, 0x1c, 0x9b,
+  0xb1, 0xe9, 0x32, 0x83, 0xb6, 0x2a, 0xa9, 0x41, 0x1b, 0x52, 0x7d, 0xd4,
+  0x84, 0x4b, 0x57, 0xa7, 0x8e, 0x9d, 0x21, 0xa8, 0xb6, 0xa0, 0xf5, 0x0e,
+  0x4a, 0x17, 0xef, 0x17, 0xcf, 0xed, 0x23, 0x69, 0x59, 0x5b, 0x43, 0xda,
+  0xb8, 0x8f, 0x69, 0xa9, 0xef, 0x39, 0xaf, 0xb7, 0xff, 0x96, 0x51, 0x13,
+  0xf5, 0x52, 0x37, 0x5c, 0x1e, 0xdf, 0x0d, 0x0e, 0x80, 0x86, 0xb0, 0x4f,
+  0xac, 0xa2, 0xca, 0xdc, 0x03, 0xba, 0xf3, 0xd3, 0x67, 0xb4, 0x51, 0x74,
+  0xb2, 0x04, 0xaa, 0x81, 0x99, 0x42, 0x36, 0x65, 0xa5, 0xc5, 0x3d, 0x72,
+  0x94, 0x33, 0x70, 0xfe, 0x42, 0x82, 0x49, 0xdf, 0x0e, 0xa2, 0xaf, 0x93,
+  0x79, 0xa1, 0xd5, 0x8a, 0x2d, 0xf9, 0x0a, 0xc1, 0x81, 0x5c, 0x34, 0x09,
+  0x25, 0x6e, 0x4e, 0x93, 0x58, 0x41, 0x04, 0x89, 0xd7, 0x15, 0xa2, 0xdb,
+  0x5a, 0x79, 0x87, 0x98, 0x43, 0xf4, 0x70, 0x13, 0xa9, 0x81, 0x16, 0x35,
+  0x0e, 0xd3, 0x42, 0x1b, 0xd8, 0xac, 0x42, 0x01, 0x02, 0x9a, 0x1a, 0xcd,
+  0xe9, 0x31, 0x87, 0x97, 0x49, 0xed, 0xc9, 0x37, 0xc0, 0x5a, 0x65, 0x3b,
+  0xa1, 0xe8, 0x5a, 0x9e, 0xa9, 0x4c, 0xf2, 0x1b, 0x36, 0x7a, 0x14, 0x74,
+  0xdd, 0xc4, 0xf3, 0xf1, 0x6a, 0x30, 0x21, 0x29, 0x96, 0xcd, 0x66, 0x83,
+  0xe5, 0xed, 0x76, 0x70, 0x4c, 0x99, 0xe5, 0xdf, 0x08, 0x2c, 0x40, 0xd5,
+  0xe4, 0x6d, 0xf5, 0xf9, 0x9a, 0xa8, 0x5d, 0x71, 0xe5, 0x4c, 0x30, 0x49,
+  0x58, 0x82, 0xbf, 0x1c, 0xcf, 0xb5, 0xf8, 0x56, 0xc7, 0x91, 0x83, 0xf9,
+  0xe4, 0x16, 0x06, 0x8b, 0x64, 0xb6, 0xef, 0x52, 0x90, 0x8d, 0x3f, 0x28,
+  0x3a, 0xb8, 0x53, 0x29, 0x02, 0xf3, 0xec, 0x3c, 0xb9, 0x9e, 0xaa, 0x40,
+  0x11, 0x2a, 0x2d, 0x1e, 0xb6, 0xb5, 0x99, 0x06, 0x22, 0xaa, 0x0e, 0x3c,
+  0x10, 0x28, 0xbe, 0x44, 0x9c, 0x6a, 0x86, 0xaa, 0x28, 0xc6, 0xf8, 0xb5,
+  0x24, 0xac, 0x6f, 0x44, 0xc1, 0x42, 0x80, 0x38, 0xca, 0x62, 0xb0, 0x1a,
+  0x77, 0x2c, 0x1c, 0x49, 0x1d, 0x4f, 0xf4, 0xad, 0x50, 0x08, 0x30, 0x7e,
+  0x35, 0x34, 0x1a, 0x6e, 0x4f, 0x2b, 0x82, 0x27, 0x67, 0x85, 0xbe, 0xbe,
+  0x7b, 0xc2, 0xb6, 0xee, 0xcb, 0xd3, 0x61, 0x4f, 0xe8, 0x61, 0x9e, 0xdc,
+  0x07, 0x94, 0x25, 0xb0, 0xd4, 0x4a, 0x7e, 0x6c, 0xf9, 0x91, 0xf0, 0x35,
+  0x2b, 0xc0, 0x9b, 0xcb, 0x68, 0x84, 0x33, 0x78, 0x27, 0x99, 0xcf, 0x82,
+  0xb0, 0x85, 0xd0, 0x78, 0x62, 0x1e, 0x8e, 0x55, 0x13, 0x11, 0x81, 0xc8,
+  0x01, 0xbc, 0x30, 0x74, 0x1e, 0x09, 0x4c, 0x4f, 0x7a, 0x51, 0x7f, 0x0f,
+  0xb0, 0x39, 0xbb, 0xd5, 0x85, 0x8c, 0xb9, 0xc8, 0x47, 0x3c, 0x46, 0x51,
+  0xa3, 0x0d, 0x57, 0x6c, 0xdd, 0x58, 0xc2, 0xa6, 0x92, 0xf5, 0x1d, 0xbd,
+  0xcf, 0x3f, 0xf6, 0x74, 0x52, 0x77, 0xbb, 0x08, 0xdd, 0x66, 0x79, 0xf4,
+  0x2e, 0x99, 0xae, 0x9a, 0x62, 0xc3, 0xde, 0xa3, 0x3b, 0x8b, 0x24, 0x89,
+  0xfb, 0xd4, 0x41, 0xaa, 0x0a, 0xaa, 0x36, 0x0c, 0xa1, 0x0a, 0x64, 0x68,
+  0x03, 0xa0, 0x65, 0x54, 0x13, 0xf7, 0x3c, 0xba, 0xdb, 0x33, 0x4f, 0x33,
+  0x7f, 0x63, 0x8b, 0x27, 0xa6, 0x7a, 0xcf, 0x48, 0x1a, 0xb9, 0x8b, 0x1c,
+  0xee, 0x16, 0x50, 0x2e, 0xa7, 0x3e, 0x11, 0xdd, 0x12, 0x27, 0xa9, 0x70,
+  0x1a, 0xd6, 0xa0, 0x4a, 0x87, 0x3e, 0xc4, 0xdb, 0x0f, 0xc4, 0x57, 0x92,
+  0x85, 0x7d, 0x90, 0x13, 0x42, 0xc0, 0x71, 0xa6, 0x49, 0x82, 0x2d, 0x96,
+  0x33, 0xad, 0xce, 0x04, 0x46, 0xdc, 0xc3, 0x75, 0x5b, 0x46, 0xc4, 0x89,
+  0x53, 0x09, 0xf9, 0x9b, 0x42, 0x98, 0x86, 0x80, 0xa5, 0xc6, 0x52, 0xbf,
+  0x50, 0x6c, 0x01, 0x13, 0x38, 0x3d, 0xd0, 0xcb, 0x4d, 0x2a, 0x36, 0x0c,
+  0x44, 0xa8, 0x62, 0xc1, 0x88, 0x55, 0x74, 0x23, 0x3a, 0x7d, 0x4b, 0x6e,
+  0xb4, 0xcc, 0x10, 0x02, 0xeb, 0x04, 0x06, 0x69, 0x63, 0x08, 0xa1, 0x33,
+  0xea, 0x86, 0x3c, 0xb2, 0xff, 0x39, 0xaf, 0x41, 0xd1, 0xf5, 0x8b, 0xa6,
+  0x20, 0xc1, 0xd5, 0x15, 0x50, 0xf7, 0x48, 0xa1, 0x60, 0x17, 0xe7, 0xb9,
+  0x15, 0x13, 0xed, 0x26, 0x0f, 0x2c, 0x20, 0x75, 0xb5, 0x57, 0xf9, 0x5a,
+  0x50, 0x00, 0xb0, 0xb8, 0xe7, 0x27, 0x6f, 0xa5, 0x3e, 0xa6, 0x3b, 0x48,
+  0x09, 0x43, 0x26, 0x6e, 0x48, 0x69, 0x57, 0x8c, 0x27, 0x56, 0x9c, 0x89,
+  0x48, 0xec, 0x4d, 0x4c, 0x6c, 0x7c, 0x40, 0x52, 0xed, 0xeb, 0x62, 0x29,
+  0xbd, 0x77, 0xf9, 0x92, 0x2c, 0x8a, 0x69, 0xb7, 0x56, 0xf4, 0xcd, 0x6d,
+  0x66, 0xed, 0x36, 0x72, 0x86, 0xac, 0xf1, 0x24, 0xac, 0x62, 0xab, 0xad,
+  0x54, 0x98, 0x64, 0xaf, 0x96, 0x27, 0x19, 0x5a, 0xd0, 0x3f, 0x89, 0x06,
+  0xdb, 0xd4, 0x61, 0xb1, 0x6d, 0x2f, 0x2e, 0x6e, 0xc7, 0x05, 0x5d, 0x8f,
+  0x9c, 0x14, 0xfc, 0xa3, 0x43, 0x72, 0xe6, 0x11, 0x4f, 0x7e, 0x8a, 0xfa,
+  0xe3, 0x29, 0xe6, 0x17, 0xa1, 0xc2, 0xe4, 0x8f, 0x44, 0x32, 0xfc, 0xc4,
+  0x4f, 0x1b, 0x9c, 0x25, 0x37, 0x7c, 0xf7, 0x86, 0x71, 0xd4, 0x51, 0xc2,
+  0xef, 0xf2, 0xe2, 0xe0, 0xed, 0xf0, 0xb5, 0x18, 0x59, 0x2f, 0x33, 0x5f,
+  0x1c, 0x50, 0x2d, 0x0b, 0xce, 0x13, 0xe9, 0x90, 0xc6, 0xee, 0x05, 0xdc,
+  0xdb, 0x82, 0xb4, 0xb5, 0x6c, 0x60, 0xaf, 0x0e, 0x62, 0x2c, 0x65, 0x07,
+  0xc1, 0xab, 0xe9, 0x30, 0x6d, 0x16, 0x5b, 0xee, 0x62, 0x2d, 0xc2, 0x6a,
+  0x25, 0x1e, 0xe3, 0xce, 0xb0, 0x51, 0xf5, 0x21, 0x26, 0x94, 0x43, 0x1b,
+  0x8c, 0x7d, 0x2a, 0xbc, 0x7c, 0x2d, 0xae, 0xe4, 0x21, 0xa9, 0x1e, 0x7d,
+  0x85, 0xc5, 0x0f, 0x6a, 0xb3, 0x38, 0xc3, 0x9c, 0xf0, 0x72, 0x45, 0x83,
+  0x73, 0x8d, 0x87, 0x89, 0x84, 0xd6, 0xf4, 0xe6, 0x1f, 0x77, 0xb7, 0xda,
+  0x9b, 0xbf, 0xfc, 0xa5, 0xcd, 0xb7, 0x8f, 0xdd, 0x64, 0x7d, 0x9f, 0xa7,
+  0xb2, 0xf9, 0xc7, 0xbd, 0xad, 0x47, 0x67, 0x14, 0x66, 0xda, 0xf9, 0x3e,
+  0xe9, 0x0d, 0x1e, 0x6c, 0xf4, 0xca, 0xea, 0xc0, 0xea, 0x1d, 0xec, 0x62,
+  0x3d, 0xae, 0x3c, 0xca, 0x5d, 0x05, 0xf5, 0x81, 0x63, 0x81, 0x9d, 0xe4,
+  0xe7, 0x5d, 0x38, 0x9a, 0xb2, 0x70, 0xf2, 0xbf, 0x8f, 0x43, 0x74, 0x40,
+  0x52, 0xc4, 0x43, 0x76, 0xc7, 0xe9, 0xe6, 0x45, 0x36, 0x40, 0xdf, 0x7b,
+  0x8f, 0xf4, 0xed, 0x67, 0x17, 0xa8, 0xb9, 0xec, 0x0f, 0xe5, 0x80, 0x2a,
+  0xc3, 0x83, 0xd5, 0x7e, 0x36, 0x7c, 0xc9, 0xc9, 0xf5, 0xfd, 0x5d, 0x9e,
+  0xbc, 0x39, 0x66, 0xdc, 0xd8, 0xa3, 0x13, 0xc6, 0x2f, 0x1b, 0x2a, 0x82,
+  0xa0, 0x69, 0xb4, 0x0e, 0x5c, 0x35, 0x04, 0xb7, 0x17, 0x47, 0xa1, 0x8b,
+  0x5b, 0x72, 0xa7, 0xdf, 0xed, 0x04, 0x77, 0xad, 0x81, 0xb5, 0x85, 0xa5,
+  0xef, 0x9d, 0x5c, 0xf5, 0xdf, 0x64, 0x13, 0x68, 0x5d, 0x7d, 0x81, 0xa3,
+  0xa6, 0xb7, 0xe8, 0xc3, 0x77, 0xf3, 0x59, 0xe5, 0xe3, 0x30, 0x49, 0x50,
+  0x15, 0xea, 0x8d, 0x75, 0x05, 0x00, 0x7e, 0xde, 0xee, 0xf7, 0x51, 0xf2,
+  0x55, 0xe2, 0x83, 0xd4, 0x4b, 0x50, 0xc1, 0x78, 0xb0, 0xb3, 0x4f, 0xeb,
+  0x93, 0x4e, 0x57, 0xe2, 0xd1, 0x8e, 0x7d, 0x1c, 0x92, 0xcf, 0x08, 0xbc,
+  0xe6, 0xac, 0x24, 0x6f, 0x2c, 0x12, 0x73, 0xd0, 0x46, 0x08, 0x49, 0x09,
+  0xb9, 0x3c, 0xb9, 0xf7, 0x81, 0x34, 0x5a, 0x5c, 0x2f, 0x5b, 0xac, 0x30,
+  0xc9, 0xfb, 0x8a, 0x8f, 0xbe, 0xd5, 0x51, 0xf7, 0xb3, 0xbc, 0x53, 0x29,
+  0x79, 0x21, 0x3d, 0x84, 0x04, 0xa8, 0x9f, 0x68, 0x85, 0x88, 0xb3, 0x3c,
+  0x60, 0x60, 0x3a, 0x6c, 0x2b, 0xfa, 0x12, 0xc0, 0x55, 0x06, 0xe8, 0x9a,
+  0xd5, 0x71, 0x7a, 0xeb, 0xe5, 0x06, 0x5f, 0x6b, 0x03, 0x36, 0x9a, 0x9b,
+  0x97, 0x85, 0xb8, 0xce, 0xa2, 0x5a, 0xbe, 0x2e, 0x89, 0x2c, 0x69, 0x58,
+  0x72, 0xc2, 0xbb, 0xfd, 0x2e, 0x10, 0xb5, 0xd3, 0x79, 0xcb, 0x64, 0xfa,
+  0xbf, 0x7c, 0x36, 0x0d, 0x1f, 0x5e, 0xd4, 0xb9, 0x62, 0x60, 0x05, 0x76,
+  0x88, 0x74, 0x64, 0x00, 0x82, 0x35, 0x22, 0xb4, 0x45, 0xf2, 0x3c, 0xb3,
+  0x35, 0xd3, 0x4b, 0x44, 0x47, 0x73, 0x21, 0x96, 0xce, 0xda, 0x2a, 0x46,
+  0x2e, 0xe6, 0xa3, 0xcb, 0xc5, 0x04, 0xde, 0x7d, 0x89, 0x6b, 0xfc, 0xcf,
+  0x78, 0xbe, 0x8c, 0xf3, 0x55, 0xb4, 0xbb, 0xd7, 0x8b, 0xf6, 0x76, 0x76,
+  0xf7, 0x5a, 0xe6, 0xd0, 0xf9, 0x4f, 0x8e, 0xae, 0xd9, 0xc3, 0xd7, 0x9d,
+  0x8f, 0x9d, 0x85, 0x8f, 0x91, 0xc7, 0xad, 0xaa, 0xd9, 0xa4, 0xc4, 0x7b,
+  0xd8, 0xd1, 0x27, 0x15, 0x6e, 0xb9, 0xa6, 0x1d, 0x00, 0xd1, 0x20, 0x53,
+  0x88, 0xcd, 0xc9, 0x6a, 0x4f, 0xb9, 0x32, 0x25, 0xfc, 0xc4, 0x86, 0x96,
+  0x15, 0x43, 0x08, 0x85, 0x33, 0xbc, 0xc5, 0x39, 0x0a, 0x6b, 0x55, 0xf7,
+  0x28, 0x2d, 0x6d, 0x5b, 0x38, 0x46, 0x83, 0xf7, 0x86, 0xe8, 0xfd, 0xe8,
+  0xe4, 0xf0, 0xd2, 0x10, 0xf3, 0xae, 0xf8, 0x3a, 0xcd, 0x57, 0x1f, 0x57,
+  0xa3, 0xe8, 0xd1, 0x67, 0x26, 0xfb, 0x37, 0x09, 0x49, 0x64, 0xf3, 0xd1,
+  0xf2, 0x7a, 0xff, 0xaf, 0x71, 0x7e, 0x9d, 0xcd, 0x3f, 0xf4, 0xfc, 0x04,
+  0x49, 0x4a, 0xfb, 0xc4, 0xa0, 0x76, 0x5f, 0xec, 0x3e, 0x91, 0x08, 0xf8,
+  0x94, 0x4b, 0x9a, 0x81, 0x3f, 0x74, 0x67, 0x5d, 0x01, 0x6c, 0x40, 0xe8,
+  0xbd, 0x43, 0x69, 0x98, 0x4f, 0xba, 0xa2, 0x6e, 0xc5, 0xe1, 0xb3, 0x13,
+  0x7d, 0x56, 0xb2, 0x99, 0xbb, 0x1b, 0x52, 0xbe, 0xb0, 0xcb, 0xa9, 0x7f,
+  0xcb, 0x45, 0x77, 0x50, 0x39, 0xe1, 0x1f, 0x98, 0x2b, 0x77, 0xe1, 0x4a,
+  0x32, 0x1d, 0x0a, 0x4f, 0x56, 0x76, 0x3a, 0xca, 0x93, 0xf8, 0xd6, 0x17,
+  0xb9, 0xf3, 0x68, 0x0e, 0x66, 0x3b, 0xbf, 0x78, 0x7d, 0x28, 0x18, 0x98,
+  0x96, 0x83, 0x83, 0xa5, 0x8e, 0x9c, 0xa5, 0x63, 0x8b, 0x47, 0xf9, 0x81,
+  0xfe, 0x39, 0x48, 0x7e, 0x7f, 0x32, 0xfa, 0x88, 0x87, 0xe8, 0xdc, 0x09,
+  0xdc, 0xd8, 0x41, 0xb5, 0x9c, 0x01, 0xcb, 0xfc, 0x25, 0x93, 0x9a, 0x55,
+  0xb3, 0xdb, 0x94, 0x02, 0x6d, 0x62, 0xbb, 0x96, 0x2a, 0xea, 0x5a, 0x74,
+  0x57, 0x8d, 0x05, 0x34, 0x6e, 0xae, 0x7e, 0x76, 0x74, 0x70, 0x1e, 0xe8,
+  0x4d, 0xd0, 0x4b, 0xbc, 0x8d, 0x88, 0x9f, 0x63, 0x99, 0x19, 0x05, 0x33,
+  0xc5, 0x94, 0xb4, 0xea, 0x79, 0x69, 0xb7, 0x04, 0x9f, 0x9c, 0xdc, 0xc5,
+  0x12, 0x69, 0x9d, 0xe9, 0x75, 0x02, 0x73, 0x06, 0xf0, 0xbc, 0xa7, 0x93,
+  0x18, 0x1e, 0x35, 0xbd, 0x84, 0x20, 0x84, 0xa2, 0xad, 0x54, 0xc3, 0x6a,
+  0x68, 0x6f, 0x1e, 0x22, 0xcd, 0x06, 0xd0, 0xb4, 0x07, 0xf9, 0x5d, 0x1e,
+  0xe3, 0x4c, 0xd7, 0x95, 0x4d, 0x40, 0xf8, 0x33, 0x0d, 0x3e, 0x2e, 0x6e,
+  0x89, 0x95, 0x8a, 0x27, 0x98, 0x7a, 0x4f, 0xc7, 0x89, 0xd9, 0x54, 0x27,
+  0xa9, 0x44, 0x64, 0xb0, 0x35, 0x03, 0x58, 0x3a, 0x95, 0x0d, 0x93, 0x1b,
+  0x88, 0x95, 0x97, 0x69, 0x91, 0x08, 0xee, 0x5d, 0x74, 0x79, 0x9f, 0x89,
+  0xd0, 0xe9, 0x00, 0x07, 0x24, 0xa6, 0xb1, 0x58, 0xa6, 0x02, 0x9d, 0x41,
+  0x9b, 0x07, 0x7e, 0x10, 0x94, 0x57, 0xeb, 0x38, 0x43, 0xca, 0x91, 0x73,
+  0xa0, 0x0d, 0x8f, 0xbe, 0x89, 0x38, 0x47, 0x9b, 0xfb, 0x38, 0xe4, 0x9a,
+  0x04, 0xec, 0x0b, 0x9f, 0x41, 0x91, 0xf8, 0x6a, 0xc9, 0xe7, 0xfd, 0xf0,
+  0x26, 0x5e, 0xb0, 0x48, 0xbc, 0xbb, 0xc3, 0xda, 0xf7, 0x77, 0x96, 0xed,
+  0xc5, 0x07, 0xd5, 0xca, 0x91, 0x16, 0x9d, 0x40, 0x31, 0x9f, 0x70, 0x35,
+  0x51, 0x96, 0x89, 0xab, 0x36, 0x3f, 0xba, 0x3d, 0x8b, 0xed, 0x19, 0x33,
+  0xac, 0x69, 0x41, 0xa4, 0x91, 0x17, 0x93, 0xdb, 0xed, 0x31, 0xfd, 0xf3,
+  0x64, 0x67, 0x1b, 0x50, 0x8c, 0x25, 0x4c, 0x64, 0x4c, 0x93, 0x7b, 0x7b,
+  0xcf, 0x9e, 0xf5, 0xa2, 0x0e, 0x1b, 0xad, 0xac, 0x03, 0x3e, 0x12, 0x74,
+  0xb2, 0x3a, 0x6d, 0x75, 0xe6, 0xb6, 0xf3, 0xab, 0x31, 0xff, 0xc7, 0xaf,
+  0x59, 0xad, 0xa8, 0x4b, 0x4d, 0xdf, 0xc0, 0x3a, 0xcc, 0x43, 0xac, 0x15,
+  0x23, 0xab, 0x7b, 0xda, 0x07, 0x33, 0x4b, 0xb0, 0x07, 0x62, 0x91, 0x64,
+  0x0b, 0x73, 0x33, 0xce, 0x14, 0x20, 0x1f, 0xdd, 0x07, 0xce, 0x19, 0x38,
+  0x86, 0x25, 0xae, 0x4a, 0x13, 0xeb, 0x8b, 0xe5, 0xa8, 0xaf, 0x19, 0xa6,
+  0xa2, 0x67, 0xa4, 0x74, 0x72, 0xe9, 0xcf, 0xa9, 0x59, 0x7f, 0x1b, 0x1c,
+  0xf9, 0xcb, 0xa8, 0xa3, 0xb4, 0xc5, 0x3f, 0x06, 0xf0, 0x12, 0x26, 0x63,
+  0x9e, 0x46, 0xf6, 0x4a, 0xff, 0xf8, 0x8f, 0xff, 0xa0, 0x66, 0xff, 0x83,
+  0x5b, 0x79, 0xf5, 0xc7, 0xa2, 0xbc, 0x09, 0x9e, 0xe9, 0x28, 0xc1, 0x9f,
+  0x78, 0x1f, 0x29, 0xe2, 0x9e, 0x00, 0x54, 0x8a, 0x44, 0xa8, 0x37, 0xa7,
+  0xca, 0x91, 0x7b, 0xc1, 0xfc, 0x52, 0xa4, 0xa8, 0x89, 0xcd, 0xcd, 0x85,
+  0x1d, 0x7c, 0xc9, 0xfe, 0xcb, 0x84, 0x53, 0x9b, 0x89, 0x0a, 0x81, 0x44,
+  0xb7, 0x65, 0x22, 0xc6, 0xf1, 0xdb, 0x6f, 0x4f, 0x2e, 0xce, 0xde, 0xbe,
+  0x39, 0x7e, 0x7b, 0x19, 0x7d, 0x7b, 0x70, 0x71, 0x72, 0xf0, 0xe5, 0xa9,
+  0x66, 0x50, 0xf3, 0x14, 0x38, 0x5a, 0x44, 0x44, 0xef, 0x1a, 0x8e, 0x68,
+  0x90, 0xd1, 0xd2, 0x0a, 0x9e, 0x5f, 0x2b, 0x17, 0xf8, 0x5e, 0x81, 0xa9,
+  0x61, 0x5e, 0x7d, 0x8f, 0x02, 0x16, 0x3d, 0x76, 0xf8, 0xbd, 0xb7, 0x5a,
+  0x16, 0x6c, 0xb6, 0x5c, 0x05, 0x39, 0xb9, 0x1c, 0xc8, 0xc2, 0x54, 0x6a,
+  0xfc, 0xc9, 0xd7, 0x1d, 0x52, 0x78, 0xff, 0x41, 0xf4, 0x95, 0xa4, 0x75,
+  0x6b, 0x48, 0x95, 0x7b, 0x55, 0x53, 0x8c, 0x60, 0xc6, 0x71, 0x63, 0x38,
+  0x38, 0x3d, 0xf5, 0x5d, 0x3d, 0x5e, 0x85, 0x41, 0xe1, 0x7c, 0x24, 0x0b,
+  0xe8, 0xc6, 0x2a, 0x0a, 0x5f, 0x67, 0x1e, 0x65, 0x7b, 0xbe, 0x0a, 0x01,
+  0xb5, 0xb9, 0x33, 0xda, 0x8e, 0x4d, 0xc1, 0x62, 0x60, 0x77, 0x23, 0x1d,
+  0xa0, 0xb4, 0xb8, 0xed, 0x45, 0xdd, 0x3f, 0x76, 0x25, 0x3b, 0x2b, 0x01,
+  0xdc, 0xac, 0xd4, 0x78, 0xd8, 0xf2, 0x83, 0x7a, 0x7b, 0xe6, 0xc7, 0xa4,
+  0x4e, 0x34, 0x37, 0x00, 0xf7, 0xa2, 0xf7, 0x7f, 0x16, 0x26, 0xcf, 0x20,
+  0xf0, 0xd0, 0x3f, 0xae, 0x88, 0xfe, 0x2e, 0xc5, 0x5c, 0x69, 0x94, 0xfd,
+  0x24, 0xad, 0xef, 0x42, 0x69, 0x8b, 0xc7, 0x01, 0xaa, 0xb0, 0x98, 0x71,
+  0x58, 0xf9, 0x85, 0x1c, 0x20, 0xf5, 0x8f, 0xe5, 0x72, 0x78, 0x90, 0xb2,
+  0xd9, 0x1b, 0x56, 0xac, 0x57, 0x39, 0x28, 0xa8, 0xea, 0x61, 0xdb, 0x6a,
+  0x3d, 0xc0, 0x65, 0xc5, 0x81, 0xe5, 0x79, 0x3a, 0x51, 0x9c, 0xba, 0x56,
+  0xaa, 0x18, 0xc0, 0xd3, 0x71, 0x71, 0x08, 0x50, 0xef, 0x39, 0x17, 0x80,
+  0x72, 0x85, 0x10, 0x24, 0x08, 0x95, 0xb8, 0x48, 0xce, 0x99, 0x5d, 0x73,
+  0x15, 0x42, 0x10, 0xd8, 0x09, 0x11, 0x3d, 0xbe, 0xce, 0x4c, 0xfc, 0x8e,
+  0x9d, 0xfb, 0x55, 0x32, 0xb6, 0x24, 0x66, 0xc7, 0xa4, 0x30, 0x07, 0x44,
+  0xe5, 0x2c, 0x60, 0x70, 0xd4, 0x9a, 0xbd, 0x99, 0xe3, 0x94, 0x60, 0x2f,
+  0xd3, 0x38, 0x86, 0x22, 0x48, 0xf7, 0xf5, 0x61, 0xf0, 0xcc, 0x4b, 0xc4,
+  0x45, 0x69, 0xc8, 0x50, 0xc0, 0xdf, 0xb2, 0xf4, 0x60, 0x44, 0xcc, 0x61,
+  0x58, 0xfc, 0x20, 0x9a, 0xd4, 0xe0, 0x47, 0x34, 0x69, 0xa6, 0x50, 0x3a,
+  0x3d, 0x53, 0xce, 0x44, 0x32, 0x4e, 0x14, 0x47, 0xa3, 0xf4, 0x3a, 0x32,
+  0x2b, 0x48, 0xc4, 0x54, 0x02, 0x94, 0xb0, 0x6c, 0x96, 0xf0, 0x56, 0x01,
+  0x03, 0x0c, 0xb2, 0xfb, 0x0d, 0x57, 0x88, 0xf7, 0xa0, 0x55, 0x36, 0x93,
+  0x82, 0x23, 0xf5, 0x03, 0x2b, 0x1a, 0x2c, 0xe9, 0x4b, 0x5e, 0x47, 0x0b,
+  0x6b, 0x52, 0x7c, 0x6b, 0x0d, 0xf2, 0x62, 0x13, 0x2d, 0xe0, 0xf6, 0xe6,
+  0x48, 0x29, 0xb1, 0xf4, 0x5c, 0xac, 0x83, 0x05, 0xc0, 0x32, 0xb7, 0x80,
+  0x65, 0x85, 0xab, 0x4d, 0x6d, 0x3a, 0x80, 0x6a, 0x6e, 0x65, 0x2c, 0x10,
+  0x9f, 0x4c, 0xf4, 0x12, 0x9f, 0x5e, 0xa9, 0x26, 0x61, 0x9b, 0xa5, 0x50,
+  0x4c, 0x57, 0x52, 0xd6, 0x9e, 0xc6, 0xb7, 0x19, 0x30, 0x9e, 0x39, 0x91,
+  0x88, 0x3c, 0x26, 0xfa, 0xa3, 0xfe, 0xd5, 0x17, 0xef, 0x65, 0x6c, 0x85,
+  0xb7, 0x8a, 0x2d, 0xef, 0xc1, 0x16, 0x29, 0x80, 0xa9, 0x75, 0xac, 0x05,
+  0xad, 0x30, 0x5e, 0xda, 0x2f, 0x33, 0x44, 0x85, 0x76, 0xac, 0xc8, 0x32,
+  0x37, 0xa6, 0xd3, 0x00, 0xa2, 0x5a, 0xcc, 0x11, 0x71, 0x43, 0xf8, 0x70,
+  0xe5, 0xe9, 0x0f, 0x34, 0x86, 0x44, 0xe0, 0x6c, 0x83, 0x99, 0x68, 0x74,
+  0x32, 0x8b, 0x67, 0x35, 0xf3, 0x58, 0xc0, 0xd1, 0xcc, 0xdb, 0x1a, 0xde,
+  0x4c, 0x5a, 0x19, 0x21, 0x8d, 0x67, 0x22, 0x3c, 0x7a, 0xf2, 0x9b, 0xad,
+  0x24, 0x7e, 0x6d, 0x63, 0xe3, 0xf0, 0xdd, 0xf0, 0xf2, 0xec, 0x4d, 0x74,
+  0xf6, 0xee, 0xf2, 0xfc, 0xdd, 0xa5, 0x5e, 0x5d, 0x23, 0x89, 0xfe, 0x15,
+  0x1d, 0x51, 0xa4, 0x00, 0xdb, 0xcd, 0x99, 0xba, 0x90, 0x11, 0xac, 0x90,
+  0x01, 0x9a, 0x2e, 0x40, 0xa9, 0x71, 0xd9, 0x3d, 0xc0, 0x6e, 0x12, 0xc4,
+  0x5b, 0xac, 0xf9, 0x3d, 0xad, 0x39, 0x32, 0x33, 0x61, 0xdb, 0xb1, 0x64,
+  0x21, 0xe8, 0x3d, 0xed, 0x55, 0x47, 0x6a, 0x75, 0xcc, 0xe0, 0xec, 0xad,
+  0x82, 0x02, 0xf9, 0x88, 0x1c, 0xb3, 0xed, 0x78, 0xd3, 0x4f, 0x18, 0x1c,
+  0x88, 0xb0, 0x98, 0x71, 0x69, 0xc6, 0x4c, 0x8b, 0xcf, 0x44, 0xd0, 0x4a,
+  0x35, 0x45, 0x2d, 0xcc, 0x94, 0x2b, 0x33, 0x9a, 0xe1, 0x8d, 0x8b, 0xad,
+  0xe6, 0x78, 0x14, 0xc4, 0x94, 0x89, 0x43, 0x9e, 0x83, 0xb7, 0xac, 0xc0,
+  0xfc, 0x3d, 0x9b, 0xc0, 0x1b, 0xd7, 0xec, 0x7d, 0xd4, 0xfd, 0x2e, 0x09,
+  0x1b, 0xfc, 0xfd, 0xdf, 0x39, 0x01, 0xf0, 0xbd, 0x7d, 0xf2, 0x0f, 0xe9,
+  0xf2, 0x2f, 0xf3, 0x2e, 0x42, 0xb1, 0xaa, 0x9e, 0xd7, 0x6f, 0x8e, 0x2f,
+  0xbe, 0x3c, 0xbe, 0x38, 0x1b, 0x22, 0xfc, 0xc4, 0xcc, 0x5d, 0x4d, 0x62,
+  0xbf, 0x4d, 0xf2, 0x51, 0x92, 0x67, 0x5a, 0x48, 0xc6, 0xfe, 0x7a, 0xb6,
+  0xfd, 0xd5, 0x70, 0x78, 0x70, 0x7e, 0xe2, 0x6a, 0x8e, 0xb8, 0x54, 0x24,
+  0xd1, 0x91, 0xe6, 0x92, 0x2c, 0xc7, 0xf3, 0xb7, 0x57, 0x88, 0x2e, 0xc6,
+  0xb7, 0x12, 0xa2, 0xda, 0xf0, 0x71, 0x9a, 0x8d, 0x96, 0x9d, 0x9b, 0x9a,
+  0xa1, 0xc6, 0x0d, 0x1b, 0xba, 0x90, 0x24, 0x6a, 0x0b, 0x01, 0xbf, 0x66,
+  0x93, 0x72, 0xcf, 0x85, 0x71, 0xdd, 0xe6, 0xa3, 0x3e, 0x11, 0xfa, 0xad,
+  0xd5, 0x87, 0x94, 0x60, 0x7a, 0x62, 0x93, 0x12, 0x65, 0xeb, 0xed, 0x0c,
+  0xb7, 0x5c, 0x15, 0x76, 0xfb, 0x96, 0x8f, 0x06, 0x97, 0xc5, 0x98, 0x0e,
+  0x84, 0xb3, 0xcb, 0x59, 0xb2, 0xd0, 0x49, 0x66, 0xaf, 0x8f, 0x81, 0x1d,
+  0x50, 0x6f, 0xae, 0x5e, 0x95, 0x98, 0xba, 0xe8, 0x93, 0xa7, 0x0e, 0xf4,
+  0x29, 0x2c, 0x18, 0x7a, 0x45, 0xc2, 0xf7, 0xe2, 0x7e, 0xa2, 0x17, 0x08,
+  0x20, 0x8e, 0xe7, 0x62, 0xe5, 0x16, 0xfe, 0x5d, 0xf7, 0x75, 0x70, 0x81,
+  0x2d, 0x44, 0xfd, 0x6b, 0x4c, 0x73, 0x34, 0x9a, 0xc6, 0xf3, 0x5b, 0xdc,
+  0x64, 0xb8, 0x9b, 0x58, 0xdd, 0x34, 0x2c, 0x23, 0x2e, 0x47, 0x06, 0xd7,
+  0x96, 0xc2, 0x0b, 0x40, 0x00, 0xb4, 0xe2, 0xe7, 0x6c, 0xd9, 0x75, 0x90,
+  0x4d, 0x81, 0x13, 0x07, 0x27, 0xc9, 0x2f, 0x02, 0x5b, 0x8d, 0x8e, 0x4f,
+  0xe9, 0x52, 0x72, 0x99, 0x0a, 0x50, 0xcf, 0x93, 0x29, 0x03, 0xef, 0x58,
+  0x70, 0x89, 0x24, 0xe7, 0xa5, 0x60, 0x62, 0xc2, 0x38, 0x0c, 0x7d, 0x1b,
+  0x6e, 0x08, 0x50, 0x0a, 0x72, 0x10, 0x0b, 0x57, 0xa3, 0x42, 0xb9, 0xb6,
+  0x30, 0x30, 0x80, 0x4b, 0xfa, 0x92, 0x15, 0x61, 0x11, 0x13, 0x8d, 0xd9,
+  0x3a, 0xf4, 0xa1, 0x25, 0xb1, 0x7d, 0x27, 0x83, 0xf0, 0x22, 0xa9, 0x73,
+  0x56, 0x55, 0x52, 0x24, 0xd6, 0x6e, 0x93, 0xbc, 0xde, 0x66, 0x00, 0x00,
+  0x03, 0xa4, 0x06, 0xc4, 0xfa, 0xed, 0xe0, 0x65, 0x2c, 0xee, 0xb5, 0x1a,
+  0x6b, 0x6a, 0x03, 0x1f, 0x58, 0x75, 0x75, 0x84, 0x3f, 0x89, 0xff, 0x09,
+  0x71, 0x92, 0x7a, 0xfb, 0x96, 0x13, 0x70, 0x9b, 0xbc, 0x82, 0x74, 0x1a,
+  0x86, 0x78, 0x0a, 0x02, 0x02, 0xcc, 0x82, 0x12, 0xf4, 0x0f, 0x0d, 0xc6,
+  0xc9, 0xb6, 0xfd, 0xb7, 0x7c, 0x55, 0x64, 0xfd, 0xd1, 0x12, 0x3a, 0x99,
+  0xc7, 0xea, 0xd2, 0x44, 0x40, 0x2e, 0x0a, 0x0c, 0x70, 0x2e, 0x7c, 0xcf,
+  0x6e, 0x0d, 0xa4, 0x58, 0x8b, 0xa7, 0x03, 0x39, 0x77, 0x55, 0xe0, 0x16,
+  0x07, 0xd7, 0x21, 0x81, 0xec, 0x08, 0xe8, 0xd5, 0xa8, 0x65, 0x1d, 0xa1,
+  0x6e, 0xb2, 0x0b, 0x39, 0x9b, 0x6b, 0xd5, 0x3c, 0xd8, 0xd9, 0xab, 0x61,
+  0xbb, 0xa5, 0x43, 0x4b, 0xbf, 0x84, 0x88, 0x90, 0x28, 0x86, 0xb8, 0xc5,
+  0xe3, 0x5a, 0xf4, 0xff, 0x5d, 0xc9, 0xf5, 0x81, 0x04, 0x69, 0x20, 0x9e,
+  0x4a, 0x91, 0x87, 0xb5, 0xb7, 0x88, 0x1c, 0xa6, 0xf2, 0xf2, 0xf2, 0x87,
+  0xf3, 0xe3, 0x57, 0xf6, 0xe6, 0x63, 0x7b, 0x26, 0x00, 0x5c, 0x08, 0xbf,
+  0x48, 0x14, 0xec, 0x32, 0xa8, 0xc1, 0x49, 0x44, 0xd6, 0x2f, 0xcd, 0x2d,
+  0x2c, 0xdd, 0xf4, 0xa3, 0xef, 0x8f, 0x4e, 0x86, 0xe7, 0xa7, 0x67, 0x87,
+  0xaf, 0x5e, 0x7e, 0x6f, 0xdc, 0xf8, 0x73, 0x46, 0x9c, 0x11, 0x19, 0xcd,
+  0x7d, 0xe6, 0x01, 0x02, 0xf4, 0xbd, 0xb7, 0xc7, 0xdf, 0xbd, 0x27, 0xcd,
+  0xe0, 0x15, 0x83, 0x82, 0xf7, 0xee, 0xe2, 0xa9, 0xbe, 0xc4, 0xea, 0x55,
+  0x8b, 0x5c, 0x17, 0xa4, 0x73, 0xb4, 0x2d, 0x2c, 0xcb, 0x13, 0x01, 0x42,
+  0xeb, 0x0a, 0x12, 0xb4, 0x46, 0x64, 0x05, 0xf5, 0x84, 0xe2, 0x4a, 0x6e,
+  0x66, 0x4b, 0x71, 0xc6, 0xcc, 0xdd, 0xfc, 0xdd, 0x52, 0x22, 0xf3, 0xd8,
+  0x1b, 0x1d, 0x3a, 0x79, 0x11, 0xfc, 0xa8, 0xdf, 0xf8, 0xa0, 0x50, 0x85,
+  0xdf, 0xcd, 0x39, 0x16, 0xc2, 0x61, 0x19, 0x6a, 0x85, 0x4c, 0xb8, 0x4f,
+  0x15, 0xf0, 0x50, 0x91, 0x7c, 0x38, 0x0e, 0xd3, 0x42, 0xb2, 0x5d, 0x15,
+  0x66, 0x11, 0x5f, 0xdc, 0x58, 0xe2, 0xf1, 0x98, 0x7e, 0x30, 0xc6, 0x24,
+  0x97, 0x73, 0x39, 0xe7, 0xaa, 0xec, 0xc3, 0x4b, 0x56, 0xa1, 0xb4, 0x6a,
+  0x99, 0x9a, 0x9f, 0xad, 0xa4, 0x1c, 0x12, 0xff, 0xab, 0xd8, 0x95, 0x61,
+  0xa9, 0x89, 0xca, 0x89, 0x76, 0x6c, 0xae, 0x9a, 0x09, 0xc8, 0x56, 0x04,
+  0x49, 0x2f, 0x64, 0x21, 0x54, 0x10, 0x58, 0xe3, 0x2b, 0x3b, 0xc0, 0x99,
+  0x92, 0x46, 0xad, 0xe2, 0x02, 0xaa, 0xa5, 0x60, 0x77, 0xa6, 0xe9, 0xc8,
+  0x1b, 0xcc, 0x6b, 0x9e, 0x48, 0x76, 0x74, 0x2b, 0xe2, 0x43, 0x78, 0x84,
+  0xcc, 0x14, 0xee, 0xd3, 0x6b, 0x8b, 0xcc, 0xca, 0x27, 0x0a, 0xf1, 0xc3,
+  0x54, 0x1d, 0x26, 0x41, 0x3a, 0x25, 0x15, 0x8a, 0x89, 0x89, 0x68, 0xee,
+  0xd3, 0x20, 0x94, 0x51, 0x41, 0x84, 0x80, 0x7d, 0xaa, 0x2c, 0x1b, 0xf5,
+  0xca, 0x25, 0x9d, 0x89, 0x8d, 0x2c, 0x24, 0xb0, 0x20, 0x3d, 0x1b, 0x21,
+  0x27, 0x3a, 0xb3, 0x86, 0xf4, 0xa1, 0x62, 0xe3, 0x35, 0xe7, 0x41, 0x01,
+  0xa9, 0x69, 0xc2, 0xa2, 0x16, 0xac, 0x6f, 0x61, 0x67, 0x76, 0x93, 0xf2,
+  0x0a, 0x8e, 0x96, 0x61, 0x3d, 0x2f, 0x37, 0x7a, 0x29, 0x69, 0x81, 0x85,
+  0x47, 0xb0, 0x5d, 0x9c, 0x03, 0x09, 0xb1, 0x54, 0xa4, 0x71, 0x53, 0x7a,
+  0x34, 0x72, 0x6e, 0x50, 0x05, 0x85, 0x31, 0xba, 0xb4, 0x52, 0x7d, 0x8f,
+  0xad, 0xa8, 0x5b, 0x4d, 0x21, 0xdf, 0x3c, 0xb1, 0x10, 0x18, 0x31, 0x31,
+  0x14, 0xec, 0x6b, 0x98, 0x8f, 0xdd, 0x65, 0xcc, 0x99, 0x2b, 0x1c, 0x0a,
+  0x92, 0x2b, 0xe0, 0xce, 0x92, 0x8b, 0xa3, 0x6b, 0x05, 0x51, 0xd4, 0xbf,
+  0x64, 0x87, 0x9b, 0x81, 0xb1, 0xf9, 0x58, 0x60, 0x59, 0xee, 0x80, 0xac,
+  0xc4, 0xb4, 0xbe, 0xd2, 0x0e, 0x5d, 0x96, 0xb5, 0x6d, 0x56, 0x4f, 0x92,
+  0x76, 0x62, 0xe4, 0x88, 0x98, 0x4d, 0x37, 0xc8, 0x35, 0x2c, 0x34, 0x83,
+  0xd3, 0x39, 0x2b, 0x85, 0xe1, 0xa1, 0x62, 0x91, 0xcf, 0x79, 0xaa, 0x38,
+  0x05, 0x49, 0xb2, 0x5c, 0xa0, 0xfc, 0xce, 0x58, 0x11, 0xc8, 0x11, 0xfc,
+  0xe9, 0xda, 0xb3, 0x3b, 0xc4, 0xaf, 0x15, 0x2d, 0xea, 0x9b, 0x77, 0xa7,
+  0x97, 0x27, 0xe7, 0xa1, 0xe3, 0x31, 0xfa, 0xee, 0xe4, 0xf2, 0x6b, 0x92,
+  0xd7, 0xb9, 0xb6, 0xf3, 0x29, 0x7b, 0x77, 0xde, 0xbc, 0x39, 0x78, 0xcb,
+  0x19, 0xea, 0x6f, 0x11, 0x23, 0x77, 0x00, 0x9d, 0x81, 0xb9, 0x11, 0xad,
+  0x30, 0x93, 0x0e, 0xe7, 0x2e, 0xf7, 0x9a, 0x5e, 0x86, 0xda, 0xe9, 0x03,
+  0xc3, 0xe1, 0x23, 0x14, 0xae, 0x11, 0x6f, 0xb8, 0xea, 0x04, 0x2b, 0xb6,
+  0xe9, 0xe0, 0xd4, 0xb2, 0x9e, 0xc5, 0xeb, 0x5c, 0x87, 0x1e, 0x47, 0x9e,
+  0x9c, 0xc8, 0xe6, 0xf0, 0xa9, 0xca, 0xd5, 0xed, 0x3d, 0x17, 0xd8, 0x50,
+  0x07, 0x62, 0x8a, 0x98, 0x55, 0x12, 0x99, 0xe6, 0xaa, 0xd2, 0xc8, 0x75,
+  0x59, 0x8d, 0x5b, 0xa7, 0x1e, 0x31, 0x24, 0x38, 0x95, 0x33, 0x6f, 0x0c,
+  0x64, 0x65, 0x93, 0xf5, 0xe5, 0x8b, 0xd3, 0xf0, 0x3e, 0xad, 0xd6, 0x0f,
+  0xb6, 0x40, 0xb3, 0xeb, 0x2c, 0xf1, 0x07, 0xb7, 0x7f, 0x66, 0xcd, 0x98,
+  0xe5, 0x17, 0x1a, 0x98, 0xdc, 0x2d, 0x7d, 0x66, 0x6b, 0x7d, 0xda, 0x92,
+  0x2d, 0x57, 0xa3, 0x46, 0x2d, 0x67, 0xfb, 0x22, 0x55, 0x56, 0xaa, 0x78,
+  0x03, 0x39, 0xf6, 0xcc, 0xb5, 0xac, 0x01, 0x0d, 0x88, 0xeb, 0xd5, 0xd4,
+  0x18, 0x9d, 0x33, 0x98, 0xa5, 0x3d, 0x56, 0xc9, 0xec, 0xad, 0x95, 0x12,
+  0xb7, 0xd4, 0x28, 0x24, 0x44, 0x32, 0x84, 0x8b, 0xf7, 0x99, 0xa2, 0x2c,
+  0x57, 0x96, 0x0d, 0x92, 0x87, 0x84, 0xdd, 0x9b, 0xfc, 0xeb, 0x5f, 0x17,
+  0xd7, 0x61, 0xd6, 0x14, 0xe6, 0xaa, 0xe9, 0xc1, 0xed, 0x98, 0xc0, 0x22,
+  0x15, 0x69, 0x71, 0xb2, 0xca, 0x08, 0xb4, 0xe2, 0xd8, 0xee, 0xba, 0x0e,
+  0xf5, 0xfb, 0xbd, 0xe6, 0xf7, 0x7b, 0x62, 0x71, 0xe4, 0x0a, 0xf4, 0x0e,
+  0x4f, 0x53, 0x72, 0x81, 0x43, 0xe9, 0xcd, 0x64, 0x02, 0xa6, 0x30, 0x29,
+  0x56, 0x0f, 0xb7, 0x8a, 0xb0, 0x44, 0x31, 0xfb, 0x73, 0x2c, 0xd2, 0x32,
+  0x47, 0x8e, 0x23, 0x1e, 0x81, 0x85, 0x58, 0x02, 0x48, 0x11, 0xae, 0x05,
+  0x36, 0xc5, 0xb7, 0x15, 0x35, 0x48, 0xdf, 0x3f, 0x75, 0x01, 0xdd, 0x9e,
+  0xa5, 0xa1, 0xc0, 0x97, 0x66, 0xd4, 0xf4, 0xd3, 0xc5, 0x9d, 0x15, 0xb8,
+  0xa4, 0x5f, 0x9f, 0xbb, 0xe2, 0x2e, 0x45, 0xc5, 0x3d, 0x55, 0x01, 0xae,
+  0x35, 0xde, 0x8f, 0xc1, 0x21, 0xc0, 0x8e, 0x19, 0x83, 0xc3, 0x7c, 0x1d,
+  0xd4, 0xc6, 0x95, 0x54, 0x43, 0x7b, 0x83, 0x52, 0x93, 0xb0, 0x2d, 0x4f,
+  0x91, 0x5d, 0x09, 0x76, 0x14, 0xf0, 0x96, 0x10, 0x27, 0x5e, 0x77, 0xfd,
+  0xc7, 0xbd, 0x9d, 0x9d, 0xdd, 0xfd, 0xdd, 0xcf, 0x5e, 0xec, 0xec, 0xef,
+  0xee, 0xee, 0xee, 0xed, 0xef, 0xee, 0xef, 0xef, 0xed, 0xfc, 0xb4, 0xcd,
+  0xa6, 0xa3, 0xbb, 0x34, 0xb9, 0x77, 0x95, 0xe4, 0xbf, 0x93, 0x6b, 0x1a,
+  0xfe, 0x82, 0x95, 0xb8, 0x01, 0x99, 0x4b, 0xaa, 0x86, 0x6b, 0x82, 0x8f,
+  0x43, 0x26, 0x90, 0xe0, 0x6b, 0x01, 0x24, 0x5b, 0xf8, 0x6c, 0x45, 0x9c,
+  0xc1, 0x00, 0x30, 0x19, 0xa3, 0xfa, 0xdb, 0x92, 0x67, 0x3a, 0x62, 0x69,
+  0x00, 0x22, 0x4d, 0xe1, 0x72, 0xc3, 0xae, 0xa7, 0xd9, 0x68, 0x84, 0x00,
+  0x78, 0x97, 0x1e, 0x39, 0x88, 0x18, 0x99, 0xf3, 0x56, 0x48, 0x42, 0x9d,
+  0x06, 0x08, 0x4f, 0x93, 0x83, 0xee, 0x57, 0x47, 0xe4, 0x2e, 0x0d, 0xc9,
+  0x1d, 0x67, 0x8c, 0x4a, 0x3f, 0x61, 0xa6, 0x44, 0x8b, 0x94, 0xbb, 0xb4,
+  0x89, 0xe8, 0x2a, 0xf9, 0x6c, 0x67, 0x7f, 0x9f, 0x0b, 0x47, 0xfc, 0x7e,
+  0xb7, 0xa7, 0x91, 0x85, 0x61, 0xb8, 0x74, 0xcf, 0xdd, 0x4e, 0xd2, 0x06,
+  0x6b, 0x1f, 0xe1, 0x3c, 0xe7, 0xcb, 0x59, 0x92, 0xab, 0x1e, 0x82, 0xfb,
+  0x50, 0x00, 0x64, 0x98, 0x18, 0x6d, 0xc8, 0xee, 0x59, 0x94, 0x42, 0x81,
+  0x49, 0x5e, 0xf2, 0x1b, 0xfc, 0xe5, 0xa9, 0xe7, 0x1c, 0x47, 0x65, 0x2e,
+  0x45, 0x26, 0xf9, 0x61, 0x08, 0xe4, 0x40, 0xc5, 0xc8, 0x6e, 0x43, 0x59,
+  0x55, 0x73, 0x3a, 0x7e, 0x0c, 0x06, 0xbf, 0xf7, 0x6c, 0xf7, 0x27, 0x09,
+  0x64, 0x63, 0x02, 0xf7, 0xab, 0xa0, 0xa5, 0xc1, 0x26, 0x2a, 0x8f, 0x48,
+  0x1a, 0x98, 0x12, 0xc6, 0x66, 0x32, 0xb8, 0x1e, 0x98, 0x90, 0xa0, 0x86,
+  0xc3, 0x5e, 0x18, 0x4e, 0x2c, 0x08, 0xd6, 0x52, 0x93, 0x1d, 0x6a, 0x97,
+  0xd9, 0x86, 0xcc, 0xb6, 0x2b, 0x76, 0xc9, 0x4a, 0x8d, 0x97, 0x0d, 0xba,
+  0x32, 0x0e, 0x4e, 0x4e, 0x39, 0x5e, 0xe5, 0x94, 0x24, 0xb0, 0xa1, 0xb1,
+  0x32, 0x84, 0xf4, 0x20, 0xde, 0x66, 0x9e, 0xf2, 0x6d, 0xda, 0x73, 0xd0,
+  0xf2, 0x16, 0x16, 0x0f, 0xb1, 0x82, 0xed, 0xee, 0x22, 0x99, 0x2b, 0x0e,
+  0x14, 0xc9, 0xc3, 0xc4, 0xcf, 0x0a, 0x31, 0xa7, 0x00, 0x6e, 0x91, 0x71,
+  0x88, 0xe1, 0xe3, 0x80, 0xc4, 0x2b, 0x0b, 0x8f, 0x6a, 0x16, 0x79, 0x32,
+  0x4d, 0xee, 0xd4, 0xee, 0x21, 0xe0, 0x75, 0x5f, 0xa9, 0x7b, 0x41, 0x8a,
+  0xd9, 0x95, 0xde, 0x4b, 0x52, 0xf1, 0x60, 0x70, 0x9f, 0xdb, 0x92, 0xf7,
+  0xef, 0xd3, 0xb9, 0x51, 0xfc, 0xd7, 0x01, 0x2e, 0x9b, 0x37, 0x87, 0xdf,
+  0xeb, 0xb3, 0x08, 0xaa, 0x71, 0x48, 0xef, 0x0a, 0xcd, 0xd8, 0xad, 0x47,
+  0x05, 0x8a, 0x2a, 0x6f, 0xe5, 0x90, 0xc4, 0x2c, 0xd6, 0x33, 0x4c, 0x4c,
+  0x31, 0xe6, 0xb1, 0xd4, 0xd2, 0x63, 0x13, 0x0a, 0x5a, 0xba, 0x22, 0x79,
+  0x89, 0x91, 0xcf, 0x7b, 0x91, 0x2f, 0x1c, 0x9f, 0x4d, 0xe9, 0x4f, 0x04,
+  0x3a, 0xf0, 0xaa, 0xe3, 0x59, 0xc6, 0xf4, 0x0b, 0xc2, 0x8f, 0xe8, 0x4f,
+  0x09, 0x7b, 0xd5, 0xbf, 0xd0, 0x54, 0xbe, 0x04, 0x74, 0x64, 0x4f, 0x88,
+  0x95, 0xfd, 0x01, 0xe5, 0x78, 0xe0, 0x46, 0xaf, 0xee, 0x38, 0x19, 0xff,
+  0x91, 0x79, 0x8b, 0x8c, 0x4d, 0x64, 0xb9, 0xad, 0xae, 0xec, 0xc2, 0x48,
+  0xaa, 0x57, 0x7d, 0xb9, 0x64, 0x3b, 0xb5, 0xab, 0xce, 0xc0, 0xa3, 0x98,
+  0x31, 0x69, 0x25, 0x52, 0x28, 0xce, 0x35, 0xce, 0x02, 0xd7, 0x92, 0x76,
+  0x57, 0x5a, 0x3f, 0xcd, 0xee, 0xb9, 0xca, 0xdd, 0xd5, 0x15, 0xd7, 0x2d,
+  0x3f, 0x9b, 0x7b, 0x88, 0x48, 0xe6, 0xaa, 0xf2, 0xe0, 0xcc, 0x4a, 0x6b,
+  0xd0, 0xdc, 0xac, 0x80, 0xbd, 0x05, 0x2e, 0x0e, 0xa2, 0x03, 0xac, 0x12,
+  0xc9, 0x42, 0x68, 0x4e, 0xdc, 0x6c, 0x10, 0x07, 0x6b, 0x71, 0x72, 0x5a,
+  0x82, 0x97, 0x6f, 0xc8, 0x19, 0xca, 0xfd, 0x71, 0x4c, 0xd8, 0x2c, 0x9b,
+  0x5b, 0xd8, 0xf3, 0xb2, 0x10, 0xc0, 0x30, 0xab, 0xd7, 0xbb, 0x21, 0x36,
+  0xc3, 0x74, 0xaa, 0x08, 0xbd, 0x2a, 0x38, 0xe3, 0x8d, 0x70, 0x32, 0x93,
+  0xfe, 0xe2, 0x66, 0x61, 0x3b, 0x6d, 0xfc, 0x4a, 0x98, 0x99, 0x06, 0xda,
+  0xe2, 0x7a, 0x3b, 0xff, 0xfa, 0x7c, 0x10, 0x1d, 0x73, 0x4b, 0x32, 0x26,
+  0xbd, 0x87, 0xa0, 0x41, 0xd1, 0x77, 0x34, 0xd9, 0x6b, 0x66, 0xe0, 0x67,
+  0x39, 0xff, 0x85, 0xd6, 0xf4, 0x4b, 0x31, 0x9a, 0xe0, 0xdb, 0x6a, 0xaf,
+  0xd4, 0x90, 0x45, 0xc4, 0x9d, 0xe3, 0x77, 0x3a, 0x2a, 0xc4, 0x1d, 0xdd,
+  0x36, 0xf9, 0x1e, 0xb2, 0xbc, 0x02, 0xaf, 0x20, 0x6f, 0x46, 0xc4, 0x34,
+  0xc1, 0xfa, 0x16, 0x2b, 0xec, 0x1f, 0x14, 0x6e, 0x60, 0x72, 0xe8, 0xf5,
+  0x20, 0x0d, 0x04, 0xa4, 0xa5, 0xe4, 0xe7, 0x02, 0x6b, 0xe4, 0x5c, 0xe5,
+  0x02, 0x2c, 0x90, 0x27, 0x1a, 0x86, 0x94, 0xa9, 0x03, 0x43, 0xf4, 0x8d,
+  0x22, 0xa9, 0x1d, 0xd7, 0x40, 0xbc, 0xb2, 0x2f, 0x58, 0x28, 0xe6, 0xb1,
+  0x10, 0x13, 0xa2, 0x2d, 0x18, 0x6c, 0xfc, 0xbf, 0xe1, 0xec, 0xb1, 0x7d,
+  0xfd, 0x05, 0x02, 0x00,
 };
 #define BUF_SIZE 0x10000
 /* Decompress and send to stdout a gzip-compressed buffer */

=== modified file 'src/main.c'
--- src/main.c	2010-08-12 08:20:48 +0000
+++ src/main.c	2010-10-18 11:13:17 +0000
@@ -148,13 +148,13 @@
 #define DEFAULT_MAXREDIRS  50L
 
 #if defined(O_BINARY) && defined(HAVE_SETMODE)
-  #ifdef __HIGHC__
-    #define SET_BINMODE(file) _setmode(file,O_BINARY)
-  #else
-    #define SET_BINMODE(file) setmode(fileno(file),O_BINARY)
-  #endif
-#else
-  #define SET_BINMODE(file)   ((void)0)
+#ifdef __HIGHC__
+#define SET_BINMODE(file) _setmode(file,O_BINARY)
+#else
+#define SET_BINMODE(file) setmode(fileno(file),O_BINARY)
+#endif
+#else
+#define SET_BINMODE(file)   ((void)0)
 #endif
 
 #ifndef O_BINARY
@@ -331,8 +331,8 @@
   input_ptr = output_ptr = buffer;
   in_bytes = out_bytes = length;
   rc = iconv(outbound_cd, &input_ptr,  &in_bytes,
-                          &output_ptr, &out_bytes);
-  if ((rc == -1) || (in_bytes != 0)) {
+             &output_ptr, &out_bytes);
+  if((rc == -1) || (in_bytes != 0)) {
     return CURLE_CONV_FAILED;
   }
 
@@ -364,8 +364,8 @@
   input_ptr = output_ptr = buffer;
   in_bytes = out_bytes = length;
   rc = iconv(inbound_cd, &input_ptr,  &in_bytes,
-                         &output_ptr, &out_bytes);
-  if ((rc == -1) || (in_bytes != 0)) {
+             &output_ptr, &out_bytes);
+  if((rc == -1) || (in_bytes != 0)) {
     return CURLE_CONV_FAILED;
   }
 
@@ -383,7 +383,7 @@
   case CURLINFO_SSL_DATA_IN:
   case CURLINFO_SSL_DATA_OUT:
     /* data, treat as ASCII */
-    if ((this_char >= 0x20) && (this_char < 0x7f)) {
+    if((this_char >= 0x20) && (this_char < 0x7f)) {
       /* printable ASCII hex value: convert to host encoding */
       convert_from_network(&this_char, 1);
     }
@@ -394,10 +394,10 @@
     /* fall through to default */
   default:
     /* treat as host encoding */
-    if (ISPRINT(this_char)
-        &&  (this_char != '\t')
-        &&  (this_char != '\r')
-        &&  (this_char != '\n')) {
+    if(ISPRINT(this_char)
+       &&  (this_char != '\t')
+       &&  (this_char != '\r')
+       &&  (this_char != '\n')) {
       /* printable characters excluding tabs and line end characters */
       return this_char;
     }
@@ -411,13 +411,13 @@
 #ifdef WIN32
 
 #ifdef __BORLANDC__
-   /* 64-bit lseek-like function unavailable */
+/* 64-bit lseek-like function unavailable */
 #  define _lseeki64(hnd,ofs,whence) lseek(hnd,ofs,whence)
 #endif
 
 #ifdef __POCC__
-#  if (__POCC__ < 450)
-     /* 64-bit lseek-like function unavailable */
+#  if(__POCC__ < 450)
+/* 64-bit lseek-like function unavailable */
 #    define _lseeki64(hnd,ofs,whence) _lseek(hnd,ofs,whence)
 #  else
 #    define _lseeki64(hnd,ofs,whence) _lseek64(hnd,ofs,whence)
@@ -432,7 +432,7 @@
  * Truncate a file handle at a 64-bit position 'where'.
  */
 
-static int ftruncate64 (int fd, curl_off_t where)
+static int ftruncate64(int fd, curl_off_t where)
 {
   if(_lseeki64(fd, where, SEEK_SET) < 0)
     return -1;
@@ -912,7 +912,7 @@
   for(i=0; helptext[i]; i++) {
     puts(helptext[i]);
 #ifdef PRINT_LINES_PAUSE
-    if (i && ((i % PRINT_LINES_PAUSE) == 0))
+    if(i && ((i % PRINT_LINES_PAUSE) == 0))
       pressanykey();
 #endif
   }
@@ -986,7 +986,7 @@
 
 /* Structure for storing the information needed to build a multiple files
  * section
-*/
+ */
 struct multi_files {
   struct curl_forms   form;
   struct multi_files *next;
@@ -995,17 +995,17 @@
 /* Add a new list entry possibly with a type_name
  */
 static struct multi_files *
-AddMultiFiles (const char *file_name,
-               const char *type_name,
-               const char *show_filename,
-               struct multi_files **multi_start,
-               struct multi_files **multi_current)
+AddMultiFiles(const char *file_name,
+              const char *type_name,
+              const char *show_filename,
+              struct multi_files **multi_start,
+              struct multi_files **multi_current)
 {
   struct multi_files *multi;
   struct multi_files *multi_type = NULL;
   struct multi_files *multi_name = NULL;
   multi = malloc(sizeof(struct multi_files));
-  if (multi) {
+  if(multi) {
     memset(multi, 0, sizeof(struct multi_files));
     multi->form.option = CURLFORM_FILE;
     multi->form.value = file_name;
@@ -1013,12 +1013,12 @@
   else
     return NULL;
 
-  if (!*multi_start)
+  if(!*multi_start)
     *multi_start = multi;
 
-  if (type_name) {
+  if(type_name) {
     multi_type = malloc(sizeof(struct multi_files));
-    if (multi_type) {
+    if(multi_type) {
       memset(multi_type, 0, sizeof(struct multi_files));
       multi_type->form.option = CURLFORM_CONTENTTYPE;
       multi_type->form.value = type_name;
@@ -1027,13 +1027,13 @@
       multi = multi_type;
     }
     else {
-      free (multi);
+      free(multi);
       return NULL;
     }
   }
-  if (show_filename) {
+  if(show_filename) {
     multi_name = malloc(sizeof(struct multi_files));
-    if (multi_name) {
+    if(multi_name) {
       memset(multi_name, 0, sizeof(struct multi_files));
       multi_name->form.option = CURLFORM_FILENAME;
       multi_name->form.value = show_filename;
@@ -1042,12 +1042,12 @@
       multi = multi_name;
     }
     else {
-      free (multi);
+      free(multi);
       return NULL;
     }
   }
 
-  if (*multi_current)
+  if(*multi_current)
     (*multi_current)->next = multi;
 
   *multi_current = multi;
@@ -1057,27 +1057,27 @@
 
 /* Free the items of the list.
  */
-static void FreeMultiInfo (struct multi_files *multi_start)
+static void FreeMultiInfo(struct multi_files *multi_start)
 {
   struct multi_files *multi;
-  while (multi_start) {
+  while(multi_start) {
     multi = multi_start;
     multi_start = multi_start->next;
-    free (multi);
+    free(multi);
   }
 }
 
 /* Print list of OpenSSL engines supported.
  */
-static void list_engines (const struct curl_slist *engines)
+static void list_engines(const struct curl_slist *engines)
 {
-  puts ("Build-time engines:");
-  if (!engines) {
-    puts ("  <none>");
+  puts("Build-time engines:");
+  if(!engines) {
+    puts("  <none>");
     return;
   }
-  for ( ; engines; engines = engines->next)
-    printf ("  %s\n", engines->data);
+  for( ; engines; engines = engines->next)
+    printf("  %s\n", engines->data);
 }
 
 /***************************************************************************
@@ -1190,7 +1190,7 @@
             while(ISSPACE(*ptr))
               ptr++;
 
-            if(curlx_strnequal("type=", ptr, 5)) {
+            if(checkprefix("type=", ptr)) {
               /* set type pointer */
               type = &ptr[5];
 
@@ -1199,12 +1199,25 @@
                              major, minor)) {
                 warnf(config, "Illegally formatted content-type field!\n");
                 free(contents);
-                FreeMultiInfo (multi_start);
+                FreeMultiInfo(multi_start);
                 return 2; /* illegal content-type syntax! */
               }
+
               /* now point beyond the content-type specifier */
               sep = (char *)type + strlen(major)+strlen(minor)+1;
 
+              /* there's a semicolon following - we check if it is a filename
+                 specified and if not we simply assume that it is text that
+                 the user wants included in the type and include that too up
+                 to the next zero or semicolon. */
+              if((*sep==';') && !checkprefix(";filename=", sep)) {
+                sep2 = strchr(sep+1, ';');
+                if(sep2)
+                  sep = sep2;
+                else
+                  sep = sep+strlen(sep); /* point to end of string */
+              }
+
               if(*sep) {
                 *sep=0; /* zero terminate type string */
 
@@ -1213,7 +1226,7 @@
               else
                 ptr = NULL; /* end */
             }
-            else if(curlx_strnequal("filename=", ptr, 9)) {
+            else if(checkprefix("filename=", ptr)) {
               filename = &ptr[9];
               ptr=strchr(filename, FORM_TYPE_SEPARATOR);
               if(!ptr) {
@@ -1244,11 +1257,11 @@
         }
         /* if type == NULL curl_formadd takes care of the problem */
 
-        if (!AddMultiFiles (contp, type, filename, &multi_start,
-                            &multi_current)) {
+        if(!AddMultiFiles(contp, type, filename, &multi_start,
+                          &multi_current)) {
           warnf(config, "Error building form post!\n");
           free(contents);
-          FreeMultiInfo (multi_start);
+          FreeMultiInfo(multi_start);
           return 3;
         }
         contp = sep; /* move the contents pointer to after the separator */
@@ -1256,32 +1269,32 @@
       } while(sep && *sep); /* loop if there's another file name */
 
       /* now we add the multiple files section */
-      if (multi_start) {
+      if(multi_start) {
         struct curl_forms *forms = NULL;
         struct multi_files *ptr = multi_start;
         unsigned int i, count = 0;
-        while (ptr) {
+        while(ptr) {
           ptr = ptr->next;
           ++count;
         }
         forms = malloc((count+1)*sizeof(struct curl_forms));
-        if (!forms)
+        if(!forms)
         {
           fprintf(config->errors, "Error building form post!\n");
           free(contents);
-          FreeMultiInfo (multi_start);
+          FreeMultiInfo(multi_start);
           return 4;
         }
-        for (i = 0, ptr = multi_start; i < count; ++i, ptr = ptr->next)
+        for(i = 0, ptr = multi_start; i < count; ++i, ptr = ptr->next)
         {
           forms[i].option = ptr->form.option;
           forms[i].value = ptr->form.value;
         }
         forms[count].option = CURLFORM_END;
-        FreeMultiInfo (multi_start);
-        if (curl_formadd(httppost, last_post,
-                         CURLFORM_COPYNAME, name,
-                         CURLFORM_ARRAY, forms, CURLFORM_END) != 0) {
+        FreeMultiInfo(multi_start);
+        if(curl_formadd(httppost, last_post,
+                        CURLFORM_COPYNAME, name,
+                        CURLFORM_ARRAY, forms, CURLFORM_END) != 0) {
           warnf(config, "curl_formadd failed!\n");
           free(forms);
           free(contents);
@@ -1312,8 +1325,8 @@
         i++;
         info[i].option = CURLFORM_END;
 
-        if (curl_formadd(httppost, last_post,
-                         CURLFORM_ARRAY, info, CURLFORM_END ) != 0) {
+        if(curl_formadd(httppost, last_post,
+                        CURLFORM_ARRAY, info, CURLFORM_END ) != 0) {
           warnf(config, "curl_formadd failed, possibly the file %s is bad!\n",
                 contp+1);
           free(contents);
@@ -1328,8 +1341,8 @@
         info[i].value = contp;
         i++;
         info[i].option = CURLFORM_END;
-        if (curl_formadd(httppost, last_post,
-                         CURLFORM_ARRAY, info, CURLFORM_END) != 0) {
+        if(curl_formadd(httppost, last_post,
+                        CURLFORM_ARRAY, info, CURLFORM_END) != 0) {
           warnf(config, "curl_formadd failed!\n");
           free(contents);
           return 7;
@@ -1468,7 +1481,7 @@
   /* now that GetStr has copied the contents of nextarg, wipe the next
    * argument out so that the username:password isn't displayed in the
    * system process list */
-  if (str) {
+  if(str) {
     size_t len = strlen(str);
     memset(str, ' ', len);
   }
@@ -1539,6 +1552,7 @@
     { "smtp", CURLPROTO_SMTP },
     { "smtps", CURLPROTO_SMTPS },
     { "rtsp", CURLPROTO_RTSP },
+    { "gopher", CURLPROTO_GOPHER },
     { NULL, 0 }
   };
 
@@ -1547,15 +1561,15 @@
 
   buffer = strdup(str); /* because strtok corrupts it */
 
-  for (token = strtok(buffer, sep);
-       token;
-       token = strtok(NULL, sep)) {
+  for(token = strtok(buffer, sep);
+      token;
+      token = strtok(NULL, sep)) {
     enum e_action { allow, deny, set } action = allow;
 
     struct sprotos const *pp;
 
     /* Process token modifiers */
-    while (!ISALNUM(*token)) { /* may be NULL if token is all modifiers */
+    while(!ISALNUM(*token)) { /* may be NULL if token is all modifiers */
       switch (*token++) {
       case '=':
         action = set;
@@ -1572,8 +1586,8 @@
       }
     }
 
-    for (pp=protos; pp->name; pp++) {
-      if (curlx_raw_equal(token, pp->name)) {
+    for(pp=protos; pp->name; pp++) {
+      if(curlx_raw_equal(token, pp->name)) {
         switch (action) {
         case deny:
           *val &= ~(pp->bit);
@@ -1589,10 +1603,10 @@
       }
     }
 
-    if (!(pp->name)) { /* unknown protocol */
+    if(!(pp->name)) { /* unknown protocol */
       /* If they have specified only this protocol, we say treat it as
          if no protocols are allowed */
-      if (action == set)
+      if(action == set)
         *val = 0;
       warnf(config, "unrecognized protocol '%s'\n", token);
     }
@@ -1611,13 +1625,13 @@
  */
 static int str2offset(curl_off_t *val, const char *str)
 {
-#if (CURL_SIZEOF_CURL_OFF_T > CURL_SIZEOF_LONG)
+#if(CURL_SIZEOF_CURL_OFF_T > CURL_SIZEOF_LONG)
   *val = curlx_strtoofft(str, NULL, 0);
   if((*val == CURL_OFF_T_MAX || *val == CURL_OFF_T_MIN) && (ERRNO == ERANGE))
     return 1;
 #else
   *val = strtol(str, NULL, 0);
-  if ((*val == LONG_MIN || *val == LONG_MAX) && ERRNO == ERANGE)
+  if((*val == LONG_MIN || *val == LONG_MAX) && ERRNO == ERANGE)
     return 1;
 #endif
   return 0;
@@ -1641,8 +1655,8 @@
 
     /* build a nice-looking prompt */
     curlx_msnprintf(prompt, sizeof(prompt),
-                   "Enter %s password for user '%s':",
-                   kind, *userpwd);
+                    "Enter %s password for user '%s':",
+                    kind, *userpwd);
 
     /* get password */
     getpass_r(prompt, passwd, sizeof(passwd));
@@ -1707,7 +1721,7 @@
   int keepidle = (int)config->alivetime;
 #endif
 
-  switch (purpose) {
+  switch(purpose) {
   case CURLSOCKTYPE_IPCXN:
     if(setsockopt(curlfd, SOL_SOCKET, SO_KEEPALIVE, (void *)&onoff,
                   sizeof(onoff)) < 0) {
@@ -1717,7 +1731,7 @@
       return 0;
     }
     else {
-      if (config->alivetime) {
+      if(config->alivetime) {
 #ifdef TCP_KEEPIDLE
         if(setsockopt(curlfd, IPPROTO_TCP, TCP_KEEPIDLE, (void *)&keepidle,
                       sizeof(keepidle)) < 0) {
@@ -1769,7 +1783,7 @@
   /* single-letter,
      long-name,
      boolean whether it takes an additional argument
-     */
+  */
   static const struct LongShort aliases[]= {
     /* all these ones, starting with "*" or "$" as a short-option have *no*
        short option to mention. */
@@ -2065,41 +2079,41 @@
         config->tracetype = TRACE_ASCII;
         break;
       case 'i': /* --limit-rate */
-        {
-          /* We support G, M, K too */
-          char *unit;
-          curl_off_t value = curlx_strtoofft(nextarg, &unit, 0);
-
-          if(!*unit)
-            unit=(char *)"b";
-          else if(strlen(unit) > 1)
-            unit=(char *)"w"; /* unsupported */
-
-          switch(*unit) {
-          case 'G':
-          case 'g':
-            value *= 1024*1024*1024;
-            break;
-          case 'M':
-          case 'm':
-            value *= 1024*1024;
-            break;
-          case 'K':
-          case 'k':
-            value *= 1024;
-            break;
-          case 'b':
-          case 'B':
-            /* for plain bytes, leave as-is */
-            break;
-          default:
-            warnf(config, "unsupported rate unit. Use G, M, K or B!\n");
-            return PARAM_BAD_USE;
-          }
-          config->recvpersecond = value;
-          config->sendpersecond = value;
+      {
+        /* We support G, M, K too */
+        char *unit;
+        curl_off_t value = curlx_strtoofft(nextarg, &unit, 0);
+
+        if(!*unit)
+          unit=(char *)"b";
+        else if(strlen(unit) > 1)
+          unit=(char *)"w"; /* unsupported */
+
+        switch(*unit) {
+        case 'G':
+        case 'g':
+          value *= 1024*1024*1024;
+          break;
+        case 'M':
+        case 'm':
+          value *= 1024*1024;
+          break;
+        case 'K':
+        case 'k':
+          value *= 1024;
+          break;
+        case 'b':
+        case 'B':
+          /* for plain bytes, leave as-is */
+          break;
+        default:
+          warnf(config, "unsupported rate unit. Use G, M, K or B!\n");
+          return PARAM_BAD_USE;
         }
-        break;
+        config->recvpersecond = value;
+        config->sendpersecond = value;
+      }
+      break;
 
       case 'j': /* --compressed */
         config->encoding = toggle;
@@ -2192,7 +2206,7 @@
         }
         else
           config->errors = stdout;
-      break;
+        break;
       case 'w': /* --interface */
         /* interface */
         GetStr(&config->iface, nextarg);
@@ -2217,30 +2231,30 @@
         break;
 
       default: /* the URL! */
-        {
-          struct getout *url;
-          if(config->url_get || (config->url_get=config->url_list)) {
-            /* there's a node here, if it already is filled-in continue to find
-               an "empty" node */
-            while(config->url_get && (config->url_get->flags&GETOUT_URL))
-              config->url_get = config->url_get->next;
-          }
-
-          /* now there might or might not be an available node to fill in! */
-
-          if(config->url_get)
-            /* existing node */
-            url = config->url_get;
-          else
-            /* there was no free node, create one! */
-            url=new_getout(config);
-
-          if(url) {
-            /* fill in the URL */
-            GetStr(&url->url, nextarg);
-            url->flags |= GETOUT_URL;
-          }
-        }
+      {
+        struct getout *url;
+        if(config->url_get || (config->url_get=config->url_list)) {
+          /* there's a node here, if it already is filled-in continue to find
+             an "empty" node */
+          while(config->url_get && (config->url_get->flags&GETOUT_URL))
+            config->url_get = config->url_get->next;
+        }
+
+        /* now there might or might not be an available node to fill in! */
+
+        if(config->url_get)
+          /* existing node */
+          url = config->url_get;
+        else
+          /* there was no free node, create one! */
+          url=new_getout(config);
+
+        if(url) {
+          /* fill in the URL */
+          GetStr(&url->url, nextarg);
+          url->flags |= GETOUT_URL;
+        }
+      }
       }
       break;
     case '$': /* more options without a short option */
@@ -2348,7 +2362,7 @@
       case 'y': /* --ftp-ssl-ccc */
         config->ftp_ssl_ccc = toggle;
         if(!config->ftp_ssl_ccc_mode)
-            config->ftp_ssl_ccc_mode = CURLFTPSSL_CCC_PASSIVE;
+          config->ftp_ssl_ccc_mode = CURLFTPSSL_CCC_PASSIVE;
         break;
       case 'j': /* --ftp-ssl-ccc-mode */
         config->ftp_ssl_ccc = TRUE;
@@ -2490,179 +2504,179 @@
       break;
     case 'd':
       /* postfield data */
-      {
-        char *postdata=NULL;
-        FILE *file;
-
-        if(subletter == 'e') { /* --data-urlencode*/
-          /* [name]=[content], we encode the content part only
-           * [name]@[file name]
-           *
-           * Case 2: we first load the file using that name and then encode
-           * the content.
-           */
-          const char *p = strchr(nextarg, '=');
-          size_t size = 0;
-          size_t nlen;
-          char is_file;
-          if(!p)
-            /* there was no '=' letter, check for a '@' instead */
-            p = strchr(nextarg, '@');
-          if (p) {
-            nlen = p - nextarg; /* length of the name part */
-            is_file = *p++; /* pass the separator */
-          }
-          else {
-            /* neither @ nor =, so no name and it isn't a file */
-            nlen = is_file = 0;
-            p = nextarg;
-          }
-          if('@' == is_file) {
-            /* a '@' letter, it means that a file name or - (stdin) follows */
-
-            if(curlx_strequal("-", p)) {
-              file = stdin;
-              SET_BINMODE(stdin);
-            }
-            else {
-              file = fopen(p, "rb");
-              if(!file)
-                warnf(config,
-                      "Couldn't read data from file \"%s\", this makes "
-                      "an empty POST.\n", nextarg);
-            }
-
-            err = file2memory(&postdata, &size, file);
-
-            if(file && (file != stdin))
-              fclose(file);
-            if(err)
-              return err;
-          }
-          else {
-            GetStr(&postdata, p);
-            size = strlen(postdata);
-          }
-
-          if(!postdata) {
-            /* no data from the file, point to a zero byte string to make this
-               get sent as a POST anyway */
-            postdata=strdup("");
-          }
-          else {
-            char *enc = curl_easy_escape(config->easy, postdata, (int)size);
-            free(postdata); /* no matter if it worked or not */
-            if(enc) {
-              /* now make a string with the name from above and append the
-                 encoded string */
-              size_t outlen = nlen + strlen(enc) + 2;
-              char *n = malloc(outlen);
-              if(!n) {
-                curl_free(enc);
-                return PARAM_NO_MEM;
-              }
-              if (nlen > 0) /* only append '=' if we have a name */
-                snprintf(n, outlen, "%.*s=%s", nlen, nextarg, enc);
-              else
-                strcpy(n, enc);
-              curl_free(enc);
-              postdata = n;
-            }
-            else
-              return PARAM_NO_MEM;
-          }
-        }
-        else if('@' == *nextarg) {
-          size_t size = 0;
-          /* the data begins with a '@' letter, it means that a file name
-             or - (stdin) follows */
-          nextarg++; /* pass the @ */
-
-          if(curlx_strequal("-", nextarg)) {
+    {
+      char *postdata=NULL;
+      FILE *file;
+
+      if(subletter == 'e') { /* --data-urlencode*/
+        /* [name]=[content], we encode the content part only
+         * [name]@[file name]
+         *
+         * Case 2: we first load the file using that name and then encode
+         * the content.
+         */
+        const char *p = strchr(nextarg, '=');
+        size_t size = 0;
+        size_t nlen;
+        char is_file;
+        if(!p)
+          /* there was no '=' letter, check for a '@' instead */
+          p = strchr(nextarg, '@');
+        if(p) {
+          nlen = p - nextarg; /* length of the name part */
+          is_file = *p++; /* pass the separator */
+        }
+        else {
+          /* neither @ nor =, so no name and it isn't a file */
+          nlen = is_file = 0;
+          p = nextarg;
+        }
+        if('@' == is_file) {
+          /* a '@' letter, it means that a file name or - (stdin) follows */
+
+          if(curlx_strequal("-", p)) {
             file = stdin;
-            if(subletter == 'b') /* forced data-binary */
-              SET_BINMODE(stdin);
+            SET_BINMODE(stdin);
           }
           else {
-            file = fopen(nextarg, "rb");
+            file = fopen(p, "rb");
             if(!file)
-              warnf(config, "Couldn't read data from file \"%s\", this makes "
+              warnf(config,
+                    "Couldn't read data from file \"%s\", this makes "
                     "an empty POST.\n", nextarg);
           }
 
-          if(subletter == 'b') {
-            /* forced binary */
-            err = file2memory(&postdata, &size, file);
-            config->postfieldsize = (curl_off_t)size;
-          }
-          else
-            err = file2string(&postdata, file);
+          err = file2memory(&postdata, &size, file);
 
           if(file && (file != stdin))
             fclose(file);
           if(err)
             return err;
+        }
+        else {
+          GetStr(&postdata, p);
+          size = strlen(postdata);
+        }
 
-          if(!postdata) {
-            /* no data from the file, point to a zero byte string to make this
-               get sent as a POST anyway */
-            postdata=strdup("");
+        if(!postdata) {
+          /* no data from the file, point to a zero byte string to make this
+             get sent as a POST anyway */
+          postdata=strdup("");
+        }
+        else {
+          char *enc = curl_easy_escape(config->easy, postdata, (int)size);
+          free(postdata); /* no matter if it worked or not */
+          if(enc) {
+            /* now make a string with the name from above and append the
+               encoded string */
+            size_t outlen = nlen + strlen(enc) + 2;
+            char *n = malloc(outlen);
+            if(!n) {
+              curl_free(enc);
+              return PARAM_NO_MEM;
+            }
+            if(nlen > 0) /* only append '=' if we have a name */
+              snprintf(n, outlen, "%.*s=%s", nlen, nextarg, enc);
+            else
+              strcpy(n, enc);
+            curl_free(enc);
+            postdata = n;
           }
-        }
-        else {
-          GetStr(&postdata, nextarg);
-        }
-
-#ifdef CURL_DOES_CONVERSIONS
-        if(subletter != 'b') { /* NOT forced binary, convert to ASCII */
-          convert_to_network(postdata, strlen(postdata));
-        }
-#endif
-
-        if(config->postfields) {
-          /* we already have a string, we append this one
-             with a separating &-letter */
-          char *oldpost=config->postfields;
-          size_t newlen = strlen(oldpost) + strlen(postdata) + 2;
-          config->postfields=malloc(newlen);
-          if(!config->postfields) {
-            free(postdata);
+          else
             return PARAM_NO_MEM;
-          }
-          /* use ASCII value 0x26 for '&' to accommodate non-ASCII platforms */
-          snprintf(config->postfields, newlen, "%s\x26%s", oldpost, postdata);
-          free(oldpost);
+        }
+      }
+      else if('@' == *nextarg) {
+        size_t size = 0;
+        /* the data begins with a '@' letter, it means that a file name
+           or - (stdin) follows */
+        nextarg++; /* pass the @ */
+
+        if(curlx_strequal("-", nextarg)) {
+          file = stdin;
+          if(subletter == 'b') /* forced data-binary */
+            SET_BINMODE(stdin);
+        }
+        else {
+          file = fopen(nextarg, "rb");
+          if(!file)
+            warnf(config, "Couldn't read data from file \"%s\", this makes "
+                  "an empty POST.\n", nextarg);
+        }
+
+        if(subletter == 'b') {
+          /* forced binary */
+          err = file2memory(&postdata, &size, file);
+          config->postfieldsize = (curl_off_t)size;
+        }
+        else
+          err = file2string(&postdata, file);
+
+        if(file && (file != stdin))
+          fclose(file);
+        if(err)
+          return err;
+
+        if(!postdata) {
+          /* no data from the file, point to a zero byte string to make this
+             get sent as a POST anyway */
+          postdata=strdup("");
+        }
+      }
+      else {
+        GetStr(&postdata, nextarg);
+      }
+
+#ifdef CURL_DOES_CONVERSIONS
+      if(subletter != 'b') { /* NOT forced binary, convert to ASCII */
+        convert_to_network(postdata, strlen(postdata));
+      }
+#endif
+
+      if(config->postfields) {
+        /* we already have a string, we append this one
+           with a separating &-letter */
+        char *oldpost=config->postfields;
+        size_t newlen = strlen(oldpost) + strlen(postdata) + 2;
+        config->postfields=malloc(newlen);
+        if(!config->postfields) {
           free(postdata);
+          return PARAM_NO_MEM;
         }
-        else
-          config->postfields=postdata;
+        /* use ASCII value 0x26 for '&' to accommodate non-ASCII platforms */
+        snprintf(config->postfields, newlen, "%s\x26%s", oldpost, postdata);
+        free(oldpost);
+        free(postdata);
       }
-      /*
-        We can't set the request type here, as this data might be used in
-        a simple GET if -G is used. Already or soon.
+      else
+        config->postfields=postdata;
+    }
+    /*
+      We can't set the request type here, as this data might be used in
+      a simple GET if -G is used. Already or soon.
 
-        if(SetHTTPrequest(HTTPREQ_SIMPLEPOST, &config->httpreq))
-          return PARAM_BAD_USE;
-      */
-      break;
+      if(SetHTTPrequest(HTTPREQ_SIMPLEPOST, &config->httpreq))
+      return PARAM_BAD_USE;
+    */
+    break;
     case 'D':
       /* dump-header to given file name */
       GetStr(&config->headerfile, nextarg);
       break;
     case 'e':
-      {
-        char *ptr = strstr(nextarg, ";auto");
-        if(ptr) {
-          /* Automatic referer requested, this may be combined with a
-             set initial one */
-          config->autoreferer = TRUE;
-          *ptr = 0; /* zero terminate here */
-        }
-        else
-          config->autoreferer = FALSE;
-        GetStr(&config->referer, nextarg);
+    {
+      char *ptr = strstr(nextarg, ";auto");
+      if(ptr) {
+        /* Automatic referer requested, this may be combined with a
+           set initial one */
+        config->autoreferer = TRUE;
+        *ptr = 0; /* zero terminate here */
       }
-      break;
+      else
+        config->autoreferer = FALSE;
+      GetStr(&config->referer, nextarg);
+    }
+    break;
     case 'E':
       switch(subletter) {
       case 'a': /* CA info PEM file */
@@ -2684,8 +2698,8 @@
         break;
       case 'f': /* crypto engine */
         GetStr(&config->engine, nextarg);
-        if (config->engine && curlx_raw_equal(config->engine,"list"))
-           config->list_engines = TRUE;
+        if(config->engine && curlx_raw_equal(config->engine,"list"))
+          config->list_engines = TRUE;
         break;
       case 'g': /* CA info PEM file */
         /* CA cert directory */
@@ -2696,41 +2710,41 @@
         break;
       case 'i': /* --hostpubmd5 md5 of the host public key */
         GetStr(&config->hostpubmd5, nextarg);
-        if (!config->hostpubmd5 || strlen(config->hostpubmd5) != 32)
-           return PARAM_BAD_USE;
+        if(!config->hostpubmd5 || strlen(config->hostpubmd5) != 32)
+          return PARAM_BAD_USE;
         break;
       case 'j': /* CRL info PEM file */
         /* CRL file */
         GetStr(&config->crlfile, nextarg);
         break;
       default: /* certificate file */
-        {
-          char *ptr = strchr(nextarg, ':');
-          /* Since we live in a world of weirdness and confusion, the win32
-             dudes can use : when using drive letters and thus
-             c:\file:password needs to work. In order not to break
-             compatibility, we still use : as separator, but we try to detect
-             when it is used for a file name! On windows. */
+      {
+        char *ptr = strchr(nextarg, ':');
+        /* Since we live in a world of weirdness and confusion, the win32
+           dudes can use : when using drive letters and thus
+           c:\file:password needs to work. In order not to break
+           compatibility, we still use : as separator, but we try to detect
+           when it is used for a file name! On windows. */
 #ifdef WIN32
-          if(ptr &&
-             (ptr == &nextarg[1]) &&
-             (nextarg[2] == '\\' || nextarg[2] == '/') &&
-             (ISALPHA(nextarg[0])) )
-             /* colon in the second column, followed by a backslash, and the
-                first character is an alphabetic letter:
+        if(ptr &&
+           (ptr == &nextarg[1]) &&
+           (nextarg[2] == '\\' || nextarg[2] == '/') &&
+           (ISALPHA(nextarg[0])) )
+          /* colon in the second column, followed by a backslash, and the
+             first character is an alphabetic letter:
 
-                this is a drive letter colon */
-            ptr = strchr(&nextarg[3], ':'); /* find the next one instead */
+             this is a drive letter colon */
+          ptr = strchr(&nextarg[3], ':'); /* find the next one instead */
 #endif
-          if(ptr) {
-            /* we have a password too */
-            *ptr=0;
-            ptr++;
-            GetStr(&config->key_passwd, ptr);
-          }
-          GetStr(&config->cert, nextarg);
-          cleanarg(nextarg);
+        if(ptr) {
+          /* we have a password too */
+          *ptr=0;
+          ptr++;
+          GetStr(&config->key_passwd, ptr);
         }
+        GetStr(&config->cert, nextarg);
+        cleanarg(nextarg);
+      }
       }
       break;
     case 'f':
@@ -2789,7 +2803,7 @@
         return PARAM_BAD_USE;
       break;
     case 'J': /* --remote-header-name */
-      if (config->include_headers) {
+      if(config->include_headers) {
         warnf(config,
               "--include and --remote-header-name cannot be combined.\n");
         return PARAM_BAD_USE;
@@ -2860,50 +2874,50 @@
         config->default_node_flags = toggle?GETOUT_USEREMOTE:0;
         break;
       }
-    /* fall-through! */
+      /* fall-through! */
     case 'o': /* --output */
       /* output file */
-      {
-        struct getout *url;
-        if(config->url_out || (config->url_out=config->url_list)) {
-          /* there's a node here, if it already is filled-in continue to find
-             an "empty" node */
-          while(config->url_out && (config->url_out->flags&GETOUT_OUTFILE))
-            config->url_out = config->url_out->next;
+    {
+      struct getout *url;
+      if(config->url_out || (config->url_out=config->url_list)) {
+        /* there's a node here, if it already is filled-in continue to find
+           an "empty" node */
+        while(config->url_out && (config->url_out->flags&GETOUT_OUTFILE))
+          config->url_out = config->url_out->next;
+      }
+
+      /* now there might or might not be an available node to fill in! */
+
+      if(config->url_out)
+        /* existing node */
+        url = config->url_out;
+      else
+        /* there was no free node, create one! */
+        url=new_getout(config);
+
+      if(url) {
+        /* fill in the outfile */
+        if('o' == letter) {
+          GetStr(&url->outfile, nextarg);
+          url->flags &= ~GETOUT_USEREMOTE; /* switch off */
         }
-
-        /* now there might or might not be an available node to fill in! */
-
-        if(config->url_out)
-          /* existing node */
-          url = config->url_out;
-        else
-          /* there was no free node, create one! */
-          url=new_getout(config);
-
-        if(url) {
-          /* fill in the outfile */
-          if('o' == letter) {
-            GetStr(&url->outfile, nextarg);
+        else {
+          url->outfile=NULL; /* leave it */
+          if(toggle)
+            url->flags |= GETOUT_USEREMOTE;  /* switch on */
+          else
             url->flags &= ~GETOUT_USEREMOTE; /* switch off */
-          }
-          else {
-            url->outfile=NULL; /* leave it */
-            if(toggle)
-              url->flags |= GETOUT_USEREMOTE;  /* switch on */
-            else
-              url->flags &= ~GETOUT_USEREMOTE; /* switch off */
-          }
-          url->flags |= GETOUT_OUTFILE;
         }
+        url->flags |= GETOUT_OUTFILE;
       }
-      break;
+    }
+    break;
     case 'P':
       /* This makes the FTP sessions use PORT instead of PASV */
       /* use <eth0> or <192.168.10.10> style addresses. Anything except
          this will make us try to get the "default" address.
          NOTE: this is a changed behaviour since the released 4.1!
-         */
+      */
       GetStr(&config->ftpport, nextarg);
       break;
     case 'p':
@@ -2991,35 +3005,35 @@
       break;
     case 'T':
       /* we are uploading */
-      {
-        struct getout *url;
-        if(config->url_out || (config->url_out=config->url_list)) {
-          /* there's a node here, if it already is filled-in continue to find
-             an "empty" node */
-          while(config->url_out && (config->url_out->flags&GETOUT_UPLOAD))
-            config->url_out = config->url_out->next;
-        }
-
-        /* now there might or might not be an available node to fill in! */
-
-        if(config->url_out)
-          /* existing node */
-          url = config->url_out;
-        else
-          /* there was no free node, create one! */
-          url=new_getout(config);
-
-        if(url) {
-          url->flags |= GETOUT_UPLOAD; /* mark -T used */
-          if(!*nextarg)
-            url->flags |= GETOUT_NOUPLOAD;
-          else {
-            /* "-" equals stdin, but keep the string around for now */
-            GetStr(&url->infile, nextarg);
-          }
-        }
-      }
-      break;
+    {
+      struct getout *url;
+      if(config->url_out || (config->url_out=config->url_list)) {
+        /* there's a node here, if it already is filled-in continue to find
+           an "empty" node */
+        while(config->url_out && (config->url_out->flags&GETOUT_UPLOAD))
+          config->url_out = config->url_out->next;
+      }
+
+      /* now there might or might not be an available node to fill in! */
+
+      if(config->url_out)
+        /* existing node */
+        url = config->url_out;
+      else
+        /* there was no free node, create one! */
+        url=new_getout(config);
+
+      if(url) {
+        url->flags |= GETOUT_UPLOAD; /* mark -T used */
+        if(!*nextarg)
+          url->flags |= GETOUT_NOUPLOAD;
+        else {
+          /* "-" equals stdin, but keep the string around for now */
+          GetStr(&url->infile, nextarg);
+        }
+      }
+    }
+    break;
     case 'u':
       /* user:password  */
       GetStr(&config->userpwd, nextarg);
@@ -3054,9 +3068,9 @@
         break;
 
       printf(CURL_ID "%s\n", curl_version());
-      if (curlinfo->protocols) {
+      if(curlinfo->protocols) {
         printf("Protocols: ");
-        for (proto=curlinfo->protocols; *proto; ++proto) {
+        for(proto=curlinfo->protocols; *proto; ++proto) {
           printf("%s ", *proto);
         }
         puts(""); /* newline */
@@ -3260,7 +3274,7 @@
          * directory as our executable
          */
         file = fopen(filebuffer, "r");
-        if (file != NULL) {
+        if(file != NULL) {
           fclose(file);
           filename = filebuffer;
         }
@@ -3270,15 +3284,15 @@
            * We assume that we are using the ASCII version here.
            */
           int n = GetModuleFileName(0, filebuffer, sizeof(filebuffer));
-          if (n > 0 && n < (int)sizeof(filebuffer)) {
+          if(n > 0 && n < (int)sizeof(filebuffer)) {
             /* We got a valid filename - get the directory part */
             char *lastdirchar = strrchr(filebuffer, '\\');
-            if (lastdirchar) {
+            if(lastdirchar) {
               size_t remaining;
               *lastdirchar = 0;
               /* If we have enough space, build the RC filename */
               remaining = sizeof(filebuffer) - strlen(filebuffer);
-              if (strlen(CURLRC) < remaining - 1) {
+              if(strlen(CURLRC) < remaining - 1) {
                 snprintf(lastdirchar, remaining,
                          "%s%s", DIR_CHAR, CURLRC);
                 /* Don't bother checking if it exists - we do
@@ -3297,9 +3311,9 @@
     }
 
 # else /* __AMIGA__ */
-  /* On AmigaOS all the config files are into env:
-   */
-  filename = "ENV:" CURLRC;
+    /* On AmigaOS all the config files are into env:
+     */
+    filename = "ENV:" CURLRC;
 
 #endif
   }
@@ -3319,7 +3333,7 @@
 
 #define ISSEP(x) (((x)=='=') || ((x) == ':'))
 
-    while (NULL != (aline = my_get_line(file))) {
+    while(NULL != (aline = my_get_line(file))) {
       lineno++;
       line = aline;
       alloced_param=FALSE;
@@ -3361,7 +3375,7 @@
         /* quoted parameter, do the quote dance */
         line++;
         param=malloc(strlen(line)+1); /* parameter */
-        if (!param) {
+        if(!param) {
           /* out of memory */
           free(aline);
           rc = 1;
@@ -3377,10 +3391,10 @@
         *line=0; /* zero terminate */
       }
 
-      if (param && !*param) {
+      if(param && !*param) {
         /* do this so getparameter can check for required parameters.
            Otherwise it always thinks there's a parameter. */
-        if (alloced_param)
+        if(alloced_param)
           free(param);
         param = NULL;
       }
@@ -3390,7 +3404,7 @@
 #endif
       res = getparameter(option, param, &usedarg, config);
 
-      if (param && *param && !usedarg)
+      if(param && *param && !usedarg)
         /* we passed in a parameter that wasn't used! */
         res = PARAM_GOT_EXTRA_PARAMETER;
 
@@ -3465,15 +3479,15 @@
 
   if(!out->stream) {
     out->bytes = 0; /* nothing written yet */
-    if (!out->filename) {
+    if(!out->filename) {
       warnf(config, "Remote filename has no length!\n");
       return err_rc; /* Failure */
     }
 
-    if (config->content_disposition) {
+    if(config->content_disposition) {
       /* don't overwrite existing files */
       FILE* f = fopen(out->filename, "r");
-      if (f) {
+      if(f) {
         fclose(f);
         warnf(config, "Refusing to overwrite %s: %s\n", out->filename,
               strerror(EEXIST));
@@ -3527,7 +3541,7 @@
 {
   struct InStruct *in=(struct InStruct *)stream;
 
-#if (CURL_SIZEOF_CURL_OFF_T > SIZEOF_OFF_T) && !defined(USE_WIN32_LARGE_FILES)
+#if(CURL_SIZEOF_CURL_OFF_T > SIZEOF_OFF_T) && !defined(USE_WIN32_LARGE_FILES)
   /* The offset check following here is only interesting if curl_off_t is
      larger than off_t and we are not using the WIN32 large file support
      macros that provide the support to do 64bit seeks correctly */
@@ -3625,7 +3639,7 @@
   if(total < 1) {
     curl_off_t prevblock = bar->prev / 1024;
     curl_off_t thisblock = point / 1024;
-    while ( thisblock > prevblock ) {
+    while( thisblock > prevblock ) {
       fprintf( bar->out, "#" );
       prevblock++;
     }
@@ -3635,7 +3649,7 @@
     percent = frac * 100.0f;
     barwidth = bar->width - 7;
     num = (int) (((double)barwidth) * frac);
-    for ( i = 0; i < num; i++ ) {
+    for( i = 0; i < num; i++ ) {
       line[i] = '#';
     }
     line[i] = '\0';
@@ -3664,17 +3678,17 @@
   /* pass this through to progress function so
    * it can display progress towards total file
    * not just the part that's left. (21-may-03, dbyron) */
-  if (config->use_resume)
+  if(config->use_resume)
     bar->initial_size = config->resume_from;
 
 /* TODO: get terminal width through ansi escapes or something similar.
-         try to update width when xterm is resized... - 19990617 larsa */
+   try to update width when xterm is resized... - 19990617 larsa */
 #ifndef __EMX__
   /* 20000318 mgs
    * OS/2 users most likely won't have this env var set, and besides that
    * we're using our own way to determine screen width */
   colp = curlx_getenv("COLUMNS");
-  if (colp != NULL) {
+  if(colp != NULL) {
     bar->width = atoi(colp);
     curl_free(colp);
   }
@@ -3726,15 +3740,15 @@
 
     for(c = 0; (c < width) && (i+c < size); c++) {
       /* check for 0D0A; if found, skip past and start a new line of output */
-      if ((tracetype == TRACE_ASCII) &&
-          (i+c+1 < size) && ptr[i+c]==0x0D && ptr[i+c+1]==0x0A) {
+      if((tracetype == TRACE_ASCII) &&
+         (i+c+1 < size) && ptr[i+c]==0x0D && ptr[i+c+1]==0x0A) {
         i+=(c+2-width);
         break;
       }
 #ifdef CURL_DOES_CONVERSIONS
       /* repeat the 0D0A check above but use the host encoding for CRLF */
-      if ((tracetype == TRACE_ASCII) &&
-          (i+c+1 < size) && ptr[i+c]=='\r' && ptr[i+c+1]=='\n') {
+      if((tracetype == TRACE_ASCII) &&
+         (i+c+1 < size) && ptr[i+c]=='\r' && ptr[i+c+1]=='\n') {
         i+=(c+2-width);
         break;
       }
@@ -3746,8 +3760,8 @@
               (ptr[i+c]>=0x20) && (ptr[i+c]<0x80)?ptr[i+c]:UNPRINTABLE_CHAR);
 #endif /* CURL_DOES_CONVERSIONS */
       /* check again for 0D0A, to avoid an extra \n if it's at width */
-      if ((tracetype == TRACE_ASCII) &&
-          (i+c+2 < size) && ptr[i+c+1]==0x0D && ptr[i+c+2]==0x0A) {
+      if((tracetype == TRACE_ASCII) &&
+         (i+c+2 < size) && ptr[i+c+1]==0x0D && ptr[i+c+2]==0x0A) {
         i+=(c+3-width);
         break;
       }
@@ -3966,11 +3980,11 @@
     free(config->writeout);
   if(config->httppost)
     curl_formfree(config->httppost);
-  if (config->cert)
+  if(config->cert)
     free(config->cert);
   if(config->cacert)
     free(config->cacert);
-  if (config->cert_type)
+  if(config->cert_type)
     free(config->cert_type);
   if(config->capath)
     free(config->capath);
@@ -3988,17 +4002,17 @@
     free(config->socksproxy);
   if(config->libcurl)
     free(config->libcurl);
-  if (config->key_passwd)
+  if(config->key_passwd)
     free(config->key_passwd);
-  if (config->key)
+  if(config->key)
     free(config->key);
-  if (config->key_type)
+  if(config->key_type)
     free(config->key_type);
-  if (config->pubkey)
+  if(config->pubkey)
     free(config->pubkey);
-  if (config->referer)
+  if(config->referer)
     free(config->referer);
-  if (config->hostpubmd5)
+  if(config->hostpubmd5)
     free(config->hostpubmd5);
   if(config->mail_from)
     free(config->mail_from);
@@ -4038,11 +4052,11 @@
     DWORD buflen;
     char *ptr = NULL;
     char *retval = malloc(sizeof (TCHAR) * (MAX_PATH + 1));
-    if (!retval)
+    if(!retval)
       return;
     retval[0] = '\0';
     buflen = SearchPathA(NULL, bundle_file, NULL, MAX_PATH+2, retval, &ptr);
-    if (buflen > 0) {
+    if(buflen > 0) {
       GetStr(&config->cacert, retval);
     }
     free(retval);
@@ -4098,8 +4112,8 @@
     unsigned char *ptr = (unsigned char *)pval;
 
     /* function pointers are never printable */
-    if (tag >= CURLOPTTYPE_FUNCTIONPOINT) {
-      if (pval) {
+    if(tag >= CURLOPTTYPE_FUNCTIONPOINT) {
+      if(pval) {
         strcpy(value, "functionpointer"); /* 'value' fits 256 bytes */
         remark = TRUE;
       }
@@ -4137,7 +4151,7 @@
     else
       bufp = curlx_maprintf("curl_easy_setopt(hnd, %s, %s);", name, value);
 
-    if (!bufp)
+    if(!bufp)
       ret = CURLE_OUT_OF_MEMORY;
     else {
       struct curl_slist *list =
@@ -4148,7 +4162,7 @@
       else
         easycode = list;
     }
-    if (bufp)
+    if(bufp)
       curl_free(bufp);
   }
   va_end(arg);
@@ -4332,13 +4346,13 @@
 
   /* simple implementation of strndup() */
   copy = malloc(len+1);
-  if (!copy)
+  if(!copy)
     return NULL;
   strncpy(copy, ptr, len);
   copy[len] = 0;
 
   p = copy;
-  if (*p == '\'' || *p == '"') {
+  if(*p == '\'' || *p == '"') {
     /* store the starting quote */
     quote = *p;
     p++;
@@ -4346,8 +4360,20 @@
 
   /* if the filename contains a path, only use filename portion */
   q = strrchr(copy, '/');
+  if(q) {
+    p=q+1;
+    if(!*p) {
+      free(copy);
+      return NULL;
+    }
+  }
+
+  /* If the filename contains a backslash, only use filename portion. The idea
+     is that even systems that don't handle backslashes as path separators
+     probably want the path removed for convenience. */
+  q = strrchr(p, '\\');
   if (q) {
-    p=q+1;
+    p = q+1;
     if (!*p) {
       free(copy);
       return NULL;
@@ -4358,7 +4384,7 @@
     /* if the file name started with a quote, then scan for the end quote and
        stop there */
     q = strrchr(p, quote);
-    if (q)
+    if(q)
       *q = 0;
   }
   else
@@ -4375,7 +4401,7 @@
       *q  = 0;
   }
 
-  if (copy!=p)
+  if(copy!=p)
     memmove(copy, p, strlen(p)+1);
 
   return copy;
@@ -4390,7 +4416,7 @@
   const char* end = (char*)ptr + cb;
   size_t len;
 
-  if (cb > 20 && curlx_strnequal(str, "Content-disposition:", 20)) {
+  if(cb > 20 && checkprefix("Content-disposition:", str)) {
     char *p = (char*)str + 20;
 
     /* look for the 'filename=' parameter
@@ -4399,14 +4425,14 @@
       char *filename;
       char *semi;
 
-      while (*p && (p < end) && !ISALPHA(*p))
+      while(*p && (p < end) && !ISALPHA(*p))
         p++;
-      if (p > end-9)
+      if(p > end-9)
         break;
 
-      if (memcmp(p, "filename=", 9)) {
+      if(memcmp(p, "filename=", 9)) {
         /* no match, find next parameter */
-        while ((p < end) && (*p != ';'))
+        while((p < end) && (*p != ';'))
           p++;
         continue;
       }
@@ -4418,7 +4444,7 @@
       */
       len = semi ? (semi - p) : (ssize_t)cb - (p - str);
       filename = parse_filename(p, len);
-      if (filename) {
+      if(filename) {
         outs->filename = filename;
         break;
       }
@@ -4487,8 +4513,8 @@
   /* Initialize curl library - do not call any libcurl functions before.
      Note that the CURLDEBUG magic above is an exception, but then that's not
      part of the official public API.
-   */
-  if (main_init() != CURLE_OK) {
+  */
+  if(main_init() != CURLE_OK) {
     helpf(config->errors, "error initializing curl library\n");
     return CURLE_FAILED_INIT;
   }
@@ -4543,13 +4569,13 @@
     parseconfig(NULL, config); /* ignore possible failure */
   }
 
-  if ((argc < 2)  && !config->url_list) {
+  if((argc < 2)  && !config->url_list) {
     helpf(config->errors, NULL);
     return CURLE_FAILED_INIT;
   }
 
   /* Parse options */
-  for (i = 1; i < argc; i++) {
+  for(i = 1; i < argc; i++) {
     if(stillflags &&
        ('-' == argv[i][0])) {
       char *nextarg;
@@ -4617,9 +4643,9 @@
    * We support the environment variable thing for non-Windows platforms
    * too. Just for the sake of it.
    */
-  if (!config->cacert &&
-      !config->capath &&
-      !config->insecure_ok) {
+  if(!config->cacert &&
+     !config->capath &&
+     !config->insecure_ok) {
     env = curlx_getenv("CURL_CA_BUNDLE");
     if(env)
       GetStr(&config->cacert, env);
@@ -4642,8 +4668,8 @@
 #endif
   }
 
-  if (config->postfields) {
-    if (config->use_httpget) {
+  if(config->postfields) {
+    if(config->use_httpget) {
       /* Use the postfields data for a http get */
       httpgetfields = strdup(config->postfields);
       free(config->postfields);
@@ -4669,7 +4695,7 @@
     goto quit_curl;
   }
 
-  if (config->list_engines) {
+  if(config->list_engines) {
     struct curl_slist *engines = NULL;
 
     curl_easy_getinfo(curl, CURLINFO_SSL_ENGINES, &engines);
@@ -4725,9 +4751,9 @@
     outs.bytes = 0; /* nothing written yet */
 
     /* save outfile pattern before expansion */
-    if (urlnode->outfile) {
+    if(urlnode->outfile) {
       outfiles = strdup(urlnode->outfile);
-      if (!outfiles) {
+      if(!outfiles) {
         clean_getout(config);
         break;
       }
@@ -4779,7 +4805,7 @@
           (url = urls?glob_next_url(urls):(i?NULL:strdup(url)));
           i++) {
         /* NOTE: In the condition expression in the for() statement above, the
-           'url' variable is only ever strdup()ed if (i == 0) and thus never
+           'url' variable is only ever strdup()ed if(i == 0) and thus never
            when this loops later on. Further down in this function we call
            free(url) and then the code loops. Static code parsers may thus get
            tricked into believing that we have a potential access-after-free
@@ -4810,7 +4836,7 @@
             }
 #if defined(MSDOS) || defined(WIN32)
             /* For DOS and WIN32, we do some major replacing of
-             bad characters in the file name before using it */
+               bad characters in the file name before using it */
             outfile = sanitize_dos_name(outfile);
             if(!outfile) {
               res = CURLE_OUT_OF_MEMORY;
@@ -4863,7 +4889,7 @@
             outs.init = config->resume_from;
             /* open file for output: */
             outs.stream=(FILE *) fopen(outfile, config->resume_from?"ab":"wb");
-            if (!outs.stream) {
+            if(!outs.stream) {
               helpf(config->errors, "Can't open '%s'!\n", outfile);
               free(url);
               res = CURLE_WRITE_ERROR;
@@ -4904,7 +4930,7 @@
            */
 
           infd= open(uploadfile, O_RDONLY | O_BINARY);
-          if ((infd == -1) || fstat(infd, &fileinfo)) {
+          if((infd == -1) || fstat(infd, &fileinfo)) {
             helpf(config->errors, "Can't open '%s'!\n", uploadfile);
             if(infd != -1)
               close(infd);
@@ -4925,7 +4951,10 @@
             goto quit_urls;
           }
           infdopen=TRUE;
-          uploadfilesize=fileinfo.st_size;
+
+          /* we ignore file size for char/block devices, sockets, etc. */
+          if(S_ISREG(fileinfo.st_mode))
+            uploadfilesize=fileinfo.st_size;
 
         }
         else if(uploadfile && stdin_upload(uploadfile)) {
@@ -4956,8 +4985,8 @@
 
           SET_BINMODE(stdin);
           infd = STDIN_FILENO;
-          if (curlx_strequal(uploadfile, ".")) {
-            if (curlx_nonblock((curl_socket_t)infd, TRUE) < 0)
+          if(curlx_strequal(uploadfile, ".")) {
+            if(curlx_nonblock((curl_socket_t)infd, TRUE) < 0)
               warnf(config,
                     "fcntl failed on fd=%d: %s\n", infd, strerror(errno));
           }
@@ -4972,13 +5001,13 @@
              meter */
           config->noprogress = config->isatty = TRUE;
 
-        if (urlnum > 1 && !(config->mute)) {
+        if(urlnum > 1 && !(config->mute)) {
           fprintf(config->errors, "\n[%d/%d]: %s --> %s\n",
                   i+1, urlnum, url, outfile ? outfile : "<stdout>");
-          if (separator)
+          if(separator)
             printf("%s%s\n", CURLseparator, url);
         }
-        if (httpgetfields) {
+        if(httpgetfields) {
           char *urlbuffer;
           /* Find out whether the url contains a file name */
           const char *pc =strstr(url, "://");
@@ -5020,7 +5049,7 @@
             res = CURLE_OUT_OF_MEMORY;
             goto quit_urls;
           }
-          if (pc)
+          if(pc)
             sprintf(urlbuffer, "%s%c%s", url, sep, httpgetfields);
           else
             /* Append  / before the ? to create a well-formed url
@@ -5054,8 +5083,8 @@
         input.config = config;
         my_setopt(curl, CURLOPT_READDATA, &input);
         /* what call to read */
-        if ((outfile && !curlx_strequal("-", outfile)) ||
-            !curlx_strnequal(url, "telnet:", 7))
+        if((outfile && !curlx_strequal("-", outfile)) ||
+           !checkprefix("telnet:", url))
           my_setopt(curl, CURLOPT_READFUNCTION, my_fread);
 
         /* in 7.18.0, the CURLOPT_SEEKFUNCTION/DATA pair is taking over what
@@ -5088,9 +5117,9 @@
         my_setopt(curl, CURLOPT_DIRLISTONLY, config->dirlistonly);
         my_setopt(curl, CURLOPT_APPEND, config->ftp_append);
 
-        if (config->netrc_opt)
+        if(config->netrc_opt)
           my_setopt(curl, CURLOPT_NETRC, CURL_NETRC_OPTIONAL);
-        else if (config->netrc)
+        else if(config->netrc)
           my_setopt(curl, CURLOPT_NETRC, CURL_NETRC_REQUIRED);
         else
           my_setopt(curl, CURLOPT_NETRC, CURL_NETRC_IGNORED);
@@ -5151,14 +5180,14 @@
         /* default to strict verifyhost */
         /* my_setopt(curl, CURLOPT_SSL_VERIFYHOST, 2); */
         if(config->cacert || config->capath) {
-          if (config->cacert)
+          if(config->cacert)
             my_setopt_str(curl, CURLOPT_CAINFO, config->cacert);
 
-          if (config->capath)
+          if(config->capath)
             my_setopt_str(curl, CURLOPT_CAPATH, config->capath);
           my_setopt(curl, CURLOPT_SSL_VERIFYPEER, TRUE);
         }
-        if (config->crlfile)
+        if(config->crlfile)
           my_setopt_str(curl, CURLOPT_CRLFILE, config->crlfile);
         if(config->insecure_ok) {
           /* new stuff needed for libcurl 7.10 */
@@ -5269,17 +5298,17 @@
         res = CURLE_OK;
 
         /* new in curl ?? */
-        if (config->engine) {
+        if(config->engine) {
           res = my_setopt_str(curl, CURLOPT_SSLENGINE, config->engine);
           my_setopt(curl, CURLOPT_SSLENGINE_DEFAULT, 1);
         }
 
-        if (res != CURLE_OK)
-           goto show_error;
+        if(res != CURLE_OK)
+          goto show_error;
 
         /* new in curl 7.10 */
         my_setopt_str(curl, CURLOPT_ENCODING,
-                  (config->encoding) ? "" : NULL);
+                      (config->encoding) ? "" : NULL);
 
         /* new in curl 7.10.7, extended in 7.19.4 but this only sets 0 or 1 */
         my_setopt(curl, CURLOPT_FTP_CREATE_MISSING_DIRS,
@@ -5298,7 +5327,7 @@
         /* new in curl 7.10.8 */
         if(config->max_filesize)
           my_setopt(curl, CURLOPT_MAXFILESIZE_LARGE,
-                           config->max_filesize);
+                    config->max_filesize);
 
         if(4 == config->ip_version)
           my_setopt(curl, CURLOPT_IPRESOLVE, CURL_IPRESOLVE_V4);
@@ -5321,7 +5350,7 @@
 
         /* new in curl 7.16.1 */
         if(config->ftp_ssl_ccc)
-            my_setopt(curl, CURLOPT_FTP_SSL_CCC, config->ftp_ssl_ccc_mode);
+          my_setopt(curl, CURLOPT_FTP_SSL_CCC, config->ftp_ssl_ccc_mode);
 
         /* new in curl 7.11.1, modified in 7.15.2 */
         if(config->socksproxy) {
@@ -5333,7 +5362,7 @@
         /* new in curl 7.19.4 */
         if(config->socks5_gssapi_service)
           my_setopt_str(curl, CURLOPT_SOCKS5_GSSAPI_SERVICE,
-                    config->socks5_gssapi_service);
+                        config->socks5_gssapi_service);
 
         /* new in curl 7.19.4 */
         if(config->socks5_gssapi_nec)
@@ -5355,12 +5384,12 @@
         if(config->localport) {
           my_setopt(curl, CURLOPT_LOCALPORT, config->localport);
           my_setopt_str(curl, CURLOPT_LOCALPORTRANGE,
-                    config->localportrange);
+                        config->localportrange);
         }
 
         /* curl 7.15.5 */
         my_setopt_str(curl, CURLOPT_FTP_ALTERNATIVE_TO_USER,
-                  config->ftp_alternative_to_user);
+                      config->ftp_alternative_to_user);
 
         /* curl 7.16.0 */
         if(config->disable_sessionid)
@@ -5374,7 +5403,7 @@
         }
 
         /* curl 7.17.1 */
-        if (!config->nokeepalive) {
+        if(!config->nokeepalive) {
           my_setopt(curl, CURLOPT_SOCKOPTFUNCTION, sockoptcallback);
           my_setopt(curl, CURLOPT_SOCKOPTDATA, config);
         }
@@ -5397,13 +5426,13 @@
         if(config->ftp_pret)
           my_setopt(curl, CURLOPT_FTP_USE_PRET, TRUE);
 
-        if (config->proto_present)
+        if(config->proto_present)
           my_setopt(curl, CURLOPT_PROTOCOLS, config->proto);
-        if (config->proto_redir_present)
+        if(config->proto_redir_present)
           my_setopt(curl, CURLOPT_REDIR_PROTOCOLS, config->proto_redir);
 
-        if ((urlnode->flags & GETOUT_USEREMOTE)
-            && config->content_disposition) {
+        if((urlnode->flags & GETOUT_USEREMOTE)
+           && config->content_disposition) {
           my_setopt(curl, CURLOPT_HEADERFUNCTION, header_callback);
           my_setopt(curl, CURLOPT_HEADERDATA, &outs);
         }
@@ -5414,12 +5443,13 @@
 
         for(;;) {
           res = curl_easy_perform(curl);
-          if (!curl_slist_append(easycode, "ret = curl_easy_perform(hnd);")) {
+          if(!curl_slist_append(easycode, "ret = curl_easy_perform(hnd);")) {
             res = CURLE_OUT_OF_MEMORY;
             break;
           }
 
-          if (config->content_disposition && outs.stream && !config->mute)
+          if(config->content_disposition && outs.stream && !config->mute &&
+             outs.filename)
             printf("curl: Saved to filename '%s'\n", outs.filename);
 
           /* if retry-max-time is non-zero, make sure we haven't exceeded the
@@ -5448,7 +5478,7 @@
               char *this_url=NULL;
               curl_easy_getinfo(curl, CURLINFO_EFFECTIVE_URL, &this_url);
               if(this_url &&
-                 curlx_strnequal(this_url, "http", 4)) {
+                 checkprefix("http", this_url)) {
                 /* This was HTTP(S) */
                 curl_easy_getinfo(curl, CURLINFO_RESPONSE_CODE, &response);
 
@@ -5549,11 +5579,11 @@
         if(config->writeout)
           ourWriteOut(curl, config->writeout);
 #ifdef USE_ENVIRONMENT
-        if (config->writeenv)
+        if(config->writeenv)
           ourWriteEnv(curl);
 #endif
 
-show_error:
+        show_error:
 
 #ifdef __VMS
         if(is_vms_shell()) {
@@ -5570,20 +5600,20 @@
                     errorbuffer[0]? errorbuffer:
                     curl_easy_strerror((CURLcode)res));
             if(CURLE_SSL_CACERT == res) {
-#define CURL_CA_CERT_ERRORMSG1 \
-"More details here: http://curl.haxx.se/docs/sslcerts.html\n\n" \
-"curl performs SSL certificate verification by default, using a \"bundle\"\n" \
-" of Certificate Authority (CA) public keys (CA certs). If the default\n" \
-" bundle file isn't adequate, you can specify an alternate file\n" \
-" using the --cacert option.\n"
+#define CURL_CA_CERT_ERRORMSG1                                          \
+              "More details here: http://curl.haxx.se/docs/sslcerts.html\n\n" \
+                "curl performs SSL certificate verification by default, using a \"bundle\"\n" \
+                " of Certificate Authority (CA) public keys (CA certs). If the default\n" \
+                " bundle file isn't adequate, you can specify an alternate file\n" \
+                " using the --cacert option.\n"
 
-#define CURL_CA_CERT_ERRORMSG2 \
-"If this HTTPS server uses a certificate signed by a CA represented in\n" \
-" the bundle, the certificate verification probably failed due to a\n" \
-" problem with the certificate (it might be expired, or the name might\n" \
-" not match the domain name in the URL).\n" \
-"If you'd like to turn off curl's verification of the certificate, use\n" \
-" the -k (or --insecure) option.\n"
+#define CURL_CA_CERT_ERRORMSG2                                          \
+              "If this HTTPS server uses a certificate signed by a CA represented in\n" \
+                " the bundle, the certificate verification probably failed due to a\n" \
+                " problem with the certificate (it might be expired, or the name might\n" \
+                " not match the domain name in the URL).\n"             \
+                "If you'd like to turn off curl's verification of the certificate, use\n" \
+                " the -k (or --insecure) option.\n"
 
               fprintf(config->errors, "%s%s",
                       CURL_CA_CERT_ERRORMSG1,
@@ -5592,7 +5622,7 @@
           }
         }
 
-        if (outfile && !curlx_strequal(outfile, "-") && outs.stream) {
+        if(outfile && !curlx_strequal(outfile, "-") && outs.stream) {
           int rc = fclose(outs.stream);
           if(!res && rc) {
             /* something went wrong in the writing process */
@@ -5625,7 +5655,7 @@
         SetComment( outs.filename, url);
 #endif
 
-quit_urls:
+        quit_urls:
         if(url)
           free(url);
 
@@ -5671,17 +5701,17 @@
 
   } /* while-loop through all URLs */
 
-quit_curl:
-  if (httpgetfields)
+  quit_curl:
+  if(httpgetfields)
     free(httpgetfields);
 
-  if (config->engine)
+  if(config->engine)
     free(config->engine);
 
   /* cleanup the curl handle! */
   curl_easy_cleanup(curl);
   config->easy = NULL; /* cleanup now */
-  if (easycode)
+  if(easycode)
     curl_slist_append(easycode, "curl_easy_cleanup(hnd);");
 
   if(heads.stream && (heads.stream != stdout))
@@ -5721,7 +5751,7 @@
          fd[1] == STDIN_FILENO ||
          fd[1] == STDOUT_FILENO ||
          fd[1] == STDERR_FILENO )
-    if (pipe(fd) < 0)
+    if(pipe(fd) < 0)
       return;   /* Out of handles. This isn't really a big problem now, but
                    will be when we try to create a socket later. */
   close(fd[0]);
@@ -5744,13 +5774,13 @@
 
   res = operate(&config, argc, argv);
 #ifdef __SYMBIAN32__
-  if (config.showerror)
+  if(config.showerror)
     pressanykey();
 #endif
   free_config_fields(&config);
 
 #ifdef __NOVELL_LIBC__
-  if (getenv("_IN_NETWARE_BASH_") == NULL)
+  if(getenv("_IN_NETWARE_BASH_") == NULL)
     pressanykey();
 #endif
 #ifdef __VMS
@@ -5767,35 +5797,35 @@
  */
 static char *my_get_line(FILE *fp)
 {
-   char buf[4096];
-   char *nl = NULL;
-   char *retval = NULL;
-
-   do {
-     if (NULL == fgets(buf, sizeof(buf), fp))
-       break;
-     if (NULL == retval) {
-       retval = strdup(buf);
-       if(!retval)
-         return NULL;
-     }
-     else {
-       char *ptr;
-       ptr = realloc(retval, strlen(retval) + strlen(buf) + 1);
-       if (NULL == ptr) {
-         free(retval);
-         return NULL;
-       }
-       retval = ptr;
-       strcat(retval, buf);
-     }
-   }
-   while (NULL == (nl = strchr(retval, '\n')));
-
-   if (NULL != nl)
-     *nl = '\0';
-
-   return retval;
+  char buf[4096];
+  char *nl = NULL;
+  char *retval = NULL;
+
+  do {
+    if(NULL == fgets(buf, sizeof(buf), fp))
+      break;
+    if(NULL == retval) {
+      retval = strdup(buf);
+      if(!retval)
+        return NULL;
+    }
+    else {
+      char *ptr;
+      ptr = realloc(retval, strlen(retval) + strlen(buf) + 1);
+      if(NULL == ptr) {
+        free(retval);
+        return NULL;
+      }
+      retval = ptr;
+      strcat(retval, buf);
+    }
+  }
+  while(NULL == (nl = strchr(retval, '\n')));
+
+  if(NULL != nl)
+    *nl = '\0';
+
+  return retval;
 }
 
 static void show_dir_errno(FILE *errors, const char *name)
@@ -5860,23 +5890,23 @@
 
   tempdir = strtok(outdup, DIR_CHAR);
 
-  while (tempdir != NULL) {
+  while(tempdir != NULL) {
     tempdir2 = strtok(NULL, DIR_CHAR);
     /* since strtok returns a token for the last word even
        if not ending with DIR_CHAR, we need to prune it */
-    if (tempdir2 != NULL) {
+    if(tempdir2 != NULL) {
       size_t dlen = strlen(dirbuildup);
-      if (dlen)
+      if(dlen)
         sprintf(&dirbuildup[dlen], "%s%s", DIR_CHAR, tempdir);
       else {
-        if (0 != strncmp(outdup, DIR_CHAR, 1))
+        if(0 != strncmp(outdup, DIR_CHAR, 1))
           strcpy(dirbuildup, tempdir);
         else
           sprintf(dirbuildup, "%s%s", DIR_CHAR, tempdir);
       }
-      if (access(dirbuildup, F_OK) == -1) {
+      if(access(dirbuildup, F_OK) == -1) {
         result = mkdir(dirbuildup,(mode_t)0000750);
-        if (-1 == result) {
+        if(-1 == result) {
           show_dir_errno(errors, dirbuildup);
           break; /* get out of loop */
         }
@@ -5927,7 +5957,7 @@
 {
   static char dos_name[PATH_MAX];
   static const char illegal_chars_dos[] = ".+, ;=[]" /* illegal in DOS */
-                                       "|<>\\\":?*"; /* illegal in DOS & W95 */
+    "|<>\\\":?*"; /* illegal in DOS & W95 */
   static const char *illegal_chars_w95 = &illegal_chars_dos[8];
   int idx, dot_idx;
   const char *s = file_name;
@@ -5937,36 +5967,36 @@
   size_t len = sizeof (illegal_chars_dos) - 1;
 
   /* Support for Windows 9X VFAT systems, when available. */
-  if (_use_lfn (file_name)) {
+  if(_use_lfn (file_name)) {
     illegal_aliens = illegal_chars_w95;
     len -= (illegal_chars_w95 - illegal_chars_dos);
   }
 
   /* Get past the drive letter, if any. */
-  if (s[0] >= 'A' && s[0] <= 'z' && s[1] == ':') {
+  if(s[0] >= 'A' && s[0] <= 'z' && s[1] == ':') {
     *d++ = *s++;
     *d++ = *s++;
   }
 
-  for (idx = 0, dot_idx = -1; *s && d < dlimit; s++, d++) {
-    if (memchr (illegal_aliens, *s, len)) {
+  for(idx = 0, dot_idx = -1; *s && d < dlimit; s++, d++) {
+    if(memchr (illegal_aliens, *s, len)) {
       /* Dots are special: DOS doesn't allow them as the leading character,
          and a file name cannot have more than a single dot.  We leave the
          first non-leading dot alone, unless it comes too close to the
          beginning of the name: we want sh.lex.c to become sh_lex.c, not
          sh.lex-c.  */
-      if (*s == '.') {
-        if (idx == 0 && (s[1] == '/' || (s[1] == '.' && s[2] == '/'))) {
+      if(*s == '.') {
+        if(idx == 0 && (s[1] == '/' || (s[1] == '.' && s[2] == '/'))) {
           /* Copy "./" and "../" verbatim.  */
           *d++ = *s++;
-          if (*s == '.')
+          if(*s == '.')
             *d++ = *s++;
           *d = *s;
         }
-        else if (idx == 0)
+        else if(idx == 0)
           *d = '_';
-        else if (dot_idx >= 0) {
-          if (dot_idx < 5) { /* 5 is a heuristic ad-hoc'ery */
+        else if(dot_idx >= 0) {
+          if(dot_idx < 5) { /* 5 is a heuristic ad-hoc'ery */
             d[dot_idx - idx] = '_'; /* replace previous dot */
             *d = '.';
           }
@@ -5976,11 +6006,11 @@
         else
           *d = '.';
 
-        if (*s == '.')
+        if(*s == '.')
           dot_idx = idx;
       }
-      else if (*s == '+' && s[1] == '+') {
-        if (idx - 2 == dot_idx) { /* .c++, .h++ etc. */
+      else if(*s == '+' && s[1] == '+') {
+        if(idx - 2 == dot_idx) { /* .c++, .h++ etc. */
           *d++ = 'x';
           *d   = 'x';
         }
@@ -5997,7 +6027,7 @@
     }
     else
       *d = *s;
-    if (*s == '/') {
+    if(*s == '/') {
       idx = 0;
       dot_idx = -1;
     }
@@ -6022,10 +6052,10 @@
   strncpy(fname, file_name, PATH_MAX-1);
   fname[PATH_MAX-1] = 0;
   base = basename(fname);
-  if (((stat(base, &st_buf)) == 0) && (S_ISCHR(st_buf.st_mode))) {
+  if(((stat(base, &st_buf)) == 0) && (S_ISCHR(st_buf.st_mode))) {
     size_t blen = strlen (base);
 
-    if (strlen(fname) >= PATH_MAX-1) {
+    if(strlen(fname) >= PATH_MAX-1) {
       /* Make room for the '_' */
       blen--;
       base[blen] = 0;

=== modified file 'src/makefile.amiga'
--- src/makefile.amiga	2010-03-18 08:55:19 +0000
+++ src/makefile.amiga	2010-10-18 11:13:17 +0000
@@ -14,11 +14,14 @@
 README	=	../docs/MANUAL
 MKHELP	=	../src/mkhelp.pl
 
-OBJS	=	getpass.c hugehelp.c main.c urlglob.c writeenv.c writeout.c curlutil.c os-specific.c ../lib/rawstr.c ../lib/nonblock.c
-
-
-all:	hugehelp.c $(OBJS:.c=.o)
-	$(CC) $(CFLAGS) -o cURL $(OBJS:.c=.o) $(LIBS) -Wl,-Map,cURL.map,--cref
+top_srcdir = ..
+
+include Makefile.inc
+
+OBJS = $(CURL_CFILES:.c=.o) $(CURLX_ONES:.c=.o)
+
+all:	hugehelp.c $(OBJS)
+	$(CC) $(CFLAGS) -o cURL $(OBJS) $(LIBS) -Wl,-Map,cURL.map,--cref
 
 hugehelp.c: $(README) $(MANPAGE)  mkhelp.pl
 	rm -f hugehelp.c

=== modified file 'src/setup.h'
--- src/setup.h	2010-04-28 18:40:27 +0000
+++ src/setup.h	2010-10-18 11:13:17 +0000
@@ -207,6 +207,11 @@
 #define strdup(ptr) curlx_strdup(ptr)
 #endif
 
+/* Define S_ISREG if not defined by system headers, f.e. MSVC */
+#if !defined(S_ISREG) && defined(S_IFMT) && defined(S_IFREG)
+#define S_ISREG(m) (((m) & S_IFMT) == S_IFREG)
+#endif
+
 /*
  * Include macros and defines that should only be processed once.
  */

=== modified file 'src/urlglob.c'
--- src/urlglob.c	2010-08-12 08:20:48 +0000
+++ src/urlglob.c	2010-10-18 11:13:17 +0000
@@ -107,7 +107,7 @@
 
         /* always check for a literal (may be "") between patterns */
         if(GLOB_ERROR == glob_word(glob, ++pattern, ++pos, &wordamount))
-          wordamount=1;
+          return GLOB_ERROR;
         *amount = pat->content.Set.size * wordamount;
 
         done = TRUE;
@@ -262,8 +262,11 @@
   *amount = 1; /* default is one single string */
 
   while (*pattern != '\0' && *pattern != '{' && *pattern != '[') {
-    if (*pattern == '}' || *pattern == ']')
+    if (*pattern == '}' || *pattern == ']') {
+      snprintf(glob->errormsg, sizeof(glob->errormsg),
+               "unmatched close brace/bracket at pos %zu\n", pos);
       return GLOB_ERROR;
+    }
 
     /* only allow \ to escape known "special letters" */
     if (*pattern == '\\' &&
@@ -273,8 +276,6 @@
       /* escape character, skip '\' */
       ++pattern;
       ++pos;
-      if (*pattern == '\0')             /* but no escaping of '\0'! */
-        return GLOB_ERROR;
     }
     *buf++ = *pattern++;                /* copy character to literal */
     ++pos;
@@ -337,7 +338,7 @@
   else {
     if(error && glob_expand->errormsg[0]) {
       /* send error description to the error-stream */
-      fprintf(error, "curl: (%d) [globbing] %s\n",
+      fprintf(error, "curl: (%d) [globbing] %s",
               CURLE_URL_MALFORMAT, glob_expand->errormsg);
     }
     /* it failed, we cleanup */

=== modified file 'src/version.h'
--- src/version.h	2010-08-12 08:20:48 +0000
+++ src/version.h	2010-10-18 11:13:17 +0000
@@ -26,7 +26,7 @@
 
 #define CURL_NAME "curl"
 #define CURL_COPYRIGHT LIBCURL_COPYRIGHT
-#define CURL_VERSION "7.21.1"
+#define CURL_VERSION "7.21.2"
 #define CURL_VERSION_MAJOR LIBCURL_VERSION_MAJOR
 #define CURL_VERSION_MINOR LIBCURL_VERSION_MINOR
 #define CURL_VERSION_PATCH LIBCURL_VERSION_PATCH

=== modified file 'tests/FILEFORMAT'
--- tests/FILEFORMAT	2010-04-28 18:40:27 +0000
+++ tests/FILEFORMAT	2010-10-18 11:13:17 +0000
@@ -124,6 +124,7 @@
                 server will NOT wait for the full request body to get sent
 idle            do nothing after receiving the request, just "sit idle"
 stream          continuously send data to the client, never-ending
+writedelay: [secs] delay this amount between reply packets
 pipe: [num]     tell the server to expect this many HTTP requests before
                 sending back anything, to allow pipelining tests
 skip: [num]     instructs the server to ignore reading this many bytes from a PUT

=== modified file 'tests/Makefile.in'
--- tests/Makefile.in	2010-08-12 08:20:48 +0000
+++ tests/Makefile.in	2010-10-18 11:13:17 +0000
@@ -115,6 +115,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'tests/data/Makefile.am'
--- tests/data/Makefile.am	2010-06-16 19:25:37 +0000
+++ tests/data/Makefile.am	2010-10-18 11:13:17 +0000
@@ -19,55 +19,56 @@
  test505 test74 test75 test76 test77 test78 test147 test148 test506 test79 \
  test80 test81 test82 test83 test84 test85 test86 test87 test507 test149   \
  test88 test89 test90 test508 test91 test92 test203 test93 test94 test95   \
- test510 test97 test98 test99 test150 test151 test152 test153	   \
- test154 test155 test156 test157 test158 test159 test511 test160 test161   \
- test162 test163 test164 test512 test165 test166 test167 test168 test169   \
- test170 test171 test172 test204 test205 test173 test174 test175 test176   \
- test177 test513 test514 test178 test179 test180 test181 test182 test183   \
- test184 test185 test186 test187 test188 test189 test191 test192 test193   \
- test194 test195 test196 test197 test198 test515 test516 test517 test518   \
- test210 test211 test212 test220 test221 test222 test223 test224 test206   \
- test207 test208 test209 test213 test240 test241 test242 test519 test214   \
- test215 test216 test217 test218 test199 test225 test226 test227 test228   \
- test229 test233 test234 test235 test236 test520 test237 test238 test239   \
- test243 test245 test246 test247 test248 test249 test250 test251 test252   \
- test253 test254 test255 test521 test522 test523 test256 test257 test258   \
- test259 test260 test261 test262 test263 test264 test265 test266 test267   \
- test268 test269 test270 test271 test272 test273 test274 test275 test524   \
- test525 test276 test277 test526 test527 test528 test530 DISABLED test278  \
- test279 test531 test280 test529 test532 test533 test534 test535 test281   \
- test537 test282 test283 test284 test538 test285 test286 test307 test308   \
- test287 test400 test288 test600 test601 test602 test603 test401 test402   \
- test290 test291 test292 test293 test403 test404 test405 test604 test605   \
- test606 test607 test608 test609 test294 test295 test296 test297 test298   \
- test610 test611 test612 test406 test407 test408 test409 test613 test614   \
- test700 test701 test702 test704 test705 test703 test706 test707 test350   \
- test351 test352 test353 test289 test540 test354 test231 test1000 test1001 \
+ test510 test97 test98 test99 test150 test151 test152 test153 test154	   \
+ test155 test156 test157 test158 test159 test511 test160 test161 test162   \
+ test163 test164 test512 test165 test166 test167 test168 test169 test170   \
+ test171 test172 test204 test205 test173 test174 test175 test176 test177   \
+ test513 test514 test178 test179 test180 test181 test182 test183 test184   \
+ test185 test186 test187 test188 test189 test191 test192 test193 test194   \
+ test195 test196 test197 test198 test515 test516 test517 test518 test210   \
+ test211 test212 test220 test221 test222 test223 test224 test206 test207   \
+ test208 test209 test213 test240 test241 test242 test519 test214 test215   \
+ test216 test217 test218 test199 test225 test226 test227 test228 test229   \
+ test233 test234 test235 test236 test520 test237 test238 test239 test243   \
+ test245 test246 test247 test248 test249 test250 test251 test252 test253   \
+ test254 test255 test521 test522 test523 test256 test257 test258 test259   \
+ test260 test261 test262 test263 test264 test265 test266 test267 test268   \
+ test269 test270 test271 test272 test273 test274 test275 test524 test525   \
+ test276 test277 test526 test527 test528 test530 DISABLED test278 test279  \
+ test531 test280 test529 test532 test533 test534 test535 test281 test537   \
+ test282 test283 test284 test538 test285 test286 test307 test308 test287   \
+ test400 test288 test600 test601 test602 test603 test401 test402 test290   \
+ test291 test292 test293 test403 test404 test405 test604 test605 test606   \
+ test607 test608 test609 test294 test295 test296 test297 test298 test610   \
+ test611 test612 test406 test407 test408 test409 test613 test614 test700   \
+ test701 test702 test704 test705 test703 test706 test707 test350 test351   \
+ test352 test353 test289 test540 test354 test231 test1000 test1001	   \
  test1002 test1003 test1004 test1005 test1006 test615 test1007 test541	   \
  test1010 test1011 test1012 test542 test543 test536 test1008 test1009	   \
  test2000 test2001 test2002 test2003 test35 test544 test545 test2004	   \
  test546 test1013 test1014 test1015 test547 test548 test549 test550	   \
- test551 test552 test1016 test1017 test1018 test1019 test1020 test553      \
- test1021 test1022 test1023 test309 test616 test617 test618 test619        \
+ test551 test552 test1016 test1017 test1018 test1019 test1020 test553	   \
+ test1021 test1022 test1023 test309 test616 test617 test618 test619	   \
  test620 test621 test622 test623 test624 test625 test626 test627 test554   \
- test1024 test1025 test555 test1026 test1027 test1028 test1029 test1030    \
+ test1024 test1025 test555 test1026 test1027 test1028 test1029 test1030	   \
  test556 test557 test1031 test628 test629 test630 test631 test632 test1032 \
- test1033 test539 test1034 test1035 test1036 test1037 test1038 test1039    \
+ test1033 test539 test1034 test1035 test1036 test1037 test1038 test1039	   \
  test1040 test1041 test1042 test1043 test1044 test1045 test1046 test1047   \
  test1048 test1049 test1050 test1051 test1052 test1053 test1054 test1055   \
  test1056 test1057 test1058 test1059 test1060 test1061 test1062 test1063   \
  test1064 test1065 test1066 test1067 test1068 test1069 test1070 test1071   \
  test1072 test1073 test1074 test1075 test1076 test1077 test1078 test1079   \
- test1080 test1081 test1082 test1083 test1084 test1085 test633 test634     \
- test635 test636 test637 test558 test559 test1086 test1087 test1088        \
- test574 test575 test576 test577 test1113 test1114 \
- test1089 test1090 test1091 test1092 test1093 test1094 test1095 test1096   \
- test1097 test560 test561 test1098 test1099 test562 test563 test1100       \
- test564 test1101 test1102 test1103 test1104 test299 test310 test311       \
- test312 test1105 test565 test800 test1106 test801 test566 test802 test803 \
- test1107 test1108 test1109 test1110 test1111 test1112 test129 test567     \
- test568 test569 test570 test571 test572 test804 test805 test806 test807 \
- test573 test313 test1115
+ test1080 test1081 test1082 test1083 test1084 test1085 test633 test634	   \
+ test635 test636 test637 test558 test559 test1086 test1087 test1088	   \
+ test574 test575 test576 test577 test1113 test1114 test1089 test1090	   \
+ test1091 test1092 test1093 test1094 test1095 test1096 test1097 test560	   \
+ test561 test1098 test1099 test562 test563 test1100 test564 test1101	   \
+ test1102 test1103 test1104 test299 test310 test311 test312 test1105	   \
+ test565 test800 test1106 test801 test566 test802 test803 test1107	   \
+ test1108 test1109 test1110 test1111 test1112 test129 test567 test568	   \
+ test569 test570 test571 test572 test804 test805 test806 test807 test573   \
+ test313 test1115 test578 test579 test1116 test1200 test1201 test1202	   \
+ test1203 test1117
 
 filecheck:
 	@mkdir test-place; \

=== modified file 'tests/data/Makefile.in'
--- tests/data/Makefile.in	2010-08-12 08:20:48 +0000
+++ tests/data/Makefile.in	2010-10-18 11:13:17 +0000
@@ -84,6 +84,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
@@ -255,55 +256,56 @@
  test505 test74 test75 test76 test77 test78 test147 test148 test506 test79 \
  test80 test81 test82 test83 test84 test85 test86 test87 test507 test149   \
  test88 test89 test90 test508 test91 test92 test203 test93 test94 test95   \
- test510 test97 test98 test99 test150 test151 test152 test153	   \
- test154 test155 test156 test157 test158 test159 test511 test160 test161   \
- test162 test163 test164 test512 test165 test166 test167 test168 test169   \
- test170 test171 test172 test204 test205 test173 test174 test175 test176   \
- test177 test513 test514 test178 test179 test180 test181 test182 test183   \
- test184 test185 test186 test187 test188 test189 test191 test192 test193   \
- test194 test195 test196 test197 test198 test515 test516 test517 test518   \
- test210 test211 test212 test220 test221 test222 test223 test224 test206   \
- test207 test208 test209 test213 test240 test241 test242 test519 test214   \
- test215 test216 test217 test218 test199 test225 test226 test227 test228   \
- test229 test233 test234 test235 test236 test520 test237 test238 test239   \
- test243 test245 test246 test247 test248 test249 test250 test251 test252   \
- test253 test254 test255 test521 test522 test523 test256 test257 test258   \
- test259 test260 test261 test262 test263 test264 test265 test266 test267   \
- test268 test269 test270 test271 test272 test273 test274 test275 test524   \
- test525 test276 test277 test526 test527 test528 test530 DISABLED test278  \
- test279 test531 test280 test529 test532 test533 test534 test535 test281   \
- test537 test282 test283 test284 test538 test285 test286 test307 test308   \
- test287 test400 test288 test600 test601 test602 test603 test401 test402   \
- test290 test291 test292 test293 test403 test404 test405 test604 test605   \
- test606 test607 test608 test609 test294 test295 test296 test297 test298   \
- test610 test611 test612 test406 test407 test408 test409 test613 test614   \
- test700 test701 test702 test704 test705 test703 test706 test707 test350   \
- test351 test352 test353 test289 test540 test354 test231 test1000 test1001 \
+ test510 test97 test98 test99 test150 test151 test152 test153 test154	   \
+ test155 test156 test157 test158 test159 test511 test160 test161 test162   \
+ test163 test164 test512 test165 test166 test167 test168 test169 test170   \
+ test171 test172 test204 test205 test173 test174 test175 test176 test177   \
+ test513 test514 test178 test179 test180 test181 test182 test183 test184   \
+ test185 test186 test187 test188 test189 test191 test192 test193 test194   \
+ test195 test196 test197 test198 test515 test516 test517 test518 test210   \
+ test211 test212 test220 test221 test222 test223 test224 test206 test207   \
+ test208 test209 test213 test240 test241 test242 test519 test214 test215   \
+ test216 test217 test218 test199 test225 test226 test227 test228 test229   \
+ test233 test234 test235 test236 test520 test237 test238 test239 test243   \
+ test245 test246 test247 test248 test249 test250 test251 test252 test253   \
+ test254 test255 test521 test522 test523 test256 test257 test258 test259   \
+ test260 test261 test262 test263 test264 test265 test266 test267 test268   \
+ test269 test270 test271 test272 test273 test274 test275 test524 test525   \
+ test276 test277 test526 test527 test528 test530 DISABLED test278 test279  \
+ test531 test280 test529 test532 test533 test534 test535 test281 test537   \
+ test282 test283 test284 test538 test285 test286 test307 test308 test287   \
+ test400 test288 test600 test601 test602 test603 test401 test402 test290   \
+ test291 test292 test293 test403 test404 test405 test604 test605 test606   \
+ test607 test608 test609 test294 test295 test296 test297 test298 test610   \
+ test611 test612 test406 test407 test408 test409 test613 test614 test700   \
+ test701 test702 test704 test705 test703 test706 test707 test350 test351   \
+ test352 test353 test289 test540 test354 test231 test1000 test1001	   \
  test1002 test1003 test1004 test1005 test1006 test615 test1007 test541	   \
  test1010 test1011 test1012 test542 test543 test536 test1008 test1009	   \
  test2000 test2001 test2002 test2003 test35 test544 test545 test2004	   \
  test546 test1013 test1014 test1015 test547 test548 test549 test550	   \
- test551 test552 test1016 test1017 test1018 test1019 test1020 test553      \
- test1021 test1022 test1023 test309 test616 test617 test618 test619        \
+ test551 test552 test1016 test1017 test1018 test1019 test1020 test553	   \
+ test1021 test1022 test1023 test309 test616 test617 test618 test619	   \
  test620 test621 test622 test623 test624 test625 test626 test627 test554   \
- test1024 test1025 test555 test1026 test1027 test1028 test1029 test1030    \
+ test1024 test1025 test555 test1026 test1027 test1028 test1029 test1030	   \
  test556 test557 test1031 test628 test629 test630 test631 test632 test1032 \
- test1033 test539 test1034 test1035 test1036 test1037 test1038 test1039    \
+ test1033 test539 test1034 test1035 test1036 test1037 test1038 test1039	   \
  test1040 test1041 test1042 test1043 test1044 test1045 test1046 test1047   \
  test1048 test1049 test1050 test1051 test1052 test1053 test1054 test1055   \
  test1056 test1057 test1058 test1059 test1060 test1061 test1062 test1063   \
  test1064 test1065 test1066 test1067 test1068 test1069 test1070 test1071   \
  test1072 test1073 test1074 test1075 test1076 test1077 test1078 test1079   \
- test1080 test1081 test1082 test1083 test1084 test1085 test633 test634     \
- test635 test636 test637 test558 test559 test1086 test1087 test1088        \
- test574 test575 test576 test577 test1113 test1114 \
- test1089 test1090 test1091 test1092 test1093 test1094 test1095 test1096   \
- test1097 test560 test561 test1098 test1099 test562 test563 test1100       \
- test564 test1101 test1102 test1103 test1104 test299 test310 test311       \
- test312 test1105 test565 test800 test1106 test801 test566 test802 test803 \
- test1107 test1108 test1109 test1110 test1111 test1112 test129 test567     \
- test568 test569 test570 test571 test572 test804 test805 test806 test807 \
- test573 test313 test1115
+ test1080 test1081 test1082 test1083 test1084 test1085 test633 test634	   \
+ test635 test636 test637 test558 test559 test1086 test1087 test1088	   \
+ test574 test575 test576 test577 test1113 test1114 test1089 test1090	   \
+ test1091 test1092 test1093 test1094 test1095 test1096 test1097 test560	   \
+ test561 test1098 test1099 test562 test563 test1100 test564 test1101	   \
+ test1102 test1103 test1104 test299 test310 test311 test312 test1105	   \
+ test565 test800 test1106 test801 test566 test802 test803 test1107	   \
+ test1108 test1109 test1110 test1111 test1112 test129 test567 test568	   \
+ test569 test570 test571 test572 test804 test805 test806 test807 test573   \
+ test313 test1115 test578 test579 test1116 test1200 test1201 test1202	   \
+ test1203 test1117
 
 all: all-am
 

=== modified file 'tests/data/test1008'
--- tests/data/test1008	2010-08-12 08:20:48 +0000
+++ tests/data/test1008	2010-10-18 11:13:17 +0000
@@ -90,7 +90,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://test.remote.haxx.se:1008/path/10080002 --proxy http://%HOSTIP:%HTTPPORT --proxy-user silly:person --proxy-ntlm --proxytunnel

=== modified file 'tests/data/test1015'
--- tests/data/test1015	2008-02-08 11:20:41 +0000
+++ tests/data/test1015	2010-10-18 11:13:17 +0000
@@ -44,10 +44,10 @@
 User-Agent: curl/7.17.2-CVS (i686-pc-linux-gnu) libcurl/7.17.2-CVS OpenSSL/0.9.8g zlib/1.2.3.3 c-ares/1.5.2-CVS libidn/1.1 libssh2/0.19.0-C
 Host: %HOSTIP:%HTTPPORT
 Accept: */*
-Content-Length: 141
+Content-Length: 133
 Content-Type: application/x-www-form-urlencoded
 
-my%20name%20is%20moo%5B%5D&y e s=s%5Fi%5Fr&v_alue=content%20to%20%5F%3F%21%23%24%27%7C%3C%3E%0A&content%20to%20%5F%3F%21%23%24%27%7C%3C%3E%0A
+my%20name%20is%20moo%5B%5D&y e s=s_i_r&v_alue=content%20to%20_%3F%21%23%24%27%7C%3C%3E%0A&content%20to%20_%3F%21%23%24%27%7C%3C%3E%0A
 </protocol>
 </verify>
 </testcase>

=== modified file 'tests/data/test1021'
--- tests/data/test1021	2010-08-12 08:20:48 +0000
+++ tests/data/test1021	2010-10-18 11:13:17 +0000
@@ -99,7 +99,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://test.remote.haxx.se:1021/path/10210002 --proxy http://%HOSTIP:%HTTPPORT --proxy-user silly:person --proxy-anyauth --proxytunnel

=== modified file 'tests/data/test1100'
--- tests/data/test1100	2010-08-12 08:20:48 +0000
+++ tests/data/test1100	2010-10-18 11:13:17 +0000
@@ -74,7 +74,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/1100 -u testuser:testpass --ntlm -L -d "stuff to send away" 

=== modified file 'tests/data/test1113'
--- tests/data/test1113	2010-06-16 19:25:37 +0000
+++ tests/data/test1113	2010-10-18 11:13:17 +0000
@@ -2,6 +2,8 @@
 <info>
 <keywords>
 FTP
+RETR
+LIST
 wildcardmatch
 ftplistparser
 </keywords>
@@ -26,7 +28,7 @@
 FTP wildcard download - changed fnmatch, 2x perform (DOS LIST response)
 </name>
 <command>
-ftp://%HOSTIP:%FTPPORT/fully_simulated/DOS/*.txt
+"ftp://%HOSTIP:%FTPPORT/fully_simulated/DOS/*.txt"
 </command>
 </client>
 
@@ -36,24 +38,49 @@
 <errorcode>
 0
 </errorcode>
-<strip>
-^RETR.*
-^EPSV.*
-^PWD.*
-^CWD.*
-^TYPE.*
-^LIST.*
-</strip>
-<strippart>
-s/USER.*/USER/
-s/PASS.*/PASS/
-s/QUIT.*/QUIT/
-</strippart>
-# THERE SHOULD NOT BE "SIZE"! and once "USER && PASS"
+# THERE SHOULD NOT BE "SIZE"! and one "USER/PASS"
 <protocol>
-USER
-PASS
-QUIT
+USER anonymous
+PASS ftp@example.com
+PWD
+CWD fully_simulated
+CWD DOS
+EPSV
+TYPE A
+LIST
+EPSV
+TYPE I
+RETR chmod1
+EPSV
+RETR chmod2
+EPSV
+RETR chmod3
+EPSV
+RETR empty_file.dat
+EPSV
+RETR file.txt
+EPSV
+RETR someothertext.txt
+CWD /
+CWD fully_simulated
+CWD DOS
+EPSV
+TYPE A
+LIST
+EPSV
+TYPE I
+RETR chmod1
+EPSV
+RETR chmod2
+EPSV
+RETR chmod3
+EPSV
+RETR empty_file.dat
+EPSV
+RETR file.txt
+EPSV
+RETR someothertext.txt
+QUIT
 </protocol>
 <stdout mode="text">
 This file should have permissions 444

=== added file 'tests/data/test1116'
--- tests/data/test1116	1970-01-01 00:00:00 +0000
+++ tests/data/test1116	2010-10-18 11:13:17 +0000
@@ -0,0 +1,77 @@
+<testcase>
+<info>
+<keywords>
+HTTP
+HTTP GET
+chunked Transfer-Encoding
+</keywords>
+</info>
+#
+# Server-side
+<reply>
+<data>
+HTTP/1.1 200 funky chunky!
+Server: fakeit/0.9 fakeitbad/1.0
+Transfer-Encoding: chunked
+Connection: mooo
+
+40
+aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
+30
+bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
+21;heresatest=moooo
+cccccccccccccccccccccccccccccccc
+
+0
+chunky-trailer: header data
+another-header: yes
+
+</data>
+<datacheck>
+HTTP/1.1 200 funky chunky!
+Server: fakeit/0.9 fakeitbad/1.0
+Transfer-Encoding: chunked
+Connection: mooo
+
+aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaabbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbcccccccccccccccccccccccccccccccc
+</datacheck>
+</reply>
+
+#
+# Client-side
+<client>
+<server>
+http
+</server>
+ <name>
+HTTP GET with chunked trailer without Trailer:
+ </name>
+ <command>
+http://%HOSTIP:%HTTPPORT/1116 -D log/heads1116
+</command>
+</client>
+
+#
+# Verify data after the test has been "shot"
+<verify>
+<strip>
+^User-Agent:.*
+</strip>
+<protocol>
+GET /1116 HTTP/1.1
+Host: %HOSTIP:%HTTPPORT
+Accept: */*
+
+</protocol>
+<file name="log/heads1116">
+HTTP/1.1 200 funky chunky!
+Server: fakeit/0.9 fakeitbad/1.0
+Transfer-Encoding: chunked
+Connection: mooo
+
+chunky-trailer: header data
+another-header: yes
+</file>
+</verify>
+
+</testcase>

=== added file 'tests/data/test1117'
--- tests/data/test1117	1970-01-01 00:00:00 +0000
+++ tests/data/test1117	2010-10-18 11:13:17 +0000
@@ -0,0 +1,87 @@
+<testcase>
+<info>
+<keywords>
+HTTP
+HTTP GET
+Range
+</keywords>
+</info>
+
+# Server-side
+<reply>
+<data nocheck="yes">
+HTTP/1.1 416 Requested Range Not Satisfiable
+Date: Thu, 09 Sep 2010 14:49:00 GMT
+Accept-Ranges: bytes
+Content-Length: 115
+
+This is a long error message that is large enough that the test server is
+guaranteed to split it into two packets.
+</data>
+
+<data1>
+HTTP/1.1 206 Partial Content
+Date: Thu, 09 Sep 2010 14:49:01 GMT
+Accept-Ranges: bytes
+Content-Range: bytes 10-18/155
+Content-Length: 13
+Content-Type: text/plain
+
+partial body
+</data1>
+
+<servercmd>
+writedelay: 1
+</servercmd>
+</reply>
+
+# Client-side
+<client>
+<server>
+http
+</server>
+ <name>
+HTTP with invalid range then another URL
+ </name>
+ <command>
+-r 10-22 http://%HOSTIP:%HTTPPORT/want/1117 http://%HOSTIP:%HTTPPORT/wantmore/11170001
+</command>
+</client>
+
+# Verify data after the test has been "shot"
+<verify>
+<stdout>
+HTTP/1.1 416 Requested Range Not Satisfiable
+Date: Thu, 09 Sep 2010 14:49:00 GMT
+Accept-Ranges: bytes
+Content-Length: 115
+
+This is a long error message that is large enough that the test server is
+guaranteed to split it into two packets.
+HTTP/1.1 206 Partial Content
+Date: Thu, 09 Sep 2010 14:49:01 GMT
+Accept-Ranges: bytes
+Content-Range: bytes 10-18/155
+Content-Length: 13
+Content-Type: text/plain
+
+partial body
+</stdout>
+
+<strip>
+^User-Agent:.*
+</strip>
+<protocol>
+GET /want/1117 HTTP/1.1
+Range: bytes=10-22
+Host: %HOSTIP:%HTTPPORT
+Accept: */*
+
+GET /wantmore/11170001 HTTP/1.1
+Range: bytes=10-22
+Host: %HOSTIP:%HTTPPORT
+Accept: */*
+
+</protocol>
+</verify>
+</testcase>

=== added file 'tests/data/test1200'
--- tests/data/test1200	1970-01-01 00:00:00 +0000
+++ tests/data/test1200	2010-10-18 11:13:17 +0000
@@ -0,0 +1,39 @@
+<testcase>
+<info>
+<keywords>
+GOPHER
+INDEX
+</keywords>
+</info>
+
+#
+# Server-side
+<reply>
+<data>
+iMenu results		error.host	1
+0Selector 	/bar	bar.foo.invalid	70
+.
+</data>
+</reply>
+
+# Client-side
+<client>
+<server>
+gopher
+</server>
+ <name>
+Gopher index
+ </name>
+ <command>
+gopher://%HOSTIP:%GOPHERPORT/1/1200
+</command>
+</client>
+
+#
+# Verify data after the test has been "shot"
+<verify>
+<protocol>
+/1200
+</protocol>
+</verify>
+</testcase>

=== added file 'tests/data/test1201'
--- tests/data/test1201	1970-01-01 00:00:00 +0000
+++ tests/data/test1201	2010-10-18 11:13:17 +0000
@@ -0,0 +1,39 @@
+<testcase>
+<info>
+<keywords>
+GOPHER
+SELECTOR
+</keywords>
+</info>
+
+#
+# Server-side
+<reply>
+<data>
+iMenu results		error.host	1
+0Selector /selector/SELECTOR	/bar	bar.foo.invalid	70
+.
+</data>
+</reply>
+
+# Client-side
+<client>
+<server>
+gopher
+</server>
+ <name>
+Gopher selector
+ </name>
+ <command>
+gopher://%HOSTIP:%GOPHERPORT/1/selector/SELECTOR/1201
+</command>
+</client>
+
+#
+# Verify data after the test has been "shot"
+<verify>
+<protocol>
+/selector/SELECTOR/1201
+</protocol>
+</verify>
+</testcase>

=== added file 'tests/data/test1202'
--- tests/data/test1202	1970-01-01 00:00:00 +0000
+++ tests/data/test1202	2010-10-18 11:13:17 +0000
@@ -0,0 +1,40 @@
+<testcase>
+<info>
+<keywords>
+GOPHER
+QUERY
+</keywords>
+</info>
+
+#
+# Server-side
+<reply>
+<data>
+iSearch results		error.host	1
+0Query query succeeded	/foo	foo.bar.invalid	70
+0Selector /the/search/engine	/bar	bar.foo.invalid	70
+.
+</data>
+</reply>
+
+# Client-side
+<client>
+<server>
+gopher
+</server>
+ <name>
+Gopher query
+ </name>
+ <command>
+"gopher://%HOSTIP:%GOPHERPORT/7/the/search/engine?query%20succeeded/1202"
+</command>
+</client>
+
+#
+# Verify data after the test has been "shot"
+<verify>
+<protocol>
+/the/search/engine	query succeeded/1202
+</protocol>
+</verify>
+</testcase>

=== added file 'tests/data/test1203'
--- tests/data/test1203	1970-01-01 00:00:00 +0000
+++ tests/data/test1203	2010-10-18 11:13:17 +0000
@@ -0,0 +1,43 @@
+<testcase>
+<info>
+<keywords>
+GOPHER-ipv6
+IPv6
+INDEX
+</keywords>
+</info>
+
+#
+# Server-side
+<reply>
+<data>
+iMenu results		error.host	1
+0Selector 	/bar	bar.foo.invalid	70
+.
+</data>
+</reply>
+
+# Client-side
+<client>
+<features>
+ipv6
+</features>
+<server>
+gopher-ipv6
+</server>
+ <name>
+Gopher IPv6 index
+ </name>
+ <command>
+-g gopher://%HOSTIP:%GOPHER6PORT/1/moo/1203
+</command>
+</client>
+
+#
+# Verify data after the test has been "shot"
+<verify>
+<protocol>
+/moo/1203
+</protocol>
+</verify>
+</testcase>

=== modified file 'tests/data/test150'
--- tests/data/test150	2010-08-12 08:20:48 +0000
+++ tests/data/test150	2010-10-18 11:13:17 +0000
@@ -61,7 +61,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/150 -u testuser:testpass --ntlm --fail

=== modified file 'tests/data/test155'
--- tests/data/test155	2010-08-12 08:20:48 +0000
+++ tests/data/test155	2010-10-18 11:13:17 +0000
@@ -79,7 +79,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/155 -T log/put155 -u testuser:testpass --anyauth

=== modified file 'tests/data/test159'
--- tests/data/test159	2010-08-12 08:20:48 +0000
+++ tests/data/test159	2010-10-18 11:13:17 +0000
@@ -60,7 +60,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/159 -u testuser:testpass --ntlm -0

=== modified file 'tests/data/test169'
--- tests/data/test169	2010-08-12 08:20:48 +0000
+++ tests/data/test169	2010-10-18 11:13:17 +0000
@@ -85,7 +85,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://data.from.server.requiring.digest.hohoho.com/169 --proxy http://%HOSTIP:%HTTPPORT --proxy-user foo:bar --proxy-ntlm --digest --user digest:alot

=== modified file 'tests/data/test173'
--- tests/data/test173	2007-12-04 01:09:30 +0000
+++ tests/data/test173	2010-10-18 11:13:17 +0000
@@ -1,4 +1,11 @@
 <testcase>
+<info>
+<keywords>
+HTTP
+HTTP POST
+</keywords>
+</info>
+
 # Server-side
 <reply>
 <data>
@@ -21,7 +28,7 @@
 HTTP RFC1867-formpost a file from stdin with "faked" filename
  </name>
  <command>
-http://%HOSTIP:%HTTPPORT/we/want/173 -F field1=contents1 -F "fileupload=@-;filename=/dev/null"
+http://%HOSTIP:%HTTPPORT/we/want/173 -F field1=contents1 -F "fileupload=@-;filename=/dev/null;type=text/x-null;format=x-curl"
 </command>
 
 <stdin>
@@ -46,7 +53,7 @@
 User-Agent: curl/7.12.1-CVS (i686-pc-linux-gnu) libcurl/7.12.1-CVS OpenSSL/0.9.6b ipv6 zlib/1.1.4 GSS libidn/0.4.6
 Host: %HOSTIP:%HTTPPORT
 Accept: */*
-Content-Length: 359
+Content-Length: 360
 Expect: 100-continue
 Content-Type: multipart/form-data; boundary=----------------------------5dbea401cd8c
 
@@ -56,7 +63,7 @@
 contents1
 ------------------------------5dbea401cd8c
 Content-Disposition: form-data; name="fileupload"; filename="/dev/null"
-Content-Type: application/octet-stream
+Content-Type: text/x-null;format=x-curl
 
 line1
 line2

=== modified file 'tests/data/test186'
--- tests/data/test186	2007-12-04 01:09:30 +0000
+++ tests/data/test186	2010-10-18 11:13:17 +0000
@@ -21,7 +21,7 @@
 HTTP RFC1867-type formposting with types on text fields
  </name>
  <command>
-http://%HOSTIP:%HTTPPORT/we/want/186 -F "name=daniel;type=moo/foo" -F "html= <body>hello</body>;type=text/html"
+http://%HOSTIP:%HTTPPORT/we/want/186 -F "name=daniel;type=moo/foo" -F "html= <body>hello</body>;type=text/html;charset=verymoo"
 </command>
 # We create this file before the command is invoked!
 </client>
@@ -36,7 +36,7 @@
 User-Agent: curl/7.12.2-CVS (i686-pc-linux-gnu) libcurl/7.12.2-CVS OpenSSL/0.9.7d zlib/1.2.1.1 c-ares/1.2.0 libidn/0.5.2
 Host: %HOSTIP:%HTTPPORT
 Accept: */*
-Content-Length: 305
+Content-Length: 321
 Expect: 100-continue
 Content-Type: multipart/form-data; boundary=----------------------------212d9006ceb5
 
@@ -47,7 +47,7 @@
 daniel
 ------------------------------212d9006ceb5
 Content-Disposition: form-data; name="html"
-Content-Type: text/html
+Content-Type: text/html;charset=verymoo
 
  <body>hello</body>
 ------------------------------212d9006ceb5--

=== modified file 'tests/data/test194'
--- tests/data/test194	2009-04-02 23:35:45 +0000
+++ tests/data/test194	2010-10-18 11:13:17 +0000
@@ -17,11 +17,12 @@
 Last-Modified: Fri, 24 Oct 2003 18:01:23 GMT
 ETag: "ab57a-507-3f9968f3"
 Accept-Ranges: bytes
-Content-Length: 87
+Content-Length: 4
 Content-Range: bytes */87
 Content-Type: image/gif
 Connection: close
 
+bad
 </data>
 
 </reply>

=== modified file 'tests/data/test209'
--- tests/data/test209	2010-08-12 08:20:48 +0000
+++ tests/data/test209	2010-10-18 11:13:17 +0000
@@ -83,7 +83,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://test.remote.haxx.se:209/path/2090002 --proxy http://%HOSTIP:%HTTPPORT --proxy-user silly:person --proxy-ntlm --proxytunnel

=== modified file 'tests/data/test213'
--- tests/data/test213	2010-08-12 08:20:48 +0000
+++ tests/data/test213	2010-10-18 11:13:17 +0000
@@ -83,7 +83,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://test.remote.haxx.se:213/path/2130002 --proxy1.0 http://%HOSTIP:%HTTPPORT --proxy-user silly:person --proxy-ntlm --proxytunnel -d "postit"

=== modified file 'tests/data/test239'
--- tests/data/test239	2010-08-12 08:20:48 +0000
+++ tests/data/test239	2010-10-18 11:13:17 +0000
@@ -60,7 +60,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/239 --proxy http://%HOSTIP:%HTTPPORT --proxy-user silly:person --proxy-ntlm -d "postit"

=== modified file 'tests/data/test243'
--- tests/data/test243	2010-08-12 08:20:48 +0000
+++ tests/data/test243	2010-10-18 11:13:17 +0000
@@ -81,7 +81,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/243 --proxy http://%HOSTIP:%HTTPPORT --proxy-user silly:person --proxy-anyauth -d "postit"

=== modified file 'tests/data/test265'
--- tests/data/test265	2010-08-12 08:20:48 +0000
+++ tests/data/test265	2010-10-18 11:13:17 +0000
@@ -86,7 +86,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://test.remote.haxx.se:265/path/2650002 --proxy http://%HOSTIP:%HTTPPORT --proxy-user silly:person --proxy-ntlm --proxytunnel -d "postit"

=== modified file 'tests/data/test267'
--- tests/data/test267	2010-08-12 08:20:48 +0000
+++ tests/data/test267	2010-10-18 11:13:17 +0000
@@ -67,7 +67,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/267 -u testuser:testpass --ntlm -d "data" -H "Header1: yes" -H "Header2: no"

=== modified file 'tests/data/test39'
--- tests/data/test39	2007-12-04 01:09:30 +0000
+++ tests/data/test39	2010-10-18 11:13:17 +0000
@@ -26,7 +26,7 @@
 HTTP RFC1867-type formposting with filename= and type=
  </name>
  <command>
-http://%HOSTIP:%HTTPPORT/we/want/39 -F name=daniel -F tool=curl --form-string "str1=@literal" --form-string "str2=<verbatim;type=xxx/yyy" -F "file=@log/test39.txt;filename=fakerfile;type=moo/foobar" -F file2=@log/test39.txt
+http://%HOSTIP:%HTTPPORT/we/want/39 -F name=daniel -F tool=curl --form-string "str1=@literal" --form-string "str2=<verbatim;type=xxx/yyy" -F "file=@log/test39.txt;type=moo/foobar;filename=fakerfile" -F file2=@log/test39.txt
 </command>
 # We create this file before the command is invoked!
 <file name="log/test39.txt">

=== modified file 'tests/data/test504'
--- tests/data/test504	2007-12-04 01:09:30 +0000
+++ tests/data/test504	2010-10-18 11:13:17 +0000
@@ -1,4 +1,14 @@
 <testcase>
+<info>
+<keywords>
+HTTP
+HTTP GET
+HTTP proxy
+multi
+FAILURE
+</keywords>
+</info>
+
 # Server-side
 <reply>
 </reply>

=== modified file 'tests/data/test517'
--- tests/data/test517	2009-11-05 10:11:57 +0000
+++ tests/data/test517	2010-10-18 11:13:17 +0000
@@ -103,6 +103,7 @@
 74: Thu, 999999999999-Aug-2007 20:49:07 GMT => -1
 75: Thu, 12-Aug-2007 20:61:99999999999 GMT => -1
 76: IAintNoDateFool => -1
+77: Thu Apr 18 22:50 2007 GMT => 1176936600
 </stdout>
 
 # This test case previously testes an overflow case ("2094 Nov 6 =>

=== modified file 'tests/data/test547'
--- tests/data/test547	2010-08-12 08:20:48 +0000
+++ tests/data/test547	2010-10-18 11:13:17 +0000
@@ -84,7 +84,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://test.remote.haxx.se/path/547 http://%HOSTIP:%HTTPPORT s1lly:pers0n

=== modified file 'tests/data/test548'
--- tests/data/test548	2010-08-12 08:20:48 +0000
+++ tests/data/test548	2010-10-18 11:13:17 +0000
@@ -84,7 +84,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://test.remote.haxx.se/path/548 http://%HOSTIP:%HTTPPORT s1lly:pers0n

=== modified file 'tests/data/test555'
--- tests/data/test555	2010-08-12 08:20:48 +0000
+++ tests/data/test555	2010-10-18 11:13:17 +0000
@@ -89,7 +89,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://test.remote.haxx.se/path/555 http://%HOSTIP:%HTTPPORT s1lly:pers0n

=== modified file 'tests/data/test565'
--- tests/data/test565	2010-02-09 13:06:39 +0000
+++ tests/data/test565	2010-10-18 11:13:17 +0000
@@ -74,7 +74,7 @@
 <verify>
 <protocol>
 POST /565 HTTP/1.1
-Host: 127.0.0.1:8990
+Host: %HOSTIP:%HTTPPORT
 Accept: */*
 Transfer-Encoding: chunked
 Content-Type: application/x-www-form-urlencoded
@@ -84,7 +84,7 @@
 
 POST /565 HTTP/1.1
 Authorization: Digest username="foo", realm="testrealm", nonce="1053604144", uri="/565", response="877424f750af047634dbd94f9933217b"
-Host: 127.0.0.1:8990
+Host: %HOSTIP:%HTTPPORT
 Accept: */*
 Transfer-Encoding: chunked
 Content-Type: application/x-www-form-urlencoded

=== modified file 'tests/data/test574'
--- tests/data/test574	2010-06-16 19:25:37 +0000
+++ tests/data/test574	2010-10-18 11:13:17 +0000
@@ -2,6 +2,8 @@
 <info>
 <keywords>
 FTP
+LIST
+RETR
 wildcardmatch
 ftplistparser
 </keywords>
@@ -36,24 +38,49 @@
 <errorcode>
 0
 </errorcode>
-<strip>
-^RETR.*
-^EPSV.*
-^PWD.*
-^CWD.*
-^TYPE.*
-^LIST.*
-</strip>
-<strippart>
-s/USER.*/USER/
-s/PASS.*/PASS/
-s/QUIT.*/QUIT/
-</strippart>
-# THERE SHOULD NOT BE "SIZE"! and once "USER && PASS"
+# THERE SHOULD NOT BE "SIZE"! and one "USER/PASS"
 <protocol>
-USER
-PASS
-QUIT
+USER anonymous
+PASS ftp@example.com
+PWD
+CWD fully_simulated
+CWD UNIX
+EPSV
+TYPE A
+LIST
+EPSV
+TYPE I
+RETR chmod1
+EPSV
+RETR chmod2
+EPSV
+RETR chmod3
+EPSV
+RETR empty_file.dat
+EPSV
+RETR file.txt
+EPSV
+RETR someothertext.txt
+CWD /
+CWD fully_simulated
+CWD UNIX
+EPSV
+TYPE A
+LIST
+EPSV
+TYPE I
+RETR chmod1
+EPSV
+RETR chmod2
+EPSV
+RETR chmod3
+EPSV
+RETR empty_file.dat
+EPSV
+RETR file.txt
+EPSV
+RETR someothertext.txt
+QUIT
 </protocol>
 <stdout mode="text">
 This file should have permissions 444

=== modified file 'tests/data/test575'
--- tests/data/test575	2010-06-16 19:25:37 +0000
+++ tests/data/test575	2010-10-18 11:13:17 +0000
@@ -2,6 +2,7 @@
 <info>
 <keywords>
 FTP
+RETR
 multi
 wildcardmatch
 ftplistparser
@@ -23,7 +24,7 @@
 lib575
 </tool>
  <name>
-FTP wildcard download - dup_handle && multi interface
+FTP wildcard download - dup_handle and multi interface
  </name>
  <command>
 ftp://%HOSTIP:%FTPPORT/fully_simulated/UNIX/*
@@ -31,32 +32,73 @@
 </client>
 # Verify data after the test has been "shot"
 <verify>
-<strip>
-^RETR.*
-^EPSV.*
-^CWD.*
-^PWD.*
-^TYPE.*
-</strip>
-<strippart>
-s/^USER.*/USER/
-s/^PASS.*/PASS/
-s/^LIST.*/LIST/
-s/^QUIT.*/QUIT/
-</strippart>
 <errorcode>
 0
 </errorcode>
 <protocol>
-USER
-PASS
-LIST
-LIST
-QUIT
-USER
-PASS
-LIST
-QUIT
+USER anonymous
+PASS ftp@example.com
+PWD
+CWD fully_simulated
+CWD UNIX
+EPSV
+TYPE A
+LIST
+EPSV
+TYPE I
+RETR chmod1
+EPSV
+RETR chmod2
+EPSV
+RETR chmod3
+EPSV
+RETR empty_file.dat
+EPSV
+RETR file.txt
+EPSV
+RETR someothertext.txt
+CWD /
+CWD fully_simulated
+CWD UNIX
+EPSV
+TYPE A
+LIST
+EPSV
+TYPE I
+RETR chmod1
+EPSV
+RETR chmod2
+EPSV
+RETR chmod3
+EPSV
+RETR empty_file.dat
+EPSV
+RETR file.txt
+EPSV
+RETR someothertext.txt
+QUIT
+USER anonymous
+PASS ftp@example.com
+PWD
+CWD fully_simulated
+CWD UNIX
+EPSV
+TYPE A
+LIST
+EPSV
+TYPE I
+RETR chmod1
+EPSV
+RETR chmod2
+EPSV
+RETR chmod3
+EPSV
+RETR empty_file.dat
+EPSV
+RETR file.txt
+EPSV
+RETR someothertext.txt
+QUIT
 </protocol>
 <stdout mode="text">
 This file should have permissions 444

=== added file 'tests/data/test578'
--- tests/data/test578	1970-01-01 00:00:00 +0000
+++ tests/data/test578	2010-10-18 11:13:17 +0000
@@ -0,0 +1,52 @@
+<testcase>
+<info>
+<keywords>
+HTTP
+HTTP POST
+</keywords>
+</info>
+#
+# Server-side
+<reply name="1">
+<data mode="text">
+HTTP/1.1 200 OK
+Date: Thu, 09 Nov 2010 14:49:00 GMT
+Server: test-server/fake
+Last-Modified: Tue, 13 Jun 2000 12:10:00 GMT
+ETag: "21025-dc7-39462498"
+Accept-Ranges: bytes
+Content-Length: 6
+Connection: close
+Content-Type: text/html
+Funny-head: yesyes
+
+-foo-
+</data>
+</reply>
+
+# Client-side
+<client>
+<server>
+http
+</server>
+# tool is what to use instead of 'curl'
+<tool>
+lib578
+</tool>
+
+ <name>
+HTTP POST lower than MAX_INITIAL_POST_SIZE with progress callback
+ </name>
+ <command>
+http://%HOSTIP:%HTTPPORT/500 log/ip578
+</command>
+</client>
+
+#
+# Verify data after the test has been "shot"
+<verify>
+<file name="log/ip578" mode="text">
+PASSED, UL data matched data size
+</file>
+</verify>
+</testcase>

=== added file 'tests/data/test579'
--- tests/data/test579	1970-01-01 00:00:00 +0000
+++ tests/data/test579	2010-10-18 11:13:17 +0000
@@ -0,0 +1,85 @@
+<testcase>
+<info>
+<keywords>
+HTTP
+HTTP POST
+HTTP Digest auth
+</keywords>
+</info>
+#
+# Server-side
+<reply>
+<data>
+HTTP/1.1 100 Continue
+Server: Microsoft-IIS/5.0
+Date: Sun, 03 Apr 2005 14:57:45 GMT
+X-Powered-By: ASP.NET
+
+HTTP/1.1 401 authentication please swsbounce
+Server: Microsoft-IIS/6.0
+WWW-Authenticate: Digest realm="testrealm", nonce="1053604144"
+Content-Type: text/html; charset=iso-8859-1
+Content-Length: 0
+
+</data>
+<data1>
+HTTP/1.1 200 A OK
+Server: Microsoft-IIS/6.0
+Content-Type: text/html; charset=iso-8859-1
+Content-Length: 3
+
+ok
+</data1>
+<datacheck>
+HTTP/1.1 100 Continue
+Server: Microsoft-IIS/5.0
+Date: Sun, 03 Apr 2005 14:57:45 GMT
+X-Powered-By: ASP.NET
+
+HTTP/1.1 401 authentication please swsbounce
+Server: Microsoft-IIS/6.0
+WWW-Authenticate: Digest realm="testrealm", nonce="1053604144"
+Content-Type: text/html; charset=iso-8859-1
+Content-Length: 0
+
+HTTP/1.1 200 A OK
+Server: Microsoft-IIS/6.0
+Content-Type: text/html; charset=iso-8859-1
+Content-Length: 3
+
+ok
+</datacheck>
+</reply>
+
+# Client-side
+<client>
+<server>
+http
+</server>
+# tool is what to use instead of 'curl'
+<tool>
+lib579
+</tool>
+
+ <name>
+small chunked HTTP POSTs with digest auth. and progress callback
+ </name>
+ <command>
+http://%HOSTIP:%HTTPPORT/579 log/ip579
+</command>
+</client>
+
+#
+# Verify data after the test has been "shot"
+<verify>
+<file name="log/ip579" mode="text">
+Progress callback called with UL 0 out of 0
+Progress callback called with UL 0 out of -1
+Progress callback called with UL 8 out of -1
+Progress callback called with UL 16 out of -1
+Progress callback called with UL 26 out of -1
+Progress callback called with UL 61 out of -1
+Progress callback called with UL 66 out of -1
+</file>
+</verify>
+</testcase>

=== modified file 'tests/data/test58'
--- tests/data/test58	2007-12-04 01:09:30 +0000
+++ tests/data/test58	2010-10-18 11:13:17 +0000
@@ -39,7 +39,7 @@
 ^User-Agent:.*
 </strip>
 <protocol>
-PUT /we/want/58te%5B%5Dst%2Etxt HTTP/1.1
+PUT /we/want/58te%5B%5Dst.txt HTTP/1.1
 Host: %HOSTIP:%HTTPPORT
 Accept: */*
 Content-Length: 12

=== modified file 'tests/data/test67'
--- tests/data/test67	2010-08-12 08:20:48 +0000
+++ tests/data/test67	2010-10-18 11:13:17 +0000
@@ -67,7 +67,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/67 -u testuser:testpass --ntlm

=== modified file 'tests/data/test68'
--- tests/data/test68	2010-08-12 08:20:48 +0000
+++ tests/data/test68	2010-10-18 11:13:17 +0000
@@ -66,7 +66,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/68 -u testuser:testpass --ntlm

=== modified file 'tests/data/test69'
--- tests/data/test69	2010-08-12 08:20:48 +0000
+++ tests/data/test69	2010-10-18 11:13:17 +0000
@@ -83,7 +83,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/69 -u testuser:testpass --anyauth

=== modified file 'tests/data/test75'
--- tests/data/test75	2007-08-01 12:22:30 +0000
+++ tests/data/test75	2010-10-18 11:13:17 +0000
@@ -44,7 +44,6 @@
 </errorcode>
 <stdout mode="text">
 curl: (3) [globbing] error: bad range specification after pos 24
-
 </stdout>
 </verify>
 </testcase>

=== modified file 'tests/data/test81'
--- tests/data/test81	2010-08-12 08:20:48 +0000
+++ tests/data/test81	2010-10-18 11:13:17 +0000
@@ -66,7 +66,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/81 --proxy-user testuser:testpass -x http://%HOSTIP:%HTTPPORT --proxy-ntlm

=== modified file 'tests/data/test89'
--- tests/data/test89	2010-08-12 08:20:48 +0000
+++ tests/data/test89	2010-10-18 11:13:17 +0000
@@ -100,7 +100,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/89 -u testuser:testpass --ntlm -L

=== modified file 'tests/data/test90'
--- tests/data/test90	2010-08-12 08:20:48 +0000
+++ tests/data/test90	2010-10-18 11:13:17 +0000
@@ -138,7 +138,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/90 -u testuser:testpass --anyauth -L

=== modified file 'tests/data/test91'
--- tests/data/test91	2010-08-12 08:20:48 +0000
+++ tests/data/test91	2010-10-18 11:13:17 +0000
@@ -84,7 +84,7 @@
 # we force our own host name, in order to make the test machine independent
 CURL_GETHOSTNAME=curlhost
 # we try to use the LD_PRELOAD hack, if not a debug build
-LD_PRELOAD=./libtest/.libs/libhostname.so
+LD_PRELOAD=%PWD/libtest/.libs/libhostname.so
  </setenv>
  <command>
 http://%HOSTIP:%HTTPPORT/91 --anyauth -u mydomain\\myself:secret

=== modified file 'tests/data/test92'
--- tests/data/test92	2009-04-02 23:35:45 +0000
+++ tests/data/test92	2010-10-18 11:13:17 +0000
@@ -17,10 +17,11 @@
 Last-Modified: Fri, 24 Oct 2003 18:01:23 GMT
 ETag: "ab57a-507-3f9968f3"
 Accept-Ranges: bytes
-Content-Length: 87
+Content-Length: 4
 Content-Range: bytes */87
 Content-Type: image/gif
 
+bad
 </data>
 </reply>
 

=== modified file 'tests/httpserver.pl'
--- tests/httpserver.pl	2010-04-28 18:40:27 +0000
+++ tests/httpserver.pl	2010-10-18 11:13:17 +0000
@@ -42,6 +42,7 @@
 my $logfile;         # http server log file
 my $srcdir;
 my $fork;
+my $gopher = 0;
 
 my $flags  = "";
 my $path   = '.';
@@ -72,6 +73,9 @@
     elsif($ARGV[0] eq '--ipv6') {
         $ipvnum = 6;
     }
+    elsif($ARGV[0] eq '--gopher') {
+        $gopher = 1;
+    }
     elsif($ARGV[0] eq '--port') {
         if($ARGV[1] =~ /^(\d+)$/) {
             $port = $1;
@@ -106,6 +110,7 @@
     $logfile = server_logfilename($logdir, $proto, $ipvnum, $idnum);
 }
 
+$flags .= "--gopher " if($gopher);
 $flags .= "--fork " if(defined($fork));
 $flags .= "--pidfile \"$pidfile\" --logfile \"$logfile\" ";
 $flags .= "--ipv$ipvnum --port $port --srcdir \"$srcdir\"";

=== modified file 'tests/libtest/Makefile.am'
--- tests/libtest/Makefile.am	2010-08-12 08:20:48 +0000
+++ tests/libtest/Makefile.am	2010-10-18 11:13:17 +0000
@@ -54,7 +54,7 @@
 test1022.pl Makefile.inc
 
 # Dependencies (may need to be overriden)
-LDADD = $(top_builddir)/lib/libcurl.la
+LDADD = $(top_builddir)/lib/libcurl.la @CURL_LIBS@
 DEPENDENCIES = $(top_builddir)/lib/libcurl.la
 
 # Makefile.inc provides the source defines (TESTUTIL, SUPPORTFILES,

=== modified file 'tests/libtest/Makefile.in'
--- tests/libtest/Makefile.in	2010-08-12 08:20:48 +0000
+++ tests/libtest/Makefile.in	2010-10-18 11:13:17 +0000
@@ -49,19 +49,19 @@
 	lib523$(EXEEXT) lib524$(EXEEXT) lib525$(EXEEXT) \
 	lib526$(EXEEXT) lib527$(EXEEXT) lib574$(EXEEXT) \
 	lib575$(EXEEXT) lib576$(EXEEXT) lib577$(EXEEXT) \
-	lib529$(EXEEXT) lib530$(EXEEXT) lib532$(EXEEXT) \
-	lib533$(EXEEXT) lib536$(EXEEXT) lib537$(EXEEXT) \
-	lib540$(EXEEXT) lib541$(EXEEXT) lib542$(EXEEXT) \
-	lib543$(EXEEXT) lib544$(EXEEXT) lib545$(EXEEXT) \
-	lib547$(EXEEXT) lib548$(EXEEXT) lib549$(EXEEXT) \
-	lib552$(EXEEXT) lib553$(EXEEXT) lib554$(EXEEXT) \
-	lib555$(EXEEXT) lib556$(EXEEXT) lib539$(EXEEXT) \
-	lib557$(EXEEXT) lib558$(EXEEXT) lib559$(EXEEXT) \
-	lib560$(EXEEXT) lib562$(EXEEXT) lib564$(EXEEXT) \
-	lib565$(EXEEXT) lib566$(EXEEXT) lib567$(EXEEXT) \
-	lib568$(EXEEXT) lib569$(EXEEXT) lib570$(EXEEXT) \
-	lib571$(EXEEXT) lib572$(EXEEXT) lib573$(EXEEXT) \
-	chkhostname$(EXEEXT)
+	lib578$(EXEEXT) lib579$(EXEEXT) lib529$(EXEEXT) \
+	lib530$(EXEEXT) lib532$(EXEEXT) lib533$(EXEEXT) \
+	lib536$(EXEEXT) lib537$(EXEEXT) lib540$(EXEEXT) \
+	lib541$(EXEEXT) lib542$(EXEEXT) lib543$(EXEEXT) \
+	lib544$(EXEEXT) lib545$(EXEEXT) lib547$(EXEEXT) \
+	lib548$(EXEEXT) lib549$(EXEEXT) lib552$(EXEEXT) \
+	lib553$(EXEEXT) lib554$(EXEEXT) lib555$(EXEEXT) \
+	lib556$(EXEEXT) lib539$(EXEEXT) lib557$(EXEEXT) \
+	lib558$(EXEEXT) lib559$(EXEEXT) lib560$(EXEEXT) \
+	lib562$(EXEEXT) lib564$(EXEEXT) lib565$(EXEEXT) \
+	lib566$(EXEEXT) lib567$(EXEEXT) lib568$(EXEEXT) \
+	lib569$(EXEEXT) lib570$(EXEEXT) lib571$(EXEEXT) \
+	lib572$(EXEEXT) lib573$(EXEEXT) chkhostname$(EXEEXT)
 subdir = tests/libtest
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/curl-compilers.m4 \
@@ -374,6 +374,14 @@
 lib577_OBJECTS = $(am_lib577_OBJECTS)
 lib577_LDADD = $(LDADD)
 lib577_DEPENDENCIES = $(top_builddir)/lib/libcurl.la
+am_lib578_OBJECTS = lib578.$(OBJEXT) $(am__objects_1)
+lib578_OBJECTS = $(am_lib578_OBJECTS)
+lib578_LDADD = $(LDADD)
+lib578_DEPENDENCIES = $(top_builddir)/lib/libcurl.la
+am_lib579_OBJECTS = lib579.$(OBJEXT) $(am__objects_1)
+lib579_OBJECTS = $(am_lib579_OBJECTS)
+lib579_LDADD = $(LDADD)
+lib579_DEPENDENCIES = $(top_builddir)/lib/libcurl.la
 DEFAULT_INCLUDES = 
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -407,7 +415,8 @@
 	$(lib566_SOURCES) $(lib567_SOURCES) $(lib568_SOURCES) \
 	$(lib569_SOURCES) $(lib570_SOURCES) $(lib571_SOURCES) \
 	$(lib572_SOURCES) $(lib573_SOURCES) $(lib574_SOURCES) \
-	$(lib575_SOURCES) $(lib576_SOURCES) $(lib577_SOURCES)
+	$(lib575_SOURCES) $(lib576_SOURCES) $(lib577_SOURCES) \
+	$(lib578_SOURCES) $(lib579_SOURCES)
 DIST_SOURCES = $(libhostname_la_SOURCES) $(chkhostname_SOURCES) \
 	$(lib500_SOURCES) $(lib501_SOURCES) $(lib502_SOURCES) \
 	$(lib503_SOURCES) $(lib504_SOURCES) $(lib505_SOURCES) \
@@ -430,7 +439,8 @@
 	$(lib566_SOURCES) $(lib567_SOURCES) $(lib568_SOURCES) \
 	$(lib569_SOURCES) $(lib570_SOURCES) $(lib571_SOURCES) \
 	$(lib572_SOURCES) $(lib573_SOURCES) $(lib574_SOURCES) \
-	$(lib575_SOURCES) $(lib576_SOURCES) $(lib577_SOURCES)
+	$(lib575_SOURCES) $(lib576_SOURCES) $(lib577_SOURCES) \
+	$(lib578_SOURCES) $(lib579_SOURCES)
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
@@ -461,6 +471,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
@@ -670,7 +681,7 @@
 
 
 # Dependencies (may need to be overriden)
-LDADD = $(top_builddir)/lib/libcurl.la
+LDADD = $(top_builddir)/lib/libcurl.la @CURL_LIBS@
 DEPENDENCIES = $(top_builddir)/lib/libcurl.la
 
 # files used only in some libcurl test programs
@@ -758,6 +769,8 @@
 lib571_SOURCES = lib571.c $(SUPPORTFILES)
 lib572_SOURCES = lib572.c $(SUPPORTFILES)
 lib573_SOURCES = lib573.c $(SUPPORTFILES) $(TESTUTIL)
+lib578_SOURCES = lib578.c $(SUPPORTFILES)
+lib579_SOURCES = lib579.c $(SUPPORTFILES)
 @BUILD_LIBHOSTNAME_FALSE@noinst_LTLIBRARIES = 
 
 # Makefile.inc provides the source defines (TESTUTIL, SUPPORTFILES,
@@ -1025,6 +1038,12 @@
 lib577$(EXEEXT): $(lib577_OBJECTS) $(lib577_DEPENDENCIES) 
 	@rm -f lib577$(EXEEXT)
 	$(LINK) $(lib577_LDFLAGS) $(lib577_OBJECTS) $(lib577_LDADD) $(LIBS)
+lib578$(EXEEXT): $(lib578_OBJECTS) $(lib578_DEPENDENCIES) 
+	@rm -f lib578$(EXEEXT)
+	$(LINK) $(lib578_LDFLAGS) $(lib578_OBJECTS) $(lib578_LDADD) $(LIBS)
+lib579$(EXEEXT): $(lib579_OBJECTS) $(lib579_DEPENDENCIES) 
+	@rm -f lib579$(EXEEXT)
+	$(LINK) $(lib579_LDFLAGS) $(lib579_OBJECTS) $(lib579_LDADD) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
@@ -1116,6 +1135,8 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lib575.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lib576.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lib577.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lib578.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lib579.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sethostname.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testutil.Po@am__quote@
 

=== modified file 'tests/libtest/Makefile.inc'
--- tests/libtest/Makefile.inc	2010-08-12 08:20:48 +0000
+++ tests/libtest/Makefile.inc	2010-10-18 11:13:17 +0000
@@ -8,7 +8,7 @@
 noinst_PROGRAMS = lib500 lib501 lib502 lib503 lib504 lib505 lib506	\
   lib507 lib508 lib510 lib511 lib512 lib513 lib514 lib515 lib516	\
   lib517 lib518 lib519 lib520 lib521 lib523 lib524 lib525 lib526 lib527	\
-  lib574 lib575 lib576 lib577 \
+  lib574 lib575 lib576 lib577 lib578 lib579 \
   lib529 lib530 lib532 lib533 lib536 lib537 lib540 lib541 lib542 lib543 \
   lib544 lib545 lib547 lib548 lib549 lib552 lib553 lib554 lib555 lib556 \
   lib539 lib557 lib558 lib559 lib560 lib562 lib564 lib565 lib566 lib567 \
@@ -160,3 +160,7 @@
 lib572_SOURCES = lib572.c $(SUPPORTFILES)
 
 lib573_SOURCES = lib573.c $(SUPPORTFILES) $(TESTUTIL)
+
+lib578_SOURCES = lib578.c $(SUPPORTFILES)
+
+lib579_SOURCES = lib579.c $(SUPPORTFILES)

=== modified file 'tests/libtest/lib517.c'
--- tests/libtest/lib517.c	2010-04-28 18:40:27 +0000
+++ tests/libtest/lib517.c	2010-10-18 11:13:17 +0000
@@ -97,6 +97,8 @@
   "Thu, 999999999999-Aug-2007 20:49:07 GMT",
   "Thu, 12-Aug-2007 20:61:99999999999 GMT",
   "IAintNoDateFool",
+  "Thu Apr 18 22:50 2007 GMT", /* without seconds */
+
   NULL
 };
 

=== added file 'tests/libtest/lib578.c'
--- tests/libtest/lib578.c	1970-01-01 00:00:00 +0000
+++ tests/libtest/lib578.c	2010-10-18 11:13:17 +0000
@@ -0,0 +1,90 @@
+/*****************************************************************************
+ *                                  _   _ ____  _
+ *  Project                     ___| | | |  _ \| |
+ *                             / __| | | | |_) | |
+ *                            | (__| |_| |  _ <| |___
+ *                             \___|\___/|_| \_\_____|
+ *
+ */
+
+#include "test.h"
+
+#include "memdebug.h"
+
+/* The size of data should be kept below MAX_INITIAL_POST_SIZE! */
+static char data[]="this is a short string.\n";
+
+static size_t data_size = sizeof(data) / sizeof(char);
+
+static int progress_callback(void *clientp, double dltotal, double dlnow, double ultotal, double ulnow)
+{
+  FILE *moo = fopen(libtest_arg2, "wb");
+
+  (void)clientp; /* UNUSED */
+  (void)dltotal; /* UNUSED */
+  (void)dlnow; /* UNUSED */
+
+  if(moo) {
+    if ((size_t)ultotal == data_size && (size_t)ulnow == data_size)
+      fprintf(moo, "PASSED, UL data matched data size\n");
+    else
+      fprintf(moo, "Progress callback called with UL %f out of %f\n", ulnow, ultotal);
+    fclose(moo);
+  }
+  return 0;
+}
+
+int test(char *URL)
+{
+  CURL *curl;
+  CURLcode res=CURLE_OK;
+
+  if (curl_global_init(CURL_GLOBAL_ALL) != CURLE_OK) {
+    fprintf(stderr, "curl_global_init() failed\n");
+    return TEST_ERR_MAJOR_BAD;
+  }
+
+  if ((curl = curl_easy_init()) == NULL) {
+    fprintf(stderr, "curl_easy_init() failed\n");
+    curl_global_cleanup();
+    return TEST_ERR_MAJOR_BAD;
+  }
+
+  /* First set the URL that is about to receive our POST. */
+  test_setopt(curl, CURLOPT_URL, URL);
+
+  /* Now specify we want to POST data */
+  test_setopt(curl, CURLOPT_POST, 1L);
+
+#ifdef CURL_DOES_CONVERSIONS
+  /* Convert the POST data to ASCII */
+  test_setopt(curl, CURLOPT_TRANSFERTEXT, 1L);
+#endif
+
+  /* Set the expected POST size */
+  test_setopt(curl, CURLOPT_POSTFIELDSIZE, data_size);
+  test_setopt(curl, CURLOPT_POSTFIELDS, data);
+
+  /* we want to use our own progress function */
+  test_setopt(curl, CURLOPT_NOPROGRESS, 0L);
+  test_setopt(curl, CURLOPT_PROGRESSFUNCTION, progress_callback);
+
+  /* pointer to pass to our read function */
+
+  /* get verbose debug output please */
+  test_setopt(curl, CURLOPT_VERBOSE, 1L);
+
+  /* include headers in the output */
+  test_setopt(curl, CURLOPT_HEADER, 1L);
+
+  /* Perform the request, res will get the return code */
+  res = curl_easy_perform(curl);
+
+test_cleanup:
+
+  /* always cleanup */
+  curl_easy_cleanup(curl);
+  curl_global_cleanup();
+
+  return res;
+}

=== added file 'tests/libtest/lib579.c'
--- tests/libtest/lib579.c	1970-01-01 00:00:00 +0000
+++ tests/libtest/lib579.c	2010-10-18 11:13:17 +0000
@@ -0,0 +1,149 @@
+/*****************************************************************************
+ *                                  _   _ ____  _
+ *  Project                     ___| | | |  _ \| |
+ *                             / __| | | | |_) | |
+ *                            | (__| |_| |  _ <| |___
+ *                             \___|\___/|_| \_\_____|
+ *
+ */
+
+#include "test.h"
+
+#include "memdebug.h"
+
+static const char * const post[]={
+  "one",
+  "two",
+  "three",
+  "and a final longer crap: four",
+  NULL
+};
+
+
+struct WriteThis {
+  int counter;
+};
+
+static int progress_callback(void *clientp, double dltotal, double dlnow,
+                             double ultotal, double ulnow)
+{
+  FILE *moo;
+  static int prev_ultotal = -1;
+  static int prev_ulnow = -1;
+  (void)clientp; /* UNUSED */
+  (void)dltotal; /* UNUSED */
+  (void)dlnow; /* UNUSED */
+
+  /* to avoid depending on timing, which will cause this progress function to
+     get called a different number of times depending on circumstances, we
+     only log these lines if the numbers are different from the previous
+     invoke */
+  if((prev_ultotal != (int)ultotal) ||
+     (prev_ulnow != (int)ulnow)) {
+
+    moo = fopen(libtest_arg2, "ab");
+    if(moo) {
+      fprintf(moo, "Progress callback called with UL %d out of %d\n",
+              (int)ulnow, (int)ultotal);
+      fclose(moo);
+    }
+    prev_ulnow = (int) ulnow;
+    prev_ultotal = (int) ultotal;
+  }
+  return 0;
+}
+
+static size_t read_callback(void *ptr, size_t size, size_t nmemb, void *userp)
+{
+  struct WriteThis *pooh = (struct WriteThis *)userp;
+  const char *data;
+
+  if(size*nmemb < 1)
+    return 0;
+
+  data = post[pooh->counter];
+
+  if(data) {
+    size_t len = strlen(data);
+    memcpy(ptr, data, len);
+    pooh->counter++; /* advance pointer */
+    return len;
+  }
+  return 0;                         /* no more data left to deliver */
+}
+
+int test(char *URL)
+{
+  CURL *curl;
+  CURLcode res=CURLE_OK;
+  struct curl_slist *slist = NULL;
+  struct WriteThis pooh;
+  pooh.counter = 0;
+
+  if (curl_global_init(CURL_GLOBAL_ALL) != CURLE_OK) {
+    fprintf(stderr, "curl_global_init() failed\n");
+    return TEST_ERR_MAJOR_BAD;
+  }
+
+  if ((curl = curl_easy_init()) == NULL) {
+    fprintf(stderr, "curl_easy_init() failed\n");
+    curl_global_cleanup();
+    return TEST_ERR_MAJOR_BAD;
+  }
+
+  slist = curl_slist_append(slist, "Transfer-Encoding: chunked");
+  if (slist == NULL) {
+    fprintf(stderr, "curl_slist_append() failed\n");
+    curl_easy_cleanup(curl);
+    curl_global_cleanup();
+    return TEST_ERR_MAJOR_BAD;
+  }
+
+  /* First set the URL that is about to receive our POST. */
+  test_setopt(curl, CURLOPT_URL, URL);
+
+  /* Now specify we want to POST data */
+  test_setopt(curl, CURLOPT_POST, 1L);
+
+#ifdef CURL_DOES_CONVERSIONS
+  /* Convert the POST data to ASCII */
+  test_setopt(curl, CURLOPT_TRANSFERTEXT, 1L);
+#endif
+
+  /* we want to use our own read function */
+  test_setopt(curl, CURLOPT_READFUNCTION, read_callback);
+
+  /* pointer to pass to our read function */
+  test_setopt(curl, CURLOPT_INFILE, &pooh);
+
+  /* get verbose debug output please */
+  test_setopt(curl, CURLOPT_VERBOSE, 1L);
+
+  /* include headers in the output */
+  test_setopt(curl, CURLOPT_HEADER, 1L);
+
+  /* enforce chunked transfer by setting the header */
+  test_setopt(curl, CURLOPT_HTTPHEADER, slist);
+
+  test_setopt(curl, CURLOPT_HTTPAUTH, CURLAUTH_DIGEST);
+  test_setopt(curl, CURLOPT_USERPWD, "foo:bar");
+
+  /* we want to use our own progress function */
+  test_setopt(curl, CURLOPT_NOPROGRESS, 0L);
+  test_setopt(curl, CURLOPT_PROGRESSFUNCTION, progress_callback);
+
+  /* Perform the request, res will get the return code */
+  res = curl_easy_perform(curl);
+
+test_cleanup:
+
+  /* clean up the headers list */
+  if(slist)
+    curl_slist_free_all(slist);
+
+  /* always cleanup */
+  curl_easy_cleanup(curl);
+  curl_global_cleanup();
+
+  return res;
+}

=== modified file 'tests/runtests.pdf'
Binary files tests/runtests.pdf and tests/runtests.pdf differ
=== modified file 'tests/runtests.pl'
--- tests/runtests.pl	2010-08-12 08:20:48 +0000
+++ tests/runtests.pl	2010-10-18 11:13:17 +0000
@@ -133,6 +133,8 @@
 my $SMTP6PORT; # SMTP IPv6 server port
 my $RTSPPORT; # RTSP
 my $RTSP6PORT; # RTSP IPv6 server port
+my $GOPHERPORT; # Gopher
+my $GOPHER6PORT; # Gopher IPv6 server port
 
 my $srcdir = $ENV{'srcdir'} || '.';
 my $CURL="../src/curl".exe_ext(); # what curl executable to run on the tests
@@ -193,6 +195,7 @@
 my $http_ipv6;   # set if HTTP server has IPv6 support
 my $ftp_ipv6;    # set if FTP server has IPv6 support
 my $tftp_ipv6;   # set if TFTP server has IPv6 support
+my $gopher_ipv6; # set if Gopher server has IPv6 support
 my $has_ipv6;    # set if libcurl is built with IPv6 support
 my $has_libz;    # set if libcurl is built with libz support
 my $has_getrlimit;  # set if system has getrlimit()
@@ -329,7 +332,7 @@
       }
     }
   }
-  for my $proto (('tftp', 'sftp', 'socks', 'ssh', 'rtsp')) {
+  for my $proto (('tftp', 'sftp', 'socks', 'ssh', 'rtsp', 'gopher')) {
     for my $ipvnum ((4, 6)) {
       for my $idnum ((1, 2)) {
         my $serv = servername_id($proto, $ipvnum, $idnum);
@@ -673,6 +676,7 @@
     my ($proto, $ipvnum, $idnum, $ip, $port) = @_;
     my $server = servername_id($proto, $ipvnum, $idnum);
     my $pid = 0;
+    my $bonus="";
 
     my $verifyout = "$LOGDIR/".
         servername_canon($proto, $ipvnum, $idnum) .'_verify.out';
@@ -682,13 +686,18 @@
         servername_canon($proto, $ipvnum, $idnum) .'_verify.log';
     unlink($verifylog) if(-f $verifylog);
 
+    if($proto eq "gopher") {
+        # gopher is funny
+        $bonus="1/";
+    }
+
     my $flags = "--max-time $server_response_maxtime ";
     $flags .= "--output $verifyout ";
     $flags .= "--silent ";
     $flags .= "--verbose ";
     $flags .= "--globoff ";
     $flags .= "--insecure " if($proto eq 'https');
-    $flags .= "\"$proto://$ip:$port/verifiedserver\"";
+    $flags .= "\"$proto://$ip:$port/${bonus}verifiedserver\"";
 
     my $cmd = "$VCURL $flags 2>$verifylog";
 
@@ -729,8 +738,8 @@
         logmsg "RUN: failed to resolve host ($proto://$ip:$port/verifiedserver)\n";
         return -1;
     }
-    elsif($data || ($res != 7)) {
-        logmsg "RUN: Unknown server on our $server port: $port\n";
+    elsif($data || ($res && ($res != 7))) {
+        logmsg "RUN: Unknown server on our $server port: $port ($res)\n";
         return -1;
     }
     return $pid;
@@ -988,7 +997,8 @@
                  'ftps' => \&verifyftp,
                  'tftp' => \&verifyftp,
                  'ssh' => \&verifyssh,
-                 'socks' => \&verifysocks);
+                 'socks' => \&verifysocks,
+                 'gopher' => \&verifyhttp);
 
 sub verifyserver {
     my ($proto, $ipvnum, $idnum, $ip, $port) = @_;
@@ -1019,10 +1029,8 @@
 # start the http server
 #
 sub runhttpserver {
-    my ($verbose, $ipv6) = @_;
-    my $port = $HTTPPORT;
+    my ($proto, $verbose, $ipv6, $port) = @_;
     my $ip = $HOSTIP;
-    my $proto = 'http';
     my $ipvnum = 4;
     my $idnum = 1;
     my $server;
@@ -1031,10 +1039,10 @@
     my $logfile;
     my $flags = "";
 
+
     if($ipv6) {
         # if IPv6, use a different setup
         $ipvnum = 6;
-        $port = $HTTP6PORT;
         $ip = $HOST6IP;
     }
 
@@ -1058,6 +1066,7 @@
     $logfile = server_logfilename($LOGDIR, $proto, $ipvnum, $idnum);
 
     $flags .= "--fork " if($forkserver);
+    $flags .= "--gopher " if($proto eq "gopher");
     $flags .= "--verbose " if($debugprotocol);
     $flags .= "--pidfile \"$pidfile\" --logfile \"$logfile\" ";
     $flags .= "--id $idnum " if($idnum > 1);
@@ -1263,6 +1272,7 @@
         $doesntrun{$pidfile} = 1;
         return (0,0);
     }
+
     $pid2 = $pid3;
 
     if($verbose) {
@@ -2033,6 +2043,7 @@
         if($sws[0] =~ /IPv6/) {
             # HTTP server has ipv6 support!
             $http_ipv6 = 1;
+            $gopher_ipv6 = 1;
         }
 
         # check if the FTP server has it!
@@ -2098,6 +2109,10 @@
     if($tftp_ipv6) {
         logmsg sprintf("TFTP-IPv6/%d ", $TFTP6PORT);
     }
+    logmsg sprintf("\n*   GOPHER/%d ", $GOPHERPORT);
+    if($gopher_ipv6) {
+        logmsg sprintf("GOPHER-IPv6/%d", $GOPHERPORT);
+    }
     logmsg sprintf("\n*   SSH/%d ", $SSHPORT);
     logmsg sprintf("SOCKS/%d ", $SOCKSPORT);
     logmsg sprintf("POP3/%d ", $POP3PORT);
@@ -2147,6 +2162,8 @@
   $$thing =~ s/%CLIENT6IP/$CLIENT6IP/g;
   $$thing =~ s/%RTSPPORT/$RTSPPORT/g;
   $$thing =~ s/%RTSP6PORT/$RTSP6PORT/g;
+  $$thing =~ s/%GOPHERPORT/$GOPHERPORT/g;
+  $$thing =~ s/%GOPHER6PORT/$GOPHER6PORT/g;
 
   # The purpose of FTPTIME2 and FTPTIME3 is to provide times that can be
   # used for time-out tests and that whould work on most hosts as these
@@ -2349,16 +2366,6 @@
         }
     }
 
-    # timestamp required servers verification start
-    $timesrvrini{$testnum} = Time::HiRes::time() if($timestats);
-
-    if(!$why) {
-        $why = serverfortest($testnum);
-    }
-
-    # timestamp required servers verification end
-    $timesrvrend{$testnum} = Time::HiRes::time() if($timestats);
-
     # test definition may instruct to (un)set environment vars
     # this is done this early, so that the precheck can use environment
     # variables and still bail out fine on errors
@@ -2374,6 +2381,16 @@
         delete $oldenv{$var};
     }
 
+    # timestamp required servers verification start
+    $timesrvrini{$testnum} = Time::HiRes::time() if($timestats);
+
+    if(!$why) {
+        $why = serverfortest($testnum);
+    }
+
+    # timestamp required servers verification end
+    $timesrvrend{$testnum} = Time::HiRes::time() if($timestats);
+
     my @setenv = getpart("client", "setenv");
     if(@setenv) {
         foreach my $s (@setenv) {
@@ -2627,7 +2644,7 @@
         }
     }
 
-    $CMDLINE .= "$cmdargs >>$STDOUT 2>>$STDERR";
+    $CMDLINE .= "$cmdargs >$STDOUT 2>$STDERR";
 
     if($verbose) {
         logmsg "$CMDLINE\n";
@@ -3242,9 +3259,33 @@
                 $run{'ftp-ipv6'}="$pid $pid2";
             }
         }
+        elsif($what eq "gopher") {
+            if(!$run{'gopher'}) {
+                ($pid, $pid2) = runhttpserver("gopher", $verbose, 0,
+                                              $GOPHERPORT);
+                if($pid <= 0) {
+                    return "failed starting GOPHER server";
+                }
+                printf ("* pid gopher => %d %d\n", $pid, $pid2) if($verbose);
+                $run{'gopher'}="$pid $pid2";
+            }
+        }
+        elsif($what eq "gopher-ipv6") {
+            if(!$run{'gopher-ipv6'}) {
+                ($pid, $pid2) = runhttpserver("gopher", $verbose, "ipv6",
+                                              $GOPHER6PORT);
+                if($pid <= 0) {
+                    return "failed starting GOPHER-IPv6 server";
+                }
+                logmsg sprintf("* pid gopher-ipv6 => %d %d\n", $pid,
+                               $pid2) if($verbose);
+                $run{'gopher-ipv6'}="$pid $pid2";
+            }
+        }
         elsif($what eq "http") {
             if(!$run{'http'}) {
-                ($pid, $pid2) = runhttpserver($verbose);
+                ($pid, $pid2) = runhttpserver("http", $verbose, 0,
+                                              $HTTPPORT);
                 if($pid <= 0) {
                     return "failed starting HTTP server";
                 }
@@ -3254,7 +3295,8 @@
         }
         elsif($what eq "http-ipv6") {
             if(!$run{'http-ipv6'}) {
-                ($pid, $pid2) = runhttpserver($verbose, "IPv6");
+                ($pid, $pid2) = runhttpserver("http", $verbose, "IPv6",
+                                              $HTTP6PORT);
                 if($pid <= 0) {
                     return "failed starting HTTP-IPv6 server";
                 }
@@ -3333,7 +3375,8 @@
                 stopserver('https');
             }
             if(!$run{'http'}) {
-                ($pid, $pid2) = runhttpserver($verbose);
+                ($pid, $pid2) = runhttpserver("http", $verbose, 0,
+                                              $HTTPPORT);
                 if($pid <= 0) {
                     return "failed starting HTTP server";
                 }
@@ -3821,6 +3864,8 @@
 $SMTP6PORT = $base++;
 $RTSPPORT =  $base++;
 $RTSP6PORT = $base++;
+$GOPHERPORT =$base++;
+$GOPHER6PORT=$base++;
 
 #######################################################################
 # clear and create logging directory:

=== modified file 'tests/server/Makefile.in'
--- tests/server/Makefile.in	2010-08-12 08:20:48 +0000
+++ tests/server/Makefile.in	2010-10-18 11:13:17 +0000
@@ -166,6 +166,7 @@
 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
+CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@

=== modified file 'tests/server/sws.c'
--- tests/server/sws.c	2010-04-28 18:40:27 +0000
+++ tests/server/sws.c	2010-10-18 11:13:17 +0000
@@ -75,6 +75,7 @@
 #ifdef ENABLE_IPV6
 static bool use_ipv6 = FALSE;
 #endif
+static bool use_gopher = FALSE;
 static const char *ipv_inuse = "IPv4";
 static int serverlogslocked = 0;
 
@@ -104,6 +105,8 @@
   size_t cl;      /* Content-Length of the incoming request */
   bool digest;    /* Authorization digest header found */
   bool ntlm;      /* Authorization ntlm header found */
+  int writedelay; /* if non-zero, delay this number of seconds between
+		      writes in the response */
   int pipe;       /* if non-zero, expect this many requests to do a "piped"
                      request/response */
   int skip;       /* if non-zero, the server is instructed to not read this
@@ -159,6 +162,7 @@
   DOCNUMBER_404     = -1
 };
 
+const char *end_of_headers = END_OF_HEADERS;
 
 /* sent as reply to a QUIT */
 static const char *docquit =
@@ -307,13 +311,22 @@
   int prot_major, prot_minor;
   char *end;
   int error;
-  end = strstr(line, END_OF_HEADERS);
+  end = strstr(line, end_of_headers);
 
   logmsg("ProcessRequest() called");
 
   /* try to figure out the request characteristics as soon as possible, but
      only once! */
-  if((req->testno == DOCNUMBER_NOTHING) &&
+
+  if(use_gopher &&
+     (req->testno == DOCNUMBER_NOTHING) &&
+     !strncmp("/verifiedserver", line, 15)) {
+    logmsg("Are-we-friendly question received");
+    req->testno = DOCNUMBER_WERULEZ;
+    return 1; /* done */
+  }
+
+  else if((req->testno == DOCNUMBER_NOTHING) &&
      sscanf(line,
             "%" REQUEST_KEYWORD_SIZE_TXT"s %" MAXDOCNAMELEN_TXT "s HTTP/%d.%d",
             request,
@@ -424,6 +437,10 @@
             logmsg("instructed to skip this number of bytes %d", num);
             req->skip = num;
           }
+          else if(1 == sscanf(cmd, "writedelay: %d", &num)) {
+            logmsg("instructed to delay %d secs between packets", num);
+            req->writedelay = num;
+          }
           else {
             logmsg("funny instruction found: %s", cmd);
           }
@@ -471,10 +488,40 @@
   }
   logmsg("ProcessRequest found a complete request");
 
+  if(use_gopher) {
+    /* when using gopher we cannot check the request until the entire
+       thing has been received */
+    char *ptr;
+
+    /* find the last slash in the line */
+    ptr = strrchr(line, '/');
+
+    if(ptr) {
+      ptr++; /* skip the slash */
+
+      /* skip all non-numericals following the slash */
+      while(*ptr && !ISDIGIT(*ptr))
+        ptr++;
+
+      req->testno = strtol(ptr, &ptr, 10);
+
+      if(req->testno > 10000) {
+        req->partno = req->testno % 10000;
+        req->testno /= 10000;
+      }
+      else
+        req->partno = 0;
+
+      sprintf(logbuf, "Requested GOPHER test number %ld part %ld",
+              req->testno, req->partno);
+      logmsg("%s", logbuf);
+    }
+  }
+
   if(req->pipe)
     /* we do have a full set, advance the checkindex to after the end of the
        headers, for the pipelining case mostly */
-    req->checkindex += (end - line) + strlen(END_OF_HEADERS);
+    req->checkindex += (end - line) + strlen(end_of_headers);
 
   /* **** Persistence ****
    *
@@ -582,12 +629,12 @@
      req->open &&
      req->prot_version >= 11 &&
      end &&
-     req->reqbuf + req->offset > end + strlen(END_OF_HEADERS) &&
+     req->reqbuf + req->offset > end + strlen(end_of_headers) &&
      (!strncmp(req->reqbuf, "GET", strlen("GET")) ||
       !strncmp(req->reqbuf, "HEAD", strlen("HEAD")))) {
     /* If we have a persistent connection, HTTP version >= 1.1
        and GET/HEAD request, enable pipelining. */
-    req->checkindex = (end - req->reqbuf) + strlen(END_OF_HEADERS);
+    req->checkindex = (end - req->reqbuf) + strlen(end_of_headers);
     req->pipelining = TRUE;
   }
 
@@ -596,10 +643,10 @@
       return 1; /* done */
     /* scan for more header ends within this chunk */
     line = &req->reqbuf[req->checkindex];
-    end = strstr(line, END_OF_HEADERS);
+    end = strstr(line, end_of_headers);
     if(!end)
       break;
-    req->checkindex += (end - line) + strlen(END_OF_HEADERS);
+    req->checkindex += (end - line) + strlen(end_of_headers);
     req->pipe--;
   }
 
@@ -611,7 +658,7 @@
     return 1; /* done */
 
   if(req->cl > 0) {
-    if(req->cl <= req->offset - (end - req->reqbuf) - strlen(END_OF_HEADERS))
+    if(req->cl <= req->offset - (end - req->reqbuf) - strlen(end_of_headers))
       return 1; /* done */
     else
       return 0; /* not complete yet */
@@ -704,6 +751,7 @@
   req->ntlm = FALSE;
   req->pipe = 0;
   req->skip = 0;
+  req->writedelay = 0;
   req->rcmd = RCMD_NORMALREQ;
   req->prot_version = 0;
   req->pipelining = FALSE;
@@ -842,8 +890,11 @@
       logmsg("Identifying ourselves as friends");
       sprintf(msgbuf, "WE ROOLZ: %ld\r\n", (long)getpid());
       msglen = strlen(msgbuf);
-      sprintf(weare, "HTTP/1.1 200 OK\r\nContent-Length: %zu\r\n\r\n%s",
-              msglen, msgbuf);
+      if(use_gopher)
+        sprintf(weare, "%s", msgbuf);
+      else
+        sprintf(weare, "HTTP/1.1 200 OK\r\nContent-Length: %zu\r\n\r\n%s",
+                msglen, msgbuf);
       buffer = weare;
       break;
     case DOCNUMBER_INTERNAL:
@@ -971,6 +1022,10 @@
     else {
       logmsg("Sent off %zd bytes", written);
     }
+    if (req->writedelay) {
+      logmsg("Pausing %d seconds", req->writedelay);
+      sleep(req->writedelay);
+    }
     /* write to file as well */
     fwrite(buffer, 1, (size_t)written, dump);
     if(got_exit_signal)
@@ -1050,7 +1105,7 @@
   if(cmd)
     free(cmd);
 
-  req->open = persistant;
+  req->open = use_gopher?FALSE:persistant;
 
   prevtestno = req->testno;
   prevpartno = req->partno;
@@ -1106,6 +1161,11 @@
       if(argc>arg)
         serverlogfile = argv[arg++];
     }
+    else if(!strcmp("--gopher", argv[arg])) {
+      arg++;
+      use_gopher = TRUE;
+      end_of_headers = "\r\n"; /* gopher style is much simpler */
+    }
     else if(!strcmp("--ipv4", argv[arg])) {
 #ifdef ENABLE_IPV6
       ipv_inuse = "IPv4";
@@ -1157,6 +1217,7 @@
            " --ipv6\n"
            " --port [port]\n"
            " --srcdir [path]\n"
+           " --gopher\n"
            " --fork");
       return 0;
     }
@@ -1221,7 +1282,8 @@
     goto sws_cleanup;
   }
 
-  logmsg("Running %s version on port %d", ipv_inuse, (int)port);
+  logmsg("Running %s %s version on port %d",
+         use_gopher?"GOPHER":"HTTP", ipv_inuse, (int)port);
 
   /* start accepting connections */
   rc = listen(sock, 5);

=== modified file 'tests/serverhelp.pm'
--- tests/serverhelp.pm	2010-04-28 18:40:27 +0000
+++ tests/serverhelp.pm	2010-10-18 11:13:17 +0000
@@ -96,7 +96,7 @@
 
     $proto = uc($proto) if($proto);
     die "unsupported protocol: $proto" unless($proto &&
-        ($proto =~ /^(((FTP|HTTP|IMAP|POP3|SMTP)S?)|(TFTP|SFTP|SOCKS|SSH|RTSP))$/));
+        ($proto =~ /^(((FTP|HTTP|IMAP|POP3|SMTP)S?)|(TFTP|SFTP|SOCKS|SSH|RTSP|GOPHER))$/));
 
     $ipver = (not $ipver) ? 'ipv4' : lc($ipver);
     die "unsupported IP version: $ipver" unless($ipver &&

=== modified file 'tests/testcurl.pdf'
Binary files tests/testcurl.pdf and tests/testcurl.pdf differ
=== modified file 'tests/testcurl.pl'
--- tests/testcurl.pl	2010-08-12 08:20:48 +0000
+++ tests/testcurl.pl	2010-10-18 11:13:17 +0000
@@ -64,7 +64,7 @@
 #BEGIN { $^W = 1; }
 
 use vars qw($version $fixed $infixed $CURLDIR $git $pwd $build $buildlog
-            $buildlogname $configurebuild $targetos $confsuffix $binext
+            $buildlogname $configurebuild $targetos $confheader $binext
             $libext);
 
 use vars qw($name $email $desc $confopts $runtestopts $setupfile $mktarball
@@ -72,7 +72,7 @@
             $timestamp);
 
 # version of this script
-$version='2010-10-10';
+$version='2010-08-20';
 $fixed=0;
 
 # Determine if we're running from git or a canned copy of curl,
@@ -132,7 +132,7 @@
 
 # Do the platform-specific stuff here
 $configurebuild = 1;
-$confsuffix = '';
+$confheader = 'curl_config.h';
 $binext = '';
 $libext = '.la'; # .la since both libcurl and libcares are made with libtool
 if ($^O eq 'MSWin32' || $targetos) {
@@ -168,10 +168,10 @@
 
   # Set these things only when building ON Windows and for Win32 platform.
   # FOR Windows since we might be cross-compiling on another system. Non-
-  # Windows builds still default to configure-style builds with no confsuffix.
+  # Windows builds still default to configure-style builds with curl_config.h.
 
   $configurebuild = 0;
-  $confsuffix = '-win32';
+  $confheader = 'config-win32.h';
 }
 
 $ENV{LC_ALL}="C" if (($ENV{LC_ALL}) && ($ENV{LC_ALL} !~ /^C$/));
@@ -567,14 +567,14 @@
   mydie "no curlbuild.h created/found";
 }
 
-logit_spaced "display lib/curl_config$confsuffix.h";
-open(F, "lib/curl_config$confsuffix.h") or die "lib/curl_config$confsuffix.h: $!";
+logit_spaced "display lib/$confheader";
+open(F, "lib/$confheader") or die "lib/$confheader: $!";
 while (<F>) {
   print if /^ *#/;
 }
 close(F);
 
-if (grepfile("^#define USE_ARES", "lib/curl_config$confsuffix.h")) {
+if (grepfile("^#define USE_ARES", "lib/$confheader")) {
   print "\n";
   logit "setup to build ares";
 
@@ -603,8 +603,9 @@
     mydie "no ares_build.h created/found";
   }
 
-  logit_spaced "display ares/ares_config$confsuffix.h";
-  if(open(F, "ares/ares_config$confsuffix.h")) {
+  $confheader =~ s/curl/ares/;
+  logit_spaced "display ares/$confheader";
+  if(open(F, "ares/$confheader")) {
       while (<F>) {
           print if /^ *#/;
       }

